/*===========================================================================*/
/*   (Llib/DER.scm)                                                          */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/DER.scm -o objs/DER.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_derzd2bitstringzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
   long BgL_unusedzd2bitszd2;
} *BgL_derzd2bitstringzd2_bglt;

typedef struct BgL_derzd2setzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_setz00;
} *BgL_derzd2setzd2_bglt;


static obj_t BGl_z62encodezd2DERzb0zz__cryptozd2DERzd2(obj_t, obj_t, obj_t);
static obj_t BGl_primzf2constrzd2tagz20zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__cryptozd2DERzd2 = BUNSPEC;
static long BGl_nbzd2octetszd2neededze70ze7zz__cryptozd2DERzd2(long);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
static obj_t BGl_decodezd2octetzd2stringz00zz__cryptozd2DERzd2(obj_t, bool_t);
static obj_t BGl_encodezd2sequencezf2setzd2contentzf2zz__cryptozd2DERzd2(obj_t, obj_t, bool_t, obj_t);
static BgL_derzd2bitstringzd2_bglt BGl_z62lambda1883z62zz__cryptozd2DERzd2(obj_t, obj_t, obj_t);
static BgL_derzd2bitstringzd2_bglt BGl_z62lambda1885z62zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_displayzd2octetzd2zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__cryptozd2DERzd2(void);
static obj_t BGl_z62lambda1891z62zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1892z62zz__cryptozd2DERzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1896z62zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1897z62zz__cryptozd2DERzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__cryptozd2DERzd2(void);
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_IMPORT long bgl_bignum_to_long(obj_t);
static obj_t BGl_innerze70ze7zz__cryptozd2DERzd2(obj_t, obj_t, bool_t);
static obj_t BGl_symbolzd2ze3oidsz31zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2primzf2constrzd2invzd2tagza2zf2zz__cryptozd2DERzd2 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zz__cryptozd2DERzd2(void);
BGL_IMPORT obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_decodezd2bitstringzd2zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
BGL_EXPORTED_DEF obj_t BGl_DERzd2Setzd2zz__cryptozd2DERzd2 = BUNSPEC;
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
static obj_t BGl_za2universalzd2tagsza2zd2zz__cryptozd2DERzd2 = BUNSPEC;
BGL_IMPORT obj_t bstring_to_symbol(obj_t);
static obj_t BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(long, obj_t);
static obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__cryptozd2DERzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2 = BUNSPEC;
static obj_t BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_lookupz00zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__cryptozd2DERzd2(void);
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_recze70ze7zz__cryptozd2DERzd2(obj_t, obj_t, long);
static obj_t BGl_recze71ze7zz__cryptozd2DERzd2(obj_t, long);
static obj_t BGl_recze72ze7zz__cryptozd2DERzd2(obj_t, long, obj_t, long);
static bool_t BGl_encodezd2objectzd2idz00zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_encodezd2intzf2enumzd2contentzf2zz__cryptozd2DERzd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decodezd2DERzd2zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_decodezd2identifierzd2zz__cryptozd2DERzd2(obj_t);
static bool_t BGl_displayzd2elsze70z35zz__cryptozd2DERzd2(obj_t, obj_t, obj_t);
static obj_t BGl_za2classzd2tagza2zd2zz__cryptozd2DERzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static BgL_derzd2setzd2_bglt BGl_decodezd2setzd2zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT obj_t string_append(obj_t, obj_t);
BGL_IMPORT obj_t bgl_long_to_bignum(long);
static obj_t BGl_z62decodezd2DERzb0zz__cryptozd2DERzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
static bool_t BGl_decodezd2boolzd2zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_encodezd2octetzd2stringz00zz__cryptozd2DERzd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_oidszd2ze3symbolz31zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2DERzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_encodezd2bitstringzd2zz__cryptozd2DERzd2(BgL_derzd2bitstringzd2_bglt, obj_t);
static obj_t BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(obj_t, obj_t, obj_t, obj_t);
static long BGl_readzd2octetzd2zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_decodezd2intzf2enumeratedz20zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_cnstzd2initzd2zz__cryptozd2DERzd2(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2DERzd2(void);
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
static obj_t BGl_za2primzf2constrzd2tagza2z20zz__cryptozd2DERzd2 = BUNSPEC;
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_encodezd2oidze70z35zz__cryptozd2DERzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2classzd2invzd2tagza2z00zz__cryptozd2DERzd2 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__cryptozd2DERzd2(void);
BGL_IMPORT obj_t BGl_peekzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_za2universalzd2invzd2tagsza2z00zz__cryptozd2DERzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_search1124ze70ze7zz__cryptozd2DERzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
static obj_t BGl_search1116ze70ze7zz__cryptozd2DERzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_za7erozf3z54zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_decodezd2sequencezf2setz20zz__cryptozd2DERzd2(obj_t);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_encodezd2shortzd2identifierz00zz__cryptozd2DERzd2(obj_t, obj_t, obj_t, obj_t);
static BgL_derzd2setzd2_bglt BGl_z62lambda1903z62zz__cryptozd2DERzd2(obj_t, obj_t);
static BgL_derzd2setzd2_bglt BGl_z62lambda1905z62zz__cryptozd2DERzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_encodezd2DERzd2zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_classzd2tagzd2zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_decodezd2objectzd2idz00zz__cryptozd2DERzd2(obj_t);
static obj_t BGl_z62lambda1911z62zz__cryptozd2DERzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1912z62zz__cryptozd2DERzd2(obj_t, obj_t, obj_t);
static obj_t __cnst[ 28 ] ;


DEFINE_STRING( BGl_string1920z00zz__cryptozd2DERzd2, BgL_bgl_string1920za700za7za7_1971za7, "DER lookup", 10 );
DEFINE_STRING( BGl_string1921z00zz__cryptozd2DERzd2, BgL_bgl_string1921za700za7za7_1972za7, "could not find", 14 );
DEFINE_STRING( BGl_string1922z00zz__cryptozd2DERzd2, BgL_bgl_string1922za700za7za7_1973za7, "display-octet", 13 );
DEFINE_STRING( BGl_string1923z00zz__cryptozd2DERzd2, BgL_bgl_string1923za700za7za7_1974za7, "could not convert number to char", 32 );
DEFINE_STRING( BGl_string1924z00zz__cryptozd2DERzd2, BgL_bgl_string1924za700za7za7_1975za7, "read-octet", 10 );
DEFINE_STRING( BGl_string1925z00zz__cryptozd2DERzd2, BgL_bgl_string1925za700za7za7_1976za7, "unexpected end of file", 22 );
DEFINE_STRING( BGl_string1926z00zz__cryptozd2DERzd2, BgL_bgl_string1926za700za7za7_1977za7, "ASN-1 decode bool", 17 );
DEFINE_STRING( BGl_string1927z00zz__cryptozd2DERzd2, BgL_bgl_string1927za700za7za7_1978za7, "length must be equal to 1", 25 );
DEFINE_STRING( BGl_string1928z00zz__cryptozd2DERzd2, BgL_bgl_string1928za700za7za7_1979za7, "Illegal keyword argument", 24 );
DEFINE_STRING( BGl_string1929z00zz__cryptozd2DERzd2, BgL_bgl_string1929za700za7za7_1980za7, "wrong number of arguments: [2..4] expected, provided", 52 );
DEFINE_STRING( BGl_string1930z00zz__cryptozd2DERzd2, BgL_bgl_string1930za700za7za7_1981za7, "decode-sequence", 15 );
DEFINE_STRING( BGl_string1931z00zz__cryptozd2DERzd2, BgL_bgl_string1931za700za7za7_1982za7, "bad ASN1 sequence", 17 );
DEFINE_STRING( BGl_string1932z00zz__cryptozd2DERzd2, BgL_bgl_string1932za700za7za7_1983za7, "decode-sequence/set", 19 );
DEFINE_STRING( BGl_string1933z00zz__cryptozd2DERzd2, BgL_bgl_string1933za700za7za7_1984za7, "only definite ASN-length decoding is implemented", 48 );
DEFINE_STRING( BGl_string1934z00zz__cryptozd2DERzd2, BgL_bgl_string1934za700za7za7_1985za7, ".", 1 );
DEFINE_STRING( BGl_string1935z00zz__cryptozd2DERzd2, BgL_bgl_string1935za700za7za7_1986za7, "oid:", 4 );
DEFINE_STRING( BGl_string1936z00zz__cryptozd2DERzd2, BgL_bgl_string1936za700za7za7_1987za7, "ASN1 object-id", 14 );
DEFINE_STRING( BGl_string1937z00zz__cryptozd2DERzd2, BgL_bgl_string1937za700za7za7_1988za7, "invalid object-id. Object-ids must start with 'oid:'", 52 );
DEFINE_STRING( BGl_string1938z00zz__cryptozd2DERzd2, BgL_bgl_string1938za700za7za7_1989za7, "", 0 );
DEFINE_STRING( BGl_string1939z00zz__cryptozd2DERzd2, BgL_bgl_string1939za700za7za7_1990za7, "decode-object-id", 16 );
DEFINE_STRING( BGl_string1940z00zz__cryptozd2DERzd2, BgL_bgl_string1940za700za7za7_1991za7, "bad ASN1 object-id", 18 );
DEFINE_STRING( BGl_string1941z00zz__cryptozd2DERzd2, BgL_bgl_string1941za700za7za7_1992za7, "encode-object-id", 16 );
DEFINE_STRING( BGl_string1942z00zz__cryptozd2DERzd2, BgL_bgl_string1942za700za7za7_1993za7, "don't know how to encode object id: ", 36 );
DEFINE_STRING( BGl_string1943z00zz__cryptozd2DERzd2, BgL_bgl_string1943za700za7za7_1994za7, "decode-octet-string", 19 );
DEFINE_STRING( BGl_string1944z00zz__cryptozd2DERzd2, BgL_bgl_string1944za700za7za7_1995za7, "bad DER octet string", 20 );
DEFINE_STRING( BGl_string1945z00zz__cryptozd2DERzd2, BgL_bgl_string1945za700za7za7_1996za7, "decode-DER octet string", 23 );
DEFINE_STRING( BGl_string1946z00zz__cryptozd2DERzd2, BgL_bgl_string1946za700za7za7_1997za7, "bad octet string", 16 );
DEFINE_STRING( BGl_string1947z00zz__cryptozd2DERzd2, BgL_bgl_string1947za700za7za7_1998za7, "decode-bitstring", 16 );
DEFINE_STRING( BGl_string1948z00zz__cryptozd2DERzd2, BgL_bgl_string1948za700za7za7_1999za7, "bad DER bit string", 18 );
DEFINE_STRING( BGl_string1949z00zz__cryptozd2DERzd2, BgL_bgl_string1949za700za7za7_2000za7, "decode-DER bitstring", 20 );
DEFINE_STRING( BGl_string1950z00zz__cryptozd2DERzd2, BgL_bgl_string1950za700za7za7_2001za7, "Only definite length implemented", 32 );
DEFINE_STRING( BGl_string1951z00zz__cryptozd2DERzd2, BgL_bgl_string1951za700za7za7_2002za7, "encode-real", 11 );
DEFINE_STRING( BGl_string1952z00zz__cryptozd2DERzd2, BgL_bgl_string1952za700za7za7_2003za7, "not yet implemented", 19 );
DEFINE_STRING( BGl_string1953z00zz__cryptozd2DERzd2, BgL_bgl_string1953za700za7za7_2004za7, "encode-DER", 10 );
DEFINE_STRING( BGl_string1954z00zz__cryptozd2DERzd2, BgL_bgl_string1954za700za7za7_2005za7, "encoding not yet implemented", 28 );
DEFINE_STRING( BGl_string1955z00zz__cryptozd2DERzd2, BgL_bgl_string1955za700za7za7_2006za7, "decode-DER", 10 );
DEFINE_STRING( BGl_string1956z00zz__cryptozd2DERzd2, BgL_bgl_string1956za700za7za7_2007za7, "only universal tags are implemented", 35 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1957z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1892za7622008z00, BGl_z62lambda1892z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1958z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1891za7622009z00, BGl_z62lambda1891z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1959z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1897za7622010z00, BGl_z62lambda1897z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1969z00zz__cryptozd2DERzd2, BgL_bgl_string1969za700za7za7_2011za7, "DER-Set pair-nil __crypto-DER DER-BitString long unused-bits bstring data null int bool bit-string octet-string do-nothing primitive object-identifier set encode-set constructed universal sequence :display-fun :definite? encode-sequence (:definite? :display-fun) ((primitive 0) (constructed 32)) ((universal 0) (application 64) (context 128) (private 112)) ((bool 1) (int 2) (bit-string 3) (octet-string 4) (null 5) (object-identifier 6) (object-descriptor 7) (instance-of 8) (real 9) (enumerated 10) (embedded 11) (utf8 12) (relative 13) (sequence 16) (set 17) (numeric-string 18) (printable-string 19) (teletex-string 20) (videotex-string 21) (ia5-string 22) (utc-time 23) (generalized-time 24) (graphic-string 25) (visible-string 26) (general-string 27) (universal-string 28) (character-string 29) (bmp-string 30)) ", 818 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1960z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1896za7622012z00, BGl_z62lambda1896z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1961z00zz__cryptozd2DERzd2, BgL_bgl_za762za7c3za704anonymo2013za7, BGl_z62zc3z04anonymousza31887ze3ze5zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1962z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1885za7622014z00, BGl_z62lambda1885z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1963z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1883za7622015z00, BGl_z62lambda1883z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1964z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1912za7622016z00, BGl_z62lambda1912z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1965z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1911za7622017z00, BGl_z62lambda1911z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1966z00zz__cryptozd2DERzd2, BgL_bgl_za762za7c3za704anonymo2018za7, BGl_z62zc3z04anonymousza31907ze3ze5zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1967z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1905za7622019z00, BGl_z62lambda1905z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1968z00zz__cryptozd2DERzd2, BgL_bgl_za762lambda1903za7622020z00, BGl_z62lambda1903z62zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2DERzd2envz00zz__cryptozd2DERzd2, BgL_bgl_za762encodeza7d2derza72021za7, BGl_z62encodezd2DERzb0zz__cryptozd2DERzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2DERzd2envz00zz__cryptozd2DERzd2, BgL_bgl_za762decodeza7d2derza72022za7, BGl_z62decodezd2DERzb0zz__cryptozd2DERzd2, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_za2primzf2constrzd2invzd2tagza2zf2zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_DERzd2Setzd2zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_za2universalzd2tagsza2zd2zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_za2classzd2tagza2zd2zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_za2primzf2constrzd2tagza2z20zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_za2classzd2invzd2tagza2z00zz__cryptozd2DERzd2) );
ADD_ROOT( (void *)(&BGl_za2universalzd2invzd2tagsza2z00zz__cryptozd2DERzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__cryptozd2DERzd2(long BgL_checksumz00_1385, char * BgL_fromz00_1386)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__cryptozd2DERzd2))
{ 
BGl_requirezd2initializa7ationz75zz__cryptozd2DERzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__cryptozd2DERzd2(); 
BGl_libraryzd2moduleszd2initz00zz__cryptozd2DERzd2(); 
BGl_cnstzd2initzd2zz__cryptozd2DERzd2(); 
BGl_objectzd2initzd2zz__cryptozd2DERzd2(); 
return 
BGl_toplevelzd2initzd2zz__cryptozd2DERzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__crypto-DER"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__crypto-DER"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
{ /* Llib/DER.scm 1 */
 obj_t BgL_cportz00_1350;
{ /* Llib/DER.scm 1 */
 obj_t BgL_stringz00_1357;
BgL_stringz00_1357 = BGl_string1969z00zz__cryptozd2DERzd2; 
{ /* Llib/DER.scm 1 */
 obj_t BgL_startz00_1358;
BgL_startz00_1358 = 
BINT(((long)0)); 
{ /* Llib/DER.scm 1 */
 obj_t BgL_endz00_1359;
BgL_endz00_1359 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1357))); 
{ /* Llib/DER.scm 1 */

BgL_cportz00_1350 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1357, BgL_startz00_1358, BgL_endz00_1359); } } } } 
{ 
 long BgL_iz00_1351;
BgL_iz00_1351 = ((long)27); 
BgL_loopz00_1352:
if(
(BgL_iz00_1351==((long)-1)))
{ /* Llib/DER.scm 1 */
return BUNSPEC;}  else 
{ /* Llib/DER.scm 1 */
{ /* Llib/DER.scm 1 */
 obj_t BgL_arg1970z00_1353;
{ /* Llib/DER.scm 1 */

{ /* Llib/DER.scm 1 */
 obj_t BgL_locationz00_1355;
BgL_locationz00_1355 = 
BBOOL(((bool_t)0)); 
{ /* Llib/DER.scm 1 */

BgL_arg1970z00_1353 = 
BGl_readz00zz__readerz00(BgL_cportz00_1350, BgL_locationz00_1355); } } } 
{ /* Llib/DER.scm 1 */
 int BgL_tmpz00_1422;
BgL_tmpz00_1422 = 
(int)(BgL_iz00_1351); 
CNST_TABLE_SET(BgL_tmpz00_1422, BgL_arg1970z00_1353); } } 
{ /* Llib/DER.scm 1 */
 int BgL_auxz00_1356;
BgL_auxz00_1356 = 
(int)(
(BgL_iz00_1351-((long)1))); 
{ 
 long BgL_iz00_1427;
BgL_iz00_1427 = 
(long)(BgL_auxz00_1356); 
BgL_iz00_1351 = BgL_iz00_1427; 
goto BgL_loopz00_1352;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
BGl_za2universalzd2tagsza2zd2zz__cryptozd2DERzd2 = 
CNST_TABLE_REF(((long)0)); 
BGl_za2classzd2tagza2zd2zz__cryptozd2DERzd2 = 
CNST_TABLE_REF(((long)1)); 
BGl_za2primzf2constrzd2tagza2z20zz__cryptozd2DERzd2 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/DER.scm 62 */
 obj_t BgL_l1077z00_86;
BgL_l1077z00_86 = 
CNST_TABLE_REF(((long)0)); 
{ /* Llib/DER.scm 62 */
 obj_t BgL_head1079z00_88;
BgL_head1079z00_88 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1077z00_90; obj_t BgL_tail1080z00_91;
BgL_l1077z00_90 = BgL_l1077z00_86; 
BgL_tail1080z00_91 = BgL_head1079z00_88; 
BgL_zc3z04anonymousza31130ze3z87_92:
if(
NULLP(BgL_l1077z00_90))
{ /* Llib/DER.scm 62 */
BGl_za2universalzd2invzd2tagsza2z00zz__cryptozd2DERzd2 = 
CDR(BgL_head1079z00_88); }  else 
{ /* Llib/DER.scm 62 */
 obj_t BgL_newtail1081z00_94;
{ /* Llib/DER.scm 62 */
 obj_t BgL_arg1133z00_96;
{ /* Llib/DER.scm 62 */
 obj_t BgL_pz00_97;
BgL_pz00_97 = 
CAR(
((obj_t)BgL_l1077z00_90)); 
{ /* Llib/DER.scm 62 */
 obj_t BgL_arg1134z00_98; obj_t BgL_arg1137z00_99;
{ /* Llib/DER.scm 62 */
 obj_t BgL_pairz00_705;
BgL_pairz00_705 = 
CDR(
((obj_t)BgL_pz00_97)); 
BgL_arg1134z00_98 = 
CAR(BgL_pairz00_705); } 
BgL_arg1137z00_99 = 
CAR(
((obj_t)BgL_pz00_97)); 
{ /* Llib/DER.scm 62 */
 obj_t BgL_list1138z00_100;
{ /* Llib/DER.scm 62 */
 obj_t BgL_arg1139z00_101;
BgL_arg1139z00_101 = 
MAKE_YOUNG_PAIR(BgL_arg1137z00_99, BNIL); 
BgL_list1138z00_100 = 
MAKE_YOUNG_PAIR(BgL_arg1134z00_98, BgL_arg1139z00_101); } 
BgL_arg1133z00_96 = BgL_list1138z00_100; } } } 
BgL_newtail1081z00_94 = 
MAKE_YOUNG_PAIR(BgL_arg1133z00_96, BNIL); } 
SET_CDR(BgL_tail1080z00_91, BgL_newtail1081z00_94); 
{ /* Llib/DER.scm 62 */
 obj_t BgL_arg1132z00_95;
BgL_arg1132z00_95 = 
CDR(
((obj_t)BgL_l1077z00_90)); 
{ 
 obj_t BgL_tail1080z00_1452; obj_t BgL_l1077z00_1451;
BgL_l1077z00_1451 = BgL_arg1132z00_95; 
BgL_tail1080z00_1452 = BgL_newtail1081z00_94; 
BgL_tail1080z00_91 = BgL_tail1080z00_1452; 
BgL_l1077z00_90 = BgL_l1077z00_1451; 
goto BgL_zc3z04anonymousza31130ze3z87_92;} } } } } } 
{ /* Llib/DER.scm 64 */
 obj_t BgL_l1082z00_103;
BgL_l1082z00_103 = 
CNST_TABLE_REF(((long)1)); 
{ /* Llib/DER.scm 64 */
 obj_t BgL_head1084z00_105;
BgL_head1084z00_105 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1082z00_107; obj_t BgL_tail1085z00_108;
BgL_l1082z00_107 = BgL_l1082z00_103; 
BgL_tail1085z00_108 = BgL_head1084z00_105; 
BgL_zc3z04anonymousza31141ze3z87_109:
if(
NULLP(BgL_l1082z00_107))
{ /* Llib/DER.scm 64 */
BGl_za2classzd2invzd2tagza2z00zz__cryptozd2DERzd2 = 
CDR(BgL_head1084z00_105); }  else 
{ /* Llib/DER.scm 64 */
 obj_t BgL_newtail1086z00_111;
{ /* Llib/DER.scm 64 */
 obj_t BgL_arg1144z00_113;
{ /* Llib/DER.scm 64 */
 obj_t BgL_pz00_114;
BgL_pz00_114 = 
CAR(
((obj_t)BgL_l1082z00_107)); 
{ /* Llib/DER.scm 64 */
 obj_t BgL_arg1145z00_115; obj_t BgL_arg1146z00_116;
{ /* Llib/DER.scm 64 */
 obj_t BgL_pairz00_715;
BgL_pairz00_715 = 
CDR(
((obj_t)BgL_pz00_114)); 
BgL_arg1145z00_115 = 
CAR(BgL_pairz00_715); } 
BgL_arg1146z00_116 = 
CAR(
((obj_t)BgL_pz00_114)); 
{ /* Llib/DER.scm 64 */
 obj_t BgL_list1147z00_117;
{ /* Llib/DER.scm 64 */
 obj_t BgL_arg1149z00_118;
BgL_arg1149z00_118 = 
MAKE_YOUNG_PAIR(BgL_arg1146z00_116, BNIL); 
BgL_list1147z00_117 = 
MAKE_YOUNG_PAIR(BgL_arg1145z00_115, BgL_arg1149z00_118); } 
BgL_arg1144z00_113 = BgL_list1147z00_117; } } } 
BgL_newtail1086z00_111 = 
MAKE_YOUNG_PAIR(BgL_arg1144z00_113, BNIL); } 
SET_CDR(BgL_tail1085z00_108, BgL_newtail1086z00_111); 
{ /* Llib/DER.scm 64 */
 obj_t BgL_arg1143z00_112;
BgL_arg1143z00_112 = 
CDR(
((obj_t)BgL_l1082z00_107)); 
{ 
 obj_t BgL_tail1085z00_1472; obj_t BgL_l1082z00_1471;
BgL_l1082z00_1471 = BgL_arg1143z00_112; 
BgL_tail1085z00_1472 = BgL_newtail1086z00_111; 
BgL_tail1085z00_108 = BgL_tail1085z00_1472; 
BgL_l1082z00_107 = BgL_l1082z00_1471; 
goto BgL_zc3z04anonymousza31141ze3z87_109;} } } } } } 
{ /* Llib/DER.scm 66 */
 obj_t BgL_l1087z00_120;
BgL_l1087z00_120 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/DER.scm 66 */
 obj_t BgL_head1089z00_122;
BgL_head1089z00_122 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1087z00_124; obj_t BgL_tail1090z00_125;
BgL_l1087z00_124 = BgL_l1087z00_120; 
BgL_tail1090z00_125 = BgL_head1089z00_122; 
BgL_zc3z04anonymousza31151ze3z87_126:
if(
NULLP(BgL_l1087z00_124))
{ /* Llib/DER.scm 66 */
return ( 
BGl_za2primzf2constrzd2invzd2tagza2zf2zz__cryptozd2DERzd2 = 
CDR(BgL_head1089z00_122), BUNSPEC) ;}  else 
{ /* Llib/DER.scm 66 */
 obj_t BgL_newtail1091z00_128;
{ /* Llib/DER.scm 66 */
 obj_t BgL_arg1154z00_130;
{ /* Llib/DER.scm 66 */
 obj_t BgL_pz00_131;
BgL_pz00_131 = 
CAR(
((obj_t)BgL_l1087z00_124)); 
{ /* Llib/DER.scm 66 */
 obj_t BgL_arg1155z00_132; obj_t BgL_arg1156z00_133;
{ /* Llib/DER.scm 66 */
 obj_t BgL_pairz00_725;
BgL_pairz00_725 = 
CDR(
((obj_t)BgL_pz00_131)); 
BgL_arg1155z00_132 = 
CAR(BgL_pairz00_725); } 
BgL_arg1156z00_133 = 
CAR(
((obj_t)BgL_pz00_131)); 
{ /* Llib/DER.scm 66 */
 obj_t BgL_list1157z00_134;
{ /* Llib/DER.scm 66 */
 obj_t BgL_arg1159z00_135;
BgL_arg1159z00_135 = 
MAKE_YOUNG_PAIR(BgL_arg1156z00_133, BNIL); 
BgL_list1157z00_134 = 
MAKE_YOUNG_PAIR(BgL_arg1155z00_132, BgL_arg1159z00_135); } 
BgL_arg1154z00_130 = BgL_list1157z00_134; } } } 
BgL_newtail1091z00_128 = 
MAKE_YOUNG_PAIR(BgL_arg1154z00_130, BNIL); } 
SET_CDR(BgL_tail1090z00_125, BgL_newtail1091z00_128); 
{ /* Llib/DER.scm 66 */
 obj_t BgL_arg1153z00_129;
BgL_arg1153z00_129 = 
CDR(
((obj_t)BgL_l1087z00_124)); 
{ 
 obj_t BgL_tail1090z00_1492; obj_t BgL_l1087z00_1491;
BgL_l1087z00_1491 = BgL_arg1153z00_129; 
BgL_tail1090z00_1492 = BgL_newtail1091z00_128; 
BgL_tail1090z00_125 = BgL_tail1090z00_1492; 
BgL_l1087z00_124 = BgL_l1087z00_1491; 
goto BgL_zc3z04anonymousza31151ze3z87_126;} } } } } } } 

}



/* lookup */
obj_t BGl_lookupz00zz__cryptozd2DERzd2(obj_t BgL_xz00_3, obj_t BgL_fromz00_4)
{
{ /* Llib/DER.scm 68 */
{ /* Llib/DER.scm 69 */
 obj_t BgL_tz00_730;
BgL_tz00_730 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_xz00_3, BgL_fromz00_4); 
if(
CBOOL(BgL_tz00_730))
{ /* Llib/DER.scm 70 */BFALSE; }  else 
{ /* Llib/DER.scm 70 */
BGl_errorz00zz__errorz00(BGl_string1920z00zz__cryptozd2DERzd2, BGl_string1921z00zz__cryptozd2DERzd2, BgL_xz00_3); } 
{ /* Llib/DER.scm 74 */
 obj_t BgL_pairz00_734;
BgL_pairz00_734 = 
CDR(
((obj_t)BgL_tz00_730)); 
return 
CAR(BgL_pairz00_734);} } } 

}



/* class-tag */
obj_t BGl_classzd2tagzd2zz__cryptozd2DERzd2(obj_t BgL_cz00_6)
{
{ /* Llib/DER.scm 77 */
{ /* Llib/DER.scm 77 */
 obj_t BgL_fromz00_741;
BgL_fromz00_741 = 
CNST_TABLE_REF(((long)1)); 
{ /* Llib/DER.scm 69 */
 obj_t BgL_tz00_742;
BgL_tz00_742 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_cz00_6, BgL_fromz00_741); 
if(
CBOOL(BgL_tz00_742))
{ /* Llib/DER.scm 70 */BFALSE; }  else 
{ /* Llib/DER.scm 70 */
BGl_errorz00zz__errorz00(BGl_string1920z00zz__cryptozd2DERzd2, BGl_string1921z00zz__cryptozd2DERzd2, BgL_cz00_6); } 
{ /* Llib/DER.scm 74 */
 obj_t BgL_pairz00_746;
BgL_pairz00_746 = 
CDR(
((obj_t)BgL_tz00_742)); 
return 
CAR(BgL_pairz00_746);} } } } 

}



/* prim/constr-tag */
obj_t BGl_primzf2constrzd2tagz20zz__cryptozd2DERzd2(obj_t BgL_pzf2czf2_7)
{
{ /* Llib/DER.scm 78 */
{ /* Llib/DER.scm 78 */
 obj_t BgL_fromz00_747;
BgL_fromz00_747 = 
CNST_TABLE_REF(((long)2)); 
{ /* Llib/DER.scm 69 */
 obj_t BgL_tz00_748;
BgL_tz00_748 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_pzf2czf2_7, BgL_fromz00_747); 
if(
CBOOL(BgL_tz00_748))
{ /* Llib/DER.scm 70 */BFALSE; }  else 
{ /* Llib/DER.scm 70 */
BGl_errorz00zz__errorz00(BGl_string1920z00zz__cryptozd2DERzd2, BGl_string1921z00zz__cryptozd2DERzd2, BgL_pzf2czf2_7); } 
{ /* Llib/DER.scm 74 */
 obj_t BgL_pairz00_752;
BgL_pairz00_752 = 
CDR(
((obj_t)BgL_tz00_748)); 
return 
CAR(BgL_pairz00_752);} } } } 

}



/* display-octet */
obj_t BGl_displayzd2octetzd2zz__cryptozd2DERzd2(obj_t BgL_oz00_11, obj_t BgL_pz00_12)
{
{ /* Llib/DER.scm 90 */
{ 
 obj_t BgL_anyz00_148;
{ /* Llib/DER.scm 102 */
 obj_t BgL_auxz00_1516;
BgL_anyz00_148 = BgL_oz00_11; 
BgL_zc3z04anonymousza31169ze3z87_149:
if(
CHARP(BgL_anyz00_148))
{ /* Llib/DER.scm 93 */
BgL_auxz00_1516 = BgL_anyz00_148
; }  else 
{ /* Llib/DER.scm 93 */
if(
INTEGERP(BgL_anyz00_148))
{ /* Llib/DER.scm 94 */
BgL_auxz00_1516 = 
BCHAR(
(
(long)CINT(BgL_anyz00_148)))
; }  else 
{ /* Llib/DER.scm 94 */
if(
BIGNUMP(BgL_anyz00_148))
{ /* Llib/DER.scm 95 */
 long BgL_arg1174z00_153;
BgL_arg1174z00_153 = 
bgl_bignum_to_long(BgL_anyz00_148); 
{ 
 obj_t BgL_anyz00_1527;
BgL_anyz00_1527 = 
BINT(BgL_arg1174z00_153); 
BgL_anyz00_148 = BgL_anyz00_1527; 
goto BgL_zc3z04anonymousza31169ze3z87_149;} }  else 
{ /* Llib/DER.scm 95 */
if(
ELONGP(BgL_anyz00_148))
{ /* Llib/DER.scm 96 */
 long BgL_arg1177z00_155;
{ /* Llib/DER.scm 96 */
 long BgL_xz00_773;
BgL_xz00_773 = 
BELONG_TO_LONG(BgL_anyz00_148); 
BgL_arg1177z00_155 = 
(long)(BgL_xz00_773); } 
{ 
 obj_t BgL_anyz00_1533;
BgL_anyz00_1533 = 
BINT(BgL_arg1177z00_155); 
BgL_anyz00_148 = BgL_anyz00_1533; 
goto BgL_zc3z04anonymousza31169ze3z87_149;} }  else 
{ /* Llib/DER.scm 96 */
if(
LLONGP(BgL_anyz00_148))
{ /* Llib/DER.scm 97 */
 long BgL_arg1179z00_157;
{ /* Llib/DER.scm 97 */
 BGL_LONGLONG_T BgL_tmpz00_1537;
BgL_tmpz00_1537 = 
BLLONG_TO_LLONG(BgL_anyz00_148); 
BgL_arg1179z00_157 = 
LLONG_TO_LONG(BgL_tmpz00_1537); } 
{ 
 obj_t BgL_anyz00_1540;
BgL_anyz00_1540 = 
BINT(BgL_arg1179z00_157); 
BgL_anyz00_148 = BgL_anyz00_1540; 
goto BgL_zc3z04anonymousza31169ze3z87_149;} }  else 
{ /* Llib/DER.scm 97 */
BgL_auxz00_1516 = 
BGl_errorz00zz__errorz00(BGl_string1922z00zz__cryptozd2DERzd2, BGl_string1923z00zz__cryptozd2DERzd2, BgL_anyz00_148)
; } } } } } 
return 
bgl_display_obj(BgL_auxz00_1516, BgL_pz00_12);} } } 

}



/* read-octet */
long BGl_readzd2octetzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_13)
{
{ /* Llib/DER.scm 104 */
{ /* Llib/DER.scm 105 */
 obj_t BgL_cz00_159;
BgL_cz00_159 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_13); 
if(
EOF_OBJECTP(BgL_cz00_159))
{ /* Llib/DER.scm 106 */
BGl_errorz00zz__errorz00(BGl_string1924z00zz__cryptozd2DERzd2, BGl_string1925z00zz__cryptozd2DERzd2, BFALSE); }  else 
{ /* Llib/DER.scm 106 */BFALSE; } 
return 
(
CCHAR(BgL_cz00_159));} } 

}



/* encode-short-identifier */
obj_t BGl_encodezd2shortzd2identifierz00zz__cryptozd2DERzd2(obj_t BgL_classz00_14, obj_t BgL_primzf2constrzf2_15, obj_t BgL_nz00_16, obj_t BgL_pz00_17)
{
{ /* Llib/DER.scm 117 */
{ /* Llib/DER.scm 120 */
 long BgL_arg1181z00_776;
{ /* Llib/DER.scm 120 */
 obj_t BgL_arg1183z00_777; long BgL_arg1185z00_778;
BgL_arg1183z00_777 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_classz00_14, 
CNST_TABLE_REF(((long)1))); 
{ /* Llib/DER.scm 121 */
 obj_t BgL_arg1187z00_779;
BgL_arg1187z00_779 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_primzf2constrzf2_15, 
CNST_TABLE_REF(((long)2))); 
BgL_arg1185z00_778 = 
(
(long)CINT(BgL_arg1187z00_779)+
(long)CINT(BgL_nz00_16)); } 
BgL_arg1181z00_776 = 
(
(long)CINT(BgL_arg1183z00_777)+BgL_arg1185z00_778); } 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1181z00_776), BgL_pz00_17);} } 

}



/* encode-long-identifier */
obj_t BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(obj_t BgL_classz00_18, obj_t BgL_primzf2constrzf2_19, obj_t BgL_nz00_20, obj_t BgL_pz00_21)
{
{ /* Llib/DER.scm 124 */
{ /* Llib/DER.scm 127 */
 long BgL_startzd2octetzd2_166;
{ /* Llib/DER.scm 127 */
 obj_t BgL_arg1201z00_177; long BgL_arg1202z00_178;
BgL_arg1201z00_177 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_classz00_18, 
CNST_TABLE_REF(((long)1))); 
{ /* Llib/DER.scm 128 */
 obj_t BgL_arg1206z00_179;
BgL_arg1206z00_179 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_primzf2constrzf2_19, 
CNST_TABLE_REF(((long)2))); 
BgL_arg1202z00_178 = 
(
(long)CINT(BgL_arg1206z00_179)+((long)31)); } 
BgL_startzd2octetzd2_166 = 
(
(long)CINT(BgL_arg1201z00_177)+BgL_arg1202z00_178); } 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_startzd2octetzd2_166), BgL_pz00_21); 
return 
BGl_recze72ze7zz__cryptozd2DERzd2(BgL_pz00_21, ((long)127), BgL_nz00_20, ((long)0));} } 

}



/* rec~2 */
obj_t BGl_recze72ze7zz__cryptozd2DERzd2(obj_t BgL_pz00_1349, long BgL_bits7zd2maskzd2_1348, obj_t BgL_nz00_168, long BgL_bit8z00_169)
{
{ /* Llib/DER.scm 133 */
if(
(
(long)CINT(BgL_nz00_168)<BgL_bits7zd2maskzd2_1348))
{ /* Llib/DER.scm 136 */
 long BgL_arg1190z00_172;
BgL_arg1190z00_172 = 
(BgL_bit8z00_169+
(long)CINT(BgL_nz00_168)); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1190z00_172), BgL_pz00_1349);}  else 
{ /* Llib/DER.scm 135 */
{ /* Llib/DER.scm 138 */
 long BgL_arg1194z00_173;
BgL_arg1194z00_173 = 
(
(long)CINT(BgL_nz00_168) >> 
(int)(((long)7))); 
BGl_recze72ze7zz__cryptozd2DERzd2(BgL_pz00_1349, BgL_bits7zd2maskzd2_1348, 
BINT(BgL_arg1194z00_173), ((long)128)); } 
{ /* Llib/DER.scm 141 */
 long BgL_arg1197z00_174;
BgL_arg1197z00_174 = 
(BgL_bit8z00_169+
(
(long)CINT(BgL_nz00_168) & BgL_bits7zd2maskzd2_1348)); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1197z00_174), BgL_pz00_1349);} } } 

}



/* decode-identifier */
obj_t BGl_decodezd2identifierzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_26)
{
{ /* Llib/DER.scm 148 */
{ /* Llib/DER.scm 152 */
 long BgL_oz00_184;
BgL_oz00_184 = 
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_26); 
{ /* Llib/DER.scm 152 */
 obj_t BgL_classz00_185;
{ /* Llib/DER.scm 153 */
 long BgL_arg1214z00_206;
BgL_arg1214z00_206 = 
(BgL_oz00_184 & ((long)192)); 
BgL_classz00_185 = 
BGl_lookupz00zz__cryptozd2DERzd2(
BINT(BgL_arg1214z00_206), BGl_za2classzd2invzd2tagza2z00zz__cryptozd2DERzd2); } 
{ /* Llib/DER.scm 153 */
 obj_t BgL_primzf2constrzf2_186;
{ /* Llib/DER.scm 154 */
 long BgL_arg1213z00_205;
BgL_arg1213z00_205 = 
(BgL_oz00_184 & ((long)32)); 
BgL_primzf2constrzf2_186 = 
BGl_lookupz00zz__cryptozd2DERzd2(
BINT(BgL_arg1213z00_205), BGl_za2primzf2constrzd2invzd2tagza2zf2zz__cryptozd2DERzd2); } 
{ /* Llib/DER.scm 154 */
 long BgL_tagzd2numzd2_187;
BgL_tagzd2numzd2_187 = 
(BgL_oz00_184 & ((long)31)); 
{ /* Llib/DER.scm 155 */

if(
(BgL_tagzd2numzd2_187<((long)31)))
{ /* Llib/DER.scm 156 */
{ /* Llib/DER.scm 157 */
 int BgL_tmpz00_1599;
BgL_tmpz00_1599 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1599); } 
{ /* Llib/DER.scm 157 */
 int BgL_tmpz00_1602;
BgL_tmpz00_1602 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1602, BgL_primzf2constrzf2_186); } 
{ /* Llib/DER.scm 157 */
 obj_t BgL_auxz00_1607; int BgL_tmpz00_1605;
BgL_auxz00_1607 = 
BINT(BgL_tagzd2numzd2_187); 
BgL_tmpz00_1605 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1605, BgL_auxz00_1607); } 
return BgL_classz00_185;}  else 
{ 
 long BgL_tagzd2numzd2_193;
BgL_tagzd2numzd2_193 = ((long)0); 
BgL_zc3z04anonymousza31209ze3z87_194:
{ /* Llib/DER.scm 159 */
 long BgL_oz00_195;
BgL_oz00_195 = 
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_26); 
{ /* Llib/DER.scm 159 */
 bool_t BgL_lastzf3zf3_196;
BgL_lastzf3zf3_196 = 
(
(((long)128) & BgL_oz00_195)==((long)0)); 
{ /* Llib/DER.scm 160 */
 long BgL_dataz00_197;
BgL_dataz00_197 = 
(((long)127) & BgL_oz00_195); 
{ /* Llib/DER.scm 161 */
 long BgL_newzd2tagzd2numz00_198;
BgL_newzd2tagzd2numz00_198 = 
(
(BgL_tagzd2numzd2_193 << 
(int)(((long)7)))+BgL_dataz00_197); 
{ /* Llib/DER.scm 162 */

if(BgL_lastzf3zf3_196)
{ /* Llib/DER.scm 163 */
{ /* Llib/DER.scm 164 */
 int BgL_tmpz00_1618;
BgL_tmpz00_1618 = 
(int)(((long)3)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1618); } 
{ /* Llib/DER.scm 164 */
 int BgL_tmpz00_1621;
BgL_tmpz00_1621 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1621, BgL_primzf2constrzf2_186); } 
{ /* Llib/DER.scm 164 */
 obj_t BgL_auxz00_1626; int BgL_tmpz00_1624;
BgL_auxz00_1626 = 
BINT(BgL_newzd2tagzd2numz00_198); 
BgL_tmpz00_1624 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1624, BgL_auxz00_1626); } 
return BgL_classz00_185;}  else 
{ 
 long BgL_tagzd2numzd2_1629;
BgL_tagzd2numzd2_1629 = BgL_newzd2tagzd2numz00_198; 
BgL_tagzd2numzd2_193 = BgL_tagzd2numzd2_1629; 
goto BgL_zc3z04anonymousza31209ze3z87_194;} } } } } } } } } } } } } 

}



/* encode-long-definite-length */
obj_t BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(long BgL_lz00_30, obj_t BgL_pz00_31)
{
{ /* Llib/DER.scm 180 */
{ /* Llib/DER.scm 187 */
 long BgL_nbzd2octetszd2_208;
BgL_nbzd2octetszd2_208 = 
BGl_nbzd2octetszd2neededze70ze7zz__cryptozd2DERzd2(BgL_lz00_30); 
{ /* Llib/DER.scm 189 */
 long BgL_arg1215z00_209;
BgL_arg1215z00_209 = 
(((long)128)+BgL_nbzd2octetszd2_208); 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1215z00_209), BgL_pz00_31); } 
return 
BGl_recze71ze7zz__cryptozd2DERzd2(BgL_pz00_31, BgL_lz00_30);} } 

}



/* nb-octets-needed~0 */
long BGl_nbzd2octetszd2neededze70ze7zz__cryptozd2DERzd2(long BgL_lz00_217)
{
{ /* Llib/DER.scm 185 */
if(
(BgL_lz00_217==((long)0)))
{ /* Llib/DER.scm 183 */
return ((long)0);}  else 
{ /* Llib/DER.scm 183 */
return 
(((long)1)+
BGl_nbzd2octetszd2neededze70ze7zz__cryptozd2DERzd2(
(BgL_lz00_217 >> 
(int)(((long)8)))));} } 

}



/* rec~1 */
obj_t BGl_recze71ze7zz__cryptozd2DERzd2(obj_t BgL_pz00_1347, long BgL_lz00_211)
{
{ /* Llib/DER.scm 191 */
if(
(BgL_lz00_211==((long)0)))
{ /* Llib/DER.scm 192 */
return BFALSE;}  else 
{ /* Llib/DER.scm 192 */
BGl_recze71ze7zz__cryptozd2DERzd2(BgL_pz00_1347, 
(BgL_lz00_211 >> 
(int)(((long)8)))); 
{ /* Llib/DER.scm 194 */
 long BgL_arg1219z00_215;
BgL_arg1219z00_215 = 
(BgL_lz00_211 & ((long)255)); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1219z00_215), BgL_pz00_1347);} } } 

}



/* decode-length */
obj_t BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_36)
{
{ /* Llib/DER.scm 210 */
{ /* Llib/DER.scm 211 */
 long BgL_oz00_224;
BgL_oz00_224 = 
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_36); 
if(
(BgL_oz00_224==((long)128)))
{ /* Llib/DER.scm 213 */
return BFALSE;}  else 
{ /* Llib/DER.scm 213 */
if(
(
(BgL_oz00_224 & ((long)128))==((long)0)))
{ /* Llib/DER.scm 215 */
return 
BINT(
(BgL_oz00_224 & ((long)127)));}  else 
{ /* Llib/DER.scm 219 */
 long BgL_g1057z00_228;
BgL_g1057z00_228 = 
(BgL_oz00_224 & ((long)127)); 
{ 
 long BgL_lenz00_843; long BgL_remainingz00_844;
{ /* Llib/DER.scm 219 */
 long BgL_tmpz00_1658;
BgL_lenz00_843 = ((long)0); 
BgL_remainingz00_844 = BgL_g1057z00_228; 
BgL_loopz00_842:
if(
(BgL_remainingz00_844==((long)0)))
{ /* Llib/DER.scm 221 */
BgL_tmpz00_1658 = BgL_lenz00_843
; }  else 
{ 
 long BgL_remainingz00_1665; long BgL_lenz00_1661;
BgL_lenz00_1661 = 
(
(BgL_lenz00_843*((long)256))+
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_36)); 
BgL_remainingz00_1665 = 
(BgL_remainingz00_844-((long)1)); 
BgL_remainingz00_844 = BgL_remainingz00_1665; 
BgL_lenz00_843 = BgL_lenz00_1661; 
goto BgL_loopz00_842;} 
return 
BINT(BgL_tmpz00_1658);} } } } } } 

}



/* decode-bool */
bool_t BGl_decodezd2boolzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_39)
{
{ /* Llib/DER.scm 236 */
{ /* Llib/DER.scm 237 */
 obj_t BgL_lz00_242;
BgL_lz00_242 = 
BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(BgL_pz00_39); 
if(
(
(long)CINT(BgL_lz00_242)==((long)1)))
{ /* Llib/DER.scm 238 */BFALSE; }  else 
{ /* Llib/DER.scm 238 */
BGl_errorz00zz__errorz00(BGl_string1926z00zz__cryptozd2DERzd2, BGl_string1927z00zz__cryptozd2DERzd2, BgL_lz00_242); } 
if(
(
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_39)==((long)0)))
{ /* Llib/DER.scm 242 */
return ((bool_t)0);}  else 
{ /* Llib/DER.scm 242 */
return ((bool_t)1);} } } 

}



/* encode-int/enum-content */
obj_t BGl_encodezd2intzf2enumzd2contentzf2zz__cryptozd2DERzd2(obj_t BgL_nz00_40, obj_t BgL_pz00_41)
{
{ /* Llib/DER.scm 247 */
{ /* Llib/DER.scm 249 */
 bool_t BgL_test2047z00_1676;
if(
INTEGERP(BgL_nz00_40))
{ /* Llib/DER.scm 249 */
BgL_test2047z00_1676 = 
(
(long)CINT(BgL_nz00_40)<((long)256))
; }  else 
{ /* Llib/DER.scm 249 */
BgL_test2047z00_1676 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_nz00_40, 
BINT(((long)256)))
; } 
if(BgL_test2047z00_1676)
{ /* Llib/DER.scm 249 */
if(
(((long)1)<=((long)127)))
{ /* Llib/DER.scm 197 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)1)), BgL_pz00_41); }  else 
{ /* Llib/DER.scm 197 */
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(((long)1), BgL_pz00_41); } 
BGL_TAIL return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(BgL_nz00_40, BgL_pz00_41);}  else 
{ /* Llib/DER.scm 249 */
return 
BGl_recze70ze7zz__cryptozd2DERzd2(BgL_pz00_41, BgL_nz00_40, ((long)0));} } } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__cryptozd2DERzd2(obj_t BgL_pz00_1346, obj_t BgL_nz00_249, long BgL_lenz00_250)
{
{ /* Llib/DER.scm 253 */
if(
BGl_za7erozf3z54zz__r4_numbers_6_5z00(BgL_nz00_249))
{ /* Llib/DER.scm 255 */
if(
(BgL_lenz00_250<=((long)127)))
{ /* Llib/DER.scm 197 */
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_lenz00_250), BgL_pz00_1346);}  else 
{ /* Llib/DER.scm 197 */
return 
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(BgL_lenz00_250, BgL_pz00_1346);} }  else 
{ /* Llib/DER.scm 255 */
BGl_recze70ze7zz__cryptozd2DERzd2(BgL_pz00_1346, 
BGl_quotientz00zz__r4_numbers_6_5_fixnumz00(BgL_nz00_249, 
BINT(((long)256))), 
(BgL_lenz00_250+((long)1))); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BGl_remainderz00zz__r4_numbers_6_5_fixnumz00(BgL_nz00_249, 
BINT(((long)256))), BgL_pz00_1346);} } 

}



/* decode-int/enumerated */
obj_t BGl_decodezd2intzf2enumeratedz20zz__cryptozd2DERzd2(obj_t BgL_pz00_46)
{
{ /* Llib/DER.scm 271 */
{ /* Llib/DER.scm 272 */
 obj_t BgL_g1058z00_259;
BgL_g1058z00_259 = 
BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(BgL_pz00_46); 
{ 
 obj_t BgL_nz00_261; obj_t BgL_lenz00_262;
BgL_nz00_261 = 
BINT(((long)0)); 
BgL_lenz00_262 = BgL_g1058z00_259; 
BgL_zc3z04anonymousza31281ze3z87_263:
if(
(
(long)CINT(BgL_lenz00_262)==((long)0)))
{ /* Llib/DER.scm 275 */
return BgL_nz00_261;}  else 
{ /* Llib/DER.scm 276 */
 bool_t BgL_test2053z00_1708;
if(
INTEGERP(BgL_nz00_261))
{ /* Llib/DER.scm 276 */
BgL_test2053z00_1708 = 
(
(long)CINT(BgL_nz00_261)>
(BGL_LONG_MAX/((long)256)))
; }  else 
{ /* Llib/DER.scm 276 */
BgL_test2053z00_1708 = ((bool_t)0)
; } 
if(BgL_test2053z00_1708)
{ 
 obj_t BgL_nz00_1714;
BgL_nz00_1714 = 
bgl_long_to_bignum(
(long)CINT(BgL_nz00_261)); 
BgL_nz00_261 = BgL_nz00_1714; 
goto BgL_zc3z04anonymousza31281ze3z87_263;}  else 
{ /* Llib/DER.scm 279 */
 obj_t BgL_arg1331z00_270; long BgL_arg1332z00_271;
{ /* Llib/DER.scm 279 */
 obj_t BgL_a1098z00_272;
if(
INTEGERP(BgL_nz00_261))
{ /* Llib/DER.scm 279 */
BgL_a1098z00_272 = 
BINT(
(
(long)CINT(BgL_nz00_261)*((long)256))); }  else 
{ /* Llib/DER.scm 279 */
BgL_a1098z00_272 = 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_nz00_261, 
BINT(((long)256))); } 
{ /* Llib/DER.scm 279 */
 long BgL_b1099z00_273;
BgL_b1099z00_273 = 
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_46); 
{ /* Llib/DER.scm 279 */

if(
INTEGERP(BgL_a1098z00_272))
{ /* Llib/DER.scm 279 */
BgL_arg1331z00_270 = 
ADDFX(BgL_a1098z00_272, 
BINT(BgL_b1099z00_273)); }  else 
{ /* Llib/DER.scm 279 */
BgL_arg1331z00_270 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1098z00_272, 
BINT(BgL_b1099z00_273)); } } } } 
BgL_arg1332z00_271 = 
(
(long)CINT(BgL_lenz00_262)-((long)1)); 
{ 
 obj_t BgL_lenz00_1734; obj_t BgL_nz00_1733;
BgL_nz00_1733 = BgL_arg1331z00_270; 
BgL_lenz00_1734 = 
BINT(BgL_arg1332z00_271); 
BgL_lenz00_262 = BgL_lenz00_1734; 
BgL_nz00_261 = BgL_nz00_1733; 
goto BgL_zc3z04anonymousza31281ze3z87_263;} } } } } } 

}



/* encode-sequence/set-content */
obj_t BGl_encodezd2sequencezf2setzd2contentzf2zz__cryptozd2DERzd2(obj_t BgL_lz00_51, obj_t BgL_pz00_52, bool_t BgL_definitezf3zf3_53, obj_t BgL_displayzd2funzd2_54)
{
{ /* Llib/DER.scm 299 */
if(BgL_definitezf3zf3_53)
{ /* Llib/DER.scm 307 */
 obj_t BgL_strzd2pzd2_281;
{ /* Llib/DER.scm 307 */

{ /* Llib/DER.scm 307 */

BgL_strzd2pzd2_281 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_displayzd2elsze70z35zz__cryptozd2DERzd2(BgL_displayzd2funzd2_54, BgL_lz00_51, BgL_strzd2pzd2_281); 
{ /* Llib/DER.scm 309 */
 obj_t BgL_strz00_282;
BgL_strz00_282 = 
bgl_close_output_port(BgL_strzd2pzd2_281); 
{ /* Llib/DER.scm 310 */
 long BgL_arg1338z00_283;
BgL_arg1338z00_283 = 
STRING_LENGTH(
((obj_t)BgL_strz00_282)); 
if(
(BgL_arg1338z00_283<=((long)127)))
{ /* Llib/DER.scm 197 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1338z00_283), BgL_pz00_52); }  else 
{ /* Llib/DER.scm 197 */
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(BgL_arg1338z00_283, BgL_pz00_52); } } 
{ 
 long BgL_iz00_285;
{ /* Llib/DER.scm 311 */
 bool_t BgL_tmpz00_1748;
BgL_iz00_285 = ((long)0); 
BgL_zc3z04anonymousza31339ze3z87_286:
if(
(BgL_iz00_285<
STRING_LENGTH(
((obj_t)BgL_strz00_282))))
{ /* Llib/DER.scm 312 */
{ /* Llib/DER.scm 313 */
 unsigned char BgL_arg1342z00_289;
BgL_arg1342z00_289 = 
STRING_REF(
((obj_t)BgL_strz00_282), BgL_iz00_285); 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BCHAR(BgL_arg1342z00_289), BgL_pz00_52); } 
{ 
 long BgL_iz00_1757;
BgL_iz00_1757 = 
(BgL_iz00_285+((long)1)); 
BgL_iz00_285 = BgL_iz00_1757; 
goto BgL_zc3z04anonymousza31339ze3z87_286;} }  else 
{ /* Llib/DER.scm 312 */
BgL_tmpz00_1748 = ((bool_t)0)
; } 
return 
BBOOL(BgL_tmpz00_1748);} } } }  else 
{ /* Llib/DER.scm 306 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)128)), BgL_pz00_52); 
BGl_displayzd2elsze70z35zz__cryptozd2DERzd2(BgL_displayzd2funzd2_54, BgL_lz00_51, BgL_pz00_52); 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)0)), BgL_pz00_52); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)0)), BgL_pz00_52);} } 

}



/* display-els~0 */
bool_t BGl_displayzd2elsze70z35zz__cryptozd2DERzd2(obj_t BgL_displayzd2funzd2_1345, obj_t BgL_lz00_294, obj_t BgL_pz00_295)
{
{ /* Llib/DER.scm 304 */
{ 
 obj_t BgL_l1100z00_298;
BgL_l1100z00_298 = BgL_lz00_294; 
BgL_zc3z04anonymousza31347ze3z87_299:
if(
PAIRP(BgL_l1100z00_298))
{ /* Llib/DER.scm 302 */
{ /* Llib/DER.scm 303 */
 obj_t BgL_elz00_301;
BgL_elz00_301 = 
CAR(BgL_l1100z00_298); 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_displayzd2funzd2_1345))(BgL_displayzd2funzd2_1345, BgL_elz00_301, BgL_pz00_295, BEOA); } 
{ 
 obj_t BgL_l1100z00_1775;
BgL_l1100z00_1775 = 
CDR(BgL_l1100z00_298); 
BgL_l1100z00_298 = BgL_l1100z00_1775; 
goto BgL_zc3z04anonymousza31347ze3z87_299;} }  else 
{ /* Llib/DER.scm 302 */
return ((bool_t)1);} } } 

}



/* search1116~0 */
obj_t BGl_search1116ze70ze7zz__cryptozd2DERzd2(obj_t BgL_l1115z00_1344, obj_t BgL_opt1113z00_1343, obj_t BgL_k1z00_306, obj_t BgL_iz00_307)
{
{ /* Llib/DER.scm 320 */
BGl_search1116ze70ze7zz__cryptozd2DERzd2:
if(
(
(long)CINT(BgL_iz00_307)==
(long)CINT(BgL_l1115z00_1344)))
{ /* Llib/DER.scm 320 */
return 
BINT(((long)-1));}  else 
{ /* Llib/DER.scm 320 */
if(
(
(long)CINT(BgL_iz00_307)==
(long)CINT(
SUBFX(BgL_l1115z00_1344, 
BINT(((long)1))))))
{ /* Llib/DER.scm 320 */
 obj_t BgL_arg1384z00_332;
BgL_arg1384z00_332 = 
BINT(
VECTOR_LENGTH(BgL_opt1113z00_1343)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)4)), BGl_string1929z00zz__cryptozd2DERzd2, BgL_arg1384z00_332);}  else 
{ /* Llib/DER.scm 320 */
 obj_t BgL_vz00_333;
BgL_vz00_333 = 
VECTOR_REF(BgL_opt1113z00_1343,
(long)CINT(BgL_iz00_307)); 
if(
(BgL_vz00_333==BgL_k1z00_306))
{ /* Llib/DER.scm 320 */
return 
ADDFX(BgL_iz00_307, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_1798;
BgL_iz00_1798 = 
ADDFX(BgL_iz00_307, 
BINT(((long)2))); 
BgL_iz00_307 = BgL_iz00_1798; 
goto BGl_search1116ze70ze7zz__cryptozd2DERzd2;} } } } 

}



/* search1124~0 */
obj_t BGl_search1124ze70ze7zz__cryptozd2DERzd2(obj_t BgL_l1123z00_1342, obj_t BgL_opt1121z00_1341, obj_t BgL_k1z00_338, obj_t BgL_iz00_339)
{
{ /* Llib/DER.scm 327 */
BGl_search1124ze70ze7zz__cryptozd2DERzd2:
if(
(
(long)CINT(BgL_iz00_339)==
(long)CINT(BgL_l1123z00_1342)))
{ /* Llib/DER.scm 327 */
return 
BINT(((long)-1));}  else 
{ /* Llib/DER.scm 327 */
if(
(
(long)CINT(BgL_iz00_339)==
(long)CINT(
SUBFX(BgL_l1123z00_1342, 
BINT(((long)1))))))
{ /* Llib/DER.scm 327 */
 obj_t BgL_arg1584z00_364;
BgL_arg1584z00_364 = 
BINT(
VECTOR_LENGTH(BgL_opt1121z00_1341)); 
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string1929z00zz__cryptozd2DERzd2, BgL_arg1584z00_364);}  else 
{ /* Llib/DER.scm 327 */
 obj_t BgL_vz00_365;
BgL_vz00_365 = 
VECTOR_REF(BgL_opt1121z00_1341,
(long)CINT(BgL_iz00_339)); 
if(
(BgL_vz00_365==BgL_k1z00_338))
{ /* Llib/DER.scm 327 */
return 
ADDFX(BgL_iz00_339, 
BINT(((long)1)));}  else 
{ 
 obj_t BgL_iz00_1822;
BgL_iz00_1822 = 
ADDFX(BgL_iz00_339, 
BINT(((long)2))); 
BgL_iz00_339 = BgL_iz00_1822; 
goto BGl_search1124ze70ze7zz__cryptozd2DERzd2;} } } } 

}



/* decode-sequence/set */
obj_t BGl_decodezd2sequencezf2setz20zz__cryptozd2DERzd2(obj_t BgL_pz00_67)
{
{ /* Llib/DER.scm 335 */
{ /* Llib/DER.scm 336 */
 obj_t BgL_lenz00_371;
BgL_lenz00_371 = 
BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(BgL_pz00_67); 
if(
CBOOL(BgL_lenz00_371))
{ /* Llib/DER.scm 338 */
 obj_t BgL_buffz00_372;
BgL_buffz00_372 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(BgL_lenz00_371, BgL_pz00_67); 
{ /* Llib/DER.scm 338 */
 obj_t BgL_strzd2pzd2_373;
{ /* Llib/DER.scm 339 */
 long BgL_endz00_389;
BgL_endz00_389 = 
STRING_LENGTH(
((obj_t)BgL_buffz00_372)); 
{ /* Llib/DER.scm 339 */

BgL_strzd2pzd2_373 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_buffz00_372, 
BINT(((long)0)), 
BINT(BgL_endz00_389)); } } 
{ /* Llib/DER.scm 339 */

if(
(
STRING_LENGTH(
((obj_t)BgL_buffz00_372))==
(long)CINT(BgL_lenz00_371)))
{ /* Llib/DER.scm 340 */BFALSE; }  else 
{ /* Llib/DER.scm 340 */
BGl_errorz00zz__errorz00(BGl_string1930z00zz__cryptozd2DERzd2, BGl_string1931z00zz__cryptozd2DERzd2, BFALSE); } 
{ 
 obj_t BgL_revzd2reszd2_379;
BgL_revzd2reszd2_379 = BNIL; 
BgL_zc3z04anonymousza31604ze3z87_380:
{ /* Llib/DER.scm 343 */
 bool_t BgL_test2069z00_1840;
{ /* Llib/DER.scm 343 */
 obj_t BgL_tmpz00_1841;
BgL_tmpz00_1841 = 
BGl_peekzd2charzd2zz__r4_input_6_10_2z00(BgL_strzd2pzd2_373); 
BgL_test2069z00_1840 = 
EOF_OBJECTP(BgL_tmpz00_1841); } 
if(BgL_test2069z00_1840)
{ /* Llib/DER.scm 343 */
return 
bgl_reverse_bang(BgL_revzd2reszd2_379);}  else 
{ /* Llib/DER.scm 345 */
 obj_t BgL_arg1617z00_383;
BgL_arg1617z00_383 = 
MAKE_YOUNG_PAIR(
BGl_decodezd2DERzd2zz__cryptozd2DERzd2(BgL_strzd2pzd2_373), BgL_revzd2reszd2_379); 
{ 
 obj_t BgL_revzd2reszd2_1847;
BgL_revzd2reszd2_1847 = BgL_arg1617z00_383; 
BgL_revzd2reszd2_379 = BgL_revzd2reszd2_1847; 
goto BgL_zc3z04anonymousza31604ze3z87_380;} } } } } } }  else 
{ /* Llib/DER.scm 337 */
return 
BGl_errorz00zz__errorz00(BGl_string1932z00zz__cryptozd2DERzd2, BGl_string1933z00zz__cryptozd2DERzd2, BFALSE);} } } 

}



/* decode-set */
BgL_derzd2setzd2_bglt BGl_decodezd2setzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_69)
{
{ /* Llib/DER.scm 353 */
{ /* Llib/DER.scm 354 */
 BgL_derzd2setzd2_bglt BgL_new1064z00_390;
{ /* Llib/DER.scm 354 */
 BgL_derzd2setzd2_bglt BgL_new1063z00_391;
BgL_new1063z00_391 = 
((BgL_derzd2setzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_derzd2setzd2_bgl) ))); 
{ /* Llib/DER.scm 354 */
 long BgL_arg1620z00_392;
BgL_arg1620z00_392 = 
BGL_CLASS_NUM(BGl_DERzd2Setzd2zz__cryptozd2DERzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1063z00_391), BgL_arg1620z00_392); } 
{ /* Llib/DER.scm 354 */
 BgL_objectz00_bglt BgL_tmpz00_1853;
BgL_tmpz00_1853 = 
((BgL_objectz00_bglt)BgL_new1063z00_391); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1853, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1063z00_391); 
BgL_new1064z00_390 = BgL_new1063z00_391; } 
((((BgL_derzd2setzd2_bglt)COBJECT(BgL_new1064z00_390))->BgL_setz00)=((obj_t)
BGl_decodezd2sequencezf2setz20zz__cryptozd2DERzd2(BgL_pz00_69)),BUNSPEC); 
return BgL_new1064z00_390;} } 

}



/* oids->symbol */
obj_t BGl_oidszd2ze3symbolz31zz__cryptozd2DERzd2(obj_t BgL_subzd2oidszd2_70)
{
{ /* Llib/DER.scm 356 */
{ /* Llib/DER.scm 358 */
 obj_t BgL_arg1629z00_393;
{ /* Llib/DER.scm 358 */
 obj_t BgL_runner1692z00_416;
{ /* Llib/DER.scm 360 */
 obj_t BgL_arg1631z00_394;
{ /* Llib/DER.scm 360 */
 obj_t BgL_arg1650z00_395; obj_t BgL_arg1651z00_396;
{ /* Llib/DER.scm 360 */

BgL_arg1650z00_395 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(
CAR(
((obj_t)BgL_subzd2oidszd2_70)), 
BINT(((long)10))); } 
{ /* Llib/DER.scm 361 */
 obj_t BgL_l1104z00_400;
BgL_l1104z00_400 = 
CDR(
((obj_t)BgL_subzd2oidszd2_70)); 
if(
NULLP(BgL_l1104z00_400))
{ /* Llib/DER.scm 361 */
BgL_arg1651z00_396 = BNIL; }  else 
{ /* Llib/DER.scm 361 */
 obj_t BgL_head1106z00_402;
BgL_head1106z00_402 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1104z00_404; obj_t BgL_tail1107z00_405;
BgL_l1104z00_404 = BgL_l1104z00_400; 
BgL_tail1107z00_405 = BgL_head1106z00_402; 
BgL_zc3z04anonymousza31664ze3z87_406:
if(
NULLP(BgL_l1104z00_404))
{ /* Llib/DER.scm 361 */
BgL_arg1651z00_396 = 
CDR(BgL_head1106z00_402); }  else 
{ /* Llib/DER.scm 361 */
 obj_t BgL_newtail1108z00_408;
{ /* Llib/DER.scm 361 */
 obj_t BgL_arg1679z00_410;
{ /* Llib/DER.scm 361 */
 obj_t BgL_oidz00_411;
BgL_oidz00_411 = 
CAR(
((obj_t)BgL_l1104z00_404)); 
{ /* Llib/DER.scm 362 */
 obj_t BgL_arg1691z00_412;
{ /* Llib/DER.scm 362 */

BgL_arg1691z00_412 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_oidz00_411, 
BINT(((long)10))); } 
BgL_arg1679z00_410 = 
string_append(BGl_string1934z00zz__cryptozd2DERzd2, BgL_arg1691z00_412); } } 
BgL_newtail1108z00_408 = 
MAKE_YOUNG_PAIR(BgL_arg1679z00_410, BNIL); } 
SET_CDR(BgL_tail1107z00_405, BgL_newtail1108z00_408); 
{ /* Llib/DER.scm 361 */
 obj_t BgL_arg1670z00_409;
BgL_arg1670z00_409 = 
CDR(
((obj_t)BgL_l1104z00_404)); 
{ 
 obj_t BgL_tail1107z00_1881; obj_t BgL_l1104z00_1880;
BgL_l1104z00_1880 = BgL_arg1670z00_409; 
BgL_tail1107z00_1881 = BgL_newtail1108z00_408; 
BgL_tail1107z00_405 = BgL_tail1107z00_1881; 
BgL_l1104z00_404 = BgL_l1104z00_1880; 
goto BgL_zc3z04anonymousza31664ze3z87_406;} } } } } } 
BgL_arg1631z00_394 = 
MAKE_YOUNG_PAIR(BgL_arg1650z00_395, BgL_arg1651z00_396); } 
BgL_runner1692z00_416 = 
MAKE_YOUNG_PAIR(BGl_string1935z00zz__cryptozd2DERzd2, BgL_arg1631z00_394); } 
BgL_arg1629z00_393 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_runner1692z00_416); } 
return 
bstring_to_symbol(BgL_arg1629z00_393);} } 

}



/* symbol->oids */
obj_t BGl_symbolzd2ze3oidsz31zz__cryptozd2DERzd2(obj_t BgL_symz00_71)
{
{ /* Llib/DER.scm 365 */
{ /* Llib/DER.scm 370 */
 obj_t BgL_strz00_418;
{ /* Llib/DER.scm 370 */
 obj_t BgL_arg1462z00_1011;
BgL_arg1462z00_1011 = 
SYMBOL_TO_STRING(BgL_symz00_71); 
BgL_strz00_418 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1462z00_1011); } 
{ /* Llib/DER.scm 371 */
 bool_t BgL_test2072z00_1888;
{ /* Llib/DER.scm 371 */

BgL_test2072z00_1888 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string1935z00zz__cryptozd2DERzd2, BgL_strz00_418, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2072z00_1888)
{ /* Llib/DER.scm 371 */BFALSE; }  else 
{ /* Llib/DER.scm 371 */
BGl_errorz00zz__errorz00(BGl_string1936z00zz__cryptozd2DERzd2, BGl_string1937z00zz__cryptozd2DERzd2, BgL_symz00_71); } } 
{ /* Llib/DER.scm 375 */
 obj_t BgL_g1066z00_433;
BgL_g1066z00_433 = 
c_substring(BgL_strz00_418, ((long)4), 
STRING_LENGTH(BgL_strz00_418)); 
{ 
 obj_t BgL_revzd2oidszd2_435; obj_t BgL_strz00_436;
BgL_revzd2oidszd2_435 = BNIL; 
BgL_strz00_436 = BgL_g1066z00_433; 
BgL_zc3z04anonymousza31696ze3z87_437:
if(
(
STRING_LENGTH(BgL_strz00_436)==((long)0)))
{ /* Llib/DER.scm 378 */
return 
bgl_reverse_bang(BgL_revzd2oidszd2_435);}  else 
{ /* Llib/DER.scm 380 */
 long BgL_oidz00_439; obj_t BgL_iz00_440;
{ /* Llib/DER.scm 380 */
 char * BgL_tmpz00_1897;
BgL_tmpz00_1897 = 
BSTRING_TO_STRING(BgL_strz00_436); 
BgL_oidz00_439 = 
BGL_STRTOL(BgL_tmpz00_1897, ((long)0), ((long)10)); } 
{ /* Llib/DER.scm 381 */

BgL_iz00_440 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_strz00_436, 
BCHAR(((unsigned char)'.')), 
BINT(((long)0))); } 
if(
CBOOL(BgL_iz00_440))
{ /* Llib/DER.scm 384 */
 obj_t BgL_arg1702z00_441; obj_t BgL_arg1703z00_442;
BgL_arg1702z00_441 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oidz00_439), BgL_revzd2oidszd2_435); 
BgL_arg1703z00_442 = 
c_substring(BgL_strz00_436, 
(
(long)CINT(BgL_iz00_440)+((long)1)), 
STRING_LENGTH(BgL_strz00_436)); 
{ 
 obj_t BgL_strz00_1912; obj_t BgL_revzd2oidszd2_1911;
BgL_revzd2oidszd2_1911 = BgL_arg1702z00_441; 
BgL_strz00_1912 = BgL_arg1703z00_442; 
BgL_strz00_436 = BgL_strz00_1912; 
BgL_revzd2oidszd2_435 = BgL_revzd2oidszd2_1911; 
goto BgL_zc3z04anonymousza31696ze3z87_437;} }  else 
{ /* Llib/DER.scm 383 */
 obj_t BgL_arg1711z00_445;
BgL_arg1711z00_445 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oidz00_439), BgL_revzd2oidszd2_435); 
{ 
 obj_t BgL_strz00_1916; obj_t BgL_revzd2oidszd2_1915;
BgL_revzd2oidszd2_1915 = BgL_arg1711z00_445; 
BgL_strz00_1916 = BGl_string1938z00zz__cryptozd2DERzd2; 
BgL_strz00_436 = BgL_strz00_1916; 
BgL_revzd2oidszd2_435 = BgL_revzd2oidszd2_1915; 
goto BgL_zc3z04anonymousza31696ze3z87_437;} } } } } } } 

}



/* decode-object-id */
obj_t BGl_decodezd2objectzd2idz00zz__cryptozd2DERzd2(obj_t BgL_pz00_72)
{
{ /* Llib/DER.scm 387 */
{ 
 obj_t BgL_subzd2oidzd2_492; obj_t BgL_pz00_476;
{ /* Llib/DER.scm 412 */
 obj_t BgL_lenz00_453;
BgL_lenz00_453 = 
BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(BgL_pz00_72); 
if(
CBOOL(BgL_lenz00_453))
{ /* Llib/DER.scm 414 */
 obj_t BgL_buffz00_454;
BgL_buffz00_454 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(BgL_lenz00_453, BgL_pz00_72); 
{ /* Llib/DER.scm 414 */
 obj_t BgL_strzd2pzd2_455;
{ /* Llib/DER.scm 415 */
 long BgL_endz00_475;
BgL_endz00_475 = 
STRING_LENGTH(
((obj_t)BgL_buffz00_454)); 
{ /* Llib/DER.scm 415 */

BgL_strzd2pzd2_455 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_buffz00_454, 
BINT(((long)0)), 
BINT(BgL_endz00_475)); } } 
{ /* Llib/DER.scm 415 */

if(
(
STRING_LENGTH(
((obj_t)BgL_buffz00_454))==
(long)CINT(BgL_lenz00_453)))
{ /* Llib/DER.scm 416 */BFALSE; }  else 
{ /* Llib/DER.scm 416 */
BGl_errorz00zz__errorz00(BGl_string1939z00zz__cryptozd2DERzd2, BGl_string1940z00zz__cryptozd2DERzd2, BFALSE); } 
{ 
 obj_t BgL_revzd2oidszd2_461;
BgL_revzd2oidszd2_461 = BNIL; 
BgL_zc3z04anonymousza31727ze3z87_462:
{ /* Llib/DER.scm 419 */
 bool_t BgL_test2077z00_1932;
{ /* Llib/DER.scm 419 */
 obj_t BgL_tmpz00_1933;
BgL_tmpz00_1933 = 
BGl_peekzd2charzd2zz__r4_input_6_10_2z00(BgL_strzd2pzd2_455); 
BgL_test2077z00_1932 = 
EOF_OBJECTP(BgL_tmpz00_1933); } 
if(BgL_test2077z00_1932)
{ /* Llib/DER.scm 419 */
return 
BGl_oidszd2ze3symbolz31zz__cryptozd2DERzd2(
bgl_reverse_bang(BgL_revzd2oidszd2_461));}  else 
{ /* Llib/DER.scm 421 */
 obj_t BgL_subzd2oidzd2_466;
BgL_pz00_476 = BgL_strzd2pzd2_455; 
{ 
 long BgL_resz00_479;
BgL_resz00_479 = ((long)0); 
BgL_zc3z04anonymousza31743ze3z87_480:
{ /* Llib/DER.scm 390 */
 long BgL_oz00_481;
BgL_oz00_481 = 
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_476); 
{ /* Llib/DER.scm 392 */
 bool_t BgL_test2078z00_1939;
{ /* Llib/DER.scm 392 */
 obj_t BgL_tmpz00_1940;
BgL_tmpz00_1940 = 
BINT(BgL_oz00_481); 
BgL_test2078z00_1939 = 
EOF_OBJECTP(BgL_tmpz00_1940); } 
if(BgL_test2078z00_1939)
{ /* Llib/DER.scm 392 */
BgL_subzd2oidzd2_466 = 
BGl_errorz00zz__errorz00(BGl_string1939z00zz__cryptozd2DERzd2, BGl_string1940z00zz__cryptozd2DERzd2, BFALSE); }  else 
{ /* Llib/DER.scm 392 */
if(
(
(((long)128) & BgL_oz00_481)==((long)0)))
{ /* Llib/DER.scm 394 */
BgL_subzd2oidzd2_466 = 
BINT(
(
(BgL_resz00_479 << 
(int)(((long)7)))+
(BgL_oz00_481 & ((long)127)))); }  else 
{ 
 long BgL_resz00_1952;
BgL_resz00_1952 = 
(
(BgL_resz00_479 << 
(int)(((long)7)))+
(BgL_oz00_481 & ((long)127))); 
BgL_resz00_479 = BgL_resz00_1952; 
goto BgL_zc3z04anonymousza31743ze3z87_480;} } } } } 
if(
NULLP(BgL_revzd2oidszd2_461))
{ 
 obj_t BgL_revzd2oidszd2_1959;
{ /* Llib/DER.scm 423 */
 obj_t BgL_auxz00_1960;
BgL_subzd2oidzd2_492 = BgL_subzd2oidzd2_466; 
{ /* Llib/DER.scm 401 */
 long BgL_subzd2oid1zd2_494; long BgL_subzd2oid2zd2_495;
{ /* Llib/DER.scm 401 */
 long BgL_tmpz00_1961;
BgL_tmpz00_1961 = 
(long)CINT(BgL_subzd2oidzd2_492); 
BgL_subzd2oid1zd2_494 = 
(BgL_tmpz00_1961/((long)40)); } 
{ /* Llib/DER.scm 402 */
 long BgL_n1z00_1036; long BgL_n2z00_1037;
BgL_n1z00_1036 = 
(long)CINT(BgL_subzd2oidzd2_492); 
BgL_n2z00_1037 = ((long)40); 
{ /* Llib/DER.scm 402 */
 bool_t BgL_test2081z00_1965;
{ /* Llib/DER.scm 402 */
 long BgL_arg1350z00_1039;
BgL_arg1350z00_1039 = 
(((BgL_n1z00_1036) | (BgL_n2z00_1037)) & -2147483648); 
BgL_test2081z00_1965 = 
(BgL_arg1350z00_1039==((long)0)); } 
if(BgL_test2081z00_1965)
{ /* Llib/DER.scm 402 */
 int32_t BgL_arg1346z00_1040;
{ /* Llib/DER.scm 402 */
 int32_t BgL_arg1347z00_1041; int32_t BgL_arg1349z00_1042;
BgL_arg1347z00_1041 = 
(int32_t)(BgL_n1z00_1036); 
BgL_arg1349z00_1042 = 
(int32_t)(BgL_n2z00_1037); 
BgL_arg1346z00_1040 = 
(BgL_arg1347z00_1041%BgL_arg1349z00_1042); } 
{ /* Llib/DER.scm 402 */
 long BgL_arg1454z00_1047;
BgL_arg1454z00_1047 = 
(long)(BgL_arg1346z00_1040); 
BgL_subzd2oid2zd2_495 = 
(long)(BgL_arg1454z00_1047); } }  else 
{ /* Llib/DER.scm 402 */
BgL_subzd2oid2zd2_495 = 
(BgL_n1z00_1036%BgL_n2z00_1037); } } } 
{ 
 long BgL_oid1z00_497; long BgL_oid2z00_498;
BgL_oid1z00_497 = BgL_subzd2oid1zd2_494; 
BgL_oid2z00_498 = BgL_subzd2oid2zd2_495; 
BgL_zc3z04anonymousza31767ze3z87_499:
if(
(BgL_oid1z00_497<((long)3)))
{ /* Llib/DER.scm 409 */
 obj_t BgL_list1770z00_501;
{ /* Llib/DER.scm 409 */
 obj_t BgL_arg1786z00_502;
BgL_arg1786z00_502 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oid2z00_498), BNIL); 
BgL_list1770z00_501 = 
MAKE_YOUNG_PAIR(
BINT(BgL_oid1z00_497), BgL_arg1786z00_502); } 
BgL_auxz00_1960 = BgL_list1770z00_501; }  else 
{ 
 long BgL_oid2z00_1982; long BgL_oid1z00_1980;
BgL_oid1z00_1980 = 
(BgL_oid1z00_497-((long)1)); 
BgL_oid2z00_1982 = 
(BgL_oid2z00_498+((long)40)); 
BgL_oid2z00_498 = BgL_oid2z00_1982; 
BgL_oid1z00_497 = BgL_oid1z00_1980; 
goto BgL_zc3z04anonymousza31767ze3z87_499;} } } 
BgL_revzd2oidszd2_1959 = 
bgl_reverse_bang(BgL_auxz00_1960); } 
BgL_revzd2oidszd2_461 = BgL_revzd2oidszd2_1959; 
goto BgL_zc3z04anonymousza31727ze3z87_462;}  else 
{ /* Llib/DER.scm 424 */
 obj_t BgL_arg1740z00_470;
BgL_arg1740z00_470 = 
MAKE_YOUNG_PAIR(BgL_subzd2oidzd2_466, BgL_revzd2oidszd2_461); 
{ 
 obj_t BgL_revzd2oidszd2_1986;
BgL_revzd2oidszd2_1986 = BgL_arg1740z00_470; 
BgL_revzd2oidszd2_461 = BgL_revzd2oidszd2_1986; 
goto BgL_zc3z04anonymousza31727ze3z87_462;} } } } } } } }  else 
{ /* Llib/DER.scm 413 */
return 
BGl_errorz00zz__errorz00(BGl_string1939z00zz__cryptozd2DERzd2, BGl_string1933z00zz__cryptozd2DERzd2, BFALSE);} } } } 

}



/* encode-object-id */
bool_t BGl_encodezd2objectzd2idz00zz__cryptozd2DERzd2(obj_t BgL_elz00_73, obj_t BgL_pz00_74)
{
{ /* Llib/DER.scm 429 */
{ /* Llib/DER.scm 447 */
 obj_t BgL_oidsz00_510;
BgL_oidsz00_510 = 
BGl_symbolzd2ze3oidsz31zz__cryptozd2DERzd2(BgL_elz00_73); 
{ /* Llib/DER.scm 447 */
 obj_t BgL_strzd2pzd2_511;
{ /* Llib/DER.scm 448 */

{ /* Llib/DER.scm 448 */

BgL_strzd2pzd2_511 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
{ /* Llib/DER.scm 448 */
 long BgL_lenz00_512;
BgL_lenz00_512 = 
bgl_list_length(BgL_oidsz00_510); 
{ /* Llib/DER.scm 449 */

if(
(BgL_lenz00_512<((long)2)))
{ /* Llib/DER.scm 450 */
BGl_errorz00zz__errorz00(BGl_string1941z00zz__cryptozd2DERzd2, BGl_string1942z00zz__cryptozd2DERzd2, BgL_elz00_73); }  else 
{ /* Llib/DER.scm 450 */BFALSE; } 
{ /* Llib/DER.scm 453 */
 obj_t BgL_arg1794z00_514;
{ /* Llib/DER.scm 453 */
 obj_t BgL_tz00_1076;
BgL_tz00_1076 = 
CNST_TABLE_REF(((long)12)); 
BgL_arg1794z00_514 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1076, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 452 */
 obj_t BgL_classz00_1077; obj_t BgL_primzf2constrzf2_1078;
BgL_classz00_1077 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1078 = 
CNST_TABLE_REF(((long)13)); 
if(
(
(long)CINT(BgL_arg1794z00_514)<((long)31)))
{ /* Llib/DER.scm 120 */
 long BgL_arg1181z00_1081;
{ /* Llib/DER.scm 120 */
 obj_t BgL_arg1183z00_1082; long BgL_arg1185z00_1083;
BgL_arg1183z00_1082 = 
BGl_classzd2tagzd2zz__cryptozd2DERzd2(BgL_classz00_1077); 
{ /* Llib/DER.scm 121 */
 obj_t BgL_arg1187z00_1084;
BgL_arg1187z00_1084 = 
BGl_primzf2constrzd2tagz20zz__cryptozd2DERzd2(BgL_primzf2constrzf2_1078); 
BgL_arg1185z00_1083 = 
(
(long)CINT(BgL_arg1187z00_1084)+
(long)CINT(BgL_arg1794z00_514)); } 
BgL_arg1181z00_1081 = 
(
(long)CINT(BgL_arg1183z00_1082)+BgL_arg1185z00_1083); } 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1181z00_1081), BgL_pz00_74); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1077, BgL_primzf2constrzf2_1078, BgL_arg1794z00_514, BgL_pz00_74); } } } 
{ /* Llib/DER.scm 455 */
 obj_t BgL_g1068z00_515;
{ /* Llib/DER.scm 455 */
 long BgL_arg1819z00_534; obj_t BgL_arg1820z00_535;
{ /* Llib/DER.scm 431 */
 long BgL_tmpz00_2012;
{ /* Llib/DER.scm 431 */
 obj_t BgL_pairz00_1097;
BgL_pairz00_1097 = 
CDR(
((obj_t)BgL_oidsz00_510)); 
BgL_tmpz00_2012 = 
(long)CINT(
CAR(BgL_pairz00_1097)); } 
BgL_arg1819z00_534 = 
(
(((long)40)*
(long)CINT(
CAR(
((obj_t)BgL_oidsz00_510))))+BgL_tmpz00_2012); } 
{ /* Llib/DER.scm 455 */
 obj_t BgL_pairz00_1103;
BgL_pairz00_1103 = 
CDR(
((obj_t)BgL_oidsz00_510)); 
BgL_arg1820z00_535 = 
CDR(BgL_pairz00_1103); } 
BgL_g1068z00_515 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1819z00_534), BgL_arg1820z00_535); } 
{ 
 obj_t BgL_oidsz00_517;
BgL_oidsz00_517 = BgL_g1068z00_515; 
BgL_zc3z04anonymousza31795ze3z87_518:
if(
NULLP(BgL_oidsz00_517))
{ /* Llib/DER.scm 457 */
 obj_t BgL_strz00_520;
BgL_strz00_520 = 
bgl_close_output_port(BgL_strzd2pzd2_511); 
{ /* Llib/DER.scm 458 */
 long BgL_arg1805z00_521;
BgL_arg1805z00_521 = 
STRING_LENGTH(
((obj_t)BgL_strz00_520)); 
if(
(BgL_arg1805z00_521<=((long)127)))
{ /* Llib/DER.scm 197 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1805z00_521), BgL_pz00_74); }  else 
{ /* Llib/DER.scm 197 */
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(BgL_arg1805z00_521, BgL_pz00_74); } } 
{ 
 long BgL_iz00_523;
BgL_iz00_523 = ((long)0); 
BgL_zc3z04anonymousza31806ze3z87_524:
if(
(BgL_iz00_523<
STRING_LENGTH(
((obj_t)BgL_strz00_520))))
{ /* Llib/DER.scm 460 */
{ /* Llib/DER.scm 461 */
 unsigned char BgL_arg1814z00_527;
BgL_arg1814z00_527 = 
STRING_REF(
((obj_t)BgL_strz00_520), BgL_iz00_523); 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BCHAR(BgL_arg1814z00_527), BgL_pz00_74); } 
{ 
 long BgL_iz00_2045;
BgL_iz00_2045 = 
(BgL_iz00_523+((long)1)); 
BgL_iz00_523 = BgL_iz00_2045; 
goto BgL_zc3z04anonymousza31806ze3z87_524;} }  else 
{ /* Llib/DER.scm 460 */
return ((bool_t)0);} } }  else 
{ /* Llib/DER.scm 456 */
{ /* Llib/DER.scm 464 */
 obj_t BgL_arg1817z00_531;
BgL_arg1817z00_531 = 
CAR(
((obj_t)BgL_oidsz00_517)); 
BGl_encodezd2oidze70z35zz__cryptozd2DERzd2(BgL_arg1817z00_531, BgL_strzd2pzd2_511); } 
{ /* Llib/DER.scm 465 */
 obj_t BgL_arg1818z00_532;
BgL_arg1818z00_532 = 
CDR(
((obj_t)BgL_oidsz00_517)); 
{ 
 obj_t BgL_oidsz00_2052;
BgL_oidsz00_2052 = BgL_arg1818z00_532; 
BgL_oidsz00_517 = BgL_oidsz00_2052; 
goto BgL_zc3z04anonymousza31795ze3z87_518;} } } } } } } } } } 

}



/* inner~0 */
obj_t BGl_innerze70ze7zz__cryptozd2DERzd2(obj_t BgL_pz00_1340, obj_t BgL_oidz00_546, bool_t BgL_lastzf3zf3_547)
{
{ /* Llib/DER.scm 444 */
if(BgL_lastzf3zf3_547)
{ /* Llib/DER.scm 436 */
{ /* Llib/DER.scm 438 */
 long BgL_arg1827z00_549;
BgL_arg1827z00_549 = 
(
(long)CINT(BgL_oidz00_546) >> 
(int)(((long)7))); 
BGl_innerze70ze7zz__cryptozd2DERzd2(BgL_pz00_1340, 
BINT(BgL_arg1827z00_549), ((bool_t)0)); } 
{ /* Llib/DER.scm 439 */
 long BgL_arg1828z00_550;
BgL_arg1828z00_550 = 
(((long)127) & 
(long)CINT(BgL_oidz00_546)); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1828z00_550), BgL_pz00_1340);} }  else 
{ /* Llib/DER.scm 436 */
if(
(
(long)CINT(BgL_oidz00_546)==((long)0)))
{ /* Llib/DER.scm 440 */
return 
CNST_TABLE_REF(((long)14));}  else 
{ /* Llib/DER.scm 440 */
{ /* Llib/DER.scm 443 */
 long BgL_arg1830z00_552;
BgL_arg1830z00_552 = 
(
(long)CINT(BgL_oidz00_546) >> 
(int)(((long)7))); 
BGl_innerze70ze7zz__cryptozd2DERzd2(BgL_pz00_1340, 
BINT(BgL_arg1830z00_552), ((bool_t)0)); } 
{ /* Llib/DER.scm 444 */
 long BgL_arg1831z00_553;
BgL_arg1831z00_553 = 
(((long)128)+
(((long)127) & 
(long)CINT(BgL_oidz00_546))); 
return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1831z00_553), BgL_pz00_1340);} } } } 

}



/* encode-oid~0 */
obj_t BGl_encodezd2oidze70z35zz__cryptozd2DERzd2(obj_t BgL_oidz00_542, obj_t BgL_pz00_543)
{
{ /* Llib/DER.scm 444 */
return 
BGl_innerze70ze7zz__cryptozd2DERzd2(BgL_pz00_543, BgL_oidz00_542, ((bool_t)1));} 

}



/* decode-octet-string */
obj_t BGl_decodezd2octetzd2stringz00zz__cryptozd2DERzd2(obj_t BgL_pz00_75, bool_t BgL_primitivezf3zf3_76)
{
{ /* Llib/DER.scm 467 */
{ /* Llib/DER.scm 468 */
 obj_t BgL_lenz00_558;
BgL_lenz00_558 = 
BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(BgL_pz00_75); 
{ /* Llib/DER.scm 468 */
 obj_t BgL_strz00_559;
BgL_strz00_559 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(BgL_lenz00_558, BgL_pz00_75); 
{ /* Llib/DER.scm 469 */

if(BgL_primitivezf3zf3_76)
{ /* Llib/DER.scm 470 */
if(
(
(long)CINT(BgL_lenz00_558)==
STRING_LENGTH(
((obj_t)BgL_strz00_559))))
{ /* Llib/DER.scm 471 */BFALSE; }  else 
{ /* Llib/DER.scm 471 */
BGl_errorz00zz__errorz00(BGl_string1943z00zz__cryptozd2DERzd2, BGl_string1944z00zz__cryptozd2DERzd2, BFALSE); } }  else 
{ /* Llib/DER.scm 470 */BgL_strz00_559; } 
{ /* Llib/DER.scm 476 */
 obj_t BgL_strzd2pzd2_563;
BgL_strzd2pzd2_563 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BgL_strz00_559); 
{ 
 obj_t BgL_revzd2strszd2_566;
BgL_revzd2strszd2_566 = BNIL; 
BgL_zc3z04anonymousza31836ze3z87_567:
{ /* Llib/DER.scm 478 */
 bool_t BgL_test2092z00_2088;
{ /* Llib/DER.scm 478 */
 obj_t BgL_tmpz00_2089;
BgL_tmpz00_2089 = 
BGl_peekzd2charzd2zz__r4_input_6_10_2z00(BgL_strzd2pzd2_563); 
BgL_test2092z00_2088 = 
EOF_OBJECTP(BgL_tmpz00_2089); } 
if(BgL_test2092z00_2088)
{ /* Llib/DER.scm 478 */
return 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(
bgl_reverse_bang(BgL_revzd2strszd2_566));}  else 
{ /* Llib/DER.scm 480 */
 obj_t BgL_classz00_571;
BgL_classz00_571 = 
BGl_decodezd2identifierzd2zz__cryptozd2DERzd2(BgL_strzd2pzd2_563); 
{ /* Llib/DER.scm 485 */
 obj_t BgL_primzf2constrzf2_572; obj_t BgL_tagzd2numzd2_573;
{ /* Llib/DER.scm 485 */
 obj_t BgL_tmpz00_1119;
{ /* Llib/DER.scm 485 */
 int BgL_tmpz00_2095;
BgL_tmpz00_2095 = 
(int)(((long)1)); 
BgL_tmpz00_1119 = 
BGL_MVALUES_VAL(BgL_tmpz00_2095); } 
{ /* Llib/DER.scm 485 */
 int BgL_tmpz00_2098;
BgL_tmpz00_2098 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2098, BUNSPEC); } 
BgL_primzf2constrzf2_572 = BgL_tmpz00_1119; } 
{ /* Llib/DER.scm 485 */
 obj_t BgL_tmpz00_1120;
{ /* Llib/DER.scm 485 */
 int BgL_tmpz00_2101;
BgL_tmpz00_2101 = 
(int)(((long)2)); 
BgL_tmpz00_1120 = 
BGL_MVALUES_VAL(BgL_tmpz00_2101); } 
{ /* Llib/DER.scm 485 */
 int BgL_tmpz00_2104;
BgL_tmpz00_2104 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2104, BUNSPEC); } 
BgL_tagzd2numzd2_573 = BgL_tmpz00_1120; } 
if(
(BgL_classz00_571==
CNST_TABLE_REF(((long)8))))
{ /* Llib/DER.scm 482 */BFALSE; }  else 
{ /* Llib/DER.scm 482 */
BGl_errorz00zz__errorz00(BGl_string1945z00zz__cryptozd2DERzd2, BGl_string1946z00zz__cryptozd2DERzd2, BgL_classz00_571); } 
{ /* Llib/DER.scm 486 */
 obj_t BgL_tagz00_574;
BgL_tagz00_574 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tagzd2numzd2_573, BGl_za2universalzd2invzd2tagsza2z00zz__cryptozd2DERzd2); 
if(
(
CNST_TABLE_REF(((long)15))==BgL_tagz00_574))
{ /* Llib/DER.scm 487 */BFALSE; }  else 
{ /* Llib/DER.scm 487 */
BGl_errorz00zz__errorz00(BGl_string1945z00zz__cryptozd2DERzd2, BGl_string1946z00zz__cryptozd2DERzd2, BgL_tagz00_574); } 
{ /* Llib/DER.scm 491 */
 obj_t BgL_arg1840z00_575;
BgL_arg1840z00_575 = 
MAKE_YOUNG_PAIR(
BGl_decodezd2octetzd2stringz00zz__cryptozd2DERzd2(BgL_pz00_75, 
(
CNST_TABLE_REF(((long)13))==BgL_primzf2constrzf2_572)), BgL_revzd2strszd2_566); 
{ 
 obj_t BgL_revzd2strszd2_2120;
BgL_revzd2strszd2_2120 = BgL_arg1840z00_575; 
BgL_revzd2strszd2_566 = BgL_revzd2strszd2_2120; 
goto BgL_zc3z04anonymousza31836ze3z87_567;} } } } } } } } } } } } 

}



/* encode-octet-string */
obj_t BGl_encodezd2octetzd2stringz00zz__cryptozd2DERzd2(obj_t BgL_strz00_77, obj_t BgL_pz00_78)
{
{ /* Llib/DER.scm 495 */
{ /* Llib/DER.scm 500 */
 long BgL_lenz00_581;
BgL_lenz00_581 = 
STRING_LENGTH(BgL_strz00_77); 
{ /* Llib/DER.scm 502 */
 obj_t BgL_arg1846z00_582;
{ /* Llib/DER.scm 502 */
 obj_t BgL_tz00_1122;
BgL_tz00_1122 = 
CNST_TABLE_REF(((long)15)); 
BgL_arg1846z00_582 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1122, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 501 */
 obj_t BgL_classz00_1123; obj_t BgL_primzf2constrzf2_1124;
BgL_classz00_1123 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1124 = 
CNST_TABLE_REF(((long)13)); 
if(
(
(long)CINT(BgL_arg1846z00_582)<((long)31)))
{ /* Llib/DER.scm 120 */
 long BgL_arg1181z00_1127;
{ /* Llib/DER.scm 120 */
 obj_t BgL_arg1183z00_1128; long BgL_arg1185z00_1129;
BgL_arg1183z00_1128 = 
BGl_classzd2tagzd2zz__cryptozd2DERzd2(BgL_classz00_1123); 
{ /* Llib/DER.scm 121 */
 obj_t BgL_arg1187z00_1130;
BgL_arg1187z00_1130 = 
BGl_primzf2constrzd2tagz20zz__cryptozd2DERzd2(BgL_primzf2constrzf2_1124); 
BgL_arg1185z00_1129 = 
(
(long)CINT(BgL_arg1187z00_1130)+
(long)CINT(BgL_arg1846z00_582)); } 
BgL_arg1181z00_1127 = 
(
(long)CINT(BgL_arg1183z00_1128)+BgL_arg1185z00_1129); } 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1181z00_1127), BgL_pz00_78); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1123, BgL_primzf2constrzf2_1124, BgL_arg1846z00_582, BgL_pz00_78); } } } 
if(
(BgL_lenz00_581<=((long)127)))
{ /* Llib/DER.scm 197 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_lenz00_581), BgL_pz00_78); }  else 
{ /* Llib/DER.scm 197 */
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(BgL_lenz00_581, BgL_pz00_78); } 
return 
bgl_display_obj(BgL_strz00_77, BgL_pz00_78);} } 

}



/* decode-bitstring */
obj_t BGl_decodezd2bitstringzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_79)
{
{ /* Llib/DER.scm 507 */
{ /* Llib/DER.scm 508 */
 obj_t BgL_lenz00_583;
BgL_lenz00_583 = 
BGl_decodezd2lengthzd2zz__cryptozd2DERzd2(BgL_pz00_79); 
if(
CBOOL(BgL_lenz00_583))
{ /* Llib/DER.scm 510 */
 obj_t BgL_initialzd2octetzd2_584;
BgL_initialzd2octetzd2_584 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_79); 
{ /* Llib/DER.scm 510 */
 obj_t BgL_dataz00_585;
{ /* Llib/DER.scm 511 */
 long BgL_arg1853z00_594;
BgL_arg1853z00_594 = 
(
(long)CINT(BgL_lenz00_583)-((long)1)); 
BgL_dataz00_585 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(BgL_arg1853z00_594), BgL_pz00_79); } 
{ /* Llib/DER.scm 511 */

if(
(
(
(long)CINT(BgL_lenz00_583)-((long)1))==
STRING_LENGTH(
((obj_t)BgL_dataz00_585))))
{ /* Llib/DER.scm 512 */BFALSE; }  else 
{ /* Llib/DER.scm 512 */
BGl_errorz00zz__errorz00(BGl_string1947z00zz__cryptozd2DERzd2, BGl_string1948z00zz__cryptozd2DERzd2, BFALSE); } 
{ /* Llib/DER.scm 516 */
 BgL_derzd2bitstringzd2_bglt BgL_new1071z00_591;
{ /* Llib/DER.scm 517 */
 BgL_derzd2bitstringzd2_bglt BgL_new1070z00_592;
BgL_new1070z00_592 = 
((BgL_derzd2bitstringzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_derzd2bitstringzd2_bgl) ))); 
{ /* Llib/DER.scm 517 */
 long BgL_arg1852z00_593;
BgL_arg1852z00_593 = 
BGL_CLASS_NUM(BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1070z00_592), BgL_arg1852z00_593); } 
{ /* Llib/DER.scm 517 */
 BgL_objectz00_bglt BgL_tmpz00_2165;
BgL_tmpz00_2165 = 
((BgL_objectz00_bglt)BgL_new1070z00_592); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2165, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1070z00_592); 
BgL_new1071z00_591 = BgL_new1070z00_592; } 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_new1071z00_591))->BgL_dataz00)=((obj_t)BgL_dataz00_585),BUNSPEC); 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_new1071z00_591))->BgL_unusedzd2bitszd2)=((long)
(
CCHAR(BgL_initialzd2octetzd2_584))),BUNSPEC); 
return 
((obj_t)BgL_new1071z00_591);} } } }  else 
{ /* Llib/DER.scm 509 */
return 
BGl_errorz00zz__errorz00(BGl_string1949z00zz__cryptozd2DERzd2, BGl_string1950z00zz__cryptozd2DERzd2, BFALSE);} } } 

}



/* encode-bitstring */
obj_t BGl_encodezd2bitstringzd2zz__cryptozd2DERzd2(BgL_derzd2bitstringzd2_bglt BgL_bsz00_80, obj_t BgL_pz00_81)
{
{ /* Llib/DER.scm 523 */
{ /* Llib/DER.scm 525 */
 long BgL_lenz00_596;
BgL_lenz00_596 = 
STRING_LENGTH(
(((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_bsz00_80))->BgL_dataz00)); 
{ /* Llib/DER.scm 527 */
 obj_t BgL_arg1854z00_597;
{ /* Llib/DER.scm 527 */
 obj_t BgL_tz00_1148;
BgL_tz00_1148 = 
CNST_TABLE_REF(((long)16)); 
BgL_arg1854z00_597 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1148, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 526 */
 obj_t BgL_classz00_1149; obj_t BgL_primzf2constrzf2_1150;
BgL_classz00_1149 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1150 = 
CNST_TABLE_REF(((long)13)); 
if(
(
(long)CINT(BgL_arg1854z00_597)<((long)31)))
{ /* Llib/DER.scm 120 */
 long BgL_arg1181z00_1153;
{ /* Llib/DER.scm 120 */
 obj_t BgL_arg1183z00_1154; long BgL_arg1185z00_1155;
BgL_arg1183z00_1154 = 
BGl_classzd2tagzd2zz__cryptozd2DERzd2(BgL_classz00_1149); 
{ /* Llib/DER.scm 121 */
 obj_t BgL_arg1187z00_1156;
BgL_arg1187z00_1156 = 
BGl_primzf2constrzd2tagz20zz__cryptozd2DERzd2(BgL_primzf2constrzf2_1150); 
BgL_arg1185z00_1155 = 
(
(long)CINT(BgL_arg1187z00_1156)+
(long)CINT(BgL_arg1854z00_597)); } 
BgL_arg1181z00_1153 = 
(
(long)CINT(BgL_arg1183z00_1154)+BgL_arg1185z00_1155); } 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1181z00_1153), BgL_pz00_81); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1149, BgL_primzf2constrzf2_1150, BgL_arg1854z00_597, BgL_pz00_81); } } } 
{ /* Llib/DER.scm 529 */
 long BgL_arg1855z00_598;
BgL_arg1855z00_598 = 
(BgL_lenz00_596+((long)1)); 
if(
(BgL_arg1855z00_598<=((long)127)))
{ /* Llib/DER.scm 197 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1855z00_598), BgL_pz00_81); }  else 
{ /* Llib/DER.scm 197 */
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(BgL_arg1855z00_598, BgL_pz00_81); } } 
{ /* Llib/DER.scm 530 */
 long BgL_arg1856z00_599;
BgL_arg1856z00_599 = 
(((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_bsz00_80))->BgL_unusedzd2bitszd2); 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1856z00_599), BgL_pz00_81); } 
return 
bgl_display_obj(
(((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_bsz00_80))->BgL_dataz00), BgL_pz00_81);} } 

}



/* encode-DER */
BGL_EXPORTED_DEF obj_t BGl_encodezd2DERzd2zz__cryptozd2DERzd2(obj_t BgL_elz00_82, obj_t BgL_pz00_83)
{
{ /* Llib/DER.scm 533 */
if(
BOOLEANP(BgL_elz00_82))
{ /* Llib/DER.scm 535 */
{ /* Llib/DER.scm 232 */
 obj_t BgL_arg1246z00_1164;
{ /* Llib/DER.scm 232 */
 obj_t BgL_tz00_1166;
BgL_tz00_1166 = 
CNST_TABLE_REF(((long)17)); 
BgL_arg1246z00_1164 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1166, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 232 */
 obj_t BgL_classz00_1167; obj_t BgL_primzf2constrzf2_1168;
BgL_classz00_1167 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1168 = 
CNST_TABLE_REF(((long)13)); 
if(
(
(long)CINT(BgL_arg1246z00_1164)<((long)31)))
{ /* Llib/DER.scm 144 */
BGl_encodezd2shortzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1167, BgL_primzf2constrzf2_1168, BgL_arg1246z00_1164, BgL_pz00_83); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1167, BgL_primzf2constrzf2_1168, BgL_arg1246z00_1164, BgL_pz00_83); } } } 
if(
(((long)1)<=((long)127)))
{ /* Llib/DER.scm 197 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)1)), BgL_pz00_83); }  else 
{ /* Llib/DER.scm 197 */
BGl_encodezd2longzd2definitezd2lengthzd2zz__cryptozd2DERzd2(((long)1), BgL_pz00_83); } 
{ /* Llib/DER.scm 234 */
 long BgL_arg1247z00_1165;
if(
CBOOL(BgL_elz00_82))
{ /* Llib/DER.scm 234 */
BgL_arg1247z00_1165 = ((long)1); }  else 
{ /* Llib/DER.scm 234 */
BgL_arg1247z00_1165 = ((long)0); } 
BGL_TAIL return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(BgL_arg1247z00_1165), BgL_pz00_83);} }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL_test2105z00_2227;
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1067z00_1172;
BgL__ortest_1067z00_1172 = 
INTEGERP(BgL_elz00_82); 
if(BgL__ortest_1067z00_1172)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1067z00_1172
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1068z00_1173;
BgL__ortest_1068z00_1173 = 
ELONGP(BgL_elz00_82); 
if(BgL__ortest_1068z00_1173)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1068z00_1173
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1069z00_1174;
BgL__ortest_1069z00_1174 = 
LLONGP(BgL_elz00_82); 
if(BgL__ortest_1069z00_1174)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1069z00_1174
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1070z00_1175;
BgL__ortest_1070z00_1175 = 
BGL_INT8P(BgL_elz00_82); 
if(BgL__ortest_1070z00_1175)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1070z00_1175
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1071z00_1176;
BgL__ortest_1071z00_1176 = 
BGL_UINT8P(BgL_elz00_82); 
if(BgL__ortest_1071z00_1176)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1071z00_1176
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1072z00_1177;
BgL__ortest_1072z00_1177 = 
BGL_INT16P(BgL_elz00_82); 
if(BgL__ortest_1072z00_1177)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1072z00_1177
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1073z00_1178;
BgL__ortest_1073z00_1178 = 
BGL_UINT16P(BgL_elz00_82); 
if(BgL__ortest_1073z00_1178)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1073z00_1178
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1074z00_1179;
BgL__ortest_1074z00_1179 = 
BGL_INT32P(BgL_elz00_82); 
if(BgL__ortest_1074z00_1179)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1074z00_1179
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1075z00_1180;
BgL__ortest_1075z00_1180 = 
BGL_UINT32P(BgL_elz00_82); 
if(BgL__ortest_1075z00_1180)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1075z00_1180
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1076z00_1181;
BgL__ortest_1076z00_1181 = 
BGL_INT64P(BgL_elz00_82); 
if(BgL__ortest_1076z00_1181)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1076z00_1181
; }  else 
{ /* Llib/DER.scm 536 */
 bool_t BgL__ortest_1077z00_1182;
BgL__ortest_1077z00_1182 = 
BGL_UINT64P(BgL_elz00_82); 
if(BgL__ortest_1077z00_1182)
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = BgL__ortest_1077z00_1182
; }  else 
{ /* Llib/DER.scm 536 */
BgL_test2105z00_2227 = 
BIGNUMP(BgL_elz00_82)
; } } } } } } } } } } } } 
if(BgL_test2105z00_2227)
{ /* Llib/DER.scm 536 */
{ /* Llib/DER.scm 263 */
 obj_t BgL_arg1259z00_1184;
{ /* Llib/DER.scm 263 */
 obj_t BgL_tz00_1185;
BgL_tz00_1185 = 
CNST_TABLE_REF(((long)18)); 
BgL_arg1259z00_1184 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1185, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 263 */
 obj_t BgL_classz00_1186; obj_t BgL_primzf2constrzf2_1187;
BgL_classz00_1186 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1187 = 
CNST_TABLE_REF(((long)13)); 
if(
(
(long)CINT(BgL_arg1259z00_1184)<((long)31)))
{ /* Llib/DER.scm 144 */
BGl_encodezd2shortzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1186, BgL_primzf2constrzf2_1187, BgL_arg1259z00_1184, BgL_pz00_83); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1186, BgL_primzf2constrzf2_1187, BgL_arg1259z00_1184, BgL_pz00_83); } } } 
BGL_TAIL return 
BGl_encodezd2intzf2enumzd2contentzf2zz__cryptozd2DERzd2(BgL_elz00_82, BgL_pz00_83);}  else 
{ /* Llib/DER.scm 536 */
if(
REALP(BgL_elz00_82))
{ /* Llib/DER.scm 537 */
return 
BGl_errorz00zz__errorz00(BGl_string1951z00zz__cryptozd2DERzd2, BGl_string1952z00zz__cryptozd2DERzd2, BFALSE);}  else 
{ /* Llib/DER.scm 537 */
if(
PAIRP(BgL_elz00_82))
{ /* Llib/DER.scm 538 */
{ /* Llib/DER.scm 323 */
 obj_t BgL_arg1389z00_1190;
{ /* Llib/DER.scm 323 */
 obj_t BgL_tz00_1191;
BgL_tz00_1191 = 
CNST_TABLE_REF(((long)7)); 
BgL_arg1389z00_1190 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1191, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 322 */
 obj_t BgL_classz00_1192; obj_t BgL_primzf2constrzf2_1193;
BgL_classz00_1192 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1193 = 
CNST_TABLE_REF(((long)9)); 
if(
(
(long)CINT(BgL_arg1389z00_1190)<((long)31)))
{ /* Llib/DER.scm 144 */
BGl_encodezd2shortzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1192, BgL_primzf2constrzf2_1193, BgL_arg1389z00_1190, BgL_pz00_83); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1192, BgL_primzf2constrzf2_1193, BgL_arg1389z00_1190, BgL_pz00_83); } } } 
return 
BGl_encodezd2sequencezf2setzd2contentzf2zz__cryptozd2DERzd2(BgL_elz00_82, BgL_pz00_83, ((bool_t)1), BGl_encodezd2DERzd2envz00zz__cryptozd2DERzd2);}  else 
{ /* Llib/DER.scm 539 */
 bool_t BgL_test2121z00_2278;
{ /* Llib/DER.scm 539 */
 obj_t BgL_classz00_1196;
BgL_classz00_1196 = BGl_DERzd2Setzd2zz__cryptozd2DERzd2; 
if(
BGL_OBJECTP(BgL_elz00_82))
{ /* Llib/DER.scm 539 */
 BgL_objectz00_bglt BgL_arg1793z00_1198;
BgL_arg1793z00_1198 = 
(BgL_objectz00_bglt)(BgL_elz00_82); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/DER.scm 539 */
 long BgL_idxz00_1204;
BgL_idxz00_1204 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1198); 
BgL_test2121z00_2278 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1204+((long)1)))==BgL_classz00_1196); }  else 
{ /* Llib/DER.scm 539 */
 bool_t BgL_res1918z00_1226;
{ /* Llib/DER.scm 539 */
 obj_t BgL_oclassz00_1212;
{ /* Llib/DER.scm 539 */
 long BgL_arg1801z00_1218;
{ /* Llib/DER.scm 539 */
 long BgL_arg1802z00_1219;
BgL_arg1802z00_1219 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1198); 
BgL_arg1801z00_1218 = 
(BgL_arg1802z00_1219-OBJECT_TYPE); } 
BgL_oclassz00_1212 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1218); } 
{ /* Llib/DER.scm 539 */
 bool_t BgL__ortest_1110z00_1213;
BgL__ortest_1110z00_1213 = 
(BgL_classz00_1196==BgL_oclassz00_1212); 
if(BgL__ortest_1110z00_1213)
{ /* Llib/DER.scm 539 */
BgL_res1918z00_1226 = BgL__ortest_1110z00_1213; }  else 
{ /* Llib/DER.scm 539 */
 long BgL_odepthz00_1214;
BgL_odepthz00_1214 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1212); 
if(
(((long)1)<BgL_odepthz00_1214))
{ /* Llib/DER.scm 539 */
 obj_t BgL_arg1790z00_1216;
BgL_arg1790z00_1216 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1212, ((long)1)); 
BgL_res1918z00_1226 = 
(BgL_arg1790z00_1216==BgL_classz00_1196); }  else 
{ /* Llib/DER.scm 539 */
BgL_res1918z00_1226 = ((bool_t)0); } } } } 
BgL_test2121z00_2278 = BgL_res1918z00_1226; } }  else 
{ /* Llib/DER.scm 539 */
BgL_test2121z00_2278 = ((bool_t)0)
; } } 
if(BgL_test2121z00_2278)
{ /* Llib/DER.scm 539 */
{ /* Llib/DER.scm 330 */
 obj_t BgL_arg1587z00_1228;
{ /* Llib/DER.scm 330 */
 obj_t BgL_tz00_1231;
BgL_tz00_1231 = 
CNST_TABLE_REF(((long)11)); 
BgL_arg1587z00_1228 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tz00_1231, 
CNST_TABLE_REF(((long)0))); } 
{ /* Llib/DER.scm 329 */
 obj_t BgL_classz00_1232; obj_t BgL_primzf2constrzf2_1233;
BgL_classz00_1232 = 
CNST_TABLE_REF(((long)8)); 
BgL_primzf2constrzf2_1233 = 
CNST_TABLE_REF(((long)9)); 
if(
(
(long)CINT(BgL_arg1587z00_1228)<((long)31)))
{ /* Llib/DER.scm 144 */
BGl_encodezd2shortzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1232, BgL_primzf2constrzf2_1233, BgL_arg1587z00_1228, BgL_pz00_83); }  else 
{ /* Llib/DER.scm 144 */
BGl_encodezd2longzd2identifierz00zz__cryptozd2DERzd2(BgL_classz00_1232, BgL_primzf2constrzf2_1233, BgL_arg1587z00_1228, BgL_pz00_83); } } } 
{ /* Llib/DER.scm 333 */
 obj_t BgL_arg1588z00_1230;
BgL_arg1588z00_1230 = 
(((BgL_derzd2setzd2_bglt)COBJECT(
((BgL_derzd2setzd2_bglt)BgL_elz00_82)))->BgL_setz00); 
return 
BGl_encodezd2sequencezf2setzd2contentzf2zz__cryptozd2DERzd2(BgL_arg1588z00_1230, BgL_pz00_83, ((bool_t)1), BGl_encodezd2DERzd2envz00zz__cryptozd2DERzd2);} }  else 
{ /* Llib/DER.scm 539 */
if(
(BgL_elz00_82==
CNST_TABLE_REF(((long)19))))
{ /* Llib/DER.scm 540 */
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)5)), BgL_pz00_83); 
BGL_TAIL return 
BGl_displayzd2octetzd2zz__cryptozd2DERzd2(
BINT(((long)0)), BgL_pz00_83);}  else 
{ /* Llib/DER.scm 540 */
if(
SYMBOLP(BgL_elz00_82))
{ /* Llib/DER.scm 541 */
return 
BBOOL(
BGl_encodezd2objectzd2idz00zz__cryptozd2DERzd2(BgL_elz00_82, BgL_pz00_83));}  else 
{ /* Llib/DER.scm 541 */
if(
STRINGP(BgL_elz00_82))
{ /* Llib/DER.scm 542 */
return 
BGl_encodezd2octetzd2stringz00zz__cryptozd2DERzd2(BgL_elz00_82, BgL_pz00_83);}  else 
{ /* Llib/DER.scm 543 */
 bool_t BgL_test2130z00_2325;
{ /* Llib/DER.scm 543 */
 obj_t BgL_classz00_1236;
BgL_classz00_1236 = BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2; 
if(
BGL_OBJECTP(BgL_elz00_82))
{ /* Llib/DER.scm 543 */
 BgL_objectz00_bglt BgL_arg1793z00_1238;
BgL_arg1793z00_1238 = 
(BgL_objectz00_bglt)(BgL_elz00_82); 
if(
BGL_CONDEXPAND_ISA_ARCH64())
{ /* Llib/DER.scm 543 */
 long BgL_idxz00_1244;
BgL_idxz00_1244 = 
BGL_OBJECT_INHERITANCE_NUM(BgL_arg1793z00_1238); 
BgL_test2130z00_2325 = 
(
VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
(BgL_idxz00_1244+((long)1)))==BgL_classz00_1236); }  else 
{ /* Llib/DER.scm 543 */
 bool_t BgL_res1919z00_1266;
{ /* Llib/DER.scm 543 */
 obj_t BgL_oclassz00_1252;
{ /* Llib/DER.scm 543 */
 long BgL_arg1801z00_1258;
{ /* Llib/DER.scm 543 */
 long BgL_arg1802z00_1259;
BgL_arg1802z00_1259 = 
BGL_OBJECT_CLASS_NUM(BgL_arg1793z00_1238); 
BgL_arg1801z00_1258 = 
(BgL_arg1802z00_1259-OBJECT_TYPE); } 
BgL_oclassz00_1252 = 
VECTOR_REF(BGl_za2classesza2z00zz__objectz00,BgL_arg1801z00_1258); } 
{ /* Llib/DER.scm 543 */
 bool_t BgL__ortest_1110z00_1253;
BgL__ortest_1110z00_1253 = 
(BgL_classz00_1236==BgL_oclassz00_1252); 
if(BgL__ortest_1110z00_1253)
{ /* Llib/DER.scm 543 */
BgL_res1919z00_1266 = BgL__ortest_1110z00_1253; }  else 
{ /* Llib/DER.scm 543 */
 long BgL_odepthz00_1254;
BgL_odepthz00_1254 = 
BGL_CLASS_DEPTH(BgL_oclassz00_1252); 
if(
(((long)1)<BgL_odepthz00_1254))
{ /* Llib/DER.scm 543 */
 obj_t BgL_arg1790z00_1256;
BgL_arg1790z00_1256 = 
BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1252, ((long)1)); 
BgL_res1919z00_1266 = 
(BgL_arg1790z00_1256==BgL_classz00_1236); }  else 
{ /* Llib/DER.scm 543 */
BgL_res1919z00_1266 = ((bool_t)0); } } } } 
BgL_test2130z00_2325 = BgL_res1919z00_1266; } }  else 
{ /* Llib/DER.scm 543 */
BgL_test2130z00_2325 = ((bool_t)0)
; } } 
if(BgL_test2130z00_2325)
{ /* Llib/DER.scm 543 */
return 
BGl_encodezd2bitstringzd2zz__cryptozd2DERzd2(
((BgL_derzd2bitstringzd2_bglt)BgL_elz00_82), BgL_pz00_83);}  else 
{ /* Llib/DER.scm 543 */
return 
BGl_errorz00zz__errorz00(BGl_string1953z00zz__cryptozd2DERzd2, BGl_string1954z00zz__cryptozd2DERzd2, BgL_elz00_82);} } } } } } } } } } 

}



/* &encode-DER */
obj_t BGl_z62encodezd2DERzb0zz__cryptozd2DERzd2(obj_t BgL_envz00_1297, obj_t BgL_elz00_1298, obj_t BgL_pz00_1299)
{
{ /* Llib/DER.scm 533 */
return 
BGl_encodezd2DERzd2zz__cryptozd2DERzd2(BgL_elz00_1298, BgL_pz00_1299);} 

}



/* decode-DER */
BGL_EXPORTED_DEF obj_t BGl_decodezd2DERzd2zz__cryptozd2DERzd2(obj_t BgL_pz00_85)
{
{ /* Llib/DER.scm 552 */
{ /* Llib/DER.scm 553 */
 obj_t BgL_classz00_615;
BgL_classz00_615 = 
BGl_decodezd2identifierzd2zz__cryptozd2DERzd2(BgL_pz00_85); 
{ /* Llib/DER.scm 558 */
 obj_t BgL_primzf2constrzf2_616; obj_t BgL_tagzd2numzd2_617;
{ /* Llib/DER.scm 558 */
 obj_t BgL_tmpz00_1267;
{ /* Llib/DER.scm 558 */
 int BgL_tmpz00_2350;
BgL_tmpz00_2350 = 
(int)(((long)1)); 
BgL_tmpz00_1267 = 
BGL_MVALUES_VAL(BgL_tmpz00_2350); } 
{ /* Llib/DER.scm 558 */
 int BgL_tmpz00_2353;
BgL_tmpz00_2353 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2353, BUNSPEC); } 
BgL_primzf2constrzf2_616 = BgL_tmpz00_1267; } 
{ /* Llib/DER.scm 558 */
 obj_t BgL_tmpz00_1268;
{ /* Llib/DER.scm 558 */
 int BgL_tmpz00_2356;
BgL_tmpz00_2356 = 
(int)(((long)2)); 
BgL_tmpz00_1268 = 
BGL_MVALUES_VAL(BgL_tmpz00_2356); } 
{ /* Llib/DER.scm 558 */
 int BgL_tmpz00_2359;
BgL_tmpz00_2359 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2359, BUNSPEC); } 
BgL_tagzd2numzd2_617 = BgL_tmpz00_1268; } 
if(
(BgL_classz00_615==
CNST_TABLE_REF(((long)8))))
{ /* Llib/DER.scm 555 */BFALSE; }  else 
{ /* Llib/DER.scm 555 */
BGl_errorz00zz__errorz00(BGl_string1955z00zz__cryptozd2DERzd2, BGl_string1956z00zz__cryptozd2DERzd2, BgL_classz00_615); } 
{ /* Llib/DER.scm 559 */
 obj_t BgL_tagz00_618;
BgL_tagz00_618 = 
BGl_lookupz00zz__cryptozd2DERzd2(BgL_tagzd2numzd2_617, BGl_za2universalzd2invzd2tagsza2z00zz__cryptozd2DERzd2); 
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)17))))
{ /* Llib/DER.scm 560 */
return 
BBOOL(
BGl_decodezd2boolzd2zz__cryptozd2DERzd2(BgL_pz00_85));}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)18))))
{ /* Llib/DER.scm 560 */
BGL_TAIL return 
BGl_decodezd2intzf2enumeratedz20zz__cryptozd2DERzd2(BgL_pz00_85);}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)7))))
{ /* Llib/DER.scm 560 */
BGL_TAIL return 
BGl_decodezd2sequencezf2setz20zz__cryptozd2DERzd2(BgL_pz00_85);}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)11))))
{ /* Llib/DER.scm 560 */
return 
((obj_t)
BGl_decodezd2setzd2zz__cryptozd2DERzd2(BgL_pz00_85));}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)19))))
{ /* Llib/DER.scm 560 */
{ /* Llib/DER.scm 293 */
 long BgL_oz00_1274;
BgL_oz00_1274 = 
BGl_readzd2octetzd2zz__cryptozd2DERzd2(BgL_pz00_85); BUNSPEC; } 
return 
CNST_TABLE_REF(((long)19));}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)12))))
{ /* Llib/DER.scm 560 */
BGL_TAIL return 
BGl_decodezd2objectzd2idz00zz__cryptozd2DERzd2(BgL_pz00_85);}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)15))))
{ /* Llib/DER.scm 560 */
return 
BGl_decodezd2octetzd2stringz00zz__cryptozd2DERzd2(BgL_pz00_85, 
(
CNST_TABLE_REF(((long)13))==BgL_primzf2constrzf2_616));}  else 
{ /* Llib/DER.scm 560 */
if(
(BgL_tagz00_618==
CNST_TABLE_REF(((long)16))))
{ /* Llib/DER.scm 560 */
BGL_TAIL return 
BGl_decodezd2bitstringzd2zz__cryptozd2DERzd2(BgL_pz00_85);}  else 
{ /* Llib/DER.scm 560 */
return 
BGl_errorz00zz__errorz00(BGl_string1955z00zz__cryptozd2DERzd2, BGl_string1952z00zz__cryptozd2DERzd2, BgL_tagz00_618);} } } } } } } } } } } } 

}



/* &decode-DER */
obj_t BGl_z62decodezd2DERzb0zz__cryptozd2DERzd2(obj_t BgL_envz00_1300, obj_t BgL_pz00_1301)
{
{ /* Llib/DER.scm 552 */
return 
BGl_decodezd2DERzd2zz__cryptozd2DERzd2(BgL_pz00_1301);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
{ /* Llib/DER.scm 4 */
 obj_t BgL_arg1881z00_632; obj_t BgL_arg1882z00_633;
{ /* Llib/DER.scm 4 */
 obj_t BgL_v1109z00_645;
BgL_v1109z00_645 = 
create_vector(((long)2)); 
{ /* Llib/DER.scm 4 */
 obj_t BgL_arg1888z00_646;
BgL_arg1888z00_646 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc1958z00zz__cryptozd2DERzd2, BGl_proc1957z00zz__cryptozd2DERzd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)21))); 
VECTOR_SET(BgL_v1109z00_645,((long)0),BgL_arg1888z00_646); } 
{ /* Llib/DER.scm 4 */
 obj_t BgL_arg1893z00_656;
BgL_arg1893z00_656 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc1960z00zz__cryptozd2DERzd2, BGl_proc1959z00zz__cryptozd2DERzd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)23))); 
VECTOR_SET(BgL_v1109z00_645,((long)1),BgL_arg1893z00_656); } 
BgL_arg1881z00_632 = BgL_v1109z00_645; } 
{ /* Llib/DER.scm 4 */
 obj_t BgL_v1110z00_666;
BgL_v1110z00_666 = 
create_vector(((long)0)); 
BgL_arg1882z00_633 = BgL_v1110z00_666; } 
BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)24)), 
CNST_TABLE_REF(((long)25)), BGl_objectz00zz__objectz00, ((long)7822), BGl_proc1963z00zz__cryptozd2DERzd2, BGl_proc1962z00zz__cryptozd2DERzd2, BFALSE, BGl_proc1961z00zz__cryptozd2DERzd2, BFALSE, BgL_arg1881z00_632, BgL_arg1882z00_633); } 
{ /* Llib/DER.scm 7 */
 obj_t BgL_arg1901z00_673; obj_t BgL_arg1902z00_674;
{ /* Llib/DER.scm 7 */
 obj_t BgL_v1111z00_685;
BgL_v1111z00_685 = 
create_vector(((long)1)); 
{ /* Llib/DER.scm 7 */
 obj_t BgL_arg1908z00_686;
BgL_arg1908z00_686 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1965z00zz__cryptozd2DERzd2, BGl_proc1964z00zz__cryptozd2DERzd2, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)26))); 
VECTOR_SET(BgL_v1111z00_685,((long)0),BgL_arg1908z00_686); } 
BgL_arg1901z00_673 = BgL_v1111z00_685; } 
{ /* Llib/DER.scm 7 */
 obj_t BgL_v1112z00_696;
BgL_v1112z00_696 = 
create_vector(((long)0)); 
BgL_arg1902z00_674 = BgL_v1112z00_696; } 
return ( 
BGl_DERzd2Setzd2zz__cryptozd2DERzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)25)), BGl_objectz00zz__objectz00, ((long)57341), BGl_proc1968z00zz__cryptozd2DERzd2, BGl_proc1967z00zz__cryptozd2DERzd2, BFALSE, BGl_proc1966z00zz__cryptozd2DERzd2, BFALSE, BgL_arg1901z00_673, BgL_arg1902z00_674), BUNSPEC) ;} } 

}



/* &<@anonymous:1907> */
obj_t BGl_z62zc3z04anonymousza31907ze3ze5zz__cryptozd2DERzd2(obj_t BgL_envz00_1314, obj_t BgL_new1054z00_1315)
{
{ /* Llib/DER.scm 7 */
{ 
 BgL_derzd2setzd2_bglt BgL_auxz00_2428;
((((BgL_derzd2setzd2_bglt)COBJECT(
((BgL_derzd2setzd2_bglt)BgL_new1054z00_1315)))->BgL_setz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_2428 = 
((BgL_derzd2setzd2_bglt)BgL_new1054z00_1315); 
return 
((obj_t)BgL_auxz00_2428);} } 

}



/* &lambda1905 */
BgL_derzd2setzd2_bglt BGl_z62lambda1905z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1316)
{
{ /* Llib/DER.scm 7 */
{ /* Llib/DER.scm 7 */
 BgL_derzd2setzd2_bglt BgL_new1053z00_1362;
BgL_new1053z00_1362 = 
((BgL_derzd2setzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_derzd2setzd2_bgl) ))); 
{ /* Llib/DER.scm 7 */
 long BgL_arg1906z00_1363;
BgL_arg1906z00_1363 = 
BGL_CLASS_NUM(BGl_DERzd2Setzd2zz__cryptozd2DERzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1053z00_1362), BgL_arg1906z00_1363); } 
{ /* Llib/DER.scm 7 */
 BgL_objectz00_bglt BgL_tmpz00_2437;
BgL_tmpz00_2437 = 
((BgL_objectz00_bglt)BgL_new1053z00_1362); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2437, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1053z00_1362); 
return BgL_new1053z00_1362;} } 

}



/* &lambda1903 */
BgL_derzd2setzd2_bglt BGl_z62lambda1903z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1317, obj_t BgL_set1052z00_1318)
{
{ /* Llib/DER.scm 7 */
{ /* Llib/DER.scm 7 */
 BgL_derzd2setzd2_bglt BgL_new1076z00_1365;
{ /* Llib/DER.scm 7 */
 BgL_derzd2setzd2_bglt BgL_new1075z00_1366;
BgL_new1075z00_1366 = 
((BgL_derzd2setzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_derzd2setzd2_bgl) ))); 
{ /* Llib/DER.scm 7 */
 long BgL_arg1904z00_1367;
BgL_arg1904z00_1367 = 
BGL_CLASS_NUM(BGl_DERzd2Setzd2zz__cryptozd2DERzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1075z00_1366), BgL_arg1904z00_1367); } 
{ /* Llib/DER.scm 7 */
 BgL_objectz00_bglt BgL_tmpz00_2445;
BgL_tmpz00_2445 = 
((BgL_objectz00_bglt)BgL_new1075z00_1366); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2445, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1075z00_1366); 
BgL_new1076z00_1365 = BgL_new1075z00_1366; } 
((((BgL_derzd2setzd2_bglt)COBJECT(BgL_new1076z00_1365))->BgL_setz00)=((obj_t)
((obj_t)BgL_set1052z00_1318)),BUNSPEC); 
return BgL_new1076z00_1365;} } 

}



/* &lambda1912 */
obj_t BGl_z62lambda1912z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1319, obj_t BgL_oz00_1320, obj_t BgL_vz00_1321)
{
{ /* Llib/DER.scm 7 */
return 
((((BgL_derzd2setzd2_bglt)COBJECT(
((BgL_derzd2setzd2_bglt)BgL_oz00_1320)))->BgL_setz00)=((obj_t)
((obj_t)BgL_vz00_1321)),BUNSPEC);} 

}



/* &lambda1911 */
obj_t BGl_z62lambda1911z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1322, obj_t BgL_oz00_1323)
{
{ /* Llib/DER.scm 7 */
return 
(((BgL_derzd2setzd2_bglt)COBJECT(
((BgL_derzd2setzd2_bglt)BgL_oz00_1323)))->BgL_setz00);} 

}



/* &<@anonymous:1887> */
obj_t BGl_z62zc3z04anonymousza31887ze3ze5zz__cryptozd2DERzd2(obj_t BgL_envz00_1324, obj_t BgL_new1050z00_1325)
{
{ /* Llib/DER.scm 4 */
{ 
 BgL_derzd2bitstringzd2_bglt BgL_auxz00_2456;
((((BgL_derzd2bitstringzd2_bglt)COBJECT(
((BgL_derzd2bitstringzd2_bglt)BgL_new1050z00_1325)))->BgL_dataz00)=((obj_t)BGl_string1938z00zz__cryptozd2DERzd2),BUNSPEC); 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(
((BgL_derzd2bitstringzd2_bglt)BgL_new1050z00_1325)))->BgL_unusedzd2bitszd2)=((long)((long)0)),BUNSPEC); 
BgL_auxz00_2456 = 
((BgL_derzd2bitstringzd2_bglt)BgL_new1050z00_1325); 
return 
((obj_t)BgL_auxz00_2456);} } 

}



/* &lambda1885 */
BgL_derzd2bitstringzd2_bglt BGl_z62lambda1885z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1326)
{
{ /* Llib/DER.scm 4 */
{ /* Llib/DER.scm 4 */
 BgL_derzd2bitstringzd2_bglt BgL_new1049z00_1372;
BgL_new1049z00_1372 = 
((BgL_derzd2bitstringzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_derzd2bitstringzd2_bgl) ))); 
{ /* Llib/DER.scm 4 */
 long BgL_arg1886z00_1373;
BgL_arg1886z00_1373 = 
BGL_CLASS_NUM(BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1049z00_1372), BgL_arg1886z00_1373); } 
{ /* Llib/DER.scm 4 */
 BgL_objectz00_bglt BgL_tmpz00_2467;
BgL_tmpz00_2467 = 
((BgL_objectz00_bglt)BgL_new1049z00_1372); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2467, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1049z00_1372); 
return BgL_new1049z00_1372;} } 

}



/* &lambda1883 */
BgL_derzd2bitstringzd2_bglt BGl_z62lambda1883z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1327, obj_t BgL_data1047z00_1328, obj_t BgL_unusedzd2bits1048zd2_1329)
{
{ /* Llib/DER.scm 4 */
{ /* Llib/DER.scm 4 */
 long BgL_unusedzd2bits1048zd2_1375;
BgL_unusedzd2bits1048zd2_1375 = 
(long)CINT(BgL_unusedzd2bits1048zd2_1329); 
{ /* Llib/DER.scm 4 */
 BgL_derzd2bitstringzd2_bglt BgL_new1074z00_1376;
{ /* Llib/DER.scm 4 */
 BgL_derzd2bitstringzd2_bglt BgL_new1073z00_1377;
BgL_new1073z00_1377 = 
((BgL_derzd2bitstringzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_derzd2bitstringzd2_bgl) ))); 
{ /* Llib/DER.scm 4 */
 long BgL_arg1884z00_1378;
BgL_arg1884z00_1378 = 
BGL_CLASS_NUM(BGl_DERzd2BitStringzd2zz__cryptozd2DERzd2); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1073z00_1377), BgL_arg1884z00_1378); } 
{ /* Llib/DER.scm 4 */
 BgL_objectz00_bglt BgL_tmpz00_2476;
BgL_tmpz00_2476 = 
((BgL_objectz00_bglt)BgL_new1073z00_1377); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2476, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1073z00_1377); 
BgL_new1074z00_1376 = BgL_new1073z00_1377; } 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_new1074z00_1376))->BgL_dataz00)=((obj_t)
((obj_t)BgL_data1047z00_1328)),BUNSPEC); 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(BgL_new1074z00_1376))->BgL_unusedzd2bitszd2)=((long)BgL_unusedzd2bits1048zd2_1375),BUNSPEC); 
return BgL_new1074z00_1376;} } } 

}



/* &lambda1897 */
obj_t BGl_z62lambda1897z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1330, obj_t BgL_oz00_1331, obj_t BgL_vz00_1332)
{
{ /* Llib/DER.scm 4 */
{ /* Llib/DER.scm 4 */
 long BgL_vz00_1380;
BgL_vz00_1380 = 
(long)CINT(BgL_vz00_1332); 
return 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(
((BgL_derzd2bitstringzd2_bglt)BgL_oz00_1331)))->BgL_unusedzd2bitszd2)=((long)BgL_vz00_1380),BUNSPEC);} } 

}



/* &lambda1896 */
obj_t BGl_z62lambda1896z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1333, obj_t BgL_oz00_1334)
{
{ /* Llib/DER.scm 4 */
return 
BINT(
(((BgL_derzd2bitstringzd2_bglt)COBJECT(
((BgL_derzd2bitstringzd2_bglt)BgL_oz00_1334)))->BgL_unusedzd2bitszd2));} 

}



/* &lambda1892 */
obj_t BGl_z62lambda1892z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1335, obj_t BgL_oz00_1336, obj_t BgL_vz00_1337)
{
{ /* Llib/DER.scm 4 */
return 
((((BgL_derzd2bitstringzd2_bglt)COBJECT(
((BgL_derzd2bitstringzd2_bglt)BgL_oz00_1336)))->BgL_dataz00)=((obj_t)
((obj_t)BgL_vz00_1337)),BUNSPEC);} 

}



/* &lambda1891 */
obj_t BGl_z62lambda1891z62zz__cryptozd2DERzd2(obj_t BgL_envz00_1338, obj_t BgL_oz00_1339)
{
{ /* Llib/DER.scm 4 */
return 
(((BgL_derzd2bitstringzd2_bglt)COBJECT(
((BgL_derzd2bitstringzd2_bglt)BgL_oz00_1339)))->BgL_dataz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__cryptozd2DERzd2(void)
{
{ /* Llib/DER.scm 1 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
