/*===========================================================================*/
/*   (Llib/async.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Llib/async.scm -o objs/async.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__ft_asyncz00 = BUNSPEC;
static obj_t BGl_z62objectzd2equalzf3zd2z52sigas1069zc3zz__ft_asyncz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_asyncz00(void);
static obj_t BGl_genericzd2initzd2zz__ft_asyncz00(void);
static obj_t BGl_objectzd2initzd2zz__ft_asyncz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ft_asyncz00(void);
static obj_t BGl_z62makezd2asynchronouszd2signalz62zz__ft_asyncz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31077ze3ze5zz__ft_asyncz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_asyncz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
static obj_t BGl_cnstzd2initzd2zz__ft_asyncz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_asyncz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_asyncz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__ft_asyncz00(void);
BGL_EXPORTED_DECL obj_t BGl_makezd2asynchronouszd2signalz00zz__ft_asyncz00(obj_t);
extern obj_t BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(BgL_z52schedulerz52_bglt, BgL_z52sigasyncz52_bglt);
extern obj_t BGl_currentzd2schedulerzd2zz__ft_schedulerz00(void);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t __cnst[ 1 ] ;


DEFINE_STRING( BGl_string1093z00zz__ft_asyncz00, BgL_bgl_string1093za700za7za7_1105za7, "Llib/async.scm", 14 );
DEFINE_STRING( BGl_string1094z00zz__ft_asyncz00, BgL_bgl_string1094za700za7za7_1106za7, "Illegal procedure arity proc", 28 );
DEFINE_STRING( BGl_string1095z00zz__ft_asyncz00, BgL_bgl_string1095za700za7za7_1107za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/fthread/src/Llib/async.scm", 66 );
DEFINE_STRING( BGl_string1096z00zz__ft_asyncz00, BgL_bgl_string1096za700za7za7_1108za7, "&make-asynchronous-signal", 25 );
DEFINE_STRING( BGl_string1097z00zz__ft_asyncz00, BgL_bgl_string1097za700za7za7_1109za7, "procedure", 9 );
DEFINE_STRING( BGl_string1099z00zz__ft_asyncz00, BgL_bgl_string1099za700za7za7_1110za7, "object-equal?", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1098z00zz__ft_asyncz00, BgL_bgl_za762objectza7d2equa1111z00, BGl_z62objectzd2equalzf3zd2z52sigas1069zc3zz__ft_asyncz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_objectzd2equalzf3zd2envzf3zz__objectz00;
DEFINE_STRING( BGl_string1100z00zz__ft_asyncz00, BgL_bgl_string1100za700za7za7_1112za7, "__ft_async", 10 );
DEFINE_STRING( BGl_string1101z00zz__ft_asyncz00, BgL_bgl_string1101za700za7za7_1113za7, "make-asynchronous-signal ", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2asynchronouszd2signalzd2envzd2zz__ft_asyncz00, BgL_bgl_za762makeza7d2asynch1114z00, BGl_z62makezd2asynchronouszd2signalz62zz__ft_asyncz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_asyncz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_asyncz00(long BgL_checksumz00_69, char * BgL_fromz00_70)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_asyncz00))
{ 
BGl_requirezd2initializa7ationz75zz__ft_asyncz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_asyncz00(); 
BGl_libraryzd2moduleszd2initz00zz__ft_asyncz00(); 
BGl_cnstzd2initzd2zz__ft_asyncz00(); 
BGl_importedzd2moduleszd2initz00zz__ft_asyncz00(); 
BGl_methodzd2initzd2zz__ft_asyncz00(); 
return 
BGl_toplevelzd2initzd2zz__ft_asyncz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__ft_async"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_async"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_async"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_async"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_async"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_async"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
{ /* Llib/async.scm 15 */
 obj_t BgL_cportz00_57;
{ /* Llib/async.scm 15 */
 obj_t BgL_stringz00_64;
BgL_stringz00_64 = BGl_string1101z00zz__ft_asyncz00; 
{ /* Llib/async.scm 15 */
 obj_t BgL_startz00_65;
BgL_startz00_65 = 
BINT(((long)0)); 
{ /* Llib/async.scm 15 */
 obj_t BgL_endz00_66;
BgL_endz00_66 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_64))); 
{ /* Llib/async.scm 15 */

BgL_cportz00_57 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_64, BgL_startz00_65, BgL_endz00_66); } } } } 
{ 
 long BgL_iz00_58;
BgL_iz00_58 = ((long)0); 
BgL_loopz00_59:
if(
(BgL_iz00_58==((long)-1)))
{ /* Llib/async.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/async.scm 15 */
{ /* Llib/async.scm 15 */
 obj_t BgL_arg1104z00_60;
{ /* Llib/async.scm 15 */

{ /* Llib/async.scm 15 */
 obj_t BgL_locationz00_62;
BgL_locationz00_62 = 
BBOOL(((bool_t)0)); 
{ /* Llib/async.scm 15 */

BgL_arg1104z00_60 = 
BGl_readz00zz__readerz00(BgL_cportz00_57, BgL_locationz00_62); } } } 
{ /* Llib/async.scm 15 */
 int BgL_tmpz00_95;
BgL_tmpz00_95 = 
(int)(BgL_iz00_58); 
CNST_TABLE_SET(BgL_tmpz00_95, BgL_arg1104z00_60); } } 
{ /* Llib/async.scm 15 */
 int BgL_auxz00_63;
BgL_auxz00_63 = 
(int)(
(BgL_iz00_58-((long)1))); 
{ 
 long BgL_iz00_100;
BgL_iz00_100 = 
(long)(BgL_auxz00_63); 
BgL_iz00_58 = BgL_iz00_100; 
goto BgL_loopz00_59;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1093z00zz__ft_asyncz00)); 
return BUNSPEC;} 

}



/* make-asynchronous-signal */
BGL_EXPORTED_DEF obj_t BGl_makezd2asynchronouszd2signalz00zz__ft_asyncz00(obj_t BgL_procz00_5)
{
{ /* Llib/async.scm 40 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_5, 
(int)(((long)1))))
{ /* Llib/async.scm 43 */
 obj_t BgL_sigz00_45;
BgL_sigz00_45 = 
MAKE_CELL(BUNSPEC); 
{ /* Llib/async.scm 43 */
 BgL_z52sigasyncz52_bglt BgL_g1084z00_21;
{ /* Llib/async.scm 43 */
 BgL_z52sigasyncz52_bglt BgL_new1063z00_17;
{ /* Llib/async.scm 43 */
 BgL_z52sigasyncz52_bglt BgL_new1062z00_19;
BgL_new1062z00_19 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/async.scm 43 */
 long BgL_arg1079z00_20;
BgL_arg1079z00_20 = 
BGL_CLASS_NUM(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1062z00_19), BgL_arg1079z00_20); } 
BgL_new1063z00_17 = BgL_new1062z00_19; } 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1063z00_17))->BgL_spawnedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1063z00_17))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)0))),BUNSPEC); 
{ 
 obj_t BgL_auxz00_115;
{ /* Llib/async.scm 45 */
 obj_t BgL_zc3z04anonymousza31077ze3z87_39;
BgL_zc3z04anonymousza31077ze3z87_39 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31077ze3ze5zz__ft_asyncz00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31077ze3z87_39, 
(int)(((long)0)), BgL_procz00_5); 
PROCEDURE_SET(BgL_zc3z04anonymousza31077ze3z87_39, 
(int)(((long)1)), 
((obj_t)BgL_sigz00_45)); 
BgL_auxz00_115 = BgL_zc3z04anonymousza31077ze3z87_39; } 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1063z00_17))->BgL_thunkz00)=((obj_t)BgL_auxz00_115),BUNSPEC); } 
BgL_g1084z00_21 = BgL_new1063z00_17; } 
CELL_SET(BgL_sigz00_45, 
((obj_t)BgL_g1084z00_21)); 
{ /* Llib/async.scm 46 */
 obj_t BgL_arg1076z00_16;
BgL_arg1076z00_16 = 
BGl_currentzd2schedulerzd2zz__ft_schedulerz00(); 
BGl_z52schedulerzd2addzd2asyncz12z40zz__ft_z52schedulerz52(
((BgL_z52schedulerz52_bglt)BgL_arg1076z00_16), 
((BgL_z52sigasyncz52_bglt)
((BgL_z52sigasyncz52_bglt)
CELL_REF(BgL_sigz00_45)))); } 
return 
CELL_REF(BgL_sigz00_45);} }  else 
{ /* Llib/async.scm 41 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string1094z00zz__ft_asyncz00, BgL_procz00_5);} } 

}



/* &make-asynchronous-signal */
obj_t BGl_z62makezd2asynchronouszd2signalz62zz__ft_asyncz00(obj_t BgL_envz00_40, obj_t BgL_procz00_41)
{
{ /* Llib/async.scm 40 */
{ /* Llib/async.scm 41 */
 obj_t BgL_auxz00_133;
if(
PROCEDUREP(BgL_procz00_41))
{ /* Llib/async.scm 41 */
BgL_auxz00_133 = BgL_procz00_41
; }  else 
{ 
 obj_t BgL_auxz00_136;
BgL_auxz00_136 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1095z00zz__ft_asyncz00, 
BINT(((long)1779)), BGl_string1096z00zz__ft_asyncz00, BGl_string1097z00zz__ft_asyncz00, BgL_procz00_41); 
FAILURE(BgL_auxz00_136,BFALSE,BFALSE);} 
return 
BGl_makezd2asynchronouszd2signalz00zz__ft_asyncz00(BgL_auxz00_133);} } 

}



/* &<@anonymous:1077> */
obj_t BGl_z62zc3z04anonymousza31077ze3ze5zz__ft_asyncz00(obj_t BgL_envz00_42)
{
{ /* Llib/async.scm 45 */
{ /* Llib/async.scm 45 */
 obj_t BgL_procz00_43; obj_t BgL_sigz00_44;
BgL_procz00_43 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_42, 
(int)(((long)0)))); 
BgL_sigz00_44 = 
PROCEDURE_REF(BgL_envz00_42, 
(int)(((long)1))); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_procz00_43))(BgL_procz00_43, 
CELL_REF(BgL_sigz00_44), BEOA);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_objectzd2equalzf3zd2envzf3zz__objectz00, BGl_z52sigasyncz52zz__ft_z52typesz52, BGl_proc1098z00zz__ft_asyncz00, BGl_string1099z00zz__ft_asyncz00);} 

}



/* &object-equal?-%sigas1069 */
obj_t BGl_z62objectzd2equalzf3zd2z52sigas1069zc3zz__ft_asyncz00(obj_t BgL_envz00_49, obj_t BgL_o1z00_50, obj_t BgL_o2z00_51)
{
{ /* Llib/async.scm 34 */
return 
BBOOL(
(
((obj_t)
((BgL_z52sigasyncz52_bglt)BgL_o1z00_50))==BgL_o2z00_51));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_asyncz00(void)
{
{ /* Llib/async.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52threadz52(((long)536507091), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52schedulerz52(((long)398966270), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_threadz00(((long)431919647), 
BSTRING_TO_STRING(BGl_string1100z00zz__ft_asyncz00));} 

}

#ifdef __cplusplus
}
#endif
