/*===========================================================================*/
/*   (Misc/make_lib.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IPosix Misc/make_lib.scm -o objs/make_lib.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__fthread_makelibz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__fthread_makelibz00(void);
static obj_t BGl_genericzd2initzd2zz__fthread_makelibz00(void);
static obj_t BGl_objectzd2initzd2zz__fthread_makelibz00(void);
BGL_IMPORT obj_t BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(obj_t);
extern obj_t BGl_z52schedulerz52zz__ft_z52typesz52;
static obj_t BGl_evalzd2initzd2zz__fthread_makelibz00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_fthreadz00zz__ft_typesz00;
static obj_t BGl_methodzd2initzd2zz__fthread_makelibz00(void);
extern obj_t BGl_z52sigjoinz52zz__ft_typesz00;
extern obj_t BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00;
BGL_IMPORT obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
extern obj_t BGl_z52envz52zz__ft_z52envz52;
static obj_t BGl_z62z52fthreadzd2evalze2zz__fthread_makelibz00(obj_t);
extern obj_t BGl_z52pthreadz52zz__ft_z52typesz52;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__fthread_makelibz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_signalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52envz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_asyncz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_timez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_env2dz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_envz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evobjectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_z52signalz52zz__ft_signalz00;
BGL_IMPORT obj_t BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(obj_t);
extern obj_t BGl_z52sigasyncz52zz__ft_z52typesz52;
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_cnstzd2initzd2zz__fthread_makelibz00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__fthread_makelibz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__fthread_makelibz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__fthread_makelibz00(void);
static obj_t BGl_z62appendzd221009zb0zz__fthread_makelibz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(obj_t);
extern obj_t BGl_ftenvz00zz__ft_typesz00;
static obj_t __cnst[ 54 ] ;


extern obj_t BGl_ftenvzd2lastzd2lookupzd2envzd2zz__ft_envz00;
extern obj_t BGl_defaultzd2schedulerzd2envz00zz__ft_schedulerz00;
extern obj_t BGl_threadzd2resumez12zd2envz12zz__ft_threadz00;
extern obj_t BGl_ftenvzd2filterz12zd2envz12zz__ft_envz00;
extern obj_t BGl_threadzd2awaitz12zd2envz12zz__ft_threadz00;
extern obj_t BGl_signalzd2registerzd2threadz12zd2envzc0zz__ft_signalz00;
extern obj_t BGl_secondszd2ze3timezd2envze3zz__ft_timez00;
extern obj_t BGl_schedulerzd2startz12zd2envz12zz__ft_schedulerz00;
extern obj_t BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00;
extern obj_t BGl_signalzd2lookupzd2envz00zz__ft_signalz00;
extern obj_t BGl_schedulerzd2reactz12zd2envz12zz__ft_schedulerz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_appendzd221009zd2envz00zz__fthread_makelibz00, BgL_bgl_za762appendza7d221001150z00, BGl_z62appendzd221009zb0zz__fthread_makelibz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_signalzd2lastzd2valueszd2envzd2zz__ft_signalz00;
extern obj_t BGl_threadzd2awaitzd2valuesza2z12zd2envz62zz__ft_threadz00;
extern obj_t BGl_schedulerzd2broadcastz12zd2envz12zz__ft_schedulerz00;
extern obj_t BGl_schedulerzd2instantzd2envz00zz__ft_schedulerz00;
extern obj_t BGl_ftenvzd2lookupzd2envz00zz__ft_envz00;
extern obj_t BGl_timezf3zd2envz21zz__ft_timez00;
extern obj_t BGl_withzd2schedulerzd2envz00zz__ft_schedulerz00;
extern obj_t BGl_timezd2ze3secondszd2envze3zz__ft_timez00;
extern obj_t BGl_threadzd2getzd2valuesza2z12zd2envz62zz__ft_threadz00;
extern obj_t BGl_ftenvzd2handleszf3zd2envzf3zz__ft_envz00;
extern obj_t BGl_currentzd2timezd2envz00zz__ft_timez00;
extern obj_t BGl_currentzd2schedulerzd2envz00zz__ft_schedulerz00;
extern obj_t BGl_broadcastz12zd2envzc0zz__ft_schedulerz00;
extern obj_t BGl_instantzd2envz12zd2envz12zz__ft_envz00;
extern obj_t BGl_threadzd2suspendz12zd2envz12zz__ft_threadz00;
extern obj_t BGl_threadzd2awaitza2z12zd2envzb0zz__ft_threadz00;
extern obj_t BGl_z52envzd2waitingzd2signalszd2envz80zz__ft_z52envz52;
extern obj_t BGl_schedulerzd2terminatez12zd2envz12zz__ft_schedulerz00;
extern obj_t BGl_makezd2schedulerzd2envz00zz__ft_schedulerz00;
extern obj_t BGl_ftenvzd2bindz12zd2envz12zz__ft_envz00;
extern obj_t BGl_currentzd2schedulerzd2setz12zd2envzc0zz__ft_schedulerz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_z52fthreadzd2evalzd2envz52zz__fthread_makelibz00, BgL_bgl_za762za752fthreadza7d21151za7, BGl_z62z52fthreadzd2evalze2zz__fthread_makelibz00, 0L, BUNSPEC, 0 );
extern obj_t BGl_signalzd2emitzd2envz00zz__ft_signalz00;
extern obj_t BGl_ftenvzd2threadszd2envz00zz__ft_envz00;
extern obj_t BGl_threadzd2getzd2valuesz12zd2envzc0zz__ft_threadz00;
extern obj_t BGl_makezd2ftenv2dzd2envz00zz__ft_env2dz00;
extern obj_t BGl_signalzd2valuezd2envz00zz__ft_signalz00;
extern obj_t BGl_signalzd2unregisterzd2threadz12zd2envzc0zz__ft_signalz00;
extern obj_t BGl_threadzd2awaitzd2valuesz12zd2envzc0zz__ft_threadz00;
DEFINE_STRING( BGl_string1143z00zz__fthread_makelibz00, BgL_bgl_string1143za700za7za7_1152za7, "Misc/make_lib.scm", 17 );
DEFINE_STRING( BGl_string1144z00zz__fthread_makelibz00, BgL_bgl_string1144za700za7za7_1153za7, "&append-21009", 13 );
DEFINE_STRING( BGl_string1145z00zz__fthread_makelibz00, BgL_bgl_string1145za700za7za7_1154za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1146z00zz__fthread_makelibz00, BgL_bgl_string1146za700za7za7_1155za7, "__fthread_makelib", 17 );
extern obj_t BGl_ftzd2iszd2signalzf3zd2envz21zz__ft_envz00;
DEFINE_STRING( BGl_string1147z00zz__fthread_makelibz00, BgL_bgl_string1147za700za7za7_1156za7, "thread-await*! scheduler-terminate! thread-get-values*! ftenv-bind! thread-await-values*! seconds->time broadcast! thread-resume! %scheduler %env-waiting-signals ftenv-filter! append-21009 ftenv-lookup fthread make-ftenv2d %sigjoin ft-is-signal? join-timeout-exception signal-register-thread! %env ftenv-threads thread-get-values! %pthread scheduler-broadcast! time->seconds make-scheduler signal-emit %signal %sigasync thread-await! scheduler with-scheduler ftenv-last-lookup current-scheduler-set! instant-env! thread-suspend! signal-lookup make-asynchronous-signal signal-unregister-thread! current-time time? current-scheduler %fthread-eval thread-await-values! %thread-setup! signal-value signal-unbind-thread! scheduler-start! scheduler-react! scheduler-instant ftenv-handles? ftenv default-scheduler signal-last-values ", 826 );
extern obj_t BGl_signalzd2unbindzd2threadz12zd2envzc0zz__ft_signalz00;
extern obj_t BGl_makezd2asynchronouszd2signalzd2envzd2zz__ft_asyncz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__fthread_makelibz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__fthread_makelibz00(long BgL_checksumz00_147, char * BgL_fromz00_148)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__fthread_makelibz00))
{ 
BGl_requirezd2initializa7ationz75zz__fthread_makelibz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__fthread_makelibz00(); 
BGl_libraryzd2moduleszd2initz00zz__fthread_makelibz00(); 
BGl_cnstzd2initzd2zz__fthread_makelibz00(); 
BGl_importedzd2moduleszd2initz00zz__fthread_makelibz00(); 
BGl_evalzd2initzd2zz__fthread_makelibz00(); 
return 
BGl_toplevelzd2initzd2zz__fthread_makelibz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__evobjectz00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__fthread_makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__fthread_makelib"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_cportz00_129;
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_stringz00_136;
BgL_stringz00_136 = BGl_string1147z00zz__fthread_makelibz00; 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_startz00_137;
BgL_startz00_137 = 
BINT(((long)0)); 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_endz00_138;
BgL_endz00_138 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_136))); 
{ /* Misc/make_lib.scm 15 */

BgL_cportz00_129 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_136, BgL_startz00_137, BgL_endz00_138); } } } } 
{ 
 long BgL_iz00_130;
BgL_iz00_130 = ((long)53); 
BgL_loopz00_131:
if(
(BgL_iz00_130==((long)-1)))
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;}  else 
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_arg1149z00_132;
{ /* Misc/make_lib.scm 15 */

{ /* Misc/make_lib.scm 15 */
 obj_t BgL_locationz00_134;
BgL_locationz00_134 = 
BBOOL(((bool_t)0)); 
{ /* Misc/make_lib.scm 15 */

BgL_arg1149z00_132 = 
BGl_readz00zz__readerz00(BgL_cportz00_129, BgL_locationz00_134); } } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_tmpz00_175;
BgL_tmpz00_175 = 
(int)(BgL_iz00_130); 
CNST_TABLE_SET(BgL_tmpz00_175, BgL_arg1149z00_132); } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_auxz00_135;
BgL_auxz00_135 = 
(int)(
(BgL_iz00_130-((long)1))); 
{ 
 long BgL_iz00_180;
BgL_iz00_180 = 
(long)(BgL_auxz00_135); 
BgL_iz00_130 = BgL_iz00_180; 
goto BgL_loopz00_131;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1143z00zz__fthread_makelibz00)); 
return BFALSE;} 

}



/* &append-21009 */
obj_t BGl_z62appendzd221009zb0zz__fthread_makelibz00(obj_t BgL_envz00_15, obj_t BgL_l1z00_16, obj_t BgL_l2z00_17)
{
{ 
{ 
 obj_t BgL_l1z00_141;
{ 
 bool_t BgL_test1159z00_185;
if(
PAIRP(BgL_l1z00_16))
{ /* Ieee/pairlist.scm 241 */
BgL_test1159z00_185 = ((bool_t)1)
; }  else 
{ /* Ieee/pairlist.scm 241 */
BgL_test1159z00_185 = 
NULLP(BgL_l1z00_16)
; } 
if(BgL_test1159z00_185)
{ 
BgL_l1z00_141 = BgL_l1z00_16; }  else 
{ 
 obj_t BgL_auxz00_189;
BgL_auxz00_189 = 
BGl_typezd2errorzd2zz__errorz00(BFALSE, BFALSE, BGl_string1144z00zz__fthread_makelibz00, BGl_string1145z00zz__fthread_makelibz00, BgL_l1z00_16); 
FAILURE(BgL_auxz00_189,BFALSE,BFALSE);} } 
{ 
 obj_t BgL_headz00_142;
BgL_headz00_142 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_17); 
{ 
 obj_t BgL_prevz00_144; obj_t BgL_tailz00_145;
BgL_prevz00_144 = BgL_headz00_142; 
BgL_tailz00_145 = BgL_l1z00_141; 
BgL_loopz00_143:
if(
PAIRP(BgL_tailz00_145))
{ 
 obj_t BgL_newzd2prevzd2_146;
BgL_newzd2prevzd2_146 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_145), BgL_l2z00_17); 
SET_CDR(BgL_prevz00_144, BgL_newzd2prevzd2_146); 
{ 
 obj_t BgL_tailz00_199; obj_t BgL_prevz00_198;
BgL_prevz00_198 = BgL_newzd2prevzd2_146; 
BgL_tailz00_199 = 
CDR(BgL_tailz00_145); 
BgL_tailz00_145 = BgL_tailz00_199; 
BgL_prevz00_144 = BgL_prevz00_198; 
goto BgL_loopz00_143;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_142);} } } } 

}



/* &%fthread-eval */
obj_t BGl_z62z52fthreadzd2evalze2zz__fthread_makelibz00(obj_t BgL_envz00_18)
{
{ /* Misc/make_lib.scm 41 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_threadz00(((long)431919647), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_schedulerz00(((long)427827911), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_envz00(((long)360853603), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_env2dz00(((long)192954317), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_timez00(((long)266814062), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_asyncz00(((long)527172771), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(((long)0), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
BGl_modulezd2initializa7ationz75zz__ft_z52envz52(((long)471565054), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00)); 
return 
BGl_modulezd2initializa7ationz75zz__ft_signalz00(((long)295111899), 
BSTRING_TO_STRING(BGl_string1146z00zz__fthread_makelibz00));} 

}



/* eval-init */
obj_t BGl_evalzd2initzd2zz__fthread_makelibz00(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_ftenvz00zz__ft_typesz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_schedulerz00zz__ft_typesz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00); 
BGl_evalzd2expandzd2instantiatez00zz__evobjectz00(BGl_fthreadz00zz__ft_typesz00); 
BGl_evalzd2expandzd2duplicatez00zz__evobjectz00(BGl_fthreadz00zz__ft_typesz00); 
BGl_evalzd2expandzd2withzd2accesszd2zz__evobjectz00(BGl_fthreadz00zz__ft_typesz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)0)), BGl_signalzd2lastzd2valueszd2envzd2zz__ft_signalz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)1)), BGl_defaultzd2schedulerzd2envz00zz__ft_schedulerz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)2)), 
__EVMEANING_ADDRESS(
(BGl_ftenvz00zz__ft_typesz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)3)), BGl_ftenvzd2handleszf3zd2envzf3zz__ft_envz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)4)), BGl_schedulerzd2instantzd2envz00zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)5)), BGl_schedulerzd2reactz12zd2envz12zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)6)), BGl_schedulerzd2startz12zd2envz12zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)7)), BGl_signalzd2unbindzd2threadz12zd2envzc0zz__ft_signalz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)8)), BGl_signalzd2valuezd2envz00zz__ft_signalz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)9)), BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)10)), BGl_threadzd2awaitzd2valuesz12zd2envzc0zz__ft_threadz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)11)), BGl_z52fthreadzd2evalzd2envz52zz__fthread_makelibz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)12)), BGl_currentzd2schedulerzd2envz00zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)13)), BGl_timezf3zd2envz21zz__ft_timez00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)14)), BGl_currentzd2timezd2envz00zz__ft_timez00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)15)), BGl_signalzd2unregisterzd2threadz12zd2envzc0zz__ft_signalz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)16)), BGl_makezd2asynchronouszd2signalzd2envzd2zz__ft_asyncz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)17)), BGl_signalzd2lookupzd2envz00zz__ft_signalz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)18)), BGl_threadzd2suspendz12zd2envz12zz__ft_threadz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)19)), BGl_instantzd2envz12zd2envz12zz__ft_envz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)20)), BGl_currentzd2schedulerzd2setz12zd2envzc0zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)21)), BGl_ftenvzd2lastzd2lookupzd2envzd2zz__ft_envz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)22)), BGl_withzd2schedulerzd2envz00zz__ft_schedulerz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)23)), 
__EVMEANING_ADDRESS(
(BGl_schedulerz00zz__ft_typesz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)24)), BGl_threadzd2awaitz12zd2envz12zz__ft_threadz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)25)), 
__EVMEANING_ADDRESS(
(BGl_z52sigasyncz52zz__ft_z52typesz52))); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)26)), 
__EVMEANING_ADDRESS(
(BGl_z52signalz52zz__ft_signalz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)27)), BGl_signalzd2emitzd2envz00zz__ft_signalz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)28)), BGl_makezd2schedulerzd2envz00zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)29)), BGl_timezd2ze3secondszd2envze3zz__ft_timez00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)30)), BGl_schedulerzd2broadcastz12zd2envz12zz__ft_schedulerz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)31)), 
__EVMEANING_ADDRESS(
(BGl_z52pthreadz52zz__ft_z52typesz52))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)32)), BGl_threadzd2getzd2valuesz12zd2envzc0zz__ft_threadz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)33)), BGl_ftenvzd2threadszd2envz00zz__ft_envz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)34)), 
__EVMEANING_ADDRESS(
(BGl_z52envz52zz__ft_z52envz52))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)35)), BGl_signalzd2registerzd2threadz12zd2envzc0zz__ft_signalz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)36)), 
__EVMEANING_ADDRESS(
(BGl_joinzd2timeoutzd2exceptionz00zz__ft_threadz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)37)), BGl_ftzd2iszd2signalzf3zd2envz21zz__ft_envz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)38)), 
__EVMEANING_ADDRESS(
(BGl_z52sigjoinz52zz__ft_typesz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)39)), BGl_makezd2ftenv2dzd2envz00zz__ft_env2dz00); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)40)), 
__EVMEANING_ADDRESS(
(BGl_fthreadz00zz__ft_typesz00))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)41)), BGl_ftenvzd2lookupzd2envz00zz__ft_envz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)42)), BGl_appendzd221009zd2envz00zz__fthread_makelibz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)43)), BGl_ftenvzd2filterz12zd2envz12zz__ft_envz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)44)), BGl_z52envzd2waitingzd2signalszd2envz80zz__ft_z52envz52); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)45)), 
__EVMEANING_ADDRESS(
(BGl_z52schedulerz52zz__ft_z52typesz52))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)46)), BGl_threadzd2resumez12zd2envz12zz__ft_threadz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)47)), BGl_broadcastz12zd2envzc0zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)48)), BGl_secondszd2ze3timezd2envze3zz__ft_timez00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)49)), BGl_threadzd2awaitzd2valuesza2z12zd2envz62zz__ft_threadz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)50)), BGl_ftenvzd2bindz12zd2envz12zz__ft_envz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)51)), BGl_threadzd2getzd2valuesza2z12zd2envz62zz__ft_threadz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)52)), BGl_schedulerzd2terminatez12zd2envz12zz__ft_schedulerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)53)), BGl_threadzd2awaitza2z12zd2envzb0zz__ft_threadz00); 
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
