/*===========================================================================*/
/*   (Llib/check.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/check.scm -o objs/check.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvcheckz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvcheckz00_bglt;


extern obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_z62uvzd2checkzd2stopz62zz__libuv_checkz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_checkz00 = BUNSPEC;
extern uv_check_t * bgl_uv_check_new(BgL_uvcheckz00_bglt, BgL_uvloopz00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2checkzd2startz00zz__libuv_checkz00(BgL_uvcheckz00_bglt);
static obj_t BGl_toplevelzd2initzd2zz__libuv_checkz00(void);
extern bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static obj_t BGl_genericzd2initzd2zz__libuv_checkz00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_checkz00(void);
static obj_t BGl_z62z52uvzd2initzd2UvCheck1073z30zz__libuv_checkz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_checkz00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2checkzd2stopz00zz__libuv_checkz00(BgL_uvcheckz00_bglt);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_checkz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_checkz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_checkz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_checkz00(void);
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern uv_check_cb bgl_uv_handle_cb(uv_check_t *, int);
extern obj_t BGl_UvCheckz00zz__libuv_typesz00;
static obj_t BGl_z62uvzd2checkzd2startz62zz__libuv_checkz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2checkzd2startzd2envzd2zz__libuv_checkz00, BgL_bgl_za762uvza7d2checkza7d21119za7, BGl_z62uvzd2checkzd2startz62zz__libuv_checkz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2checkzd2stopzd2envzd2zz__libuv_checkz00, BgL_bgl_za762uvza7d2checkza7d21120za7, BGl_z62uvzd2checkzd2stopz62zz__libuv_checkz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1114z00zz__libuv_checkz00, BgL_bgl_string1114za700za7za7_1121za7, "uv-check-start", 14 );
DEFINE_STRING( BGl_string1115z00zz__libuv_checkz00, BgL_bgl_string1115za700za7za7_1122za7, "wrong callback", 14 );
DEFINE_STRING( BGl_string1117z00zz__libuv_checkz00, BgL_bgl_string1117za700za7za7_1123za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1118z00zz__libuv_checkz00, BgL_bgl_string1118za700za7za7_1124za7, "__libuv_check", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1116z00zz__libuv_checkz00, BgL_bgl_za762za752uvza7d2initza71125z00, BGl_z62z52uvzd2initzd2UvCheck1073z30zz__libuv_checkz00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_checkz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_checkz00(long BgL_checksumz00_85, char * BgL_fromz00_86)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_checkz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_checkz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_checkz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_checkz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_checkz00(); 
BGl_methodzd2initzd2zz__libuv_checkz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_checkz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_check"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_check"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_check"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__libuv_check"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_check"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
return BUNSPEC;} 

}



/* uv-check-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2checkzd2startz00zz__libuv_checkz00(BgL_uvcheckz00_bglt BgL_oz00_4)
{
{ /* Llib/check.scm 35 */
{ /* Llib/check.scm 37 */
 bool_t BgL_test1127z00_101;
{ /* Llib/check.scm 37 */
 obj_t BgL_arg1091z00_31;
BgL_arg1091z00_31 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_cbz00); 
BgL_test1127z00_101 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg1091z00_31, 
(int)(((long)1))); } 
if(BgL_test1127z00_101)
{ /* Llib/check.scm 39 */
 BgL_uvloopz00_bglt BgL_i1068z00_22;
BgL_i1068z00_22 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_loopz00); 
{ /* Llib/check.scm 40 */
 obj_t BgL_mutex1082z00_23;
BgL_mutex1082z00_23 = 
(((BgL_uvloopz00_bglt)COBJECT(BgL_i1068z00_22))->BgL_z52mutexz52); 
{ /* Llib/check.scm 40 */
 obj_t BgL_top1129z00_110;
BgL_top1129z00_110 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1082z00_23); 
BGL_EXITD_PUSH_PROTECT(BgL_top1129z00_110, BgL_mutex1082z00_23); BUNSPEC; 
{ /* Llib/check.scm 40 */
 obj_t BgL_tmp1128z00_109;
{ /* Llib/check.scm 42 */
 BgL_uvloopz00_bglt BgL_arg1083z00_24;
BgL_arg1083z00_24 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_loopz00); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarkstailz52)))
{ /* Llib/check.scm 42 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_4), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/check.scm 42 */
{ /* Llib/check.scm 42 */
 obj_t BgL_arg1104z00_57; obj_t BgL_arg1110z00_58;
BgL_arg1104z00_57 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarkstailz52); 
BgL_arg1110z00_58 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_4), BNIL); 
{ /* Llib/check.scm 42 */
 obj_t BgL_tmpz00_132;
BgL_tmpz00_132 = 
((obj_t)BgL_arg1104z00_57); 
SET_CDR(BgL_tmpz00_132, BgL_arg1110z00_58); } } 
{ 
 obj_t BgL_auxz00_135;
{ /* Llib/check.scm 42 */
 obj_t BgL_pairz00_61;
BgL_pairz00_61 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_135 = 
CDR(BgL_pairz00_61); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1083z00_24)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_135),BUNSPEC); } } BUNSPEC; } 
{ /* Llib/check.scm 44 */
 bool_t BgL_test1131z00_141;
{ /* Llib/check.scm 44 */
 BgL_uvloopz00_bglt BgL_arg1086z00_27;
BgL_arg1086z00_27 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_loopz00); 
BgL_test1131z00_141 = 
BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_arg1086z00_27)); } 
if(BgL_test1131z00_141)
{ /* Llib/check.scm 44 */
BgL_tmp1128z00_109 = 
void_star_to_obj(
bgl_uv_handle_cb(0L, 
(int)(((long)0)))); }  else 
{ /* Llib/check.scm 44 */
BgL_tmp1128z00_109 = BFALSE; } } 
BGL_EXITD_POP_PROTECT(BgL_top1129z00_110); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1082z00_23); BgL_tmp1128z00_109; } } } 
{ /* Llib/check.scm 46 */
 uv_check_t * BgL_arg1087z00_28;
{ /* Llib/check.scm 46 */
 uv_handle_t * BgL_arg1090z00_29;
BgL_arg1090z00_29 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_4)))->BgL_z42builtinz42); 
BgL_arg1087z00_28 = 
(uv_check_t *)(BgL_arg1090z00_29); } 
uv_check_start(BgL_arg1087z00_28, (uv_check_cb)&bgl_uv_handle_cb); 
return BUNSPEC;} }  else 
{ /* Llib/check.scm 37 */
return 
BGl_errorz00zz__errorz00(BGl_string1114z00zz__libuv_checkz00, BGl_string1115z00zz__libuv_checkz00, 
((obj_t)BgL_oz00_4));} } } 

}



/* &uv-check-start */
obj_t BGl_z62uvzd2checkzd2startz62zz__libuv_checkz00(obj_t BgL_envz00_73, obj_t BgL_oz00_74)
{
{ /* Llib/check.scm 35 */
return 
BGl_uvzd2checkzd2startz00zz__libuv_checkz00(
((BgL_uvcheckz00_bglt)BgL_oz00_74));} 

}



/* uv-check-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2checkzd2stopz00zz__libuv_checkz00(BgL_uvcheckz00_bglt BgL_oz00_5)
{
{ /* Llib/check.scm 51 */
{ /* Llib/check.scm 53 */
 BgL_uvloopz00_bglt BgL_i1070z00_34;
BgL_i1070z00_34 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_5)))->BgL_loopz00); 
{ /* Llib/check.scm 54 */
 obj_t BgL_mutex1094z00_35;
BgL_mutex1094z00_35 = 
(((BgL_uvloopz00_bglt)COBJECT(BgL_i1070z00_34))->BgL_z52mutexz52); 
{ /* Llib/check.scm 54 */
 obj_t BgL_top1133z00_163;
BgL_top1133z00_163 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1094z00_35); 
BGL_EXITD_PUSH_PROTECT(BgL_top1133z00_163, BgL_mutex1094z00_35); BUNSPEC; 
{ /* Llib/check.scm 54 */
 obj_t BgL_tmp1132z00_162;
{ /* Llib/check.scm 56 */
 BgL_uvloopz00_bglt BgL_arg1096z00_36;
BgL_arg1096z00_36 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_5)))->BgL_loopz00); 
BgL_tmp1132z00_162 = 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1096z00_36), 
((obj_t)BgL_oz00_5)); } 
BGL_EXITD_POP_PROTECT(BgL_top1133z00_163); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1094z00_35); BgL_tmp1132z00_162; } } } } 
{ /* Llib/check.scm 57 */
 uv_check_t * BgL_arg1097z00_37;
{ /* Llib/check.scm 57 */
 uv_handle_t * BgL_arg1098z00_38;
BgL_arg1098z00_38 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_5)))->BgL_z42builtinz42); 
BgL_arg1097z00_37 = 
(uv_check_t *)(BgL_arg1098z00_38); } 
uv_check_stop(BgL_arg1097z00_37); 
return BUNSPEC;} } 

}



/* &uv-check-stop */
obj_t BGl_z62uvzd2checkzd2stopz62zz__libuv_checkz00(obj_t BgL_envz00_75, obj_t BgL_oz00_76)
{
{ /* Llib/check.scm 51 */
return 
BGl_uvzd2checkzd2stopz00zz__libuv_checkz00(
((BgL_uvcheckz00_bglt)BgL_oz00_76));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvCheckz00zz__libuv_typesz00, BGl_proc1116z00zz__libuv_checkz00, BGl_string1117z00zz__libuv_checkz00);} 

}



/* &%uv-init-UvCheck1073 */
obj_t BGl_z62z52uvzd2initzd2UvCheck1073z30zz__libuv_checkz00(obj_t BgL_envz00_78, obj_t BgL_oz00_79)
{
{ /* Llib/check.scm 27 */
{ 
 uv_handle_t * BgL_auxz00_181;
{ /* Llib/check.scm 29 */
 uv_check_t * BgL_arg1099z00_83;
{ /* Llib/check.scm 29 */
 BgL_uvloopz00_bglt BgL_arg1100z00_84;
BgL_arg1100z00_84 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvcheckz00_bglt)BgL_oz00_79))))->BgL_loopz00); 
BgL_arg1099z00_83 = 
bgl_uv_check_new(
((BgL_uvcheckz00_bglt)BgL_oz00_79), BgL_arg1100z00_84); } 
BgL_auxz00_181 = 
(uv_handle_t *)(BgL_arg1099z00_83); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvcheckz00_bglt)BgL_oz00_79))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_181),BUNSPEC); } 
return 
((obj_t)
((BgL_uvcheckz00_bglt)BgL_oz00_79));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_checkz00(void)
{
{ /* Llib/check.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1118z00zz__libuv_checkz00));} 

}

#ifdef __cplusplus
}
#endif
