/*===========================================================================*/
/*   (Llib/timer.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/timer.scm -o objs/timer.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvtimerz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   uint64_t BgL_repeatz00;
   bool_t BgL_refz00;
} *BgL_uvtimerz00_bglt;


static obj_t BGl_z62uvzd2unrefzd2UvTimer1078z62zz__libuv_timerz00(obj_t, obj_t);
extern uv_timer_cb bgl_uv_timer_cb(uv_timer_t *);
extern obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_timerz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libuv_timerz00(void);
extern bool_t BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(BgL_uvhandlez00_bglt);
static obj_t BGl_genericzd2initzd2zz__libuv_timerz00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_timerz00(void);
static obj_t BGl_z62uvzd2hrtimezb0zz__libuv_timerz00(obj_t);
extern uv_timer_t * bgl_uv_timer_new(BgL_uvtimerz00_bglt, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2timerzd2stopz62zz__libuv_timerz00(obj_t, obj_t);
static obj_t BGl_z62uvzd2timerzd2startz62zz__libuv_timerz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libuv_timerz00(void);
BGL_EXPORTED_DECL uint64_t BGl_uvzd2hrtimezd2zz__libuv_timerz00(void);
static obj_t BGl_z62z52uvzd2initzd2UvTimer1074z30zz__libuv_timerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2timerzd2startz00zz__libuv_timerz00(BgL_uvtimerz00_bglt, uint64_t, uint64_t);
static obj_t BGl_z62uvzd2refzd2UvTimer1076z62zz__libuv_timerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_timerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_handlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_uvzd2timerzd2stopz00zz__libuv_timerz00(BgL_uvtimerz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_timerz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_timerz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_timerz00(void);
extern obj_t BGl_UvTimerz00zz__libuv_typesz00;
BGL_IMPORT obj_t void_star_to_obj(void *);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2haszd2refzf3zd2UvTimer1080z43zz__libuv_timerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2timerzd2stopzd2envzd2zz__libuv_timerz00, BgL_bgl_za762uvza7d2timerza7d21126za7, BGl_z62uvzd2timerzd2stopz62zz__libuv_timerz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_uvzd2unrefzd2envz00zz__libuv_handlez00;
extern obj_t BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00;
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2hrtimezd2envz00zz__libuv_timerz00, BgL_bgl_za762uvza7d2hrtimeza7b1127za7, BGl_z62uvzd2hrtimezb0zz__libuv_timerz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1118z00zz__libuv_timerz00, BgL_bgl_string1118za700za7za7_1128za7, "%uv-init", 8 );
extern obj_t BGl_uvzd2refzd2envz00zz__libuv_handlez00;
DEFINE_STRING( BGl_string1120z00zz__libuv_timerz00, BgL_bgl_string1120za700za7za7_1129za7, "uv-ref", 6 );
DEFINE_STRING( BGl_string1122z00zz__libuv_timerz00, BgL_bgl_string1122za700za7za7_1130za7, "uv-unref", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1117z00zz__libuv_timerz00, BgL_bgl_za762za752uvza7d2initza71131z00, BGl_z62z52uvzd2initzd2UvTimer1074z30zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1124z00zz__libuv_timerz00, BgL_bgl_string1124za700za7za7_1132za7, "uv-has-ref?", 11 );
DEFINE_STRING( BGl_string1125z00zz__libuv_timerz00, BgL_bgl_string1125za700za7za7_1133za7, "__libuv_timer", 13 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1119z00zz__libuv_timerz00, BgL_bgl_za762uvza7d2refza7d2uv1134za7, BGl_z62uvzd2refzd2UvTimer1076z62zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1121z00zz__libuv_timerz00, BgL_bgl_za762uvza7d2unrefza7d21135za7, BGl_z62uvzd2unrefzd2UvTimer1078z62zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1123z00zz__libuv_timerz00, BgL_bgl_za762uvza7d2hasza7d2re1136za7, BGl_z62uvzd2haszd2refzf3zd2UvTimer1080z43zz__libuv_timerz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2timerzd2startzd2envzd2zz__libuv_timerz00, BgL_bgl_za762uvza7d2timerza7d21137za7, BGl_z62uvzd2timerzd2startz62zz__libuv_timerz00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_timerz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_timerz00(long BgL_checksumz00_119, char * BgL_fromz00_120)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_timerz00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_timerz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_timerz00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_timerz00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_timerz00(); 
BGl_methodzd2initzd2zz__libuv_timerz00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_timerz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_timer"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_timer"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_timer"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return BUNSPEC;} 

}



/* uv-timer-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2timerzd2startz00zz__libuv_timerz00(BgL_uvtimerz00_bglt BgL_oz00_4, uint64_t BgL_tz00_5, uint64_t BgL_rz00_6)
{
{ /* Llib/timer.scm 38 */
((((BgL_uvtimerz00_bglt)COBJECT(BgL_oz00_4))->BgL_repeatz00)=((uint64_t)BgL_rz00_6),BUNSPEC); 
{ /* Llib/timer.scm 42 */
 BgL_uvloopz00_bglt BgL_arg1085z00_22;
BgL_arg1085z00_22 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_loopz00); 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarkstailz52)))
{ /* Llib/timer.scm 42 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_4), BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/timer.scm 42 */
{ /* Llib/timer.scm 42 */
 obj_t BgL_arg1104z00_65; obj_t BgL_arg1110z00_66;
BgL_arg1104z00_65 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarkstailz52); 
BgL_arg1110z00_66 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_oz00_4), BNIL); 
{ /* Llib/timer.scm 42 */
 obj_t BgL_tmpz00_152;
BgL_tmpz00_152 = 
((obj_t)BgL_arg1104z00_65); 
SET_CDR(BgL_tmpz00_152, BgL_arg1110z00_66); } } 
{ 
 obj_t BgL_auxz00_155;
{ /* Llib/timer.scm 42 */
 obj_t BgL_pairz00_69;
BgL_pairz00_69 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_155 = 
CDR(BgL_pairz00_69); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_arg1085z00_22)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_155),BUNSPEC); } } BUNSPEC; } 
{ /* Llib/timer.scm 44 */
 bool_t BgL_test1140z00_161;
{ /* Llib/timer.scm 44 */
 BgL_uvloopz00_bglt BgL_arg1090z00_25;
BgL_arg1090z00_25 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_loopz00); 
BgL_test1140z00_161 = 
BGl_uvzd2gcmarkszd2emptyzf3zf3zz__libuv_typesz00(
((BgL_uvhandlez00_bglt)BgL_arg1090z00_25)); } 
if(BgL_test1140z00_161)
{ /* Llib/timer.scm 44 */
void_star_to_obj(
bgl_uv_timer_cb(0L)); }  else 
{ /* Llib/timer.scm 44 */BFALSE; } } 
{ /* Llib/timer.scm 45 */
 uv_timer_t * BgL_arg1091z00_26;
{ /* Llib/timer.scm 45 */
 uv_handle_t * BgL_arg1093z00_27;
BgL_arg1093z00_27 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_4)))->BgL_z42builtinz42); 
BgL_arg1091z00_26 = 
(uv_timer_t *)(BgL_arg1093z00_27); } 
uv_timer_start(BgL_arg1091z00_26, (uv_timer_cb)&bgl_uv_timer_cb, BgL_tz00_5, BgL_rz00_6); 
return BUNSPEC;} } 

}



/* &uv-timer-start */
obj_t BGl_z62uvzd2timerzd2startz62zz__libuv_timerz00(obj_t BgL_envz00_82, obj_t BgL_oz00_83, obj_t BgL_tz00_84, obj_t BgL_rz00_85)
{
{ /* Llib/timer.scm 38 */
return 
BGl_uvzd2timerzd2startz00zz__libuv_timerz00(
((BgL_uvtimerz00_bglt)BgL_oz00_83), 
BGL_BINT64_TO_INT64(BgL_tz00_84), 
BGL_BINT64_TO_INT64(BgL_rz00_85));} 

}



/* uv-timer-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2timerzd2stopz00zz__libuv_timerz00(BgL_uvtimerz00_bglt BgL_oz00_7)
{
{ /* Llib/timer.scm 50 */
{ /* Llib/timer.scm 52 */
 BgL_uvloopz00_bglt BgL_arg1094z00_29;
BgL_arg1094z00_29 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_7)))->BgL_loopz00); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_arg1094z00_29), 
((obj_t)BgL_oz00_7)); } 
{ /* Llib/timer.scm 53 */
 uv_timer_t * BgL_arg1096z00_30;
{ /* Llib/timer.scm 53 */
 uv_handle_t * BgL_arg1097z00_31;
BgL_arg1097z00_31 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_7)))->BgL_z42builtinz42); 
BgL_arg1096z00_30 = 
(uv_timer_t *)(BgL_arg1097z00_31); } 
uv_timer_stop(BgL_arg1096z00_30); 
return BUNSPEC;} } 

}



/* &uv-timer-stop */
obj_t BGl_z62uvzd2timerzd2stopz62zz__libuv_timerz00(obj_t BgL_envz00_86, obj_t BgL_oz00_87)
{
{ /* Llib/timer.scm 50 */
return 
BGl_uvzd2timerzd2stopz00zz__libuv_timerz00(
((BgL_uvtimerz00_bglt)BgL_oz00_87));} 

}



/* uv-hrtime */
BGL_EXPORTED_DEF uint64_t BGl_uvzd2hrtimezd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 81 */
return 
uv_hrtime();} 

}



/* &uv-hrtime */
obj_t BGl_z62uvzd2hrtimezb0zz__libuv_timerz00(obj_t BgL_envz00_88)
{
{ /* Llib/timer.scm 81 */
{ /* Llib/timer.scm 82 */
 uint64_t BgL_tmpz00_188;
BgL_tmpz00_188 = 
BGl_uvzd2hrtimezd2zz__libuv_timerz00(); 
return 
BGL_UINT64_TO_BUINT64(BgL_tmpz00_188);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1117z00zz__libuv_timerz00, BGl_string1118z00zz__libuv_timerz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2refzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1119z00zz__libuv_timerz00, BGl_string1120z00zz__libuv_timerz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1121z00zz__libuv_timerz00, BGl_string1122z00zz__libuv_timerz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00, BGl_proc1123z00zz__libuv_timerz00, BGl_string1124z00zz__libuv_timerz00);} 

}



/* &uv-has-ref?-UvTimer1080 */
obj_t BGl_z62uvzd2haszd2refzf3zd2UvTimer1080z43zz__libuv_timerz00(obj_t BgL_envz00_97, obj_t BgL_oz00_98)
{
{ /* Llib/timer.scm 74 */
return 
BBOOL(
(((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_98)))->BgL_refz00));} 

}



/* &uv-unref-UvTimer1078 */
obj_t BGl_z62uvzd2unrefzd2UvTimer1078z62zz__libuv_timerz00(obj_t BgL_envz00_99, obj_t BgL_oz00_100)
{
{ /* Llib/timer.scm 66 */
{ 

((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_100)))->BgL_refz00)=((bool_t)((bool_t)0)),BUNSPEC); 
{ /* Llib/timer.scm 66 */
 obj_t BgL_nextzd2method1077zd2_112;
BgL_nextzd2method1077zd2_112 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_100)), BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1077zd2_112))(BgL_nextzd2method1077zd2_112, 
((obj_t)
((BgL_uvtimerz00_bglt)BgL_oz00_100)), BEOA);} } } 

}



/* &uv-ref-UvTimer1076 */
obj_t BGl_z62uvzd2refzd2UvTimer1076z62zz__libuv_timerz00(obj_t BgL_envz00_101, obj_t BgL_oz00_102)
{
{ /* Llib/timer.scm 58 */
{ 

((((BgL_uvtimerz00_bglt)COBJECT(
((BgL_uvtimerz00_bglt)BgL_oz00_102)))->BgL_refz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/timer.scm 58 */
 obj_t BgL_nextzd2method1075zd2_115;
BgL_nextzd2method1075zd2_115 = 
BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
((BgL_objectz00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_102)), BGl_uvzd2refzd2envz00zz__libuv_handlez00, BGl_UvTimerz00zz__libuv_typesz00); 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_nextzd2method1075zd2_115))(BgL_nextzd2method1075zd2_115, 
((obj_t)
((BgL_uvtimerz00_bglt)BgL_oz00_102)), BEOA);} } } 

}



/* &%uv-init-UvTimer1074 */
obj_t BGl_z62z52uvzd2initzd2UvTimer1074z30zz__libuv_timerz00(obj_t BgL_envz00_103, obj_t BgL_oz00_104)
{
{ /* Llib/timer.scm 30 */
{ 
 uv_handle_t * BgL_auxz00_220;
{ /* Llib/timer.scm 32 */
 uv_timer_t * BgL_arg1098z00_117;
{ /* Llib/timer.scm 32 */
 BgL_uvloopz00_bglt BgL_arg1099z00_118;
BgL_arg1099z00_118 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_104))))->BgL_loopz00); 
BgL_arg1098z00_117 = 
bgl_uv_timer_new(
((BgL_uvtimerz00_bglt)BgL_oz00_104), BgL_arg1099z00_118); } 
BgL_auxz00_220 = 
(uv_handle_t *)(BgL_arg1098z00_117); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvtimerz00_bglt)BgL_oz00_104))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_220),BUNSPEC); } 
return 
((obj_t)
((BgL_uvtimerz00_bglt)BgL_oz00_104));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_timerz00(void)
{
{ /* Llib/timer.scm 15 */
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1125z00zz__libuv_timerz00)); 
return 
BGl_modulezd2initializa7ationz75zz__libuv_handlez00(((long)345107358), 
BSTRING_TO_STRING(BGl_string1125z00zz__libuv_timerz00));} 

}

#ifdef __cplusplus
}
#endif
