/*===========================================================================*/
/*   (Command/all_cmd.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O5 -unsafe -c Command/all_cmd.scm -o Command/all_cmd.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zzcommand_allzd2cmdzd2 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zzcommand_allzd2cmdzd2(void);
static obj_t BGl_genericzd2initzd2zzcommand_allzd2cmdzd2(void);
static obj_t BGl_objectzd2initzd2zzcommand_allzd2cmdzd2(void);
static obj_t BGl_methodzd2initzd2zzcommand_allzd2cmdzd2(void);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_allzd2cmdzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_whatisz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_explorez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_displayz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_printz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_backtracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_infoz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_manglez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_breakz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_filez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_runz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_quitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_helpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_allzd2cmdzd2(void);
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_allzd2cmdzd2(void);
static obj_t BGl_gczd2rootszd2initz00zzcommand_allzd2cmdzd2(void);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1013z00zzcommand_allzd2cmdzd2, BgL_bgl_string1013za700za7za7c1014za7, "command_all-cmd", 15 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_allzd2cmdzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_allzd2cmdzd2(long BgL_checksumz00_11, char * BgL_fromz00_12)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_allzd2cmdzd2))
{ 
BGl_requirezd2initializa7ationz75zzcommand_allzd2cmdzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_allzd2cmdzd2(); 
BGl_libraryzd2moduleszd2initz00zzcommand_allzd2cmdzd2(); 
BGl_importedzd2moduleszd2initz00zzcommand_allzd2cmdzd2(); 
return 
BGl_toplevelzd2initzd2zzcommand_allzd2cmdzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "command_all-cmd"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_allzd2cmdzd2(void)
{
{ /* Command/all_cmd.scm 15 */
BGl_modulezd2initializa7ationz75zzcommand_helpz00(((long)337370892), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_quitz00(((long)337711654), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_runz00(((long)77512217), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_filez00(((long)171059642), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_breakz00(((long)60479507), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_manglez00(((long)368196599), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_infoz00(((long)337416431), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_backtracez00(((long)181519835), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_printz00(((long)384523111), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_displayz00(((long)501035657), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_explorez00(((long)382784626), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
BGl_modulezd2initializa7ationz75zzcommand_whatisz00(((long)470000697), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2)); 
return 
BGl_modulezd2initializa7ationz75zzcommand_setz00(((long)479121719), 
BSTRING_TO_STRING(BGl_string1013z00zzcommand_allzd2cmdzd2));} 

}

#ifdef __cplusplus
}
#endif
