/*===========================================================================*/
/*   (SawBbv/bbv-config.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawBbv/bbv-config.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DEF obj_t BGl_za2typezd2callza2zd2zzsaw_bbvzd2configzd2 =
		BUNSPEC;
	static obj_t BGl_requirezd2initializa7ationz75zzsaw_bbvzd2configzd2 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t
		BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2configzd2(void);
	BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_bbvzd2configzd2(void);
	static obj_t BGl_objectzd2initzd2zzsaw_bbvzd2configzd2(void);
	BGL_EXPORTED_DEF obj_t BGl_za2maxzd2blockzd2limitza2z00zzsaw_bbvzd2configzd2 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DEF obj_t BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2 =
		BUNSPEC;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_bbvzd2configzd2(void);
	BGL_EXPORTED_DEF obj_t
		BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2 = BUNSPEC;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2configzd2(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2configzd2(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2configzd2(void);
	BGL_EXPORTED_DEF obj_t BGl_za2typezd2loadgza2zd2zzsaw_bbvzd2configzd2 =
		BUNSPEC;
	BGL_EXPORTED_DEF obj_t
		BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 = BUNSPEC;
	BGL_EXPORTED_DEF obj_t BGl_za2typezd2loadiza2zd2zzsaw_bbvzd2configzd2 =
		BUNSPEC;
	static obj_t __cnst[4];


	   
		 
		DEFINE_STRING(BGl_string1023z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1023za700za7za7s1039za7, "BIGLOOBBVDEBUG", 14);
	      DEFINE_STRING(BGl_string1024z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1024za700za7za7s1040za7, "false", 5);
	      DEFINE_STRING(BGl_string1025z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1025za700za7za7s1041za7, "true", 4);
	      DEFINE_STRING(BGl_string1026z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1026za700za7za7s1042za7, "bbv-blocks-debug", 16);
	      DEFINE_STRING(BGl_string1027z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1027za700za7za7s1043za7, "unknown value", 13);
	      DEFINE_STRING(BGl_string1028z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1028za700za7za7s1044za7, "BIGLOOBBVCLEANUP", 16);
	      DEFINE_STRING(BGl_string1029z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1029za700za7za7s1045za7, "bbv-blocks-cleanup", 18);
	      DEFINE_STRING(BGl_string1030z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1030za700za7za7s1046za7, "BIGLOOBBVSTRATEGY", 17);
	      DEFINE_STRING(BGl_string1031z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1031za700za7za7s1047za7, "first", 5);
	      DEFINE_STRING(BGl_string1032z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1032za700za7za7s1048za7, "size", 4);
	      DEFINE_STRING(BGl_string1033z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1033za700za7za7s1049za7, "random", 6);
	      DEFINE_STRING(BGl_string1034z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1034za700za7za7s1050za7, "distance", 8);
	      DEFINE_STRING(BGl_string1035z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1035za700za7za7s1051za7, "bbv-merge-strategy", 18);
	      DEFINE_STRING(BGl_string1036z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1036za700za7za7s1052za7, "unknown strategy", 16);
	      DEFINE_STRING(BGl_string1037z00zzsaw_bbvzd2configzd2,
		BgL_bgl_string1037za700za7za7s1053za7, "distance random size first ", 27);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2typezd2callza2zd2zzsaw_bbvzd2configzd2));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzsaw_bbvzd2configzd2));
		     ADD_ROOT((void
				*) (&BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2));
		     ADD_ROOT((void
				*) (&BGl_za2maxzd2blockzd2limitza2z00zzsaw_bbvzd2configzd2));
		     ADD_ROOT((void *) (&BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2));
		   
			 ADD_ROOT((void
				*) (&BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2));
		     ADD_ROOT((void *) (&BGl_za2typezd2loadgza2zd2zzsaw_bbvzd2configzd2));
		   
			 ADD_ROOT((void
				*) (&BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2));
		     ADD_ROOT((void *) (&BGl_za2typezd2loadiza2zd2zzsaw_bbvzd2configzd2));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzsaw_bbvzd2configzd2(long
		BgL_checksumz00_121, char *BgL_fromz00_122)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_bbvzd2configzd2))
				{
					BGl_requirezd2initializa7ationz75zzsaw_bbvzd2configzd2 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_bbvzd2configzd2();
					BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2configzd2();
					BGl_cnstzd2initzd2zzsaw_bbvzd2configzd2();
					return BGl_toplevelzd2initzd2zzsaw_bbvzd2configzd2();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			BGl_modulezd2initializa7ationz75zz__osz00(((long) 0), "saw_bbv-config");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"saw_bbv-config");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_bbv-config");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"saw_bbv-config");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_bbv-config");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_bbv-config");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			{	/* SawBbv/bbv-config.scm 15 */
				obj_t BgL_cportz00_110;

				{	/* SawBbv/bbv-config.scm 15 */
					obj_t BgL_stringz00_117;

					BgL_stringz00_117 = BGl_string1037z00zzsaw_bbvzd2configzd2;
					{	/* SawBbv/bbv-config.scm 15 */
						obj_t BgL_startz00_118;

						BgL_startz00_118 = BINT(((long) 0));
						{	/* SawBbv/bbv-config.scm 15 */
							obj_t BgL_endz00_119;

							BgL_endz00_119 = BINT(STRING_LENGTH(((obj_t) BgL_stringz00_117)));
							{	/* SawBbv/bbv-config.scm 15 */

								BgL_cportz00_110 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_117, BgL_startz00_118, BgL_endz00_119);
				}}}}
				{
					long BgL_iz00_111;

					BgL_iz00_111 = ((long) 3);
				BgL_loopz00_112:
					if ((BgL_iz00_111 == ((long) -1)))
						{	/* SawBbv/bbv-config.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* SawBbv/bbv-config.scm 15 */
							{	/* SawBbv/bbv-config.scm 15 */
								obj_t BgL_arg1038z00_113;

								{	/* SawBbv/bbv-config.scm 15 */

									{	/* SawBbv/bbv-config.scm 15 */
										obj_t BgL_locationz00_115;

										BgL_locationz00_115 = BBOOL(((bool_t) 0));
										{	/* SawBbv/bbv-config.scm 15 */

											BgL_arg1038z00_113 =
												BGl_readz00zz__readerz00(BgL_cportz00_110,
												BgL_locationz00_115);
										}
									}
								}
								{	/* SawBbv/bbv-config.scm 15 */
									int BgL_tmpz00_145;

									BgL_tmpz00_145 = (int) (BgL_iz00_111);
									CNST_TABLE_SET(BgL_tmpz00_145, BgL_arg1038z00_113);
							}}
							{	/* SawBbv/bbv-config.scm 15 */
								int BgL_auxz00_116;

								BgL_auxz00_116 = (int) ((BgL_iz00_111 - ((long) 1)));
								{
									long BgL_iz00_150;

									BgL_iz00_150 = (long) (BgL_auxz00_116);
									BgL_iz00_111 = BgL_iz00_150;
									goto BgL_loopz00_112;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			{	/* SawBbv/bbv-config.scm 29 */
				obj_t BgL_ez00_3;

				BgL_ez00_3 =
					BGl_getenvz00zz__osz00(BGl_string1023z00zzsaw_bbvzd2configzd2);
				if (CBOOL(BgL_ez00_3))
					{	/* SawBbv/bbv-config.scm 32 */
						bool_t BgL_test1057z00_156;

						{	/* SawBbv/bbv-config.scm 32 */
							long BgL_l1z00_24;

							BgL_l1z00_24 = STRING_LENGTH(((obj_t) BgL_ez00_3));
							if ((BgL_l1z00_24 == ((long) 5)))
								{	/* SawBbv/bbv-config.scm 32 */
									int BgL_arg1290z00_27;

									{	/* SawBbv/bbv-config.scm 32 */
										char *BgL_auxz00_164;
										char *BgL_tmpz00_161;

										BgL_auxz00_164 =
											BSTRING_TO_STRING(BGl_string1024z00zzsaw_bbvzd2configzd2);
										BgL_tmpz00_161 = BSTRING_TO_STRING(((obj_t) BgL_ez00_3));
										BgL_arg1290z00_27 =
											memcmp(BgL_tmpz00_161, BgL_auxz00_164, BgL_l1z00_24);
									}
									BgL_test1057z00_156 =
										((long) (BgL_arg1290z00_27) == ((long) 0));
								}
							else
								{	/* SawBbv/bbv-config.scm 32 */
									BgL_test1057z00_156 = ((bool_t) 0);
								}
						}
						if (BgL_test1057z00_156)
							{	/* SawBbv/bbv-config.scm 32 */
								BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2 = BFALSE;
							}
						else
							{	/* SawBbv/bbv-config.scm 33 */
								bool_t BgL_test1059z00_169;

								{	/* SawBbv/bbv-config.scm 33 */
									long BgL_l1z00_35;

									BgL_l1z00_35 = STRING_LENGTH(((obj_t) BgL_ez00_3));
									if ((BgL_l1z00_35 == ((long) 4)))
										{	/* SawBbv/bbv-config.scm 33 */
											int BgL_arg1290z00_38;

											{	/* SawBbv/bbv-config.scm 33 */
												char *BgL_auxz00_177;
												char *BgL_tmpz00_174;

												BgL_auxz00_177 =
													BSTRING_TO_STRING
													(BGl_string1025z00zzsaw_bbvzd2configzd2);
												BgL_tmpz00_174 =
													BSTRING_TO_STRING(((obj_t) BgL_ez00_3));
												BgL_arg1290z00_38 =
													memcmp(BgL_tmpz00_174, BgL_auxz00_177, BgL_l1z00_35);
											}
											BgL_test1059z00_169 =
												((long) (BgL_arg1290z00_38) == ((long) 0));
										}
									else
										{	/* SawBbv/bbv-config.scm 33 */
											BgL_test1059z00_169 = ((bool_t) 0);
										}
								}
								if (BgL_test1059z00_169)
									{	/* SawBbv/bbv-config.scm 33 */
										BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2 = BTRUE;
									}
								else
									{	/* SawBbv/bbv-config.scm 33 */
										BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2 =
											BGl_errorz00zz__errorz00
											(BGl_string1026z00zzsaw_bbvzd2configzd2,
											BGl_string1027z00zzsaw_bbvzd2configzd2, BgL_ez00_3);
									}
							}
					}
				else
					{	/* SawBbv/bbv-config.scm 31 */
						BGl_za2bbvzd2debugza2zd2zzsaw_bbvzd2configzd2 = BFALSE;
					}
			}
			{	/* SawBbv/bbv-config.scm 40 */
				obj_t BgL_ez00_6;

				BgL_ez00_6 =
					BGl_getenvz00zz__osz00(BGl_string1028z00zzsaw_bbvzd2configzd2);
				if (CBOOL(BgL_ez00_6))
					{	/* SawBbv/bbv-config.scm 43 */
						bool_t BgL_test1062z00_186;

						{	/* SawBbv/bbv-config.scm 43 */
							long BgL_l1z00_46;

							BgL_l1z00_46 = STRING_LENGTH(((obj_t) BgL_ez00_6));
							if ((BgL_l1z00_46 == ((long) 5)))
								{	/* SawBbv/bbv-config.scm 43 */
									int BgL_arg1290z00_49;

									{	/* SawBbv/bbv-config.scm 43 */
										char *BgL_auxz00_194;
										char *BgL_tmpz00_191;

										BgL_auxz00_194 =
											BSTRING_TO_STRING(BGl_string1024z00zzsaw_bbvzd2configzd2);
										BgL_tmpz00_191 = BSTRING_TO_STRING(((obj_t) BgL_ez00_6));
										BgL_arg1290z00_49 =
											memcmp(BgL_tmpz00_191, BgL_auxz00_194, BgL_l1z00_46);
									}
									BgL_test1062z00_186 =
										((long) (BgL_arg1290z00_49) == ((long) 0));
								}
							else
								{	/* SawBbv/bbv-config.scm 43 */
									BgL_test1062z00_186 = ((bool_t) 0);
								}
						}
						if (BgL_test1062z00_186)
							{	/* SawBbv/bbv-config.scm 43 */
								BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 =
									BFALSE;
							}
						else
							{	/* SawBbv/bbv-config.scm 44 */
								bool_t BgL_test1064z00_199;

								{	/* SawBbv/bbv-config.scm 44 */
									long BgL_l1z00_57;

									BgL_l1z00_57 = STRING_LENGTH(((obj_t) BgL_ez00_6));
									if ((BgL_l1z00_57 == ((long) 4)))
										{	/* SawBbv/bbv-config.scm 44 */
											int BgL_arg1290z00_60;

											{	/* SawBbv/bbv-config.scm 44 */
												char *BgL_auxz00_207;
												char *BgL_tmpz00_204;

												BgL_auxz00_207 =
													BSTRING_TO_STRING
													(BGl_string1025z00zzsaw_bbvzd2configzd2);
												BgL_tmpz00_204 =
													BSTRING_TO_STRING(((obj_t) BgL_ez00_6));
												BgL_arg1290z00_60 =
													memcmp(BgL_tmpz00_204, BgL_auxz00_207, BgL_l1z00_57);
											}
											BgL_test1064z00_199 =
												((long) (BgL_arg1290z00_60) == ((long) 0));
										}
									else
										{	/* SawBbv/bbv-config.scm 44 */
											BgL_test1064z00_199 = ((bool_t) 0);
										}
								}
								if (BgL_test1064z00_199)
									{	/* SawBbv/bbv-config.scm 44 */
										BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 =
											BTRUE;
									}
								else
									{	/* SawBbv/bbv-config.scm 44 */
										BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 =
											BGl_errorz00zz__errorz00
											(BGl_string1029z00zzsaw_bbvzd2configzd2,
											BGl_string1027z00zzsaw_bbvzd2configzd2, BgL_ez00_6);
									}
							}
					}
				else
					{	/* SawBbv/bbv-config.scm 42 */
						BGl_za2bbvzd2blockszd2cleanupza2z00zzsaw_bbvzd2configzd2 = BTRUE;
					}
			}
			{	/* SawBbv/bbv-config.scm 51 */
				obj_t BgL_ez00_9;

				BgL_ez00_9 =
					BGl_getenvz00zz__osz00(BGl_string1030z00zzsaw_bbvzd2configzd2);
				if (CBOOL(BgL_ez00_9))
					{	/* SawBbv/bbv-config.scm 54 */
						bool_t BgL_test1067z00_216;

						{	/* SawBbv/bbv-config.scm 54 */
							long BgL_l1z00_68;

							BgL_l1z00_68 = STRING_LENGTH(((obj_t) BgL_ez00_9));
							if ((BgL_l1z00_68 == ((long) 5)))
								{	/* SawBbv/bbv-config.scm 54 */
									int BgL_arg1290z00_71;

									{	/* SawBbv/bbv-config.scm 54 */
										char *BgL_auxz00_224;
										char *BgL_tmpz00_221;

										BgL_auxz00_224 =
											BSTRING_TO_STRING(BGl_string1031z00zzsaw_bbvzd2configzd2);
										BgL_tmpz00_221 = BSTRING_TO_STRING(((obj_t) BgL_ez00_9));
										BgL_arg1290z00_71 =
											memcmp(BgL_tmpz00_221, BgL_auxz00_224, BgL_l1z00_68);
									}
									BgL_test1067z00_216 =
										((long) (BgL_arg1290z00_71) == ((long) 0));
								}
							else
								{	/* SawBbv/bbv-config.scm 54 */
									BgL_test1067z00_216 = ((bool_t) 0);
								}
						}
						if (BgL_test1067z00_216)
							{	/* SawBbv/bbv-config.scm 54 */
								BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2 =
									CNST_TABLE_REF(((long) 0));
							}
						else
							{	/* SawBbv/bbv-config.scm 55 */
								bool_t BgL_test1069z00_230;

								{	/* SawBbv/bbv-config.scm 55 */
									long BgL_l1z00_79;

									BgL_l1z00_79 = STRING_LENGTH(((obj_t) BgL_ez00_9));
									if ((BgL_l1z00_79 == ((long) 4)))
										{	/* SawBbv/bbv-config.scm 55 */
											int BgL_arg1290z00_82;

											{	/* SawBbv/bbv-config.scm 55 */
												char *BgL_auxz00_238;
												char *BgL_tmpz00_235;

												BgL_auxz00_238 =
													BSTRING_TO_STRING
													(BGl_string1032z00zzsaw_bbvzd2configzd2);
												BgL_tmpz00_235 =
													BSTRING_TO_STRING(((obj_t) BgL_ez00_9));
												BgL_arg1290z00_82 =
													memcmp(BgL_tmpz00_235, BgL_auxz00_238, BgL_l1z00_79);
											}
											BgL_test1069z00_230 =
												((long) (BgL_arg1290z00_82) == ((long) 0));
										}
									else
										{	/* SawBbv/bbv-config.scm 55 */
											BgL_test1069z00_230 = ((bool_t) 0);
										}
								}
								if (BgL_test1069z00_230)
									{	/* SawBbv/bbv-config.scm 55 */
										BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2 =
											CNST_TABLE_REF(((long) 1));
									}
								else
									{	/* SawBbv/bbv-config.scm 56 */
										bool_t BgL_test1071z00_244;

										{	/* SawBbv/bbv-config.scm 56 */
											long BgL_l1z00_90;

											BgL_l1z00_90 = STRING_LENGTH(((obj_t) BgL_ez00_9));
											if ((BgL_l1z00_90 == ((long) 6)))
												{	/* SawBbv/bbv-config.scm 56 */
													int BgL_arg1290z00_93;

													{	/* SawBbv/bbv-config.scm 56 */
														char *BgL_auxz00_252;
														char *BgL_tmpz00_249;

														BgL_auxz00_252 =
															BSTRING_TO_STRING
															(BGl_string1033z00zzsaw_bbvzd2configzd2);
														BgL_tmpz00_249 =
															BSTRING_TO_STRING(((obj_t) BgL_ez00_9));
														BgL_arg1290z00_93 =
															memcmp(BgL_tmpz00_249, BgL_auxz00_252,
															BgL_l1z00_90);
													}
													BgL_test1071z00_244 =
														((long) (BgL_arg1290z00_93) == ((long) 0));
												}
											else
												{	/* SawBbv/bbv-config.scm 56 */
													BgL_test1071z00_244 = ((bool_t) 0);
												}
										}
										if (BgL_test1071z00_244)
											{	/* SawBbv/bbv-config.scm 56 */
												BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2
													= CNST_TABLE_REF(((long) 2));
											}
										else
											{	/* SawBbv/bbv-config.scm 57 */
												bool_t BgL_test1073z00_258;

												{	/* SawBbv/bbv-config.scm 57 */
													long BgL_l1z00_101;

													BgL_l1z00_101 = STRING_LENGTH(((obj_t) BgL_ez00_9));
													if ((BgL_l1z00_101 == ((long) 8)))
														{	/* SawBbv/bbv-config.scm 57 */
															int BgL_arg1290z00_104;

															{	/* SawBbv/bbv-config.scm 57 */
																char *BgL_auxz00_266;
																char *BgL_tmpz00_263;

																BgL_auxz00_266 =
																	BSTRING_TO_STRING
																	(BGl_string1034z00zzsaw_bbvzd2configzd2);
																BgL_tmpz00_263 =
																	BSTRING_TO_STRING(((obj_t) BgL_ez00_9));
																BgL_arg1290z00_104 =
																	memcmp(BgL_tmpz00_263, BgL_auxz00_266,
																	BgL_l1z00_101);
															}
															BgL_test1073z00_258 =
																((long) (BgL_arg1290z00_104) == ((long) 0));
														}
													else
														{	/* SawBbv/bbv-config.scm 57 */
															BgL_test1073z00_258 = ((bool_t) 0);
														}
												}
												if (BgL_test1073z00_258)
													{	/* SawBbv/bbv-config.scm 57 */
														BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2
															= CNST_TABLE_REF(((long) 3));
													}
												else
													{	/* SawBbv/bbv-config.scm 57 */
														BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2
															=
															BGl_errorz00zz__errorz00
															(BGl_string1035z00zzsaw_bbvzd2configzd2,
															BGl_string1036z00zzsaw_bbvzd2configzd2,
															BgL_ez00_9);
													}
											}
									}
							}
					}
				else
					{	/* SawBbv/bbv-config.scm 53 */
						BGl_za2bbvzd2mergezd2strategyza2z00zzsaw_bbvzd2configzd2 =
							CNST_TABLE_REF(((long) 1));
			}}
			BGl_za2maxzd2blockzd2mergezd2versionsza2zd2zzsaw_bbvzd2configzd2 =
				BINT(((long) 3));
			BGl_za2maxzd2blockzd2limitza2z00zzsaw_bbvzd2configzd2 = BINT(((long) 6));
			BGl_za2typezd2callza2zd2zzsaw_bbvzd2configzd2 = BTRUE;
			BGl_za2typezd2loadiza2zd2zzsaw_bbvzd2configzd2 = BTRUE;
			return (BGl_za2typezd2loadgza2zd2zzsaw_bbvzd2configzd2 = BTRUE, BUNSPEC);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_bbvzd2configzd2(void)
	{
		{	/* SawBbv/bbv-config.scm 15 */
			return BUNSPEC;
		}

	}

#ifdef __cplusplus
}
#endif
