/*===========================================================================*/
/*   (SawMill/collapse.scm)                                                  */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent SawMill/collapse.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_blockz00_bgl
	{
		header_t header;
		obj_t widening;
		int BgL_labelz00;
		obj_t BgL_predsz00;
		obj_t BgL_succsz00;
		obj_t BgL_firstz00;
	}               *BgL_blockz00_bglt;

	typedef struct BgL_collapsedz00_bgl
	{
		obj_t BgL_lastz00;
	}                   *BgL_collapsedz00_bglt;


	static obj_t BGl_requirezd2initializa7ationz75zzsaw_collapsez00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t BGl_z62zc3z04anonymousza31599ze3ze5zzsaw_collapsez00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzsaw_collapsez00(void);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzsaw_collapsez00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzsaw_collapsez00(void);
	static obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_defsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzsaw_libz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_substz00zzsaw_libz00(obj_t, obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzsaw_collapsez00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static bool_t BGl_dfsze70ze7zzsaw_collapsez00(BgL_blockz00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzsaw_collapsez00(void);
	static obj_t BGl_collapsedz00zzsaw_collapsez00 = BUNSPEC;
	static BgL_blockz00_bglt BGl_z62lambda1600z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1630z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t BGl_z62lambda1631z62zzsaw_collapsez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	static BgL_blockz00_bglt BGl_z62lambda1583z62zzsaw_collapsez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	extern obj_t BGl_blockz00zzsaw_defsz00;
	static BgL_blockz00_bglt BGl_z62lambda1591z62zzsaw_collapsez00(obj_t, obj_t);
	static obj_t __cnst[4];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_collapsezd2envzd2zzsaw_collapsez00,
		BgL_bgl_za762collapseza762za7za71883z00,
		BGl_z62collapsez62zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1880z00zzsaw_collapsez00,
		BgL_bgl_string1880za700za7za7s1884za7, "saw_collapse", 12);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1874z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1631za7621885z00, BGl_z62lambda1631z62zzsaw_collapsez00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1881z00zzsaw_collapsez00,
		BgL_bgl_string1881za700za7za7s1886za7, "saw_collapse collapsed obj last ",
		32);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1875z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1630za7621887z00, BGl_z62lambda1630z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1876z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1600za7621888z00, BGl_z62lambda1600z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1877z00zzsaw_collapsez00,
		BgL_bgl_za762za7c3za704anonymo1889za7,
		BGl_z62zc3z04anonymousza31599ze3ze5zzsaw_collapsez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1878z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1591za7621890z00, BGl_z62lambda1591z62zzsaw_collapsez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1879z00zzsaw_collapsez00,
		BgL_bgl_za762lambda1583za7621891z00, BGl_z62lambda1583z62zzsaw_collapsez00,
		0L, BUNSPEC, 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzsaw_collapsez00));
		     ADD_ROOT((void *) (&BGl_collapsedz00zzsaw_collapsez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzsaw_collapsez00(long
		BgL_checksumz00_2354, char *BgL_fromz00_2355)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzsaw_collapsez00))
				{
					BGl_requirezd2initializa7ationz75zzsaw_collapsez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzsaw_collapsez00();
					BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_cnstzd2initzd2zzsaw_collapsez00();
					BGl_importedzd2moduleszd2initz00zzsaw_collapsez00();
					BGl_objectzd2initzd2zzsaw_collapsez00();
					return BGl_methodzd2initzd2zzsaw_collapsez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"saw_collapse");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"saw_collapse");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 1 */
				obj_t BgL_cportz00_2321;

				{	/* SawMill/collapse.scm 1 */
					obj_t BgL_stringz00_2328;

					BgL_stringz00_2328 = BGl_string1881z00zzsaw_collapsez00;
					{	/* SawMill/collapse.scm 1 */
						obj_t BgL_startz00_2329;

						BgL_startz00_2329 = BINT(((long) 0));
						{	/* SawMill/collapse.scm 1 */
							obj_t BgL_endz00_2330;

							BgL_endz00_2330 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2328)));
							{	/* SawMill/collapse.scm 1 */

								BgL_cportz00_2321 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2328, BgL_startz00_2329, BgL_endz00_2330);
				}}}}
				{
					long BgL_iz00_2322;

					BgL_iz00_2322 = ((long) 3);
				BgL_loopz00_2323:
					if ((BgL_iz00_2322 == ((long) -1)))
						{	/* SawMill/collapse.scm 1 */
							return BUNSPEC;
						}
					else
						{	/* SawMill/collapse.scm 1 */
							{	/* SawMill/collapse.scm 1 */
								obj_t BgL_arg1882z00_2324;

								{	/* SawMill/collapse.scm 1 */

									{	/* SawMill/collapse.scm 1 */
										obj_t BgL_locationz00_2326;

										BgL_locationz00_2326 = BBOOL(((bool_t) 0));
										{	/* SawMill/collapse.scm 1 */

											BgL_arg1882z00_2324 =
												BGl_readz00zz__readerz00(BgL_cportz00_2321,
												BgL_locationz00_2326);
										}
									}
								}
								{	/* SawMill/collapse.scm 1 */
									int BgL_tmpz00_2382;

									BgL_tmpz00_2382 = (int) (BgL_iz00_2322);
									CNST_TABLE_SET(BgL_tmpz00_2382, BgL_arg1882z00_2324);
							}}
							{	/* SawMill/collapse.scm 1 */
								int BgL_auxz00_2327;

								BgL_auxz00_2327 = (int) ((BgL_iz00_2322 - ((long) 1)));
								{
									long BgL_iz00_2387;

									BgL_iz00_2387 = (long) (BgL_auxz00_2327);
									BgL_iz00_2322 = BgL_iz00_2387;
									goto BgL_loopz00_2323;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			return bgl_gc_roots_register();
		}

	}



/* collapse */
	BGL_EXPORTED_DEF obj_t BGl_collapsez00zzsaw_collapsez00(BgL_blockz00_bglt
		BgL_bz00_24)
	{
		{	/* SawMill/collapse.scm 13 */
			BGl_dfsze70ze7zzsaw_collapsez00(BgL_bz00_24);
			return BUNSPEC;
		}

	}



/* dfs~0 */
	bool_t BGl_dfsze70ze7zzsaw_collapsez00(BgL_blockz00_bglt BgL_bz00_1823)
	{
		{	/* SawMill/collapse.scm 14 */
			{	/* SawMill/collapse.scm 16 */
				BgL_collapsedz00_bglt BgL_wide1177z00_1828;

				BgL_wide1177z00_1828 =
					((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 16 */
					obj_t BgL_auxz00_2395;
					BgL_objectz00_bglt BgL_tmpz00_2392;

					BgL_auxz00_2395 = ((obj_t) BgL_wide1177z00_1828);
					BgL_tmpz00_2392 =
						((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1823));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2392, BgL_auxz00_2395);
				}
				((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1823));
				{	/* SawMill/collapse.scm 16 */
					long BgL_arg1458z00_1829;

					BgL_arg1458z00_1829 =
						BGL_CLASS_NUM(BGl_collapsedz00zzsaw_collapsez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt) BgL_bz00_1823)), BgL_arg1458z00_1829);
				}
				((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1823));
			}
			{
				BgL_collapsedz00_bglt BgL_auxz00_2406;

				{
					obj_t BgL_auxz00_2407;

					{	/* SawMill/collapse.scm 16 */
						BgL_objectz00_bglt BgL_tmpz00_2408;

						BgL_tmpz00_2408 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_bz00_1823));
						BgL_auxz00_2407 = BGL_OBJECT_WIDENING(BgL_tmpz00_2408);
					}
					BgL_auxz00_2406 = ((BgL_collapsedz00_bglt) BgL_auxz00_2407);
				}
				((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2406))->BgL_lastz00) =
					((obj_t)
						BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(((
									(BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->BgL_firstz00))),
					BUNSPEC);
			}
			((BgL_blockz00_bglt) BgL_bz00_1823);
			{	/* SawMill/collapse.scm 17 */
				bool_t BgL_test1894z00_2417;

				if (NULLP((((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->BgL_predsz00)))
					{	/* SawMill/collapse.scm 17 */
						BgL_test1894z00_2417 = ((bool_t) 0);
					}
				else
					{	/* SawMill/collapse.scm 17 */
						BgL_test1894z00_2417 =
							NULLP(CDR(
								(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->BgL_predsz00)));
					}
				if (BgL_test1894z00_2417)
					{	/* SawMill/collapse.scm 18 */
						obj_t BgL_pz00_1838;

						BgL_pz00_1838 =
							CAR((((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->BgL_predsz00));
						{	/* SawMill/collapse.scm 18 */
							obj_t BgL_psz00_1839;

							BgL_psz00_1839 =
								(((BgL_blockz00_bglt) COBJECT(
										((BgL_blockz00_bglt) BgL_pz00_1838)))->BgL_succsz00);
							{	/* SawMill/collapse.scm 18 */

								if (NULLP(CDR(((obj_t) BgL_psz00_1839))))
									{	/* SawMill/collapse.scm 19 */
										{	/* SawMill/collapse.scm 21 */
											obj_t BgL_arg1510z00_1842;
											obj_t BgL_arg1511z00_1843;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2432;

												{
													obj_t BgL_auxz00_2433;

													{	/* SawMill/collapse.scm 21 */
														BgL_objectz00_bglt BgL_tmpz00_2434;

														BgL_tmpz00_2434 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1838));
														BgL_auxz00_2433 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2434);
													}
													BgL_auxz00_2432 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2433);
												}
												BgL_arg1510z00_1842 =
													(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2432))->
													BgL_lastz00);
											}
											BgL_arg1511z00_1843 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->
												BgL_firstz00);
											{	/* SawMill/collapse.scm 21 */
												obj_t BgL_tmpz00_2441;

												BgL_tmpz00_2441 = ((obj_t) BgL_arg1510z00_1842);
												SET_CDR(BgL_tmpz00_2441, BgL_arg1511z00_1843);
											}
										}
										{	/* SawMill/collapse.scm 22 */
											obj_t BgL_arg1521z00_1844;

											{
												BgL_collapsedz00_bglt BgL_auxz00_2444;

												{
													obj_t BgL_auxz00_2445;

													{	/* SawMill/collapse.scm 22 */
														BgL_objectz00_bglt BgL_tmpz00_2446;

														BgL_tmpz00_2446 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_bz00_1823));
														BgL_auxz00_2445 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2446);
													}
													BgL_auxz00_2444 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2445);
												}
												BgL_arg1521z00_1844 =
													(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2444))->
													BgL_lastz00);
											}
											{
												BgL_collapsedz00_bglt BgL_auxz00_2452;

												{
													obj_t BgL_auxz00_2453;

													{	/* SawMill/collapse.scm 22 */
														BgL_objectz00_bglt BgL_tmpz00_2454;

														BgL_tmpz00_2454 =
															((BgL_objectz00_bglt)
															((BgL_blockz00_bglt) BgL_pz00_1838));
														BgL_auxz00_2453 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2454);
													}
													BgL_auxz00_2452 =
														((BgL_collapsedz00_bglt) BgL_auxz00_2453);
												}
												((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2452))->
														BgL_lastz00) =
													((obj_t) BgL_arg1521z00_1844), BUNSPEC);
											}
										}
										{	/* SawMill/collapse.scm 23 */
											obj_t BgL_arg1522z00_1845;

											BgL_arg1522z00_1845 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->
												BgL_succsz00);
											((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
																BgL_pz00_1838)))->BgL_succsz00) =
												((obj_t) BgL_arg1522z00_1845), BUNSPEC);
										}
										{	/* SawMill/collapse.scm 24 */
											obj_t BgL_g1398z00_1846;

											BgL_g1398z00_1846 =
												(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->
												BgL_succsz00);
											{
												obj_t BgL_l1396z00_1848;

												BgL_l1396z00_1848 = BgL_g1398z00_1846;
											BgL_zc3z04anonymousza31523ze3z87_1849:
												if (PAIRP(BgL_l1396z00_1848))
													{	/* SawMill/collapse.scm 24 */
														{	/* SawMill/collapse.scm 25 */
															obj_t BgL_sz00_1851;

															BgL_sz00_1851 = CAR(BgL_l1396z00_1848);
															{
																obj_t BgL_auxz00_2467;

																{	/* SawMill/collapse.scm 26 */
																	obj_t BgL_arg1526z00_1853;

																	BgL_arg1526z00_1853 =
																		(((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_1851)))->
																		BgL_predsz00);
																	BgL_auxz00_2467 =
																		BGl_substz00zzsaw_libz00
																		(BgL_arg1526z00_1853,
																		((obj_t) BgL_bz00_1823), BgL_pz00_1838);
																}
																((((BgL_blockz00_bglt) COBJECT(
																				((BgL_blockz00_bglt) BgL_sz00_1851)))->
																		BgL_predsz00) =
																	((obj_t) BgL_auxz00_2467), BUNSPEC);
															}
														}
														{
															obj_t BgL_l1396z00_2474;

															BgL_l1396z00_2474 = CDR(BgL_l1396z00_1848);
															BgL_l1396z00_1848 = BgL_l1396z00_2474;
															goto BgL_zc3z04anonymousza31523ze3z87_1849;
														}
													}
												else
													{	/* SawMill/collapse.scm 24 */
														((bool_t) 1);
													}
											}
										}
									}
								else
									{	/* SawMill/collapse.scm 19 */
										((bool_t) 0);
									}
							}
						}
					}
				else
					{	/* SawMill/collapse.scm 17 */
						((bool_t) 0);
					}
			}
			{	/* SawMill/collapse.scm 28 */
				obj_t BgL_g1401z00_1862;

				BgL_g1401z00_1862 =
					(((BgL_blockz00_bglt) COBJECT(BgL_bz00_1823))->BgL_succsz00);
				{
					obj_t BgL_l1399z00_1864;

					BgL_l1399z00_1864 = BgL_g1401z00_1862;
				BgL_zc3z04anonymousza31562ze3z87_1865:
					if (PAIRP(BgL_l1399z00_1864))
						{	/* SawMill/collapse.scm 28 */
							{	/* SawMill/collapse.scm 29 */
								BgL_blockz00_bglt BgL_succz00_1867;

								BgL_succz00_1867 = ((BgL_blockz00_bglt) CAR(BgL_l1399z00_1864));
								{	/* SawMill/collapse.scm 29 */
									bool_t BgL_test1899z00_2481;

									{	/* SawMill/collapse.scm 29 */
										obj_t BgL_classz00_2255;

										BgL_classz00_2255 = BGl_collapsedz00zzsaw_collapsez00;
										{	/* SawMill/collapse.scm 29 */
											obj_t BgL_oclassz00_2257;

											{	/* SawMill/collapse.scm 29 */
												long BgL_arg1828z00_2259;

												{	/* SawMill/collapse.scm 29 */
													long BgL_arg1829z00_2260;

													BgL_arg1829z00_2260 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt) BgL_succz00_1867));
													BgL_arg1828z00_2259 =
														(BgL_arg1829z00_2260 - OBJECT_TYPE);
												}
												BgL_oclassz00_2257 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_2259);
											}
											BgL_test1899z00_2481 =
												(BgL_oclassz00_2257 == BgL_classz00_2255);
									}}
									if (BgL_test1899z00_2481)
										{	/* SawMill/collapse.scm 29 */
											((bool_t) 0);
										}
									else
										{	/* SawMill/collapse.scm 29 */
											BGl_dfsze70ze7zzsaw_collapsez00(BgL_succz00_1867);
										}
								}
							}
							{
								obj_t BgL_l1399z00_2488;

								BgL_l1399z00_2488 = CDR(BgL_l1399z00_1864);
								BgL_l1399z00_1864 = BgL_l1399z00_2488;
								goto BgL_zc3z04anonymousza31562ze3z87_1865;
							}
						}
					else
						{	/* SawMill/collapse.scm 28 */
							return ((bool_t) 1);
						}
				}
			}
		}

	}



/* &collapse */
	obj_t BGl_z62collapsez62zzsaw_collapsez00(obj_t BgL_envz00_2296,
		obj_t BgL_bz00_2297)
	{
		{	/* SawMill/collapse.scm 13 */
			return
				BGl_collapsez00zzsaw_collapsez00(((BgL_blockz00_bglt) BgL_bz00_2297));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			{	/* SawMill/collapse.scm 7 */
				obj_t BgL_arg1581z00_1876;
				obj_t BgL_arg1582z00_1877;

				{	/* SawMill/collapse.scm 7 */
					obj_t BgL_v1402z00_1903;

					BgL_v1402z00_1903 = create_vector(((long) 1));
					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_arg1616z00_1904;

						BgL_arg1616z00_1904 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									0)), BGl_proc1875z00zzsaw_collapsez00,
							BGl_proc1874z00zzsaw_collapsez00, ((bool_t) 0), ((bool_t) 0),
							BFALSE, BFALSE, CNST_TABLE_REF(((long) 1)));
						VECTOR_SET(BgL_v1402z00_1903, ((long) 0), BgL_arg1616z00_1904);
					}
					BgL_arg1581z00_1876 = BgL_v1402z00_1903;
				}
				{	/* SawMill/collapse.scm 7 */
					obj_t BgL_v1403z00_1914;

					BgL_v1403z00_1914 = create_vector(((long) 0));
					BgL_arg1582z00_1877 = BgL_v1403z00_1914;
				}
				return (BGl_collapsedz00zzsaw_collapsez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 2)),
						CNST_TABLE_REF(((long) 3)), BGl_blockz00zzsaw_defsz00,
						((long) 33907), BGl_proc1879z00zzsaw_collapsez00,
						BGl_proc1878z00zzsaw_collapsez00, BFALSE,
						BGl_proc1877z00zzsaw_collapsez00, BGl_proc1876z00zzsaw_collapsez00,
						BgL_arg1581z00_1876, BgL_arg1582z00_1877), BUNSPEC);
		}}

	}



/* &lambda1600 */
	BgL_blockz00_bglt BGl_z62lambda1600z62zzsaw_collapsez00(obj_t BgL_envz00_2304,
		obj_t BgL_o1159z00_2305)
	{
		{	/* SawMill/collapse.scm 7 */
			{	/* SawMill/collapse.scm 7 */
				long BgL_arg1610z00_2333;

				{	/* SawMill/collapse.scm 7 */
					obj_t BgL_arg1614z00_2334;

					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_arg1615z00_2335;

						{	/* SawMill/collapse.scm 7 */
							long BgL_arg1828z00_2336;

							{	/* SawMill/collapse.scm 7 */
								long BgL_arg1829z00_2337;

								BgL_arg1829z00_2337 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_blockz00_bglt) BgL_o1159z00_2305)));
								BgL_arg1828z00_2336 = (BgL_arg1829z00_2337 - OBJECT_TYPE);
							}
							BgL_arg1615z00_2335 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_2336);
						}
						BgL_arg1614z00_2334 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1615z00_2335);
					}
					{	/* SawMill/collapse.scm 7 */
						obj_t BgL_tmpz00_2507;

						BgL_tmpz00_2507 = ((obj_t) BgL_arg1614z00_2334);
						BgL_arg1610z00_2333 = BGL_CLASS_NUM(BgL_tmpz00_2507);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) BgL_o1159z00_2305)), BgL_arg1610z00_2333);
			}
			{	/* SawMill/collapse.scm 7 */
				BgL_objectz00_bglt BgL_tmpz00_2513;

				BgL_tmpz00_2513 =
					((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_2305));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2513, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_2305));
			return ((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1159z00_2305));
		}

	}



/* &<@anonymous:1599> */
	obj_t BGl_z62zc3z04anonymousza31599ze3ze5zzsaw_collapsez00(obj_t
		BgL_envz00_2306, obj_t BgL_new1158z00_2307)
	{
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_blockz00_bglt BgL_auxz00_2521;

				((((BgL_blockz00_bglt) COBJECT(
								((BgL_blockz00_bglt)
									((BgL_blockz00_bglt) BgL_new1158z00_2307))))->BgL_labelz00) =
					((int) (int) (((long) 0))), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1158z00_2307))))->BgL_predsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1158z00_2307))))->BgL_succsz00) =
					((obj_t) BNIL), BUNSPEC);
				((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt) ((BgL_blockz00_bglt)
										BgL_new1158z00_2307))))->BgL_firstz00) =
					((obj_t) BNIL), BUNSPEC);
				{
					BgL_collapsedz00_bglt BgL_auxz00_2535;

					{
						obj_t BgL_auxz00_2536;

						{	/* SawMill/collapse.scm 7 */
							BgL_objectz00_bglt BgL_tmpz00_2537;

							BgL_tmpz00_2537 =
								((BgL_objectz00_bglt)
								((BgL_blockz00_bglt) BgL_new1158z00_2307));
							BgL_auxz00_2536 = BGL_OBJECT_WIDENING(BgL_tmpz00_2537);
						}
						BgL_auxz00_2535 = ((BgL_collapsedz00_bglt) BgL_auxz00_2536);
					}
					((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2535))->BgL_lastz00) =
						((obj_t) BUNSPEC), BUNSPEC);
				}
				BgL_auxz00_2521 = ((BgL_blockz00_bglt) BgL_new1158z00_2307);
				return ((obj_t) BgL_auxz00_2521);
			}
		}

	}



/* &lambda1591 */
	BgL_blockz00_bglt BGl_z62lambda1591z62zzsaw_collapsez00(obj_t BgL_envz00_2308,
		obj_t BgL_o1154z00_2309)
	{
		{	/* SawMill/collapse.scm 7 */
			{	/* SawMill/collapse.scm 7 */
				BgL_collapsedz00_bglt BgL_wide1156z00_2340;

				BgL_wide1156z00_2340 =
					((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_collapsedz00_bgl))));
				{	/* SawMill/collapse.scm 7 */
					obj_t BgL_auxz00_2550;
					BgL_objectz00_bglt BgL_tmpz00_2546;

					BgL_auxz00_2550 = ((obj_t) BgL_wide1156z00_2340);
					BgL_tmpz00_2546 =
						((BgL_objectz00_bglt)
						((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_2309)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2546, BgL_auxz00_2550);
				}
				((BgL_objectz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_2309)));
				{	/* SawMill/collapse.scm 7 */
					long BgL_arg1598z00_2341;

					BgL_arg1598z00_2341 =
						BGL_CLASS_NUM(BGl_collapsedz00zzsaw_collapsez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_blockz00_bglt)
								((BgL_blockz00_bglt) BgL_o1154z00_2309))), BgL_arg1598z00_2341);
				}
				return
					((BgL_blockz00_bglt)
					((BgL_blockz00_bglt) ((BgL_blockz00_bglt) BgL_o1154z00_2309)));
			}
		}

	}



/* &lambda1583 */
	BgL_blockz00_bglt BGl_z62lambda1583z62zzsaw_collapsez00(obj_t BgL_envz00_2310,
		obj_t BgL_label1149z00_2311, obj_t BgL_preds1150z00_2312,
		obj_t BgL_succs1151z00_2313, obj_t BgL_first1152z00_2314,
		obj_t BgL_last1153z00_2315)
	{
		{	/* SawMill/collapse.scm 7 */
			{	/* SawMill/collapse.scm 7 */
				int BgL_label1149z00_2342;

				BgL_label1149z00_2342 = CINT(BgL_label1149z00_2311);
				{	/* SawMill/collapse.scm 7 */
					BgL_blockz00_bglt BgL_new1184z00_2346;

					{	/* SawMill/collapse.scm 7 */
						BgL_blockz00_bglt BgL_tmp1182z00_2347;
						BgL_collapsedz00_bglt BgL_wide1183z00_2348;

						{
							BgL_blockz00_bglt BgL_auxz00_2565;

							{	/* SawMill/collapse.scm 7 */
								BgL_blockz00_bglt BgL_new1181z00_2349;

								BgL_new1181z00_2349 =
									((BgL_blockz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_blockz00_bgl))));
								{	/* SawMill/collapse.scm 7 */
									long BgL_arg1590z00_2350;

									BgL_arg1590z00_2350 =
										BGL_CLASS_NUM(BGl_blockz00zzsaw_defsz00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1181z00_2349),
										BgL_arg1590z00_2350);
								}
								{	/* SawMill/collapse.scm 7 */
									BgL_objectz00_bglt BgL_tmpz00_2570;

									BgL_tmpz00_2570 = ((BgL_objectz00_bglt) BgL_new1181z00_2349);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2570, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1181z00_2349);
								BgL_auxz00_2565 = BgL_new1181z00_2349;
							}
							BgL_tmp1182z00_2347 = ((BgL_blockz00_bglt) BgL_auxz00_2565);
						}
						BgL_wide1183z00_2348 =
							((BgL_collapsedz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_collapsedz00_bgl))));
						{	/* SawMill/collapse.scm 7 */
							obj_t BgL_auxz00_2578;
							BgL_objectz00_bglt BgL_tmpz00_2576;

							BgL_auxz00_2578 = ((obj_t) BgL_wide1183z00_2348);
							BgL_tmpz00_2576 = ((BgL_objectz00_bglt) BgL_tmp1182z00_2347);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2576, BgL_auxz00_2578);
						}
						((BgL_objectz00_bglt) BgL_tmp1182z00_2347);
						{	/* SawMill/collapse.scm 7 */
							long BgL_arg1588z00_2351;

							BgL_arg1588z00_2351 =
								BGL_CLASS_NUM(BGl_collapsedz00zzsaw_collapsez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1182z00_2347),
								BgL_arg1588z00_2351);
						}
						BgL_new1184z00_2346 = ((BgL_blockz00_bglt) BgL_tmp1182z00_2347);
					}
					((((BgL_blockz00_bglt) COBJECT(
									((BgL_blockz00_bglt) BgL_new1184z00_2346)))->BgL_labelz00) =
						((int) BgL_label1149z00_2342), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1184z00_2346)))->BgL_predsz00) =
						((obj_t) ((obj_t) BgL_preds1150z00_2312)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1184z00_2346)))->BgL_succsz00) =
						((obj_t) ((obj_t) BgL_succs1151z00_2313)), BUNSPEC);
					((((BgL_blockz00_bglt) COBJECT(((BgL_blockz00_bglt)
										BgL_new1184z00_2346)))->BgL_firstz00) =
						((obj_t) ((obj_t) BgL_first1152z00_2314)), BUNSPEC);
					{
						BgL_collapsedz00_bglt BgL_auxz00_2597;

						{
							obj_t BgL_auxz00_2598;

							{	/* SawMill/collapse.scm 7 */
								BgL_objectz00_bglt BgL_tmpz00_2599;

								BgL_tmpz00_2599 = ((BgL_objectz00_bglt) BgL_new1184z00_2346);
								BgL_auxz00_2598 = BGL_OBJECT_WIDENING(BgL_tmpz00_2599);
							}
							BgL_auxz00_2597 = ((BgL_collapsedz00_bglt) BgL_auxz00_2598);
						}
						((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2597))->BgL_lastz00) =
							((obj_t) BgL_last1153z00_2315), BUNSPEC);
					}
					return BgL_new1184z00_2346;
				}
			}
		}

	}



/* &lambda1631 */
	obj_t BGl_z62lambda1631z62zzsaw_collapsez00(obj_t BgL_envz00_2316,
		obj_t BgL_oz00_2317, obj_t BgL_vz00_2318)
	{
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_collapsedz00_bglt BgL_auxz00_2604;

				{
					obj_t BgL_auxz00_2605;

					{	/* SawMill/collapse.scm 7 */
						BgL_objectz00_bglt BgL_tmpz00_2606;

						BgL_tmpz00_2606 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2317));
						BgL_auxz00_2605 = BGL_OBJECT_WIDENING(BgL_tmpz00_2606);
					}
					BgL_auxz00_2604 = ((BgL_collapsedz00_bglt) BgL_auxz00_2605);
				}
				return
					((((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2604))->BgL_lastz00) =
					((obj_t) BgL_vz00_2318), BUNSPEC);
			}
		}

	}



/* &lambda1630 */
	obj_t BGl_z62lambda1630z62zzsaw_collapsez00(obj_t BgL_envz00_2319,
		obj_t BgL_oz00_2320)
	{
		{	/* SawMill/collapse.scm 7 */
			{
				BgL_collapsedz00_bglt BgL_auxz00_2612;

				{
					obj_t BgL_auxz00_2613;

					{	/* SawMill/collapse.scm 7 */
						BgL_objectz00_bglt BgL_tmpz00_2614;

						BgL_tmpz00_2614 =
							((BgL_objectz00_bglt) ((BgL_blockz00_bglt) BgL_oz00_2320));
						BgL_auxz00_2613 = BGL_OBJECT_WIDENING(BgL_tmpz00_2614);
					}
					BgL_auxz00_2612 = ((BgL_collapsedz00_bglt) BgL_auxz00_2613);
				}
				return
					(((BgL_collapsedz00_bglt) COBJECT(BgL_auxz00_2612))->BgL_lastz00);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzsaw_collapsez00(void)
	{
		{	/* SawMill/collapse.scm 1 */
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1880z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1880z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1880z00zzsaw_collapsez00));
			BGl_modulezd2initializa7ationz75zzsaw_libz00(((long) 57049157),
				BSTRING_TO_STRING(BGl_string1880z00zzsaw_collapsez00));
			return
				BGl_modulezd2initializa7ationz75zzsaw_defsz00(((long) 404844772),
				BSTRING_TO_STRING(BGl_string1880z00zzsaw_collapsez00));
		}

	}

#ifdef __cplusplus
}
#endif
