/*===========================================================================*/
/*   (Ieee/control5.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Ieee/control5.scm -o objs/obj_p/Ieee/control5.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int);
static obj_t BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t, obj_t);
static obj_t BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00(void);
static obj_t BGl_gczd2rootszd2initz00zz__r5_control_features_6_4z00(void);
static obj_t BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int, obj_t);
static obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00(void);
static obj_t BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__r5_control_features_6_4z00(void);
BGL_EXPORTED_DECL int BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int);
BGL_EXPORTED_DECL obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setzd2mvalueszd2numberz12zd2envz92zz__r5_control_features_6_4z00, BgL_bgl_za762za752setza7d2mval1549za7, BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1541z00zz__r5_control_features_6_4z00, BgL_bgl_string1541za700za7za7_1550za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Ieee/control5.scm", 61 );
DEFINE_STRING( BGl_string1542z00zz__r5_control_features_6_4z00, BgL_bgl_string1542za700za7za7_1551za7, "&%set-mvalues-number!", 21 );
DEFINE_STRING( BGl_string1543z00zz__r5_control_features_6_4z00, BgL_bgl_string1543za700za7za7_1552za7, "bint", 4 );
DEFINE_STRING( BGl_string1544z00zz__r5_control_features_6_4z00, BgL_bgl_string1544za700za7za7_1553za7, "&%get-mvalues-val", 17 );
DEFINE_STRING( BGl_string1545z00zz__r5_control_features_6_4z00, BgL_bgl_string1545za700za7za7_1554za7, "&%set-mvalues-val!", 18 );
DEFINE_STRING( BGl_string1546z00zz__r5_control_features_6_4z00, BgL_bgl_string1546za700za7za7_1555za7, "&call-with-values", 17 );
DEFINE_STRING( BGl_string1547z00zz__r5_control_features_6_4z00, BgL_bgl_string1547za700za7za7_1556za7, "procedure", 9 );
DEFINE_STRING( BGl_string1548z00zz__r5_control_features_6_4z00, BgL_bgl_string1548za700za7za7_1557za7, "__r5_control_features_6_4", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52setzd2mvalueszd2valz12zd2envz92zz__r5_control_features_6_4z00, BgL_bgl_za762za752setza7d2mval1558za7, BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_callzd2withzd2valueszd2envzd2zz__r5_control_features_6_4z00, BgL_bgl_za762callza7d2withza7d1559za7, BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52getzd2mvalueszd2valzd2envz80zz__r5_control_features_6_4z00, BgL_bgl_za762za752getza7d2mval1560za7, BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52getzd2mvalueszd2numberzd2envz80zz__r5_control_features_6_4z00, BgL_bgl_za762za752getza7d2mval1561za7, BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_valueszd2envzd2zz__r5_control_features_6_4z00, BgL_bgl_za762valuesza762za7za7__1562z00, va_generic_entry, BGl_z62valuesz62zz__r5_control_features_6_4z00, BUNSPEC, -1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"%get-mvalues-number\" \"Ieee/control5.scm\" 2439) \"BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%get-mvalues-number\" \"Ieee/control5.scm\" 2439) \"BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"%set-mvalues-number!\" \"Ieee/control5.scm\" 2725) \"BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%set-mvalues-number!\" \"Ieee/control5.scm\" 2725) \"BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"%get-mvalues-val\" \"Ieee/control5.scm\" 3017) \"BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%get-mvalues-val\" \"Ieee/control5.scm\" 3017) \"BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"%set-mvalues-val!\" \"Ieee/control5.scm\" 3366) \"BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%set-mvalues-val!\" \"Ieee/control5.scm\" 3366) \"BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"values\" \"Ieee/control5.scm\" 3804) \"BGl_valuesz00zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&values\" \"Ieee/control5.scm\" 3804) \"BGl_z62valuesz62zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"call-with-values\" \"Ieee/control5.scm\" 4533) \"BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "((\"&call-with-values\" \"Ieee/control5.scm\" 4533) \"BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long BgL_checksumz00_1307, char * BgL_fromz00_1308)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00))
{ 
BGl_requirezd2initializa7ationz75zz__r5_control_features_6_4z00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__r5_control_features_6_4z00(); 
BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00(); 
return 
BGl_profzd2initzd2zz__r5_control_features_6_4z00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__r5_control_features_6_4z00(void)
{
{ /* Ieee/control5.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__r5_control_features_6_4z00(void)
{
{ /* Ieee/control5.scm 14 */
return 
write_bprof_table();} 

}



/* %get-mvalues-number */
BGL_EXPORTED_DEF int BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00(void)
{
{ /* Ieee/control5.scm 66 */
return 
BGL_MVALUES_NUMBER();} 

}



/* &%get-mvalues-number */
obj_t BGl_z62z52getzd2mvalueszd2numberz30zz__r5_control_features_6_4z00(obj_t BgL_envz00_1286)
{
{ /* Ieee/control5.scm 66 */
return 
BINT(
BGl_z52getzd2mvalueszd2numberz52zz__r5_control_features_6_4z00());} 

}



/* %set-mvalues-number! */
BGL_EXPORTED_DEF int BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(int BgL_nz00_3)
{
{ /* Ieee/control5.scm 72 */
return 
BGL_MVALUES_NUMBER_SET(BgL_nz00_3);} 

}



/* &%set-mvalues-number! */
obj_t BGl_z62z52setzd2mvalueszd2numberz12z22zz__r5_control_features_6_4z00(obj_t BgL_envz00_1287, obj_t BgL_nz00_1288)
{
{ /* Ieee/control5.scm 72 */
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1321;
{ /* Ieee/control5.scm 73 */
 int BgL_auxz00_1322;
{ /* Ieee/control5.scm 73 */
 obj_t BgL_tmpz00_1323;
if(
INTEGERP(BgL_nz00_1288))
{ /* Ieee/control5.scm 73 */
BgL_tmpz00_1323 = BgL_nz00_1288
; }  else 
{ 
 obj_t BgL_auxz00_1326;
BgL_auxz00_1326 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1541z00zz__r5_control_features_6_4z00, 
BINT(((long)2768)), BGl_string1542z00zz__r5_control_features_6_4z00, BGl_string1543z00zz__r5_control_features_6_4z00, BgL_nz00_1288); 
FAILURE(BgL_auxz00_1326,BFALSE,BFALSE);} 
BgL_auxz00_1322 = 
CINT(BgL_tmpz00_1323); } 
BgL_tmpz00_1321 = 
BGl_z52setzd2mvalueszd2numberz12z40zz__r5_control_features_6_4z00(BgL_auxz00_1322); } 
return 
BINT(BgL_tmpz00_1321);} } 

}



/* %get-mvalues-val */
BGL_EXPORTED_DEF obj_t BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(int BgL_nz00_4)
{
{ /* Ieee/control5.scm 78 */
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1306;
BgL_tmpz00_1306 = 
BGL_MVALUES_VAL(BgL_nz00_4); 
BGL_MVALUES_VAL_SET(BgL_nz00_4, BUNSPEC); 
return BgL_tmpz00_1306;} } 

}



/* &%get-mvalues-val */
obj_t BGl_z62z52getzd2mvalueszd2valz30zz__r5_control_features_6_4z00(obj_t BgL_envz00_1289, obj_t BgL_nz00_1290)
{
{ /* Ieee/control5.scm 78 */
{ /* Ieee/control5.scm 79 */
 int BgL_auxz00_1335;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1336;
if(
INTEGERP(BgL_nz00_1290))
{ /* Ieee/control5.scm 79 */
BgL_tmpz00_1336 = BgL_nz00_1290
; }  else 
{ 
 obj_t BgL_auxz00_1339;
BgL_auxz00_1339 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1541z00zz__r5_control_features_6_4z00, 
BINT(((long)3056)), BGl_string1544z00zz__r5_control_features_6_4z00, BGl_string1543z00zz__r5_control_features_6_4z00, BgL_nz00_1290); 
FAILURE(BgL_auxz00_1339,BFALSE,BFALSE);} 
BgL_auxz00_1335 = 
CINT(BgL_tmpz00_1336); } 
return 
BGl_z52getzd2mvalueszd2valz52zz__r5_control_features_6_4z00(BgL_auxz00_1335);} } 

}



/* %set-mvalues-val! */
BGL_EXPORTED_DEF obj_t BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(int BgL_nz00_5, obj_t BgL_oz00_6)
{
{ /* Ieee/control5.scm 86 */
return 
BGL_MVALUES_VAL_SET(BgL_nz00_5, BgL_oz00_6);} 

}



/* &%set-mvalues-val! */
obj_t BGl_z62z52setzd2mvalueszd2valz12z22zz__r5_control_features_6_4z00(obj_t BgL_envz00_1291, obj_t BgL_nz00_1292, obj_t BgL_oz00_1293)
{
{ /* Ieee/control5.scm 86 */
{ /* Ieee/control5.scm 87 */
 int BgL_auxz00_1346;
{ /* Ieee/control5.scm 87 */
 obj_t BgL_tmpz00_1347;
if(
INTEGERP(BgL_nz00_1292))
{ /* Ieee/control5.scm 87 */
BgL_tmpz00_1347 = BgL_nz00_1292
; }  else 
{ 
 obj_t BgL_auxz00_1350;
BgL_auxz00_1350 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1541z00zz__r5_control_features_6_4z00, 
BINT(((long)3408)), BGl_string1545z00zz__r5_control_features_6_4z00, BGl_string1543z00zz__r5_control_features_6_4z00, BgL_nz00_1292); 
FAILURE(BgL_auxz00_1350,BFALSE,BFALSE);} 
BgL_auxz00_1346 = 
CINT(BgL_tmpz00_1347); } 
return 
BGl_z52setzd2mvalueszd2valz12z40zz__r5_control_features_6_4z00(BgL_auxz00_1346, BgL_oz00_1293);} } 

}



/* values */
BGL_EXPORTED_DEF obj_t BGl_valuesz00zz__r5_control_features_6_4z00(obj_t BgL_argsz00_7)
{
{ /* Ieee/control5.scm 94 */
if(
NULLP(BgL_argsz00_7))
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1358;
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1359;
BgL_tmpz00_1359 = 
(int)(((long)0)); 
BgL_tmpz00_1358 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1359); } 
return 
BINT(BgL_tmpz00_1358);}  else 
{ /* Ieee/control5.scm 95 */
if(
NULLP(
CDR(
((obj_t)BgL_argsz00_7))))
{ /* Ieee/control5.scm 97 */
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1367;
BgL_tmpz00_1367 = 
(int)(((long)1)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1367); } 
return 
CAR(
((obj_t)BgL_argsz00_7));}  else 
{ /* Ieee/control5.scm 101 */
 obj_t BgL_res0z00_712;
BgL_res0z00_712 = 
CAR(
((obj_t)BgL_argsz00_7)); 
{ /* Ieee/control5.scm 103 */
 obj_t BgL_g1010z00_714;
BgL_g1010z00_714 = 
CDR(
((obj_t)BgL_argsz00_7)); 
{ 
 long BgL_iz00_716; obj_t BgL_argsz00_717;
BgL_iz00_716 = ((long)1); 
BgL_argsz00_717 = BgL_g1010z00_714; 
BgL_zc3z04anonymousza31058ze3z87_718:
if(
NULLP(BgL_argsz00_717))
{ /* Ieee/control5.scm 106 */
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1378;
BgL_tmpz00_1378 = 
(int)(BgL_iz00_716); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1378); } 
return BgL_res0z00_712;}  else 
{ /* Ieee/control5.scm 106 */
if(
(BgL_iz00_716==((long)16)))
{ /* Ieee/control5.scm 109 */
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1383;
BgL_tmpz00_1383 = 
(int)(((long)-1)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1383); } 
return BgL_argsz00_7;}  else 
{ /* Ieee/control5.scm 109 */
{ /* Ieee/control5.scm 113 */
 obj_t BgL_arg1061z00_721;
BgL_arg1061z00_721 = 
CAR(
((obj_t)BgL_argsz00_717)); 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1388;
BgL_tmpz00_1388 = 
(int)(BgL_iz00_716); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1388, BgL_arg1061z00_721); } } 
{ /* Ieee/control5.scm 114 */
 long BgL_arg1062z00_722; obj_t BgL_arg1063z00_723;
BgL_arg1062z00_722 = 
(BgL_iz00_716+((long)1)); 
BgL_arg1063z00_723 = 
CDR(
((obj_t)BgL_argsz00_717)); 
{ 
 obj_t BgL_argsz00_1395; long BgL_iz00_1394;
BgL_iz00_1394 = BgL_arg1062z00_722; 
BgL_argsz00_1395 = BgL_arg1063z00_723; 
BgL_argsz00_717 = BgL_argsz00_1395; 
BgL_iz00_716 = BgL_iz00_1394; 
goto BgL_zc3z04anonymousza31058ze3z87_718;} } } } } } } } } 

}



/* &values */
obj_t BGl_z62valuesz62zz__r5_control_features_6_4z00(obj_t BgL_envz00_1294, obj_t BgL_argsz00_1295)
{
{ /* Ieee/control5.scm 94 */
return 
BGl_valuesz00zz__r5_control_features_6_4z00(BgL_argsz00_1295);} 

}



/* call-with-values */
BGL_EXPORTED_DEF obj_t BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(obj_t BgL_producerz00_8, obj_t BgL_consumerz00_9)
{
{ /* Ieee/control5.scm 119 */
{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1397;
BgL_tmpz00_1397 = 
(int)(((long)1)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1397); } 
{ /* Ieee/control5.scm 121 */
 obj_t BgL_res0z00_726;
BgL_res0z00_726 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_producerz00_8))(BgL_producerz00_8, BEOA); 
{ /* Ieee/control5.scm 121 */
 int BgL_numzd2valueszd2_727;
BgL_numzd2valueszd2_727 = 
BGL_MVALUES_NUMBER(); 
{ /* Ieee/control5.scm 122 */

{ /* Ieee/control5.scm 73 */
 int BgL_tmpz00_1404;
BgL_tmpz00_1404 = 
(int)(((long)1)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_1404); } 
{ 

switch( 
(long)(BgL_numzd2valueszd2_727)) { case ((long)-1) : 

return 
apply(BgL_consumerz00_9, BgL_res0z00_726);break;case ((long)0) : 

return 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BEOA);break;case ((long)1) : 

return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BEOA);break;case ((long)2) : 

{ /* Ieee/control5.scm 142 */
 obj_t BgL_arg1065z00_730;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1113;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1416;
BgL_tmpz00_1416 = 
(int)(((long)1)); 
BgL_tmpz00_1113 = 
BGL_MVALUES_VAL(BgL_tmpz00_1416); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1419;
BgL_tmpz00_1419 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1419, BUNSPEC); } 
BgL_arg1065z00_730 = BgL_tmpz00_1113; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1065z00_730, BEOA);} break;case ((long)3) : 

{ /* Ieee/control5.scm 145 */
 obj_t BgL_arg1066z00_731; obj_t BgL_arg1067z00_732;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1114;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1427;
BgL_tmpz00_1427 = 
(int)(((long)1)); 
BgL_tmpz00_1114 = 
BGL_MVALUES_VAL(BgL_tmpz00_1427); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1430;
BgL_tmpz00_1430 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1430, BUNSPEC); } 
BgL_arg1066z00_731 = BgL_tmpz00_1114; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1115;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1433;
BgL_tmpz00_1433 = 
(int)(((long)2)); 
BgL_tmpz00_1115 = 
BGL_MVALUES_VAL(BgL_tmpz00_1433); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1436;
BgL_tmpz00_1436 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1436, BUNSPEC); } 
BgL_arg1067z00_732 = BgL_tmpz00_1115; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1066z00_731, BgL_arg1067z00_732, BEOA);} break;case ((long)4) : 

{ /* Ieee/control5.scm 149 */
 obj_t BgL_arg1069z00_733; obj_t BgL_arg1073z00_734; obj_t BgL_arg1075z00_735;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1116;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1445;
BgL_tmpz00_1445 = 
(int)(((long)1)); 
BgL_tmpz00_1116 = 
BGL_MVALUES_VAL(BgL_tmpz00_1445); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1448;
BgL_tmpz00_1448 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1448, BUNSPEC); } 
BgL_arg1069z00_733 = BgL_tmpz00_1116; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1117;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1451;
BgL_tmpz00_1451 = 
(int)(((long)2)); 
BgL_tmpz00_1117 = 
BGL_MVALUES_VAL(BgL_tmpz00_1451); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1454;
BgL_tmpz00_1454 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1454, BUNSPEC); } 
BgL_arg1073z00_734 = BgL_tmpz00_1117; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1118;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1457;
BgL_tmpz00_1457 = 
(int)(((long)3)); 
BgL_tmpz00_1118 = 
BGL_MVALUES_VAL(BgL_tmpz00_1457); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1460;
BgL_tmpz00_1460 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1460, BUNSPEC); } 
BgL_arg1075z00_735 = BgL_tmpz00_1118; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1069z00_733, BgL_arg1073z00_734, BgL_arg1075z00_735, BEOA);} break;case ((long)5) : 

{ /* Ieee/control5.scm 154 */
 obj_t BgL_arg1076z00_736; obj_t BgL_arg1077z00_737; obj_t BgL_arg1079z00_738; obj_t BgL_arg1080z00_739;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1119;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1470;
BgL_tmpz00_1470 = 
(int)(((long)1)); 
BgL_tmpz00_1119 = 
BGL_MVALUES_VAL(BgL_tmpz00_1470); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1473;
BgL_tmpz00_1473 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1473, BUNSPEC); } 
BgL_arg1076z00_736 = BgL_tmpz00_1119; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1120;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1476;
BgL_tmpz00_1476 = 
(int)(((long)2)); 
BgL_tmpz00_1120 = 
BGL_MVALUES_VAL(BgL_tmpz00_1476); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1479;
BgL_tmpz00_1479 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1479, BUNSPEC); } 
BgL_arg1077z00_737 = BgL_tmpz00_1120; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1121;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1482;
BgL_tmpz00_1482 = 
(int)(((long)3)); 
BgL_tmpz00_1121 = 
BGL_MVALUES_VAL(BgL_tmpz00_1482); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1485;
BgL_tmpz00_1485 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1485, BUNSPEC); } 
BgL_arg1079z00_738 = BgL_tmpz00_1121; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1122;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1488;
BgL_tmpz00_1488 = 
(int)(((long)4)); 
BgL_tmpz00_1122 = 
BGL_MVALUES_VAL(BgL_tmpz00_1488); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1491;
BgL_tmpz00_1491 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1491, BUNSPEC); } 
BgL_arg1080z00_739 = BgL_tmpz00_1122; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1076z00_736, BgL_arg1077z00_737, BgL_arg1079z00_738, BgL_arg1080z00_739, BEOA);} break;case ((long)6) : 

{ /* Ieee/control5.scm 160 */
 obj_t BgL_arg1083z00_740; obj_t BgL_arg1084z00_741; obj_t BgL_arg1085z00_742; obj_t BgL_arg1086z00_743; obj_t BgL_arg1087z00_744;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1123;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1502;
BgL_tmpz00_1502 = 
(int)(((long)1)); 
BgL_tmpz00_1123 = 
BGL_MVALUES_VAL(BgL_tmpz00_1502); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1505;
BgL_tmpz00_1505 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1505, BUNSPEC); } 
BgL_arg1083z00_740 = BgL_tmpz00_1123; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1124;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1508;
BgL_tmpz00_1508 = 
(int)(((long)2)); 
BgL_tmpz00_1124 = 
BGL_MVALUES_VAL(BgL_tmpz00_1508); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1511;
BgL_tmpz00_1511 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1511, BUNSPEC); } 
BgL_arg1084z00_741 = BgL_tmpz00_1124; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1125;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1514;
BgL_tmpz00_1514 = 
(int)(((long)3)); 
BgL_tmpz00_1125 = 
BGL_MVALUES_VAL(BgL_tmpz00_1514); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1517;
BgL_tmpz00_1517 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1517, BUNSPEC); } 
BgL_arg1085z00_742 = BgL_tmpz00_1125; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1126;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1520;
BgL_tmpz00_1520 = 
(int)(((long)4)); 
BgL_tmpz00_1126 = 
BGL_MVALUES_VAL(BgL_tmpz00_1520); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1523;
BgL_tmpz00_1523 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1523, BUNSPEC); } 
BgL_arg1086z00_743 = BgL_tmpz00_1126; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1127;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1526;
BgL_tmpz00_1526 = 
(int)(((long)5)); 
BgL_tmpz00_1127 = 
BGL_MVALUES_VAL(BgL_tmpz00_1526); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1529;
BgL_tmpz00_1529 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1529, BUNSPEC); } 
BgL_arg1087z00_744 = BgL_tmpz00_1127; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1083z00_740, BgL_arg1084z00_741, BgL_arg1085z00_742, BgL_arg1086z00_743, BgL_arg1087z00_744, BEOA);} break;case ((long)7) : 

{ /* Ieee/control5.scm 167 */
 obj_t BgL_arg1090z00_745; obj_t BgL_arg1091z00_746; obj_t BgL_arg1093z00_747; obj_t BgL_arg1094z00_748; obj_t BgL_arg1096z00_749; obj_t BgL_arg1097z00_750;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1128;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1541;
BgL_tmpz00_1541 = 
(int)(((long)1)); 
BgL_tmpz00_1128 = 
BGL_MVALUES_VAL(BgL_tmpz00_1541); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1544;
BgL_tmpz00_1544 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1544, BUNSPEC); } 
BgL_arg1090z00_745 = BgL_tmpz00_1128; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1129;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1547;
BgL_tmpz00_1547 = 
(int)(((long)2)); 
BgL_tmpz00_1129 = 
BGL_MVALUES_VAL(BgL_tmpz00_1547); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1550;
BgL_tmpz00_1550 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1550, BUNSPEC); } 
BgL_arg1091z00_746 = BgL_tmpz00_1129; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1130;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1553;
BgL_tmpz00_1553 = 
(int)(((long)3)); 
BgL_tmpz00_1130 = 
BGL_MVALUES_VAL(BgL_tmpz00_1553); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1556;
BgL_tmpz00_1556 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1556, BUNSPEC); } 
BgL_arg1093z00_747 = BgL_tmpz00_1130; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1131;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1559;
BgL_tmpz00_1559 = 
(int)(((long)4)); 
BgL_tmpz00_1131 = 
BGL_MVALUES_VAL(BgL_tmpz00_1559); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1562;
BgL_tmpz00_1562 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1562, BUNSPEC); } 
BgL_arg1094z00_748 = BgL_tmpz00_1131; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1132;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1565;
BgL_tmpz00_1565 = 
(int)(((long)5)); 
BgL_tmpz00_1132 = 
BGL_MVALUES_VAL(BgL_tmpz00_1565); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1568;
BgL_tmpz00_1568 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1568, BUNSPEC); } 
BgL_arg1096z00_749 = BgL_tmpz00_1132; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1133;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1571;
BgL_tmpz00_1571 = 
(int)(((long)6)); 
BgL_tmpz00_1133 = 
BGL_MVALUES_VAL(BgL_tmpz00_1571); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1574;
BgL_tmpz00_1574 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1574, BUNSPEC); } 
BgL_arg1097z00_750 = BgL_tmpz00_1133; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1090z00_745, BgL_arg1091z00_746, BgL_arg1093z00_747, BgL_arg1094z00_748, BgL_arg1096z00_749, BgL_arg1097z00_750, BEOA);} break;case ((long)8) : 

{ /* Ieee/control5.scm 175 */
 obj_t BgL_arg1098z00_751; obj_t BgL_arg1099z00_752; obj_t BgL_arg1100z00_753; obj_t BgL_arg1101z00_754; obj_t BgL_arg1104z00_755; obj_t BgL_arg1110z00_756; obj_t BgL_arg1111z00_757;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1134;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1587;
BgL_tmpz00_1587 = 
(int)(((long)1)); 
BgL_tmpz00_1134 = 
BGL_MVALUES_VAL(BgL_tmpz00_1587); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1590;
BgL_tmpz00_1590 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1590, BUNSPEC); } 
BgL_arg1098z00_751 = BgL_tmpz00_1134; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1135;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1593;
BgL_tmpz00_1593 = 
(int)(((long)2)); 
BgL_tmpz00_1135 = 
BGL_MVALUES_VAL(BgL_tmpz00_1593); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1596;
BgL_tmpz00_1596 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1596, BUNSPEC); } 
BgL_arg1099z00_752 = BgL_tmpz00_1135; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1136;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1599;
BgL_tmpz00_1599 = 
(int)(((long)3)); 
BgL_tmpz00_1136 = 
BGL_MVALUES_VAL(BgL_tmpz00_1599); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1602;
BgL_tmpz00_1602 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1602, BUNSPEC); } 
BgL_arg1100z00_753 = BgL_tmpz00_1136; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1137;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1605;
BgL_tmpz00_1605 = 
(int)(((long)4)); 
BgL_tmpz00_1137 = 
BGL_MVALUES_VAL(BgL_tmpz00_1605); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1608;
BgL_tmpz00_1608 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1608, BUNSPEC); } 
BgL_arg1101z00_754 = BgL_tmpz00_1137; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1138;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1611;
BgL_tmpz00_1611 = 
(int)(((long)5)); 
BgL_tmpz00_1138 = 
BGL_MVALUES_VAL(BgL_tmpz00_1611); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1614;
BgL_tmpz00_1614 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1614, BUNSPEC); } 
BgL_arg1104z00_755 = BgL_tmpz00_1138; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1139;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1617;
BgL_tmpz00_1617 = 
(int)(((long)6)); 
BgL_tmpz00_1139 = 
BGL_MVALUES_VAL(BgL_tmpz00_1617); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1620;
BgL_tmpz00_1620 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1620, BUNSPEC); } 
BgL_arg1110z00_756 = BgL_tmpz00_1139; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1140;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1623;
BgL_tmpz00_1623 = 
(int)(((long)7)); 
BgL_tmpz00_1140 = 
BGL_MVALUES_VAL(BgL_tmpz00_1623); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1626;
BgL_tmpz00_1626 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1626, BUNSPEC); } 
BgL_arg1111z00_757 = BgL_tmpz00_1140; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1098z00_751, BgL_arg1099z00_752, BgL_arg1100z00_753, BgL_arg1101z00_754, BgL_arg1104z00_755, BgL_arg1110z00_756, BgL_arg1111z00_757, BEOA);} break;case ((long)9) : 

{ /* Ieee/control5.scm 184 */
 obj_t BgL_arg1112z00_758; obj_t BgL_arg1113z00_759; obj_t BgL_arg1114z00_760; obj_t BgL_arg1118z00_761; obj_t BgL_arg1119z00_762; obj_t BgL_arg1120z00_763; obj_t BgL_arg1121z00_764; obj_t BgL_arg1129z00_765;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1141;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1640;
BgL_tmpz00_1640 = 
(int)(((long)1)); 
BgL_tmpz00_1141 = 
BGL_MVALUES_VAL(BgL_tmpz00_1640); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1643;
BgL_tmpz00_1643 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1643, BUNSPEC); } 
BgL_arg1112z00_758 = BgL_tmpz00_1141; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1142;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1646;
BgL_tmpz00_1646 = 
(int)(((long)2)); 
BgL_tmpz00_1142 = 
BGL_MVALUES_VAL(BgL_tmpz00_1646); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1649;
BgL_tmpz00_1649 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1649, BUNSPEC); } 
BgL_arg1113z00_759 = BgL_tmpz00_1142; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1143;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1652;
BgL_tmpz00_1652 = 
(int)(((long)3)); 
BgL_tmpz00_1143 = 
BGL_MVALUES_VAL(BgL_tmpz00_1652); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1655;
BgL_tmpz00_1655 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1655, BUNSPEC); } 
BgL_arg1114z00_760 = BgL_tmpz00_1143; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1144;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1658;
BgL_tmpz00_1658 = 
(int)(((long)4)); 
BgL_tmpz00_1144 = 
BGL_MVALUES_VAL(BgL_tmpz00_1658); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1661;
BgL_tmpz00_1661 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1661, BUNSPEC); } 
BgL_arg1118z00_761 = BgL_tmpz00_1144; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1145;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1664;
BgL_tmpz00_1664 = 
(int)(((long)5)); 
BgL_tmpz00_1145 = 
BGL_MVALUES_VAL(BgL_tmpz00_1664); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1667;
BgL_tmpz00_1667 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1667, BUNSPEC); } 
BgL_arg1119z00_762 = BgL_tmpz00_1145; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1146;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1670;
BgL_tmpz00_1670 = 
(int)(((long)6)); 
BgL_tmpz00_1146 = 
BGL_MVALUES_VAL(BgL_tmpz00_1670); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1673;
BgL_tmpz00_1673 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1673, BUNSPEC); } 
BgL_arg1120z00_763 = BgL_tmpz00_1146; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1147;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1676;
BgL_tmpz00_1676 = 
(int)(((long)7)); 
BgL_tmpz00_1147 = 
BGL_MVALUES_VAL(BgL_tmpz00_1676); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1679;
BgL_tmpz00_1679 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1679, BUNSPEC); } 
BgL_arg1121z00_764 = BgL_tmpz00_1147; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1148;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1682;
BgL_tmpz00_1682 = 
(int)(((long)8)); 
BgL_tmpz00_1148 = 
BGL_MVALUES_VAL(BgL_tmpz00_1682); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1685;
BgL_tmpz00_1685 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1685, BUNSPEC); } 
BgL_arg1129z00_765 = BgL_tmpz00_1148; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1112z00_758, BgL_arg1113z00_759, BgL_arg1114z00_760, BgL_arg1118z00_761, BgL_arg1119z00_762, BgL_arg1120z00_763, BgL_arg1121z00_764, BgL_arg1129z00_765, BEOA);} break;case ((long)10) : 

{ /* Ieee/control5.scm 194 */
 obj_t BgL_arg1130z00_766; obj_t BgL_arg1132z00_767; obj_t BgL_arg1133z00_768; obj_t BgL_arg1134z00_769; obj_t BgL_arg1137z00_770; obj_t BgL_arg1138z00_771; obj_t BgL_arg1139z00_772; obj_t BgL_arg1141z00_773; obj_t BgL_arg1142z00_774;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1149;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1700;
BgL_tmpz00_1700 = 
(int)(((long)1)); 
BgL_tmpz00_1149 = 
BGL_MVALUES_VAL(BgL_tmpz00_1700); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1703;
BgL_tmpz00_1703 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1703, BUNSPEC); } 
BgL_arg1130z00_766 = BgL_tmpz00_1149; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1150;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1706;
BgL_tmpz00_1706 = 
(int)(((long)2)); 
BgL_tmpz00_1150 = 
BGL_MVALUES_VAL(BgL_tmpz00_1706); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1709;
BgL_tmpz00_1709 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1709, BUNSPEC); } 
BgL_arg1132z00_767 = BgL_tmpz00_1150; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1151;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1712;
BgL_tmpz00_1712 = 
(int)(((long)3)); 
BgL_tmpz00_1151 = 
BGL_MVALUES_VAL(BgL_tmpz00_1712); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1715;
BgL_tmpz00_1715 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1715, BUNSPEC); } 
BgL_arg1133z00_768 = BgL_tmpz00_1151; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1152;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1718;
BgL_tmpz00_1718 = 
(int)(((long)4)); 
BgL_tmpz00_1152 = 
BGL_MVALUES_VAL(BgL_tmpz00_1718); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1721;
BgL_tmpz00_1721 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1721, BUNSPEC); } 
BgL_arg1134z00_769 = BgL_tmpz00_1152; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1153;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1724;
BgL_tmpz00_1724 = 
(int)(((long)5)); 
BgL_tmpz00_1153 = 
BGL_MVALUES_VAL(BgL_tmpz00_1724); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1727;
BgL_tmpz00_1727 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1727, BUNSPEC); } 
BgL_arg1137z00_770 = BgL_tmpz00_1153; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1154;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1730;
BgL_tmpz00_1730 = 
(int)(((long)6)); 
BgL_tmpz00_1154 = 
BGL_MVALUES_VAL(BgL_tmpz00_1730); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1733;
BgL_tmpz00_1733 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1733, BUNSPEC); } 
BgL_arg1138z00_771 = BgL_tmpz00_1154; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1155;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1736;
BgL_tmpz00_1736 = 
(int)(((long)7)); 
BgL_tmpz00_1155 = 
BGL_MVALUES_VAL(BgL_tmpz00_1736); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1739;
BgL_tmpz00_1739 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1739, BUNSPEC); } 
BgL_arg1139z00_772 = BgL_tmpz00_1155; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1156;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1742;
BgL_tmpz00_1742 = 
(int)(((long)8)); 
BgL_tmpz00_1156 = 
BGL_MVALUES_VAL(BgL_tmpz00_1742); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1745;
BgL_tmpz00_1745 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1745, BUNSPEC); } 
BgL_arg1141z00_773 = BgL_tmpz00_1156; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1157;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1748;
BgL_tmpz00_1748 = 
(int)(((long)9)); 
BgL_tmpz00_1157 = 
BGL_MVALUES_VAL(BgL_tmpz00_1748); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1751;
BgL_tmpz00_1751 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1751, BUNSPEC); } 
BgL_arg1142z00_774 = BgL_tmpz00_1157; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1130z00_766, BgL_arg1132z00_767, BgL_arg1133z00_768, BgL_arg1134z00_769, BgL_arg1137z00_770, BgL_arg1138z00_771, BgL_arg1139z00_772, BgL_arg1141z00_773, BgL_arg1142z00_774, BEOA);} break;case ((long)11) : 

{ /* Ieee/control5.scm 205 */
 obj_t BgL_arg1143z00_775; obj_t BgL_arg1144z00_776; obj_t BgL_arg1145z00_777; obj_t BgL_arg1146z00_778; obj_t BgL_arg1147z00_779; obj_t BgL_arg1149z00_780; obj_t BgL_arg1150z00_781; obj_t BgL_arg1153z00_782; obj_t BgL_arg1154z00_783; obj_t BgL_arg1155z00_784;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1158;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1767;
BgL_tmpz00_1767 = 
(int)(((long)1)); 
BgL_tmpz00_1158 = 
BGL_MVALUES_VAL(BgL_tmpz00_1767); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1770;
BgL_tmpz00_1770 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1770, BUNSPEC); } 
BgL_arg1143z00_775 = BgL_tmpz00_1158; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1159;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1773;
BgL_tmpz00_1773 = 
(int)(((long)2)); 
BgL_tmpz00_1159 = 
BGL_MVALUES_VAL(BgL_tmpz00_1773); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1776;
BgL_tmpz00_1776 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1776, BUNSPEC); } 
BgL_arg1144z00_776 = BgL_tmpz00_1159; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1160;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1779;
BgL_tmpz00_1779 = 
(int)(((long)3)); 
BgL_tmpz00_1160 = 
BGL_MVALUES_VAL(BgL_tmpz00_1779); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1782;
BgL_tmpz00_1782 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1782, BUNSPEC); } 
BgL_arg1145z00_777 = BgL_tmpz00_1160; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1161;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1785;
BgL_tmpz00_1785 = 
(int)(((long)4)); 
BgL_tmpz00_1161 = 
BGL_MVALUES_VAL(BgL_tmpz00_1785); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1788;
BgL_tmpz00_1788 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1788, BUNSPEC); } 
BgL_arg1146z00_778 = BgL_tmpz00_1161; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1162;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1791;
BgL_tmpz00_1791 = 
(int)(((long)5)); 
BgL_tmpz00_1162 = 
BGL_MVALUES_VAL(BgL_tmpz00_1791); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1794;
BgL_tmpz00_1794 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1794, BUNSPEC); } 
BgL_arg1147z00_779 = BgL_tmpz00_1162; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1163;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1797;
BgL_tmpz00_1797 = 
(int)(((long)6)); 
BgL_tmpz00_1163 = 
BGL_MVALUES_VAL(BgL_tmpz00_1797); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1800;
BgL_tmpz00_1800 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1800, BUNSPEC); } 
BgL_arg1149z00_780 = BgL_tmpz00_1163; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1164;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1803;
BgL_tmpz00_1803 = 
(int)(((long)7)); 
BgL_tmpz00_1164 = 
BGL_MVALUES_VAL(BgL_tmpz00_1803); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1806;
BgL_tmpz00_1806 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1806, BUNSPEC); } 
BgL_arg1150z00_781 = BgL_tmpz00_1164; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1165;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1809;
BgL_tmpz00_1809 = 
(int)(((long)8)); 
BgL_tmpz00_1165 = 
BGL_MVALUES_VAL(BgL_tmpz00_1809); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1812;
BgL_tmpz00_1812 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1812, BUNSPEC); } 
BgL_arg1153z00_782 = BgL_tmpz00_1165; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1166;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1815;
BgL_tmpz00_1815 = 
(int)(((long)9)); 
BgL_tmpz00_1166 = 
BGL_MVALUES_VAL(BgL_tmpz00_1815); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1818;
BgL_tmpz00_1818 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1818, BUNSPEC); } 
BgL_arg1154z00_783 = BgL_tmpz00_1166; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1167;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1821;
BgL_tmpz00_1821 = 
(int)(((long)10)); 
BgL_tmpz00_1167 = 
BGL_MVALUES_VAL(BgL_tmpz00_1821); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1824;
BgL_tmpz00_1824 = 
(int)(((long)10)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1824, BUNSPEC); } 
BgL_arg1155z00_784 = BgL_tmpz00_1167; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1143z00_775, BgL_arg1144z00_776, BgL_arg1145z00_777, BgL_arg1146z00_778, BgL_arg1147z00_779, BgL_arg1149z00_780, BgL_arg1150z00_781, BgL_arg1153z00_782, BgL_arg1154z00_783, BgL_arg1155z00_784, BEOA);} break;case ((long)12) : 

{ /* Ieee/control5.scm 217 */
 obj_t BgL_arg1156z00_785; obj_t BgL_arg1157z00_786; obj_t BgL_arg1159z00_787; obj_t BgL_arg1165z00_788; obj_t BgL_arg1166z00_789; obj_t BgL_arg1168z00_790; obj_t BgL_arg1170z00_791; obj_t BgL_arg1171z00_792; obj_t BgL_arg1174z00_793; obj_t BgL_arg1175z00_794; obj_t BgL_arg1177z00_795;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1168;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1841;
BgL_tmpz00_1841 = 
(int)(((long)1)); 
BgL_tmpz00_1168 = 
BGL_MVALUES_VAL(BgL_tmpz00_1841); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1844;
BgL_tmpz00_1844 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1844, BUNSPEC); } 
BgL_arg1156z00_785 = BgL_tmpz00_1168; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1169;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1847;
BgL_tmpz00_1847 = 
(int)(((long)2)); 
BgL_tmpz00_1169 = 
BGL_MVALUES_VAL(BgL_tmpz00_1847); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1850;
BgL_tmpz00_1850 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1850, BUNSPEC); } 
BgL_arg1157z00_786 = BgL_tmpz00_1169; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1170;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1853;
BgL_tmpz00_1853 = 
(int)(((long)3)); 
BgL_tmpz00_1170 = 
BGL_MVALUES_VAL(BgL_tmpz00_1853); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1856;
BgL_tmpz00_1856 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1856, BUNSPEC); } 
BgL_arg1159z00_787 = BgL_tmpz00_1170; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1171;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1859;
BgL_tmpz00_1859 = 
(int)(((long)4)); 
BgL_tmpz00_1171 = 
BGL_MVALUES_VAL(BgL_tmpz00_1859); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1862;
BgL_tmpz00_1862 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1862, BUNSPEC); } 
BgL_arg1165z00_788 = BgL_tmpz00_1171; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1172;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1865;
BgL_tmpz00_1865 = 
(int)(((long)5)); 
BgL_tmpz00_1172 = 
BGL_MVALUES_VAL(BgL_tmpz00_1865); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1868;
BgL_tmpz00_1868 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1868, BUNSPEC); } 
BgL_arg1166z00_789 = BgL_tmpz00_1172; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1173;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1871;
BgL_tmpz00_1871 = 
(int)(((long)6)); 
BgL_tmpz00_1173 = 
BGL_MVALUES_VAL(BgL_tmpz00_1871); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1874;
BgL_tmpz00_1874 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1874, BUNSPEC); } 
BgL_arg1168z00_790 = BgL_tmpz00_1173; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1174;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1877;
BgL_tmpz00_1877 = 
(int)(((long)7)); 
BgL_tmpz00_1174 = 
BGL_MVALUES_VAL(BgL_tmpz00_1877); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1880;
BgL_tmpz00_1880 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1880, BUNSPEC); } 
BgL_arg1170z00_791 = BgL_tmpz00_1174; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1175;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1883;
BgL_tmpz00_1883 = 
(int)(((long)8)); 
BgL_tmpz00_1175 = 
BGL_MVALUES_VAL(BgL_tmpz00_1883); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1886;
BgL_tmpz00_1886 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1886, BUNSPEC); } 
BgL_arg1171z00_792 = BgL_tmpz00_1175; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1176;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1889;
BgL_tmpz00_1889 = 
(int)(((long)9)); 
BgL_tmpz00_1176 = 
BGL_MVALUES_VAL(BgL_tmpz00_1889); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1892;
BgL_tmpz00_1892 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1892, BUNSPEC); } 
BgL_arg1174z00_793 = BgL_tmpz00_1176; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1177;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1895;
BgL_tmpz00_1895 = 
(int)(((long)10)); 
BgL_tmpz00_1177 = 
BGL_MVALUES_VAL(BgL_tmpz00_1895); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1898;
BgL_tmpz00_1898 = 
(int)(((long)10)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1898, BUNSPEC); } 
BgL_arg1175z00_794 = BgL_tmpz00_1177; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1178;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1901;
BgL_tmpz00_1901 = 
(int)(((long)11)); 
BgL_tmpz00_1178 = 
BGL_MVALUES_VAL(BgL_tmpz00_1901); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1904;
BgL_tmpz00_1904 = 
(int)(((long)11)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1904, BUNSPEC); } 
BgL_arg1177z00_795 = BgL_tmpz00_1178; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1156z00_785, BgL_arg1157z00_786, BgL_arg1159z00_787, BgL_arg1165z00_788, BgL_arg1166z00_789, BgL_arg1168z00_790, BgL_arg1170z00_791, BgL_arg1171z00_792, BgL_arg1174z00_793, BgL_arg1175z00_794, BgL_arg1177z00_795, BEOA);} break;case ((long)13) : 

{ /* Ieee/control5.scm 230 */
 obj_t BgL_arg1178z00_796; obj_t BgL_arg1179z00_797; obj_t BgL_arg1180z00_798; obj_t BgL_arg1181z00_799; obj_t BgL_arg1183z00_800; obj_t BgL_arg1185z00_801; obj_t BgL_arg1187z00_802; obj_t BgL_arg1189z00_803; obj_t BgL_arg1190z00_804; obj_t BgL_arg1194z00_805; obj_t BgL_arg1197z00_806; obj_t BgL_arg1199z00_807;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1179;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1922;
BgL_tmpz00_1922 = 
(int)(((long)1)); 
BgL_tmpz00_1179 = 
BGL_MVALUES_VAL(BgL_tmpz00_1922); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1925;
BgL_tmpz00_1925 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1925, BUNSPEC); } 
BgL_arg1178z00_796 = BgL_tmpz00_1179; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1180;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1928;
BgL_tmpz00_1928 = 
(int)(((long)2)); 
BgL_tmpz00_1180 = 
BGL_MVALUES_VAL(BgL_tmpz00_1928); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1931;
BgL_tmpz00_1931 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1931, BUNSPEC); } 
BgL_arg1179z00_797 = BgL_tmpz00_1180; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1181;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1934;
BgL_tmpz00_1934 = 
(int)(((long)3)); 
BgL_tmpz00_1181 = 
BGL_MVALUES_VAL(BgL_tmpz00_1934); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1937;
BgL_tmpz00_1937 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1937, BUNSPEC); } 
BgL_arg1180z00_798 = BgL_tmpz00_1181; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1182;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1940;
BgL_tmpz00_1940 = 
(int)(((long)4)); 
BgL_tmpz00_1182 = 
BGL_MVALUES_VAL(BgL_tmpz00_1940); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1943;
BgL_tmpz00_1943 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1943, BUNSPEC); } 
BgL_arg1181z00_799 = BgL_tmpz00_1182; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1183;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1946;
BgL_tmpz00_1946 = 
(int)(((long)5)); 
BgL_tmpz00_1183 = 
BGL_MVALUES_VAL(BgL_tmpz00_1946); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1949;
BgL_tmpz00_1949 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1949, BUNSPEC); } 
BgL_arg1183z00_800 = BgL_tmpz00_1183; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1184;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1952;
BgL_tmpz00_1952 = 
(int)(((long)6)); 
BgL_tmpz00_1184 = 
BGL_MVALUES_VAL(BgL_tmpz00_1952); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1955;
BgL_tmpz00_1955 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1955, BUNSPEC); } 
BgL_arg1185z00_801 = BgL_tmpz00_1184; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1185;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1958;
BgL_tmpz00_1958 = 
(int)(((long)7)); 
BgL_tmpz00_1185 = 
BGL_MVALUES_VAL(BgL_tmpz00_1958); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1961;
BgL_tmpz00_1961 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1961, BUNSPEC); } 
BgL_arg1187z00_802 = BgL_tmpz00_1185; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1186;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1964;
BgL_tmpz00_1964 = 
(int)(((long)8)); 
BgL_tmpz00_1186 = 
BGL_MVALUES_VAL(BgL_tmpz00_1964); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1967;
BgL_tmpz00_1967 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1967, BUNSPEC); } 
BgL_arg1189z00_803 = BgL_tmpz00_1186; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1187;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1970;
BgL_tmpz00_1970 = 
(int)(((long)9)); 
BgL_tmpz00_1187 = 
BGL_MVALUES_VAL(BgL_tmpz00_1970); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1973;
BgL_tmpz00_1973 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1973, BUNSPEC); } 
BgL_arg1190z00_804 = BgL_tmpz00_1187; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1188;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1976;
BgL_tmpz00_1976 = 
(int)(((long)10)); 
BgL_tmpz00_1188 = 
BGL_MVALUES_VAL(BgL_tmpz00_1976); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1979;
BgL_tmpz00_1979 = 
(int)(((long)10)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1979, BUNSPEC); } 
BgL_arg1194z00_805 = BgL_tmpz00_1188; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1189;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1982;
BgL_tmpz00_1982 = 
(int)(((long)11)); 
BgL_tmpz00_1189 = 
BGL_MVALUES_VAL(BgL_tmpz00_1982); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1985;
BgL_tmpz00_1985 = 
(int)(((long)11)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1985, BUNSPEC); } 
BgL_arg1197z00_806 = BgL_tmpz00_1189; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1190;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_1988;
BgL_tmpz00_1988 = 
(int)(((long)12)); 
BgL_tmpz00_1190 = 
BGL_MVALUES_VAL(BgL_tmpz00_1988); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_1991;
BgL_tmpz00_1991 = 
(int)(((long)12)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_1991, BUNSPEC); } 
BgL_arg1199z00_807 = BgL_tmpz00_1190; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1178z00_796, BgL_arg1179z00_797, BgL_arg1180z00_798, BgL_arg1181z00_799, BgL_arg1183z00_800, BgL_arg1185z00_801, BgL_arg1187z00_802, BgL_arg1189z00_803, BgL_arg1190z00_804, BgL_arg1194z00_805, BgL_arg1197z00_806, BgL_arg1199z00_807, BEOA);} break;case ((long)14) : 

{ /* Ieee/control5.scm 244 */
 obj_t BgL_arg1201z00_808; obj_t BgL_arg1202z00_809; obj_t BgL_arg1206z00_810; obj_t BgL_arg1208z00_811; obj_t BgL_arg1210z00_812; obj_t BgL_arg1211z00_813; obj_t BgL_arg1213z00_814; obj_t BgL_arg1214z00_815; obj_t BgL_arg1215z00_816; obj_t BgL_arg1216z00_817; obj_t BgL_arg1218z00_818; obj_t BgL_arg1219z00_819; obj_t BgL_arg1221z00_820;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1191;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2010;
BgL_tmpz00_2010 = 
(int)(((long)1)); 
BgL_tmpz00_1191 = 
BGL_MVALUES_VAL(BgL_tmpz00_2010); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2013;
BgL_tmpz00_2013 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2013, BUNSPEC); } 
BgL_arg1201z00_808 = BgL_tmpz00_1191; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1192;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2016;
BgL_tmpz00_2016 = 
(int)(((long)2)); 
BgL_tmpz00_1192 = 
BGL_MVALUES_VAL(BgL_tmpz00_2016); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2019;
BgL_tmpz00_2019 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2019, BUNSPEC); } 
BgL_arg1202z00_809 = BgL_tmpz00_1192; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1193;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2022;
BgL_tmpz00_2022 = 
(int)(((long)3)); 
BgL_tmpz00_1193 = 
BGL_MVALUES_VAL(BgL_tmpz00_2022); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2025;
BgL_tmpz00_2025 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2025, BUNSPEC); } 
BgL_arg1206z00_810 = BgL_tmpz00_1193; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1194;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2028;
BgL_tmpz00_2028 = 
(int)(((long)4)); 
BgL_tmpz00_1194 = 
BGL_MVALUES_VAL(BgL_tmpz00_2028); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2031;
BgL_tmpz00_2031 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2031, BUNSPEC); } 
BgL_arg1208z00_811 = BgL_tmpz00_1194; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1195;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2034;
BgL_tmpz00_2034 = 
(int)(((long)5)); 
BgL_tmpz00_1195 = 
BGL_MVALUES_VAL(BgL_tmpz00_2034); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2037;
BgL_tmpz00_2037 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2037, BUNSPEC); } 
BgL_arg1210z00_812 = BgL_tmpz00_1195; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1196;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2040;
BgL_tmpz00_2040 = 
(int)(((long)6)); 
BgL_tmpz00_1196 = 
BGL_MVALUES_VAL(BgL_tmpz00_2040); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2043;
BgL_tmpz00_2043 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2043, BUNSPEC); } 
BgL_arg1211z00_813 = BgL_tmpz00_1196; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1197;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2046;
BgL_tmpz00_2046 = 
(int)(((long)7)); 
BgL_tmpz00_1197 = 
BGL_MVALUES_VAL(BgL_tmpz00_2046); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2049;
BgL_tmpz00_2049 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2049, BUNSPEC); } 
BgL_arg1213z00_814 = BgL_tmpz00_1197; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1198;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2052;
BgL_tmpz00_2052 = 
(int)(((long)8)); 
BgL_tmpz00_1198 = 
BGL_MVALUES_VAL(BgL_tmpz00_2052); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2055;
BgL_tmpz00_2055 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2055, BUNSPEC); } 
BgL_arg1214z00_815 = BgL_tmpz00_1198; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1199;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2058;
BgL_tmpz00_2058 = 
(int)(((long)9)); 
BgL_tmpz00_1199 = 
BGL_MVALUES_VAL(BgL_tmpz00_2058); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2061;
BgL_tmpz00_2061 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2061, BUNSPEC); } 
BgL_arg1215z00_816 = BgL_tmpz00_1199; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1200;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2064;
BgL_tmpz00_2064 = 
(int)(((long)10)); 
BgL_tmpz00_1200 = 
BGL_MVALUES_VAL(BgL_tmpz00_2064); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2067;
BgL_tmpz00_2067 = 
(int)(((long)10)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2067, BUNSPEC); } 
BgL_arg1216z00_817 = BgL_tmpz00_1200; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1201;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2070;
BgL_tmpz00_2070 = 
(int)(((long)11)); 
BgL_tmpz00_1201 = 
BGL_MVALUES_VAL(BgL_tmpz00_2070); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2073;
BgL_tmpz00_2073 = 
(int)(((long)11)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2073, BUNSPEC); } 
BgL_arg1218z00_818 = BgL_tmpz00_1201; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1202;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2076;
BgL_tmpz00_2076 = 
(int)(((long)12)); 
BgL_tmpz00_1202 = 
BGL_MVALUES_VAL(BgL_tmpz00_2076); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2079;
BgL_tmpz00_2079 = 
(int)(((long)12)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2079, BUNSPEC); } 
BgL_arg1219z00_819 = BgL_tmpz00_1202; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1203;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2082;
BgL_tmpz00_2082 = 
(int)(((long)13)); 
BgL_tmpz00_1203 = 
BGL_MVALUES_VAL(BgL_tmpz00_2082); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2085;
BgL_tmpz00_2085 = 
(int)(((long)13)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2085, BUNSPEC); } 
BgL_arg1221z00_820 = BgL_tmpz00_1203; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1201z00_808, BgL_arg1202z00_809, BgL_arg1206z00_810, BgL_arg1208z00_811, BgL_arg1210z00_812, BgL_arg1211z00_813, BgL_arg1213z00_814, BgL_arg1214z00_815, BgL_arg1215z00_816, BgL_arg1216z00_817, BgL_arg1218z00_818, BgL_arg1219z00_819, BgL_arg1221z00_820, BEOA);} break;case ((long)15) : 

{ /* Ieee/control5.scm 259 */
 obj_t BgL_arg1222z00_821; obj_t BgL_arg1223z00_822; obj_t BgL_arg1225z00_823; obj_t BgL_arg1227z00_824; obj_t BgL_arg1229z00_825; obj_t BgL_arg1230z00_826; obj_t BgL_arg1231z00_827; obj_t BgL_arg1232z00_828; obj_t BgL_arg1233z00_829; obj_t BgL_arg1234z00_830; obj_t BgL_arg1236z00_831; obj_t BgL_arg1237z00_832; obj_t BgL_arg1238z00_833; obj_t BgL_arg1243z00_834;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1204;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2105;
BgL_tmpz00_2105 = 
(int)(((long)1)); 
BgL_tmpz00_1204 = 
BGL_MVALUES_VAL(BgL_tmpz00_2105); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2108;
BgL_tmpz00_2108 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2108, BUNSPEC); } 
BgL_arg1222z00_821 = BgL_tmpz00_1204; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1205;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2111;
BgL_tmpz00_2111 = 
(int)(((long)2)); 
BgL_tmpz00_1205 = 
BGL_MVALUES_VAL(BgL_tmpz00_2111); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2114;
BgL_tmpz00_2114 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2114, BUNSPEC); } 
BgL_arg1223z00_822 = BgL_tmpz00_1205; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1206;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2117;
BgL_tmpz00_2117 = 
(int)(((long)3)); 
BgL_tmpz00_1206 = 
BGL_MVALUES_VAL(BgL_tmpz00_2117); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2120;
BgL_tmpz00_2120 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2120, BUNSPEC); } 
BgL_arg1225z00_823 = BgL_tmpz00_1206; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1207;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2123;
BgL_tmpz00_2123 = 
(int)(((long)4)); 
BgL_tmpz00_1207 = 
BGL_MVALUES_VAL(BgL_tmpz00_2123); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2126;
BgL_tmpz00_2126 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2126, BUNSPEC); } 
BgL_arg1227z00_824 = BgL_tmpz00_1207; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1208;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2129;
BgL_tmpz00_2129 = 
(int)(((long)5)); 
BgL_tmpz00_1208 = 
BGL_MVALUES_VAL(BgL_tmpz00_2129); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2132;
BgL_tmpz00_2132 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2132, BUNSPEC); } 
BgL_arg1229z00_825 = BgL_tmpz00_1208; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1209;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2135;
BgL_tmpz00_2135 = 
(int)(((long)6)); 
BgL_tmpz00_1209 = 
BGL_MVALUES_VAL(BgL_tmpz00_2135); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2138;
BgL_tmpz00_2138 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2138, BUNSPEC); } 
BgL_arg1230z00_826 = BgL_tmpz00_1209; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1210;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2141;
BgL_tmpz00_2141 = 
(int)(((long)7)); 
BgL_tmpz00_1210 = 
BGL_MVALUES_VAL(BgL_tmpz00_2141); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2144;
BgL_tmpz00_2144 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2144, BUNSPEC); } 
BgL_arg1231z00_827 = BgL_tmpz00_1210; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1211;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2147;
BgL_tmpz00_2147 = 
(int)(((long)8)); 
BgL_tmpz00_1211 = 
BGL_MVALUES_VAL(BgL_tmpz00_2147); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2150;
BgL_tmpz00_2150 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2150, BUNSPEC); } 
BgL_arg1232z00_828 = BgL_tmpz00_1211; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1212;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2153;
BgL_tmpz00_2153 = 
(int)(((long)9)); 
BgL_tmpz00_1212 = 
BGL_MVALUES_VAL(BgL_tmpz00_2153); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2156;
BgL_tmpz00_2156 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2156, BUNSPEC); } 
BgL_arg1233z00_829 = BgL_tmpz00_1212; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1213;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2159;
BgL_tmpz00_2159 = 
(int)(((long)10)); 
BgL_tmpz00_1213 = 
BGL_MVALUES_VAL(BgL_tmpz00_2159); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2162;
BgL_tmpz00_2162 = 
(int)(((long)10)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2162, BUNSPEC); } 
BgL_arg1234z00_830 = BgL_tmpz00_1213; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1214;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2165;
BgL_tmpz00_2165 = 
(int)(((long)11)); 
BgL_tmpz00_1214 = 
BGL_MVALUES_VAL(BgL_tmpz00_2165); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2168;
BgL_tmpz00_2168 = 
(int)(((long)11)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2168, BUNSPEC); } 
BgL_arg1236z00_831 = BgL_tmpz00_1214; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1215;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2171;
BgL_tmpz00_2171 = 
(int)(((long)12)); 
BgL_tmpz00_1215 = 
BGL_MVALUES_VAL(BgL_tmpz00_2171); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2174;
BgL_tmpz00_2174 = 
(int)(((long)12)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2174, BUNSPEC); } 
BgL_arg1237z00_832 = BgL_tmpz00_1215; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1216;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2177;
BgL_tmpz00_2177 = 
(int)(((long)13)); 
BgL_tmpz00_1216 = 
BGL_MVALUES_VAL(BgL_tmpz00_2177); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2180;
BgL_tmpz00_2180 = 
(int)(((long)13)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2180, BUNSPEC); } 
BgL_arg1238z00_833 = BgL_tmpz00_1216; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1217;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2183;
BgL_tmpz00_2183 = 
(int)(((long)14)); 
BgL_tmpz00_1217 = 
BGL_MVALUES_VAL(BgL_tmpz00_2183); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2186;
BgL_tmpz00_2186 = 
(int)(((long)14)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2186, BUNSPEC); } 
BgL_arg1243z00_834 = BgL_tmpz00_1217; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1222z00_821, BgL_arg1223z00_822, BgL_arg1225z00_823, BgL_arg1227z00_824, BgL_arg1229z00_825, BgL_arg1230z00_826, BgL_arg1231z00_827, BgL_arg1232z00_828, BgL_arg1233z00_829, BgL_arg1234z00_830, BgL_arg1236z00_831, BgL_arg1237z00_832, BgL_arg1238z00_833, BgL_arg1243z00_834, BEOA);} break;case ((long)16) : 

{ /* Ieee/control5.scm 275 */
 obj_t BgL_arg1245z00_835; obj_t BgL_arg1246z00_836; obj_t BgL_arg1247z00_837; obj_t BgL_arg1248z00_838; obj_t BgL_arg1249z00_839; obj_t BgL_arg1250z00_840; obj_t BgL_arg1251z00_841; obj_t BgL_arg1252z00_842; obj_t BgL_arg1253z00_843; obj_t BgL_arg1254z00_844; obj_t BgL_arg1255z00_845; obj_t BgL_arg1256z00_846; obj_t BgL_arg1257z00_847; obj_t BgL_arg1258z00_848; obj_t BgL_arg1259z00_849;
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1218;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2207;
BgL_tmpz00_2207 = 
(int)(((long)1)); 
BgL_tmpz00_1218 = 
BGL_MVALUES_VAL(BgL_tmpz00_2207); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2210;
BgL_tmpz00_2210 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2210, BUNSPEC); } 
BgL_arg1245z00_835 = BgL_tmpz00_1218; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1219;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2213;
BgL_tmpz00_2213 = 
(int)(((long)2)); 
BgL_tmpz00_1219 = 
BGL_MVALUES_VAL(BgL_tmpz00_2213); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2216;
BgL_tmpz00_2216 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2216, BUNSPEC); } 
BgL_arg1246z00_836 = BgL_tmpz00_1219; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1220;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2219;
BgL_tmpz00_2219 = 
(int)(((long)3)); 
BgL_tmpz00_1220 = 
BGL_MVALUES_VAL(BgL_tmpz00_2219); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2222;
BgL_tmpz00_2222 = 
(int)(((long)3)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2222, BUNSPEC); } 
BgL_arg1247z00_837 = BgL_tmpz00_1220; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1221;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2225;
BgL_tmpz00_2225 = 
(int)(((long)4)); 
BgL_tmpz00_1221 = 
BGL_MVALUES_VAL(BgL_tmpz00_2225); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2228;
BgL_tmpz00_2228 = 
(int)(((long)4)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2228, BUNSPEC); } 
BgL_arg1248z00_838 = BgL_tmpz00_1221; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1222;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2231;
BgL_tmpz00_2231 = 
(int)(((long)5)); 
BgL_tmpz00_1222 = 
BGL_MVALUES_VAL(BgL_tmpz00_2231); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2234;
BgL_tmpz00_2234 = 
(int)(((long)5)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2234, BUNSPEC); } 
BgL_arg1249z00_839 = BgL_tmpz00_1222; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1223;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2237;
BgL_tmpz00_2237 = 
(int)(((long)6)); 
BgL_tmpz00_1223 = 
BGL_MVALUES_VAL(BgL_tmpz00_2237); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2240;
BgL_tmpz00_2240 = 
(int)(((long)6)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2240, BUNSPEC); } 
BgL_arg1250z00_840 = BgL_tmpz00_1223; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1224;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2243;
BgL_tmpz00_2243 = 
(int)(((long)7)); 
BgL_tmpz00_1224 = 
BGL_MVALUES_VAL(BgL_tmpz00_2243); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2246;
BgL_tmpz00_2246 = 
(int)(((long)7)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2246, BUNSPEC); } 
BgL_arg1251z00_841 = BgL_tmpz00_1224; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1225;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2249;
BgL_tmpz00_2249 = 
(int)(((long)8)); 
BgL_tmpz00_1225 = 
BGL_MVALUES_VAL(BgL_tmpz00_2249); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2252;
BgL_tmpz00_2252 = 
(int)(((long)8)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2252, BUNSPEC); } 
BgL_arg1252z00_842 = BgL_tmpz00_1225; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1226;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2255;
BgL_tmpz00_2255 = 
(int)(((long)9)); 
BgL_tmpz00_1226 = 
BGL_MVALUES_VAL(BgL_tmpz00_2255); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2258;
BgL_tmpz00_2258 = 
(int)(((long)9)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2258, BUNSPEC); } 
BgL_arg1253z00_843 = BgL_tmpz00_1226; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1227;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2261;
BgL_tmpz00_2261 = 
(int)(((long)10)); 
BgL_tmpz00_1227 = 
BGL_MVALUES_VAL(BgL_tmpz00_2261); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2264;
BgL_tmpz00_2264 = 
(int)(((long)10)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2264, BUNSPEC); } 
BgL_arg1254z00_844 = BgL_tmpz00_1227; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1228;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2267;
BgL_tmpz00_2267 = 
(int)(((long)11)); 
BgL_tmpz00_1228 = 
BGL_MVALUES_VAL(BgL_tmpz00_2267); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2270;
BgL_tmpz00_2270 = 
(int)(((long)11)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2270, BUNSPEC); } 
BgL_arg1255z00_845 = BgL_tmpz00_1228; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1229;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2273;
BgL_tmpz00_2273 = 
(int)(((long)12)); 
BgL_tmpz00_1229 = 
BGL_MVALUES_VAL(BgL_tmpz00_2273); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2276;
BgL_tmpz00_2276 = 
(int)(((long)12)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2276, BUNSPEC); } 
BgL_arg1256z00_846 = BgL_tmpz00_1229; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1230;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2279;
BgL_tmpz00_2279 = 
(int)(((long)13)); 
BgL_tmpz00_1230 = 
BGL_MVALUES_VAL(BgL_tmpz00_2279); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2282;
BgL_tmpz00_2282 = 
(int)(((long)13)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2282, BUNSPEC); } 
BgL_arg1257z00_847 = BgL_tmpz00_1230; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1231;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2285;
BgL_tmpz00_2285 = 
(int)(((long)14)); 
BgL_tmpz00_1231 = 
BGL_MVALUES_VAL(BgL_tmpz00_2285); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2288;
BgL_tmpz00_2288 = 
(int)(((long)14)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2288, BUNSPEC); } 
BgL_arg1258z00_848 = BgL_tmpz00_1231; } 
{ /* Ieee/control5.scm 79 */
 obj_t BgL_tmpz00_1232;
{ /* Ieee/control5.scm 79 */
 int BgL_tmpz00_2291;
BgL_tmpz00_2291 = 
(int)(((long)15)); 
BgL_tmpz00_1232 = 
BGL_MVALUES_VAL(BgL_tmpz00_2291); } 
{ /* Ieee/control5.scm 87 */
 int BgL_tmpz00_2294;
BgL_tmpz00_2294 = 
(int)(((long)15)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2294, BUNSPEC); } 
BgL_arg1259z00_849 = BgL_tmpz00_1232; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_consumerz00_9))(BgL_consumerz00_9, BgL_res0z00_726, BgL_arg1245z00_835, BgL_arg1246z00_836, BgL_arg1247z00_837, BgL_arg1248z00_838, BgL_arg1249z00_839, BgL_arg1250z00_840, BgL_arg1251z00_841, BgL_arg1252z00_842, BgL_arg1253z00_843, BgL_arg1254z00_844, BgL_arg1255z00_845, BgL_arg1256z00_846, BgL_arg1257z00_847, BgL_arg1258z00_848, BgL_arg1259z00_849, BEOA);} break;
default: 
return 
apply(BgL_consumerz00_9, BgL_res0z00_726);} } } } } } 

}



/* &call-with-values */
obj_t BGl_z62callzd2withzd2valuesz62zz__r5_control_features_6_4z00(obj_t BgL_envz00_1296, obj_t BgL_producerz00_1297, obj_t BgL_consumerz00_1298)
{
{ /* Ieee/control5.scm 119 */
{ /* Ieee/control5.scm 120 */
 obj_t BgL_auxz00_2327; obj_t BgL_auxz00_2320;
if(
PROCEDUREP(BgL_consumerz00_1298))
{ /* Ieee/control5.scm 120 */
BgL_auxz00_2327 = BgL_consumerz00_1298
; }  else 
{ 
 obj_t BgL_auxz00_2330;
BgL_auxz00_2330 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1541z00zz__r5_control_features_6_4z00, 
BINT(((long)4604)), BGl_string1546z00zz__r5_control_features_6_4z00, BGl_string1547z00zz__r5_control_features_6_4z00, BgL_consumerz00_1298); 
FAILURE(BgL_auxz00_2330,BFALSE,BFALSE);} 
if(
PROCEDUREP(BgL_producerz00_1297))
{ /* Ieee/control5.scm 120 */
BgL_auxz00_2320 = BgL_producerz00_1297
; }  else 
{ 
 obj_t BgL_auxz00_2323;
BgL_auxz00_2323 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1541z00zz__r5_control_features_6_4z00, 
BINT(((long)4604)), BGl_string1546z00zz__r5_control_features_6_4z00, BGl_string1547z00zz__r5_control_features_6_4z00, BgL_producerz00_1297); 
FAILURE(BgL_auxz00_2323,BFALSE,BFALSE);} 
return 
BGl_callzd2withzd2valuesz00zz__r5_control_features_6_4z00(BgL_auxz00_2320, BgL_auxz00_2327);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__r5_control_features_6_4z00(void)
{
{ /* Ieee/control5.scm 14 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1548z00zz__r5_control_features_6_4z00));} 

}

#ifdef __cplusplus
}
#endif
