/*===========================================================================*/
/*   (Llib/bigloo.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/bigloo.scm -o objs/obj_p/Llib/bigloo.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_releasezd2nameze70z35zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_symbol1764z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t);
static obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__biglooz00 = BUNSPEC;
extern obj_t bgl_remq_bang(obj_t, obj_t);
static obj_t BGl_z62bigloozd2modulezd2demanglez62zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00(obj_t, obj_t);
static obj_t BGl_za2levelza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62timez62zz__biglooz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static long BGl_getzd28bitszd2integerze70ze7zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62cellzf3z91zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_demangle(obj_t);
static long BGl_charzd2ze3digitze70zd6zz__biglooz00(unsigned char);
static obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t bigloo_mangledp(obj_t);
static obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t);
static obj_t BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__biglooz00(void);
static obj_t BGl_za2exitzd2mutexza2zd2zz__biglooz00 = BUNSPEC;
static obj_t BGl_symbol1798z00zz__biglooz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_timez00zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t, char *, obj_t);
static obj_t BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(long, obj_t, obj_t);
static obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62cellzd2setz12za2zz__biglooz00(obj_t, obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unspecifiedz00zz__biglooz00(void);
BGL_EXPORTED_DECL obj_t bigloo_module_mangle(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__biglooz00(void);
static obj_t BGl_genericzd2initzd2zz__biglooz00(void);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__biglooz00(void);
static obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__biglooz00(void);
BGL_EXPORTED_DECL obj_t BGl_opaquezd2nilzd2zz__biglooz00(void);
BGL_EXPORTED_DECL obj_t bigloo_mangle(obj_t);
BGL_EXPORTED_DECL obj_t BGl_cellzd2refzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t bigloo_exit_apply(obj_t);
BGL_EXPORTED_DECL int BGl_procedurezd2lengthzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t bigloo_module_demangle(obj_t);
static obj_t BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BUNSPEC;
extern obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bgl_exit_mutex(void);
extern void bgl_gc_verbose_set(bool_t);
static obj_t BGl_za2releaseza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t, obj_t);
extern obj_t bgl_bmem_reset(void);
BGL_EXPORTED_DECL obj_t BGl_cellzd2setz12zc0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62makezd2cellzb0zz__biglooz00(obj_t, obj_t);
extern obj_t c_substring(obj_t, long, long);
BGL_EXPORTED_DECL obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__biglooz00(void);
static obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t, obj_t);
extern obj_t blit_string(obj_t, long, obj_t, long, long);
static obj_t BGl_profzd2initzd2zz__biglooz00(void);
BGL_EXPORTED_DECL obj_t bigloo_class_demangle(obj_t);
static obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t, obj_t, obj_t);
static long BGl_manglezd2atz12zc0zz__biglooz00(obj_t, obj_t, long, long);
BGL_EXPORTED_DECL bool_t bigloo_class_mangledp(obj_t);
extern obj_t make_string(long, unsigned char);
BGL_EXPORTED_DECL obj_t BGl_makezd2cellzd2zz__biglooz00(obj_t);
static obj_t BGl_za2modulesza2z00zz__biglooz00 = BUNSPEC;
static obj_t BGl_z62cellzd2refzb0zz__biglooz00(obj_t, obj_t);
static obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t);
static obj_t BGl_z62procedurezd2lengthzb0zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL int BGl_procedurezd2arityzd2zz__biglooz00(obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t);
BGL_EXPORTED_DECL obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bmemzd2resetz12zc0zz__biglooz00(void);
static obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_cellzf3zf3zz__biglooz00(obj_t);
extern bool_t bigloo_strncmp(obj_t, obj_t, long);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_unspecifiedzd2envzd2zz__biglooz00, BgL_bgl_za762unspecifiedza761802z00, BGl_z62unspecifiedz62zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1790z00zz__biglooz00, BgL_bgl_string1790za700za7za7_1803za7, "&bigloo-module-demangle", 23 );
DEFINE_STRING( BGl_string1791z00zz__biglooz00, BgL_bgl_string1791za700za7za7_1804za7, "&bigloo-class-mangled?", 22 );
DEFINE_STRING( BGl_string1792z00zz__biglooz00, BgL_bgl_string1792za700za7za7_1805za7, "_bglt", 5 );
DEFINE_STRING( BGl_string1793z00zz__biglooz00, BgL_bgl_string1793za700za7za7_1806za7, "&bigloo-class-demangle", 22 );
DEFINE_STRING( BGl_string1794z00zz__biglooz00, BgL_bgl_string1794za700za7za7_1807za7, "bigloo-exit-register!", 21 );
DEFINE_STRING( BGl_string1795z00zz__biglooz00, BgL_bgl_string1795za700za7za7_1808za7, "Wrong procedure arity", 21 );
DEFINE_STRING( BGl_string1796z00zz__biglooz00, BgL_bgl_string1796za700za7za7_1809za7, "&register-exit-function!", 24 );
DEFINE_STRING( BGl_string1797z00zz__biglooz00, BgL_bgl_string1797za700za7za7_1810za7, "&unregister-exit-function!", 26 );
DEFINE_STRING( BGl_string1799z00zz__biglooz00, BgL_bgl_string1799za700za7za7_1811za7, "time", 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2exitzd2functionz12zd2envzc0zz__biglooz00, BgL_bgl_za762unregisterza7d21812z00, BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2attrzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2a1813z00, BGl_z62procedurezd2attrzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_opaquezd2nilzd2envz00zz__biglooz00, BgL_bgl_za762opaqueza7d2nilza71814za7, BGl_z62opaquezd2nilzb0zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2mangledzf3zd2envzf3zz__biglooz00, BgL_bgl_za762biglooza7d2mang1815z00, BGl_z62bigloozd2mangledzf3z43zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2exitzd2mutexzd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2exit1816z00, BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2manglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2modu1817z00, BGl_z62bigloozd2modulezd2manglez62zz__biglooz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_nullzd2orzd2unspecifiedzf3zd2envz21zz__biglooz00, BgL_bgl_za762nullza7d2orza7d2u1818za7, BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bmemzd2resetz12zd2envz12zz__biglooz00, BgL_bgl_za762bmemza7d2resetza71819za7, BGl_z62bmemzd2resetz12za2zz__biglooz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2needzd2manglingzf3zd2envz21zz__biglooz00, BgL_bgl_za762biglooza7d2need1820z00, BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2lengthzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2l1821z00, BGl_z62procedurezd2lengthzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2classzd2mangledzf3zd2envz21zz__biglooz00, BgL_bgl_za762biglooza7d2clas1822z00, BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_opaquezf3zd2envz21zz__biglooz00, BgL_bgl_za762opaqueza7f3za791za71823z00, BGl_z62opaquezf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2cellzd2envz00zz__biglooz00, BgL_bgl_za762makeza7d2cellza7b1824za7, BGl_z62makezd2cellzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2arityzd2envz00zz__biglooz00, BgL_bgl_za762procedureza7d2a1825z00, BGl_z62procedurezd2arityzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1800z00zz__biglooz00, BgL_bgl_string1800za700za7za7_1826za7, "&time", 5 );
DEFINE_STRING( BGl_string1801z00zz__biglooz00, BgL_bgl_string1801za700za7za7_1827za7, "__bigloo", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2manglezd2envz00zz__biglooz00, BgL_bgl_za762biglooza7d2mang1828z00, BGl_z62bigloozd2manglezb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cellzf3zd2envz21zz__biglooz00, BgL_bgl_za762cellza7f3za791za7za7_1829za7, BGl_z62cellzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_registerzd2exitzd2functionz12zd2envzc0zz__biglooz00, BgL_bgl_za762registerza7d2ex1830z00, BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2demanglezd2envz00zz__biglooz00, BgL_bgl_za762biglooza7d2dema1831z00, BGl_z62bigloozd2demanglezb0zz__biglooz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_stringzd2envzd2zz__r4_strings_6_7z00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2demanglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2modu1832z00, BGl_z62bigloozd2modulezd2demanglez62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_checkzd2versionz12zd2envz12zz__biglooz00, BgL_bgl_za762checkza7d2versi1833z00, BGl_z62checkzd2versionz12za2zz__biglooz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cnstzf3zd2envz21zz__biglooz00, BgL_bgl_za762cnstza7f3za791za7za7_1834za7, BGl_z62cnstzf3z91zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2gczd2verbosezd2setz12zd2envz12zz__biglooz00, BgL_bgl_za762biglooza7d2gcza7d1835za7, BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1765z00zz__biglooz00, BgL_bgl_string1765za700za7za7_1836za7, "bigloo-exit", 11 );
DEFINE_STRING( BGl_string1766z00zz__biglooz00, BgL_bgl_string1766za700za7za7_1837za7, "Some modules have been compiled by: ", 36 );
DEFINE_STRING( BGl_string1767z00zz__biglooz00, BgL_bgl_string1767za700za7za7_1838za7, "and other by: ", 14 );
DEFINE_STRING( BGl_string1768z00zz__biglooz00, BgL_bgl_string1768za700za7za7_1839za7, " (level 0)", 10 );
DEFINE_STRING( BGl_string1769z00zz__biglooz00, BgL_bgl_string1769za700za7za7_1840za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Llib/bigloo.scm", 59 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cellzd2refzd2envz00zz__biglooz00, BgL_bgl_za762cellza7d2refza7b01841za7, BGl_z62cellzd2refzb0zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1770z00zz__biglooz00, BgL_bgl_string1770za700za7za7_1842za7, "&check-version!", 15 );
DEFINE_STRING( BGl_string1771z00zz__biglooz00, BgL_bgl_string1771za700za7za7_1843za7, "bstring", 7 );
DEFINE_STRING( BGl_string1772z00zz__biglooz00, BgL_bgl_string1772za700za7za7_1844za7, "&procedure-arity", 16 );
DEFINE_STRING( BGl_string1773z00zz__biglooz00, BgL_bgl_string1773za700za7za7_1845za7, "procedure", 9 );
DEFINE_STRING( BGl_string1774z00zz__biglooz00, BgL_bgl_string1774za700za7za7_1846za7, "&procedure-length", 17 );
DEFINE_STRING( BGl_string1775z00zz__biglooz00, BgL_bgl_string1775za700za7za7_1847za7, "&procedure-attr", 15 );
DEFINE_STRING( BGl_string1776z00zz__biglooz00, BgL_bgl_string1776za700za7za7_1848za7, "&procedure-attr-set!", 20 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2exitzd2applyzd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2exit1849z00, BGl_z62bigloozd2exitzd2applyz62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1777z00zz__biglooz00, BgL_bgl_string1777za700za7za7_1850za7, "0123456789abcdef", 16 );
DEFINE_STRING( BGl_string1778z00zz__biglooz00, BgL_bgl_string1778za700za7za7_1851za7, "bigloo-mangle-string", 20 );
DEFINE_STRING( BGl_string1779z00zz__biglooz00, BgL_bgl_string1779za700za7za7_1852za7, "Can't mangle empty string", 25 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2classzd2demanglezd2envzd2zz__biglooz00, BgL_bgl_za762biglooza7d2clas1853z00, BGl_z62bigloozd2classzd2demanglez62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_procedurezd2attrzd2setz12zd2envzc0zz__biglooz00, BgL_bgl_za762procedureza7d2a1854z00, BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_timezd2envzd2zz__biglooz00, BgL_bgl_za762timeza762za7za7__bi1855z00, BGl_z62timez62zz__biglooz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1780z00zz__biglooz00, BgL_bgl_string1780za700za7za7_1856za7, "BgL_", 4 );
DEFINE_STRING( BGl_string1781z00zz__biglooz00, BgL_bgl_string1781za700za7za7_1857za7, "&bigloo-mangle", 14 );
DEFINE_STRING( BGl_string1782z00zz__biglooz00, BgL_bgl_string1782za700za7za7_1858za7, "BGl_", 4 );
DEFINE_STRING( BGl_string1783z00zz__biglooz00, BgL_bgl_string1783za700za7za7_1859za7, "&bigloo-module-mangle", 21 );
DEFINE_STRING( BGl_string1784z00zz__biglooz00, BgL_bgl_string1784za700za7za7_1860za7, "&bigloo-mangled?", 16 );
DEFINE_STRING( BGl_string1785z00zz__biglooz00, BgL_bgl_string1785za700za7za7_1861za7, "&bigloo-need-mangling?", 22 );
DEFINE_STRING( BGl_string1786z00zz__biglooz00, BgL_bgl_string1786za700za7za7_1862za7, "bigloo-demangle", 15 );
DEFINE_STRING( BGl_string1787z00zz__biglooz00, BgL_bgl_string1787za700za7za7_1863za7, "Illegal mangling on", 19 );
DEFINE_STRING( BGl_string1788z00zz__biglooz00, BgL_bgl_string1788za700za7za7_1864za7, "&bigloo-demangle", 16 );
DEFINE_STRING( BGl_string1789z00zz__biglooz00, BgL_bgl_string1789za700za7za7_1865za7, "@", 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cellzd2setz12zd2envz12zz__biglooz00, BgL_bgl_za762cellza7d2setza7121866za7, BGl_z62cellzd2setz12za2zz__biglooz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1764z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2levelza2z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2exitzd2mutexza2zd2zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_symbol1798z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2releaseza2z00zz__biglooz00) );
ADD_ROOT( (void *)(&BGl_za2modulesza2z00zz__biglooz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Llib/bigloo.scm\" 890) \"BGl_toplevelzd2initzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-version!\" \"Llib/bigloo.scm\" 12719) \"BGl_checkzd2versionz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"release-name~0\" \"Llib/bigloo.scm\" 13194) \"BGl_releasezd2nameze70z35zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&check-version!\" \"Llib/bigloo.scm\" 12719) \"BGl_z62checkzd2versionz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-arity\" \"Llib/bigloo.scm\" 14156) \"BGl_procedurezd2arityzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-arity\" \"Llib/bigloo.scm\" 14156) \"BGl_z62procedurezd2arityzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-length\" \"Llib/bigloo.scm\" 14445) \"BGl_procedurezd2lengthzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-length\" \"Llib/bigloo.scm\" 14445) \"BGl_z62procedurezd2lengthzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-attr\" \"Llib/bigloo.scm\" 14736) \"BGl_procedurezd2attrzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-attr\" \"Llib/bigloo.scm\" 14736) \"BGl_z62procedurezd2attrzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"procedure-attr-set!\" \"Llib/bigloo.scm\" 15023) \"BGl_procedurezd2attrzd2setz12z12zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&procedure-attr-set!\" \"Llib/bigloo.scm\" 15023) \"BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"unspecified\" \"Llib/bigloo.scm\" 15335) \"BGl_unspecifiedz00zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&unspecified\" \"Llib/bigloo.scm\" 15335) \"BGl_z62unspecifiedz62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"null-or-unspecified?\" \"Llib/bigloo.scm\" 15602) \"BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&null-or-unspecified?\" \"Llib/bigloo.scm\" 15602) \"BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cnst?\" \"Llib/bigloo.scm\" 16111) \"BGl_cnstzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cnst?\" \"Llib/bigloo.scm\" 16111) \"BGl_z62cnstzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"opaque?\" \"Llib/bigloo.scm\" 16379) \"BGl_opaquezf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&opaque?\" \"Llib/bigloo.scm\" 16379) \"BGl_z62opaquezf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"opaque-nil\" \"Llib/bigloo.scm\" 16651) \"BGl_opaquezd2nilzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&opaque-nil\" \"Llib/bigloo.scm\" 16651) \"BGl_z62opaquezd2nilzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"mangle-at!\" \"Llib/bigloo.scm\" 17243) \"BGl_manglezd2atz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-mangle\" \"Llib/bigloo.scm\" 18426) \"bigloo_mangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-mangle\" \"Llib/bigloo.scm\" 18426) \"BGl_z62bigloozd2manglezb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-module-mangle\" \"Llib/bigloo.scm\" 18972) \"bigloo_module_mangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-module-mangle\" \"Llib/bigloo.scm\" 18972) \"BGl_z62bigloozd2modulezd2manglez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-mangled?\" \"Llib/bigloo.scm\" 19750) \"bigloo_mangledp\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-mangled?\" \"Llib/bigloo.scm\" 19750) \"BGl_z62bigloozd2mangledzf3z43zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-need-mangling?\" \"Llib/bigloo.scm\" 20429) \"BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-need-mangling?\" \"Llib/bigloo.scm\" 20429) \"BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-demangle\" \"Llib/bigloo.scm\" 21078) \"bigloo_demangle\")\n", (FILE *)bprof_port );
      fputs( "((\"char->digit~0\" \"Llib/bigloo.scm\" 21413) \"BGl_charzd2ze3digitze70zd6zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-8bits-integer~0\" \"Llib/bigloo.scm\" 21610) \"BGl_getzd28bitszd2integerze70ze7zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-demangle-at~0\" \"Llib/bigloo.scm\" 22390) \"BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-demangle\" \"Llib/bigloo.scm\" 21078) \"BGl_z62bigloozd2demanglezb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-module-demangle\" \"Llib/bigloo.scm\" 23146) \"bigloo_module_demangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-module-demangle\" \"Llib/bigloo.scm\" 23146) \"BGl_z62bigloozd2modulezd2demanglez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-class-mangled?\" \"Llib/bigloo.scm\" 23545) \"bigloo_class_mangledp\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-class-mangled?\" \"Llib/bigloo.scm\" 23545) \"BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-class-demangle\" \"Llib/bigloo.scm\" 24175) \"bigloo_class_demangle\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-class-demangle\" \"Llib/bigloo.scm\" 24175) \"BGl_z62bigloozd2classzd2demanglez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-exit-mutex\" \"Llib/bigloo.scm\" 24815) \"bgl_exit_mutex\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-exit-mutex\" \"Llib/bigloo.scm\" 24815) \"BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"register-exit-function!\" \"Llib/bigloo.scm\" 25343) \"BGl_registerzd2exitzd2functionz12z12zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&register-exit-function!\" \"Llib/bigloo.scm\" 25343) \"BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"unregister-exit-function!\" \"Llib/bigloo.scm\" 25826) \"BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&unregister-exit-function!\" \"Llib/bigloo.scm\" 25826) \"BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-exit-apply\" \"Llib/bigloo.scm\" 26200) \"bigloo_exit_apply\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-exit-apply\" \"Llib/bigloo.scm\" 26200) \"BGl_z62bigloozd2exitzd2applyz62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"time\" \"Llib/bigloo.scm\" 26917) \"BGl_timez00zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&time\" \"Llib/bigloo.scm\" 26917) \"BGl_z62timez62zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bmem-reset!\" \"Llib/bigloo.scm\" 27559) \"BGl_bmemzd2resetz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bmem-reset!\" \"Llib/bigloo.scm\" 27559) \"BGl_z62bmemzd2resetz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-gc-verbose-set!\" \"Llib/bigloo.scm\" 27873) \"BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-gc-verbose-set!\" \"Llib/bigloo.scm\" 27873) \"BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-cell\" \"Llib/bigloo.scm\" 28216) \"BGl_makezd2cellzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&make-cell\" \"Llib/bigloo.scm\" 28216) \"BGl_z62makezd2cellzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cell?\" \"Llib/bigloo.scm\" 28491) \"BGl_cellzf3zf3zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cell?\" \"Llib/bigloo.scm\" 28491) \"BGl_z62cellzf3z91zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cell-ref\" \"Llib/bigloo.scm\" 28758) \"BGl_cellzd2refzd2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cell-ref\" \"Llib/bigloo.scm\" 28758) \"BGl_z62cellzd2refzb0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cell-set!\" \"Llib/bigloo.scm\" 29033) \"BGl_cellzd2setz12zc0zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&cell-set!\" \"Llib/bigloo.scm\" 29033) \"BGl_z62cellzd2setz12za2zz__biglooz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long BgL_checksumz00_2329, char * BgL_fromz00_2330)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__biglooz00))
{ 
BGl_requirezd2initializa7ationz75zz__biglooz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__biglooz00(); 
BGl_cnstzd2initzd2zz__biglooz00(); 
BGl_importedzd2moduleszd2initz00zz__biglooz00(); 
BGl_toplevelzd2initzd2zz__biglooz00(); 
return 
BGl_profzd2initzd2zz__biglooz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
BGl_symbol1764z00zz__biglooz00 = 
bstring_to_symbol(BGl_string1765z00zz__biglooz00); 
return ( 
BGl_symbol1798z00zz__biglooz00 = 
bstring_to_symbol(BGl_string1799z00zz__biglooz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
BGl_za2releaseza2z00zz__biglooz00 = BFALSE; 
BGl_za2levelza2z00zz__biglooz00 = BFALSE; 
BGl_za2modulesza2z00zz__biglooz00 = BNIL; 
BGl_za2exitzd2mutexza2zd2zz__biglooz00 = 
bgl_make_mutex(BGl_symbol1764z00zz__biglooz00); 
return ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = BNIL, BUNSPEC) ;} 

}



/* check-version! */
BGL_EXPORTED_DEF obj_t BGl_checkzd2versionz12zc0zz__biglooz00(obj_t BgL_modulez00_3, char * BgL_releasez00_4, obj_t BgL_levelz00_5)
{
{ /* Llib/bigloo.scm 345 */
if(
STRINGP(BGl_za2releaseza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 351 */
 bool_t BgL_test1869z00_2346;
{ /* Llib/bigloo.scm 351 */
 bool_t BgL_test1870z00_2347;
{ /* Llib/bigloo.scm 351 */
 long BgL_minz00_1137;
{ /* Llib/bigloo.scm 351 */
 long BgL_arg1208z00_1140;
{ /* Llib/bigloo.scm 351 */
 long BgL_az00_1141; long BgL_bz00_1142;
BgL_az00_1141 = 
STRING_LENGTH(
string_to_bstring(BgL_releasez00_4)); 
BgL_bz00_1142 = 
STRING_LENGTH(BGl_za2releaseza2z00zz__biglooz00); 
if(
(BgL_az00_1141<BgL_bz00_1142))
{ /* Llib/bigloo.scm 352 */
BgL_arg1208z00_1140 = BgL_az00_1141; }  else 
{ /* Llib/bigloo.scm 352 */
BgL_arg1208z00_1140 = BgL_bz00_1142; } } 
BgL_minz00_1137 = 
(BgL_arg1208z00_1140-((long)1)); } 
{ /* Llib/bigloo.scm 354 */
 obj_t BgL_arg1202z00_1138; obj_t BgL_arg1206z00_1139;
BgL_arg1202z00_1138 = 
c_substring(
string_to_bstring(BgL_releasez00_4), ((long)0), BgL_minz00_1137); 
BgL_arg1206z00_1139 = 
c_substring(BGl_za2releaseza2z00zz__biglooz00, ((long)0), BgL_minz00_1137); 
{ /* Llib/bigloo.scm 354 */
 long BgL_l1z00_1789;
BgL_l1z00_1789 = 
STRING_LENGTH(BgL_arg1202z00_1138); 
if(
(BgL_l1z00_1789==
STRING_LENGTH(BgL_arg1206z00_1139)))
{ /* Llib/bigloo.scm 354 */
 int BgL_arg1439z00_1792;
{ /* Llib/bigloo.scm 354 */
 char * BgL_auxz00_2363; char * BgL_tmpz00_2361;
BgL_auxz00_2363 = 
BSTRING_TO_STRING(BgL_arg1206z00_1139); 
BgL_tmpz00_2361 = 
BSTRING_TO_STRING(BgL_arg1202z00_1138); 
BgL_arg1439z00_1792 = 
memcmp(BgL_tmpz00_2361, BgL_auxz00_2363, BgL_l1z00_1789); } 
BgL_test1870z00_2347 = 
(
(long)(BgL_arg1439z00_1792)==((long)0)); }  else 
{ /* Llib/bigloo.scm 354 */
BgL_test1870z00_2347 = ((bool_t)0)
; } } } } 
if(BgL_test1870z00_2347)
{ /* Llib/bigloo.scm 351 */
if(
CHARP(BgL_levelz00_5))
{ /* Llib/bigloo.scm 356 */
if(
CHARP(BGl_za2levelza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 356 */
if(
(
CCHAR(BGl_za2levelza2z00zz__biglooz00)==
CCHAR(BgL_levelz00_5)))
{ /* Llib/bigloo.scm 356 */
BgL_test1869z00_2346 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 356 */
BgL_test1869z00_2346 = ((bool_t)1)
; } }  else 
{ /* Llib/bigloo.scm 356 */
BgL_test1869z00_2346 = ((bool_t)0)
; } }  else 
{ /* Llib/bigloo.scm 356 */
BgL_test1869z00_2346 = ((bool_t)0)
; } }  else 
{ /* Llib/bigloo.scm 351 */
BgL_test1869z00_2346 = ((bool_t)1)
; } } 
if(BgL_test1869z00_2346)
{ /* Llib/bigloo.scm 364 */
 obj_t BgL_arg1189z00_1122; obj_t BgL_arg1190z00_1123; obj_t BgL_arg1194z00_1124;
BgL_arg1189z00_1122 = 
string_append(BGl_string1766z00zz__biglooz00, 
BGl_releasezd2nameze70z35zz__biglooz00(BGl_za2releaseza2z00zz__biglooz00, BGl_za2levelza2z00zz__biglooz00)); 
BgL_arg1190z00_1123 = 
string_append(BGl_string1767z00zz__biglooz00, 
BGl_releasezd2nameze70z35zz__biglooz00(
string_to_bstring(BgL_releasez00_4), BgL_levelz00_5)); 
BgL_arg1194z00_1124 = 
MAKE_YOUNG_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00); 
return 
BGl_errorz00zz__errorz00(BgL_arg1189z00_1122, BgL_arg1190z00_1123, BgL_arg1194z00_1124);}  else 
{ /* Llib/bigloo.scm 351 */
return ( 
BGl_za2modulesza2z00zz__biglooz00 = 
MAKE_YOUNG_PAIR(BgL_modulez00_3, BGl_za2modulesza2z00zz__biglooz00), BUNSPEC) ;} }  else 
{ /* Llib/bigloo.scm 347 */
{ /* Llib/bigloo.scm 348 */
 obj_t BgL_list1209z00_1144;
BgL_list1209z00_1144 = 
MAKE_YOUNG_PAIR(BgL_modulez00_3, BNIL); 
BGl_za2modulesza2z00zz__biglooz00 = BgL_list1209z00_1144; } 
BGl_za2releaseza2z00zz__biglooz00 = 
string_to_bstring(BgL_releasez00_4); 
return ( 
BGl_za2levelza2z00zz__biglooz00 = BgL_levelz00_5, BUNSPEC) ;} } 

}



/* release-name~0 */
obj_t BGl_releasezd2nameze70z35zz__biglooz00(obj_t BgL_releasez00_1127, obj_t BgL_levelz00_1128)
{
{ /* Llib/bigloo.scm 357 */
if(
CHARP(BgL_levelz00_1128))
{ /* Llib/bigloo.scm 359 */
 obj_t BgL_sz00_1131;
BgL_sz00_1131 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BGl_string1768z00zz__biglooz00); 
{ /* Llib/bigloo.scm 360 */
 unsigned char BgL_tmpz00_2389;
BgL_tmpz00_2389 = 
CCHAR(BgL_levelz00_1128); 
STRING_SET(BgL_sz00_1131, ((long)8), BgL_tmpz00_2389); } 
return 
string_append(BgL_releasez00_1127, BgL_sz00_1131);}  else 
{ /* Llib/bigloo.scm 358 */
return BgL_releasez00_1127;} } 

}



/* &check-version! */
obj_t BGl_z62checkzd2versionz12za2zz__biglooz00(obj_t BgL_envz00_2230, obj_t BgL_modulez00_2231, obj_t BgL_releasez00_2232, obj_t BgL_levelz00_2233)
{
{ /* Llib/bigloo.scm 345 */
{ /* Llib/bigloo.scm 347 */
 char * BgL_auxz00_2393;
{ /* Llib/bigloo.scm 347 */
 obj_t BgL_tmpz00_2394;
if(
STRINGP(BgL_releasez00_2232))
{ /* Llib/bigloo.scm 347 */
BgL_tmpz00_2394 = BgL_releasez00_2232
; }  else 
{ 
 obj_t BgL_auxz00_2397;
BgL_auxz00_2397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)12780)), BGl_string1770z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_releasez00_2232); 
FAILURE(BgL_auxz00_2397,BFALSE,BFALSE);} 
BgL_auxz00_2393 = 
BSTRING_TO_STRING(BgL_tmpz00_2394); } 
return 
BGl_checkzd2versionz12zc0zz__biglooz00(BgL_modulez00_2231, BgL_auxz00_2393, BgL_levelz00_2233);} } 

}



/* procedure-arity */
BGL_EXPORTED_DEF int BGl_procedurezd2arityzd2zz__biglooz00(obj_t BgL_procz00_6)
{
{ /* Llib/bigloo.scm 381 */
return 
PROCEDURE_ARITY(BgL_procz00_6);} 

}



/* &procedure-arity */
obj_t BGl_z62procedurezd2arityzb0zz__biglooz00(obj_t BgL_envz00_2234, obj_t BgL_procz00_2235)
{
{ /* Llib/bigloo.scm 381 */
{ /* Llib/bigloo.scm 382 */
 int BgL_tmpz00_2404;
{ /* Llib/bigloo.scm 382 */
 obj_t BgL_auxz00_2405;
if(
PROCEDUREP(BgL_procz00_2235))
{ /* Llib/bigloo.scm 382 */
BgL_auxz00_2405 = BgL_procz00_2235
; }  else 
{ 
 obj_t BgL_auxz00_2408;
BgL_auxz00_2408 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)14197)), BGl_string1772z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_procz00_2235); 
FAILURE(BgL_auxz00_2408,BFALSE,BFALSE);} 
BgL_tmpz00_2404 = 
BGl_procedurezd2arityzd2zz__biglooz00(BgL_auxz00_2405); } 
return 
BINT(BgL_tmpz00_2404);} } 

}



/* procedure-length */
BGL_EXPORTED_DEF int BGl_procedurezd2lengthzd2zz__biglooz00(obj_t BgL_procz00_7)
{
{ /* Llib/bigloo.scm 387 */
return 
PROCEDURE_LENGTH(BgL_procz00_7);} 

}



/* &procedure-length */
obj_t BGl_z62procedurezd2lengthzb0zz__biglooz00(obj_t BgL_envz00_2236, obj_t BgL_procz00_2237)
{
{ /* Llib/bigloo.scm 387 */
{ /* Llib/bigloo.scm 388 */
 int BgL_tmpz00_2415;
{ /* Llib/bigloo.scm 388 */
 obj_t BgL_auxz00_2416;
if(
PROCEDUREP(BgL_procz00_2237))
{ /* Llib/bigloo.scm 388 */
BgL_auxz00_2416 = BgL_procz00_2237
; }  else 
{ 
 obj_t BgL_auxz00_2419;
BgL_auxz00_2419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)14487)), BGl_string1774z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_procz00_2237); 
FAILURE(BgL_auxz00_2419,BFALSE,BFALSE);} 
BgL_tmpz00_2415 = 
BGl_procedurezd2lengthzd2zz__biglooz00(BgL_auxz00_2416); } 
return 
BINT(BgL_tmpz00_2415);} } 

}



/* procedure-attr */
BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2zz__biglooz00(obj_t BgL_procz00_8)
{
{ /* Llib/bigloo.scm 393 */
return 
PROCEDURE_ATTR(BgL_procz00_8);} 

}



/* &procedure-attr */
obj_t BGl_z62procedurezd2attrzb0zz__biglooz00(obj_t BgL_envz00_2238, obj_t BgL_procz00_2239)
{
{ /* Llib/bigloo.scm 393 */
{ /* Llib/bigloo.scm 394 */
 obj_t BgL_auxz00_2426;
if(
PROCEDUREP(BgL_procz00_2239))
{ /* Llib/bigloo.scm 394 */
BgL_auxz00_2426 = BgL_procz00_2239
; }  else 
{ 
 obj_t BgL_auxz00_2429;
BgL_auxz00_2429 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)14776)), BGl_string1775z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_procz00_2239); 
FAILURE(BgL_auxz00_2429,BFALSE,BFALSE);} 
return 
BGl_procedurezd2attrzd2zz__biglooz00(BgL_auxz00_2426);} } 

}



/* procedure-attr-set! */
BGL_EXPORTED_DEF obj_t BGl_procedurezd2attrzd2setz12z12zz__biglooz00(obj_t BgL_procz00_9, obj_t BgL_objz00_10)
{
{ /* Llib/bigloo.scm 399 */
PROCEDURE_ATTR_SET(BgL_procz00_9, BgL_objz00_10); 
return BgL_objz00_10;} 

}



/* &procedure-attr-set! */
obj_t BGl_z62procedurezd2attrzd2setz12z70zz__biglooz00(obj_t BgL_envz00_2240, obj_t BgL_procz00_2241, obj_t BgL_objz00_2242)
{
{ /* Llib/bigloo.scm 399 */
{ /* Llib/bigloo.scm 400 */
 obj_t BgL_auxz00_2435;
if(
PROCEDUREP(BgL_procz00_2241))
{ /* Llib/bigloo.scm 400 */
BgL_auxz00_2435 = BgL_procz00_2241
; }  else 
{ 
 obj_t BgL_auxz00_2438;
BgL_auxz00_2438 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)15102)), BGl_string1776z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_procz00_2241); 
FAILURE(BgL_auxz00_2438,BFALSE,BFALSE);} 
return 
BGl_procedurezd2attrzd2setz12z12zz__biglooz00(BgL_auxz00_2435, BgL_objz00_2242);} } 

}



/* unspecified */
BGL_EXPORTED_DEF obj_t BGl_unspecifiedz00zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 406 */
return BUNSPEC;} 

}



/* &unspecified */
obj_t BGl_z62unspecifiedz62zz__biglooz00(obj_t BgL_envz00_2243)
{
{ /* Llib/bigloo.scm 406 */
return 
BGl_unspecifiedz00zz__biglooz00();} 

}



/* null-or-unspecified? */
BGL_EXPORTED_DEF bool_t BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00(obj_t BgL_objz00_11)
{
{ /* Llib/bigloo.scm 412 */
return 
BGL_NULL_OR_UNSPECIFIEDP(BgL_objz00_11);} 

}



/* &null-or-unspecified? */
obj_t BGl_z62nullzd2orzd2unspecifiedzf3z91zz__biglooz00(obj_t BgL_envz00_2244, obj_t BgL_objz00_2245)
{
{ /* Llib/bigloo.scm 412 */
return 
BBOOL(
BGl_nullzd2orzd2unspecifiedzf3zf3zz__biglooz00(BgL_objz00_2245));} 

}



/* cnst? */
BGL_EXPORTED_DEF bool_t BGl_cnstzf3zf3zz__biglooz00(obj_t BgL_objz00_12)
{
{ /* Llib/bigloo.scm 424 */
return 
CNSTP(BgL_objz00_12);} 

}



/* &cnst? */
obj_t BGl_z62cnstzf3z91zz__biglooz00(obj_t BgL_envz00_2246, obj_t BgL_objz00_2247)
{
{ /* Llib/bigloo.scm 424 */
return 
BBOOL(
BGl_cnstzf3zf3zz__biglooz00(BgL_objz00_2247));} 

}



/* opaque? */
BGL_EXPORTED_DEF bool_t BGl_opaquezf3zf3zz__biglooz00(obj_t BgL_objz00_13)
{
{ /* Llib/bigloo.scm 430 */
return 
OPAQUEP(BgL_objz00_13);} 

}



/* &opaque? */
obj_t BGl_z62opaquezf3z91zz__biglooz00(obj_t BgL_envz00_2248, obj_t BgL_objz00_2249)
{
{ /* Llib/bigloo.scm 430 */
return 
BBOOL(
BGl_opaquezf3zf3zz__biglooz00(BgL_objz00_2249));} 

}



/* opaque-nil */
BGL_EXPORTED_DEF obj_t BGl_opaquezd2nilzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 436 */
return 
BGL_OPAQUE_NIL();} 

}



/* &opaque-nil */
obj_t BGl_z62opaquezd2nilzb0zz__biglooz00(obj_t BgL_envz00_2250)
{
{ /* Llib/bigloo.scm 436 */
return 
BGl_opaquezd2nilzd2zz__biglooz00();} 

}



/* mangle-at! */
long BGl_manglezd2atz12zc0zz__biglooz00(obj_t BgL_newz00_15, obj_t BgL_oldz00_16, long BgL_lenz00_17, long BgL_offsetz00_18)
{
{ /* Llib/bigloo.scm 449 */
{ 
 long BgL_rz00_1147; long BgL_wz00_1148; long BgL_newzd2lenzd2_1149; long BgL_checksumz00_1150;
BgL_rz00_1147 = ((long)0); 
BgL_wz00_1148 = BgL_offsetz00_18; 
BgL_newzd2lenzd2_1149 = BgL_offsetz00_18; 
BgL_checksumz00_1150 = ((long)0); 
BgL_zc3z04anonymousza31210ze3z87_1151:
if(
(BgL_rz00_1147==BgL_lenz00_17))
{ /* Llib/bigloo.scm 454 */
STRING_SET(BgL_newz00_15, BgL_wz00_1148, ((unsigned char)'z')); 
{ /* Llib/bigloo.scm 457 */
 unsigned char BgL_auxz00_2460; long BgL_tmpz00_2458;
BgL_auxz00_2460 = 
STRING_REF(BGl_string1777z00zz__biglooz00, 
(BgL_checksumz00_1150 & ((long)15))); 
BgL_tmpz00_2458 = 
(BgL_wz00_1148+((long)1)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2458, BgL_auxz00_2460); } 
{ /* Llib/bigloo.scm 460 */
 unsigned char BgL_auxz00_2466; long BgL_tmpz00_2464;
BgL_auxz00_2466 = 
STRING_REF(BGl_string1777z00zz__biglooz00, 
(
(BgL_checksumz00_1150 >> 
(int)(((long)4))) & ((long)15))); 
BgL_tmpz00_2464 = 
(BgL_wz00_1148+((long)2)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2464, BgL_auxz00_2466); } 
return 
(BgL_wz00_1148+((long)3));}  else 
{ /* Llib/bigloo.scm 464 */
 unsigned char BgL_cz00_1160;
BgL_cz00_1160 = 
STRING_REF(BgL_oldz00_16, BgL_rz00_1147); 
{ /* Llib/bigloo.scm 465 */
 bool_t BgL_test1883z00_2474;
{ /* Llib/bigloo.scm 465 */
 bool_t BgL_test1884z00_2475;
if(
isalpha(BgL_cz00_1160))
{ /* Llib/bigloo.scm 465 */
if(
(BgL_cz00_1160==((unsigned char)'z')))
{ /* Llib/bigloo.scm 465 */
BgL_test1884z00_2475 = ((bool_t)0)
; }  else 
{ /* Llib/bigloo.scm 465 */
BgL_test1884z00_2475 = ((bool_t)1)
; } }  else 
{ /* Llib/bigloo.scm 465 */
BgL_test1884z00_2475 = ((bool_t)0)
; } 
if(BgL_test1884z00_2475)
{ /* Llib/bigloo.scm 465 */
BgL_test1883z00_2474 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 465 */
if(
isdigit(BgL_cz00_1160))
{ /* Llib/bigloo.scm 466 */
BgL_test1883z00_2474 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 466 */
BgL_test1883z00_2474 = 
(BgL_cz00_1160==((unsigned char)'_'))
; } } } 
if(BgL_test1883z00_2474)
{ /* Llib/bigloo.scm 465 */
STRING_SET(BgL_newz00_15, BgL_wz00_1148, BgL_cz00_1160); 
{ 
 long BgL_newzd2lenzd2_2488; long BgL_wz00_2486; long BgL_rz00_2484;
BgL_rz00_2484 = 
(BgL_rz00_1147+((long)1)); 
BgL_wz00_2486 = 
(BgL_wz00_1148+((long)1)); 
BgL_newzd2lenzd2_2488 = 
(BgL_newzd2lenzd2_1149+((long)1)); 
BgL_newzd2lenzd2_1149 = BgL_newzd2lenzd2_2488; 
BgL_wz00_1148 = BgL_wz00_2486; 
BgL_rz00_1147 = BgL_rz00_2484; 
goto BgL_zc3z04anonymousza31210ze3z87_1151;} }  else 
{ /* Llib/bigloo.scm 474 */
 long BgL_icz00_1171;
BgL_icz00_1171 = 
(BgL_cz00_1160); 
STRING_SET(BgL_newz00_15, BgL_wz00_1148, ((unsigned char)'z')); 
{ /* Llib/bigloo.scm 476 */
 unsigned char BgL_auxz00_2494; long BgL_tmpz00_2492;
BgL_auxz00_2494 = 
STRING_REF(BGl_string1777z00zz__biglooz00, 
(BgL_icz00_1171 & ((long)15))); 
BgL_tmpz00_2492 = 
(BgL_wz00_1148+((long)1)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2492, BgL_auxz00_2494); } 
{ /* Llib/bigloo.scm 479 */
 unsigned char BgL_auxz00_2500; long BgL_tmpz00_2498;
BgL_auxz00_2500 = 
STRING_REF(BGl_string1777z00zz__biglooz00, 
(
(BgL_icz00_1171 >> 
(int)(((long)4))) & ((long)15))); 
BgL_tmpz00_2498 = 
(BgL_wz00_1148+((long)2)); 
STRING_SET(BgL_newz00_15, BgL_tmpz00_2498, BgL_auxz00_2500); } 
{ 
 long BgL_checksumz00_2512; long BgL_newzd2lenzd2_2510; long BgL_wz00_2508; long BgL_rz00_2506;
BgL_rz00_2506 = 
(BgL_rz00_1147+((long)1)); 
BgL_wz00_2508 = 
(BgL_wz00_1148+((long)3)); 
BgL_newzd2lenzd2_2510 = 
(BgL_newzd2lenzd2_1149+((long)3)); 
BgL_checksumz00_2512 = 
(BgL_checksumz00_1150 ^ 
(BgL_cz00_1160)); 
BgL_checksumz00_1150 = BgL_checksumz00_2512; 
BgL_newzd2lenzd2_1149 = BgL_newzd2lenzd2_2510; 
BgL_wz00_1148 = BgL_wz00_2508; 
BgL_rz00_1147 = BgL_rz00_2506; 
goto BgL_zc3z04anonymousza31210ze3z87_1151;} } } } } } 

}



/* bigloo-mangle */
BGL_EXPORTED_DEF obj_t bigloo_mangle(obj_t BgL_stringz00_19)
{
{ /* Llib/bigloo.scm 490 */
{ /* Llib/bigloo.scm 491 */
 long BgL_lenz00_1189;
BgL_lenz00_1189 = 
STRING_LENGTH(BgL_stringz00_19); 
{ /* Llib/bigloo.scm 491 */
 obj_t BgL_newz00_1190;
{ /* Llib/bigloo.scm 492 */
 long BgL_arg1250z00_1193;
BgL_arg1250z00_1193 = 
(
(BgL_lenz00_1189*((long)3))+((long)7)); 
{ /* Ieee/string.scm 168 */

BgL_newz00_1190 = 
make_string(BgL_arg1250z00_1193, ((unsigned char)' ')); } } 
{ /* Llib/bigloo.scm 492 */

if(
(BgL_lenz00_1189==((long)0)))
{ /* Llib/bigloo.scm 493 */
return 
BGl_errorz00zz__errorz00(BGl_string1778z00zz__biglooz00, BGl_string1779z00zz__biglooz00, BgL_stringz00_19);}  else 
{ /* Llib/bigloo.scm 495 */
 long BgL_stopz00_1192;
BgL_stopz00_1192 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_1190, BgL_stringz00_19, BgL_lenz00_1189, ((long)4)); 
blit_string(BGl_string1780z00zz__biglooz00, ((long)0), BgL_newz00_1190, ((long)0), ((long)4)); 
return 
c_substring(BgL_newz00_1190, ((long)0), BgL_stopz00_1192);} } } } } 

}



/* &bigloo-mangle */
obj_t BGl_z62bigloozd2manglezb0zz__biglooz00(obj_t BgL_envz00_2251, obj_t BgL_stringz00_2252)
{
{ /* Llib/bigloo.scm 490 */
{ /* Llib/bigloo.scm 491 */
 obj_t BgL_auxz00_2525;
if(
STRINGP(BgL_stringz00_2252))
{ /* Llib/bigloo.scm 491 */
BgL_auxz00_2525 = BgL_stringz00_2252
; }  else 
{ 
 obj_t BgL_auxz00_2528;
BgL_auxz00_2528 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)18460)), BGl_string1781z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2252); 
FAILURE(BgL_auxz00_2528,BFALSE,BFALSE);} 
return 
bigloo_mangle(BgL_auxz00_2525);} } 

}



/* bigloo-module-mangle */
BGL_EXPORTED_DEF obj_t bigloo_module_mangle(obj_t BgL_idz00_20, obj_t BgL_modulez00_21)
{
{ /* Llib/bigloo.scm 502 */
{ /* Llib/bigloo.scm 503 */
 long BgL_lenz00_1197;
BgL_lenz00_1197 = 
(
STRING_LENGTH(BgL_idz00_20)+
STRING_LENGTH(BgL_modulez00_21)); 
{ /* Llib/bigloo.scm 503 */
 obj_t BgL_newz00_1198;
{ /* Llib/bigloo.scm 504 */
 long BgL_arg1257z00_1206;
BgL_arg1257z00_1206 = 
(
(BgL_lenz00_1197*((long)3))+((long)12)); 
{ /* Ieee/string.scm 168 */

BgL_newz00_1198 = 
make_string(BgL_arg1257z00_1206, ((unsigned char)' ')); } } 
{ /* Llib/bigloo.scm 504 */

if(
(BgL_lenz00_1197==((long)0)))
{ /* Llib/bigloo.scm 505 */
return 
BGl_errorz00zz__errorz00(BGl_string1778z00zz__biglooz00, BGl_string1779z00zz__biglooz00, BGl_stringzd2envzd2zz__r4_strings_6_7z00);}  else 
{ /* Llib/bigloo.scm 507 */
 long BgL_modzd2startzd2_1200;
BgL_modzd2startzd2_1200 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_1198, BgL_idz00_20, 
STRING_LENGTH(BgL_idz00_20), ((long)4)); 
STRING_SET(BgL_newz00_1198, BgL_modzd2startzd2_1200, ((unsigned char)'z')); 
{ /* Llib/bigloo.scm 509 */
 long BgL_tmpz00_2545;
BgL_tmpz00_2545 = 
(((long)1)+BgL_modzd2startzd2_1200); 
STRING_SET(BgL_newz00_1198, BgL_tmpz00_2545, ((unsigned char)'z')); } 
{ /* Llib/bigloo.scm 510 */
 long BgL_stopz00_1202;
BgL_stopz00_1202 = 
BGl_manglezd2atz12zc0zz__biglooz00(BgL_newz00_1198, BgL_modulez00_21, 
STRING_LENGTH(BgL_modulez00_21), 
(BgL_modzd2startzd2_1200+((long)2))); 
blit_string(BGl_string1782z00zz__biglooz00, ((long)0), BgL_newz00_1198, ((long)0), ((long)4)); 
return 
c_substring(BgL_newz00_1198, ((long)0), BgL_stopz00_1202);} } } } } } 

}



/* &bigloo-module-mangle */
obj_t BGl_z62bigloozd2modulezd2manglez62zz__biglooz00(obj_t BgL_envz00_2253, obj_t BgL_idz00_2254, obj_t BgL_modulez00_2255)
{
{ /* Llib/bigloo.scm 502 */
{ /* Llib/bigloo.scm 503 */
 obj_t BgL_auxz00_2560; obj_t BgL_auxz00_2553;
if(
STRINGP(BgL_modulez00_2255))
{ /* Llib/bigloo.scm 503 */
BgL_auxz00_2560 = BgL_modulez00_2255
; }  else 
{ 
 obj_t BgL_auxz00_2563;
BgL_auxz00_2563 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)19016)), BGl_string1783z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_modulez00_2255); 
FAILURE(BgL_auxz00_2563,BFALSE,BFALSE);} 
if(
STRINGP(BgL_idz00_2254))
{ /* Llib/bigloo.scm 503 */
BgL_auxz00_2553 = BgL_idz00_2254
; }  else 
{ 
 obj_t BgL_auxz00_2556;
BgL_auxz00_2556 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)19016)), BGl_string1783z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_idz00_2254); 
FAILURE(BgL_auxz00_2556,BFALSE,BFALSE);} 
return 
bigloo_module_mangle(BgL_auxz00_2553, BgL_auxz00_2560);} } 

}



/* bigloo-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_mangledp(obj_t BgL_stringz00_22)
{
{ /* Llib/bigloo.scm 519 */
{ /* Llib/bigloo.scm 520 */
 long BgL_lenz00_1212;
BgL_lenz00_1212 = 
STRING_LENGTH(BgL_stringz00_22); 
if(
(BgL_lenz00_1212>((long)7)))
{ /* Llib/bigloo.scm 522 */
 bool_t BgL_test1894z00_2571;
{ /* Llib/bigloo.scm 522 */
 bool_t BgL__ortest_1043z00_1229;
BgL__ortest_1043z00_1229 = 
bigloo_strncmp(BgL_stringz00_22, BGl_string1780z00zz__biglooz00, ((long)4)); 
if(BgL__ortest_1043z00_1229)
{ /* Llib/bigloo.scm 522 */
BgL_test1894z00_2571 = BgL__ortest_1043z00_1229
; }  else 
{ /* Llib/bigloo.scm 522 */
BgL_test1894z00_2571 = 
bigloo_strncmp(BgL_stringz00_22, BGl_string1782z00zz__biglooz00, ((long)4))
; } } 
if(BgL_test1894z00_2571)
{ /* Llib/bigloo.scm 522 */
if(
(
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1212-((long)3)))==((unsigned char)'z')))
{ /* Llib/bigloo.scm 525 */
 bool_t BgL_test1897z00_2579;
{ /* Llib/bigloo.scm 525 */
 bool_t BgL__ortest_1044z00_1222;
{ /* Llib/bigloo.scm 525 */
 unsigned char BgL_tmpz00_2580;
BgL_tmpz00_2580 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1212-((long)2))); 
BgL__ortest_1044z00_1222 = 
isalpha(BgL_tmpz00_2580); } 
if(BgL__ortest_1044z00_1222)
{ /* Llib/bigloo.scm 525 */
BgL_test1897z00_2579 = BgL__ortest_1044z00_1222
; }  else 
{ /* Llib/bigloo.scm 526 */
 unsigned char BgL_tmpz00_2585;
BgL_tmpz00_2585 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1212-((long)2))); 
BgL_test1897z00_2579 = 
isdigit(BgL_tmpz00_2585); } } 
if(BgL_test1897z00_2579)
{ /* Llib/bigloo.scm 527 */
 bool_t BgL__ortest_1045z00_1217;
{ /* Llib/bigloo.scm 527 */
 unsigned char BgL_tmpz00_2589;
BgL_tmpz00_2589 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1212-((long)1))); 
BgL__ortest_1045z00_1217 = 
isalpha(BgL_tmpz00_2589); } 
if(BgL__ortest_1045z00_1217)
{ /* Llib/bigloo.scm 527 */
return BgL__ortest_1045z00_1217;}  else 
{ /* Llib/bigloo.scm 528 */
 unsigned char BgL_tmpz00_2594;
BgL_tmpz00_2594 = 
STRING_REF(BgL_stringz00_22, 
(BgL_lenz00_1212-((long)1))); 
return 
isdigit(BgL_tmpz00_2594);} }  else 
{ /* Llib/bigloo.scm 525 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 524 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 522 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 521 */
return ((bool_t)0);} } } 

}



/* &bigloo-mangled? */
obj_t BGl_z62bigloozd2mangledzf3z43zz__biglooz00(obj_t BgL_envz00_2258, obj_t BgL_stringz00_2259)
{
{ /* Llib/bigloo.scm 519 */
{ /* Llib/bigloo.scm 520 */
 bool_t BgL_tmpz00_2598;
{ /* Llib/bigloo.scm 520 */
 obj_t BgL_auxz00_2599;
if(
STRINGP(BgL_stringz00_2259))
{ /* Llib/bigloo.scm 520 */
BgL_auxz00_2599 = BgL_stringz00_2259
; }  else 
{ 
 obj_t BgL_auxz00_2602;
BgL_auxz00_2602 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)19786)), BGl_string1784z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2259); 
FAILURE(BgL_auxz00_2602,BFALSE,BFALSE);} 
BgL_tmpz00_2598 = 
bigloo_mangledp(BgL_auxz00_2599); } 
return 
BBOOL(BgL_tmpz00_2598);} } 

}



/* bigloo-need-mangling? */
BGL_EXPORTED_DEF bool_t BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(obj_t BgL_stringz00_23)
{
{ /* Llib/bigloo.scm 533 */
{ /* Llib/bigloo.scm 534 */
 long BgL_lenz00_1230;
BgL_lenz00_1230 = 
STRING_LENGTH(BgL_stringz00_23); 
if(
(BgL_lenz00_1230>((long)0)))
{ /* Llib/bigloo.scm 536 */
 bool_t BgL__ortest_1047z00_1232;
{ /* Llib/bigloo.scm 536 */
 bool_t BgL_test1902z00_2611;
{ /* Llib/bigloo.scm 536 */
 bool_t BgL_test1903z00_2612;
{ /* Llib/bigloo.scm 536 */
 unsigned char BgL_tmpz00_2613;
BgL_tmpz00_2613 = 
STRING_REF(BgL_stringz00_23, ((long)0)); 
BgL_test1903z00_2612 = 
isalpha(BgL_tmpz00_2613); } 
if(BgL_test1903z00_2612)
{ /* Llib/bigloo.scm 536 */
BgL_test1902z00_2611 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 536 */
BgL_test1902z00_2611 = 
(
STRING_REF(BgL_stringz00_23, ((long)0))==((unsigned char)'_'))
; } } 
if(BgL_test1902z00_2611)
{ /* Llib/bigloo.scm 536 */
BgL__ortest_1047z00_1232 = ((bool_t)0); }  else 
{ /* Llib/bigloo.scm 536 */
BgL__ortest_1047z00_1232 = ((bool_t)1); } } 
if(BgL__ortest_1047z00_1232)
{ /* Llib/bigloo.scm 536 */
return BgL__ortest_1047z00_1232;}  else 
{ 
 long BgL_iz00_1234;
BgL_iz00_1234 = ((long)1); 
BgL_zc3z04anonymousza31290ze3z87_1235:
if(
(BgL_iz00_1234>=BgL_lenz00_1230))
{ /* Llib/bigloo.scm 539 */
return ((bool_t)0);}  else 
{ /* Llib/bigloo.scm 541 */
 unsigned char BgL_cz00_1237;
BgL_cz00_1237 = 
STRING_REF(BgL_stringz00_23, BgL_iz00_1234); 
{ /* Llib/bigloo.scm 542 */
 bool_t BgL_test1906z00_2622;
if(
isalpha(BgL_cz00_1237))
{ /* Llib/bigloo.scm 542 */
BgL_test1906z00_2622 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 542 */
if(
isdigit(BgL_cz00_1237))
{ /* Llib/bigloo.scm 543 */
BgL_test1906z00_2622 = ((bool_t)1)
; }  else 
{ /* Llib/bigloo.scm 543 */
BgL_test1906z00_2622 = 
(BgL_cz00_1237==((unsigned char)'_'))
; } } 
if(BgL_test1906z00_2622)
{ 
 long BgL_iz00_2628;
BgL_iz00_2628 = 
(BgL_iz00_1234+((long)1)); 
BgL_iz00_1234 = BgL_iz00_2628; 
goto BgL_zc3z04anonymousza31290ze3z87_1235;}  else 
{ /* Llib/bigloo.scm 542 */
return ((bool_t)1);} } } } }  else 
{ /* Llib/bigloo.scm 535 */
return ((bool_t)0);} } } 

}



/* &bigloo-need-mangling? */
obj_t BGl_z62bigloozd2needzd2manglingzf3z91zz__biglooz00(obj_t BgL_envz00_2260, obj_t BgL_stringz00_2261)
{
{ /* Llib/bigloo.scm 533 */
{ /* Llib/bigloo.scm 534 */
 bool_t BgL_tmpz00_2630;
{ /* Llib/bigloo.scm 534 */
 obj_t BgL_auxz00_2631;
if(
STRINGP(BgL_stringz00_2261))
{ /* Llib/bigloo.scm 534 */
BgL_auxz00_2631 = BgL_stringz00_2261
; }  else 
{ 
 obj_t BgL_auxz00_2634;
BgL_auxz00_2634 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)20471)), BGl_string1785z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2261); 
FAILURE(BgL_auxz00_2634,BFALSE,BFALSE);} 
BgL_tmpz00_2630 = 
BGl_bigloozd2needzd2manglingzf3zf3zz__biglooz00(BgL_auxz00_2631); } 
return 
BBOOL(BgL_tmpz00_2630);} } 

}



/* bigloo-demangle */
BGL_EXPORTED_DEF obj_t bigloo_demangle(obj_t BgL_stringz00_24)
{
{ /* Llib/bigloo.scm 551 */
{ /* Llib/bigloo.scm 552 */
 long BgL_lenz00_1253;
BgL_lenz00_1253 = 
STRING_LENGTH(BgL_stringz00_24); 
{ /* Llib/bigloo.scm 552 */
 long BgL_clenz00_1254;
BgL_clenz00_1254 = 
(BgL_lenz00_1253-((long)3)); 
{ /* Llib/bigloo.scm 553 */

{ 

if(
(BgL_lenz00_1253<((long)8)))
{ /* Llib/bigloo.scm 602 */
return BgL_stringz00_24;}  else 
{ /* Llib/bigloo.scm 602 */
if(
bigloo_strncmp(BgL_stringz00_24, BGl_string1780z00zz__biglooz00, ((long)4)))
{ /* Llib/bigloo.scm 604 */
{ /* Llib/bigloo.scm 592 */
 obj_t BgL_strz00_1315;
BgL_strz00_1315 = 
BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(BgL_clenz00_1254, BgL_stringz00_24, 
BINT(((long)4))); 
{ /* Llib/bigloo.scm 593 */
 obj_t BgL_offsetz00_1316;
{ /* Llib/bigloo.scm 594 */
 obj_t BgL_tmpz00_1996;
{ /* Llib/bigloo.scm 594 */
 int BgL_tmpz00_2648;
BgL_tmpz00_2648 = 
(int)(((long)1)); 
BgL_tmpz00_1996 = 
BGL_MVALUES_VAL(BgL_tmpz00_2648); } 
{ /* Llib/bigloo.scm 594 */
 int BgL_tmpz00_2651;
BgL_tmpz00_2651 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2651, BUNSPEC); } 
BgL_offsetz00_1316 = BgL_tmpz00_1996; } 
{ /* Llib/bigloo.scm 594 */
 int BgL_tmpz00_2654;
BgL_tmpz00_2654 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2654); } 
{ /* Llib/bigloo.scm 594 */
 int BgL_tmpz00_2657;
BgL_tmpz00_2657 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2657, BUNSPEC); } 
return BgL_strz00_1315;} } }  else 
{ /* Llib/bigloo.scm 604 */
if(
bigloo_strncmp(BgL_stringz00_24, BGl_string1782z00zz__biglooz00, ((long)4)))
{ /* Llib/bigloo.scm 606 */
{ /* Llib/bigloo.scm 596 */
 obj_t BgL_idz00_1320;
BgL_idz00_1320 = 
BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(BgL_clenz00_1254, BgL_stringz00_24, 
BINT(((long)4))); 
{ /* Llib/bigloo.scm 597 */
 obj_t BgL_offsetz00_1321;
{ /* Llib/bigloo.scm 598 */
 obj_t BgL_tmpz00_1997;
{ /* Llib/bigloo.scm 598 */
 int BgL_tmpz00_2664;
BgL_tmpz00_2664 = 
(int)(((long)1)); 
BgL_tmpz00_1997 = 
BGL_MVALUES_VAL(BgL_tmpz00_2664); } 
{ /* Llib/bigloo.scm 598 */
 int BgL_tmpz00_2667;
BgL_tmpz00_2667 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2667, BUNSPEC); } 
BgL_offsetz00_1321 = BgL_tmpz00_1997; } 
{ /* Llib/bigloo.scm 598 */
 obj_t BgL_modulez00_1322;
BgL_modulez00_1322 = 
BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(BgL_clenz00_1254, BgL_stringz00_24, BgL_offsetz00_1321); 
{ /* Llib/bigloo.scm 599 */
 obj_t BgL_offsetz00_1323;
{ /* Llib/bigloo.scm 600 */
 obj_t BgL_tmpz00_1998;
{ /* Llib/bigloo.scm 600 */
 int BgL_tmpz00_2671;
BgL_tmpz00_2671 = 
(int)(((long)1)); 
BgL_tmpz00_1998 = 
BGL_MVALUES_VAL(BgL_tmpz00_2671); } 
{ /* Llib/bigloo.scm 600 */
 int BgL_tmpz00_2674;
BgL_tmpz00_2674 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2674, BUNSPEC); } 
BgL_offsetz00_1323 = BgL_tmpz00_1998; } 
{ /* Llib/bigloo.scm 600 */
 int BgL_tmpz00_2677;
BgL_tmpz00_2677 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2677); } 
{ /* Llib/bigloo.scm 600 */
 int BgL_tmpz00_2680;
BgL_tmpz00_2680 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2680, BgL_modulez00_1322); } 
return BgL_idz00_1320;} } } } }  else 
{ /* Llib/bigloo.scm 606 */
return BgL_stringz00_24;} } } } } } } } 

}



/* char->digit~0 */
long BGl_charzd2ze3digitze70zd6zz__biglooz00(unsigned char BgL_cz00_1265)
{
{ /* Llib/bigloo.scm 559 */
if(
isdigit(BgL_cz00_1265))
{ /* Llib/bigloo.scm 557 */
return 
(
(BgL_cz00_1265)-((long)48));}  else 
{ /* Llib/bigloo.scm 557 */
return 
(((long)10)+
(
(BgL_cz00_1265)-((long)97)));} } 

}



/* get-8bits-integer~0 */
long BGl_getzd28bitszd2integerze70ze7zz__biglooz00(obj_t BgL_stringz00_2291, obj_t BgL_rz00_1271)
{
{ /* Llib/bigloo.scm 565 */
{ /* Llib/bigloo.scm 564 */

return 
(
BGl_charzd2ze3digitze70zd6zz__biglooz00(
STRING_REF(BgL_stringz00_2291, 
(
(long)CINT(BgL_rz00_1271)+((long)1))))+
(
BGl_charzd2ze3digitze70zd6zz__biglooz00(
STRING_REF(BgL_stringz00_2291, 
(
(long)CINT(BgL_rz00_1271)+((long)2)))) << 
(int)(((long)4))));} } 

}



/* bigloo-demangle-at~0 */
obj_t BGl_bigloozd2demanglezd2atze70ze7zz__biglooz00(long BgL_clenz00_2293, obj_t BgL_stringz00_2292, obj_t BgL_offsetz00_1280)
{
{ /* Llib/bigloo.scm 590 */
{ 

{ /* Llib/bigloo.scm 567 */
 obj_t BgL_newz00_1282;
{ /* Ieee/string.scm 168 */

BgL_newz00_1282 = 
make_string(BgL_clenz00_2293, ((unsigned char)' ')); } 
{ 
 obj_t BgL_rz00_1284; long BgL_wz00_1285; long BgL_checksumz00_1286;
BgL_rz00_1284 = BgL_offsetz00_1280; 
BgL_wz00_1285 = ((long)0); 
BgL_checksumz00_1286 = ((long)0); 
BgL_zc3z04anonymousza31338ze3z87_1287:
if(
(
(long)CINT(BgL_rz00_1284)==BgL_clenz00_2293))
{ /* Llib/bigloo.scm 571 */
if(
(BgL_checksumz00_1286==
BGl_getzd28bitszd2integerze70ze7zz__biglooz00(BgL_stringz00_2292, BgL_rz00_1284)))
{ /* Llib/bigloo.scm 574 */
 obj_t BgL_val0_1084z00_1291; long BgL_val1_1085z00_1292;
BgL_val0_1084z00_1291 = 
c_substring(BgL_newz00_1282, ((long)0), BgL_wz00_1285); 
BgL_val1_1085z00_1292 = 
(
(long)CINT(BgL_rz00_1284)+((long)3)); 
{ /* Llib/bigloo.scm 574 */
 int BgL_tmpz00_2711;
BgL_tmpz00_2711 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2711); } 
{ /* Llib/bigloo.scm 574 */
 obj_t BgL_auxz00_2716; int BgL_tmpz00_2714;
BgL_auxz00_2716 = 
BINT(BgL_val1_1085z00_1292); 
BgL_tmpz00_2714 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2714, BgL_auxz00_2716); } 
return BgL_val0_1084z00_1291;}  else 
{ /* Llib/bigloo.scm 573 */
return 
BGl_errorz00zz__errorz00(BGl_string1786z00zz__biglooz00, BGl_string1787z00zz__biglooz00, BgL_stringz00_2292);} }  else 
{ /* Llib/bigloo.scm 576 */
 unsigned char BgL_cz00_1294;
BgL_cz00_1294 = 
STRING_REF(BgL_stringz00_2292, 
(long)CINT(BgL_rz00_1284)); 
if(
(BgL_cz00_1294==((unsigned char)'z')))
{ /* Llib/bigloo.scm 577 */
if(
(
STRING_REF(BgL_stringz00_2292, 
(
(long)CINT(BgL_rz00_1284)+((long)1)))==((unsigned char)'z')))
{ /* Llib/bigloo.scm 579 */
 obj_t BgL_val0_1086z00_1299; long BgL_val1_1087z00_1300;
BgL_val0_1086z00_1299 = 
c_substring(BgL_newz00_1282, ((long)0), 
(BgL_wz00_1285-((long)1))); 
BgL_val1_1087z00_1300 = 
(
(long)CINT(BgL_rz00_1284)+((long)2)); 
{ /* Llib/bigloo.scm 579 */
 int BgL_tmpz00_2733;
BgL_tmpz00_2733 = 
(int)(((long)2)); 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2733); } 
{ /* Llib/bigloo.scm 579 */
 obj_t BgL_auxz00_2738; int BgL_tmpz00_2736;
BgL_auxz00_2738 = 
BINT(BgL_val1_1087z00_1300); 
BgL_tmpz00_2736 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2736, BgL_auxz00_2738); } 
return BgL_val0_1086z00_1299;}  else 
{ /* Llib/bigloo.scm 580 */
 long BgL_iz00_1302;
BgL_iz00_1302 = 
BGl_getzd28bitszd2integerze70ze7zz__biglooz00(BgL_stringz00_2292, BgL_rz00_1284); 
{ /* Llib/bigloo.scm 580 */
 unsigned char BgL_ncz00_1303;
BgL_ncz00_1303 = 
(BgL_iz00_1302); 
{ /* Llib/bigloo.scm 581 */

STRING_SET(BgL_newz00_1282, BgL_wz00_1285, BgL_ncz00_1303); 
{ /* Llib/bigloo.scm 583 */
 long BgL_arg1349z00_1304; long BgL_arg1350z00_1305; long BgL_arg1351z00_1306;
BgL_arg1349z00_1304 = 
(
(long)CINT(BgL_rz00_1284)+((long)3)); 
BgL_arg1350z00_1305 = 
(BgL_wz00_1285+((long)1)); 
BgL_arg1351z00_1306 = 
(BgL_checksumz00_1286 ^ BgL_iz00_1302); 
{ 
 long BgL_checksumz00_2751; long BgL_wz00_2750; obj_t BgL_rz00_2748;
BgL_rz00_2748 = 
BINT(BgL_arg1349z00_1304); 
BgL_wz00_2750 = BgL_arg1350z00_1305; 
BgL_checksumz00_2751 = BgL_arg1351z00_1306; 
BgL_checksumz00_1286 = BgL_checksumz00_2751; 
BgL_wz00_1285 = BgL_wz00_2750; 
BgL_rz00_1284 = BgL_rz00_2748; 
goto BgL_zc3z04anonymousza31338ze3z87_1287;} } } } } }  else 
{ /* Llib/bigloo.scm 577 */
STRING_SET(BgL_newz00_1282, BgL_wz00_1285, BgL_cz00_1294); 
{ /* Llib/bigloo.scm 588 */
 long BgL_arg1354z00_1309; long BgL_arg1355z00_1310;
BgL_arg1354z00_1309 = 
(
(long)CINT(BgL_rz00_1284)+((long)1)); 
BgL_arg1355z00_1310 = 
(BgL_wz00_1285+((long)1)); 
{ 
 long BgL_wz00_2758; obj_t BgL_rz00_2756;
BgL_rz00_2756 = 
BINT(BgL_arg1354z00_1309); 
BgL_wz00_2758 = BgL_arg1355z00_1310; 
BgL_wz00_1285 = BgL_wz00_2758; 
BgL_rz00_1284 = BgL_rz00_2756; 
goto BgL_zc3z04anonymousza31338ze3z87_1287;} } } } } } } } 

}



/* &bigloo-demangle */
obj_t BGl_z62bigloozd2demanglezb0zz__biglooz00(obj_t BgL_envz00_2262, obj_t BgL_stringz00_2263)
{
{ /* Llib/bigloo.scm 551 */
{ /* Llib/bigloo.scm 552 */
 obj_t BgL_auxz00_2759;
if(
STRINGP(BgL_stringz00_2263))
{ /* Llib/bigloo.scm 552 */
BgL_auxz00_2759 = BgL_stringz00_2263
; }  else 
{ 
 obj_t BgL_auxz00_2762;
BgL_auxz00_2762 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)21114)), BGl_string1788z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2263); 
FAILURE(BgL_auxz00_2762,BFALSE,BFALSE);} 
return 
bigloo_demangle(BgL_auxz00_2759);} } 

}



/* bigloo-module-demangle */
BGL_EXPORTED_DEF obj_t bigloo_module_demangle(obj_t BgL_stringz00_25)
{
{ /* Llib/bigloo.scm 614 */
{ /* Llib/bigloo.scm 615 */
 obj_t BgL_idz00_1332;
BgL_idz00_1332 = 
bigloo_demangle(BgL_stringz00_25); 
{ /* Llib/bigloo.scm 616 */
 obj_t BgL_modulez00_1333;
{ /* Llib/bigloo.scm 617 */
 obj_t BgL_tmpz00_2004;
{ /* Llib/bigloo.scm 617 */
 int BgL_tmpz00_2768;
BgL_tmpz00_2768 = 
(int)(((long)1)); 
BgL_tmpz00_2004 = 
BGL_MVALUES_VAL(BgL_tmpz00_2768); } 
{ /* Llib/bigloo.scm 617 */
 int BgL_tmpz00_2771;
BgL_tmpz00_2771 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2771, BUNSPEC); } 
BgL_modulez00_1333 = BgL_tmpz00_2004; } 
if(
STRINGP(BgL_modulez00_1333))
{ /* Llib/bigloo.scm 617 */
return 
string_append_3(BgL_idz00_1332, BGl_string1789z00zz__biglooz00, BgL_modulez00_1333);}  else 
{ /* Llib/bigloo.scm 617 */
return BgL_idz00_1332;} } } } 

}



/* &bigloo-module-demangle */
obj_t BGl_z62bigloozd2modulezd2demanglez62zz__biglooz00(obj_t BgL_envz00_2264, obj_t BgL_stringz00_2265)
{
{ /* Llib/bigloo.scm 614 */
{ /* Llib/bigloo.scm 615 */
 obj_t BgL_auxz00_2777;
if(
STRINGP(BgL_stringz00_2265))
{ /* Llib/bigloo.scm 615 */
BgL_auxz00_2777 = BgL_stringz00_2265
; }  else 
{ 
 obj_t BgL_auxz00_2780;
BgL_auxz00_2780 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)23189)), BGl_string1790z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2265); 
FAILURE(BgL_auxz00_2780,BFALSE,BFALSE);} 
return 
bigloo_module_demangle(BgL_auxz00_2777);} } 

}



/* bigloo-class-mangled? */
BGL_EXPORTED_DEF bool_t bigloo_class_mangledp(obj_t BgL_stringz00_26)
{
{ /* Llib/bigloo.scm 624 */
{ /* Llib/bigloo.scm 625 */
 long BgL_lenz00_1335;
BgL_lenz00_1335 = 
STRING_LENGTH(BgL_stringz00_26); 
if(
(BgL_lenz00_1335>((long)8)))
{ /* Llib/bigloo.scm 626 */
if(
(
STRING_REF(BgL_stringz00_26, 
(BgL_lenz00_1335-((long)1)))==((unsigned char)'t')))
{ /* Llib/bigloo.scm 627 */
if(
(
STRING_REF(BgL_stringz00_26, 
(BgL_lenz00_1335-((long)2)))==((unsigned char)'l')))
{ /* Llib/bigloo.scm 628 */
if(
(
STRING_REF(BgL_stringz00_26, 
(BgL_lenz00_1335-((long)3)))==((unsigned char)'g')))
{ /* Llib/bigloo.scm 629 */
if(
(
STRING_REF(BgL_stringz00_26, 
(BgL_lenz00_1335-((long)4)))==((unsigned char)'b')))
{ /* Llib/bigloo.scm 630 */
if(
(
STRING_REF(BgL_stringz00_26, 
(BgL_lenz00_1335-((long)5)))==((unsigned char)'_')))
{ /* Llib/bigloo.scm 631 */
BGL_TAIL return 
bigloo_mangledp(
c_substring(BgL_stringz00_26, ((long)0), 
(BgL_lenz00_1335-((long)5))));}  else 
{ /* Llib/bigloo.scm 631 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 630 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 629 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 628 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 627 */
return ((bool_t)0);} }  else 
{ /* Llib/bigloo.scm 626 */
return ((bool_t)0);} } } 

}



/* &bigloo-class-mangled? */
obj_t BGl_z62bigloozd2classzd2mangledzf3z91zz__biglooz00(obj_t BgL_envz00_2266, obj_t BgL_stringz00_2267)
{
{ /* Llib/bigloo.scm 624 */
{ /* Llib/bigloo.scm 625 */
 bool_t BgL_tmpz00_2811;
{ /* Llib/bigloo.scm 625 */
 obj_t BgL_auxz00_2812;
if(
STRINGP(BgL_stringz00_2267))
{ /* Llib/bigloo.scm 625 */
BgL_auxz00_2812 = BgL_stringz00_2267
; }  else 
{ 
 obj_t BgL_auxz00_2815;
BgL_auxz00_2815 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)23587)), BGl_string1791z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2267); 
FAILURE(BgL_auxz00_2815,BFALSE,BFALSE);} 
BgL_tmpz00_2811 = 
bigloo_class_mangledp(BgL_auxz00_2812); } 
return 
BBOOL(BgL_tmpz00_2811);} } 

}



/* bigloo-class-demangle */
BGL_EXPORTED_DEF obj_t bigloo_class_demangle(obj_t BgL_stringz00_27)
{
{ /* Llib/bigloo.scm 637 */
return 
string_append(
bigloo_demangle(
c_substring(BgL_stringz00_27, ((long)0), 
(
STRING_LENGTH(BgL_stringz00_27)-((long)5)))), BGl_string1792z00zz__biglooz00);} 

}



/* &bigloo-class-demangle */
obj_t BGl_z62bigloozd2classzd2demanglez62zz__biglooz00(obj_t BgL_envz00_2268, obj_t BgL_stringz00_2269)
{
{ /* Llib/bigloo.scm 637 */
{ /* Llib/bigloo.scm 639 */
 obj_t BgL_auxz00_2826;
if(
STRINGP(BgL_stringz00_2269))
{ /* Llib/bigloo.scm 639 */
BgL_auxz00_2826 = BgL_stringz00_2269
; }  else 
{ 
 obj_t BgL_auxz00_2829;
BgL_auxz00_2829 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)24279)), BGl_string1793z00zz__biglooz00, BGl_string1771z00zz__biglooz00, BgL_stringz00_2269); 
FAILURE(BgL_auxz00_2829,BFALSE,BFALSE);} 
return 
bigloo_class_demangle(BgL_auxz00_2826);} } 

}



/* bigloo-exit-mutex */
BGL_EXPORTED_DEF obj_t bgl_exit_mutex(void)
{
{ /* Llib/bigloo.scm 650 */
return BGl_za2exitzd2mutexza2zd2zz__biglooz00;} 

}



/* &bigloo-exit-mutex */
obj_t BGl_z62bigloozd2exitzd2mutexz62zz__biglooz00(obj_t BgL_envz00_2270)
{
{ /* Llib/bigloo.scm 650 */
return 
bgl_exit_mutex();} 

}



/* register-exit-function! */
BGL_EXPORTED_DEF obj_t BGl_registerzd2exitzd2functionz12z12zz__biglooz00(obj_t BgL_funz00_28)
{
{ /* Llib/bigloo.scm 661 */
{ /* Llib/bigloo.scm 662 */
 obj_t BgL_mutex1375z00_1358;
BgL_mutex1375z00_1358 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/bigloo.scm 662 */
 obj_t BgL_top1930z00_2836;
BgL_top1930z00_2836 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1375z00_1358); 
BGL_EXITD_PUSH_PROTECT(BgL_top1930z00_2836, BgL_mutex1375z00_1358); BUNSPEC; 
{ /* Llib/bigloo.scm 662 */
 obj_t BgL_tmp1929z00_2835;
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_28, 
(int)(((long)1))))
{ /* Llib/bigloo.scm 663 */
BgL_tmp1929z00_2835 = ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
MAKE_YOUNG_PAIR(BgL_funz00_28, BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00), BUNSPEC) ; }  else 
{ /* Llib/bigloo.scm 663 */
BgL_tmp1929z00_2835 = 
BGl_errorz00zz__errorz00(BGl_string1794z00zz__biglooz00, BGl_string1795z00zz__biglooz00, BgL_funz00_28); } 
BGL_EXITD_POP_PROTECT(BgL_top1930z00_2836); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1375z00_1358); 
return BgL_tmp1929z00_2835;} } } } 

}



/* &register-exit-function! */
obj_t BGl_z62registerzd2exitzd2functionz12z70zz__biglooz00(obj_t BgL_envz00_2271, obj_t BgL_funz00_2272)
{
{ /* Llib/bigloo.scm 661 */
{ /* Llib/bigloo.scm 662 */
 obj_t BgL_auxz00_2847;
if(
PROCEDUREP(BgL_funz00_2272))
{ /* Llib/bigloo.scm 662 */
BgL_auxz00_2847 = BgL_funz00_2272
; }  else 
{ 
 obj_t BgL_auxz00_2850;
BgL_auxz00_2850 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)25384)), BGl_string1796z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_funz00_2272); 
FAILURE(BgL_auxz00_2850,BFALSE,BFALSE);} 
return 
BGl_registerzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2847);} } 

}



/* unregister-exit-function! */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00(obj_t BgL_funz00_29)
{
{ /* Llib/bigloo.scm 672 */
{ /* Llib/bigloo.scm 673 */
 obj_t BgL_mutex1376z00_1359;
BgL_mutex1376z00_1359 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; 
{ /* Llib/bigloo.scm 673 */
 obj_t BgL_top1934z00_2856;
BgL_top1934z00_2856 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1376z00_1359); 
BGL_EXITD_PUSH_PROTECT(BgL_top1934z00_2856, BgL_mutex1376z00_1359); BUNSPEC; 
{ /* Llib/bigloo.scm 673 */
 obj_t BgL_tmp1933z00_2855;
BgL_tmp1933z00_2855 = ( 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
bgl_remq_bang(BgL_funz00_29, BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00), BUNSPEC) ; 
BGL_EXITD_POP_PROTECT(BgL_top1934z00_2856); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1376z00_1359); 
return BgL_tmp1933z00_2855;} } } } 

}



/* &unregister-exit-function! */
obj_t BGl_z62unregisterzd2exitzd2functionz12z70zz__biglooz00(obj_t BgL_envz00_2273, obj_t BgL_funz00_2274)
{
{ /* Llib/bigloo.scm 672 */
{ /* Llib/bigloo.scm 673 */
 obj_t BgL_auxz00_2863;
if(
PROCEDUREP(BgL_funz00_2274))
{ /* Llib/bigloo.scm 673 */
BgL_auxz00_2863 = BgL_funz00_2274
; }  else 
{ 
 obj_t BgL_auxz00_2866;
BgL_auxz00_2866 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)25869)), BGl_string1797z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_funz00_2274); 
FAILURE(BgL_auxz00_2866,BFALSE,BFALSE);} 
return 
BGl_unregisterzd2exitzd2functionz12z12zz__biglooz00(BgL_auxz00_2863);} } 

}



/* bigloo-exit-apply */
BGL_EXPORTED_DEF obj_t bigloo_exit_apply(obj_t BgL_valz00_30)
{
{ /* Llib/bigloo.scm 679 */
{ /* Llib/bigloo.scm 680 */
 obj_t BgL_mutz00_1360;
if(
BGL_MUTEXP(BGl_za2exitzd2mutexza2zd2zz__biglooz00))
{ /* Llib/bigloo.scm 680 */
BgL_mutz00_1360 = BGl_za2exitzd2mutexza2zd2zz__biglooz00; }  else 
{ /* Llib/bigloo.scm 680 */
BgL_mutz00_1360 = 
bgl_make_mutex(BGl_symbol1764z00zz__biglooz00); } 
{ /* Llib/bigloo.scm 683 */
 obj_t BgL_top1938z00_2875;
BgL_top1938z00_2875 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutz00_1360); 
BGL_EXITD_PUSH_PROTECT(BgL_top1938z00_2875, BgL_mutz00_1360); BUNSPEC; 
{ /* Llib/bigloo.scm 683 */
 obj_t BgL_tmp1937z00_2874;
{ 
 obj_t BgL_valz00_1362;
BgL_valz00_1362 = BgL_valz00_30; 
BgL_zc3z04anonymousza31377ze3z87_1363:
{ /* Llib/bigloo.scm 685 */
 obj_t BgL_valz00_1364;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_valz00_1362))
{ /* Llib/bigloo.scm 685 */
BgL_valz00_1364 = BgL_valz00_1362; }  else 
{ /* Llib/bigloo.scm 685 */
BgL_valz00_1364 = 
BINT(((long)0)); } 
if(
PAIRP(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00))
{ /* Llib/bigloo.scm 689 */
 obj_t BgL_funz00_1366;
BgL_funz00_1366 = 
CAR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00 = 
CDR(BGl_za2bigloozd2exitzd2functionsza2z00zz__biglooz00); 
{ /* Llib/bigloo.scm 692 */
 obj_t BgL_nvalz00_1367;
BgL_nvalz00_1367 = 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_funz00_1366))(BgL_funz00_1366, BgL_valz00_1364, BEOA); 
{ /* Llib/bigloo.scm 693 */
 obj_t BgL_arg1379z00_1368;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_nvalz00_1367))
{ /* Llib/bigloo.scm 693 */
BgL_arg1379z00_1368 = BgL_nvalz00_1367; }  else 
{ /* Llib/bigloo.scm 693 */
BgL_arg1379z00_1368 = BgL_valz00_1364; } 
{ 
 obj_t BgL_valz00_2892;
BgL_valz00_2892 = BgL_arg1379z00_1368; 
BgL_valz00_1362 = BgL_valz00_2892; 
goto BgL_zc3z04anonymousza31377ze3z87_1363;} } } }  else 
{ /* Llib/bigloo.scm 688 */
BgL_tmp1937z00_2874 = BgL_valz00_1364; } } } 
BGL_EXITD_POP_PROTECT(BgL_top1938z00_2875); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutz00_1360); 
return BgL_tmp1937z00_2874;} } } } 

}



/* &bigloo-exit-apply */
obj_t BGl_z62bigloozd2exitzd2applyz62zz__biglooz00(obj_t BgL_envz00_2275, obj_t BgL_valz00_2276)
{
{ /* Llib/bigloo.scm 679 */
return 
bigloo_exit_apply(BgL_valz00_2276);} 

}



/* time */
BGL_EXPORTED_DEF obj_t BGl_timez00zz__biglooz00(obj_t BgL_procz00_31)
{
{ /* Llib/bigloo.scm 699 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_31, 
(int)(((long)0))))
{ /* Llib/bigloo.scm 700 */
return 
bgl_time(BgL_procz00_31);}  else 
{ /* Llib/bigloo.scm 700 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1798z00zz__biglooz00, BGl_string1795z00zz__biglooz00, BgL_procz00_31);} } 

}



/* &time */
obj_t BGl_z62timez62zz__biglooz00(obj_t BgL_envz00_2277, obj_t BgL_procz00_2278)
{
{ /* Llib/bigloo.scm 699 */
{ /* Llib/bigloo.scm 700 */
 obj_t BgL_auxz00_2901;
if(
PROCEDUREP(BgL_procz00_2278))
{ /* Llib/bigloo.scm 700 */
BgL_auxz00_2901 = BgL_procz00_2278
; }  else 
{ 
 obj_t BgL_auxz00_2904;
BgL_auxz00_2904 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__biglooz00, 
BINT(((long)26940)), BGl_string1800z00zz__biglooz00, BGl_string1773z00zz__biglooz00, BgL_procz00_2278); 
FAILURE(BgL_auxz00_2904,BFALSE,BFALSE);} 
return 
BGl_timez00zz__biglooz00(BgL_auxz00_2901);} } 

}



/* bmem-reset! */
BGL_EXPORTED_DEF obj_t BGl_bmemzd2resetz12zc0zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 711 */
BGL_TAIL return 
bgl_bmem_reset();} 

}



/* &bmem-reset! */
obj_t BGl_z62bmemzd2resetz12za2zz__biglooz00(obj_t BgL_envz00_2279)
{
{ /* Llib/bigloo.scm 711 */
return 
BGl_bmemzd2resetz12zc0zz__biglooz00();} 

}



/* bigloo-gc-verbose-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(bool_t BgL_procz00_32)
{
{ /* Llib/bigloo.scm 719 */
bgl_gc_verbose_set(BgL_procz00_32); 
return BUNSPEC;} 

}



/* &bigloo-gc-verbose-set! */
obj_t BGl_z62bigloozd2gczd2verbosezd2setz12za2zz__biglooz00(obj_t BgL_envz00_2280, obj_t BgL_procz00_2281)
{
{ /* Llib/bigloo.scm 719 */
return 
BGl_bigloozd2gczd2verbosezd2setz12zc0zz__biglooz00(
CBOOL(BgL_procz00_2281));} 

}



/* make-cell */
BGL_EXPORTED_DEF obj_t BGl_makezd2cellzd2zz__biglooz00(obj_t BgL_valz00_33)
{
{ /* Llib/bigloo.scm 727 */
return 
MAKE_YOUNG_CELL(BgL_valz00_33);} 

}



/* &make-cell */
obj_t BGl_z62makezd2cellzb0zz__biglooz00(obj_t BgL_envz00_2282, obj_t BgL_valz00_2283)
{
{ /* Llib/bigloo.scm 727 */
return 
BGl_makezd2cellzd2zz__biglooz00(BgL_valz00_2283);} 

}



/* cell? */
BGL_EXPORTED_DEF obj_t BGl_cellzf3zf3zz__biglooz00(obj_t BgL_objz00_34)
{
{ /* Llib/bigloo.scm 733 */
return 
BBOOL(
CELLP(BgL_objz00_34));} 

}



/* &cell? */
obj_t BGl_z62cellzf3z91zz__biglooz00(obj_t BgL_envz00_2284, obj_t BgL_objz00_2285)
{
{ /* Llib/bigloo.scm 733 */
return 
BGl_cellzf3zf3zz__biglooz00(BgL_objz00_2285);} 

}



/* cell-ref */
BGL_EXPORTED_DEF obj_t BGl_cellzd2refzd2zz__biglooz00(obj_t BgL_cellz00_35)
{
{ /* Llib/bigloo.scm 739 */
return 
CELL_REF(BgL_cellz00_35);} 

}



/* &cell-ref */
obj_t BGl_z62cellzd2refzb0zz__biglooz00(obj_t BgL_envz00_2286, obj_t BgL_cellz00_2287)
{
{ /* Llib/bigloo.scm 739 */
return 
BGl_cellzd2refzd2zz__biglooz00(BgL_cellz00_2287);} 

}



/* cell-set! */
BGL_EXPORTED_DEF obj_t BGl_cellzd2setz12zc0zz__biglooz00(obj_t BgL_cellz00_36, obj_t BgL_valz00_37)
{
{ /* Llib/bigloo.scm 745 */
return 
CELL_SET(BgL_cellz00_36, BgL_valz00_37);} 

}



/* &cell-set! */
obj_t BGl_z62cellzd2setz12za2zz__biglooz00(obj_t BgL_envz00_2288, obj_t BgL_cellz00_2289, obj_t BgL_valz00_2290)
{
{ /* Llib/bigloo.scm 745 */
return 
BGl_cellzd2setz12zc0zz__biglooz00(BgL_cellz00_2289, BgL_valz00_2290);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__biglooz00(void)
{
{ /* Llib/bigloo.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1801z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)531040602), 
BSTRING_TO_STRING(BGl_string1801z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1801z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1801z00zz__biglooz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1801z00zz__biglooz00)); 
return 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string1801z00zz__biglooz00));} 

}

#ifdef __cplusplus
}
#endif
