/*===========================================================================*/
/*   (Llib/trace.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/trace.scm -o objs/obj_p/Llib/trace.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62tracezd2colorzb0zz__tracez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tracezd2marginzd2setz12z12zz__tracez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_z52withzd2tracez80zz__tracez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__tracez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__tracez00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__tracez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tracezd2stringzd2zz__tracez00(obj_t);
static obj_t BGl_tracezd2alistzd2getz00zz__tracez00(obj_t, obj_t);
static obj_t BGl_tracezd2alistzd2setz12z12zz__tracez00(obj_t, obj_t, obj_t);
extern obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__tracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tracezd2boldzd2zz__tracez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31300ze3ze5zz__tracez00(obj_t);
static obj_t BGl_z62tracezd2activezf3z43zz__tracez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tracezd2portzd2zz__tracez00(void);
static obj_t BGl_toplevelzd2initzd2zz__tracez00(void);
extern int bgl_debug(void);
static obj_t BGl_tracezd2alistzd2zz__tracez00(void);
static obj_t BGl_z62tracezd2boldzb0zz__tracez00(obj_t, obj_t);
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__tracez00(void);
static obj_t BGl_genericzd2initzd2zz__tracez00(void);
static obj_t BGl_z62tracezd2portzb0zz__tracez00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__tracez00(void);
extern obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__tracez00(void);
static obj_t BGl_objectzd2initzd2zz__tracez00(void);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t BGl_displayzd2circlezd2zz__pp_circlez00(obj_t, obj_t);
extern obj_t BGl_bigloozd2tracezd2zz__paramz00(void);
BGL_EXPORTED_DECL obj_t BGl_tracezd2colorzd2zz__tracez00(int, obj_t);
extern obj_t BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__tracez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__tracez00(obj_t);
extern obj_t BGl_displayza2za2zz__r4_output_6_10_3z00(obj_t);
static obj_t BGl_z62z52withzd2traceze2zz__tracez00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_bigloozd2tracezd2colorz00zz__paramz00(void);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__tracez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_tracezd2portzd2setz12z12zz__tracez00(obj_t);
static obj_t BGl_z62tracezd2portzd2setz12z70zz__tracez00(obj_t, obj_t);
extern obj_t BGl_writez00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31298ze3ze5zz__tracez00(obj_t);
static obj_t BGl_methodzd2initzd2zz__tracez00(void);
BGL_EXPORTED_DECL obj_t BGl_tracezd2itemzd2zz__tracez00(obj_t);
static obj_t BGl_profzd2initzd2zz__tracez00(void);
static obj_t BGl_z62tracezd2marginzb0zz__tracez00(obj_t);
static obj_t BGl_za2tracezd2mutexza2zd2zz__tracez00 = BUNSPEC;
static obj_t BGl_z62tracezd2marginzd2setz12z70zz__tracez00(obj_t, obj_t);
static obj_t BGl_z62tracezd2itemzb0zz__tracez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_tracezd2marginzd2zz__tracez00(void);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_symbol1656z00zz__tracez00 = BUNSPEC;
static obj_t BGl_symbol1658z00zz__tracez00 = BUNSPEC;
static obj_t BGl_symbol1660z00zz__tracez00 = BUNSPEC;
static obj_t BGl_symbol1663z00zz__tracez00 = BUNSPEC;
static obj_t BGl_symbol1665z00zz__tracez00 = BUNSPEC;
static obj_t BGl_ttyzd2tracezd2colorz00zz__tracez00(int, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_symbol1668z00zz__tracez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_tracezd2activezf3z21zz__tracez00(obj_t);
static obj_t BGl_z62tracezd2stringzb0zz__tracez00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2colorzd2envz00zz__tracez00, BgL_bgl_za762traceza7d2color1687z00, va_generic_entry, BGl_z62tracezd2colorzb0zz__tracez00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z52withzd2tracezd2envz52zz__tracez00, BgL_bgl_za762za752withza7d2tra1688za7, BGl_z62z52withzd2traceze2zz__tracez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2marginzd2envz00zz__tracez00, BgL_bgl_za762traceza7d2margi1689z00, BGl_z62tracezd2marginzb0zz__tracez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2portzd2setz12zd2envzc0zz__tracez00, BgL_bgl_za762traceza7d2portza71690za7, BGl_z62tracezd2portzd2setz12z70zz__tracez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2boldzd2envz00zz__tracez00, BgL_bgl_za762traceza7d2boldza71691za7, va_generic_entry, BGl_z62tracezd2boldzb0zz__tracez00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2itemzd2envz00zz__tracez00, BgL_bgl_za762traceza7d2itemza71692za7, va_generic_entry, BGl_z62tracezd2itemzb0zz__tracez00, BUNSPEC, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2portzd2envz00zz__tracez00, BgL_bgl_za762traceza7d2portza71693za7, BGl_z62tracezd2portzb0zz__tracez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1655z00zz__tracez00, BgL_bgl_string1655za700za7za7_1694za7, "trace", 5 );
DEFINE_STRING( BGl_string1657z00zz__tracez00, BgL_bgl_string1657za700za7za7_1695za7, "port", 4 );
DEFINE_STRING( BGl_string1659z00zz__tracez00, BgL_bgl_string1659za700za7za7_1696za7, "depth", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2activezf3zd2envzf3zz__tracez00, BgL_bgl_za762traceza7d2activ1697z00, BGl_z62tracezd2activezf3z43zz__tracez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1661z00zz__tracez00, BgL_bgl_string1661za700za7za7_1698za7, "margin", 6 );
DEFINE_STRING( BGl_string1662z00zz__tracez00, BgL_bgl_string1662za700za7za7_1699za7, "", 0 );
DEFINE_STRING( BGl_string1664z00zz__tracez00, BgL_bgl_string1664za700za7za7_1700za7, "margin-level", 12 );
DEFINE_STRING( BGl_string1666z00zz__tracez00, BgL_bgl_string1666za700za7za7_1701za7, "trace-alist-get", 15 );
DEFINE_STRING( BGl_string1667z00zz__tracez00, BgL_bgl_string1667za700za7za7_1702za7, "Can't find trace-value", 22 );
DEFINE_STRING( BGl_string1669z00zz__tracez00, BgL_bgl_string1669za700za7za7_1703za7, "trace-alist-set!", 16 );
DEFINE_STRING( BGl_string1670z00zz__tracez00, BgL_bgl_string1670za700za7za7_1704za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Llib/trace.scm", 58 );
DEFINE_STRING( BGl_string1671z00zz__tracez00, BgL_bgl_string1671za700za7za7_1705za7, "&trace-port-set!", 16 );
DEFINE_STRING( BGl_string1672z00zz__tracez00, BgL_bgl_string1672za700za7za7_1706za7, "output-port", 11 );
DEFINE_STRING( BGl_string1673z00zz__tracez00, BgL_bgl_string1673za700za7za7_1707za7, "&trace-margin-set!", 18 );
DEFINE_STRING( BGl_string1674z00zz__tracez00, BgL_bgl_string1674za700za7za7_1708za7, "bstring", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2stringzd2envz00zz__tracez00, BgL_bgl_za762traceza7d2strin1709z00, BGl_z62tracezd2stringzb0zz__tracez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1675z00zz__tracez00, BgL_bgl_string1675za700za7za7_1710za7, "&trace-color", 12 );
DEFINE_STRING( BGl_string1676z00zz__tracez00, BgL_bgl_string1676za700za7za7_1711za7, "bint", 4 );
DEFINE_STRING( BGl_string1677z00zz__tracez00, BgL_bgl_string1677za700za7za7_1712za7, "m", 1 );
DEFINE_STRING( BGl_string1678z00zz__tracez00, BgL_bgl_string1678za700za7za7_1713za7, "\033[0m\033[1;", 8 );
DEFINE_STRING( BGl_string1679z00zz__tracez00, BgL_bgl_string1679za700za7za7_1714za7, "\033[0m", 4 );
DEFINE_STRING( BGl_string1680z00zz__tracez00, BgL_bgl_string1680za700za7za7_1715za7, "- ", 2 );
DEFINE_STRING( BGl_string1681z00zz__tracez00, BgL_bgl_string1681za700za7za7_1716za7, "  |", 3 );
DEFINE_STRING( BGl_string1682z00zz__tracez00, BgL_bgl_string1682za700za7za7_1717za7, "&%with-trace", 12 );
DEFINE_STRING( BGl_string1683z00zz__tracez00, BgL_bgl_string1683za700za7za7_1718za7, "procedure", 9 );
DEFINE_STRING( BGl_string1684z00zz__tracez00, BgL_bgl_string1684za700za7za7_1719za7, "+ ", 2 );
DEFINE_STRING( BGl_string1685z00zz__tracez00, BgL_bgl_string1685za700za7za7_1720za7, "--+ ", 4 );
DEFINE_STRING( BGl_string1686z00zz__tracez00, BgL_bgl_string1686za700za7za7_1721za7, "__trace", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_tracezd2marginzd2setz12zd2envzc0zz__tracez00, BgL_bgl_za762traceza7d2margi1722z00, BGl_z62tracezd2marginzd2setz12z70zz__tracez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__tracez00) );
ADD_ROOT( (void *)(&BGl_za2tracezd2mutexza2zd2zz__tracez00) );
ADD_ROOT( (void *)(&BGl_symbol1656z00zz__tracez00) );
ADD_ROOT( (void *)(&BGl_symbol1658z00zz__tracez00) );
ADD_ROOT( (void *)(&BGl_symbol1660z00zz__tracez00) );
ADD_ROOT( (void *)(&BGl_symbol1663z00zz__tracez00) );
ADD_ROOT( (void *)(&BGl_symbol1665z00zz__tracez00) );
ADD_ROOT( (void *)(&BGl_symbol1668z00zz__tracez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Llib/trace.scm\" 963) \"BGl_toplevelzd2initzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-alist\" \"Llib/trace.scm\" 2935) \"BGl_tracezd2alistzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-alist-get\" \"Llib/trace.scm\" 3431) \"BGl_tracezd2alistzd2getz00zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-alist-set!\" \"Llib/trace.scm\" 3812) \"BGl_tracezd2alistzd2setz12z12zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-port\" \"Llib/trace.scm\" 4208) \"BGl_tracezd2portzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-port\" \"Llib/trace.scm\" 4208) \"BGl_z62tracezd2portzb0zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-port-set!\" \"Llib/trace.scm\" 4494) \"BGl_tracezd2portzd2setz12z12zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-port-set!\" \"Llib/trace.scm\" 4494) \"BGl_z62tracezd2portzd2setz12z70zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-margin\" \"Llib/trace.scm\" 4790) \"BGl_tracezd2marginzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-margin\" \"Llib/trace.scm\" 4790) \"BGl_z62tracezd2marginzb0zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-margin-set!\" \"Llib/trace.scm\" 5080) \"BGl_tracezd2marginzd2setz12z12zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-margin-set!\" \"Llib/trace.scm\" 5080) \"BGl_z62tracezd2marginzd2setz12z70zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-color\" \"Llib/trace.scm\" 5380) \"BGl_tracezd2colorzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-color\" \"Llib/trace.scm\" 5380) \"BGl_z62tracezd2colorzb0zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1192>\" \"Llib/trace.scm\" 5475) \"BGl_z62zc3z04anonymousza31192ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1209>\" \"Llib/trace.scm\" 5592) \"BGl_z62zc3z04anonymousza31209ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-bold\" \"Llib/trace.scm\" 5864) \"BGl_tracezd2boldzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-bold\" \"Llib/trace.scm\" 5864) \"BGl_z62tracezd2boldzb0zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"tty-trace-color\" \"Llib/trace.scm\" 6142) \"BGl_ttyzd2tracezd2colorz00zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1224>\" \"Llib/trace.scm\" 6289) \"BGl_z62zc3z04anonymousza31224ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-string\" \"Llib/trace.scm\" 6561) \"BGl_tracezd2stringzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-string\" \"Llib/trace.scm\" 6561) \"BGl_z62tracezd2stringzb0zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1232>\" \"Llib/trace.scm\" 6618) \"BGl_z62zc3z04anonymousza31232ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-item\" \"Llib/trace.scm\" 6867) \"BGl_tracezd2itemzd2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-item\" \"Llib/trace.scm\" 6867) \"BGl_z62tracezd2itemzb0zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"trace-active?\" \"Llib/trace.scm\" 7527) \"BGl_tracezd2activezf3z21zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&trace-active?\" \"Llib/trace.scm\" 7527) \"BGl_z62tracezd2activezf3z43zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"%with-trace\" \"Llib/trace.scm\" 7886) \"BGl_z52withzd2tracez80zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&%with-trace\" \"Llib/trace.scm\" 7886) \"BGl_z62z52withzd2traceze2zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1298>\" \"Llib/trace.scm\" 8604) \"BGl_z62zc3z04anonymousza31298ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1273>\" \"Llib/trace.scm\" 8259) \"BGl_z62zc3z04anonymousza31273ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1300>\" \"Llib/trace.scm\" 8763) \"BGl_z62zc3z04anonymousza31300ze3ze5zz__tracez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__tracez00(long BgL_checksumz00_1963, char * BgL_fromz00_1964)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__tracez00))
{ 
BGl_requirezd2initializa7ationz75zz__tracez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__tracez00(); 
BGl_cnstzd2initzd2zz__tracez00(); 
BGl_importedzd2moduleszd2initz00zz__tracez00(); 
BGl_toplevelzd2initzd2zz__tracez00(); 
return 
BGl_profzd2initzd2zz__tracez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
BGl_symbol1656z00zz__tracez00 = 
bstring_to_symbol(BGl_string1657z00zz__tracez00); 
BGl_symbol1658z00zz__tracez00 = 
bstring_to_symbol(BGl_string1659z00zz__tracez00); 
BGl_symbol1660z00zz__tracez00 = 
bstring_to_symbol(BGl_string1661z00zz__tracez00); 
BGl_symbol1663z00zz__tracez00 = 
bstring_to_symbol(BGl_string1664z00zz__tracez00); 
BGl_symbol1665z00zz__tracez00 = 
bstring_to_symbol(BGl_string1666z00zz__tracez00); 
return ( 
BGl_symbol1668z00zz__tracez00 = 
bstring_to_symbol(BGl_string1669z00zz__tracez00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
return ( 
BGl_za2tracezd2mutexza2zd2zz__tracez00 = 
bgl_make_mutex(BGl_string1655z00zz__tracez00), BUNSPEC) ;} 

}



/* trace-alist */
obj_t BGl_tracezd2alistzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 82 */
{ /* Llib/trace.scm 83 */
 obj_t BgL_alz00_1109;
BgL_alz00_1109 = 
BGL_DEBUG_ALIST_GET(); 
if(
NULLP(BgL_alz00_1109))
{ /* Llib/trace.scm 86 */
 obj_t BgL_newzd2alzd2_1111;
{ /* Llib/trace.scm 86 */
 obj_t BgL_arg1168z00_1112; obj_t BgL_arg1170z00_1113; obj_t BgL_arg1171z00_1114; obj_t BgL_arg1174z00_1115;
{ /* Llib/trace.scm 86 */
 obj_t BgL_arg1180z00_1120;
{ /* Llib/trace.scm 86 */
 obj_t BgL_tmpz00_1985;
BgL_tmpz00_1985 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1180z00_1120 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_1985); } 
BgL_arg1168z00_1112 = 
MAKE_YOUNG_PAIR(BGl_symbol1656z00zz__tracez00, BgL_arg1180z00_1120); } 
BgL_arg1170z00_1113 = 
MAKE_YOUNG_PAIR(BGl_symbol1658z00zz__tracez00, 
BINT(((long)0))); 
BgL_arg1171z00_1114 = 
MAKE_YOUNG_PAIR(BGl_symbol1660z00zz__tracez00, BGl_string1662z00zz__tracez00); 
BgL_arg1174z00_1115 = 
MAKE_YOUNG_PAIR(BGl_symbol1663z00zz__tracez00, 
BINT(((long)0))); 
{ /* Llib/trace.scm 86 */
 obj_t BgL_list1175z00_1116;
{ /* Llib/trace.scm 86 */
 obj_t BgL_arg1177z00_1117;
{ /* Llib/trace.scm 86 */
 obj_t BgL_arg1178z00_1118;
{ /* Llib/trace.scm 86 */
 obj_t BgL_arg1179z00_1119;
BgL_arg1179z00_1119 = 
MAKE_YOUNG_PAIR(BgL_arg1174z00_1115, BNIL); 
BgL_arg1178z00_1118 = 
MAKE_YOUNG_PAIR(BgL_arg1171z00_1114, BgL_arg1179z00_1119); } 
BgL_arg1177z00_1117 = 
MAKE_YOUNG_PAIR(BgL_arg1170z00_1113, BgL_arg1178z00_1118); } 
BgL_list1175z00_1116 = 
MAKE_YOUNG_PAIR(BgL_arg1168z00_1112, BgL_arg1177z00_1117); } 
BgL_newzd2alzd2_1111 = BgL_list1175z00_1116; } } 
BGL_DEBUG_ALIST_SET(BgL_newzd2alzd2_1111); BUNSPEC; 
return BgL_newzd2alzd2_1111;}  else 
{ /* Llib/trace.scm 84 */
return BgL_alz00_1109;} } } 

}



/* trace-alist-get */
obj_t BGl_tracezd2alistzd2getz00zz__tracez00(obj_t BgL_alistz00_3, obj_t BgL_keyz00_4)
{
{ /* Llib/trace.scm 96 */
{ /* Llib/trace.scm 97 */
 obj_t BgL_cz00_1121;
BgL_cz00_1121 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_4, BgL_alistz00_3); 
if(
PAIRP(BgL_cz00_1121))
{ /* Llib/trace.scm 98 */
return 
CDR(BgL_cz00_1121);}  else 
{ /* Llib/trace.scm 98 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1665z00zz__tracez00, BGl_string1667z00zz__tracez00, BgL_keyz00_4);} } } 

}



/* trace-alist-set! */
obj_t BGl_tracezd2alistzd2setz12z12zz__tracez00(obj_t BgL_alistz00_5, obj_t BgL_keyz00_6, obj_t BgL_valz00_7)
{
{ /* Llib/trace.scm 105 */
{ /* Llib/trace.scm 106 */
 obj_t BgL_cz00_1123;
BgL_cz00_1123 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_keyz00_6, BgL_alistz00_5); 
if(
PAIRP(BgL_cz00_1123))
{ /* Llib/trace.scm 107 */
return 
SET_CDR(BgL_cz00_1123, BgL_valz00_7);}  else 
{ /* Llib/trace.scm 107 */
return 
BGl_errorz00zz__errorz00(BGl_symbol1668z00zz__tracez00, BGl_string1667z00zz__tracez00, BgL_keyz00_6);} } } 

}



/* trace-port */
BGL_EXPORTED_DEF obj_t BGl_tracezd2portzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 114 */
{ /* Llib/trace.scm 115 */
 obj_t BgL_arg1183z00_1125;
BgL_arg1183z00_1125 = 
BGl_tracezd2alistzd2zz__tracez00(); 
return 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_arg1183z00_1125, BGl_symbol1656z00zz__tracez00);} } 

}



/* &trace-port */
obj_t BGl_z62tracezd2portzb0zz__tracez00(obj_t BgL_envz00_1880)
{
{ /* Llib/trace.scm 114 */
return 
BGl_tracezd2portzd2zz__tracez00();} 

}



/* trace-port-set! */
BGL_EXPORTED_DEF obj_t BGl_tracezd2portzd2setz12z12zz__tracez00(obj_t BgL_pz00_8)
{
{ /* Llib/trace.scm 120 */
{ /* Llib/trace.scm 121 */
 obj_t BgL_arg1185z00_1126;
BgL_arg1185z00_1126 = 
BGl_tracezd2alistzd2zz__tracez00(); 
return 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_arg1185z00_1126, BGl_symbol1656z00zz__tracez00, BgL_pz00_8);} } 

}



/* &trace-port-set! */
obj_t BGl_z62tracezd2portzd2setz12z70zz__tracez00(obj_t BgL_envz00_1881, obj_t BgL_pz00_1882)
{
{ /* Llib/trace.scm 120 */
{ /* Llib/trace.scm 121 */
 obj_t BgL_auxz00_2014;
if(
OUTPUT_PORTP(BgL_pz00_1882))
{ /* Llib/trace.scm 121 */
BgL_auxz00_2014 = BgL_pz00_1882
; }  else 
{ 
 obj_t BgL_auxz00_2017;
BgL_auxz00_2017 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__tracez00, 
BINT(((long)4543)), BGl_string1671z00zz__tracez00, BGl_string1672z00zz__tracez00, BgL_pz00_1882); 
FAILURE(BgL_auxz00_2017,BFALSE,BFALSE);} 
return 
BGl_tracezd2portzd2setz12z12zz__tracez00(BgL_auxz00_2014);} } 

}



/* trace-margin */
BGL_EXPORTED_DEF obj_t BGl_tracezd2marginzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 126 */
{ /* Llib/trace.scm 127 */
 obj_t BgL_arg1187z00_1127;
BgL_arg1187z00_1127 = 
BGl_tracezd2alistzd2zz__tracez00(); 
return 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_arg1187z00_1127, BGl_symbol1660z00zz__tracez00);} } 

}



/* &trace-margin */
obj_t BGl_z62tracezd2marginzb0zz__tracez00(obj_t BgL_envz00_1883)
{
{ /* Llib/trace.scm 126 */
return 
BGl_tracezd2marginzd2zz__tracez00();} 

}



/* trace-margin-set! */
BGL_EXPORTED_DEF obj_t BGl_tracezd2marginzd2setz12z12zz__tracez00(obj_t BgL_mz00_9)
{
{ /* Llib/trace.scm 132 */
{ /* Llib/trace.scm 133 */
 obj_t BgL_arg1189z00_1128;
BgL_arg1189z00_1128 = 
BGl_tracezd2alistzd2zz__tracez00(); 
return 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_arg1189z00_1128, BGl_symbol1660z00zz__tracez00, BgL_mz00_9);} } 

}



/* &trace-margin-set! */
obj_t BGl_z62tracezd2marginzd2setz12z70zz__tracez00(obj_t BgL_envz00_1884, obj_t BgL_mz00_1885)
{
{ /* Llib/trace.scm 132 */
{ /* Llib/trace.scm 133 */
 obj_t BgL_auxz00_2027;
if(
STRINGP(BgL_mz00_1885))
{ /* Llib/trace.scm 133 */
BgL_auxz00_2027 = BgL_mz00_1885
; }  else 
{ 
 obj_t BgL_auxz00_2030;
BgL_auxz00_2030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__tracez00, 
BINT(((long)5131)), BGl_string1673z00zz__tracez00, BGl_string1674z00zz__tracez00, BgL_mz00_1885); 
FAILURE(BgL_auxz00_2030,BFALSE,BFALSE);} 
return 
BGl_tracezd2marginzd2setz12z12zz__tracez00(BgL_auxz00_2027);} } 

}



/* trace-color */
BGL_EXPORTED_DEF obj_t BGl_tracezd2colorzd2zz__tracez00(int BgL_colz00_10, obj_t BgL_oz00_11)
{
{ /* Llib/trace.scm 138 */
{ /* Llib/trace.scm 140 */
 obj_t BgL_arg1190z00_1129;
if(
BGl_bigloozd2tracezd2colorz00zz__paramz00())
{ /* Llib/trace.scm 141 */
 obj_t BgL_zc3z04anonymousza31192ze3z87_1886;
BgL_zc3z04anonymousza31192ze3z87_1886 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31192ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31192ze3z87_1886, 
(int)(((long)0)), 
BINT(BgL_colz00_10)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31192ze3z87_1886, 
(int)(((long)1)), BgL_oz00_11); 
BgL_arg1190z00_1129 = BgL_zc3z04anonymousza31192ze3z87_1886; }  else 
{ /* Llib/trace.scm 145 */
 obj_t BgL_zc3z04anonymousza31209ze3z87_1887;
BgL_zc3z04anonymousza31209ze3z87_1887 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31209ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31209ze3z87_1887, 
(int)(((long)0)), BgL_oz00_11); 
BgL_arg1190z00_1129 = BgL_zc3z04anonymousza31209ze3z87_1887; } 
return 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_arg1190z00_1129);} } 

}



/* &trace-color */
obj_t BGl_z62tracezd2colorzb0zz__tracez00(obj_t BgL_envz00_1888, obj_t BgL_colz00_1889, obj_t BgL_oz00_1890)
{
{ /* Llib/trace.scm 138 */
{ /* Llib/trace.scm 140 */
 int BgL_auxz00_2051;
{ /* Llib/trace.scm 140 */
 obj_t BgL_tmpz00_2052;
if(
INTEGERP(BgL_colz00_1889))
{ /* Llib/trace.scm 140 */
BgL_tmpz00_2052 = BgL_colz00_1889
; }  else 
{ 
 obj_t BgL_auxz00_2055;
BgL_auxz00_2055 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__tracez00, 
BINT(((long)5447)), BGl_string1675z00zz__tracez00, BGl_string1676z00zz__tracez00, BgL_colz00_1889); 
FAILURE(BgL_auxz00_2055,BFALSE,BFALSE);} 
BgL_auxz00_2051 = 
CINT(BgL_tmpz00_2052); } 
return 
BGl_tracezd2colorzd2zz__tracez00(BgL_auxz00_2051, BgL_oz00_1890);} } 

}



/* &<@anonymous:1192> */
obj_t BGl_z62zc3z04anonymousza31192ze3ze5zz__tracez00(obj_t BgL_envz00_1891)
{
{ /* Llib/trace.scm 141 */
{ /* Llib/trace.scm 142 */
 int BgL_colz00_1892; obj_t BgL_oz00_1893;
BgL_colz00_1892 = 
CINT(
PROCEDURE_REF(BgL_envz00_1891, 
(int)(((long)0)))); 
BgL_oz00_1893 = 
PROCEDURE_REF(BgL_envz00_1891, 
(int)(((long)1))); 
{ /* Llib/trace.scm 142 */
 long BgL_arg1194z00_1936;
BgL_arg1194z00_1936 = 
(((long)31)+
(long)(BgL_colz00_1892)); 
{ /* Llib/trace.scm 142 */
 obj_t BgL_list1195z00_1937;
{ /* Llib/trace.scm 142 */
 obj_t BgL_arg1197z00_1938;
{ /* Llib/trace.scm 142 */
 obj_t BgL_arg1199z00_1939;
BgL_arg1199z00_1939 = 
MAKE_YOUNG_PAIR(BGl_string1677z00zz__tracez00, BNIL); 
BgL_arg1197z00_1938 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1194z00_1936), BgL_arg1199z00_1939); } 
BgL_list1195z00_1937 = 
MAKE_YOUNG_PAIR(BGl_string1678z00zz__tracez00, BgL_arg1197z00_1938); } 
BGl_displayza2za2zz__r4_output_6_10_3z00(BgL_list1195z00_1937); } } 
{ 
 obj_t BgL_l1075z00_1941;
BgL_l1075z00_1941 = BgL_oz00_1893; 
BgL_zc3z04anonymousza31200ze3z87_1940:
if(
PAIRP(BgL_l1075z00_1941))
{ /* Llib/trace.scm 143 */
{ /* Llib/trace.scm 143 */
 obj_t BgL_arg1202z00_1942;
BgL_arg1202z00_1942 = 
CAR(BgL_l1075z00_1941); 
{ /* Llib/trace.scm 143 */
 obj_t BgL_portz00_1943;
{ /* Llib/trace.scm 143 */
 obj_t BgL_tmpz00_2076;
BgL_tmpz00_2076 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_portz00_1943 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2076); } 
{ /* Llib/trace.scm 143 */

BGl_displayzd2circlezd2zz__pp_circlez00(BgL_arg1202z00_1942, BgL_portz00_1943); } } } 
{ 
 obj_t BgL_l1075z00_2080;
BgL_l1075z00_2080 = 
CDR(BgL_l1075z00_1941); 
BgL_l1075z00_1941 = BgL_l1075z00_2080; 
goto BgL_zc3z04anonymousza31200ze3z87_1940;} }  else 
{ /* Llib/trace.scm 143 */((bool_t)1); } } 
{ /* Llib/trace.scm 144 */
 obj_t BgL_arg1208z00_1944;
{ /* Llib/trace.scm 144 */
 obj_t BgL_tmpz00_2082;
BgL_tmpz00_2082 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1208z00_1944 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2082); } 
return 
bgl_display_string(BGl_string1679z00zz__tracez00, BgL_arg1208z00_1944);} } } 

}



/* &<@anonymous:1209> */
obj_t BGl_z62zc3z04anonymousza31209ze3ze5zz__tracez00(obj_t BgL_envz00_1894)
{
{ /* Llib/trace.scm 145 */
{ /* Llib/trace.scm 146 */
 obj_t BgL_oz00_1895;
BgL_oz00_1895 = 
PROCEDURE_REF(BgL_envz00_1894, 
(int)(((long)0))); 
{ /* Llib/trace.scm 146 */
 bool_t BgL_tmpz00_2088;
{ 
 obj_t BgL_l1077z00_1946;
BgL_l1077z00_1946 = BgL_oz00_1895; 
BgL_zc3z04anonymousza31210ze3z87_1945:
if(
PAIRP(BgL_l1077z00_1946))
{ /* Llib/trace.scm 146 */
{ /* Llib/trace.scm 146 */
 obj_t BgL_arg1213z00_1947;
BgL_arg1213z00_1947 = 
CAR(BgL_l1077z00_1946); 
{ /* Llib/trace.scm 146 */
 obj_t BgL_portz00_1948;
{ /* Llib/trace.scm 146 */
 obj_t BgL_tmpz00_2092;
BgL_tmpz00_2092 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_portz00_1948 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2092); } 
{ /* Llib/trace.scm 146 */

BGl_displayzd2circlezd2zz__pp_circlez00(BgL_arg1213z00_1947, BgL_portz00_1948); } } } 
{ 
 obj_t BgL_l1077z00_2096;
BgL_l1077z00_2096 = 
CDR(BgL_l1077z00_1946); 
BgL_l1077z00_1946 = BgL_l1077z00_2096; 
goto BgL_zc3z04anonymousza31210ze3z87_1945;} }  else 
{ /* Llib/trace.scm 146 */
BgL_tmpz00_2088 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_2088);} } } 

}



/* trace-bold */
BGL_EXPORTED_DEF obj_t BGl_tracezd2boldzd2zz__tracez00(obj_t BgL_oz00_12)
{
{ /* Llib/trace.scm 151 */
{ /* Llib/trace.scm 152 */
 obj_t BgL_runner1217z00_1158;
{ /* Llib/trace.scm 152 */
 obj_t BgL_list1215z00_1156;
BgL_list1215z00_1156 = 
MAKE_YOUNG_PAIR(BgL_oz00_12, BNIL); 
BgL_runner1217z00_1158 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
BINT(((long)-30)), BgL_list1215z00_1156); } 
{ /* Llib/trace.scm 152 */
 int BgL_aux1216z00_1157;
{ /* Llib/trace.scm 152 */
 obj_t BgL_pairz00_1657;
BgL_pairz00_1657 = BgL_runner1217z00_1158; 
BgL_aux1216z00_1157 = 
CINT(
CAR(BgL_pairz00_1657)); } 
BgL_runner1217z00_1158 = 
CDR(BgL_runner1217z00_1158); 
return 
BGl_tracezd2colorzd2zz__tracez00(BgL_aux1216z00_1157, BgL_runner1217z00_1158);} } } 

}



/* &trace-bold */
obj_t BGl_z62tracezd2boldzb0zz__tracez00(obj_t BgL_envz00_1896, obj_t BgL_oz00_1897)
{
{ /* Llib/trace.scm 151 */
return 
BGl_tracezd2boldzd2zz__tracez00(BgL_oz00_1897);} 

}



/* tty-trace-color */
obj_t BGl_ttyzd2tracezd2colorz00zz__tracez00(int BgL_colz00_13, obj_t BgL_oz00_14)
{
{ /* Llib/trace.scm 157 */
{ /* Llib/trace.scm 158 */
 bool_t BgL_test1733z00_2107;
{ /* Llib/trace.scm 158 */
 obj_t BgL_tmpz00_2108;
BgL_tmpz00_2108 = 
BGl_tracezd2portzd2zz__tracez00(); 
BgL_test1733z00_2107 = 
bgl_port_isatty(BgL_tmpz00_2108); } 
if(BgL_test1733z00_2107)
{ /* Llib/trace.scm 159 */
 obj_t BgL_runner1222z00_1163;
{ /* Llib/trace.scm 159 */
 obj_t BgL_list1220z00_1161;
BgL_list1220z00_1161 = 
MAKE_YOUNG_PAIR(BgL_oz00_14, BNIL); 
BgL_runner1222z00_1163 = 
BGl_consza2za2zz__r4_pairs_and_lists_6_3z00(
BINT(BgL_colz00_13), BgL_list1220z00_1161); } 
{ /* Llib/trace.scm 159 */
 int BgL_aux1221z00_1162;
{ /* Llib/trace.scm 159 */
 obj_t BgL_pairz00_1660;
BgL_pairz00_1660 = BgL_runner1222z00_1163; 
BgL_aux1221z00_1162 = 
CINT(
CAR(BgL_pairz00_1660)); } 
BgL_runner1222z00_1163 = 
CDR(BgL_runner1222z00_1163); 
BGL_TAIL return 
BGl_tracezd2colorzd2zz__tracez00(BgL_aux1221z00_1162, BgL_runner1222z00_1163);} }  else 
{ /* Llib/trace.scm 162 */
 obj_t BgL_zc3z04anonymousza31224ze3z87_1898;
BgL_zc3z04anonymousza31224ze3z87_1898 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31224ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31224ze3z87_1898, 
(int)(((long)0)), BgL_oz00_14); 
return 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza31224ze3z87_1898);} } } 

}



/* &<@anonymous:1224> */
obj_t BGl_z62zc3z04anonymousza31224ze3ze5zz__tracez00(obj_t BgL_envz00_1899)
{
{ /* Llib/trace.scm 161 */
{ /* Llib/trace.scm 162 */
 obj_t BgL_oz00_1900;
BgL_oz00_1900 = 
PROCEDURE_REF(BgL_envz00_1899, 
(int)(((long)0))); 
{ /* Llib/trace.scm 162 */
 bool_t BgL_tmpz00_2126;
{ 
 obj_t BgL_l1079z00_1950;
BgL_l1079z00_1950 = BgL_oz00_1900; 
BgL_zc3z04anonymousza31225ze3z87_1949:
if(
PAIRP(BgL_l1079z00_1950))
{ /* Llib/trace.scm 162 */
{ /* Llib/trace.scm 162 */
 obj_t BgL_arg1227z00_1951;
BgL_arg1227z00_1951 = 
CAR(BgL_l1079z00_1950); 
{ /* Llib/trace.scm 162 */
 obj_t BgL_portz00_1952;
{ /* Llib/trace.scm 162 */
 obj_t BgL_tmpz00_2130;
BgL_tmpz00_2130 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_portz00_1952 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2130); } 
{ /* Llib/trace.scm 162 */

BGl_displayzd2circlezd2zz__pp_circlez00(BgL_arg1227z00_1951, BgL_portz00_1952); } } } 
{ 
 obj_t BgL_l1079z00_2134;
BgL_l1079z00_2134 = 
CDR(BgL_l1079z00_1950); 
BgL_l1079z00_1950 = BgL_l1079z00_2134; 
goto BgL_zc3z04anonymousza31225ze3z87_1949;} }  else 
{ /* Llib/trace.scm 162 */
BgL_tmpz00_2126 = ((bool_t)1)
; } } 
return 
BBOOL(BgL_tmpz00_2126);} } } 

}



/* trace-string */
BGL_EXPORTED_DEF obj_t BGl_tracezd2stringzd2zz__tracez00(obj_t BgL_oz00_15)
{
{ /* Llib/trace.scm 167 */
{ /* Llib/trace.scm 170 */
 obj_t BgL_zc3z04anonymousza31232ze3z87_1901;
BgL_zc3z04anonymousza31232ze3z87_1901 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31232ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31232ze3z87_1901, 
(int)(((long)0)), BgL_oz00_15); 
return 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza31232ze3z87_1901);} } 

}



/* &trace-string */
obj_t BGl_z62tracezd2stringzb0zz__tracez00(obj_t BgL_envz00_1902, obj_t BgL_oz00_1903)
{
{ /* Llib/trace.scm 167 */
return 
BGl_tracezd2stringzd2zz__tracez00(BgL_oz00_1903);} 

}



/* &<@anonymous:1232> */
obj_t BGl_z62zc3z04anonymousza31232ze3ze5zz__tracez00(obj_t BgL_envz00_1904)
{
{ /* Llib/trace.scm 169 */
return 
BGl_writez00zz__r4_output_6_10_3z00(
PROCEDURE_REF(BgL_envz00_1904, 
(int)(((long)0))), BNIL);} 

}



/* trace-item */
BGL_EXPORTED_DEF obj_t BGl_tracezd2itemzd2zz__tracez00(obj_t BgL_argsz00_16)
{
{ /* Llib/trace.scm 175 */
{ /* Llib/trace.scm 176 */
 bool_t BgL_test1735z00_2147;
{ /* Llib/trace.scm 176 */
 int BgL_arg1253z00_1201;
BgL_arg1253z00_1201 = 
bgl_debug(); 
BgL_test1735z00_2147 = 
(
(long)(BgL_arg1253z00_1201)>((long)0)); } 
if(BgL_test1735z00_2147)
{ /* Llib/trace.scm 177 */
 obj_t BgL_alz00_1183;
BgL_alz00_1183 = 
BGl_tracezd2alistzd2zz__tracez00(); 
{ /* Llib/trace.scm 178 */
 bool_t BgL_test1736z00_2152;
{ /* Llib/trace.scm 178 */
 obj_t BgL_arg1252z00_1200;
BgL_arg1252z00_1200 = 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1183, BGl_symbol1663z00zz__tracez00); 
BgL_test1736z00_2152 = 
CBOOL(
BGl_tracezd2activezf3z21zz__tracez00(BgL_arg1252z00_1200)); } 
if(BgL_test1736z00_2152)
{ /* Llib/trace.scm 179 */
 obj_t BgL_pz00_1186;
BgL_pz00_1186 = 
BGl_tracezd2portzd2zz__tracez00(); 
{ /* Llib/trace.scm 180 */
 obj_t BgL_mutex1238z00_1187;
BgL_mutex1238z00_1187 = BGl_za2tracezd2mutexza2zd2zz__tracez00; 
{ /* Llib/trace.scm 180 */
 obj_t BgL_top1738z00_2158;
BgL_top1738z00_2158 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1238z00_1187); 
BGL_EXITD_PUSH_PROTECT(BgL_top1738z00_2158, BgL_mutex1238z00_1187); BUNSPEC; 
{ /* Llib/trace.scm 180 */
 obj_t BgL_tmp1737z00_2157;
bgl_display_obj(
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1183, BGl_symbol1660z00zz__tracez00), BgL_pz00_1186); 
{ /* Llib/trace.scm 182 */
 obj_t BgL_arg1245z00_1189;
{ /* Llib/trace.scm 182 */
 long BgL_arg1246z00_1190;
{ /* Llib/trace.scm 182 */
 obj_t BgL_arg1248z00_1192;
BgL_arg1248z00_1192 = 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1183, BGl_symbol1658z00zz__tracez00); 
BgL_arg1246z00_1190 = 
(
(long)CINT(BgL_arg1248z00_1192)-((long)1)); } 
{ /* Llib/trace.scm 182 */
 obj_t BgL_list1247z00_1191;
BgL_list1247z00_1191 = 
MAKE_YOUNG_PAIR(BGl_string1680z00zz__tracez00, BNIL); 
BgL_arg1245z00_1189 = 
BGl_ttyzd2tracezd2colorz00zz__tracez00(
(int)(BgL_arg1246z00_1190), BgL_list1247z00_1191); } } 
bgl_display_obj(BgL_arg1245z00_1189, BgL_pz00_1186); } 
{ 
 obj_t BgL_l1081z00_1194;
BgL_l1081z00_1194 = BgL_argsz00_16; 
BgL_zc3z04anonymousza31249ze3z87_1195:
if(
PAIRP(BgL_l1081z00_1194))
{ /* Llib/trace.scm 183 */
BGl_displayzd2circlezd2zz__pp_circlez00(
CAR(BgL_l1081z00_1194), BgL_pz00_1186); 
{ 
 obj_t BgL_l1081z00_2175;
BgL_l1081z00_2175 = 
CDR(BgL_l1081z00_1194); 
BgL_l1081z00_1194 = BgL_l1081z00_2175; 
goto BgL_zc3z04anonymousza31249ze3z87_1195;} }  else 
{ /* Llib/trace.scm 183 */((bool_t)1); } } 
bgl_display_char(((unsigned char)10), BgL_pz00_1186); 
BgL_tmp1737z00_2157 = 
bgl_flush_output_port(BgL_pz00_1186); 
BGL_EXITD_POP_PROTECT(BgL_top1738z00_2158); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1238z00_1187); 
return BgL_tmp1737z00_2157;} } } }  else 
{ /* Llib/trace.scm 178 */
return BFALSE;} } }  else 
{ /* Llib/trace.scm 176 */
return BFALSE;} } } 

}



/* &trace-item */
obj_t BGl_z62tracezd2itemzb0zz__tracez00(obj_t BgL_envz00_1906, obj_t BgL_argsz00_1907)
{
{ /* Llib/trace.scm 175 */
return 
BGl_tracezd2itemzd2zz__tracez00(BgL_argsz00_1907);} 

}



/* trace-active? */
BGL_EXPORTED_DEF obj_t BGl_tracezd2activezf3z21zz__tracez00(obj_t BgL_lvlz00_17)
{
{ /* Llib/trace.scm 190 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_lvlz00_17))
{ /* Llib/trace.scm 192 */
 int BgL_arg1255z00_1203;
BgL_arg1255z00_1203 = 
bgl_debug(); 
return 
BBOOL(
(
(long)(BgL_arg1255z00_1203)>=
(long)CINT(BgL_lvlz00_17)));}  else 
{ /* Llib/trace.scm 192 */
if(
SYMBOLP(BgL_lvlz00_17))
{ /* Llib/trace.scm 193 */
return 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_lvlz00_17, 
BGl_bigloozd2tracezd2zz__paramz00());}  else 
{ /* Llib/trace.scm 193 */
return BFALSE;} } } 

}



/* &trace-active? */
obj_t BGl_z62tracezd2activezf3z43zz__tracez00(obj_t BgL_envz00_1908, obj_t BgL_lvlz00_1909)
{
{ /* Llib/trace.scm 190 */
return 
BGl_tracezd2activezf3z21zz__tracez00(BgL_lvlz00_1909);} 

}



/* %with-trace */
BGL_EXPORTED_DEF obj_t BGl_z52withzd2tracez80zz__tracez00(obj_t BgL_lvlz00_18, obj_t BgL_lblz00_19, obj_t BgL_thunkz00_20)
{
{ /* Llib/trace.scm 198 */
{ /* Llib/trace.scm 199 */
 obj_t BgL_alz00_1206;
BgL_alz00_1206 = 
BGl_tracezd2alistzd2zz__tracez00(); 
{ /* Llib/trace.scm 199 */
 obj_t BgL_olz00_1207;
BgL_olz00_1207 = 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1206, BGl_symbol1663z00zz__tracez00); 
{ /* Llib/trace.scm 200 */

BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1206, BGl_symbol1663z00zz__tracez00, BgL_lvlz00_18); 
if(
CBOOL(
BGl_tracezd2activezf3z21zz__tracez00(BgL_lvlz00_18)))
{ /* Llib/trace.scm 203 */
 obj_t BgL_dz00_1209;
BgL_dz00_1209 = 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1206, BGl_symbol1658z00zz__tracez00); 
{ /* Llib/trace.scm 203 */
 obj_t BgL_omz00_1210;
BgL_omz00_1210 = 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1206, BGl_symbol1660z00zz__tracez00); 
{ /* Llib/trace.scm 204 */
 obj_t BgL_maz00_1211;
{ /* Llib/trace.scm 205 */
 obj_t BgL_list1299z00_1235;
BgL_list1299z00_1235 = 
MAKE_YOUNG_PAIR(BGl_string1681z00zz__tracez00, BNIL); 
BgL_maz00_1211 = 
BGl_ttyzd2tracezd2colorz00zz__tracez00(
CINT(BgL_dz00_1209), BgL_list1299z00_1235); } 
{ /* Llib/trace.scm 205 */

{ /* Llib/trace.scm 206 */
 obj_t BgL_mutex1259z00_1212;
BgL_mutex1259z00_1212 = BGl_za2tracezd2mutexza2zd2zz__tracez00; 
{ /* Llib/trace.scm 206 */
 obj_t BgL_top1744z00_2206;
BgL_top1744z00_2206 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mutex1259z00_1212); 
BGL_EXITD_PUSH_PROTECT(BgL_top1744z00_2206, BgL_mutex1259z00_1212); BUNSPEC; 
{ /* Llib/trace.scm 206 */
 obj_t BgL_tmp1743z00_2205;
{ /* Llib/trace.scm 207 */
 obj_t BgL_arg1269z00_1213;
BgL_arg1269z00_1213 = 
BGl_tracezd2portzd2zz__tracez00(); 
{ /* Llib/trace.scm 209 */
 obj_t BgL_zc3z04anonymousza31273ze3z87_1911;
BgL_zc3z04anonymousza31273ze3z87_1911 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31273ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31273ze3z87_1911, 
(int)(((long)0)), BgL_alz00_1206); 
PROCEDURE_SET(BgL_zc3z04anonymousza31273ze3z87_1911, 
(int)(((long)1)), BgL_lblz00_19); 
PROCEDURE_SET(BgL_zc3z04anonymousza31273ze3z87_1911, 
(int)(((long)2)), BgL_dz00_1209); 
BgL_tmp1743z00_2205 = 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_arg1269z00_1213, BgL_zc3z04anonymousza31273ze3z87_1911); } } 
BGL_EXITD_POP_PROTECT(BgL_top1744z00_2206); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mutex1259z00_1212); BgL_tmp1743z00_2205; } } } 
{ /* Llib/trace.scm 215 */
 long BgL_arg1291z00_1228;
BgL_arg1291z00_1228 = 
(
(long)CINT(BgL_dz00_1209)+((long)1)); 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1206, BGl_symbol1658z00zz__tracez00, 
BINT(BgL_arg1291z00_1228)); } 
{ /* Llib/trace.scm 216 */
 obj_t BgL_arg1297z00_1229;
BgL_arg1297z00_1229 = 
string_append(BgL_omz00_1210, BgL_maz00_1211); 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1206, BGl_symbol1660z00zz__tracez00, BgL_arg1297z00_1229); } 
{ /* Llib/trace.scm 217 */
 obj_t BgL_exitd1037z00_1230;
BgL_exitd1037z00_1230 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/trace.scm 220 */
 obj_t BgL_zc3z04anonymousza31298ze3z87_1910;
BgL_zc3z04anonymousza31298ze3z87_1910 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31298ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31298ze3z87_1910, 
(int)(((long)0)), BgL_alz00_1206); 
PROCEDURE_SET(BgL_zc3z04anonymousza31298ze3z87_1910, 
(int)(((long)1)), BgL_dz00_1209); 
PROCEDURE_SET(BgL_zc3z04anonymousza31298ze3z87_1910, 
(int)(((long)2)), BgL_omz00_1210); 
PROCEDURE_SET(BgL_zc3z04anonymousza31298ze3z87_1910, 
(int)(((long)3)), BgL_olz00_1207); 
{ /* Llib/trace.scm 217 */
 obj_t BgL_arg1645z00_1681;
{ /* Llib/trace.scm 217 */
 obj_t BgL_arg1646z00_1682;
BgL_arg1646z00_1682 = 
BGL_EXITD_PROTECT(BgL_exitd1037z00_1230); 
BgL_arg1645z00_1681 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31298ze3z87_1910, BgL_arg1646z00_1682); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1037z00_1230, BgL_arg1645z00_1681); BUNSPEC; } 
{ /* Llib/trace.scm 218 */
 obj_t BgL_tmp1039z00_1232;
BgL_tmp1039z00_1232 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_thunkz00_20))(BgL_thunkz00_20, BEOA); 
{ /* Llib/trace.scm 217 */
 bool_t BgL_test1745z00_2247;
{ /* Llib/trace.scm 217 */
 obj_t BgL_arg1644z00_1684;
BgL_arg1644z00_1684 = 
BGL_EXITD_PROTECT(BgL_exitd1037z00_1230); 
BgL_test1745z00_2247 = 
PAIRP(BgL_arg1644z00_1684); } 
if(BgL_test1745z00_2247)
{ /* Llib/trace.scm 217 */
 obj_t BgL_arg1642z00_1685;
{ /* Llib/trace.scm 217 */
 obj_t BgL_arg1643z00_1686;
BgL_arg1643z00_1686 = 
BGL_EXITD_PROTECT(BgL_exitd1037z00_1230); 
BgL_arg1642z00_1685 = 
CDR(
((obj_t)BgL_arg1643z00_1686)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1037z00_1230, BgL_arg1642z00_1685); BUNSPEC; }  else 
{ /* Llib/trace.scm 217 */BFALSE; } } 
BGl_z62zc3z04anonymousza31298ze3ze5zz__tracez00(BgL_zc3z04anonymousza31298ze3z87_1910); 
return BgL_tmp1039z00_1232;} } } } } } }  else 
{ /* Llib/trace.scm 223 */
 obj_t BgL_exitd1041z00_1236;
BgL_exitd1041z00_1236 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/trace.scm 225 */
 obj_t BgL_zc3z04anonymousza31300ze3z87_1912;
BgL_zc3z04anonymousza31300ze3z87_1912 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31300ze3ze5zz__tracez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31300ze3z87_1912, 
(int)(((long)0)), BgL_alz00_1206); 
PROCEDURE_SET(BgL_zc3z04anonymousza31300ze3z87_1912, 
(int)(((long)1)), BgL_olz00_1207); 
{ /* Llib/trace.scm 223 */
 obj_t BgL_arg1645z00_1688;
{ /* Llib/trace.scm 223 */
 obj_t BgL_arg1646z00_1689;
BgL_arg1646z00_1689 = 
BGL_EXITD_PROTECT(BgL_exitd1041z00_1236); 
BgL_arg1645z00_1688 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31300ze3z87_1912, BgL_arg1646z00_1689); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1041z00_1236, BgL_arg1645z00_1688); BUNSPEC; } 
{ /* Llib/trace.scm 224 */
 obj_t BgL_tmp1043z00_1238;
BgL_tmp1043z00_1238 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_thunkz00_20))(BgL_thunkz00_20, BEOA); 
{ /* Llib/trace.scm 223 */
 bool_t BgL_test1746z00_2269;
{ /* Llib/trace.scm 223 */
 obj_t BgL_arg1644z00_1691;
BgL_arg1644z00_1691 = 
BGL_EXITD_PROTECT(BgL_exitd1041z00_1236); 
BgL_test1746z00_2269 = 
PAIRP(BgL_arg1644z00_1691); } 
if(BgL_test1746z00_2269)
{ /* Llib/trace.scm 223 */
 obj_t BgL_arg1642z00_1692;
{ /* Llib/trace.scm 223 */
 obj_t BgL_arg1643z00_1693;
BgL_arg1643z00_1693 = 
BGL_EXITD_PROTECT(BgL_exitd1041z00_1236); 
BgL_arg1642z00_1692 = 
CDR(
((obj_t)BgL_arg1643z00_1693)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1041z00_1236, BgL_arg1642z00_1692); BUNSPEC; }  else 
{ /* Llib/trace.scm 223 */BFALSE; } } 
BGl_z62zc3z04anonymousza31300ze3ze5zz__tracez00(BgL_zc3z04anonymousza31300ze3z87_1912); 
return BgL_tmp1043z00_1238;} } } } } } } 

}



/* &%with-trace */
obj_t BGl_z62z52withzd2traceze2zz__tracez00(obj_t BgL_envz00_1913, obj_t BgL_lvlz00_1914, obj_t BgL_lblz00_1915, obj_t BgL_thunkz00_1916)
{
{ /* Llib/trace.scm 198 */
{ /* Llib/trace.scm 199 */
 obj_t BgL_auxz00_2277;
if(
PROCEDUREP(BgL_thunkz00_1916))
{ /* Llib/trace.scm 199 */
BgL_auxz00_2277 = BgL_thunkz00_1916
; }  else 
{ 
 obj_t BgL_auxz00_2280;
BgL_auxz00_2280 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1670z00zz__tracez00, 
BINT(((long)7925)), BGl_string1682z00zz__tracez00, BGl_string1683z00zz__tracez00, BgL_thunkz00_1916); 
FAILURE(BgL_auxz00_2280,BFALSE,BFALSE);} 
return 
BGl_z52withzd2tracez80zz__tracez00(BgL_lvlz00_1914, BgL_lblz00_1915, BgL_auxz00_2277);} } 

}



/* &<@anonymous:1298> */
obj_t BGl_z62zc3z04anonymousza31298ze3ze5zz__tracez00(obj_t BgL_envz00_1917)
{
{ /* Llib/trace.scm 217 */
{ /* Llib/trace.scm 220 */
 obj_t BgL_alz00_1918; obj_t BgL_dz00_1919; obj_t BgL_omz00_1920; obj_t BgL_olz00_1921;
BgL_alz00_1918 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1917, 
(int)(((long)0)))); 
BgL_dz00_1919 = 
PROCEDURE_REF(BgL_envz00_1917, 
(int)(((long)1))); 
BgL_omz00_1920 = 
PROCEDURE_REF(BgL_envz00_1917, 
(int)(((long)2))); 
BgL_olz00_1921 = 
PROCEDURE_REF(BgL_envz00_1917, 
(int)(((long)3))); 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1918, BGl_symbol1658z00zz__tracez00, BgL_dz00_1919); 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1918, BGl_symbol1660z00zz__tracez00, BgL_omz00_1920); 
return 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1918, BGl_symbol1663z00zz__tracez00, BgL_olz00_1921);} } 

}



/* &<@anonymous:1273> */
obj_t BGl_z62zc3z04anonymousza31273ze3ze5zz__tracez00(obj_t BgL_envz00_1922)
{
{ /* Llib/trace.scm 208 */
{ /* Llib/trace.scm 209 */
 obj_t BgL_alz00_1923; obj_t BgL_lblz00_1924; obj_t BgL_dz00_1925;
BgL_alz00_1923 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1922, 
(int)(((long)0)))); 
BgL_lblz00_1924 = 
PROCEDURE_REF(BgL_envz00_1922, 
(int)(((long)1))); 
BgL_dz00_1925 = 
PROCEDURE_REF(BgL_envz00_1922, 
(int)(((long)2))); 
{ /* Llib/trace.scm 209 */
 obj_t BgL_arg1274z00_1953; obj_t BgL_arg1275z00_1954;
BgL_arg1274z00_1953 = 
BGl_tracezd2alistzd2getz00zz__tracez00(BgL_alz00_1923, BGl_symbol1660z00zz__tracez00); 
{ /* Llib/trace.scm 209 */
 obj_t BgL_tmpz00_2305;
BgL_tmpz00_2305 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1275z00_1954 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2305); } 
bgl_display_obj(BgL_arg1274z00_1953, BgL_arg1275z00_1954); } 
{ /* Llib/trace.scm 210 */
 obj_t BgL_arg1277z00_1955; obj_t BgL_arg1279z00_1956;
if(
(
(long)CINT(BgL_dz00_1925)==((long)0)))
{ /* Llib/trace.scm 211 */
 obj_t BgL_list1281z00_1957;
{ /* Llib/trace.scm 211 */
 obj_t BgL_arg1284z00_1958;
BgL_arg1284z00_1958 = 
MAKE_YOUNG_PAIR(BgL_lblz00_1924, BNIL); 
BgL_list1281z00_1957 = 
MAKE_YOUNG_PAIR(BGl_string1684z00zz__tracez00, BgL_arg1284z00_1958); } 
BgL_arg1277z00_1955 = 
BGl_ttyzd2tracezd2colorz00zz__tracez00(
CINT(BgL_dz00_1925), BgL_list1281z00_1957); }  else 
{ /* Llib/trace.scm 212 */
 obj_t BgL_list1285z00_1959;
{ /* Llib/trace.scm 212 */
 obj_t BgL_arg1288z00_1960;
BgL_arg1288z00_1960 = 
MAKE_YOUNG_PAIR(BgL_lblz00_1924, BNIL); 
BgL_list1285z00_1959 = 
MAKE_YOUNG_PAIR(BGl_string1685z00zz__tracez00, BgL_arg1288z00_1960); } 
BgL_arg1277z00_1955 = 
BGl_ttyzd2tracezd2colorz00zz__tracez00(
CINT(BgL_dz00_1925), BgL_list1285z00_1959); } 
{ /* Llib/trace.scm 210 */
 obj_t BgL_tmpz00_2320;
BgL_tmpz00_2320 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1279z00_1956 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2320); } 
bgl_display_obj(BgL_arg1277z00_1955, BgL_arg1279z00_1956); } 
{ /* Llib/trace.scm 213 */
 obj_t BgL_arg1289z00_1961;
{ /* Llib/trace.scm 213 */
 obj_t BgL_tmpz00_2324;
BgL_tmpz00_2324 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1289z00_1961 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2324); } 
bgl_display_char(((unsigned char)10), BgL_arg1289z00_1961); } 
{ /* Llib/trace.scm 214 */
 obj_t BgL_arg1290z00_1962;
{ /* Llib/trace.scm 214 */
 obj_t BgL_tmpz00_2328;
BgL_tmpz00_2328 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1290z00_1962 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2328); } 
return 
bgl_flush_output_port(BgL_arg1290z00_1962);} } } 

}



/* &<@anonymous:1300> */
obj_t BGl_z62zc3z04anonymousza31300ze3ze5zz__tracez00(obj_t BgL_envz00_1926)
{
{ /* Llib/trace.scm 223 */
{ /* Llib/trace.scm 225 */
 obj_t BgL_alz00_1927; obj_t BgL_olz00_1928;
BgL_alz00_1927 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1926, 
(int)(((long)0)))); 
BgL_olz00_1928 = 
PROCEDURE_REF(BgL_envz00_1926, 
(int)(((long)1))); 
return 
BGl_tracezd2alistzd2setz12z12zz__tracez00(BgL_alz00_1927, BGl_symbol1663z00zz__tracez00, BgL_olz00_1928);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__tracez00(void)
{
{ /* Llib/trace.scm 15 */
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1686z00zz__tracez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1686z00zz__tracez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1686z00zz__tracez00)); 
return 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string1686z00zz__tracez00));} 

}

#ifdef __cplusplus
}
#endif
