/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -c Llib/binary.scm -indent -o objs/obj_s/Llib/binary.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t, obj_t, obj_t);
extern obj_t append_output_binary_file(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
static obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern int bgl_input_fill_string(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
extern obj_t output_obj(obj_t, obj_t);
extern unsigned char BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(long);
BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t, unsigned char);
extern obj_t input_obj(obj_t);
static obj_t BGl_genericzd2initzd2zz__binaryz00(void);
extern obj_t bgl_flush_binary_port(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__binaryz00(void);
extern obj_t open_input_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__binaryz00(void);
BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t, obj_t);
extern obj_t bgl_input_string(obj_t, int);
static obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t, obj_t);
static obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t, char);
extern int bgl_output_string(obj_t, obj_t);
static obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
static obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__binaryz00(void);
extern obj_t open_output_binary_file(obj_t);
BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
static obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t, obj_t);
extern obj_t close_binary_port(obj_t);
static obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2strin1653z00, BGl_z62inputzd2stringzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_binaryzd2portzf3zd2envzf3zz__binaryz00, BgL_bgl_za762binaryza7d2port1654z00, BGl_z62binaryzd2portzf3z43zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2stringzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2stri1655z00, BGl_z62outputzd2stringzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762flushza7d2binar1656z00, BGl_z62flushzd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2output1657z00, BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2char1658z00, BGl_z62outputzd2charzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2charzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2charza71659za7, BGl_z62inputzd2charzb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1634z00zz__binaryz00, BgL_bgl_string1634za700za7za7_1660za7, "/tmp/bigloo/runtime/Llib/binary.scm", 35 );
DEFINE_STRING( BGl_string1635z00zz__binaryz00, BgL_bgl_string1635za700za7za7_1661za7, "&open-output-binary-file", 24 );
DEFINE_STRING( BGl_string1636z00zz__binaryz00, BgL_bgl_string1636za700za7za7_1662za7, "bstring", 7 );
DEFINE_STRING( BGl_string1637z00zz__binaryz00, BgL_bgl_string1637za700za7za7_1663za7, "&append-output-binary-file", 26 );
DEFINE_STRING( BGl_string1638z00zz__binaryz00, BgL_bgl_string1638za700za7za7_1664za7, "&open-input-binary-file", 23 );
DEFINE_STRING( BGl_string1639z00zz__binaryz00, BgL_bgl_string1639za700za7za7_1665za7, "&close-binary-port", 18 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2objza71666za7, BGl_z62outputzd2objzb0zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1640z00zz__binaryz00, BgL_bgl_string1640za700za7za7_1667za7, "binary-port", 11 );
DEFINE_STRING( BGl_string1641z00zz__binaryz00, BgL_bgl_string1641za700za7za7_1668za7, "&flush-binary-port", 18 );
DEFINE_STRING( BGl_string1642z00zz__binaryz00, BgL_bgl_string1642za700za7za7_1669za7, "&input-obj", 10 );
DEFINE_STRING( BGl_string1643z00zz__binaryz00, BgL_bgl_string1643za700za7za7_1670za7, "&output-obj", 11 );
DEFINE_STRING( BGl_string1644z00zz__binaryz00, BgL_bgl_string1644za700za7za7_1671za7, "&output-char", 12 );
DEFINE_STRING( BGl_string1645z00zz__binaryz00, BgL_bgl_string1645za700za7za7_1672za7, "bchar", 5 );
DEFINE_STRING( BGl_string1646z00zz__binaryz00, BgL_bgl_string1646za700za7za7_1673za7, "&output-byte", 12 );
DEFINE_STRING( BGl_string1647z00zz__binaryz00, BgL_bgl_string1647za700za7za7_1674za7, "bint", 4 );
DEFINE_STRING( BGl_string1648z00zz__binaryz00, BgL_bgl_string1648za700za7za7_1675za7, "&input-char", 11 );
DEFINE_STRING( BGl_string1649z00zz__binaryz00, BgL_bgl_string1649za700za7za7_1676za7, "&output-string", 14 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762appendza7d2outp1677z00, BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00, BgL_bgl_za762inputza7d2fillza71678za7, BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1650z00zz__binaryz00, BgL_bgl_string1650za700za7za7_1679za7, "&input-string", 13 );
DEFINE_STRING( BGl_string1651z00zz__binaryz00, BgL_bgl_string1651za700za7za7_1680za7, "&input-fill-string!", 19 );
DEFINE_STRING( BGl_string1652z00zz__binaryz00, BgL_bgl_string1652za700za7za7_1681za7, "__binary", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_inputzd2objzd2envz00zz__binaryz00, BgL_bgl_za762inputza7d2objza7b1682za7, BGl_z62inputzd2objzb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00, BgL_bgl_za762closeza7d2binar1683z00, BGl_z62closezd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00, BgL_bgl_za762openza7d2inputza71684za7, BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_outputzd2bytezd2envz00zz__binaryz00, BgL_bgl_za762outputza7d2byte1685z00, BGl_z62outputzd2bytezb0zz__binaryz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__binaryz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long BgL_checksumz00_2036, char * BgL_fromz00_2037)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
{ 
BGl_requirezd2initializa7ationz75zz__binaryz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__binaryz00(); 
BGl_importedzd2moduleszd2initz00zz__binaryz00(); 
return 
BGl_methodzd2initzd2zz__binaryz00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* binary-port? */
BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t BgL_objz00_3)
{
{ /* Llib/binary.scm 138 */
return 
BINARY_PORTP(BgL_objz00_3);} 

}



/* &binary-port? */
obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t BgL_envz00_1967, obj_t BgL_objz00_1968)
{
{ /* Llib/binary.scm 138 */
return 
BBOOL(
BGl_binaryzd2portzf3z21zz__binaryz00(BgL_objz00_1968));} 

}



/* open-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_4)
{
{ /* Llib/binary.scm 144 */
BGL_TAIL return 
open_output_binary_file(BgL_strz00_4);} 

}



/* &open-output-binary-file */
obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1969, obj_t BgL_strz00_1970)
{
{ /* Llib/binary.scm 144 */
{ /* Llib/binary.scm 145 */
 obj_t BgL_auxz00_2049;
if(
STRINGP(BgL_strz00_1970))
{ /* Llib/binary.scm 145 */
BgL_auxz00_2049 = BgL_strz00_1970
; }  else 
{ 
 obj_t BgL_auxz00_2052;
BgL_auxz00_2052 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)5623)), BGl_string1635z00zz__binaryz00, BGl_string1636z00zz__binaryz00, BgL_strz00_1970); 
FAILURE(BgL_auxz00_2052,BFALSE,BFALSE);} 
return 
BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_2049);} } 

}



/* append-output-binary-file */
BGL_EXPORTED_DEF obj_t BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_5)
{
{ /* Llib/binary.scm 150 */
BGL_TAIL return 
append_output_binary_file(BgL_strz00_5);} 

}



/* &append-output-binary-file */
obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1971, obj_t BgL_strz00_1972)
{
{ /* Llib/binary.scm 150 */
{ /* Llib/binary.scm 151 */
 obj_t BgL_auxz00_2058;
if(
STRINGP(BgL_strz00_1972))
{ /* Llib/binary.scm 151 */
BgL_auxz00_2058 = BgL_strz00_1972
; }  else 
{ 
 obj_t BgL_auxz00_2061;
BgL_auxz00_2061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)5921)), BGl_string1637z00zz__binaryz00, BGl_string1636z00zz__binaryz00, BgL_strz00_1972); 
FAILURE(BgL_auxz00_2061,BFALSE,BFALSE);} 
return 
BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_2058);} } 

}



/* open-input-binary-file */
BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_6)
{
{ /* Llib/binary.scm 156 */
BGL_TAIL return 
open_input_binary_file(BgL_strz00_6);} 

}



/* &open-input-binary-file */
obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t BgL_envz00_1973, obj_t BgL_strz00_1974)
{
{ /* Llib/binary.scm 156 */
{ /* Llib/binary.scm 157 */
 obj_t BgL_auxz00_2067;
if(
STRINGP(BgL_strz00_1974))
{ /* Llib/binary.scm 157 */
BgL_auxz00_2067 = BgL_strz00_1974
; }  else 
{ 
 obj_t BgL_auxz00_2070;
BgL_auxz00_2070 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)6218)), BGl_string1638z00zz__binaryz00, BGl_string1636z00zz__binaryz00, BgL_strz00_1974); 
FAILURE(BgL_auxz00_2070,BFALSE,BFALSE);} 
return 
BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_2067);} } 

}



/* close-binary-port */
BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_7)
{
{ /* Llib/binary.scm 162 */
BGL_TAIL return 
close_binary_port(BgL_portz00_7);} 

}



/* &close-binary-port */
obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1975, obj_t BgL_portz00_1976)
{
{ /* Llib/binary.scm 162 */
{ /* Llib/binary.scm 163 */
 obj_t BgL_auxz00_2076;
if(
BINARY_PORTP(BgL_portz00_1976))
{ /* Llib/binary.scm 163 */
BgL_auxz00_2076 = BgL_portz00_1976
; }  else 
{ 
 obj_t BgL_auxz00_2079;
BgL_auxz00_2079 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)6515)), BGl_string1639z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1976); 
FAILURE(BgL_auxz00_2079,BFALSE,BFALSE);} 
return 
BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_auxz00_2076);} } 

}



/* flush-binary-port */
BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t BgL_portz00_8)
{
{ /* Llib/binary.scm 168 */
BGL_TAIL return 
bgl_flush_binary_port(BgL_portz00_8);} 

}



/* &flush-binary-port */
obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1977, obj_t BgL_portz00_1978)
{
{ /* Llib/binary.scm 168 */
{ /* Llib/binary.scm 169 */
 obj_t BgL_auxz00_2085;
if(
BINARY_PORTP(BgL_portz00_1978))
{ /* Llib/binary.scm 169 */
BgL_auxz00_2085 = BgL_portz00_1978
; }  else 
{ 
 obj_t BgL_auxz00_2088;
BgL_auxz00_2088 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)6808)), BGl_string1641z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1978); 
FAILURE(BgL_auxz00_2088,BFALSE,BFALSE);} 
return 
BGl_flushzd2binaryzd2portz00zz__binaryz00(BgL_auxz00_2085);} } 

}



/* input-obj */
BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_9)
{
{ /* Llib/binary.scm 174 */
BGL_TAIL return 
input_obj(BgL_portz00_9);} 

}



/* &input-obj */
obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1979, obj_t BgL_portz00_1980)
{
{ /* Llib/binary.scm 174 */
{ /* Llib/binary.scm 175 */
 obj_t BgL_auxz00_2094;
if(
BINARY_PORTP(BgL_portz00_1980))
{ /* Llib/binary.scm 175 */
BgL_auxz00_2094 = BgL_portz00_1980
; }  else 
{ 
 obj_t BgL_auxz00_2097;
BgL_auxz00_2097 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)7093)), BGl_string1642z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1980); 
FAILURE(BgL_auxz00_2097,BFALSE,BFALSE);} 
return 
BGl_inputzd2objzd2zz__binaryz00(BgL_auxz00_2094);} } 

}



/* output-obj */
BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_10, obj_t BgL_objz00_11)
{
{ /* Llib/binary.scm 180 */
BGL_TAIL return 
output_obj(BgL_portz00_10, BgL_objz00_11);} 

}



/* &output-obj */
obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1981, obj_t BgL_portz00_1982, obj_t BgL_objz00_1983)
{
{ /* Llib/binary.scm 180 */
{ /* Llib/binary.scm 181 */
 obj_t BgL_auxz00_2103;
if(
BINARY_PORTP(BgL_portz00_1982))
{ /* Llib/binary.scm 181 */
BgL_auxz00_2103 = BgL_portz00_1982
; }  else 
{ 
 obj_t BgL_auxz00_2106;
BgL_auxz00_2106 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)7375)), BGl_string1643z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1982); 
FAILURE(BgL_auxz00_2106,BFALSE,BFALSE);} 
return 
BGl_outputzd2objzd2zz__binaryz00(BgL_auxz00_2103, BgL_objz00_1983);} } 

}



/* output-char */
BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12, unsigned char BgL_charz00_13)
{
{ /* Llib/binary.scm 186 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_12, BgL_charz00_13);} 

}



/* &output-char */
obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1984, obj_t BgL_portz00_1985, obj_t BgL_charz00_1986)
{
{ /* Llib/binary.scm 186 */
{ /* Llib/binary.scm 187 */
 unsigned char BgL_auxz00_2119; obj_t BgL_auxz00_2112;
{ /* Llib/binary.scm 187 */
 obj_t BgL_tmpz00_2120;
if(
CHARP(BgL_charz00_1986))
{ /* Llib/binary.scm 187 */
BgL_tmpz00_2120 = BgL_charz00_1986
; }  else 
{ 
 obj_t BgL_auxz00_2123;
BgL_auxz00_2123 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)7669)), BGl_string1644z00zz__binaryz00, BGl_string1645z00zz__binaryz00, BgL_charz00_1986); 
FAILURE(BgL_auxz00_2123,BFALSE,BFALSE);} 
BgL_auxz00_2119 = 
CCHAR(BgL_tmpz00_2120); } 
if(
BINARY_PORTP(BgL_portz00_1985))
{ /* Llib/binary.scm 187 */
BgL_auxz00_2112 = BgL_portz00_1985
; }  else 
{ 
 obj_t BgL_auxz00_2115;
BgL_auxz00_2115 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)7669)), BGl_string1644z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1985); 
FAILURE(BgL_auxz00_2115,BFALSE,BFALSE);} 
return 
BGl_outputzd2charzd2zz__binaryz00(BgL_auxz00_2112, BgL_auxz00_2119);} } 

}



/* output-byte */
BGL_EXPORTED_DEF obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t BgL_portz00_14, char BgL_charz00_15)
{
{ /* Llib/binary.scm 192 */
return 
BGL_OUTPUT_CHAR(BgL_portz00_14, BgL_charz00_15);} 

}



/* &output-byte */
obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t BgL_envz00_1987, obj_t BgL_portz00_1988, obj_t BgL_charz00_1989)
{
{ /* Llib/binary.scm 192 */
{ /* Llib/binary.scm 193 */
 char BgL_auxz00_2137; obj_t BgL_auxz00_2130;
{ /* Llib/binary.scm 193 */
 obj_t BgL_tmpz00_2138;
if(
INTEGERP(BgL_charz00_1989))
{ /* Llib/binary.scm 193 */
BgL_tmpz00_2138 = BgL_charz00_1989
; }  else 
{ 
 obj_t BgL_auxz00_2141;
BgL_auxz00_2141 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)7960)), BGl_string1646z00zz__binaryz00, BGl_string1647z00zz__binaryz00, BgL_charz00_1989); 
FAILURE(BgL_auxz00_2141,BFALSE,BFALSE);} 
BgL_auxz00_2137 = 
(signed char)CINT(BgL_tmpz00_2138); } 
if(
BINARY_PORTP(BgL_portz00_1988))
{ /* Llib/binary.scm 193 */
BgL_auxz00_2130 = BgL_portz00_1988
; }  else 
{ 
 obj_t BgL_auxz00_2133;
BgL_auxz00_2133 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)7960)), BGl_string1646z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1988); 
FAILURE(BgL_auxz00_2133,BFALSE,BFALSE);} 
return 
BGl_outputzd2bytezd2zz__binaryz00(BgL_auxz00_2130, BgL_auxz00_2137);} } 

}



/* input-char */
BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_16)
{
{ /* Llib/binary.scm 198 */
{ /* Llib/binary.scm 199 */
 int BgL_charz00_2035;
BgL_charz00_2035 = 
BGL_INPUT_CHAR(BgL_portz00_16); 
if(
BGL_INT_EOFP(BgL_charz00_2035))
{ /* Llib/binary.scm 200 */
return BEOF;}  else 
{ /* Llib/binary.scm 200 */
return 
BCHAR(
BGl_integerzd2ze3charz31zz__r4_characters_6_6z00(
(long)(BgL_charz00_2035)));} } } 

}



/* &input-char */
obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1990, obj_t BgL_portz00_1991)
{
{ /* Llib/binary.scm 198 */
{ /* Llib/binary.scm 199 */
 obj_t BgL_auxz00_2153;
if(
BINARY_PORTP(BgL_portz00_1991))
{ /* Llib/binary.scm 199 */
BgL_auxz00_2153 = BgL_portz00_1991
; }  else 
{ 
 obj_t BgL_auxz00_2156;
BgL_auxz00_2156 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)8245)), BGl_string1648z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1991); 
FAILURE(BgL_auxz00_2156,BFALSE,BFALSE);} 
return 
BGl_inputzd2charzd2zz__binaryz00(BgL_auxz00_2153);} } 

}



/* output-string */
BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_17, obj_t BgL_stringz00_18)
{
{ /* Llib/binary.scm 207 */
return 
BINT(
bgl_output_string(BgL_portz00_17, BgL_stringz00_18));} 

}



/* &output-string */
obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1992, obj_t BgL_portz00_1993, obj_t BgL_stringz00_1994)
{
{ /* Llib/binary.scm 207 */
{ /* Llib/binary.scm 208 */
 obj_t BgL_auxz00_2170; obj_t BgL_auxz00_2163;
if(
STRINGP(BgL_stringz00_1994))
{ /* Llib/binary.scm 208 */
BgL_auxz00_2170 = BgL_stringz00_1994
; }  else 
{ 
 obj_t BgL_auxz00_2173;
BgL_auxz00_2173 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)8609)), BGl_string1649z00zz__binaryz00, BGl_string1636z00zz__binaryz00, BgL_stringz00_1994); 
FAILURE(BgL_auxz00_2173,BFALSE,BFALSE);} 
if(
BINARY_PORTP(BgL_portz00_1993))
{ /* Llib/binary.scm 208 */
BgL_auxz00_2163 = BgL_portz00_1993
; }  else 
{ 
 obj_t BgL_auxz00_2166;
BgL_auxz00_2166 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)8609)), BGl_string1649z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1993); 
FAILURE(BgL_auxz00_2166,BFALSE,BFALSE);} 
return 
BGl_outputzd2stringzd2zz__binaryz00(BgL_auxz00_2163, BgL_auxz00_2170);} } 

}



/* input-string */
BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t BgL_portz00_19, int BgL_lenz00_20)
{
{ /* Llib/binary.scm 213 */
BGL_TAIL return 
bgl_input_string(BgL_portz00_19, BgL_lenz00_20);} 

}



/* &input-string */
obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1995, obj_t BgL_portz00_1996, obj_t BgL_lenz00_1997)
{
{ /* Llib/binary.scm 213 */
{ /* Llib/binary.scm 214 */
 int BgL_auxz00_2186; obj_t BgL_auxz00_2179;
{ /* Llib/binary.scm 214 */
 obj_t BgL_tmpz00_2187;
if(
INTEGERP(BgL_lenz00_1997))
{ /* Llib/binary.scm 214 */
BgL_tmpz00_2187 = BgL_lenz00_1997
; }  else 
{ 
 obj_t BgL_auxz00_2190;
BgL_auxz00_2190 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)8904)), BGl_string1650z00zz__binaryz00, BGl_string1647z00zz__binaryz00, BgL_lenz00_1997); 
FAILURE(BgL_auxz00_2190,BFALSE,BFALSE);} 
BgL_auxz00_2186 = 
CINT(BgL_tmpz00_2187); } 
if(
BINARY_PORTP(BgL_portz00_1996))
{ /* Llib/binary.scm 214 */
BgL_auxz00_2179 = BgL_portz00_1996
; }  else 
{ 
 obj_t BgL_auxz00_2182;
BgL_auxz00_2182 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)8904)), BGl_string1650z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1996); 
FAILURE(BgL_auxz00_2182,BFALSE,BFALSE);} 
return 
BGl_inputzd2stringzd2zz__binaryz00(BgL_auxz00_2179, BgL_auxz00_2186);} } 

}



/* input-fill-string! */
BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t BgL_portz00_21, obj_t BgL_strz00_22)
{
{ /* Llib/binary.scm 219 */
BGL_TAIL return 
bgl_input_fill_string(BgL_portz00_21, BgL_strz00_22);} 

}



/* &input-fill-string! */
obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t BgL_envz00_1998, obj_t BgL_portz00_1999, obj_t BgL_strz00_2000)
{
{ /* Llib/binary.scm 219 */
{ /* Llib/binary.scm 220 */
 int BgL_tmpz00_2197;
{ /* Llib/binary.scm 220 */
 obj_t BgL_auxz00_2205; obj_t BgL_auxz00_2198;
if(
STRINGP(BgL_strz00_2000))
{ /* Llib/binary.scm 220 */
BgL_auxz00_2205 = BgL_strz00_2000
; }  else 
{ 
 obj_t BgL_auxz00_2208;
BgL_auxz00_2208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)9201)), BGl_string1651z00zz__binaryz00, BGl_string1636z00zz__binaryz00, BgL_strz00_2000); 
FAILURE(BgL_auxz00_2208,BFALSE,BFALSE);} 
if(
BINARY_PORTP(BgL_portz00_1999))
{ /* Llib/binary.scm 220 */
BgL_auxz00_2198 = BgL_portz00_1999
; }  else 
{ 
 obj_t BgL_auxz00_2201;
BgL_auxz00_2201 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1634z00zz__binaryz00, 
BINT(((long)9201)), BGl_string1651z00zz__binaryz00, BGl_string1640z00zz__binaryz00, BgL_portz00_1999); 
FAILURE(BgL_auxz00_2201,BFALSE,BFALSE);} 
BgL_tmpz00_2197 = 
BGl_inputzd2fillzd2stringz12z12zz__binaryz00(BgL_auxz00_2198, BgL_auxz00_2205); } 
return 
BINT(BgL_tmpz00_2197);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00(void)
{
{ /* Llib/binary.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1652z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__intextz00(((long)6305717), 
BSTRING_TO_STRING(BGl_string1652z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1652z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string1652z00zz__binaryz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1652z00zz__binaryz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1652z00zz__binaryz00));} 

}

#ifdef __cplusplus
}
#endif
