/*===========================================================================*/
/*   (Llib/mmap.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Llib/mmap.scm -indent -o objs/obj_u/Llib/mmap.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2putzd2charz12z12zz__mmapz00(obj_t,
		unsigned char);
	extern obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62closezd2mmapzb0zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_z62mmapzd2readzd2positionz62zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_symbol1765z00zz__mmapz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2ze3bstringz31zz__mmapz00(obj_t);
	static obj_t BGl_z62mmapzf3z91zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__mmapz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2putzd2stringz12z12zz__mmapz00(obj_t,
		obj_t);
	static obj_t BGl_symbol1773z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_z62mmapzd2getzd2charz62zz__mmapz00(obj_t, obj_t);
	static obj_t BGl__openzd2mmapzd2zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_z62mmapzd2substringzd2setz12z70zz__mmapz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62mmapzd2namezb0zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_z62mmapzd2lengthzb0zz__mmapz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2setz12zc0zz__mmapz00(obj_t, long,
		unsigned char);
	BGL_EXPORTED_DECL obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	extern obj_t string_to_bstring_len(char *, int);
	BGL_EXPORTED_DECL obj_t BGl_stringzd2ze3mmapz31zz__mmapz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_symbol1792z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_list1760z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_symbol1795z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_symbol1798z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_z62mmapzd2refzd2urz62zz__mmapz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2getzd2stringz00zz__mmapz00(obj_t, long);
	static obj_t BGl_z62mmapzd2getzd2stringz62zz__mmapz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62mmapzd2ze3stringz53zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_z62mmapzd2ze3bstringz53zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__mmapz00(void);
	static obj_t BGl_genericzd2initzd2zz__mmapz00(void);
	static obj_t BGl_z62mmapzd2writezd2positionz62zz__mmapz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__mmapz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__mmapz00(void);
	BGL_EXPORTED_DECL unsigned char BGl_mmapzd2refzd2zz__mmapz00(obj_t, long);
	static obj_t BGl_objectzd2initzd2zz__mmapz00(void);
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2namezd2zz__mmapz00(obj_t);
	extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62mmapzd2substringzb0zz__mmapz00(obj_t, obj_t, obj_t,
		obj_t);
	extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL char *BGl_mmapzd2ze3stringz31zz__mmapz00(obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_z62mmapzd2putzd2stringz12z70zz__mmapz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62mmapzd2setzd2urz12z70zz__mmapz00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL long
		BGl_mmapzd2writezd2positionzd2setz12zc0zz__mmapz00(obj_t, long);
	extern obj_t string_append_3(obj_t, obj_t, obj_t);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2setzd2urz12z12zz__mmapz00(obj_t, long,
		unsigned char);
	static obj_t BGl_z62mmapzd2putzd2charz12z70zz__mmapz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2substringzd2setz12z12zz__mmapz00(obj_t,
		long, obj_t);
	BGL_EXPORTED_DECL long BGl_mmapzd2lengthzd2zz__mmapz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__mmapz00(void);
	BGL_EXPORTED_DECL unsigned char BGl_mmapzd2refzd2urz00zz__mmapz00(obj_t,
		long);
	static obj_t BGl_keyword1761z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_keyword1763z00zz__mmapz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_mmapzd2substringzd2zz__mmapz00(obj_t, long, long);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62mmapzd2refzb0zz__mmapz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1805z00zz__mmapz00 = BUNSPEC;
	static obj_t BGl_symbol1808z00zz__mmapz00 = BUNSPEC;
	BGL_EXPORTED_DECL bool_t BGl_mmapzf3zf3zz__mmapz00(obj_t);
	BGL_EXPORTED_DECL long
		BGl_mmapzd2readzd2positionzd2setz12zc0zz__mmapz00(obj_t, long);
	static obj_t BGl_z62mmapzd2readzd2positionzd2setz12za2zz__mmapz00(obj_t,
		obj_t, obj_t);
	extern obj_t string_append(obj_t, obj_t);
	BGL_EXPORTED_DECL unsigned char BGl_mmapzd2getzd2charz00zz__mmapz00(obj_t);
	static obj_t BGl_z62mmapzd2writezd2positionzd2setz12za2zz__mmapz00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL long BGl_mmapzd2writezd2positionz00zz__mmapz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2mmapzd2zz__mmapz00(obj_t);
	extern obj_t make_string_sans_fill(long);
	BGL_EXPORTED_DECL long BGl_mmapzd2readzd2positionz00zz__mmapz00(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62mmapzd2setz12za2zz__mmapz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl__stringzd2ze3mmapz31zz__mmapz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1790z00zz__mmapz00,
		BgL_bgl_string1790za700za7za7_1815za7, "index out of range [0..", 23);
	      DEFINE_STRING(BGl_string1791z00zz__mmapz00,
		BgL_bgl_string1791za700za7za7_1816za7, "]", 1);
	      DEFINE_STRING(BGl_string1793z00zz__mmapz00,
		BgL_bgl_string1793za700za7za7_1817za7, "mmap-ref", 8);
	      DEFINE_STRING(BGl_string1794z00zz__mmapz00,
		BgL_bgl_string1794za700za7za7_1818za7, "&mmap-ref", 9);
	      DEFINE_STRING(BGl_string1796z00zz__mmapz00,
		BgL_bgl_string1796za700za7za7_1819za7, "mmap-set!", 9);
	      DEFINE_STRING(BGl_string1797z00zz__mmapz00,
		BgL_bgl_string1797za700za7za7_1820za7, "&mmap-set!", 10);
	      DEFINE_STRING(BGl_string1799z00zz__mmapz00,
		BgL_bgl_string1799za700za7za7_1821za7, "mmap-substring", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2writezd2positionzd2envzd2zz__mmapz00,
		BgL_bgl_za762mmapza7d2writeza71822za7,
		BGl_z62mmapzd2writezd2positionz62zz__mmapz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2lengthzd2envz00zz__mmapz00,
		BgL_bgl_za762mmapza7d2length1823z00, BGl_z62mmapzd2lengthzb0zz__mmapz00, 0L,
		BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2putzd2charz12zd2envzc0zz__mmapz00,
		BgL_bgl_za762mmapza7d2putza7d21824za7,
		BGl_z62mmapzd2putzd2charz12z70zz__mmapz00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_mmapzd2writezd2positionzd2setz12zd2envz12zz__mmapz00,
		BgL_bgl_za762mmapza7d2writeza71825za7,
		BGl_z62mmapzd2writezd2positionzd2setz12za2zz__mmapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2getzd2stringzd2envzd2zz__mmapz00,
		BgL_bgl_za762mmapza7d2getza7d21826za7,
		BGl_z62mmapzd2getzd2stringz62zz__mmapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzf3zd2envz21zz__mmapz00,
		BgL_bgl_za762mmapza7f3za791za7za7_1827za7, BGl_z62mmapzf3z91zz__mmapz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_closezd2mmapzd2envz00zz__mmapz00,
		BgL_bgl_za762closeza7d2mmapza71828za7, BGl_z62closezd2mmapzb0zz__mmapz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_mmapzd2substringzd2setz12zd2envzc0zz__mmapz00,
		BgL_bgl_za762mmapza7d2substr1829z00,
		BGl_z62mmapzd2substringzd2setz12z70zz__mmapz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2readzd2positionzd2envzd2zz__mmapz00,
		BgL_bgl_za762mmapza7d2readza7d1830za7,
		BGl_z62mmapzd2readzd2positionz62zz__mmapz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2setz12zd2envz12zz__mmapz00,
		BgL_bgl_za762mmapza7d2setza7121831za7, BGl_z62mmapzd2setz12za2zz__mmapz00,
		0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_stringzd2ze3mmapzd2envze3zz__mmapz00,
		BgL_bgl__stringza7d2za7e3mma1832z00, opt_generic_entry,
		BGl__stringzd2ze3mmapz31zz__mmapz00, BFALSE, -1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2putzd2stringz12zd2envzc0zz__mmapz00,
		BgL_bgl_za762mmapza7d2putza7d21833za7,
		BGl_z62mmapzd2putzd2stringz12z70zz__mmapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2getzd2charzd2envzd2zz__mmapz00,
		BgL_bgl_za762mmapza7d2getza7d21834za7,
		BGl_z62mmapzd2getzd2charz62zz__mmapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1800z00zz__mmapz00,
		BgL_bgl_string1800za700za7za7_1835za7, "length too small", 16);
	      DEFINE_STRING(BGl_string1801z00zz__mmapz00,
		BgL_bgl_string1801za700za7za7_1836za7, "Illegal index", 13);
	      DEFINE_STRING(BGl_string1802z00zz__mmapz00,
		BgL_bgl_string1802za700za7za7_1837za7, "start+length bigger than ", 25);
	      DEFINE_STRING(BGl_string1803z00zz__mmapz00,
		BgL_bgl_string1803za700za7za7_1838za7, "&mmap-substring", 15);
	      DEFINE_STRING(BGl_string1804z00zz__mmapz00,
		BgL_bgl_string1804za700za7za7_1839za7, "mmap-substring-set!", 19);
	      DEFINE_STRING(BGl_string1806z00zz__mmapz00,
		BgL_bgl_string1806za700za7za7_1840za7, "mmap-sbustring-set!", 19);
	      DEFINE_STRING(BGl_string1807z00zz__mmapz00,
		BgL_bgl_string1807za700za7za7_1841za7, "[", 1);
	      DEFINE_STRING(BGl_string1809z00zz__mmapz00,
		BgL_bgl_string1809za700za7za7_1842za7, "&mmap-substring-set!", 20);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2refzd2envz00zz__mmapz00,
		BgL_bgl_za762mmapza7d2refza7b01843za7, BGl_z62mmapzd2refzb0zz__mmapz00, 0L,
		BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2namezd2envz00zz__mmapz00,
		BgL_bgl_za762mmapza7d2nameza7b1844za7, BGl_z62mmapzd2namezb0zz__mmapz00, 0L,
		BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_openzd2mmapzd2envz00zz__mmapz00,
		BgL_bgl__openza7d2mmapza7d2za71845za7, opt_generic_entry,
		BGl__openzd2mmapzd2zz__mmapz00, BFALSE, -1);
	      DEFINE_STRING(BGl_string1810z00zz__mmapz00,
		BgL_bgl_string1810za700za7za7_1846za7, "&mmap-get-char", 14);
	      DEFINE_STRING(BGl_string1811z00zz__mmapz00,
		BgL_bgl_string1811za700za7za7_1847za7, "&mmap-put-char!", 15);
	      DEFINE_STRING(BGl_string1812z00zz__mmapz00,
		BgL_bgl_string1812za700za7za7_1848za7, "&mmap-get-string", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2ze3stringzd2envze3zz__mmapz00,
		BgL_bgl_za762mmapza7d2za7e3str1849za7,
		BGl_z62mmapzd2ze3stringz53zz__mmapz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1813z00zz__mmapz00,
		BgL_bgl_string1813za700za7za7_1850za7, "&mmap-put-string!", 17);
	      DEFINE_STRING(BGl_string1814z00zz__mmapz00,
		BgL_bgl_string1814za700za7za7_1851za7, "__mmap", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2ze3bstringzd2envze3zz__mmapz00,
		BgL_bgl_za762mmapza7d2za7e3bst1852za7,
		BGl_z62mmapzd2ze3bstringz53zz__mmapz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_mmapzd2readzd2positionzd2setz12zd2envz12zz__mmapz00,
		BgL_bgl_za762mmapza7d2readza7d1853za7,
		BGl_z62mmapzd2readzd2positionzd2setz12za2zz__mmapz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2setzd2urz12zd2envzc0zz__mmapz00,
		BgL_bgl_za762mmapza7d2setza7d21854za7,
		BGl_z62mmapzd2setzd2urz12z70zz__mmapz00, 0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1762z00zz__mmapz00,
		BgL_bgl_string1762za700za7za7_1855za7, "read", 4);
	      DEFINE_STRING(BGl_string1764z00zz__mmapz00,
		BgL_bgl_string1764za700za7za7_1856za7, "write", 5);
	      DEFINE_STRING(BGl_string1766z00zz__mmapz00,
		BgL_bgl_string1766za700za7za7_1857za7, "open-mmap", 9);
	      DEFINE_STRING(BGl_string1767z00zz__mmapz00,
		BgL_bgl_string1767za700za7za7_1858za7, "Illegal keyword argument", 24);
	      DEFINE_STRING(BGl_string1768z00zz__mmapz00,
		BgL_bgl_string1768za700za7za7_1859za7,
		"wrong number of arguments: [1..3] expected, provided", 52);
	      DEFINE_STRING(BGl_string1769z00zz__mmapz00,
		BgL_bgl_string1769za700za7za7_1860za7, "/tmp/bigloo/runtime/Llib/mmap.scm",
		33);
	      DEFINE_STRING(BGl_string1770z00zz__mmapz00,
		BgL_bgl_string1770za700za7za7_1861za7, "_open-mmap", 10);
	      DEFINE_STRING(BGl_string1771z00zz__mmapz00,
		BgL_bgl_string1771za700za7za7_1862za7, "bint", 4);
	      DEFINE_STRING(BGl_string1772z00zz__mmapz00,
		BgL_bgl_string1772za700za7za7_1863za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1774z00zz__mmapz00,
		BgL_bgl_string1774za700za7za7_1864za7, "string->mmap", 12);
	      DEFINE_STRING(BGl_string1775z00zz__mmapz00,
		BgL_bgl_string1775za700za7za7_1865za7, "_string->mmap", 13);
	      DEFINE_STRING(BGl_string1776z00zz__mmapz00,
		BgL_bgl_string1776za700za7za7_1866za7, "&mmap-name", 10);
	      DEFINE_STRING(BGl_string1777z00zz__mmapz00,
		BgL_bgl_string1777za700za7za7_1867za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1778z00zz__mmapz00,
		BgL_bgl_string1778za700za7za7_1868za7, "&mmap->string", 13);
	      DEFINE_STRING(BGl_string1779z00zz__mmapz00,
		BgL_bgl_string1779za700za7za7_1869za7, "&mmap->bstring", 14);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2refzd2urzd2envzd2zz__mmapz00,
		BgL_bgl_za762mmapza7d2refza7d21870za7, BGl_z62mmapzd2refzd2urz62zz__mmapz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1780z00zz__mmapz00,
		BgL_bgl_string1780za700za7za7_1871za7, "&close-mmap", 11);
	      DEFINE_STRING(BGl_string1781z00zz__mmapz00,
		BgL_bgl_string1781za700za7za7_1872za7, "&mmap-length", 12);
	      DEFINE_STRING(BGl_string1782z00zz__mmapz00,
		BgL_bgl_string1782za700za7za7_1873za7, "&mmap-read-position", 19);
	      DEFINE_STRING(BGl_string1783z00zz__mmapz00,
		BgL_bgl_string1783za700za7za7_1874za7, "&mmap-read-position-set!", 24);
	      DEFINE_STRING(BGl_string1784z00zz__mmapz00,
		BgL_bgl_string1784za700za7za7_1875za7, "belong", 6);
	      DEFINE_STRING(BGl_string1785z00zz__mmapz00,
		BgL_bgl_string1785za700za7za7_1876za7, "&mmap-write-position", 20);
	      DEFINE_STRING(BGl_string1786z00zz__mmapz00,
		BgL_bgl_string1786za700za7za7_1877za7, "&mmap-write-position-set!", 25);
	      DEFINE_STRING(BGl_string1787z00zz__mmapz00,
		BgL_bgl_string1787za700za7za7_1878za7, "&mmap-ref-ur", 12);
	      DEFINE_STRING(BGl_string1788z00zz__mmapz00,
		BgL_bgl_string1788za700za7za7_1879za7, "&mmap-set-ur!", 13);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_mmapzd2substringzd2envz00zz__mmapz00,
		BgL_bgl_za762mmapza7d2substr1880z00, BGl_z62mmapzd2substringzb0zz__mmapz00,
		0L, BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1789z00zz__mmapz00,
		BgL_bgl_string1789za700za7za7_1881za7, "bchar", 5);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_symbol1765z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_symbol1773z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_symbol1792z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_list1760z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_symbol1795z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_symbol1798z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_keyword1761z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_keyword1763z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_symbol1805z00zz__mmapz00));
		     ADD_ROOT((void *) (&BGl_symbol1808z00zz__mmapz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long
		BgL_checksumz00_2324, char *BgL_fromz00_2325)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__mmapz00))
				{
					BGl_requirezd2initializa7ationz75zz__mmapz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__mmapz00();
					BGl_cnstzd2initzd2zz__mmapz00();
					BGl_importedzd2moduleszd2initz00zz__mmapz00();
					return BGl_methodzd2initzd2zz__mmapz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__mmapz00(void)
	{
		{	/* Llib/mmap.scm 19 */
			BGl_keyword1761z00zz__mmapz00 =
				bstring_to_keyword(BGl_string1762z00zz__mmapz00);
			BGl_keyword1763z00zz__mmapz00 =
				bstring_to_keyword(BGl_string1764z00zz__mmapz00);
			BGl_list1760z00zz__mmapz00 =
				MAKE_YOUNG_PAIR(BGl_keyword1761z00zz__mmapz00,
				MAKE_YOUNG_PAIR(BGl_keyword1763z00zz__mmapz00, BNIL));
			BGl_symbol1765z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1766z00zz__mmapz00);
			BGl_symbol1773z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1774z00zz__mmapz00);
			BGl_symbol1792z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1793z00zz__mmapz00);
			BGl_symbol1795z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1796z00zz__mmapz00);
			BGl_symbol1798z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1799z00zz__mmapz00);
			BGl_symbol1805z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1806z00zz__mmapz00);
			return (BGl_symbol1808z00zz__mmapz00 =
				bstring_to_symbol(BGl_string1804z00zz__mmapz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__mmapz00(void)
	{
		{	/* Llib/mmap.scm 19 */
			return bgl_gc_roots_register();
		}

	}



/* mmap? */
	BGL_EXPORTED_DEF bool_t BGl_mmapzf3zf3zz__mmapz00(obj_t BgL_objz00_3)
	{
		{	/* Llib/mmap.scm 117 */
			return BGL_MMAPP(BgL_objz00_3);
		}

	}



/* &mmap? */
	obj_t BGl_z62mmapzf3z91zz__mmapz00(obj_t BgL_envz00_2159,
		obj_t BgL_objz00_2160)
	{
		{	/* Llib/mmap.scm 117 */
			return BBOOL(BGl_mmapzf3zf3zz__mmapz00(BgL_objz00_2160));
		}

	}



/* _open-mmap */
	obj_t BGl__openzd2mmapzd2zz__mmapz00(obj_t BgL_env1102z00_8,
		obj_t BgL_opt1101z00_7)
	{
		{	/* Llib/mmap.scm 123 */
			{	/* Llib/mmap.scm 123 */
				obj_t BgL_g1109z00_1138;

				BgL_g1109z00_1138 = VECTOR_REF(BgL_opt1101z00_7, ((long) 0));
				{	/* Llib/mmap.scm 123 */
					obj_t BgL_readz00_1139;

					BgL_readz00_1139 = BTRUE;
					{	/* Llib/mmap.scm 123 */
						obj_t BgL_writez00_1140;

						BgL_writez00_1140 = BTRUE;
						{	/* Llib/mmap.scm 123 */

							{
								long BgL_iz00_1141;

								BgL_iz00_1141 = ((long) 1);
							BgL_check1105z00_1142:
								if ((BgL_iz00_1141 == VECTOR_LENGTH(BgL_opt1101z00_7)))
									{	/* Llib/mmap.scm 123 */
										BNIL;
									}
								else
									{	/* Llib/mmap.scm 123 */
										bool_t BgL_test1884z00_2352;

										{	/* Llib/mmap.scm 123 */
											obj_t BgL_arg1196z00_1148;

											BgL_arg1196z00_1148 =
												VECTOR_REF(BgL_opt1101z00_7, BgL_iz00_1141);
											BgL_test1884z00_2352 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1196z00_1148, BGl_list1760z00zz__mmapz00));
										}
										if (BgL_test1884z00_2352)
											{
												long BgL_iz00_2356;

												BgL_iz00_2356 = (BgL_iz00_1141 + ((long) 2));
												BgL_iz00_1141 = BgL_iz00_2356;
												goto BgL_check1105z00_1142;
											}
										else
											{	/* Llib/mmap.scm 123 */
												obj_t BgL_arg1195z00_1147;

												BgL_arg1195z00_1147 =
													VECTOR_REF(BgL_opt1101z00_7, BgL_iz00_1141);
												BGl_errorz00zz__errorz00(BGl_symbol1765z00zz__mmapz00,
													BGl_string1767z00zz__mmapz00, BgL_arg1195z00_1147);
											}
									}
							}
							{	/* Llib/mmap.scm 123 */
								obj_t BgL_index1107z00_1149;

								{
									long BgL_iz00_1702;

									BgL_iz00_1702 = ((long) 1);
								BgL_search1104z00_1701:
									if ((BgL_iz00_1702 == VECTOR_LENGTH(BgL_opt1101z00_7)))
										{	/* Llib/mmap.scm 123 */
											BgL_index1107z00_1149 = BINT(((long) -1));
										}
									else
										{	/* Llib/mmap.scm 123 */
											if (
												(BgL_iz00_1702 ==
													(VECTOR_LENGTH(BgL_opt1101z00_7) - ((long) 1))))
												{	/* Llib/mmap.scm 123 */
													BgL_index1107z00_1149 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1765z00zz__mmapz00,
														BGl_string1768z00zz__mmapz00,
														BINT(VECTOR_LENGTH(BgL_opt1101z00_7)));
												}
											else
												{	/* Llib/mmap.scm 123 */
													obj_t BgL_vz00_1712;

													BgL_vz00_1712 =
														VECTOR_REF(BgL_opt1101z00_7, BgL_iz00_1702);
													if ((BgL_vz00_1712 == BGl_keyword1761z00zz__mmapz00))
														{	/* Llib/mmap.scm 123 */
															BgL_index1107z00_1149 =
																BINT((BgL_iz00_1702 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_2376;

															BgL_iz00_2376 = (BgL_iz00_1702 + ((long) 2));
															BgL_iz00_1702 = BgL_iz00_2376;
															goto BgL_search1104z00_1701;
														}
												}
										}
								}
								{	/* Llib/mmap.scm 123 */
									bool_t BgL_test1888z00_2378;

									{	/* Llib/mmap.scm 123 */
										long BgL_n1z00_1716;

										{	/* Llib/mmap.scm 123 */
											obj_t BgL_tmpz00_2379;

											if (INTEGERP(BgL_index1107z00_1149))
												{	/* Llib/mmap.scm 123 */
													BgL_tmpz00_2379 = BgL_index1107z00_1149;
												}
											else
												{
													obj_t BgL_auxz00_2382;

													BgL_auxz00_2382 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1769z00zz__mmapz00, BINT(((long) 5352)),
														BGl_string1770z00zz__mmapz00,
														BGl_string1771z00zz__mmapz00,
														BgL_index1107z00_1149);
													FAILURE(BgL_auxz00_2382, BFALSE, BFALSE);
												}
											BgL_n1z00_1716 = (long) CINT(BgL_tmpz00_2379);
										}
										BgL_test1888z00_2378 = (BgL_n1z00_1716 >= ((long) 0));
									}
									if (BgL_test1888z00_2378)
										{
											long BgL_auxz00_2388;

											{	/* Llib/mmap.scm 123 */
												obj_t BgL_tmpz00_2389;

												if (INTEGERP(BgL_index1107z00_1149))
													{	/* Llib/mmap.scm 123 */
														BgL_tmpz00_2389 = BgL_index1107z00_1149;
													}
												else
													{
														obj_t BgL_auxz00_2392;

														BgL_auxz00_2392 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string1769z00zz__mmapz00,
															BINT(((long) 5352)), BGl_string1770z00zz__mmapz00,
															BGl_string1771z00zz__mmapz00,
															BgL_index1107z00_1149);
														FAILURE(BgL_auxz00_2392, BFALSE, BFALSE);
													}
												BgL_auxz00_2388 = (long) CINT(BgL_tmpz00_2389);
											}
											BgL_readz00_1139 =
												VECTOR_REF(BgL_opt1101z00_7, BgL_auxz00_2388);
										}
									else
										{	/* Llib/mmap.scm 123 */
											BFALSE;
										}
								}
							}
							{	/* Llib/mmap.scm 123 */
								obj_t BgL_index1108z00_1151;

								{
									long BgL_iz00_1718;

									BgL_iz00_1718 = ((long) 1);
								BgL_search1104z00_1717:
									if ((BgL_iz00_1718 == VECTOR_LENGTH(BgL_opt1101z00_7)))
										{	/* Llib/mmap.scm 123 */
											BgL_index1108z00_1151 = BINT(((long) -1));
										}
									else
										{	/* Llib/mmap.scm 123 */
											if (
												(BgL_iz00_1718 ==
													(VECTOR_LENGTH(BgL_opt1101z00_7) - ((long) 1))))
												{	/* Llib/mmap.scm 123 */
													BgL_index1108z00_1151 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1765z00zz__mmapz00,
														BGl_string1768z00zz__mmapz00,
														BINT(VECTOR_LENGTH(BgL_opt1101z00_7)));
												}
											else
												{	/* Llib/mmap.scm 123 */
													obj_t BgL_vz00_1728;

													BgL_vz00_1728 =
														VECTOR_REF(BgL_opt1101z00_7, BgL_iz00_1718);
													if ((BgL_vz00_1728 == BGl_keyword1763z00zz__mmapz00))
														{	/* Llib/mmap.scm 123 */
															BgL_index1108z00_1151 =
																BINT((BgL_iz00_1718 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_2414;

															BgL_iz00_2414 = (BgL_iz00_1718 + ((long) 2));
															BgL_iz00_1718 = BgL_iz00_2414;
															goto BgL_search1104z00_1717;
														}
												}
										}
								}
								{	/* Llib/mmap.scm 123 */
									bool_t BgL_test1894z00_2416;

									{	/* Llib/mmap.scm 123 */
										long BgL_n1z00_1732;

										{	/* Llib/mmap.scm 123 */
											obj_t BgL_tmpz00_2417;

											if (INTEGERP(BgL_index1108z00_1151))
												{	/* Llib/mmap.scm 123 */
													BgL_tmpz00_2417 = BgL_index1108z00_1151;
												}
											else
												{
													obj_t BgL_auxz00_2420;

													BgL_auxz00_2420 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1769z00zz__mmapz00, BINT(((long) 5352)),
														BGl_string1770z00zz__mmapz00,
														BGl_string1771z00zz__mmapz00,
														BgL_index1108z00_1151);
													FAILURE(BgL_auxz00_2420, BFALSE, BFALSE);
												}
											BgL_n1z00_1732 = (long) CINT(BgL_tmpz00_2417);
										}
										BgL_test1894z00_2416 = (BgL_n1z00_1732 >= ((long) 0));
									}
									if (BgL_test1894z00_2416)
										{
											long BgL_auxz00_2426;

											{	/* Llib/mmap.scm 123 */
												obj_t BgL_tmpz00_2427;

												if (INTEGERP(BgL_index1108z00_1151))
													{	/* Llib/mmap.scm 123 */
														BgL_tmpz00_2427 = BgL_index1108z00_1151;
													}
												else
													{
														obj_t BgL_auxz00_2430;

														BgL_auxz00_2430 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string1769z00zz__mmapz00,
															BINT(((long) 5352)), BGl_string1770z00zz__mmapz00,
															BGl_string1771z00zz__mmapz00,
															BgL_index1108z00_1151);
														FAILURE(BgL_auxz00_2430, BFALSE, BFALSE);
													}
												BgL_auxz00_2426 = (long) CINT(BgL_tmpz00_2427);
											}
											BgL_writez00_1140 =
												VECTOR_REF(BgL_opt1101z00_7, BgL_auxz00_2426);
										}
									else
										{	/* Llib/mmap.scm 123 */
											BFALSE;
										}
								}
							}
							{	/* Llib/mmap.scm 123 */
								obj_t BgL_arg1200z00_1153;

								BgL_arg1200z00_1153 = VECTOR_REF(BgL_opt1101z00_7, ((long) 0));
								{	/* Llib/mmap.scm 123 */
									obj_t BgL_readz00_1154;

									BgL_readz00_1154 = BgL_readz00_1139;
									{	/* Llib/mmap.scm 123 */
										obj_t BgL_writez00_1155;

										BgL_writez00_1155 = BgL_writez00_1140;
										{	/* Llib/mmap.scm 123 */
											obj_t BgL_namez00_1733;

											if (STRINGP(BgL_arg1200z00_1153))
												{	/* Llib/mmap.scm 123 */
													BgL_namez00_1733 = BgL_arg1200z00_1153;
												}
											else
												{
													obj_t BgL_auxz00_2439;

													BgL_auxz00_2439 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1769z00zz__mmapz00, BINT(((long) 5352)),
														BGl_string1770z00zz__mmapz00,
														BGl_string1772z00zz__mmapz00, BgL_arg1200z00_1153);
													FAILURE(BgL_auxz00_2439, BFALSE, BFALSE);
												}
											{	/* Llib/mmap.scm 124 */
												bool_t BgL_auxz00_2445;
												bool_t BgL_tmpz00_2443;

												BgL_auxz00_2445 = CBOOL(BgL_writez00_1155);
												BgL_tmpz00_2443 = CBOOL(BgL_readz00_1154);
												return
													bgl_open_mmap(BgL_namez00_1733, BgL_tmpz00_2443,
													BgL_auxz00_2445);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* open-mmap */
	BGL_EXPORTED_DEF obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t BgL_namez00_4,
		obj_t BgL_readz00_5, obj_t BgL_writez00_6)
	{
		{	/* Llib/mmap.scm 123 */
			{	/* Llib/mmap.scm 124 */
				bool_t BgL_auxz00_2450;
				bool_t BgL_tmpz00_2448;

				BgL_auxz00_2450 = CBOOL(BgL_writez00_6);
				BgL_tmpz00_2448 = CBOOL(BgL_readz00_5);
				return bgl_open_mmap(BgL_namez00_4, BgL_tmpz00_2448, BgL_auxz00_2450);
			}
		}

	}



/* _string->mmap */
	obj_t BGl__stringzd2ze3mmapz31zz__mmapz00(obj_t BgL_env1111z00_13,
		obj_t BgL_opt1110z00_12)
	{
		{	/* Llib/mmap.scm 129 */
			{	/* Llib/mmap.scm 129 */
				obj_t BgL_g1118z00_1167;

				BgL_g1118z00_1167 = VECTOR_REF(BgL_opt1110z00_12, ((long) 0));
				{	/* Llib/mmap.scm 129 */
					obj_t BgL_readz00_1168;

					BgL_readz00_1168 = BTRUE;
					{	/* Llib/mmap.scm 129 */
						obj_t BgL_writez00_1169;

						BgL_writez00_1169 = BTRUE;
						{	/* Llib/mmap.scm 129 */

							{
								long BgL_iz00_1170;

								BgL_iz00_1170 = ((long) 1);
							BgL_check1114z00_1171:
								if ((BgL_iz00_1170 == VECTOR_LENGTH(BgL_opt1110z00_12)))
									{	/* Llib/mmap.scm 129 */
										BNIL;
									}
								else
									{	/* Llib/mmap.scm 129 */
										bool_t BgL_test1899z00_2457;

										{	/* Llib/mmap.scm 129 */
											obj_t BgL_arg1224z00_1177;

											BgL_arg1224z00_1177 =
												VECTOR_REF(BgL_opt1110z00_12, BgL_iz00_1170);
											BgL_test1899z00_2457 =
												CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_arg1224z00_1177, BGl_list1760z00zz__mmapz00));
										}
										if (BgL_test1899z00_2457)
											{
												long BgL_iz00_2461;

												BgL_iz00_2461 = (BgL_iz00_1170 + ((long) 2));
												BgL_iz00_1170 = BgL_iz00_2461;
												goto BgL_check1114z00_1171;
											}
										else
											{	/* Llib/mmap.scm 129 */
												obj_t BgL_arg1220z00_1176;

												BgL_arg1220z00_1176 =
													VECTOR_REF(BgL_opt1110z00_12, BgL_iz00_1170);
												BGl_errorz00zz__errorz00(BGl_symbol1773z00zz__mmapz00,
													BGl_string1767z00zz__mmapz00, BgL_arg1220z00_1176);
											}
									}
							}
							{	/* Llib/mmap.scm 129 */
								obj_t BgL_index1116z00_1178;

								{
									long BgL_iz00_1750;

									BgL_iz00_1750 = ((long) 1);
								BgL_search1113z00_1749:
									if ((BgL_iz00_1750 == VECTOR_LENGTH(BgL_opt1110z00_12)))
										{	/* Llib/mmap.scm 129 */
											BgL_index1116z00_1178 = BINT(((long) -1));
										}
									else
										{	/* Llib/mmap.scm 129 */
											if (
												(BgL_iz00_1750 ==
													(VECTOR_LENGTH(BgL_opt1110z00_12) - ((long) 1))))
												{	/* Llib/mmap.scm 129 */
													BgL_index1116z00_1178 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1773z00zz__mmapz00,
														BGl_string1768z00zz__mmapz00,
														BINT(VECTOR_LENGTH(BgL_opt1110z00_12)));
												}
											else
												{	/* Llib/mmap.scm 129 */
													obj_t BgL_vz00_1760;

													BgL_vz00_1760 =
														VECTOR_REF(BgL_opt1110z00_12, BgL_iz00_1750);
													if ((BgL_vz00_1760 == BGl_keyword1761z00zz__mmapz00))
														{	/* Llib/mmap.scm 129 */
															BgL_index1116z00_1178 =
																BINT((BgL_iz00_1750 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_2481;

															BgL_iz00_2481 = (BgL_iz00_1750 + ((long) 2));
															BgL_iz00_1750 = BgL_iz00_2481;
															goto BgL_search1113z00_1749;
														}
												}
										}
								}
								{	/* Llib/mmap.scm 129 */
									bool_t BgL_test1903z00_2483;

									{	/* Llib/mmap.scm 129 */
										long BgL_n1z00_1764;

										{	/* Llib/mmap.scm 129 */
											obj_t BgL_tmpz00_2484;

											if (INTEGERP(BgL_index1116z00_1178))
												{	/* Llib/mmap.scm 129 */
													BgL_tmpz00_2484 = BgL_index1116z00_1178;
												}
											else
												{
													obj_t BgL_auxz00_2487;

													BgL_auxz00_2487 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1769z00zz__mmapz00, BINT(((long) 5669)),
														BGl_string1775z00zz__mmapz00,
														BGl_string1771z00zz__mmapz00,
														BgL_index1116z00_1178);
													FAILURE(BgL_auxz00_2487, BFALSE, BFALSE);
												}
											BgL_n1z00_1764 = (long) CINT(BgL_tmpz00_2484);
										}
										BgL_test1903z00_2483 = (BgL_n1z00_1764 >= ((long) 0));
									}
									if (BgL_test1903z00_2483)
										{
											long BgL_auxz00_2493;

											{	/* Llib/mmap.scm 129 */
												obj_t BgL_tmpz00_2494;

												if (INTEGERP(BgL_index1116z00_1178))
													{	/* Llib/mmap.scm 129 */
														BgL_tmpz00_2494 = BgL_index1116z00_1178;
													}
												else
													{
														obj_t BgL_auxz00_2497;

														BgL_auxz00_2497 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string1769z00zz__mmapz00,
															BINT(((long) 5669)), BGl_string1775z00zz__mmapz00,
															BGl_string1771z00zz__mmapz00,
															BgL_index1116z00_1178);
														FAILURE(BgL_auxz00_2497, BFALSE, BFALSE);
													}
												BgL_auxz00_2493 = (long) CINT(BgL_tmpz00_2494);
											}
											BgL_readz00_1168 =
												VECTOR_REF(BgL_opt1110z00_12, BgL_auxz00_2493);
										}
									else
										{	/* Llib/mmap.scm 129 */
											BFALSE;
										}
								}
							}
							{	/* Llib/mmap.scm 129 */
								obj_t BgL_index1117z00_1180;

								{
									long BgL_iz00_1766;

									BgL_iz00_1766 = ((long) 1);
								BgL_search1113z00_1765:
									if ((BgL_iz00_1766 == VECTOR_LENGTH(BgL_opt1110z00_12)))
										{	/* Llib/mmap.scm 129 */
											BgL_index1117z00_1180 = BINT(((long) -1));
										}
									else
										{	/* Llib/mmap.scm 129 */
											if (
												(BgL_iz00_1766 ==
													(VECTOR_LENGTH(BgL_opt1110z00_12) - ((long) 1))))
												{	/* Llib/mmap.scm 129 */
													BgL_index1117z00_1180 =
														BGl_errorz00zz__errorz00
														(BGl_symbol1773z00zz__mmapz00,
														BGl_string1768z00zz__mmapz00,
														BINT(VECTOR_LENGTH(BgL_opt1110z00_12)));
												}
											else
												{	/* Llib/mmap.scm 129 */
													obj_t BgL_vz00_1776;

													BgL_vz00_1776 =
														VECTOR_REF(BgL_opt1110z00_12, BgL_iz00_1766);
													if ((BgL_vz00_1776 == BGl_keyword1763z00zz__mmapz00))
														{	/* Llib/mmap.scm 129 */
															BgL_index1117z00_1180 =
																BINT((BgL_iz00_1766 + ((long) 1)));
														}
													else
														{
															long BgL_iz00_2519;

															BgL_iz00_2519 = (BgL_iz00_1766 + ((long) 2));
															BgL_iz00_1766 = BgL_iz00_2519;
															goto BgL_search1113z00_1765;
														}
												}
										}
								}
								{	/* Llib/mmap.scm 129 */
									bool_t BgL_test1909z00_2521;

									{	/* Llib/mmap.scm 129 */
										long BgL_n1z00_1780;

										{	/* Llib/mmap.scm 129 */
											obj_t BgL_tmpz00_2522;

											if (INTEGERP(BgL_index1117z00_1180))
												{	/* Llib/mmap.scm 129 */
													BgL_tmpz00_2522 = BgL_index1117z00_1180;
												}
											else
												{
													obj_t BgL_auxz00_2525;

													BgL_auxz00_2525 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1769z00zz__mmapz00, BINT(((long) 5669)),
														BGl_string1775z00zz__mmapz00,
														BGl_string1771z00zz__mmapz00,
														BgL_index1117z00_1180);
													FAILURE(BgL_auxz00_2525, BFALSE, BFALSE);
												}
											BgL_n1z00_1780 = (long) CINT(BgL_tmpz00_2522);
										}
										BgL_test1909z00_2521 = (BgL_n1z00_1780 >= ((long) 0));
									}
									if (BgL_test1909z00_2521)
										{
											long BgL_auxz00_2531;

											{	/* Llib/mmap.scm 129 */
												obj_t BgL_tmpz00_2532;

												if (INTEGERP(BgL_index1117z00_1180))
													{	/* Llib/mmap.scm 129 */
														BgL_tmpz00_2532 = BgL_index1117z00_1180;
													}
												else
													{
														obj_t BgL_auxz00_2535;

														BgL_auxz00_2535 =
															BGl_typezd2errorzd2zz__errorz00
															(BGl_string1769z00zz__mmapz00,
															BINT(((long) 5669)), BGl_string1775z00zz__mmapz00,
															BGl_string1771z00zz__mmapz00,
															BgL_index1117z00_1180);
														FAILURE(BgL_auxz00_2535, BFALSE, BFALSE);
													}
												BgL_auxz00_2531 = (long) CINT(BgL_tmpz00_2532);
											}
											BgL_writez00_1169 =
												VECTOR_REF(BgL_opt1110z00_12, BgL_auxz00_2531);
										}
									else
										{	/* Llib/mmap.scm 129 */
											BFALSE;
										}
								}
							}
							{	/* Llib/mmap.scm 129 */
								obj_t BgL_arg1228z00_1182;

								BgL_arg1228z00_1182 = VECTOR_REF(BgL_opt1110z00_12, ((long) 0));
								{	/* Llib/mmap.scm 129 */
									obj_t BgL_readz00_1183;

									BgL_readz00_1183 = BgL_readz00_1168;
									{	/* Llib/mmap.scm 129 */
										obj_t BgL_writez00_1184;

										BgL_writez00_1184 = BgL_writez00_1169;
										{	/* Llib/mmap.scm 129 */
											obj_t BgL_sz00_1781;

											if (STRINGP(BgL_arg1228z00_1182))
												{	/* Llib/mmap.scm 129 */
													BgL_sz00_1781 = BgL_arg1228z00_1182;
												}
											else
												{
													obj_t BgL_auxz00_2544;

													BgL_auxz00_2544 =
														BGl_typezd2errorzd2zz__errorz00
														(BGl_string1769z00zz__mmapz00, BINT(((long) 5669)),
														BGl_string1775z00zz__mmapz00,
														BGl_string1772z00zz__mmapz00, BgL_arg1228z00_1182);
													FAILURE(BgL_auxz00_2544, BFALSE, BFALSE);
												}
											{	/* Llib/mmap.scm 130 */
												bool_t BgL_auxz00_2550;
												bool_t BgL_tmpz00_2548;

												BgL_auxz00_2550 = CBOOL(BgL_writez00_1184);
												BgL_tmpz00_2548 = CBOOL(BgL_readz00_1183);
												return
													bgl_string_to_mmap(BgL_sz00_1781, BgL_tmpz00_2548,
													BgL_auxz00_2550);
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* string->mmap */
	BGL_EXPORTED_DEF obj_t BGl_stringzd2ze3mmapz31zz__mmapz00(obj_t BgL_sz00_9,
		obj_t BgL_readz00_10, obj_t BgL_writez00_11)
	{
		{	/* Llib/mmap.scm 129 */
			{	/* Llib/mmap.scm 130 */
				bool_t BgL_auxz00_2555;
				bool_t BgL_tmpz00_2553;

				BgL_auxz00_2555 = CBOOL(BgL_writez00_11);
				BgL_tmpz00_2553 = CBOOL(BgL_readz00_10);
				return bgl_string_to_mmap(BgL_sz00_9, BgL_tmpz00_2553, BgL_auxz00_2555);
			}
		}

	}



/* mmap-name */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2namezd2zz__mmapz00(obj_t BgL_mmapz00_14)
	{
		{	/* Llib/mmap.scm 135 */
			return BGL_MMAP_NAME(BgL_mmapz00_14);
		}

	}



/* &mmap-name */
	obj_t BGl_z62mmapzd2namezb0zz__mmapz00(obj_t BgL_envz00_2161,
		obj_t BgL_mmapz00_2162)
	{
		{	/* Llib/mmap.scm 135 */
			{	/* Llib/mmap.scm 136 */
				obj_t BgL_auxz00_2559;

				if (BGL_MMAPP(BgL_mmapz00_2162))
					{	/* Llib/mmap.scm 136 */
						BgL_auxz00_2559 = BgL_mmapz00_2162;
					}
				else
					{
						obj_t BgL_auxz00_2562;

						BgL_auxz00_2562 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 6027)), BGl_string1776z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmapz00_2162);
						FAILURE(BgL_auxz00_2562, BFALSE, BFALSE);
					}
				return BGl_mmapzd2namezd2zz__mmapz00(BgL_auxz00_2559);
			}
		}

	}



/* mmap->string */
	BGL_EXPORTED_DEF char *BGl_mmapzd2ze3stringz31zz__mmapz00(obj_t
		BgL_mmapz00_15)
	{
		{	/* Llib/mmap.scm 141 */
			return BGL_MMAP_TO_STRING(BgL_mmapz00_15);
		}

	}



/* &mmap->string */
	obj_t BGl_z62mmapzd2ze3stringz53zz__mmapz00(obj_t BgL_envz00_2163,
		obj_t BgL_mmapz00_2164)
	{
		{	/* Llib/mmap.scm 141 */
			{	/* Llib/mmap.scm 142 */
				char *BgL_tmpz00_2568;

				{	/* Llib/mmap.scm 142 */
					obj_t BgL_auxz00_2569;

					if (BGL_MMAPP(BgL_mmapz00_2164))
						{	/* Llib/mmap.scm 142 */
							BgL_auxz00_2569 = BgL_mmapz00_2164;
						}
					else
						{
							obj_t BgL_auxz00_2572;

							BgL_auxz00_2572 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 6321)), BGl_string1778z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmapz00_2164);
							FAILURE(BgL_auxz00_2572, BFALSE, BFALSE);
						}
					BgL_tmpz00_2568 = BGl_mmapzd2ze3stringz31zz__mmapz00(BgL_auxz00_2569);
				}
				return string_to_bstring(BgL_tmpz00_2568);
			}
		}

	}



/* mmap->bstring */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2ze3bstringz31zz__mmapz00(obj_t
		BgL_mmapz00_16)
	{
		{	/* Llib/mmap.scm 147 */
			{	/* Llib/mmap.scm 148 */
				int BgL_lenz00_2294;

				{	/* Llib/mmap.scm 148 */
					long BgL_arg1244z00_2295;

					BgL_arg1244z00_2295 = BGL_MMAP_LENGTH(BgL_mmapz00_16);
					BgL_lenz00_2294 = (int) ((long) (BgL_arg1244z00_2295));
				}
				{	/* Llib/mmap.scm 149 */
					char *BgL_arg1242z00_2296;

					BgL_arg1242z00_2296 = BGL_MMAP_TO_STRING(BgL_mmapz00_16);
					return string_to_bstring_len(BgL_arg1242z00_2296, BgL_lenz00_2294);
				}
			}
		}

	}



/* &mmap->bstring */
	obj_t BGl_z62mmapzd2ze3bstringz53zz__mmapz00(obj_t BgL_envz00_2165,
		obj_t BgL_mmapz00_2166)
	{
		{	/* Llib/mmap.scm 147 */
			{	/* Llib/mmap.scm 148 */
				obj_t BgL_auxz00_2583;

				if (BGL_MMAPP(BgL_mmapz00_2166))
					{	/* Llib/mmap.scm 148 */
						BgL_auxz00_2583 = BgL_mmapz00_2166;
					}
				else
					{
						obj_t BgL_auxz00_2586;

						BgL_auxz00_2586 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 6620)), BGl_string1779z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmapz00_2166);
						FAILURE(BgL_auxz00_2586, BFALSE, BFALSE);
					}
				return BGl_mmapzd2ze3bstringz31zz__mmapz00(BgL_auxz00_2583);
			}
		}

	}



/* close-mmap */
	BGL_EXPORTED_DEF obj_t BGl_closezd2mmapzd2zz__mmapz00(obj_t BgL_mmapz00_17)
	{
		{	/* Llib/mmap.scm 154 */
			return bgl_close_mmap(BgL_mmapz00_17);
		}

	}



/* &close-mmap */
	obj_t BGl_z62closezd2mmapzb0zz__mmapz00(obj_t BgL_envz00_2167,
		obj_t BgL_mmapz00_2168)
	{
		{	/* Llib/mmap.scm 154 */
			{	/* Llib/mmap.scm 155 */
				obj_t BgL_auxz00_2592;

				if (BGL_MMAPP(BgL_mmapz00_2168))
					{	/* Llib/mmap.scm 155 */
						BgL_auxz00_2592 = BgL_mmapz00_2168;
					}
				else
					{
						obj_t BgL_auxz00_2595;

						BgL_auxz00_2595 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 6996)), BGl_string1780z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmapz00_2168);
						FAILURE(BgL_auxz00_2595, BFALSE, BFALSE);
					}
				return BGl_closezd2mmapzd2zz__mmapz00(BgL_auxz00_2592);
			}
		}

	}



/* mmap-length */
	BGL_EXPORTED_DEF long BGl_mmapzd2lengthzd2zz__mmapz00(obj_t BgL_objz00_18)
	{
		{	/* Llib/mmap.scm 160 */
			return BGL_MMAP_LENGTH(BgL_objz00_18);
		}

	}



/* &mmap-length */
	obj_t BGl_z62mmapzd2lengthzb0zz__mmapz00(obj_t BgL_envz00_2169,
		obj_t BgL_objz00_2170)
	{
		{	/* Llib/mmap.scm 160 */
			{	/* Llib/mmap.scm 161 */
				long BgL_tmpz00_2601;

				{	/* Llib/mmap.scm 161 */
					obj_t BgL_auxz00_2602;

					if (BGL_MMAPP(BgL_objz00_2170))
						{	/* Llib/mmap.scm 161 */
							BgL_auxz00_2602 = BgL_objz00_2170;
						}
					else
						{
							obj_t BgL_auxz00_2605;

							BgL_auxz00_2605 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 7281)), BGl_string1781z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_objz00_2170);
							FAILURE(BgL_auxz00_2605, BFALSE, BFALSE);
						}
					BgL_tmpz00_2601 = BGl_mmapzd2lengthzd2zz__mmapz00(BgL_auxz00_2602);
				}
				return make_belong(BgL_tmpz00_2601);
			}
		}

	}



/* mmap-read-position */
	BGL_EXPORTED_DEF long BGl_mmapzd2readzd2positionz00zz__mmapz00(obj_t
		BgL_mmz00_19)
	{
		{	/* Llib/mmap.scm 166 */
			return BGL_MMAP_RP_GET(BgL_mmz00_19);
		}

	}



/* &mmap-read-position */
	obj_t BGl_z62mmapzd2readzd2positionz62zz__mmapz00(obj_t BgL_envz00_2171,
		obj_t BgL_mmz00_2172)
	{
		{	/* Llib/mmap.scm 166 */
			{	/* Llib/mmap.scm 167 */
				long BgL_tmpz00_2612;

				{	/* Llib/mmap.scm 167 */
					obj_t BgL_auxz00_2613;

					if (BGL_MMAPP(BgL_mmz00_2172))
						{	/* Llib/mmap.scm 167 */
							BgL_auxz00_2613 = BgL_mmz00_2172;
						}
					else
						{
							obj_t BgL_auxz00_2616;

							BgL_auxz00_2616 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 7572)), BGl_string1782z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2172);
							FAILURE(BgL_auxz00_2616, BFALSE, BFALSE);
						}
					BgL_tmpz00_2612 =
						BGl_mmapzd2readzd2positionz00zz__mmapz00(BgL_auxz00_2613);
				}
				return make_belong(BgL_tmpz00_2612);
			}
		}

	}



/* mmap-read-position-set! */
	BGL_EXPORTED_DEF long BGl_mmapzd2readzd2positionzd2setz12zc0zz__mmapz00(obj_t
		BgL_mmz00_20, long BgL_pz00_21)
	{
		{	/* Llib/mmap.scm 172 */
			BGL_MMAP_RP_SET(BgL_mmz00_20, BgL_pz00_21);
			BUNSPEC;
			return BgL_pz00_21;
		}

	}



/* &mmap-read-position-set! */
	obj_t BGl_z62mmapzd2readzd2positionzd2setz12za2zz__mmapz00(obj_t
		BgL_envz00_2173, obj_t BgL_mmz00_2174, obj_t BgL_pz00_2175)
	{
		{	/* Llib/mmap.scm 172 */
			{	/* Llib/mmap.scm 173 */
				long BgL_tmpz00_2623;

				{	/* Llib/mmap.scm 173 */
					long BgL_auxz00_2631;
					obj_t BgL_auxz00_2624;

					{	/* Llib/mmap.scm 173 */
						obj_t BgL_tmpz00_2632;

						if (ELONGP(BgL_pz00_2175))
							{	/* Llib/mmap.scm 173 */
								BgL_tmpz00_2632 = BgL_pz00_2175;
							}
						else
							{
								obj_t BgL_auxz00_2635;

								BgL_auxz00_2635 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
									BINT(((long) 7884)), BGl_string1783z00zz__mmapz00,
									BGl_string1784z00zz__mmapz00, BgL_pz00_2175);
								FAILURE(BgL_auxz00_2635, BFALSE, BFALSE);
							}
						BgL_auxz00_2631 = BELONG_TO_LONG(BgL_tmpz00_2632);
					}
					if (BGL_MMAPP(BgL_mmz00_2174))
						{	/* Llib/mmap.scm 173 */
							BgL_auxz00_2624 = BgL_mmz00_2174;
						}
					else
						{
							obj_t BgL_auxz00_2627;

							BgL_auxz00_2627 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 7884)), BGl_string1783z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2174);
							FAILURE(BgL_auxz00_2627, BFALSE, BFALSE);
						}
					BgL_tmpz00_2623 =
						BGl_mmapzd2readzd2positionzd2setz12zc0zz__mmapz00(BgL_auxz00_2624,
						BgL_auxz00_2631);
				}
				return make_belong(BgL_tmpz00_2623);
			}
		}

	}



/* mmap-write-position */
	BGL_EXPORTED_DEF long BGl_mmapzd2writezd2positionz00zz__mmapz00(obj_t
		BgL_mmz00_22)
	{
		{	/* Llib/mmap.scm 179 */
			return BGL_MMAP_WP_GET(BgL_mmz00_22);
		}

	}



/* &mmap-write-position */
	obj_t BGl_z62mmapzd2writezd2positionz62zz__mmapz00(obj_t BgL_envz00_2176,
		obj_t BgL_mmz00_2177)
	{
		{	/* Llib/mmap.scm 179 */
			{	/* Llib/mmap.scm 180 */
				long BgL_tmpz00_2643;

				{	/* Llib/mmap.scm 180 */
					obj_t BgL_auxz00_2644;

					if (BGL_MMAPP(BgL_mmz00_2177))
						{	/* Llib/mmap.scm 180 */
							BgL_auxz00_2644 = BgL_mmz00_2177;
						}
					else
						{
							obj_t BgL_auxz00_2647;

							BgL_auxz00_2647 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 8164)), BGl_string1785z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2177);
							FAILURE(BgL_auxz00_2647, BFALSE, BFALSE);
						}
					BgL_tmpz00_2643 =
						BGl_mmapzd2writezd2positionz00zz__mmapz00(BgL_auxz00_2644);
				}
				return make_belong(BgL_tmpz00_2643);
			}
		}

	}



/* mmap-write-position-set! */
	BGL_EXPORTED_DEF long BGl_mmapzd2writezd2positionzd2setz12zc0zz__mmapz00(obj_t
		BgL_mmz00_23, long BgL_pz00_24)
	{
		{	/* Llib/mmap.scm 185 */
			BGL_MMAP_WP_SET(BgL_mmz00_23, BgL_pz00_24);
			BUNSPEC;
			return BgL_pz00_24;
		}

	}



/* &mmap-write-position-set! */
	obj_t BGl_z62mmapzd2writezd2positionzd2setz12za2zz__mmapz00(obj_t
		BgL_envz00_2178, obj_t BgL_mmz00_2179, obj_t BgL_pz00_2180)
	{
		{	/* Llib/mmap.scm 185 */
			{	/* Llib/mmap.scm 186 */
				long BgL_tmpz00_2654;

				{	/* Llib/mmap.scm 186 */
					long BgL_auxz00_2662;
					obj_t BgL_auxz00_2655;

					{	/* Llib/mmap.scm 186 */
						obj_t BgL_tmpz00_2663;

						if (ELONGP(BgL_pz00_2180))
							{	/* Llib/mmap.scm 186 */
								BgL_tmpz00_2663 = BgL_pz00_2180;
							}
						else
							{
								obj_t BgL_auxz00_2666;

								BgL_auxz00_2666 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
									BINT(((long) 8477)), BGl_string1786z00zz__mmapz00,
									BGl_string1784z00zz__mmapz00, BgL_pz00_2180);
								FAILURE(BgL_auxz00_2666, BFALSE, BFALSE);
							}
						BgL_auxz00_2662 = BELONG_TO_LONG(BgL_tmpz00_2663);
					}
					if (BGL_MMAPP(BgL_mmz00_2179))
						{	/* Llib/mmap.scm 186 */
							BgL_auxz00_2655 = BgL_mmz00_2179;
						}
					else
						{
							obj_t BgL_auxz00_2658;

							BgL_auxz00_2658 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 8477)), BGl_string1786z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2179);
							FAILURE(BgL_auxz00_2658, BFALSE, BFALSE);
						}
					BgL_tmpz00_2654 =
						BGl_mmapzd2writezd2positionzd2setz12zc0zz__mmapz00(BgL_auxz00_2655,
						BgL_auxz00_2662);
				}
				return make_belong(BgL_tmpz00_2654);
			}
		}

	}



/* mmap-ref-ur */
	BGL_EXPORTED_DEF unsigned char BGl_mmapzd2refzd2urz00zz__mmapz00(obj_t
		BgL_mmz00_25, long BgL_iz00_26)
	{
		{	/* Llib/mmap.scm 192 */
			{	/* Llib/mmap.scm 193 */
				unsigned char BgL_cz00_2297;

				BgL_cz00_2297 = BGL_MMAP_REF(BgL_mmz00_25, BgL_iz00_26);
				{	/* Llib/mmap.scm 194 */
					long BgL_arg1260z00_2298;

					BgL_arg1260z00_2298 = (BgL_iz00_26 + ((long) 1));
					BGL_MMAP_RP_SET(BgL_mmz00_25, BgL_arg1260z00_2298);
					BUNSPEC;
					BgL_arg1260z00_2298;
				}
				return BgL_cz00_2297;
			}
		}

	}



/* &mmap-ref-ur */
	obj_t BGl_z62mmapzd2refzd2urz62zz__mmapz00(obj_t BgL_envz00_2181,
		obj_t BgL_mmz00_2182, obj_t BgL_iz00_2183)
	{
		{	/* Llib/mmap.scm 192 */
			{	/* Llib/mmap.scm 193 */
				unsigned char BgL_tmpz00_2676;

				{	/* Llib/mmap.scm 193 */
					long BgL_auxz00_2684;
					obj_t BgL_auxz00_2677;

					{	/* Llib/mmap.scm 193 */
						obj_t BgL_tmpz00_2685;

						if (ELONGP(BgL_iz00_2183))
							{	/* Llib/mmap.scm 193 */
								BgL_tmpz00_2685 = BgL_iz00_2183;
							}
						else
							{
								obj_t BgL_auxz00_2688;

								BgL_auxz00_2688 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
									BINT(((long) 8765)), BGl_string1787z00zz__mmapz00,
									BGl_string1784z00zz__mmapz00, BgL_iz00_2183);
								FAILURE(BgL_auxz00_2688, BFALSE, BFALSE);
							}
						BgL_auxz00_2684 = BELONG_TO_LONG(BgL_tmpz00_2685);
					}
					if (BGL_MMAPP(BgL_mmz00_2182))
						{	/* Llib/mmap.scm 193 */
							BgL_auxz00_2677 = BgL_mmz00_2182;
						}
					else
						{
							obj_t BgL_auxz00_2680;

							BgL_auxz00_2680 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 8765)), BGl_string1787z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2182);
							FAILURE(BgL_auxz00_2680, BFALSE, BFALSE);
						}
					BgL_tmpz00_2676 =
						BGl_mmapzd2refzd2urz00zz__mmapz00(BgL_auxz00_2677, BgL_auxz00_2684);
				}
				return BCHAR(BgL_tmpz00_2676);
			}
		}

	}



/* mmap-set-ur! */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2setzd2urz12z12zz__mmapz00(obj_t
		BgL_mmz00_27, long BgL_iz00_28, unsigned char BgL_cz00_29)
	{
		{	/* Llib/mmap.scm 200 */
			BGL_MMAP_SET(BgL_mmz00_27, BgL_iz00_28, BgL_cz00_29);
			{	/* Llib/mmap.scm 202 */
				long BgL_arg1261z00_2299;

				BgL_arg1261z00_2299 = (BgL_iz00_28 + ((long) 1));
				BGL_MMAP_WP_SET(BgL_mmz00_27, BgL_arg1261z00_2299);
				BUNSPEC;
				return make_belong(BgL_arg1261z00_2299);
			}
		}

	}



/* &mmap-set-ur! */
	obj_t BGl_z62mmapzd2setzd2urz12z70zz__mmapz00(obj_t BgL_envz00_2184,
		obj_t BgL_mmz00_2185, obj_t BgL_iz00_2186, obj_t BgL_cz00_2187)
	{
		{	/* Llib/mmap.scm 200 */
			{	/* Llib/mmap.scm 201 */
				unsigned char BgL_auxz00_2715;
				long BgL_auxz00_2706;
				obj_t BgL_auxz00_2699;

				{	/* Llib/mmap.scm 201 */
					obj_t BgL_tmpz00_2716;

					if (CHARP(BgL_cz00_2187))
						{	/* Llib/mmap.scm 201 */
							BgL_tmpz00_2716 = BgL_cz00_2187;
						}
					else
						{
							obj_t BgL_auxz00_2719;

							BgL_auxz00_2719 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 9159)), BGl_string1788z00zz__mmapz00,
								BGl_string1789z00zz__mmapz00, BgL_cz00_2187);
							FAILURE(BgL_auxz00_2719, BFALSE, BFALSE);
						}
					BgL_auxz00_2715 = CCHAR(BgL_tmpz00_2716);
				}
				{	/* Llib/mmap.scm 201 */
					obj_t BgL_tmpz00_2707;

					if (ELONGP(BgL_iz00_2186))
						{	/* Llib/mmap.scm 201 */
							BgL_tmpz00_2707 = BgL_iz00_2186;
						}
					else
						{
							obj_t BgL_auxz00_2710;

							BgL_auxz00_2710 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 9159)), BGl_string1788z00zz__mmapz00,
								BGl_string1784z00zz__mmapz00, BgL_iz00_2186);
							FAILURE(BgL_auxz00_2710, BFALSE, BFALSE);
						}
					BgL_auxz00_2706 = BELONG_TO_LONG(BgL_tmpz00_2707);
				}
				if (BGL_MMAPP(BgL_mmz00_2185))
					{	/* Llib/mmap.scm 201 */
						BgL_auxz00_2699 = BgL_mmz00_2185;
					}
				else
					{
						obj_t BgL_auxz00_2702;

						BgL_auxz00_2702 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 9159)), BGl_string1788z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2185);
						FAILURE(BgL_auxz00_2702, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2setzd2urz12z12zz__mmapz00(BgL_auxz00_2699, BgL_auxz00_2706,
					BgL_auxz00_2715);
			}
		}

	}



/* mmap-ref */
	BGL_EXPORTED_DEF unsigned char BGl_mmapzd2refzd2zz__mmapz00(obj_t
		BgL_mmz00_30, long BgL_iz00_31)
	{
		{	/* Llib/mmap.scm 207 */
			{	/* Llib/mmap.scm 208 */
				bool_t BgL_test1929z00_2725;

				{	/* Llib/mmap.scm 208 */
					long BgL_arg1268z00_2300;

					BgL_arg1268z00_2300 = BGL_MMAP_LENGTH(BgL_mmz00_30);
					BgL_test1929z00_2725 = BOUND_CHECK(BgL_iz00_31, BgL_arg1268z00_2300);
				}
				if (BgL_test1929z00_2725)
					{	/* Llib/mmap.scm 209 */
						unsigned char BgL_res1675z00_2301;

						{	/* Llib/mmap.scm 193 */
							unsigned char BgL_cz00_2302;

							BgL_cz00_2302 = BGL_MMAP_REF(BgL_mmz00_30, BgL_iz00_31);
							{	/* Llib/mmap.scm 194 */
								long BgL_arg1260z00_2303;

								BgL_arg1260z00_2303 = (BgL_iz00_31 + ((long) 1));
								BGL_MMAP_RP_SET(BgL_mmz00_30, BgL_arg1260z00_2303);
								BUNSPEC;
								BgL_arg1260z00_2303;
							}
							BgL_res1675z00_2301 = BgL_cz00_2302;
						}
						return BgL_res1675z00_2301;
					}
				else
					{	/* Llib/mmap.scm 212 */
						obj_t BgL_arg1264z00_2304;

						{	/* Llib/mmap.scm 212 */
							obj_t BgL_arg1265z00_2305;

							{	/* Llib/mmap.scm 212 */
								obj_t BgL_arg1266z00_2306;

								{	/* Llib/mmap.scm 212 */
									long BgL_a1084z00_2307;

									BgL_a1084z00_2307 = BGL_MMAP_LENGTH(BgL_mmz00_30);
									{	/* Llib/mmap.scm 212 */

										BgL_arg1266z00_2306 =
											BGl_2zd2zd2zz__r4_numbers_6_5z00(make_belong
											(BgL_a1084z00_2307), BINT(((long) 1)));
								}}
								{	/* Llib/mmap.scm 212 */

									BgL_arg1265z00_2305 =
										BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
										(BgL_arg1266z00_2306, BINT(((long) 10)));
							}}
							BgL_arg1264z00_2304 =
								string_append_3(BGl_string1790z00zz__mmapz00,
								BgL_arg1265z00_2305, BGl_string1791z00zz__mmapz00);
						}
						return
							CCHAR(BGl_errorz00zz__errorz00(BGl_symbol1792z00zz__mmapz00,
								BgL_arg1264z00_2304, make_belong(BgL_iz00_31)));
					}
			}
		}

	}



/* &mmap-ref */
	obj_t BGl_z62mmapzd2refzb0zz__mmapz00(obj_t BgL_envz00_2188,
		obj_t BgL_mmz00_2189, obj_t BgL_iz00_2190)
	{
		{	/* Llib/mmap.scm 207 */
			{	/* Llib/mmap.scm 208 */
				unsigned char BgL_tmpz00_2741;

				{	/* Llib/mmap.scm 208 */
					long BgL_auxz00_2749;
					obj_t BgL_auxz00_2742;

					{	/* Llib/mmap.scm 208 */
						obj_t BgL_tmpz00_2750;

						if (ELONGP(BgL_iz00_2190))
							{	/* Llib/mmap.scm 208 */
								BgL_tmpz00_2750 = BgL_iz00_2190;
							}
						else
							{
								obj_t BgL_auxz00_2753;

								BgL_auxz00_2753 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
									BINT(((long) 9487)), BGl_string1794z00zz__mmapz00,
									BGl_string1784z00zz__mmapz00, BgL_iz00_2190);
								FAILURE(BgL_auxz00_2753, BFALSE, BFALSE);
							}
						BgL_auxz00_2749 = BELONG_TO_LONG(BgL_tmpz00_2750);
					}
					if (BGL_MMAPP(BgL_mmz00_2189))
						{	/* Llib/mmap.scm 208 */
							BgL_auxz00_2742 = BgL_mmz00_2189;
						}
					else
						{
							obj_t BgL_auxz00_2745;

							BgL_auxz00_2745 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 9487)), BGl_string1794z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2189);
							FAILURE(BgL_auxz00_2745, BFALSE, BFALSE);
						}
					BgL_tmpz00_2741 =
						BGl_mmapzd2refzd2zz__mmapz00(BgL_auxz00_2742, BgL_auxz00_2749);
				}
				return BCHAR(BgL_tmpz00_2741);
			}
		}

	}



/* mmap-set! */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2setz12zc0zz__mmapz00(obj_t BgL_mmz00_32,
		long BgL_iz00_33, unsigned char BgL_cz00_34)
	{
		{	/* Llib/mmap.scm 219 */
			{	/* Llib/mmap.scm 220 */
				bool_t BgL_test1932z00_2760;

				{	/* Llib/mmap.scm 220 */
					long BgL_arg1281z00_2308;

					BgL_arg1281z00_2308 = BGL_MMAP_LENGTH(BgL_mmz00_32);
					BgL_test1932z00_2760 = BOUND_CHECK(BgL_iz00_33, BgL_arg1281z00_2308);
				}
				if (BgL_test1932z00_2760)
					{	/* Llib/mmap.scm 220 */
						BGL_MMAP_SET(BgL_mmz00_32, BgL_iz00_33, BgL_cz00_34);
						{	/* Llib/mmap.scm 202 */
							long BgL_arg1261z00_2309;

							BgL_arg1261z00_2309 = (BgL_iz00_33 + ((long) 1));
							BGL_MMAP_WP_SET(BgL_mmz00_32, BgL_arg1261z00_2309);
							BUNSPEC;
							return make_belong(BgL_arg1261z00_2309);
						}
					}
				else
					{	/* Llib/mmap.scm 224 */
						obj_t BgL_arg1273z00_2310;

						{	/* Llib/mmap.scm 224 */
							obj_t BgL_arg1276z00_2311;

							{	/* Llib/mmap.scm 224 */
								obj_t BgL_arg1278z00_2312;

								{	/* Llib/mmap.scm 224 */
									long BgL_a1086z00_2313;

									BgL_a1086z00_2313 = BGL_MMAP_LENGTH(BgL_mmz00_32);
									{	/* Llib/mmap.scm 224 */

										BgL_arg1278z00_2312 =
											BGl_2zd2zd2zz__r4_numbers_6_5z00(make_belong
											(BgL_a1086z00_2313), BINT(((long) 1)));
								}}
								{	/* Llib/mmap.scm 224 */

									BgL_arg1276z00_2311 =
										BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
										(BgL_arg1278z00_2312, BINT(((long) 10)));
							}}
							BgL_arg1273z00_2310 =
								string_append_3(BGl_string1790z00zz__mmapz00,
								BgL_arg1276z00_2311, BGl_string1791z00zz__mmapz00);
						}
						return
							BGl_errorz00zz__errorz00(BGl_symbol1795z00zz__mmapz00,
							BgL_arg1273z00_2310, make_belong(BgL_iz00_33));
					}
			}
		}

	}



/* &mmap-set! */
	obj_t BGl_z62mmapzd2setz12za2zz__mmapz00(obj_t BgL_envz00_2191,
		obj_t BgL_mmz00_2192, obj_t BgL_iz00_2193, obj_t BgL_cz00_2194)
	{
		{	/* Llib/mmap.scm 219 */
			{	/* Llib/mmap.scm 220 */
				unsigned char BgL_auxz00_2792;
				long BgL_auxz00_2783;
				obj_t BgL_auxz00_2776;

				{	/* Llib/mmap.scm 220 */
					obj_t BgL_tmpz00_2793;

					if (CHARP(BgL_cz00_2194))
						{	/* Llib/mmap.scm 220 */
							BgL_tmpz00_2793 = BgL_cz00_2194;
						}
					else
						{
							obj_t BgL_auxz00_2796;

							BgL_auxz00_2796 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 9987)), BGl_string1797z00zz__mmapz00,
								BGl_string1789z00zz__mmapz00, BgL_cz00_2194);
							FAILURE(BgL_auxz00_2796, BFALSE, BFALSE);
						}
					BgL_auxz00_2792 = CCHAR(BgL_tmpz00_2793);
				}
				{	/* Llib/mmap.scm 220 */
					obj_t BgL_tmpz00_2784;

					if (ELONGP(BgL_iz00_2193))
						{	/* Llib/mmap.scm 220 */
							BgL_tmpz00_2784 = BgL_iz00_2193;
						}
					else
						{
							obj_t BgL_auxz00_2787;

							BgL_auxz00_2787 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 9987)), BGl_string1797z00zz__mmapz00,
								BGl_string1784z00zz__mmapz00, BgL_iz00_2193);
							FAILURE(BgL_auxz00_2787, BFALSE, BFALSE);
						}
					BgL_auxz00_2783 = BELONG_TO_LONG(BgL_tmpz00_2784);
				}
				if (BGL_MMAPP(BgL_mmz00_2192))
					{	/* Llib/mmap.scm 220 */
						BgL_auxz00_2776 = BgL_mmz00_2192;
					}
				else
					{
						obj_t BgL_auxz00_2779;

						BgL_auxz00_2779 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 9987)), BGl_string1797z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2192);
						FAILURE(BgL_auxz00_2779, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2setz12zc0zz__mmapz00(BgL_auxz00_2776, BgL_auxz00_2783,
					BgL_auxz00_2792);
			}
		}

	}



/* mmap-substring */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2substringzd2zz__mmapz00(obj_t BgL_mmz00_35,
		long BgL_startz00_36, long BgL_endz00_37)
	{
		{	/* Llib/mmap.scm 231 */
			if ((BgL_endz00_37 < BgL_startz00_36))
				{	/* Llib/mmap.scm 234 */
					long BgL_arg1283z00_1221;

					{	/* Llib/mmap.scm 234 */
						long BgL_res1676z00_1846;

						{	/* Llib/mmap.scm 234 */
							long BgL_tmpz00_2804;

							BgL_tmpz00_2804 = (BgL_endz00_37 - BgL_startz00_36);
							BgL_res1676z00_1846 = (long) (BgL_tmpz00_2804);
						}
						BgL_arg1283z00_1221 = BgL_res1676z00_1846;
					}
					return
						BGl_errorz00zz__errorz00(BGl_symbol1798z00zz__mmapz00,
						BGl_string1800z00zz__mmapz00, make_belong(BgL_arg1283z00_1221));
				}
			else
				{	/* Llib/mmap.scm 235 */
					bool_t BgL_test1937z00_2809;

					{	/* Llib/mmap.scm 235 */
						long BgL_arg1308z00_1245;

						{	/* Llib/mmap.scm 235 */
							long BgL_arg1309z00_1246;

							BgL_arg1309z00_1246 = BGL_MMAP_LENGTH(BgL_mmz00_35);
							BgL_arg1308z00_1245 = (((long) 1) + BgL_arg1309z00_1246);
						}
						BgL_test1937z00_2809 =
							BOUND_CHECK(BgL_endz00_37, BgL_arg1308z00_1245);
					}
					if (BgL_test1937z00_2809)
						{	/* Llib/mmap.scm 240 */
							bool_t BgL_test1938z00_2813;

							{	/* Llib/mmap.scm 240 */
								long BgL_arg1304z00_1239;

								BgL_arg1304z00_1239 = BGL_MMAP_LENGTH(BgL_mmz00_35);
								BgL_test1938z00_2813 =
									BOUND_CHECK(BgL_startz00_36, BgL_arg1304z00_1239);
							}
							if (BgL_test1938z00_2813)
								{	/* Llib/mmap.scm 243 */
									obj_t BgL_rz00_1227;

									{	/* Llib/mmap.scm 243 */
										long BgL_arg1302z00_1237;

										{	/* Llib/mmap.scm 243 */
											long BgL_arg1303z00_1238;

											{	/* Llib/mmap.scm 243 */
												long BgL_res1677z00_1853;

												{	/* Llib/mmap.scm 243 */
													long BgL_tmpz00_2816;

													BgL_tmpz00_2816 = (BgL_endz00_37 - BgL_startz00_36);
													BgL_res1677z00_1853 = (long) (BgL_tmpz00_2816);
												}
												BgL_arg1303z00_1238 = BgL_res1677z00_1853;
											}
											BgL_arg1302z00_1237 = (long) (BgL_arg1303z00_1238);
										}
										BgL_rz00_1227 = make_string_sans_fill(BgL_arg1302z00_1237);
									}
									{
										long BgL_iz00_1875;
										long BgL_jz00_1876;

										BgL_iz00_1875 = BgL_startz00_36;
										BgL_jz00_1876 = ((long) 0);
									BgL_loopz00_1874:
										if ((BgL_iz00_1875 == BgL_endz00_37))
											{	/* Llib/mmap.scm 246 */
												BGL_MMAP_RP_SET(BgL_mmz00_35, BgL_iz00_1875);
												BUNSPEC;
												BgL_iz00_1875;
												return BgL_rz00_1227;
											}
										else
											{	/* Llib/mmap.scm 246 */
												{	/* Llib/mmap.scm 251 */
													unsigned char BgL_arg1296z00_1882;

													{	/* Llib/mmap.scm 251 */
														unsigned char BgL_res1678z00_1883;

														{	/* Llib/mmap.scm 193 */
															unsigned char BgL_cz00_1886;

															BgL_cz00_1886 =
																BGL_MMAP_REF(BgL_mmz00_35, BgL_iz00_1875);
															{	/* Llib/mmap.scm 194 */
																long BgL_arg1260z00_1887;

																BgL_arg1260z00_1887 =
																	(BgL_iz00_1875 + ((long) 1));
																BGL_MMAP_RP_SET(BgL_mmz00_35,
																	BgL_arg1260z00_1887);
																BUNSPEC;
																BgL_arg1260z00_1887;
															}
															BgL_res1678z00_1883 = BgL_cz00_1886;
														}
														BgL_arg1296z00_1882 = BgL_res1678z00_1883;
													}
													STRING_SET(BgL_rz00_1227, BgL_jz00_1876,
														BgL_arg1296z00_1882);
												}
												{	/* Llib/mmap.scm 252 */
													long BgL_arg1298z00_1895;
													long BgL_arg1299z00_1896;

													BgL_arg1298z00_1895 =
														(BgL_iz00_1875 + (long) (((long) 1)));
													BgL_arg1299z00_1896 = (BgL_jz00_1876 + ((long) 1));
													{
														long BgL_jz00_2832;
														long BgL_iz00_2831;

														BgL_iz00_2831 = BgL_arg1298z00_1895;
														BgL_jz00_2832 = BgL_arg1299z00_1896;
														BgL_jz00_1876 = BgL_jz00_2832;
														BgL_iz00_1875 = BgL_iz00_2831;
														goto BgL_loopz00_1874;
													}
												}
											}
									}
								}
							else
								{	/* Llib/mmap.scm 240 */
									return
										BGl_errorz00zz__errorz00(BGl_symbol1798z00zz__mmapz00,
										BGl_string1801z00zz__mmapz00, make_belong(BgL_startz00_36));
								}
						}
					else
						{	/* Llib/mmap.scm 238 */
							obj_t BgL_arg1305z00_1240;

							{	/* Llib/mmap.scm 238 */
								obj_t BgL_arg1306z00_1241;

								{	/* Llib/mmap.scm 238 */
									long BgL_arg1307z00_1242;

									BgL_arg1307z00_1242 = BGL_MMAP_LENGTH(BgL_mmz00_35);
									{	/* Ieee/number.scm 174 */

										BgL_arg1306z00_1241 =
											BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(make_belong
											(BgL_arg1307z00_1242), BINT(((long) 10)));
								}}
								BgL_arg1305z00_1240 =
									string_append(BGl_string1802z00zz__mmapz00,
									BgL_arg1306z00_1241);
							}
							return
								BGl_errorz00zz__errorz00(BGl_symbol1798z00zz__mmapz00,
								BgL_arg1305z00_1240, make_belong(BgL_endz00_37));
						}
				}
		}

	}



/* &mmap-substring */
	obj_t BGl_z62mmapzd2substringzb0zz__mmapz00(obj_t BgL_envz00_2195,
		obj_t BgL_mmz00_2196, obj_t BgL_startz00_2197, obj_t BgL_endz00_2198)
	{
		{	/* Llib/mmap.scm 231 */
			{	/* Llib/mmap.scm 233 */
				long BgL_auxz00_2858;
				long BgL_auxz00_2849;
				obj_t BgL_auxz00_2842;

				{	/* Llib/mmap.scm 233 */
					obj_t BgL_tmpz00_2859;

					if (ELONGP(BgL_endz00_2198))
						{	/* Llib/mmap.scm 233 */
							BgL_tmpz00_2859 = BgL_endz00_2198;
						}
					else
						{
							obj_t BgL_auxz00_2862;

							BgL_auxz00_2862 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 10497)), BGl_string1803z00zz__mmapz00,
								BGl_string1784z00zz__mmapz00, BgL_endz00_2198);
							FAILURE(BgL_auxz00_2862, BFALSE, BFALSE);
						}
					BgL_auxz00_2858 = BELONG_TO_LONG(BgL_tmpz00_2859);
				}
				{	/* Llib/mmap.scm 233 */
					obj_t BgL_tmpz00_2850;

					if (ELONGP(BgL_startz00_2197))
						{	/* Llib/mmap.scm 233 */
							BgL_tmpz00_2850 = BgL_startz00_2197;
						}
					else
						{
							obj_t BgL_auxz00_2853;

							BgL_auxz00_2853 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 10497)), BGl_string1803z00zz__mmapz00,
								BGl_string1784z00zz__mmapz00, BgL_startz00_2197);
							FAILURE(BgL_auxz00_2853, BFALSE, BFALSE);
						}
					BgL_auxz00_2849 = BELONG_TO_LONG(BgL_tmpz00_2850);
				}
				if (BGL_MMAPP(BgL_mmz00_2196))
					{	/* Llib/mmap.scm 233 */
						BgL_auxz00_2842 = BgL_mmz00_2196;
					}
				else
					{
						obj_t BgL_auxz00_2845;

						BgL_auxz00_2845 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 10497)), BGl_string1803z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2196);
						FAILURE(BgL_auxz00_2845, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2substringzd2zz__mmapz00(BgL_auxz00_2842, BgL_auxz00_2849,
					BgL_auxz00_2858);
			}
		}

	}



/* mmap-substring-set! */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2substringzd2setz12z12zz__mmapz00(obj_t
		BgL_mmz00_38, long BgL_oz00_39, obj_t BgL_sz00_40)
	{
		{	/* Llib/mmap.scm 257 */
			{	/* Llib/mmap.scm 258 */
				long BgL_lenz00_1247;

				BgL_lenz00_1247 = STRING_LENGTH(BgL_sz00_40);
				if ((BgL_oz00_39 < ((long) 0)))
					{	/* Llib/mmap.scm 260 */
						return
							BGl_errorz00zz__errorz00(BGl_string1804z00zz__mmapz00,
							BGl_string1801z00zz__mmapz00, make_belong(BgL_oz00_39));
					}
				else
					{	/* Llib/mmap.scm 262 */
						bool_t BgL_test1944z00_2873;

						{	/* Llib/mmap.scm 262 */
							long BgL_arg1341z00_1280;

							{	/* Llib/mmap.scm 262 */
								long BgL_arg1342z00_1281;

								BgL_arg1342z00_1281 = BGL_MMAP_LENGTH(BgL_mmz00_38);
								BgL_arg1341z00_1280 = (BgL_arg1342z00_1281 + ((long) 1));
							}
							BgL_test1944z00_2873 =
								BOUND_CHECK(BgL_oz00_39, BgL_arg1341z00_1280);
						}
						if (BgL_test1944z00_2873)
							{	/* Llib/mmap.scm 268 */
								bool_t BgL_test1945z00_2877;

								{	/* Llib/mmap.scm 268 */
									long BgL_arg1333z00_1271;
									long BgL_arg1334z00_1272;

									{	/* Llib/mmap.scm 268 */
										long BgL_arg1335z00_1273;

										BgL_arg1335z00_1273 = (long) (BgL_lenz00_1247);
										BgL_arg1333z00_1271 = (BgL_oz00_39 + BgL_arg1335z00_1273);
									}
									{	/* Llib/mmap.scm 269 */
										long BgL_arg1336z00_1274;

										BgL_arg1336z00_1274 = BGL_MMAP_LENGTH(BgL_mmz00_38);
										BgL_arg1334z00_1272 = (BgL_arg1336z00_1274 + ((long) 1));
									}
									BgL_test1945z00_2877 =
										BOUND_CHECK(BgL_arg1333z00_1271, BgL_arg1334z00_1272);
								}
								if (BgL_test1945z00_2877)
									{
										long BgL_iz00_1931;
										long BgL_jz00_1932;

										BgL_iz00_1931 = ((long) 0);
										BgL_jz00_1932 = BgL_oz00_39;
									BgL_loopz00_1930:
										if ((BgL_iz00_1931 == BgL_lenz00_1247))
											{	/* Llib/mmap.scm 278 */
												BGL_MMAP_WP_SET(BgL_mmz00_38, BgL_jz00_1932);
												BUNSPEC;
												BgL_jz00_1932;
												return BgL_mmz00_38;
											}
										else
											{	/* Llib/mmap.scm 278 */
												{	/* Llib/mmap.scm 283 */
													unsigned char BgL_arg1325z00_1938;

													BgL_arg1325z00_1938 =
														STRING_REF(BgL_sz00_40, BgL_iz00_1931);
													BGL_MMAP_SET(BgL_mmz00_38, BgL_jz00_1932,
														BgL_arg1325z00_1938);
													{	/* Llib/mmap.scm 202 */
														long BgL_arg1261z00_1944;

														BgL_arg1261z00_1944 = (BgL_jz00_1932 + ((long) 1));
														BGL_MMAP_WP_SET(BgL_mmz00_38, BgL_arg1261z00_1944);
														BUNSPEC;
														BgL_arg1261z00_1944;
												}}
												{	/* Llib/mmap.scm 284 */
													long BgL_arg1326z00_1949;
													long BgL_arg1327z00_1950;

													BgL_arg1326z00_1949 = (BgL_iz00_1931 + ((long) 1));
													BgL_arg1327z00_1950 =
														(BgL_jz00_1932 + (long) (((long) 1)));
													{
														long BgL_jz00_2894;
														long BgL_iz00_2893;

														BgL_iz00_2893 = BgL_arg1326z00_1949;
														BgL_jz00_2894 = BgL_arg1327z00_1950;
														BgL_jz00_1932 = BgL_jz00_2894;
														BgL_iz00_1931 = BgL_iz00_2893;
														goto BgL_loopz00_1930;
													}
												}
											}
									}
								else
									{	/* Llib/mmap.scm 272 */
										obj_t BgL_arg1328z00_1266;
										obj_t BgL_arg1329z00_1267;

										{	/* Llib/mmap.scm 272 */
											obj_t BgL_arg1330z00_1268;

											{	/* Llib/mmap.scm 272 */
												long BgL_arg1331z00_1269;

												BgL_arg1331z00_1269 = BGL_MMAP_LENGTH(BgL_mmz00_38);
												BgL_arg1330z00_1268 =
													BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
													(make_belong(BgL_arg1331z00_1269), BINT(((long) 1)));
											}
											BgL_arg1328z00_1266 =
												string_append_3(BGl_string1790z00zz__mmapz00,
												BgL_arg1330z00_1268, BGl_string1791z00zz__mmapz00);
										}
										BgL_arg1329z00_1267 =
											BGl_2zb2zb2zz__r4_numbers_6_5z00(make_belong(BgL_oz00_39),
											BINT(BgL_lenz00_1247));
										return
											BGl_errorz00zz__errorz00(BGl_symbol1805z00zz__mmapz00,
											BgL_arg1328z00_1266, BgL_arg1329z00_1267);
									}
							}
						else
							{	/* Llib/mmap.scm 265 */
								obj_t BgL_arg1338z00_1275;

								{	/* Llib/mmap.scm 265 */
									obj_t BgL_arg1339z00_1276;

									{	/* Llib/mmap.scm 265 */
										long BgL_arg1340z00_1277;

										BgL_arg1340z00_1277 = BGL_MMAP_LENGTH(BgL_mmz00_38);
										{	/* Ieee/number.scm 174 */

											BgL_arg1339z00_1276 =
												BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00
												(make_belong(BgL_arg1340z00_1277), BINT(((long) 10)));
									}}
									BgL_arg1338z00_1275 =
										string_append_3(BGl_string1790z00zz__mmapz00,
										BgL_arg1339z00_1276, BGl_string1807z00zz__mmapz00);
								}
								return
									BGl_errorz00zz__errorz00(BGl_symbol1808z00zz__mmapz00,
									BgL_arg1338z00_1275, make_belong(BgL_oz00_39));
							}
					}
			}
		}

	}



/* &mmap-substring-set! */
	obj_t BGl_z62mmapzd2substringzd2setz12z70zz__mmapz00(obj_t BgL_envz00_2199,
		obj_t BgL_mmz00_2200, obj_t BgL_oz00_2201, obj_t BgL_sz00_2202)
	{
		{	/* Llib/mmap.scm 257 */
			{	/* Llib/mmap.scm 258 */
				obj_t BgL_auxz00_2927;
				long BgL_auxz00_2918;
				obj_t BgL_auxz00_2911;

				if (STRINGP(BgL_sz00_2202))
					{	/* Llib/mmap.scm 258 */
						BgL_auxz00_2927 = BgL_sz00_2202;
					}
				else
					{
						obj_t BgL_auxz00_2930;

						BgL_auxz00_2930 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 11493)), BGl_string1809z00zz__mmapz00,
							BGl_string1772z00zz__mmapz00, BgL_sz00_2202);
						FAILURE(BgL_auxz00_2930, BFALSE, BFALSE);
					}
				{	/* Llib/mmap.scm 258 */
					obj_t BgL_tmpz00_2919;

					if (ELONGP(BgL_oz00_2201))
						{	/* Llib/mmap.scm 258 */
							BgL_tmpz00_2919 = BgL_oz00_2201;
						}
					else
						{
							obj_t BgL_auxz00_2922;

							BgL_auxz00_2922 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 11493)), BGl_string1809z00zz__mmapz00,
								BGl_string1784z00zz__mmapz00, BgL_oz00_2201);
							FAILURE(BgL_auxz00_2922, BFALSE, BFALSE);
						}
					BgL_auxz00_2918 = BELONG_TO_LONG(BgL_tmpz00_2919);
				}
				if (BGL_MMAPP(BgL_mmz00_2200))
					{	/* Llib/mmap.scm 258 */
						BgL_auxz00_2911 = BgL_mmz00_2200;
					}
				else
					{
						obj_t BgL_auxz00_2914;

						BgL_auxz00_2914 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 11493)), BGl_string1809z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2200);
						FAILURE(BgL_auxz00_2914, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2substringzd2setz12z12zz__mmapz00(BgL_auxz00_2911,
					BgL_auxz00_2918, BgL_auxz00_2927);
			}
		}

	}



/* mmap-get-char */
	BGL_EXPORTED_DEF unsigned char BGl_mmapzd2getzd2charz00zz__mmapz00(obj_t
		BgL_mmz00_41)
	{
		{	/* Llib/mmap.scm 289 */
			{	/* Llib/mmap.scm 290 */
				long BgL_arg1343z00_2314;

				BgL_arg1343z00_2314 = BGL_MMAP_RP_GET(BgL_mmz00_41);
				{	/* Llib/mmap.scm 290 */
					unsigned char BgL_res1679z00_2315;

					{	/* Llib/mmap.scm 193 */
						unsigned char BgL_cz00_2316;

						BgL_cz00_2316 = BGL_MMAP_REF(BgL_mmz00_41, BgL_arg1343z00_2314);
						{	/* Llib/mmap.scm 194 */
							long BgL_arg1260z00_2317;

							BgL_arg1260z00_2317 = (BgL_arg1343z00_2314 + ((long) 1));
							BGL_MMAP_RP_SET(BgL_mmz00_41, BgL_arg1260z00_2317);
							BUNSPEC;
							BgL_arg1260z00_2317;
						}
						BgL_res1679z00_2315 = BgL_cz00_2316;
					}
					return BgL_res1679z00_2315;
				}
			}
		}

	}



/* &mmap-get-char */
	obj_t BGl_z62mmapzd2getzd2charz62zz__mmapz00(obj_t BgL_envz00_2203,
		obj_t BgL_mmz00_2204)
	{
		{	/* Llib/mmap.scm 289 */
			{	/* Llib/mmap.scm 290 */
				unsigned char BgL_tmpz00_2939;

				{	/* Llib/mmap.scm 290 */
					obj_t BgL_auxz00_2940;

					if (BGL_MMAPP(BgL_mmz00_2204))
						{	/* Llib/mmap.scm 290 */
							BgL_auxz00_2940 = BgL_mmz00_2204;
						}
					else
						{
							obj_t BgL_auxz00_2943;

							BgL_auxz00_2943 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 12534)), BGl_string1810z00zz__mmapz00,
								BGl_string1777z00zz__mmapz00, BgL_mmz00_2204);
							FAILURE(BgL_auxz00_2943, BFALSE, BFALSE);
						}
					BgL_tmpz00_2939 =
						BGl_mmapzd2getzd2charz00zz__mmapz00(BgL_auxz00_2940);
				}
				return BCHAR(BgL_tmpz00_2939);
			}
		}

	}



/* mmap-put-char! */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2putzd2charz12z12zz__mmapz00(obj_t
		BgL_mmz00_42, unsigned char BgL_cz00_43)
	{
		{	/* Llib/mmap.scm 295 */
			{	/* Llib/mmap.scm 296 */
				long BgL_arg1344z00_2318;

				BgL_arg1344z00_2318 = BGL_MMAP_WP_GET(BgL_mmz00_42);
				BGL_MMAP_SET(BgL_mmz00_42, BgL_arg1344z00_2318, BgL_cz00_43);
				{	/* Llib/mmap.scm 202 */
					long BgL_arg1261z00_2319;

					BgL_arg1261z00_2319 = (BgL_arg1344z00_2318 + ((long) 1));
					BGL_MMAP_WP_SET(BgL_mmz00_42, BgL_arg1261z00_2319);
					BUNSPEC;
					return make_belong(BgL_arg1261z00_2319);
				}
			}
		}

	}



/* &mmap-put-char! */
	obj_t BGl_z62mmapzd2putzd2charz12z70zz__mmapz00(obj_t BgL_envz00_2205,
		obj_t BgL_mmz00_2206, obj_t BgL_cz00_2207)
	{
		{	/* Llib/mmap.scm 295 */
			{	/* Llib/mmap.scm 296 */
				unsigned char BgL_auxz00_2961;
				obj_t BgL_auxz00_2954;

				{	/* Llib/mmap.scm 296 */
					obj_t BgL_tmpz00_2962;

					if (CHARP(BgL_cz00_2207))
						{	/* Llib/mmap.scm 296 */
							BgL_tmpz00_2962 = BgL_cz00_2207;
						}
					else
						{
							obj_t BgL_auxz00_2965;

							BgL_auxz00_2965 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 12833)), BGl_string1811z00zz__mmapz00,
								BGl_string1789z00zz__mmapz00, BgL_cz00_2207);
							FAILURE(BgL_auxz00_2965, BFALSE, BFALSE);
						}
					BgL_auxz00_2961 = CCHAR(BgL_tmpz00_2962);
				}
				if (BGL_MMAPP(BgL_mmz00_2206))
					{	/* Llib/mmap.scm 296 */
						BgL_auxz00_2954 = BgL_mmz00_2206;
					}
				else
					{
						obj_t BgL_auxz00_2957;

						BgL_auxz00_2957 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 12833)), BGl_string1811z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2206);
						FAILURE(BgL_auxz00_2957, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2putzd2charz12z12zz__mmapz00(BgL_auxz00_2954,
					BgL_auxz00_2961);
			}
		}

	}



/* mmap-get-string */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2getzd2stringz00zz__mmapz00(obj_t
		BgL_mmz00_44, long BgL_lenz00_45)
	{
		{	/* Llib/mmap.scm 301 */
			{	/* Llib/mmap.scm 302 */
				long BgL_arg1345z00_2320;
				long BgL_arg1346z00_2321;

				BgL_arg1345z00_2320 = BGL_MMAP_RP_GET(BgL_mmz00_44);
				{	/* Llib/mmap.scm 302 */
					long BgL_arg1347z00_2322;

					BgL_arg1347z00_2322 = BGL_MMAP_RP_GET(BgL_mmz00_44);
					BgL_arg1346z00_2321 = (BgL_arg1347z00_2322 + BgL_lenz00_45);
				}
				return
					BGl_mmapzd2substringzd2zz__mmapz00(BgL_mmz00_44, BgL_arg1345z00_2320,
					BgL_arg1346z00_2321);
			}
		}

	}



/* &mmap-get-string */
	obj_t BGl_z62mmapzd2getzd2stringz62zz__mmapz00(obj_t BgL_envz00_2208,
		obj_t BgL_mmz00_2209, obj_t BgL_lenz00_2210)
	{
		{	/* Llib/mmap.scm 301 */
			{	/* Llib/mmap.scm 302 */
				long BgL_auxz00_2982;
				obj_t BgL_auxz00_2975;

				{	/* Llib/mmap.scm 302 */
					obj_t BgL_tmpz00_2983;

					if (ELONGP(BgL_lenz00_2210))
						{	/* Llib/mmap.scm 302 */
							BgL_tmpz00_2983 = BgL_lenz00_2210;
						}
					else
						{
							obj_t BgL_auxz00_2986;

							BgL_auxz00_2986 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
								BINT(((long) 13142)), BGl_string1812z00zz__mmapz00,
								BGl_string1784z00zz__mmapz00, BgL_lenz00_2210);
							FAILURE(BgL_auxz00_2986, BFALSE, BFALSE);
						}
					BgL_auxz00_2982 = BELONG_TO_LONG(BgL_tmpz00_2983);
				}
				if (BGL_MMAPP(BgL_mmz00_2209))
					{	/* Llib/mmap.scm 302 */
						BgL_auxz00_2975 = BgL_mmz00_2209;
					}
				else
					{
						obj_t BgL_auxz00_2978;

						BgL_auxz00_2978 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 13142)), BGl_string1812z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2209);
						FAILURE(BgL_auxz00_2978, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2getzd2stringz00zz__mmapz00(BgL_auxz00_2975,
					BgL_auxz00_2982);
			}
		}

	}



/* mmap-put-string! */
	BGL_EXPORTED_DEF obj_t BGl_mmapzd2putzd2stringz12z12zz__mmapz00(obj_t
		BgL_mmz00_46, obj_t BgL_sz00_47)
	{
		{	/* Llib/mmap.scm 307 */
			{	/* Llib/mmap.scm 308 */
				long BgL_arg1348z00_2323;

				BgL_arg1348z00_2323 = BGL_MMAP_WP_GET(BgL_mmz00_46);
				return
					BGl_mmapzd2substringzd2setz12z12zz__mmapz00(BgL_mmz00_46,
					BgL_arg1348z00_2323, BgL_sz00_47);
			}
		}

	}



/* &mmap-put-string! */
	obj_t BGl_z62mmapzd2putzd2stringz12z70zz__mmapz00(obj_t BgL_envz00_2211,
		obj_t BgL_mmz00_2212, obj_t BgL_sz00_2213)
	{
		{	/* Llib/mmap.scm 307 */
			{	/* Llib/mmap.scm 308 */
				obj_t BgL_auxz00_3001;
				obj_t BgL_auxz00_2994;

				if (STRINGP(BgL_sz00_2213))
					{	/* Llib/mmap.scm 308 */
						BgL_auxz00_3001 = BgL_sz00_2213;
					}
				else
					{
						obj_t BgL_auxz00_3004;

						BgL_auxz00_3004 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 13480)), BGl_string1813z00zz__mmapz00,
							BGl_string1772z00zz__mmapz00, BgL_sz00_2213);
						FAILURE(BgL_auxz00_3004, BFALSE, BFALSE);
					}
				if (BGL_MMAPP(BgL_mmz00_2212))
					{	/* Llib/mmap.scm 308 */
						BgL_auxz00_2994 = BgL_mmz00_2212;
					}
				else
					{
						obj_t BgL_auxz00_2997;

						BgL_auxz00_2997 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1769z00zz__mmapz00,
							BINT(((long) 13480)), BGl_string1813z00zz__mmapz00,
							BGl_string1777z00zz__mmapz00, BgL_mmz00_2212);
						FAILURE(BgL_auxz00_2997, BFALSE, BFALSE);
					}
				return
					BGl_mmapzd2putzd2stringz12z12zz__mmapz00(BgL_auxz00_2994,
					BgL_auxz00_3001);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__mmapz00(void)
	{
		{	/* Llib/mmap.scm 19 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__mmapz00(void)
	{
		{	/* Llib/mmap.scm 19 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__mmapz00(void)
	{
		{	/* Llib/mmap.scm 19 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__mmapz00(void)
	{
		{	/* Llib/mmap.scm 19 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1814z00zz__mmapz00));
		}

	}

#ifdef __cplusplus
}
#endif
