/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Llib/process.scm -indent -o objs/obj_u/Llib/process.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	extern obj_t c_process_xstatus(obj_t);
	extern obj_t c_process_list(void);
	static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
	static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
	static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__processz00(void);
	static obj_t BGl_genericzd2initzd2zz__processz00(void);
	BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
	extern obj_t c_process_kill(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void);
	static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zz__processz00(void);
	BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00(void);
	BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__processz00(void);
	static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
	extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t c_process_wait(obj_t);
	static obj_t BGl_keyword1637z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1639z00zz__processz00 = BUNSPEC;
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t bgl_process_nil(void);
	static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
	extern obj_t c_process_stop(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
	static obj_t BGl_keyword1643z00zz__processz00 = BUNSPEC;
	static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
	static obj_t BGl_keyword1645z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1647z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1649z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1651z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1653z00zz__processz00 = BUNSPEC;
	static obj_t BGl_keyword1655z00zz__processz00 = BUNSPEC;
	extern obj_t c_process_continue(obj_t);
	BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zz__processz00(void);
	static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t,
		int);
	extern obj_t c_unregister_process(obj_t);
	extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t bstring_to_keyword(obj_t);
	static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
	extern obj_t bgl_close_input_port(obj_t);
	static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
	extern obj_t c_process_send_signal(obj_t, int);
	BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
	static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
	static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00(void);
	extern obj_t bgl_close_output_port(obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_list1636z00zz__processz00 = BUNSPEC;
	extern bool_t c_process_alivep(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2errorzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2err1662z00,
		BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2nilzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2nil1663z00, BGl_z62processzd2nilzb0zz__processz00,
		0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2killzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2kil1664z00, BGl_z62processzd2killzb0zz__processz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1622z00zz__processz00,
		BgL_bgl_string1622za700za7za7_1665za7,
		"/tmp/bigloo/runtime/Llib/process.scm", 36);
	      DEFINE_STRING(BGl_string1623z00zz__processz00,
		BgL_bgl_string1623za700za7za7_1666za7, "&process-pid", 12);
	      DEFINE_STRING(BGl_string1624z00zz__processz00,
		BgL_bgl_string1624za700za7za7_1667za7, "process", 7);
	      DEFINE_STRING(BGl_string1625z00zz__processz00,
		BgL_bgl_string1625za700za7za7_1668za7, "&process-output-port", 20);
	      DEFINE_STRING(BGl_string1626z00zz__processz00,
		BgL_bgl_string1626za700za7za7_1669za7, "&process-input-port", 19);
	      DEFINE_STRING(BGl_string1627z00zz__processz00,
		BgL_bgl_string1627za700za7za7_1670za7, "&process-error-port", 19);
	      DEFINE_STRING(BGl_string1628z00zz__processz00,
		BgL_bgl_string1628za700za7za7_1671za7, "&process-alive?", 15);
	      DEFINE_STRING(BGl_string1629z00zz__processz00,
		BgL_bgl_string1629za700za7za7_1672za7, "&process-wait", 13);
	      DEFINE_STRING(BGl_string1630z00zz__processz00,
		BgL_bgl_string1630za700za7za7_1673za7, "&process-exit-status", 20);
	      DEFINE_STRING(BGl_string1631z00zz__processz00,
		BgL_bgl_string1631za700za7za7_1674za7, "&process-send-signal", 20);
	      DEFINE_STRING(BGl_string1632z00zz__processz00,
		BgL_bgl_string1632za700za7za7_1675za7, "bint", 4);
	      DEFINE_STRING(BGl_string1633z00zz__processz00,
		BgL_bgl_string1633za700za7za7_1676za7, "&process-kill", 13);
	      DEFINE_STRING(BGl_string1634z00zz__processz00,
		BgL_bgl_string1634za700za7za7_1677za7, "&process-stop", 13);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2outputzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2out1678z00,
		BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1635z00zz__processz00,
		BgL_bgl_string1635za700za7za7_1679za7, "&process-continue", 17);
	      DEFINE_STRING(BGl_string1638z00zz__processz00,
		BgL_bgl_string1638za700za7za7_1680za7, "pipe", 4);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2waitzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2wai1681z00, BGl_z62processzd2waitzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_closezd2processzd2portszd2envzd2zz__processz00,
		BgL_bgl_za762closeza7d2proce1682z00,
		BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1640z00zz__processz00,
		BgL_bgl_string1640za700za7za7_1683za7, "wait", 4);
	      DEFINE_STRING(BGl_string1641z00zz__processz00,
		BgL_bgl_string1641za700za7za7_1684za7, "run-process", 11);
	      DEFINE_STRING(BGl_string1642z00zz__processz00,
		BgL_bgl_string1642za700za7za7_1685za7, "Illegal argument", 16);
	      DEFINE_STRING(BGl_string1644z00zz__processz00,
		BgL_bgl_string1644za700za7za7_1686za7, "fork", 4);
	      DEFINE_STRING(BGl_string1646z00zz__processz00,
		BgL_bgl_string1646za700za7za7_1687za7, "input", 5);
	      DEFINE_STRING(BGl_string1648z00zz__processz00,
		BgL_bgl_string1648za700za7za7_1688za7, "output", 6);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_unregisterzd2processzd2envz00zz__processz00,
		BgL_bgl_za762unregisterza7d21689z00,
		BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2exitzd2statuszd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2exi1690z00,
		BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1650z00zz__processz00,
		BgL_bgl_string1650za700za7za7_1691za7, "null", 4);
	      DEFINE_STRING(BGl_string1652z00zz__processz00,
		BgL_bgl_string1652za700za7za7_1692za7, "error", 5);
	      DEFINE_STRING(BGl_string1654z00zz__processz00,
		BgL_bgl_string1654za700za7za7_1693za7, "host", 4);
	      DEFINE_STRING(BGl_string1656z00zz__processz00,
		BgL_bgl_string1656za700za7za7_1694za7, "env", 3);
	      DEFINE_STRING(BGl_string1657z00zz__processz00,
		BgL_bgl_string1657za700za7za7_1695za7, "&run-process", 12);
	      DEFINE_STRING(BGl_string1658z00zz__processz00,
		BgL_bgl_string1658za700za7za7_1696za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1659z00zz__processz00,
		BgL_bgl_string1659za700za7za7_1697za7, "&close-process-ports", 20);
	      DEFINE_STRING(BGl_string1660z00zz__processz00,
		BgL_bgl_string1660za700za7za7_1698za7, "&unregister-process", 19);
	      DEFINE_STRING(BGl_string1661z00zz__processz00,
		BgL_bgl_string1661za700za7za7_1699za7, "__process", 9);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2continuezd2envz00zz__processz00,
		BgL_bgl_za762processza7d2con1700z00,
		BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzf3zd2envz21zz__processz00,
		BgL_bgl_za762processza7f3za7911701za7, BGl_z62processzf3z91zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2alivezf3zd2envzf3zz__processz00,
		BgL_bgl_za762processza7d2ali1702z00,
		BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2pidzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2pid1703z00, BGl_z62processzd2pidzb0zz__processz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2inputzd2portzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2inp1704z00,
		BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2stopzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2sto1705z00, BGl_z62processzd2stopzb0zz__processz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_runzd2processzd2envz00zz__processz00,
		BgL_bgl_za762runza7d2process1706z00, va_generic_entry,
		BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_processzd2listzd2envz00zz__processz00,
		BgL_bgl_za762processza7d2lis1707z00, BGl_z62processzd2listzb0zz__processz00,
		0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_processzd2sendzd2signalzd2envzd2zz__processz00,
		BgL_bgl_za762processza7d2sen1708z00,
		BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1637z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1639z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1643z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1645z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1647z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1649z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1651z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1653z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_keyword1655z00zz__processz00));
		     ADD_ROOT((void *) (&BGl_list1636z00zz__processz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long
		BgL_checksumz00_1850, char *BgL_fromz00_1851)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
				{
					BGl_requirezd2initializa7ationz75zz__processz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__processz00();
					BGl_cnstzd2initzd2zz__processz00();
					BGl_importedzd2moduleszd2initz00zz__processz00();
					return BGl_methodzd2initzd2zz__processz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			BGl_keyword1637z00zz__processz00 =
				bstring_to_keyword(BGl_string1638z00zz__processz00);
			BGl_list1636z00zz__processz00 =
				MAKE_YOUNG_PAIR(BGl_keyword1637z00zz__processz00, BNIL);
			BGl_keyword1639z00zz__processz00 =
				bstring_to_keyword(BGl_string1640z00zz__processz00);
			BGl_keyword1643z00zz__processz00 =
				bstring_to_keyword(BGl_string1644z00zz__processz00);
			BGl_keyword1645z00zz__processz00 =
				bstring_to_keyword(BGl_string1646z00zz__processz00);
			BGl_keyword1647z00zz__processz00 =
				bstring_to_keyword(BGl_string1648z00zz__processz00);
			BGl_keyword1649z00zz__processz00 =
				bstring_to_keyword(BGl_string1650z00zz__processz00);
			BGl_keyword1651z00zz__processz00 =
				bstring_to_keyword(BGl_string1652z00zz__processz00);
			BGl_keyword1653z00zz__processz00 =
				bstring_to_keyword(BGl_string1654z00zz__processz00);
			return (BGl_keyword1655z00zz__processz00 =
				bstring_to_keyword(BGl_string1656z00zz__processz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* process? */
	BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
	{
		{	/* Llib/process.scm 123 */
			return PROCESSP(BgL_objz00_3);
		}

	}



/* &process? */
	obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1787,
		obj_t BgL_objz00_1788)
	{
		{	/* Llib/process.scm 123 */
			return BBOOL(BGl_processzf3zf3zz__processz00(BgL_objz00_1788));
		}

	}



/* process-nil */
	BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 129 */
			BGL_TAIL return bgl_process_nil();
		}

	}



/* &process-nil */
	obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1789)
	{
		{	/* Llib/process.scm 129 */
			return BGl_processzd2nilzd2zz__processz00();
		}

	}



/* process-pid */
	BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
	{
		{	/* Llib/process.scm 135 */
			return PROCESS_PID(BgL_procz00_4);
		}

	}



/* &process-pid */
	obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1790,
		obj_t BgL_procz00_1791)
	{
		{	/* Llib/process.scm 135 */
			{	/* Llib/process.scm 136 */
				int BgL_tmpz00_1876;

				{	/* Llib/process.scm 136 */
					obj_t BgL_auxz00_1877;

					if (PROCESSP(BgL_procz00_1791))
						{	/* Llib/process.scm 136 */
							BgL_auxz00_1877 = BgL_procz00_1791;
						}
					else
						{
							obj_t BgL_auxz00_1880;

							BgL_auxz00_1880 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
								BINT(((long) 5714)), BGl_string1623z00zz__processz00,
								BGl_string1624z00zz__processz00, BgL_procz00_1791);
							FAILURE(BgL_auxz00_1880, BFALSE, BFALSE);
						}
					BgL_tmpz00_1876 = BGl_processzd2pidzd2zz__processz00(BgL_auxz00_1877);
				}
				return BINT(BgL_tmpz00_1876);
			}
		}

	}



/* process-output-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t
		BgL_procz00_5)
	{
		{	/* Llib/process.scm 141 */
			return PROCESS_OUTPUT_PORT(BgL_procz00_5);
		}

	}



/* &process-output-port */
	obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1792,
		obj_t BgL_procz00_1793)
	{
		{	/* Llib/process.scm 141 */
			{	/* Llib/process.scm 142 */
				obj_t BgL_auxz00_1887;

				if (PROCESSP(BgL_procz00_1793))
					{	/* Llib/process.scm 142 */
						BgL_auxz00_1887 = BgL_procz00_1793;
					}
				else
					{
						obj_t BgL_auxz00_1890;

						BgL_auxz00_1890 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 6004)), BGl_string1625z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1793);
						FAILURE(BgL_auxz00_1890, BFALSE, BFALSE);
					}
				return BGl_processzd2outputzd2portz00zz__processz00(BgL_auxz00_1887);
			}
		}

	}



/* process-input-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t
		BgL_procz00_6)
	{
		{	/* Llib/process.scm 147 */
			return PROCESS_INPUT_PORT(BgL_procz00_6);
		}

	}



/* &process-input-port */
	obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1794,
		obj_t BgL_procz00_1795)
	{
		{	/* Llib/process.scm 147 */
			{	/* Llib/process.scm 148 */
				obj_t BgL_auxz00_1896;

				if (PROCESSP(BgL_procz00_1795))
					{	/* Llib/process.scm 148 */
						BgL_auxz00_1896 = BgL_procz00_1795;
					}
				else
					{
						obj_t BgL_auxz00_1899;

						BgL_auxz00_1899 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 6301)), BGl_string1626z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1795);
						FAILURE(BgL_auxz00_1899, BFALSE, BFALSE);
					}
				return BGl_processzd2inputzd2portz00zz__processz00(BgL_auxz00_1896);
			}
		}

	}



/* process-error-port */
	BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t
		BgL_procz00_7)
	{
		{	/* Llib/process.scm 153 */
			return PROCESS_ERROR_PORT(BgL_procz00_7);
		}

	}



/* &process-error-port */
	obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1796,
		obj_t BgL_procz00_1797)
	{
		{	/* Llib/process.scm 153 */
			{	/* Llib/process.scm 154 */
				obj_t BgL_auxz00_1905;

				if (PROCESSP(BgL_procz00_1797))
					{	/* Llib/process.scm 154 */
						BgL_auxz00_1905 = BgL_procz00_1797;
					}
				else
					{
						obj_t BgL_auxz00_1908;

						BgL_auxz00_1908 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 6597)), BGl_string1627z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1797);
						FAILURE(BgL_auxz00_1908, BFALSE, BFALSE);
					}
				return BGl_processzd2errorzd2portz00zz__processz00(BgL_auxz00_1905);
			}
		}

	}



/* process-alive? */
	BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t
		BgL_procz00_8)
	{
		{	/* Llib/process.scm 159 */
			BGL_TAIL return c_process_alivep(BgL_procz00_8);
		}

	}



/* &process-alive? */
	obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1798,
		obj_t BgL_procz00_1799)
	{
		{	/* Llib/process.scm 159 */
			{	/* Llib/process.scm 160 */
				bool_t BgL_tmpz00_1914;

				{	/* Llib/process.scm 160 */
					obj_t BgL_auxz00_1915;

					if (PROCESSP(BgL_procz00_1799))
						{	/* Llib/process.scm 160 */
							BgL_auxz00_1915 = BgL_procz00_1799;
						}
					else
						{
							obj_t BgL_auxz00_1918;

							BgL_auxz00_1918 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
								BINT(((long) 6889)), BGl_string1628z00zz__processz00,
								BGl_string1624z00zz__processz00, BgL_procz00_1799);
							FAILURE(BgL_auxz00_1918, BFALSE, BFALSE);
						}
					BgL_tmpz00_1914 =
						BGl_processzd2alivezf3z21zz__processz00(BgL_auxz00_1915);
				}
				return BBOOL(BgL_tmpz00_1914);
			}
		}

	}



/* process-wait */
	BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t
		BgL_procz00_9)
	{
		{	/* Llib/process.scm 165 */
			if (c_process_alivep(BgL_procz00_9))
				{	/* Llib/process.scm 166 */
					return CBOOL(c_process_wait(BgL_procz00_9));
				}
			else
				{	/* Llib/process.scm 166 */
					return ((bool_t) 0);
				}
		}

	}



/* &process-wait */
	obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1800,
		obj_t BgL_procz00_1801)
	{
		{	/* Llib/process.scm 165 */
			{	/* Llib/process.scm 166 */
				bool_t BgL_tmpz00_1928;

				{	/* Llib/process.scm 166 */
					obj_t BgL_auxz00_1929;

					if (PROCESSP(BgL_procz00_1801))
						{	/* Llib/process.scm 166 */
							BgL_auxz00_1929 = BgL_procz00_1801;
						}
					else
						{
							obj_t BgL_auxz00_1932;

							BgL_auxz00_1932 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
								BINT(((long) 7175)), BGl_string1629z00zz__processz00,
								BGl_string1624z00zz__processz00, BgL_procz00_1801);
							FAILURE(BgL_auxz00_1932, BFALSE, BFALSE);
						}
					BgL_tmpz00_1928 =
						BGl_processzd2waitzd2zz__processz00(BgL_auxz00_1929);
				}
				return BBOOL(BgL_tmpz00_1928);
			}
		}

	}



/* process-exit-status */
	BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t
		BgL_procz00_10)
	{
		{	/* Llib/process.scm 172 */
			BGL_TAIL return c_process_xstatus(BgL_procz00_10);
		}

	}



/* &process-exit-status */
	obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1802,
		obj_t BgL_procz00_1803)
	{
		{	/* Llib/process.scm 172 */
			{	/* Llib/process.scm 173 */
				obj_t BgL_auxz00_1939;

				if (PROCESSP(BgL_procz00_1803))
					{	/* Llib/process.scm 173 */
						BgL_auxz00_1939 = BgL_procz00_1803;
					}
				else
					{
						obj_t BgL_auxz00_1942;

						BgL_auxz00_1942 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 7500)), BGl_string1630z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1803);
						FAILURE(BgL_auxz00_1942, BFALSE, BFALSE);
					}
				return BGl_processzd2exitzd2statusz00zz__processz00(BgL_auxz00_1939);
			}
		}

	}



/* process-send-signal */
	BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t
		BgL_procz00_11, int BgL_signalz00_12)
	{
		{	/* Llib/process.scm 178 */
			BGL_TAIL return c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);
		}

	}



/* &process-send-signal */
	obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1804,
		obj_t BgL_procz00_1805, obj_t BgL_signalz00_1806)
	{
		{	/* Llib/process.scm 178 */
			{	/* Llib/process.scm 179 */
				int BgL_auxz00_1955;
				obj_t BgL_auxz00_1948;

				{	/* Llib/process.scm 179 */
					obj_t BgL_tmpz00_1956;

					if (INTEGERP(BgL_signalz00_1806))
						{	/* Llib/process.scm 179 */
							BgL_tmpz00_1956 = BgL_signalz00_1806;
						}
					else
						{
							obj_t BgL_auxz00_1959;

							BgL_auxz00_1959 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
								BINT(((long) 7805)), BGl_string1631z00zz__processz00,
								BGl_string1632z00zz__processz00, BgL_signalz00_1806);
							FAILURE(BgL_auxz00_1959, BFALSE, BFALSE);
						}
					BgL_auxz00_1955 = CINT(BgL_tmpz00_1956);
				}
				if (PROCESSP(BgL_procz00_1805))
					{	/* Llib/process.scm 179 */
						BgL_auxz00_1948 = BgL_procz00_1805;
					}
				else
					{
						obj_t BgL_auxz00_1951;

						BgL_auxz00_1951 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 7805)), BGl_string1631z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1805);
						FAILURE(BgL_auxz00_1951, BFALSE, BFALSE);
					}
				return
					BGl_processzd2sendzd2signalz00zz__processz00(BgL_auxz00_1948,
					BgL_auxz00_1955);
			}
		}

	}



/* process-kill */
	BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t
		BgL_procz00_13)
	{
		{	/* Llib/process.scm 184 */
			c_process_kill(BgL_procz00_13);
			BGL_TAIL return
				BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);
		}

	}



/* &process-kill */
	obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1807,
		obj_t BgL_procz00_1808)
	{
		{	/* Llib/process.scm 184 */
			{	/* Llib/process.scm 185 */
				obj_t BgL_auxz00_1967;

				if (PROCESSP(BgL_procz00_1808))
					{	/* Llib/process.scm 185 */
						BgL_auxz00_1967 = BgL_procz00_1808;
					}
				else
					{
						obj_t BgL_auxz00_1970;

						BgL_auxz00_1970 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 8123)), BGl_string1633z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1808);
						FAILURE(BgL_auxz00_1970, BFALSE, BFALSE);
					}
				return BGl_processzd2killzd2zz__processz00(BgL_auxz00_1967);
			}
		}

	}



/* process-stop */
	BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t
		BgL_procz00_14)
	{
		{	/* Llib/process.scm 191 */
			BGL_TAIL return c_process_stop(BgL_procz00_14);
		}

	}



/* &process-stop */
	obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1809,
		obj_t BgL_procz00_1810)
	{
		{	/* Llib/process.scm 191 */
			{	/* Llib/process.scm 192 */
				obj_t BgL_auxz00_1976;

				if (PROCESSP(BgL_procz00_1810))
					{	/* Llib/process.scm 192 */
						BgL_auxz00_1976 = BgL_procz00_1810;
					}
				else
					{
						obj_t BgL_auxz00_1979;

						BgL_auxz00_1979 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 8417)), BGl_string1634z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1810);
						FAILURE(BgL_auxz00_1979, BFALSE, BFALSE);
					}
				return BGl_processzd2stopzd2zz__processz00(BgL_auxz00_1976);
			}
		}

	}



/* process-continue */
	BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t
		BgL_procz00_15)
	{
		{	/* Llib/process.scm 197 */
			BGL_TAIL return c_process_continue(BgL_procz00_15);
		}

	}



/* &process-continue */
	obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1811,
		obj_t BgL_procz00_1812)
	{
		{	/* Llib/process.scm 197 */
			{	/* Llib/process.scm 198 */
				obj_t BgL_auxz00_1985;

				if (PROCESSP(BgL_procz00_1812))
					{	/* Llib/process.scm 198 */
						BgL_auxz00_1985 = BgL_procz00_1812;
					}
				else
					{
						obj_t BgL_auxz00_1988;

						BgL_auxz00_1988 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 8705)), BGl_string1635z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1812);
						FAILURE(BgL_auxz00_1988, BFALSE, BFALSE);
					}
				return BGl_processzd2continuezd2zz__processz00(BgL_auxz00_1985);
			}
		}

	}



/* process-list */
	BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 203 */
			BGL_TAIL return c_process_list();
		}

	}



/* &process-list */
	obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1813)
	{
		{	/* Llib/process.scm 203 */
			return BGl_processzd2listzd2zz__processz00();
		}

	}



/* run-process */
	BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t
		BgL_commandz00_16, obj_t BgL_restz00_17)
	{
		{	/* Llib/process.scm 212 */
			{	/* Llib/process.scm 213 */
				bool_t BgL_forkz00_1109;
				bool_t BgL_waitz00_1110;
				obj_t BgL_inputz00_1111;
				obj_t BgL_outputz00_1112;
				obj_t BgL_errorz00_1113;
				obj_t BgL_hostz00_1114;
				obj_t BgL_pipesz00_1115;
				obj_t BgL_argsz00_1116;
				obj_t BgL_envz00_1117;

				BgL_forkz00_1109 = ((bool_t) 1);
				BgL_waitz00_1110 = ((bool_t) 0);
				BgL_inputz00_1111 = BUNSPEC;
				BgL_outputz00_1112 = BUNSPEC;
				BgL_errorz00_1113 = BUNSPEC;
				BgL_hostz00_1114 = BUNSPEC;
				BgL_pipesz00_1115 = BGl_list1636z00zz__processz00;
				BgL_argsz00_1116 = BNIL;
				BgL_envz00_1117 = BNIL;
				{
					obj_t BgL_restz00_1120;

					BgL_restz00_1120 = BgL_restz00_17;
				BgL_zc3z04anonymousza31154ze3z87_1121:
					if (NULLP(BgL_restz00_1120))
						{	/* Llib/process.scm 229 */
							obj_t BgL_arg1158z00_1123;

							BgL_arg1158z00_1123 = bgl_reverse_bang(BgL_argsz00_1116);
							return
								c_run_process(BgL_hostz00_1114,
								BBOOL(BgL_forkz00_1109),
								BBOOL(BgL_waitz00_1110), BgL_inputz00_1111, BgL_outputz00_1112,
								BgL_errorz00_1113, BgL_commandz00_16, BgL_arg1158z00_1123,
								BgL_envz00_1117);
						}
					else
						{	/* Llib/process.scm 230 */
							bool_t BgL_test1724z00_2001;

							{	/* Llib/process.scm 230 */
								bool_t BgL_test1725z00_2002;

								{	/* Llib/process.scm 230 */
									obj_t BgL_tmpz00_2003;

									BgL_tmpz00_2003 = CAR(((obj_t) BgL_restz00_1120));
									BgL_test1725z00_2002 = KEYWORDP(BgL_tmpz00_2003);
								}
								if (BgL_test1725z00_2002)
									{	/* Llib/process.scm 230 */
										obj_t BgL_tmpz00_2007;

										BgL_tmpz00_2007 = CDR(((obj_t) BgL_restz00_1120));
										BgL_test1724z00_2001 = PAIRP(BgL_tmpz00_2007);
									}
								else
									{	/* Llib/process.scm 230 */
										BgL_test1724z00_2001 = ((bool_t) 0);
									}
							}
							if (BgL_test1724z00_2001)
								{	/* Llib/process.scm 231 */
									obj_t BgL_valz00_1129;

									{	/* Llib/process.scm 231 */
										obj_t BgL_pairz00_1585;

										BgL_pairz00_1585 = CDR(((obj_t) BgL_restz00_1120));
										BgL_valz00_1129 = CAR(BgL_pairz00_1585);
									}
									{	/* Llib/process.scm 232 */
										obj_t BgL_casezd2valuezd2_1130;

										BgL_casezd2valuezd2_1130 = CAR(((obj_t) BgL_restz00_1120));
										if (
											(BgL_casezd2valuezd2_1130 ==
												BGl_keyword1639z00zz__processz00))
											{	/* Llib/process.scm 232 */
												if (BOOLEANP(BgL_valz00_1129))
													{	/* Llib/process.scm 234 */
														BgL_waitz00_1110 = CBOOL(BgL_valz00_1129);
													}
												else
													{	/* Llib/process.scm 234 */
														BGl_errorz00zz__errorz00
															(BGl_string1641z00zz__processz00,
															BGl_string1642z00zz__processz00,
															BgL_restz00_1120);
													}
											}
										else
											{	/* Llib/process.scm 232 */
												if (
													(BgL_casezd2valuezd2_1130 ==
														BGl_keyword1643z00zz__processz00))
													{	/* Llib/process.scm 232 */
														if (BOOLEANP(BgL_valz00_1129))
															{	/* Llib/process.scm 238 */
																BgL_forkz00_1109 = CBOOL(BgL_valz00_1129);
															}
														else
															{	/* Llib/process.scm 238 */
																BGl_errorz00zz__errorz00
																	(BGl_string1641z00zz__processz00,
																	BGl_string1642z00zz__processz00,
																	BgL_restz00_1120);
															}
													}
												else
													{	/* Llib/process.scm 232 */
														if (
															(BgL_casezd2valuezd2_1130 ==
																BGl_keyword1645z00zz__processz00))
															{	/* Llib/process.scm 242 */
																bool_t BgL_test1731z00_2030;

																if (STRINGP(BgL_valz00_1129))
																	{	/* Llib/process.scm 242 */
																		BgL_test1731z00_2030 = ((bool_t) 1);
																	}
																else
																	{	/* Llib/process.scm 242 */
																		BgL_test1731z00_2030 =
																			CBOOL
																			(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																			(BgL_valz00_1129, BgL_pipesz00_1115));
																	}
																if (BgL_test1731z00_2030)
																	{	/* Llib/process.scm 242 */
																		BgL_inputz00_1111 = BgL_valz00_1129;
																	}
																else
																	{	/* Llib/process.scm 242 */
																		BGl_errorz00zz__errorz00
																			(BGl_string1641z00zz__processz00,
																			BGl_string1642z00zz__processz00,
																			BgL_restz00_1120);
																	}
															}
														else
															{	/* Llib/process.scm 232 */
																if (
																	(BgL_casezd2valuezd2_1130 ==
																		BGl_keyword1647z00zz__processz00))
																	{	/* Llib/process.scm 246 */
																		bool_t BgL_test1734z00_2038;

																		if (STRINGP(BgL_valz00_1129))
																			{	/* Llib/process.scm 246 */
																				BgL_test1734z00_2038 = ((bool_t) 1);
																			}
																		else
																			{	/* Llib/process.scm 246 */
																				if (CBOOL
																					(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																						(BgL_valz00_1129,
																							BgL_pipesz00_1115)))
																					{	/* Llib/process.scm 246 */
																						BgL_test1734z00_2038 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/process.scm 246 */
																						BgL_test1734z00_2038 =
																							(BgL_valz00_1129 ==
																							BGl_keyword1649z00zz__processz00);
																					}
																			}
																		if (BgL_test1734z00_2038)
																			{	/* Llib/process.scm 246 */
																				BgL_outputz00_1112 = BgL_valz00_1129;
																			}
																		else
																			{	/* Llib/process.scm 246 */
																				BGl_errorz00zz__errorz00
																					(BGl_string1641z00zz__processz00,
																					BGl_string1642z00zz__processz00,
																					BgL_restz00_1120);
																			}
																	}
																else
																	{	/* Llib/process.scm 232 */
																		if (
																			(BgL_casezd2valuezd2_1130 ==
																				BGl_keyword1651z00zz__processz00))
																			{	/* Llib/process.scm 250 */
																				bool_t BgL_test1738z00_2048;

																				if (STRINGP(BgL_valz00_1129))
																					{	/* Llib/process.scm 250 */
																						BgL_test1738z00_2048 = ((bool_t) 1);
																					}
																				else
																					{	/* Llib/process.scm 250 */
																						if (CBOOL
																							(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																								(BgL_valz00_1129,
																									BgL_pipesz00_1115)))
																							{	/* Llib/process.scm 250 */
																								BgL_test1738z00_2048 =
																									((bool_t) 1);
																							}
																						else
																							{	/* Llib/process.scm 250 */
																								BgL_test1738z00_2048 =
																									(BgL_valz00_1129 ==
																									BGl_keyword1649z00zz__processz00);
																							}
																					}
																				if (BgL_test1738z00_2048)
																					{	/* Llib/process.scm 250 */
																						BgL_errorz00_1113 = BgL_valz00_1129;
																					}
																				else
																					{	/* Llib/process.scm 250 */
																						BGl_errorz00zz__errorz00
																							(BGl_string1641z00zz__processz00,
																							BGl_string1642z00zz__processz00,
																							BgL_restz00_1120);
																					}
																			}
																		else
																			{	/* Llib/process.scm 232 */
																				if (
																					(BgL_casezd2valuezd2_1130 ==
																						BGl_keyword1653z00zz__processz00))
																					{	/* Llib/process.scm 232 */
																						if (STRINGP(BgL_valz00_1129))
																							{	/* Llib/process.scm 254 */
																								BgL_hostz00_1114 =
																									BgL_valz00_1129;
																							}
																						else
																							{	/* Llib/process.scm 254 */
																								BGl_errorz00zz__errorz00
																									(BGl_string1641z00zz__processz00,
																									BGl_string1642z00zz__processz00,
																									BgL_restz00_1120);
																							}
																					}
																				else
																					{	/* Llib/process.scm 232 */
																						if (
																							(BgL_casezd2valuezd2_1130 ==
																								BGl_keyword1655z00zz__processz00))
																							{	/* Llib/process.scm 232 */
																								if (STRINGP(BgL_valz00_1129))
																									{	/* Llib/process.scm 258 */
																										BgL_envz00_1117 =
																											MAKE_YOUNG_PAIR
																											(BgL_valz00_1129,
																											BgL_envz00_1117);
																									}
																								else
																									{	/* Llib/process.scm 258 */
																										BGl_errorz00zz__errorz00
																											(BGl_string1641z00zz__processz00,
																											BGl_string1642z00zz__processz00,
																											BgL_restz00_1120);
																									}
																							}
																						else
																							{	/* Llib/process.scm 232 */
																								BGl_errorz00zz__errorz00
																									(BGl_string1641z00zz__processz00,
																									BGl_string1642z00zz__processz00,
																									BgL_restz00_1120);
																							}
																					}
																			}
																	}
															}
													}
											}
									}
									{	/* Llib/process.scm 263 */
										obj_t BgL_arg1184z00_1155;

										{	/* Llib/process.scm 263 */
											obj_t BgL_pairz00_1595;

											BgL_pairz00_1595 = CDR(((obj_t) BgL_restz00_1120));
											BgL_arg1184z00_1155 = CDR(BgL_pairz00_1595);
										}
										{
											obj_t BgL_restz00_2071;

											BgL_restz00_2071 = BgL_arg1184z00_1155;
											BgL_restz00_1120 = BgL_restz00_2071;
											goto BgL_zc3z04anonymousza31154ze3z87_1121;
										}
									}
								}
							else
								{	/* Llib/process.scm 264 */
									bool_t BgL_test1745z00_2072;

									{	/* Llib/process.scm 264 */
										obj_t BgL_tmpz00_2073;

										BgL_tmpz00_2073 = CAR(((obj_t) BgL_restz00_1120));
										BgL_test1745z00_2072 = STRINGP(BgL_tmpz00_2073);
									}
									if (BgL_test1745z00_2072)
										{	/* Llib/process.scm 264 */
											{	/* Llib/process.scm 265 */
												obj_t BgL_arg1191z00_1159;

												BgL_arg1191z00_1159 = CAR(((obj_t) BgL_restz00_1120));
												BgL_argsz00_1116 =
													MAKE_YOUNG_PAIR(BgL_arg1191z00_1159,
													BgL_argsz00_1116);
											}
											{	/* Llib/process.scm 266 */
												obj_t BgL_arg1192z00_1160;

												BgL_arg1192z00_1160 = CDR(((obj_t) BgL_restz00_1120));
												{
													obj_t BgL_restz00_2082;

													BgL_restz00_2082 = BgL_arg1192z00_1160;
													BgL_restz00_1120 = BgL_restz00_2082;
													goto BgL_zc3z04anonymousza31154ze3z87_1121;
												}
											}
										}
									else
										{	/* Llib/process.scm 264 */
											return
												BGl_errorz00zz__errorz00
												(BGl_string1641z00zz__processz00,
												BGl_string1642z00zz__processz00, BgL_restz00_1120);
										}
								}
						}
				}
			}
		}

	}



/* &run-process */
	obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1814,
		obj_t BgL_commandz00_1815, obj_t BgL_restz00_1816)
	{
		{	/* Llib/process.scm 212 */
			{	/* Llib/process.scm 213 */
				obj_t BgL_auxz00_2084;

				if (STRINGP(BgL_commandz00_1815))
					{	/* Llib/process.scm 213 */
						BgL_auxz00_2084 = BgL_commandz00_1815;
					}
				else
					{
						obj_t BgL_auxz00_2087;

						BgL_auxz00_2087 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 9491)), BGl_string1657z00zz__processz00,
							BGl_string1658z00zz__processz00, BgL_commandz00_1815);
						FAILURE(BgL_auxz00_2087, BFALSE, BFALSE);
					}
				return
					BGl_runzd2processzd2zz__processz00(BgL_auxz00_2084, BgL_restz00_1816);
			}
		}

	}



/* close-process-ports */
	BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t
		BgL_procz00_18)
	{
		{	/* Llib/process.scm 273 */
			{	/* Llib/process.scm 274 */
				bool_t BgL_test1747z00_2092;

				{	/* Llib/process.scm 274 */
					obj_t BgL_tmpz00_2093;

					BgL_tmpz00_2093 = PROCESS_INPUT_PORT(BgL_procz00_18);
					BgL_test1747z00_2092 = OUTPUT_PORTP(BgL_tmpz00_2093);
				}
				if (BgL_test1747z00_2092)
					{	/* Llib/process.scm 275 */
						obj_t BgL_arg1200z00_1171;

						BgL_arg1200z00_1171 = PROCESS_INPUT_PORT(BgL_procz00_18);
						bgl_close_output_port(((obj_t) BgL_arg1200z00_1171));
					}
				else
					{	/* Llib/process.scm 274 */
						BFALSE;
					}
			}
			{	/* Llib/process.scm 276 */
				bool_t BgL_test1748z00_2099;

				{	/* Llib/process.scm 276 */
					obj_t BgL_tmpz00_2100;

					BgL_tmpz00_2100 = PROCESS_ERROR_PORT(BgL_procz00_18);
					BgL_test1748z00_2099 = INPUT_PORTP(BgL_tmpz00_2100);
				}
				if (BgL_test1748z00_2099)
					{	/* Llib/process.scm 277 */
						obj_t BgL_arg1207z00_1175;

						BgL_arg1207z00_1175 = PROCESS_ERROR_PORT(BgL_procz00_18);
						bgl_close_input_port(((obj_t) BgL_arg1207z00_1175));
					}
				else
					{	/* Llib/process.scm 276 */
						BFALSE;
					}
			}
			{	/* Llib/process.scm 278 */
				bool_t BgL_test1749z00_2106;

				{	/* Llib/process.scm 278 */
					obj_t BgL_tmpz00_2107;

					BgL_tmpz00_2107 = PROCESS_OUTPUT_PORT(BgL_procz00_18);
					BgL_test1749z00_2106 = INPUT_PORTP(BgL_tmpz00_2107);
				}
				if (BgL_test1749z00_2106)
					{	/* Llib/process.scm 279 */
						obj_t BgL_arg1217z00_1179;

						BgL_arg1217z00_1179 = PROCESS_OUTPUT_PORT(BgL_procz00_18);
						return bgl_close_input_port(((obj_t) BgL_arg1217z00_1179));
					}
				else
					{	/* Llib/process.scm 278 */
						return BFALSE;
					}
			}
		}

	}



/* &close-process-ports */
	obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1817,
		obj_t BgL_procz00_1818)
	{
		{	/* Llib/process.scm 273 */
			{	/* Llib/process.scm 275 */
				obj_t BgL_auxz00_2113;

				if (PROCESSP(BgL_procz00_1818))
					{	/* Llib/process.scm 275 */
						BgL_auxz00_2113 = BgL_procz00_1818;
					}
				else
					{
						obj_t BgL_auxz00_2116;

						BgL_auxz00_2116 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 11238)), BGl_string1659z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1818);
						FAILURE(BgL_auxz00_2116, BFALSE, BFALSE);
					}
				return BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_2113);
			}
		}

	}



/* unregister-process */
	BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t
		BgL_procz00_19)
	{
		{	/* Llib/process.scm 284 */
			BGL_TAIL return c_unregister_process(BgL_procz00_19);
		}

	}



/* &unregister-process */
	obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1819,
		obj_t BgL_procz00_1820)
	{
		{	/* Llib/process.scm 284 */
			{	/* Llib/process.scm 285 */
				obj_t BgL_auxz00_2122;

				if (PROCESSP(BgL_procz00_1820))
					{	/* Llib/process.scm 285 */
						BgL_auxz00_2122 = BgL_procz00_1820;
					}
				else
					{
						obj_t BgL_auxz00_2125;

						BgL_auxz00_2125 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1622z00zz__processz00,
							BINT(((long) 11710)), BGl_string1660z00zz__processz00,
							BGl_string1624z00zz__processz00, BgL_procz00_1820);
						FAILURE(BgL_auxz00_2125, BFALSE, BFALSE);
					}
				return BGl_unregisterzd2processzd2zz__processz00(BgL_auxz00_2122);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void)
	{
		{	/* Llib/process.scm 15 */
			return
				BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1661z00zz__processz00));
		}

	}

#ifdef __cplusplus
}
#endif
