/*===========================================================================*/
/*   (Unsafe/sha1.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/sha1.scm -indent -o objs/obj_u/Unsafe/sha1.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static uint32_t BGl_fz00zz__sha1z00(int, uint32_t, uint32_t, uint32_t);
	static obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t, obj_t);
	static obj_t BGl_sha1z00zz__sha1z00(long, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__sha1z00 = BUNSPEC;
	static obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__hmacz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t, obj_t);
	extern obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t);
	extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
	static obj_t BGl_toplevelzd2initzd2zz__sha1z00(void);
	extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long,
		long);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t);
	extern obj_t BGl_ceilingz00zz__r4_numbers_6_5z00(obj_t);
	extern bool_t rgc_buffer_eof_p(obj_t);
	static obj_t BGl_genericzd2initzd2zz__sha1z00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void);
	static obj_t BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00(obj_t);
	static obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_objectzd2initzd2zz__sha1z00(void);
	extern obj_t BGl_hmaczd2stringzd2zz__hmacz00(obj_t, obj_t, obj_t);
	extern long bgl_rgc_blit_string(obj_t, char *, long, long);
	extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31481ze3ze5zz__sha1z00(obj_t);
	extern obj_t BGl_makezd2u32vectorzd2zz__srfi4z00(long, uint32_t);
	extern obj_t bgl_reverse_bang(obj_t);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_methodzd2initzd2zz__sha1z00(void);
	extern obj_t blit_string(obj_t, long, obj_t, long, long);
	static obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t, long, uint32_t);
	BGL_EXPORTED_DECL obj_t BGl_sha1sumz00zz__sha1z00(obj_t);
	extern obj_t make_string(long, unsigned char);
	static obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t, obj_t);
	extern obj_t bgl_close_input_port(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t,
		obj_t);
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_Kz00zz__sha1z00 = BUNSPEC;
	extern obj_t BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(obj_t,
		unsigned char);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1890z00zz__sha1z00,
		BgL_bgl_string1890za700za7za7_1902za7,
		"/tmp/bigloo/runtime/Unsafe/sha1.scm", 35);
	      DEFINE_STRING(BGl_string1891z00zz__sha1z00,
		BgL_bgl_string1891za700za7za7_1903za7, "&sha1sum-string", 15);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2portzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2por1904z00, BGl_z62sha1sumzd2portzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1892z00zz__sha1z00,
		BgL_bgl_string1892za700za7za7_1905za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1893z00zz__sha1z00,
		BgL_bgl_string1893za700za7za7_1906za7, "&sha1sum-mmap", 13);
	      DEFINE_STRING(BGl_string1894z00zz__sha1z00,
		BgL_bgl_string1894za700za7za7_1907za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1895z00zz__sha1z00,
		BgL_bgl_string1895za700za7za7_1908za7, "&sha1sum-port", 13);
	      DEFINE_STRING(BGl_string1896z00zz__sha1z00,
		BgL_bgl_string1896za700za7za7_1909za7, "input-port", 10);
	      DEFINE_STRING(BGl_string1897z00zz__sha1z00,
		BgL_bgl_string1897za700za7za7_1910za7, "&sha1sum-file", 13);
	      DEFINE_STRING(BGl_string1898z00zz__sha1z00,
		BgL_bgl_string1898za700za7za7_1911za7, "sha1sum", 7);
	      DEFINE_STRING(BGl_string1899z00zz__sha1z00,
		BgL_bgl_string1899za700za7za7_1912za7, "Illegal argument", 16);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2envzd2zz__sha1z00,
		BgL_bgl_za762sha1sumza762za7za7_1913z00, BGl_z62sha1sumz62zz__sha1z00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1900z00zz__sha1z00,
		BgL_bgl_string1900za700za7za7_1914za7, "&hmac-sha1sum-string", 20);
	      DEFINE_STRING(BGl_string1901z00zz__sha1z00,
		BgL_bgl_string1901za700za7za7_1915za7, "__sha1", 6);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2mmapzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2mma1916z00, BGl_z62sha1sumzd2mmapzb0zz__sha1z00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_hmaczd2sha1sumzd2stringzd2envzd2zz__sha1z00,
		BgL_bgl_za762hmacza7d2sha1su1917z00,
		BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2filezd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2fil1918z00, BGl_z62sha1sumzd2filezb0zz__sha1z00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_sha1sumzd2stringzd2envz00zz__sha1z00,
		BgL_bgl_za762sha1sumza7d2str1919z00, BGl_z62sha1sumzd2stringzb0zz__sha1z00,
		0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__sha1z00));
		     ADD_ROOT((void *) (&BGl_Kz00zz__sha1z00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__sha1z00(long
		BgL_checksumz00_2930, char *BgL_fromz00_2931)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__sha1z00))
				{
					BGl_requirezd2initializa7ationz75zz__sha1z00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__sha1z00();
					BGl_importedzd2moduleszd2initz00zz__sha1z00();
					return BGl_toplevelzd2initzd2zz__sha1z00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			{	/* Unsafe/sha1.scm 129 */
				obj_t BgL_vz00_1297;

				{	/* Llib/srfi4.scm 451 */

					BgL_vz00_1297 =
						BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 4), (uint32_t) (0));
				}
				{	/* Unsafe/sha1.scm 130 */
					uint32_t BgL_arg1235z00_1298;

					{	/* Unsafe/sha1.scm 130 */
						uint32_t BgL_arg1239z00_1299;
						uint32_t BgL_arg1240z00_1300;

						{	/* Unsafe/sha1.scm 130 */
							uint32_t BgL_arg1241z00_1301;

							BgL_arg1241z00_1301 = (uint32_t) (((long) 23170));
							BgL_arg1239z00_1299 =
								(BgL_arg1241z00_1301 << (int) (((long) 16)));
						}
						BgL_arg1240z00_1300 = (uint32_t) (((long) 31129));
						BgL_arg1235z00_1298 = (BgL_arg1239z00_1299 | BgL_arg1240z00_1300);
					}
					BGL_U32VSET(BgL_vz00_1297, ((long) 0), BgL_arg1235z00_1298);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 131 */
					uint32_t BgL_arg1242z00_1302;

					{	/* Unsafe/sha1.scm 131 */
						uint32_t BgL_arg1244z00_1303;
						uint32_t BgL_arg1260z00_1304;

						{	/* Unsafe/sha1.scm 131 */
							uint32_t BgL_arg1261z00_1305;

							BgL_arg1261z00_1305 = (uint32_t) (((long) 28377));
							BgL_arg1244z00_1303 =
								(BgL_arg1261z00_1305 << (int) (((long) 16)));
						}
						BgL_arg1260z00_1304 = (uint32_t) (((long) 60321));
						BgL_arg1242z00_1302 = (BgL_arg1244z00_1303 | BgL_arg1260z00_1304);
					}
					BGL_U32VSET(BgL_vz00_1297, ((long) 1), BgL_arg1242z00_1302);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 132 */
					uint32_t BgL_arg1262z00_1306;

					{	/* Unsafe/sha1.scm 132 */
						uint32_t BgL_arg1263z00_1307;
						uint32_t BgL_arg1264z00_1308;

						{	/* Unsafe/sha1.scm 132 */
							uint32_t BgL_arg1265z00_1309;

							BgL_arg1265z00_1309 = (uint32_t) (((long) 36635));
							BgL_arg1263z00_1307 =
								(BgL_arg1265z00_1309 << (int) (((long) 16)));
						}
						BgL_arg1264z00_1308 = (uint32_t) (((long) 48348));
						BgL_arg1262z00_1306 = (BgL_arg1263z00_1307 | BgL_arg1264z00_1308);
					}
					BGL_U32VSET(BgL_vz00_1297, ((long) 2), BgL_arg1262z00_1306);
					BUNSPEC;
				}
				{	/* Unsafe/sha1.scm 133 */
					uint32_t BgL_arg1266z00_1310;

					{	/* Unsafe/sha1.scm 133 */
						uint32_t BgL_arg1267z00_1311;
						uint32_t BgL_arg1268z00_1312;

						{	/* Unsafe/sha1.scm 133 */
							uint32_t BgL_arg1270z00_1313;

							BgL_arg1270z00_1313 = (uint32_t) (((long) 51810));
							BgL_arg1267z00_1311 =
								(BgL_arg1270z00_1313 << (int) (((long) 16)));
						}
						BgL_arg1268z00_1312 = (uint32_t) (((long) 49622));
						BgL_arg1266z00_1310 = (BgL_arg1267z00_1311 | BgL_arg1268z00_1312);
					}
					BGL_U32VSET(BgL_vz00_1297, ((long) 3), BgL_arg1266z00_1310);
					BUNSPEC;
				}
				return (BGl_Kz00zz__sha1z00 = BgL_vz00_1297, BUNSPEC);
			}
		}

	}



/* u32-fill! */
	obj_t BGl_u32zd2fillz12zc0zz__sha1z00(obj_t BgL_strz00_5,
		long BgL_offsetz00_6, uint32_t BgL_wz00_7)
	{
		{	/* Unsafe/sha1.scm 105 */
			{	/* Unsafe/sha1.scm 106 */
				obj_t BgL_s1z00_1327;

				{	/* Unsafe/sha1.scm 106 */
					long BgL_arg1296z00_1338;

					{	/* Unsafe/sha1.scm 106 */
						uint32_t BgL_tmpz00_2964;

						BgL_tmpz00_2964 = (BgL_wz00_7 >> (int) (((long) 16)));
						BgL_arg1296z00_1338 = (long) (BgL_tmpz00_2964);
					}
					BgL_s1z00_1327 =
						BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
						(BgL_arg1296z00_1338, ((long) 16));
				}
				{	/* Unsafe/sha1.scm 106 */
					long BgL_l1z00_1328;

					BgL_l1z00_1328 = STRING_LENGTH(BgL_s1z00_1327);
					{	/* Unsafe/sha1.scm 107 */
						obj_t BgL_s2z00_1329;

						{	/* Unsafe/sha1.scm 108 */
							long BgL_arg1294z00_1336;

							{	/* Unsafe/sha1.scm 108 */
								uint32_t BgL_tmpz00_2970;

								BgL_tmpz00_2970 = (BgL_wz00_7 & (uint32_t) (65535));
								BgL_arg1294z00_1336 = (long) (BgL_tmpz00_2970);
							}
							BgL_s2z00_1329 =
								BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00
								(BgL_arg1294z00_1336, ((long) 16));
						}
						{	/* Unsafe/sha1.scm 108 */
							long BgL_l2z00_1330;

							BgL_l2z00_1330 = STRING_LENGTH(BgL_s2z00_1329);
							{	/* Unsafe/sha1.scm 109 */

								blit_string(BgL_s1z00_1327, ((long) 0), BgL_strz00_5,
									(BgL_offsetz00_6 +
										(((long) 4) - BgL_l1z00_1328)), BgL_l1z00_1328);
								return
									blit_string(BgL_s2z00_1329, ((long) 0), BgL_strz00_5,
									(BgL_offsetz00_6 +
										(((long) 4) +
											(((long) 4) - BgL_l2z00_1330))), BgL_l2z00_1330);
		}}}}}}

	}



/* f */
	uint32_t BGl_fz00zz__sha1z00(int BgL_sz00_20, uint32_t BgL_xz00_21,
		uint32_t BgL_yz00_22, uint32_t BgL_za7za7_23)
	{
		{	/* Unsafe/sha1.scm 165 */
			{

				switch ((long) (BgL_sz00_20))
					{
					case ((long) 0):

						return
							((BgL_xz00_21 & BgL_yz00_22) ^ (~(BgL_xz00_21) & BgL_za7za7_23));
						break;
					case ((long) 1):
					case ((long) 3):

						return (BgL_xz00_21 ^ (BgL_yz00_22 ^ BgL_za7za7_23));
						break;
					default:
						return
							(
							((BgL_xz00_21 & BgL_yz00_22) ^
								(BgL_xz00_21 & BgL_za7za7_23)) ^ (BgL_yz00_22 & BgL_za7za7_23));
					}
			}
		}

	}



/* sha1 */
	obj_t BGl_sha1z00zz__sha1z00(long BgL_lenz00_24, obj_t BgL_mz00_25)
	{
		{	/* Unsafe/sha1.scm 178 */
			{	/* Unsafe/sha1.scm 180 */
				obj_t BgL_wz00_1362;

				BgL_wz00_1362 =
					BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 80),
					(uint32_t) (((long) 0)));
				{	/* Unsafe/sha1.scm 184 */
					obj_t BgL_vecz00_1364;

					{	/* Unsafe/sha1.scm 184 */
						long BgL_arg1319z00_1367;

						BgL_arg1319z00_1367 = (VECTOR_LENGTH(BgL_mz00_25) - ((long) 1));
						BgL_vecz00_1364 = VECTOR_REF(BgL_mz00_25, BgL_arg1319z00_1367);
					}
					{	/* Unsafe/sha1.scm 185 */
						long BgL_v15z00_1366;

						BgL_v15z00_1366 = (BgL_lenz00_24 * ((long) 8));
						{	/* Unsafe/sha1.scm 186 */

							{	/* Unsafe/sha1.scm 187 */
								uint32_t BgL_tmpz00_3001;

								BgL_tmpz00_3001 = (uint32_t) (((long) 0));
								BGL_U32VSET(BgL_vecz00_1364, ((long) 14), BgL_tmpz00_3001);
							} BUNSPEC;
							{	/* Unsafe/sha1.scm 188 */
								uint32_t BgL_tmpz00_3004;

								BgL_tmpz00_3004 = (uint32_t) (BgL_v15z00_1366);
								BGL_U32VSET(BgL_vecz00_1364, ((long) 15), BgL_tmpz00_3004);
							} BUNSPEC;
				}}}
				{	/* Unsafe/sha1.scm 191 */
					uint32_t BgL_h0z00_1368;

					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_arg1387z00_1469;
						uint32_t BgL_arg1388z00_1470;

						{	/* Unsafe/sha1.scm 191 */
							uint32_t BgL_arg1389z00_1471;

							BgL_arg1389z00_1471 = (uint32_t) (((long) 26437));
							BgL_arg1387z00_1469 =
								(BgL_arg1389z00_1471 << (int) (((long) 16)));
						}
						BgL_arg1388z00_1470 = (uint32_t) (((long) 8961));
						BgL_h0z00_1368 = (BgL_arg1387z00_1469 | BgL_arg1388z00_1470);
					}
					{	/* Unsafe/sha1.scm 191 */
						uint32_t BgL_h1z00_1369;

						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_arg1384z00_1466;
							uint32_t BgL_arg1385z00_1467;

							{	/* Unsafe/sha1.scm 192 */
								uint32_t BgL_arg1386z00_1468;

								BgL_arg1386z00_1468 = (uint32_t) (((long) 61389));
								BgL_arg1384z00_1466 =
									(BgL_arg1386z00_1468 << (int) (((long) 16)));
							}
							BgL_arg1385z00_1467 = (uint32_t) (((long) 43913));
							BgL_h1z00_1369 = (BgL_arg1384z00_1466 | BgL_arg1385z00_1467);
						}
						{	/* Unsafe/sha1.scm 192 */
							uint32_t BgL_h2z00_1370;

							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_arg1381z00_1463;
								uint32_t BgL_arg1382z00_1464;

								{	/* Unsafe/sha1.scm 193 */
									uint32_t BgL_arg1383z00_1465;

									BgL_arg1383z00_1465 = (uint32_t) (((long) 39098));
									BgL_arg1381z00_1463 =
										(BgL_arg1383z00_1465 << (int) (((long) 16)));
								}
								BgL_arg1382z00_1464 = (uint32_t) (((long) 56574));
								BgL_h2z00_1370 = (BgL_arg1381z00_1463 | BgL_arg1382z00_1464);
							}
							{	/* Unsafe/sha1.scm 193 */
								uint32_t BgL_h3z00_1371;

								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_arg1378z00_1460;
									uint32_t BgL_arg1379z00_1461;

									{	/* Unsafe/sha1.scm 194 */
										uint32_t BgL_arg1380z00_1462;

										BgL_arg1380z00_1462 = (uint32_t) (((long) 4146));
										BgL_arg1378z00_1460 =
											(BgL_arg1380z00_1462 << (int) (((long) 16)));
									}
									BgL_arg1379z00_1461 = (uint32_t) (((long) 21622));
									BgL_h3z00_1371 = (BgL_arg1378z00_1460 | BgL_arg1379z00_1461);
								}
								{	/* Unsafe/sha1.scm 194 */
									uint32_t BgL_h4z00_1372;

									{	/* Unsafe/sha1.scm 195 */
										uint32_t BgL_arg1375z00_1457;
										uint32_t BgL_arg1376z00_1458;

										{	/* Unsafe/sha1.scm 195 */
											uint32_t BgL_arg1377z00_1459;

											BgL_arg1377z00_1459 = (uint32_t) (((long) 50130));
											BgL_arg1375z00_1457 =
												(BgL_arg1377z00_1459 << (int) (((long) 16)));
										}
										BgL_arg1376z00_1458 = (uint32_t) (((long) 57840));
										BgL_h4z00_1372 =
											(BgL_arg1375z00_1457 | BgL_arg1376z00_1458);
									}
									{	/* Unsafe/sha1.scm 195 */

										{
											long BgL_iz00_1375;

											BgL_iz00_1375 = ((long) 0);
										BgL_zc3z04anonymousza31320ze3z87_1376:
											if ((BgL_iz00_1375 < VECTOR_LENGTH(BgL_mz00_25)))
												{	/* Unsafe/sha1.scm 198 */
													{
														long BgL_tz00_2235;

														BgL_tz00_2235 = ((long) 0);
													BgL_for1057z00_2234:
														if ((BgL_tz00_2235 < ((long) 16)))
															{	/* Unsafe/sha1.scm 201 */
																{	/* Unsafe/sha1.scm 202 */
																	uint32_t BgL_arg1325z00_2239;

																	{	/* Unsafe/sha1.scm 202 */
																		int BgL_iz00_2241;
																		int BgL_jz00_2242;

																		BgL_iz00_2241 = (int) (BgL_iz00_1375);
																		BgL_jz00_2242 = (int) (BgL_tz00_2235);
																		{	/* Unsafe/sha1.scm 160 */
																			long BgL_auxz00_3042;
																			obj_t BgL_tmpz00_3039;

																			BgL_auxz00_3042 = (long) (BgL_jz00_2242);
																			BgL_tmpz00_3039 =
																				VECTOR_REF(BgL_mz00_25,
																				(long) (BgL_iz00_2241));
																			BgL_arg1325z00_2239 =
																				BGL_U32VREF(BgL_tmpz00_3039,
																				BgL_auxz00_3042);
																	}}
																	BGL_U32VSET(BgL_wz00_1362, BgL_tz00_2235,
																		BgL_arg1325z00_2239);
																	BUNSPEC;
																}
																{
																	long BgL_tz00_3046;

																	BgL_tz00_3046 = (BgL_tz00_2235 + ((long) 1));
																	BgL_tz00_2235 = BgL_tz00_3046;
																	goto BgL_for1057z00_2234;
																}
															}
														else
															{	/* Unsafe/sha1.scm 201 */
																((bool_t) 0);
															}
													}
													{
														long BgL_tz00_1388;

														BgL_tz00_1388 = ((long) 16);
													BgL_zc3z04anonymousza31327ze3z87_1389:
														if ((BgL_tz00_1388 < ((long) 80)))
															{	/* Unsafe/sha1.scm 203 */
																{	/* Unsafe/sha1.scm 204 */
																	uint32_t BgL_w0z00_1391;

																	{	/* Unsafe/sha1.scm 204 */
																		long BgL_tmpz00_3050;

																		BgL_tmpz00_3050 =
																			(BgL_tz00_1388 - ((long) 3));
																		BgL_w0z00_1391 =
																			BGL_U32VREF(BgL_wz00_1362,
																			BgL_tmpz00_3050);
																	}
																	{	/* Unsafe/sha1.scm 204 */
																		uint32_t BgL_w1z00_1392;

																		{	/* Unsafe/sha1.scm 205 */
																			long BgL_tmpz00_3053;

																			BgL_tmpz00_3053 =
																				(BgL_tz00_1388 - ((long) 8));
																			BgL_w1z00_1392 =
																				BGL_U32VREF(BgL_wz00_1362,
																				BgL_tmpz00_3053);
																		}
																		{	/* Unsafe/sha1.scm 205 */
																			uint32_t BgL_w2z00_1393;

																			{	/* Unsafe/sha1.scm 206 */
																				long BgL_tmpz00_3056;

																				BgL_tmpz00_3056 =
																					(BgL_tz00_1388 - ((long) 14));
																				BgL_w2z00_1393 =
																					BGL_U32VREF(BgL_wz00_1362,
																					BgL_tmpz00_3056);
																			}
																			{	/* Unsafe/sha1.scm 206 */
																				uint32_t BgL_w3z00_1394;

																				{	/* Unsafe/sha1.scm 207 */
																					long BgL_tmpz00_3059;

																					BgL_tmpz00_3059 =
																						(BgL_tz00_1388 - ((long) 16));
																					BgL_w3z00_1394 =
																						BGL_U32VREF(BgL_wz00_1362,
																						BgL_tmpz00_3059);
																				}
																				{	/* Unsafe/sha1.scm 207 */
																					uint32_t BgL_vz00_1395;

																					BgL_vz00_1395 =
																						(BgL_w0z00_1391 ^
																						(BgL_w1z00_1392 ^
																							(BgL_w2z00_1393 ^
																								BgL_w3z00_1394)));
																					{	/* Unsafe/sha1.scm 208 */

																						{	/* Unsafe/sha1.scm 209 */
																							uint32_t BgL_arg1329z00_1396;

																							BgL_arg1329z00_1396 =
																								(
																								(BgL_vz00_1395 <<
																									(int) (((long) 1))) |
																								(BgL_vz00_1395 >>
																									(int) (
																										(((long) 32) -
																											((long) 1)))));
																							BGL_U32VSET(BgL_wz00_1362,
																								BgL_tz00_1388,
																								BgL_arg1329z00_1396);
																							BUNSPEC;
																}}}}}}}
																{
																	long BgL_tz00_3072;

																	BgL_tz00_3072 = (BgL_tz00_1388 + ((long) 1));
																	BgL_tz00_1388 = BgL_tz00_3072;
																	goto BgL_zc3z04anonymousza31327ze3z87_1389;
																}
															}
														else
															{	/* Unsafe/sha1.scm 203 */
																((bool_t) 0);
															}
													}
													{	/* Unsafe/sha1.scm 213 */
														uint32_t BgL_az00_1405;
														uint32_t BgL_bz00_1406;
														uint32_t BgL_cz00_1407;
														uint32_t BgL_dz00_1408;
														uint32_t BgL_ez00_1409;

														BgL_az00_1405 = BgL_h0z00_1368;
														BgL_bz00_1406 = BgL_h1z00_1369;
														BgL_cz00_1407 = BgL_h2z00_1370;
														BgL_dz00_1408 = BgL_h3z00_1371;
														BgL_ez00_1409 = BgL_h4z00_1372;
														{
															long BgL_tz00_1412;

															BgL_tz00_1412 = ((long) 0);
														BgL_zc3z04anonymousza31337ze3z87_1413:
															if ((BgL_tz00_1412 < ((long) 80)))
																{	/* Unsafe/sha1.scm 220 */
																	{	/* Unsafe/sha1.scm 221 */
																		long BgL_sz00_1415;

																		BgL_sz00_1415 =
																			(BgL_tz00_1412 / ((long) 20));
																		{	/* Unsafe/sha1.scm 221 */
																			uint32_t BgL_a5z00_1416;

																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_xz00_2273;

																				BgL_xz00_2273 = BgL_az00_1405;
																				BgL_a5z00_1416 =
																					(
																					(BgL_xz00_2273 <<
																						(int) (((long) 5))) |
																					(BgL_xz00_2273 >>
																						(int) (
																							(((long) 32) - ((long) 5)))));
																			}
																			{	/* Unsafe/sha1.scm 222 */
																				uint32_t BgL_fz00_1417;

																				BgL_fz00_1417 =
																					BGl_fz00zz__sha1z00(
																					(int) (BgL_sz00_1415), BgL_bz00_1406,
																					BgL_cz00_1407, BgL_dz00_1408);
																				{	/* Unsafe/sha1.scm 223 */
																					uint32_t BgL_kz00_1418;

																					BgL_kz00_1418 =
																						BGL_U32VREF(BGl_Kz00zz__sha1z00,
																						BgL_sz00_1415);
																					{	/* Unsafe/sha1.scm 224 */
																						uint32_t BgL_wz00_1419;

																						BgL_wz00_1419 =
																							BGL_U32VREF(BgL_wz00_1362,
																							BgL_tz00_1412);
																						{	/* Unsafe/sha1.scm 225 */
																							uint32_t BgL_yz00_1420;

																							BgL_yz00_1420 =
																								(BgL_a5z00_1416 +
																								(BgL_fz00_1417 +
																									(BgL_ez00_1409 +
																										(BgL_kz00_1418 +
																											BgL_wz00_1419))));
																							{	/* Unsafe/sha1.scm 226 */

																								BgL_ez00_1409 = BgL_dz00_1408;
																								BgL_dz00_1408 = BgL_cz00_1407;
																								{	/* Unsafe/sha1.scm 229 */
																									uint32_t BgL_xz00_2290;

																									BgL_xz00_2290 = BgL_bz00_1406;
																									BgL_cz00_1407 =
																										(
																										(BgL_xz00_2290 <<
																											(int) (((long) 30))) |
																										(BgL_xz00_2290 >>
																											(int) (
																												(((long) 32) -
																													((long) 30)))));
																								}
																								BgL_bz00_1406 = BgL_az00_1405;
																								{	/* Unsafe/sha1.scm 231 */
																									uint32_t BgL_arg1339z00_1421;

																									{	/* Unsafe/sha1.scm 231 */
																										uint32_t
																											BgL_arg1340z00_1422;
																										uint32_t
																											BgL_arg1341z00_1423;
																										{	/* Unsafe/sha1.scm 231 */
																											uint32_t
																												BgL_arg1342z00_1424;
																											BgL_arg1342z00_1424 =
																												(uint32_t) (((long)
																													65535));
																											BgL_arg1340z00_1422 =
																												(BgL_arg1342z00_1424 <<
																												(int) (((long) 16)));
																										}
																										BgL_arg1341z00_1423 =
																											(uint32_t) (((long)
																												65535));
																										BgL_arg1339z00_1421 =
																											(BgL_arg1340z00_1422 |
																											BgL_arg1341z00_1423);
																									}
																									BgL_az00_1405 =
																										(BgL_yz00_1420 &
																										BgL_arg1339z00_1421);
																	}}}}}}}}
																	{
																		long BgL_tz00_3103;

																		BgL_tz00_3103 =
																			(BgL_tz00_1412 + ((long) 1));
																		BgL_tz00_1412 = BgL_tz00_3103;
																		goto BgL_zc3z04anonymousza31337ze3z87_1413;
																	}
																}
															else
																{	/* Unsafe/sha1.scm 220 */
																	((bool_t) 0);
																}
														}
														{	/* Unsafe/sha1.scm 233 */
															uint32_t BgL_arg1347z00_1430;
															uint32_t BgL_arg1348z00_1431;

															BgL_arg1347z00_1430 =
																(BgL_h0z00_1368 + BgL_az00_1405);
															{	/* Unsafe/sha1.scm 233 */
																uint32_t BgL_arg1349z00_1432;
																uint32_t BgL_arg1350z00_1433;

																{	/* Unsafe/sha1.scm 233 */
																	uint32_t BgL_arg1351z00_1434;

																	BgL_arg1351z00_1434 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1349z00_1432 =
																		(BgL_arg1351z00_1434 <<
																		(int) (((long) 16)));
																}
																BgL_arg1350z00_1433 =
																	(uint32_t) (((long) 65535));
																BgL_arg1348z00_1431 =
																	(BgL_arg1349z00_1432 | BgL_arg1350z00_1433);
															}
															BgL_h0z00_1368 =
																(BgL_arg1347z00_1430 & BgL_arg1348z00_1431);
														}
														{	/* Unsafe/sha1.scm 234 */
															uint32_t BgL_arg1352z00_1435;
															uint32_t BgL_arg1353z00_1436;

															BgL_arg1352z00_1435 =
																(BgL_h1z00_1369 + BgL_bz00_1406);
															{	/* Unsafe/sha1.scm 234 */
																uint32_t BgL_arg1354z00_1437;
																uint32_t BgL_arg1356z00_1438;

																{	/* Unsafe/sha1.scm 234 */
																	uint32_t BgL_arg1358z00_1439;

																	BgL_arg1358z00_1439 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1354z00_1437 =
																		(BgL_arg1358z00_1439 <<
																		(int) (((long) 16)));
																}
																BgL_arg1356z00_1438 =
																	(uint32_t) (((long) 65535));
																BgL_arg1353z00_1436 =
																	(BgL_arg1354z00_1437 | BgL_arg1356z00_1438);
															}
															BgL_h1z00_1369 =
																(BgL_arg1352z00_1435 & BgL_arg1353z00_1436);
														}
														{	/* Unsafe/sha1.scm 235 */
															uint32_t BgL_arg1359z00_1440;
															uint32_t BgL_arg1360z00_1441;

															BgL_arg1359z00_1440 =
																(BgL_h2z00_1370 + BgL_cz00_1407);
															{	/* Unsafe/sha1.scm 235 */
																uint32_t BgL_arg1361z00_1442;
																uint32_t BgL_arg1362z00_1443;

																{	/* Unsafe/sha1.scm 235 */
																	uint32_t BgL_arg1363z00_1444;

																	BgL_arg1363z00_1444 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1361z00_1442 =
																		(BgL_arg1363z00_1444 <<
																		(int) (((long) 16)));
																}
																BgL_arg1362z00_1443 =
																	(uint32_t) (((long) 65535));
																BgL_arg1360z00_1441 =
																	(BgL_arg1361z00_1442 | BgL_arg1362z00_1443);
															}
															BgL_h2z00_1370 =
																(BgL_arg1359z00_1440 & BgL_arg1360z00_1441);
														}
														{	/* Unsafe/sha1.scm 236 */
															uint32_t BgL_arg1364z00_1445;
															uint32_t BgL_arg1365z00_1446;

															BgL_arg1364z00_1445 =
																(BgL_h3z00_1371 + BgL_dz00_1408);
															{	/* Unsafe/sha1.scm 236 */
																uint32_t BgL_arg1366z00_1447;
																uint32_t BgL_arg1367z00_1448;

																{	/* Unsafe/sha1.scm 236 */
																	uint32_t BgL_arg1368z00_1449;

																	BgL_arg1368z00_1449 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1366z00_1447 =
																		(BgL_arg1368z00_1449 <<
																		(int) (((long) 16)));
																}
																BgL_arg1367z00_1448 =
																	(uint32_t) (((long) 65535));
																BgL_arg1365z00_1446 =
																	(BgL_arg1366z00_1447 | BgL_arg1367z00_1448);
															}
															BgL_h3z00_1371 =
																(BgL_arg1364z00_1445 & BgL_arg1365z00_1446);
														}
														{	/* Unsafe/sha1.scm 237 */
															uint32_t BgL_arg1369z00_1450;
															uint32_t BgL_arg1370z00_1451;

															BgL_arg1369z00_1450 =
																(BgL_h4z00_1372 + BgL_ez00_1409);
															{	/* Unsafe/sha1.scm 237 */
																uint32_t BgL_arg1371z00_1452;
																uint32_t BgL_arg1372z00_1453;

																{	/* Unsafe/sha1.scm 237 */
																	uint32_t BgL_arg1373z00_1454;

																	BgL_arg1373z00_1454 =
																		(uint32_t) (((long) 65535));
																	BgL_arg1371z00_1452 =
																		(BgL_arg1373z00_1454 <<
																		(int) (((long) 16)));
																}
																BgL_arg1372z00_1453 =
																	(uint32_t) (((long) 65535));
																BgL_arg1370z00_1451 =
																	(BgL_arg1371z00_1452 | BgL_arg1372z00_1453);
															}
															BgL_h4z00_1372 =
																(BgL_arg1369z00_1450 & BgL_arg1370z00_1451);
													}}
													{
														long BgL_iz00_3140;

														BgL_iz00_3140 = (BgL_iz00_1375 + ((long) 1));
														BgL_iz00_1375 = BgL_iz00_3140;
														goto BgL_zc3z04anonymousza31320ze3z87_1376;
													}
												}
											else
												{	/* Unsafe/sha1.scm 198 */
													((bool_t) 0);
												}
										}
										{	/* Unsafe/sha1.scm 239 */
											uint32_t BgL_w0z00_2341;
											uint32_t BgL_w1z00_2342;
											uint32_t BgL_w2z00_2343;
											uint32_t BgL_w3z00_2344;
											uint32_t BgL_w4z00_2345;

											BgL_w0z00_2341 = BgL_h0z00_1368;
											BgL_w1z00_2342 = BgL_h1z00_1369;
											BgL_w2z00_2343 = BgL_h2z00_1370;
											BgL_w3z00_2344 = BgL_h3z00_1371;
											BgL_w4z00_2345 = BgL_h4z00_1372;
											{	/* Unsafe/sha1.scm 117 */
												obj_t BgL_rz00_2346;

												BgL_rz00_2346 =
													make_string(((long) 40), ((unsigned char) '0'));
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2346,
													((long) 0), BgL_w0z00_2341);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2346,
													((long) 8), BgL_w1z00_2342);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2346,
													((long) 16), BgL_w2z00_2343);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2346,
													((long) 24), BgL_w3z00_2344);
												BGl_u32zd2fillz12zc0zz__sha1z00(BgL_rz00_2346,
													((long) 32), BgL_w4z00_2345);
												return BgL_rz00_2346;
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2stringzd2zz__sha1z00(obj_t BgL_strz00_28)
	{
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				long BgL_lenz00_1475;

				BgL_lenz00_1475 = STRING_LENGTH(BgL_strz00_28);
				{	/* Unsafe/sha1.scm 256 */
					long BgL_lz00_1476;

					{	/* Unsafe/sha1.scm 257 */
						long BgL_tmpz00_3149;

						{	/* Unsafe/sha1.scm 257 */
							obj_t BgL_tmpz00_3150;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2353;

								BgL_rz00_2353 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1475 + ((long) 1))), BINT(((long) 4)));
								if (INTEGERP(BgL_rz00_2353))
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3150 = BgL_rz00_2353;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3150 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2353))));
							}}
							BgL_tmpz00_3149 = (long) CINT(BgL_tmpz00_3150);
						}
						BgL_lz00_1476 = (BgL_tmpz00_3149 + ((long) 2));
					}
					{	/* Unsafe/sha1.scm 257 */
						long BgL_nz00_1477;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2359;

							BgL_rz00_2359 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1476),
								BINT(((long) 16)));
							if (INTEGERP(BgL_rz00_2359))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1477 = (long) CINT(BgL_rz00_2359);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1477 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2359)));
						}}
						{	/* Unsafe/sha1.scm 258 */
							obj_t BgL_mz00_1478;

							BgL_mz00_1478 = make_vector(BgL_nz00_1477, BUNSPEC);
							{	/* Unsafe/sha1.scm 259 */

								{
									long BgL_iz00_1481;

									BgL_iz00_1481 = ((long) 0);
								BgL_zc3z04anonymousza31392ze3z87_1482:
									if ((BgL_iz00_1481 < BgL_nz00_1477))
										{	/* Unsafe/sha1.scm 261 */
											{	/* Unsafe/sha1.scm 262 */
												obj_t BgL_vecz00_1484;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1484 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1487;

													BgL_jz00_1487 = ((long) 0);
												BgL_zc3z04anonymousza31394ze3z87_1488:
													if ((BgL_jz00_1487 < ((long) 16)))
														{	/* Unsafe/sha1.scm 263 */
															{	/* Unsafe/sha1.scm 264 */
																int BgL_nz00_1490;

																BgL_nz00_1490 =
																	(int) (
																	((BgL_iz00_1481 * ((long) 64)) +
																		(BgL_jz00_1487 * ((long) 4))));
																{	/* Unsafe/sha1.scm 264 */
																	uint32_t BgL_v0z00_1491;

																	{	/* Unsafe/sha1.scm 140 */
																		long BgL_lenz00_2375;

																		BgL_lenz00_2375 =
																			STRING_LENGTH(BgL_strz00_28);
																		if (
																			((long) (BgL_nz00_1490) <
																				BgL_lenz00_2375))
																			{	/* Unsafe/sha1.scm 142 */
																				long BgL_tmpz00_3186;

																				BgL_tmpz00_3186 =
																					(STRING_REF(BgL_strz00_28,
																						(long) (BgL_nz00_1490)));
																				BgL_v0z00_1491 =
																					(uint32_t) (BgL_tmpz00_3186);
																			}
																		else
																			{	/* Unsafe/sha1.scm 142 */
																				if (
																					((long) (BgL_nz00_1490) ==
																						BgL_lenz00_2375))
																					{	/* Unsafe/sha1.scm 143 */
																						BgL_v0z00_1491 = (uint32_t) (128);
																					}
																				else
																					{	/* Unsafe/sha1.scm 143 */
																						BgL_v0z00_1491 = (uint32_t) (0);
																					}
																			}
																	}
																	{	/* Unsafe/sha1.scm 265 */
																		uint32_t BgL_v1z00_1492;

																		{	/* Unsafe/sha1.scm 266 */
																			long BgL_arg1411z00_1507;

																			BgL_arg1411z00_1507 =
																				((long) (BgL_nz00_1490) + ((long) 1));
																			{	/* Unsafe/sha1.scm 266 */
																				int BgL_iz00_2391;

																				BgL_iz00_2391 =
																					(int) (BgL_arg1411z00_1507);
																				{	/* Unsafe/sha1.scm 140 */
																					long BgL_lenz00_2392;

																					BgL_lenz00_2392 =
																						STRING_LENGTH(BgL_strz00_28);
																					if (
																						((long) (BgL_iz00_2391) <
																							BgL_lenz00_2392))
																						{	/* Unsafe/sha1.scm 142 */
																							long BgL_tmpz00_3201;

																							BgL_tmpz00_3201 =
																								(STRING_REF(BgL_strz00_28,
																									(long) (BgL_iz00_2391)));
																							BgL_v1z00_1492 =
																								(uint32_t) (BgL_tmpz00_3201);
																						}
																					else
																						{	/* Unsafe/sha1.scm 142 */
																							if (
																								((long) (BgL_iz00_2391) ==
																									BgL_lenz00_2392))
																								{	/* Unsafe/sha1.scm 143 */
																									BgL_v1z00_1492 =
																										(uint32_t) (128);
																								}
																							else
																								{	/* Unsafe/sha1.scm 143 */
																									BgL_v1z00_1492 =
																										(uint32_t) (0);
																								}
																						}
																				}
																			}
																		}
																		{	/* Unsafe/sha1.scm 266 */
																			uint32_t BgL_v2z00_1493;

																			{	/* Unsafe/sha1.scm 267 */
																				long BgL_arg1410z00_1506;

																				BgL_arg1410z00_1506 =
																					((long) (BgL_nz00_1490) + ((long) 2));
																				{	/* Unsafe/sha1.scm 267 */
																					int BgL_iz00_2408;

																					BgL_iz00_2408 =
																						(int) (BgL_arg1410z00_1506);
																					{	/* Unsafe/sha1.scm 140 */
																						long BgL_lenz00_2409;

																						BgL_lenz00_2409 =
																							STRING_LENGTH(BgL_strz00_28);
																						if (
																							((long) (BgL_iz00_2408) <
																								BgL_lenz00_2409))
																							{	/* Unsafe/sha1.scm 142 */
																								long BgL_tmpz00_3216;

																								BgL_tmpz00_3216 =
																									(STRING_REF(BgL_strz00_28,
																										(long) (BgL_iz00_2408)));
																								BgL_v2z00_1493 =
																									(uint32_t) (BgL_tmpz00_3216);
																							}
																						else
																							{	/* Unsafe/sha1.scm 142 */
																								if (
																									((long) (BgL_iz00_2408) ==
																										BgL_lenz00_2409))
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_v2z00_1493 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 143 */
																										BgL_v2z00_1493 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																			}
																			{	/* Unsafe/sha1.scm 267 */
																				uint32_t BgL_v3z00_1494;

																				{	/* Unsafe/sha1.scm 268 */
																					long BgL_arg1409z00_1505;

																					BgL_arg1409z00_1505 =
																						(
																						(long) (BgL_nz00_1490) +
																						((long) 3));
																					{	/* Unsafe/sha1.scm 268 */
																						int BgL_iz00_2425;

																						BgL_iz00_2425 =
																							(int) (BgL_arg1409z00_1505);
																						{	/* Unsafe/sha1.scm 140 */
																							long BgL_lenz00_2426;

																							BgL_lenz00_2426 =
																								STRING_LENGTH(BgL_strz00_28);
																							if (
																								((long) (BgL_iz00_2425) <
																									BgL_lenz00_2426))
																								{	/* Unsafe/sha1.scm 142 */
																									long BgL_tmpz00_3231;

																									BgL_tmpz00_3231 =
																										(STRING_REF(BgL_strz00_28,
																											(long) (BgL_iz00_2425)));
																									BgL_v3z00_1494 =
																										(uint32_t)
																										(BgL_tmpz00_3231);
																								}
																							else
																								{	/* Unsafe/sha1.scm 142 */
																									if (
																										((long) (BgL_iz00_2425) ==
																											BgL_lenz00_2426))
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_v3z00_1494 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 143 */
																											BgL_v3z00_1494 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																				{	/* Unsafe/sha1.scm 268 */
																					uint32_t BgL_vz00_1495;

																					{	/* Unsafe/sha1.scm 269 */
																						uint32_t BgL_arg1398z00_1496;
																						uint32_t BgL_arg1399z00_1497;

																						{	/* Unsafe/sha1.scm 269 */
																							uint32_t BgL_arg1400z00_1498;

																							{	/* Unsafe/sha1.scm 269 */
																								long BgL_arg1403z00_1499;

																								{	/* Unsafe/sha1.scm 269 */
																									uint32_t BgL_tmpz00_3239;

																									BgL_tmpz00_3239 =
																										(
																										(BgL_v0z00_1491 <<
																											(int) (((long) 8))) |
																										BgL_v1z00_1492);
																									BgL_arg1403z00_1499 =
																										(long) (BgL_tmpz00_3239);
																								}
																								BgL_arg1400z00_1498 =
																									(uint32_t)
																									(BgL_arg1403z00_1499);
																							}
																							BgL_arg1398z00_1496 =
																								(BgL_arg1400z00_1498 <<
																								(int) (((long) 16)));
																						}
																						{	/* Unsafe/sha1.scm 269 */
																							long BgL_arg1406z00_1502;

																							{	/* Unsafe/sha1.scm 269 */
																								uint32_t BgL_tmpz00_3247;

																								BgL_tmpz00_3247 =
																									(
																									(BgL_v2z00_1493 <<
																										(int) (((long) 8))) |
																									BgL_v3z00_1494);
																								BgL_arg1406z00_1502 =
																									(long) (BgL_tmpz00_3247);
																							}
																							BgL_arg1399z00_1497 =
																								(uint32_t)
																								(BgL_arg1406z00_1502);
																						}
																						BgL_vz00_1495 =
																							(BgL_arg1398z00_1496 |
																							BgL_arg1399z00_1497);
																					}
																					{	/* Unsafe/sha1.scm 269 */

																						BGL_U32VSET(BgL_vecz00_1484,
																							BgL_jz00_1487, BgL_vz00_1495);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1478, BgL_iz00_1481,
																BgL_vecz00_1484);
															{
																long BgL_jz00_3256;

																BgL_jz00_3256 = (BgL_jz00_1487 + ((long) 1));
																BgL_jz00_1487 = BgL_jz00_3256;
																goto BgL_zc3z04anonymousza31394ze3z87_1488;
															}
														}
													else
														{	/* Unsafe/sha1.scm 263 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3258;

												BgL_iz00_3258 = (BgL_iz00_1481 + ((long) 1));
												BgL_iz00_1481 = BgL_iz00_3258;
												goto BgL_zc3z04anonymousza31392ze3z87_1482;
											}
										}
									else
										{	/* Unsafe/sha1.scm 261 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1475, BgL_mz00_1478);
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-string */
	obj_t BGl_z62sha1sumzd2stringzb0zz__sha1z00(obj_t BgL_envz00_2897,
		obj_t BgL_strz00_2898)
	{
		{	/* Unsafe/sha1.scm 253 */
			{	/* Unsafe/sha1.scm 256 */
				obj_t BgL_auxz00_3261;

				if (STRINGP(BgL_strz00_2898))
					{	/* Unsafe/sha1.scm 256 */
						BgL_auxz00_3261 = BgL_strz00_2898;
					}
				else
					{
						obj_t BgL_auxz00_3264;

						BgL_auxz00_3264 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1890z00zz__sha1z00,
							BINT(((long) 10118)), BGl_string1891z00zz__sha1z00,
							BGl_string1892z00zz__sha1z00, BgL_strz00_2898);
						FAILURE(BgL_auxz00_3264, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_auxz00_3261);
			}
		}

	}



/* sha1sum-mmap */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2mmapzd2zz__sha1z00(obj_t BgL_strz00_29)
	{
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				long BgL_lenz00_1519;

				{	/* Unsafe/sha1.scm 281 */
					long BgL_tmpz00_3269;

					BgL_tmpz00_3269 = BGL_MMAP_LENGTH(BgL_strz00_29);
					BgL_lenz00_1519 = (long) (BgL_tmpz00_3269);
				}
				{	/* Unsafe/sha1.scm 281 */
					long BgL_lz00_1520;

					{	/* Unsafe/sha1.scm 282 */
						long BgL_tmpz00_3272;

						{	/* Unsafe/sha1.scm 282 */
							obj_t BgL_tmpz00_3273;

							{	/* Unsafe/sha1.scm 245 */
								obj_t BgL_rz00_2459;

								BgL_rz00_2459 =
									BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
										(BgL_lenz00_1519 + ((long) 1))), BINT(((long) 4)));
								if (INTEGERP(BgL_rz00_2459))
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3273 = BgL_rz00_2459;
									}
								else
									{	/* Unsafe/sha1.scm 246 */
										BgL_tmpz00_3273 =
											BINT(
											(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
													(BgL_rz00_2459))));
							}}
							BgL_tmpz00_3272 = (long) CINT(BgL_tmpz00_3273);
						}
						BgL_lz00_1520 = (BgL_tmpz00_3272 + ((long) 2));
					}
					{	/* Unsafe/sha1.scm 282 */
						long BgL_nz00_1521;

						{	/* Unsafe/sha1.scm 245 */
							obj_t BgL_rz00_2465;

							BgL_rz00_2465 =
								BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(BgL_lz00_1520),
								BINT(((long) 16)));
							if (INTEGERP(BgL_rz00_2465))
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1521 = (long) CINT(BgL_rz00_2465);
								}
							else
								{	/* Unsafe/sha1.scm 246 */
									BgL_nz00_1521 =
										(long) (REAL_TO_DOUBLE(BGl_ceilingz00zz__r4_numbers_6_5z00
											(BgL_rz00_2465)));
						}}
						{	/* Unsafe/sha1.scm 283 */
							obj_t BgL_mz00_1522;

							BgL_mz00_1522 = make_vector(BgL_nz00_1521, BUNSPEC);
							{	/* Unsafe/sha1.scm 284 */

								{
									long BgL_iz00_1525;

									BgL_iz00_1525 = ((long) 0);
								BgL_zc3z04anonymousza31420ze3z87_1526:
									if ((BgL_iz00_1525 < BgL_nz00_1521))
										{	/* Unsafe/sha1.scm 286 */
											{	/* Unsafe/sha1.scm 287 */
												obj_t BgL_vecz00_1528;

												{	/* Llib/srfi4.scm 451 */

													BgL_vecz00_1528 =
														BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
														(uint32_t) (0));
												}
												{
													long BgL_jz00_1531;

													BgL_jz00_1531 = ((long) 0);
												BgL_zc3z04anonymousza31422ze3z87_1532:
													if ((BgL_jz00_1531 < ((long) 16)))
														{	/* Unsafe/sha1.scm 288 */
															{	/* Unsafe/sha1.scm 289 */
																long BgL_nz00_1534;

																{	/* Unsafe/sha1.scm 289 */
																	long BgL_tmpz00_3301;

																	BgL_tmpz00_3301 =
																		(
																		(BgL_iz00_1525 * ((long) 64)) +
																		(BgL_jz00_1531 * ((long) 4)));
																	BgL_nz00_1534 = (long) (BgL_tmpz00_3301);
																}
																{	/* Unsafe/sha1.scm 289 */
																	uint32_t BgL_v0z00_1535;

																	{	/* Unsafe/sha1.scm 150 */
																		long BgL_lenz00_2481;

																		BgL_lenz00_2481 =
																			BGL_MMAP_LENGTH(BgL_strz00_29);
																		{	/* Unsafe/sha1.scm 152 */
																			bool_t BgL_test1942z00_3307;

																			{	/* Unsafe/sha1.scm 152 */
																				long BgL_n1z00_2487;
																				long BgL_n2z00_2488;

																				BgL_n1z00_2487 = (long) (BgL_nz00_1534);
																				BgL_n2z00_2488 =
																					(long) (BgL_lenz00_2481);
																				BgL_test1942z00_3307 =
																					(BgL_n1z00_2487 < BgL_n2z00_2488);
																			}
																			if (BgL_test1942z00_3307)
																				{	/* Unsafe/sha1.scm 152 */
																					long BgL_arg1306z00_2483;

																					{	/* Unsafe/sha1.scm 152 */
																						unsigned char BgL_arg1307z00_2484;

																						{	/* Unsafe/sha1.scm 152 */
																							unsigned char BgL_res1872z00_2497;

																							{	/* Unsafe/sha1.scm 152 */
																								unsigned char BgL_cz00_2491;

																								BgL_cz00_2491 =
																									BGL_MMAP_REF(BgL_strz00_29,
																									BgL_nz00_1534);
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1514z00_2492;

																									BgL_arg1514z00_2492 =
																										(BgL_nz00_1534 +
																										((long) 1));
																									BGL_MMAP_RP_SET(BgL_strz00_29,
																										BgL_arg1514z00_2492);
																									BUNSPEC;
																									BgL_arg1514z00_2492;
																								}
																								BgL_res1872z00_2497 =
																									BgL_cz00_2491;
																							}
																							BgL_arg1307z00_2484 =
																								BgL_res1872z00_2497;
																						}
																						BgL_arg1306z00_2483 =
																							(BgL_arg1307z00_2484);
																					}
																					BgL_v0z00_1535 =
																						(uint32_t) (BgL_arg1306z00_2483);
																				}
																			else
																				{	/* Unsafe/sha1.scm 153 */
																					bool_t BgL_test1943z00_3316;

																					{	/* Unsafe/sha1.scm 153 */
																						long BgL_n1z00_2500;
																						long BgL_n2z00_2501;

																						BgL_n1z00_2500 =
																							(long) (BgL_nz00_1534);
																						BgL_n2z00_2501 =
																							(long) (BgL_lenz00_2481);
																						BgL_test1943z00_3316 =
																							(BgL_n1z00_2500 ==
																							BgL_n2z00_2501);
																					}
																					if (BgL_test1943z00_3316)
																						{	/* Unsafe/sha1.scm 153 */
																							BgL_v0z00_1535 = (uint32_t) (128);
																						}
																					else
																						{	/* Unsafe/sha1.scm 153 */
																							BgL_v0z00_1535 = (uint32_t) (0);
																						}
																				}
																		}
																	}
																	{	/* Unsafe/sha1.scm 290 */
																		uint32_t BgL_v1z00_1536;

																		{	/* Unsafe/sha1.scm 291 */
																			long BgL_arg1436z00_1551;

																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_za71za7_2502;

																				BgL_za71za7_2502 =
																					(long) (BgL_nz00_1534);
																				BgL_arg1436z00_1551 =
																					(BgL_za71za7_2502 + ((long) 1));
																			}
																			{	/* Unsafe/sha1.scm 291 */
																				long BgL_iz00_2504;

																				BgL_iz00_2504 =
																					(long) (BgL_arg1436z00_1551);
																				{	/* Unsafe/sha1.scm 150 */
																					long BgL_lenz00_2505;

																					BgL_lenz00_2505 =
																						BGL_MMAP_LENGTH(BgL_strz00_29);
																					{	/* Unsafe/sha1.scm 152 */
																						bool_t BgL_test1944z00_3324;

																						{	/* Unsafe/sha1.scm 152 */
																							long BgL_n1z00_2511;
																							long BgL_n2z00_2512;

																							BgL_n1z00_2511 =
																								(long) (BgL_iz00_2504);
																							BgL_n2z00_2512 =
																								(long) (BgL_lenz00_2505);
																							BgL_test1944z00_3324 =
																								(BgL_n1z00_2511 <
																								BgL_n2z00_2512);
																						}
																						if (BgL_test1944z00_3324)
																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_arg1306z00_2507;

																								{	/* Unsafe/sha1.scm 152 */
																									unsigned char
																										BgL_arg1307z00_2508;
																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_res1873z00_2521;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_cz00_2515;
																											BgL_cz00_2515 =
																												BGL_MMAP_REF
																												(BgL_strz00_29,
																												BgL_iz00_2504);
																											{	/* Unsafe/sha1.scm 152 */
																												long
																													BgL_arg1514z00_2516;
																												BgL_arg1514z00_2516 =
																													(BgL_iz00_2504 +
																													((long) 1));
																												BGL_MMAP_RP_SET
																													(BgL_strz00_29,
																													BgL_arg1514z00_2516);
																												BUNSPEC;
																												BgL_arg1514z00_2516;
																											}
																											BgL_res1873z00_2521 =
																												BgL_cz00_2515;
																										}
																										BgL_arg1307z00_2508 =
																											BgL_res1873z00_2521;
																									}
																									BgL_arg1306z00_2507 =
																										(BgL_arg1307z00_2508);
																								}
																								BgL_v1z00_1536 =
																									(uint32_t)
																									(BgL_arg1306z00_2507);
																							}
																						else
																							{	/* Unsafe/sha1.scm 153 */
																								bool_t BgL_test1945z00_3333;

																								{	/* Unsafe/sha1.scm 153 */
																									long BgL_n1z00_2524;
																									long BgL_n2z00_2525;

																									BgL_n1z00_2524 =
																										(long) (BgL_iz00_2504);
																									BgL_n2z00_2525 =
																										(long) (BgL_lenz00_2505);
																									BgL_test1945z00_3333 =
																										(BgL_n1z00_2524 ==
																										BgL_n2z00_2525);
																								}
																								if (BgL_test1945z00_3333)
																									{	/* Unsafe/sha1.scm 153 */
																										BgL_v1z00_1536 =
																											(uint32_t) (128);
																									}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										BgL_v1z00_1536 =
																											(uint32_t) (0);
																									}
																							}
																					}
																				}
																			}
																		}
																		{	/* Unsafe/sha1.scm 291 */
																			uint32_t BgL_v2z00_1537;

																			{	/* Unsafe/sha1.scm 292 */
																				long BgL_arg1435z00_1550;

																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_za71za7_2526;

																					BgL_za71za7_2526 =
																						(long) (BgL_nz00_1534);
																					BgL_arg1435z00_1550 =
																						(BgL_za71za7_2526 + ((long) 2));
																				}
																				{	/* Unsafe/sha1.scm 292 */
																					long BgL_iz00_2528;

																					BgL_iz00_2528 =
																						(long) (BgL_arg1435z00_1550);
																					{	/* Unsafe/sha1.scm 150 */
																						long BgL_lenz00_2529;

																						BgL_lenz00_2529 =
																							BGL_MMAP_LENGTH(BgL_strz00_29);
																						{	/* Unsafe/sha1.scm 152 */
																							bool_t BgL_test1946z00_3341;

																							{	/* Unsafe/sha1.scm 152 */
																								long BgL_n1z00_2535;
																								long BgL_n2z00_2536;

																								BgL_n1z00_2535 =
																									(long) (BgL_iz00_2528);
																								BgL_n2z00_2536 =
																									(long) (BgL_lenz00_2529);
																								BgL_test1946z00_3341 =
																									(BgL_n1z00_2535 <
																									BgL_n2z00_2536);
																							}
																							if (BgL_test1946z00_3341)
																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_arg1306z00_2531;

																									{	/* Unsafe/sha1.scm 152 */
																										unsigned char
																											BgL_arg1307z00_2532;
																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_res1874z00_2545;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_cz00_2539;
																												BgL_cz00_2539 =
																													BGL_MMAP_REF
																													(BgL_strz00_29,
																													BgL_iz00_2528);
																												{	/* Unsafe/sha1.scm 152 */
																													long
																														BgL_arg1514z00_2540;
																													BgL_arg1514z00_2540 =
																														(BgL_iz00_2528 +
																														((long) 1));
																													BGL_MMAP_RP_SET
																														(BgL_strz00_29,
																														BgL_arg1514z00_2540);
																													BUNSPEC;
																													BgL_arg1514z00_2540;
																												}
																												BgL_res1874z00_2545 =
																													BgL_cz00_2539;
																											}
																											BgL_arg1307z00_2532 =
																												BgL_res1874z00_2545;
																										}
																										BgL_arg1306z00_2531 =
																											(BgL_arg1307z00_2532);
																									}
																									BgL_v2z00_1537 =
																										(uint32_t)
																										(BgL_arg1306z00_2531);
																								}
																							else
																								{	/* Unsafe/sha1.scm 153 */
																									bool_t BgL_test1947z00_3350;

																									{	/* Unsafe/sha1.scm 153 */
																										long BgL_n1z00_2548;
																										long BgL_n2z00_2549;

																										BgL_n1z00_2548 =
																											(long) (BgL_iz00_2528);
																										BgL_n2z00_2549 =
																											(long) (BgL_lenz00_2529);
																										BgL_test1947z00_3350 =
																											(BgL_n1z00_2548 ==
																											BgL_n2z00_2549);
																									}
																									if (BgL_test1947z00_3350)
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_v2z00_1537 =
																												(uint32_t) (128);
																										}
																									else
																										{	/* Unsafe/sha1.scm 153 */
																											BgL_v2z00_1537 =
																												(uint32_t) (0);
																										}
																								}
																						}
																					}
																				}
																			}
																			{	/* Unsafe/sha1.scm 292 */
																				uint32_t BgL_v3z00_1538;

																				{	/* Unsafe/sha1.scm 293 */
																					long BgL_arg1434z00_1549;

																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_za71za7_2550;

																						BgL_za71za7_2550 =
																							(long) (BgL_nz00_1534);
																						BgL_arg1434z00_1549 =
																							(BgL_za71za7_2550 + ((long) 3));
																					}
																					{	/* Unsafe/sha1.scm 293 */
																						long BgL_iz00_2552;

																						BgL_iz00_2552 =
																							(long) (BgL_arg1434z00_1549);
																						{	/* Unsafe/sha1.scm 150 */
																							long BgL_lenz00_2553;

																							BgL_lenz00_2553 =
																								BGL_MMAP_LENGTH(BgL_strz00_29);
																							{	/* Unsafe/sha1.scm 152 */
																								bool_t BgL_test1948z00_3358;

																								{	/* Unsafe/sha1.scm 152 */
																									long BgL_n1z00_2559;
																									long BgL_n2z00_2560;

																									BgL_n1z00_2559 =
																										(long) (BgL_iz00_2552);
																									BgL_n2z00_2560 =
																										(long) (BgL_lenz00_2553);
																									BgL_test1948z00_3358 =
																										(BgL_n1z00_2559 <
																										BgL_n2z00_2560);
																								}
																								if (BgL_test1948z00_3358)
																									{	/* Unsafe/sha1.scm 152 */
																										long BgL_arg1306z00_2555;

																										{	/* Unsafe/sha1.scm 152 */
																											unsigned char
																												BgL_arg1307z00_2556;
																											{	/* Unsafe/sha1.scm 152 */
																												unsigned char
																													BgL_res1875z00_2569;
																												{	/* Unsafe/sha1.scm 152 */
																													unsigned char
																														BgL_cz00_2563;
																													BgL_cz00_2563 =
																														BGL_MMAP_REF
																														(BgL_strz00_29,
																														BgL_iz00_2552);
																													{	/* Unsafe/sha1.scm 152 */
																														long
																															BgL_arg1514z00_2564;
																														BgL_arg1514z00_2564
																															=
																															(BgL_iz00_2552 +
																															((long) 1));
																														BGL_MMAP_RP_SET
																															(BgL_strz00_29,
																															BgL_arg1514z00_2564);
																														BUNSPEC;
																														BgL_arg1514z00_2564;
																													}
																													BgL_res1875z00_2569 =
																														BgL_cz00_2563;
																												}
																												BgL_arg1307z00_2556 =
																													BgL_res1875z00_2569;
																											}
																											BgL_arg1306z00_2555 =
																												(BgL_arg1307z00_2556);
																										}
																										BgL_v3z00_1538 =
																											(uint32_t)
																											(BgL_arg1306z00_2555);
																									}
																								else
																									{	/* Unsafe/sha1.scm 153 */
																										bool_t BgL_test1949z00_3367;

																										{	/* Unsafe/sha1.scm 153 */
																											long BgL_n1z00_2572;
																											long BgL_n2z00_2573;

																											BgL_n1z00_2572 =
																												(long) (BgL_iz00_2552);
																											BgL_n2z00_2573 =
																												(long)
																												(BgL_lenz00_2553);
																											BgL_test1949z00_3367 =
																												(BgL_n1z00_2572 ==
																												BgL_n2z00_2573);
																										}
																										if (BgL_test1949z00_3367)
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_v3z00_1538 =
																													(uint32_t) (128);
																											}
																										else
																											{	/* Unsafe/sha1.scm 153 */
																												BgL_v3z00_1538 =
																													(uint32_t) (0);
																											}
																									}
																							}
																						}
																					}
																				}
																				{	/* Unsafe/sha1.scm 293 */
																					uint32_t BgL_vz00_1539;

																					{	/* Unsafe/sha1.scm 294 */
																						uint32_t BgL_arg1424z00_1540;
																						uint32_t BgL_arg1426z00_1541;

																						{	/* Unsafe/sha1.scm 294 */
																							uint32_t BgL_arg1427z00_1542;

																							{	/* Unsafe/sha1.scm 294 */
																								long BgL_arg1428z00_1543;

																								{	/* Unsafe/sha1.scm 294 */
																									uint32_t BgL_tmpz00_3371;

																									BgL_tmpz00_3371 =
																										(
																										(BgL_v0z00_1535 <<
																											(int) (((long) 8))) |
																										BgL_v1z00_1536);
																									BgL_arg1428z00_1543 =
																										(long) (BgL_tmpz00_3371);
																								}
																								BgL_arg1427z00_1542 =
																									(uint32_t)
																									(BgL_arg1428z00_1543);
																							}
																							BgL_arg1424z00_1540 =
																								(BgL_arg1427z00_1542 <<
																								(int) (((long) 16)));
																						}
																						{	/* Unsafe/sha1.scm 294 */
																							long BgL_arg1431z00_1546;

																							{	/* Unsafe/sha1.scm 294 */
																								uint32_t BgL_tmpz00_3379;

																								BgL_tmpz00_3379 =
																									(
																									(BgL_v2z00_1537 <<
																										(int) (((long) 8))) |
																									BgL_v3z00_1538);
																								BgL_arg1431z00_1546 =
																									(long) (BgL_tmpz00_3379);
																							}
																							BgL_arg1426z00_1541 =
																								(uint32_t)
																								(BgL_arg1431z00_1546);
																						}
																						BgL_vz00_1539 =
																							(BgL_arg1424z00_1540 |
																							BgL_arg1426z00_1541);
																					}
																					{	/* Unsafe/sha1.scm 294 */

																						BGL_U32VSET(BgL_vecz00_1528,
																							BgL_jz00_1531, BgL_vz00_1539);
																						BUNSPEC;
															}}}}}}}
															VECTOR_SET(BgL_mz00_1522, BgL_iz00_1525,
																BgL_vecz00_1528);
															{
																long BgL_jz00_3388;

																BgL_jz00_3388 = (BgL_jz00_1531 + ((long) 1));
																BgL_jz00_1531 = BgL_jz00_3388;
																goto BgL_zc3z04anonymousza31422ze3z87_1532;
															}
														}
													else
														{	/* Unsafe/sha1.scm 288 */
															((bool_t) 0);
														}
												}
											}
											{
												long BgL_iz00_3390;

												BgL_iz00_3390 = (BgL_iz00_1525 + ((long) 1));
												BgL_iz00_1525 = BgL_iz00_3390;
												goto BgL_zc3z04anonymousza31420ze3z87_1526;
											}
										}
									else
										{	/* Unsafe/sha1.scm 286 */
											((bool_t) 0);
										}
								}
								return BGl_sha1z00zz__sha1z00(BgL_lenz00_1519, BgL_mz00_1522);
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-mmap */
	obj_t BGl_z62sha1sumzd2mmapzb0zz__sha1z00(obj_t BgL_envz00_2899,
		obj_t BgL_strz00_2900)
	{
		{	/* Unsafe/sha1.scm 278 */
			{	/* Unsafe/sha1.scm 281 */
				obj_t BgL_auxz00_3393;

				if (BGL_MMAPP(BgL_strz00_2900))
					{	/* Unsafe/sha1.scm 281 */
						BgL_auxz00_3393 = BgL_strz00_2900;
					}
				else
					{
						obj_t BgL_auxz00_3396;

						BgL_auxz00_3396 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1890z00zz__sha1z00,
							BINT(((long) 11050)), BGl_string1893z00zz__sha1z00,
							BGl_string1894z00zz__sha1z00, BgL_strz00_2900);
						FAILURE(BgL_auxz00_3396, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_auxz00_3393);
			}
		}

	}



/* sha1sum-port */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2portzd2zz__sha1z00(obj_t BgL_ipz00_30)
	{
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_bufz00_1563;

				{	/* Ieee/string.scm 168 */

					BgL_bufz00_1563 = make_string(((long) 64), ((unsigned char) ' '));
				}
				{
					long BgL_lenz00_1566;
					obj_t BgL_lz00_1567;
					long BgL_nlz00_1568;

					BgL_lenz00_1566 = ((long) 0);
					BgL_lz00_1567 = BNIL;
					BgL_nlz00_1568 = ((long) 0);
				BgL_zc3z04anonymousza31444ze3z87_1569:
					BGl_stringzd2fillz12zc0zz__r4_strings_6_7z00(BgL_bufz00_1563,
						((unsigned char) '\000'));
					{	/* Unsafe/sha1.scm 312 */
						obj_t BgL_cz00_1570;

						{	/* Unsafe/sha1.scm 312 */
							long BgL_nz00_2593;

							BgL_nz00_2593 =
								bgl_rgc_blit_string(BgL_ipz00_30,
								BSTRING_TO_STRING(BgL_bufz00_1563), ((long) 0), ((long) 64));
							{	/* Unsafe/sha1.scm 312 */
								bool_t BgL_test1951z00_3405;

								if ((BgL_nz00_2593 == ((long) 0)))
									{	/* Unsafe/sha1.scm 312 */
										BgL_test1951z00_3405 = rgc_buffer_eof_p(BgL_ipz00_30);
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_test1951z00_3405 = ((bool_t) 0);
									}
								if (BgL_test1951z00_3405)
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1570 = BEOF;
									}
								else
									{	/* Unsafe/sha1.scm 312 */
										BgL_cz00_1570 = BINT(BgL_nz00_2593);
									}
							}
						}
						{	/* Unsafe/sha1.scm 312 */
							obj_t BgL_lz00_1571;

							if (EOF_OBJECTP(BgL_cz00_1570))
								{	/* Unsafe/sha1.scm 313 */
									BgL_lz00_1571 = BINT(((long) 0));
								}
							else
								{	/* Unsafe/sha1.scm 313 */
									BgL_lz00_1571 = BgL_cz00_1570;
								}
							{	/* Unsafe/sha1.scm 313 */
								long BgL_nlenz00_1572;

								BgL_nlenz00_1572 =
									((long) CINT(BgL_lz00_1571) + BgL_lenz00_1566);
								{	/* Unsafe/sha1.scm 314 */
									obj_t BgL_vecz00_1573;

									BgL_vecz00_1573 =
										BGl_makezd2u32vectorzd2zz__srfi4z00(((long) 16),
										(uint32_t) (((long) 0)));
									{	/* Unsafe/sha1.scm 315 */

										if (((long) CINT(BgL_lz00_1571) < ((long) 64)))
											{	/* Unsafe/sha1.scm 316 */
												long BgL_tmpz00_3420;

												BgL_tmpz00_3420 = (long) CINT(BgL_lz00_1571);
												STRING_SET(BgL_bufz00_1563, BgL_tmpz00_3420,
													((unsigned char) 128));
											}
										else
											{	/* Unsafe/sha1.scm 316 */
												BFALSE;
											}
										{
											long BgL_jz00_1577;

											BgL_jz00_1577 = ((long) 0);
										BgL_zc3z04anonymousza31446ze3z87_1578:
											if ((BgL_jz00_1577 < ((long) 16)))
												{	/* Unsafe/sha1.scm 317 */
													{	/* Unsafe/sha1.scm 318 */
														int BgL_nz00_1580;

														BgL_nz00_1580 =
															(int) ((BgL_jz00_1577 * ((long) 4)));
														{	/* Unsafe/sha1.scm 318 */
															uint32_t BgL_v0z00_1581;

															{	/* Unsafe/sha1.scm 319 */
																long BgL_tmpz00_3427;

																BgL_tmpz00_3427 =
																	(STRING_REF(BgL_bufz00_1563,
																		(long) (BgL_nz00_1580)));
																BgL_v0z00_1581 = (uint32_t) (BgL_tmpz00_3427);
															}
															{	/* Unsafe/sha1.scm 319 */
																uint32_t BgL_v1z00_1582;

																{	/* Unsafe/sha1.scm 320 */
																	long BgL_tmpz00_3432;

																	BgL_tmpz00_3432 =
																		(STRING_REF(BgL_bufz00_1563,
																			((long) (BgL_nz00_1580) + ((long) 1))));
																	BgL_v1z00_1582 = (uint32_t) (BgL_tmpz00_3432);
																}
																{	/* Unsafe/sha1.scm 320 */
																	uint32_t BgL_v2z00_1583;

																	{	/* Unsafe/sha1.scm 321 */
																		long BgL_tmpz00_3438;

																		BgL_tmpz00_3438 =
																			(STRING_REF(BgL_bufz00_1563,
																				((long) (BgL_nz00_1580) + ((long) 2))));
																		BgL_v2z00_1583 =
																			(uint32_t) (BgL_tmpz00_3438);
																	}
																	{	/* Unsafe/sha1.scm 321 */
																		uint32_t BgL_v3z00_1584;

																		{	/* Unsafe/sha1.scm 322 */
																			long BgL_tmpz00_3444;

																			BgL_tmpz00_3444 =
																				(STRING_REF(BgL_bufz00_1563,
																					((long) (BgL_nz00_1580) +
																						((long) 3))));
																			BgL_v3z00_1584 =
																				(uint32_t) (BgL_tmpz00_3444);
																		}
																		{	/* Unsafe/sha1.scm 322 */
																			uint32_t BgL_vz00_1585;

																			{	/* Unsafe/sha1.scm 323 */
																				uint32_t BgL_arg1448z00_1586;
																				uint32_t BgL_arg1449z00_1587;

																				{	/* Unsafe/sha1.scm 323 */
																					uint32_t BgL_arg1450z00_1588;

																					{	/* Unsafe/sha1.scm 323 */
																						long BgL_arg1451z00_1589;

																						{	/* Unsafe/sha1.scm 323 */
																							uint32_t BgL_tmpz00_3450;

																							BgL_tmpz00_3450 =
																								(
																								(BgL_v0z00_1581 <<
																									(int) (((long) 8))) |
																								BgL_v1z00_1582);
																							BgL_arg1451z00_1589 =
																								(long) (BgL_tmpz00_3450);
																						}
																						BgL_arg1450z00_1588 =
																							(uint32_t) (BgL_arg1451z00_1589);
																					}
																					BgL_arg1448z00_1586 =
																						(BgL_arg1450z00_1588 <<
																						(int) (((long) 16)));
																				}
																				{	/* Unsafe/sha1.scm 323 */
																					long BgL_arg1454z00_1592;

																					{	/* Unsafe/sha1.scm 323 */
																						uint32_t BgL_tmpz00_3458;

																						BgL_tmpz00_3458 =
																							(
																							(BgL_v2z00_1583 <<
																								(int) (((long) 8))) |
																							BgL_v3z00_1584);
																						BgL_arg1454z00_1592 =
																							(long) (BgL_tmpz00_3458);
																					}
																					BgL_arg1449z00_1587 =
																						(uint32_t) (BgL_arg1454z00_1592);
																				}
																				BgL_vz00_1585 =
																					(BgL_arg1448z00_1586 |
																					BgL_arg1449z00_1587);
																			}
																			{	/* Unsafe/sha1.scm 323 */

																				BGL_U32VSET(BgL_vecz00_1573,
																					BgL_jz00_1577, BgL_vz00_1585);
																				BUNSPEC;
													}}}}}}}
													{
														long BgL_jz00_3466;

														BgL_jz00_3466 = (BgL_jz00_1577 + ((long) 1));
														BgL_jz00_1577 = BgL_jz00_3466;
														goto BgL_zc3z04anonymousza31446ze3z87_1578;
													}
												}
											else
												{	/* Unsafe/sha1.scm 317 */
													((bool_t) 0);
												}
										}
										if (((long) CINT(BgL_lz00_1571) < ((long) 64)))
											{	/* Unsafe/sha1.scm 327 */
												long BgL_flz00_1605;

												{	/* Unsafe/sha1.scm 327 */
													long BgL_tmpz00_3471;

													{	/* Unsafe/sha1.scm 327 */
														obj_t BgL_tmpz00_3472;

														{	/* Unsafe/sha1.scm 245 */
															obj_t BgL_rz00_2637;

															BgL_rz00_2637 =
																BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT(
																	(BgL_nlenz00_1572 + ((long) 1))),
																BINT(((long) 4)));
															if (INTEGERP(BgL_rz00_2637))
																{	/* Unsafe/sha1.scm 246 */
																	BgL_tmpz00_3472 = BgL_rz00_2637;
																}
															else
																{	/* Unsafe/sha1.scm 246 */
																	BgL_tmpz00_3472 =
																		BINT(
																		(long) (REAL_TO_DOUBLE
																			(BGl_ceilingz00zz__r4_numbers_6_5z00
																				(BgL_rz00_2637))));
														}}
														BgL_tmpz00_3471 = (long) CINT(BgL_tmpz00_3472);
													}
													BgL_flz00_1605 = (BgL_tmpz00_3471 + ((long) 2));
												}
												{	/* Unsafe/sha1.scm 327 */
													long BgL_nz00_1606;

													{	/* Unsafe/sha1.scm 245 */
														obj_t BgL_rz00_2643;

														BgL_rz00_2643 =
															BGl_2zf2zf2zz__r4_numbers_6_5z00(BINT
															(BgL_flz00_1605), BINT(((long) 16)));
														if (INTEGERP(BgL_rz00_2643))
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1606 = (long) CINT(BgL_rz00_2643);
															}
														else
															{	/* Unsafe/sha1.scm 246 */
																BgL_nz00_1606 =
																	(long) (REAL_TO_DOUBLE
																	(BGl_ceilingz00zz__r4_numbers_6_5z00
																		(BgL_rz00_2643)));
													}}
													{	/* Unsafe/sha1.scm 328 */
														obj_t BgL_mz00_1607;

														{	/* Unsafe/sha1.scm 331 */
															obj_t BgL_arg1467z00_1608;

															{	/* Unsafe/sha1.scm 331 */
																obj_t BgL_arg1468z00_1609;

																if (
																	(BgL_nz00_1606 >
																		(((long) 1) + BgL_nlz00_1568)))
																	{	/* Unsafe/sha1.scm 332 */
																		obj_t BgL_arg1471z00_1612;
																		obj_t BgL_arg1472z00_1613;

																		BgL_arg1471z00_1612 =
																			BGl_makezd2u32vectorzd2zz__srfi4z00((
																				(long) 16), (uint32_t) (0));
																		BgL_arg1472z00_1613 =
																			MAKE_YOUNG_PAIR(BgL_vecz00_1573,
																			BgL_lz00_1567);
																		BgL_arg1468z00_1609 =
																			MAKE_YOUNG_PAIR(BgL_arg1471z00_1612,
																			BgL_arg1472z00_1613);
																	}
																else
																	{	/* Unsafe/sha1.scm 331 */
																		BgL_arg1468z00_1609 =
																			MAKE_YOUNG_PAIR(BgL_vecz00_1573,
																			BgL_lz00_1567);
																	}
																BgL_arg1467z00_1608 =
																	bgl_reverse_bang(BgL_arg1468z00_1609);
															}
															BgL_mz00_1607 =
																BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00
																(BgL_arg1467z00_1608);
														}
														{	/* Unsafe/sha1.scm 329 */

															return
																BGl_sha1z00zz__sha1z00(BgL_nlenz00_1572,
																BgL_mz00_1607);
														}
													}
												}
											}
										else
											{	/* Unsafe/sha1.scm 335 */
												obj_t BgL_arg1476z00_1617;
												long BgL_arg1477z00_1618;

												BgL_arg1476z00_1617 =
													MAKE_YOUNG_PAIR(BgL_vecz00_1573, BgL_lz00_1567);
												BgL_arg1477z00_1618 = (BgL_nlz00_1568 + ((long) 1));
												{
													long BgL_nlz00_3508;
													obj_t BgL_lz00_3507;
													long BgL_lenz00_3506;

													BgL_lenz00_3506 = BgL_nlenz00_1572;
													BgL_lz00_3507 = BgL_arg1476z00_1617;
													BgL_nlz00_3508 = BgL_arg1477z00_1618;
													BgL_nlz00_1568 = BgL_nlz00_3508;
													BgL_lz00_1567 = BgL_lz00_3507;
													BgL_lenz00_1566 = BgL_lenz00_3506;
													goto BgL_zc3z04anonymousza31444ze3z87_1569;
												}
											}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* &sha1sum-port */
	obj_t BGl_z62sha1sumzd2portzb0zz__sha1z00(obj_t BgL_envz00_2901,
		obj_t BgL_ipz00_2902)
	{
		{	/* Unsafe/sha1.scm 303 */
			{	/* Unsafe/sha1.scm 306 */
				obj_t BgL_auxz00_3509;

				if (INPUT_PORTP(BgL_ipz00_2902))
					{	/* Unsafe/sha1.scm 306 */
						BgL_auxz00_3509 = BgL_ipz00_2902;
					}
				else
					{
						obj_t BgL_auxz00_3512;

						BgL_auxz00_3512 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1890z00zz__sha1z00,
							BINT(((long) 11985)), BGl_string1895z00zz__sha1z00,
							BGl_string1896z00zz__sha1z00, BgL_ipz00_2902);
						FAILURE(BgL_auxz00_3512, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_auxz00_3509);
			}
		}

	}



/* sha1sum-file */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumzd2filezd2zz__sha1z00(obj_t BgL_fnamez00_31)
	{
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_mmz00_1623;

				BgL_mmz00_1623 =
					BGl_openzd2mmapzd2zz__mmapz00(BgL_fnamez00_31, BTRUE, BFALSE);
				if (BGL_MMAPP(BgL_mmz00_1623))
					{	/* Unsafe/sha1.scm 343 */
						obj_t BgL_exitd1074z00_1625;

						BgL_exitd1074z00_1625 = BGL_EXITD_TOP_AS_OBJ();
						{	/* Unsafe/sha1.scm 345 */
							obj_t BgL_zc3z04anonymousza31480ze3z87_2903;

							BgL_zc3z04anonymousza31480ze3z87_2903 =
								MAKE_FX_PROCEDURE
								(BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00,
								(int) (((long) 0)), (int) (((long) 1)));
							PROCEDURE_SET(BgL_zc3z04anonymousza31480ze3z87_2903,
								(int) (((long) 0)), BgL_mmz00_1623);
							{	/* Unsafe/sha1.scm 343 */
								obj_t BgL_arg1862z00_2653;

								{	/* Unsafe/sha1.scm 343 */
									obj_t BgL_arg1864z00_2654;

									BgL_arg1864z00_2654 =
										BGL_EXITD_PROTECT(BgL_exitd1074z00_1625);
									BgL_arg1862z00_2653 =
										MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31480ze3z87_2903,
										BgL_arg1864z00_2654);
								}
								BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1625,
									BgL_arg1862z00_2653);
								BUNSPEC;
							}
							{	/* Unsafe/sha1.scm 344 */
								obj_t BgL_tmp1076z00_1627;

								BgL_tmp1076z00_1627 =
									BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_mmz00_1623);
								{	/* Unsafe/sha1.scm 343 */
									bool_t BgL_test1962z00_3530;

									{	/* Unsafe/sha1.scm 343 */
										obj_t BgL_arg1861z00_2656;

										BgL_arg1861z00_2656 =
											BGL_EXITD_PROTECT(BgL_exitd1074z00_1625);
										BgL_test1962z00_3530 = PAIRP(BgL_arg1861z00_2656);
									}
									if (BgL_test1962z00_3530)
										{	/* Unsafe/sha1.scm 343 */
											obj_t BgL_arg1859z00_2657;

											{	/* Unsafe/sha1.scm 343 */
												obj_t BgL_arg1860z00_2658;

												BgL_arg1860z00_2658 =
													BGL_EXITD_PROTECT(BgL_exitd1074z00_1625);
												BgL_arg1859z00_2657 =
													CDR(((obj_t) BgL_arg1860z00_2658));
											}
											BGL_EXITD_PROTECT_SET(BgL_exitd1074z00_1625,
												BgL_arg1859z00_2657);
											BUNSPEC;
										}
									else
										{	/* Unsafe/sha1.scm 343 */
											BFALSE;
										}
								}
								bgl_close_mmap(BgL_mmz00_1623);
								return BgL_tmp1076z00_1627;
							}
						}
					}
				else
					{	/* Unsafe/sha1.scm 346 */
						obj_t BgL_pz00_1630;

						{	/* Ieee/port.scm 443 */

							BgL_pz00_1630 =
								BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00
								(BgL_fnamez00_31, BTRUE, BINT(((long) 5000000)));
						}
						{	/* Unsafe/sha1.scm 347 */
							obj_t BgL_exitd1078z00_1631;

							BgL_exitd1078z00_1631 = BGL_EXITD_TOP_AS_OBJ();
							{	/* Unsafe/sha1.scm 349 */
								obj_t BgL_zc3z04anonymousza31481ze3z87_2904;

								BgL_zc3z04anonymousza31481ze3z87_2904 =
									MAKE_FX_PROCEDURE
									(BGl_z62zc3z04anonymousza31481ze3ze5zz__sha1z00,
									(int) (((long) 0)), (int) (((long) 1)));
								PROCEDURE_SET(BgL_zc3z04anonymousza31481ze3z87_2904,
									(int) (((long) 0)), BgL_pz00_1630);
								{	/* Unsafe/sha1.scm 347 */
									obj_t BgL_arg1862z00_2662;

									{	/* Unsafe/sha1.scm 347 */
										obj_t BgL_arg1864z00_2663;

										BgL_arg1864z00_2663 =
											BGL_EXITD_PROTECT(BgL_exitd1078z00_1631);
										BgL_arg1862z00_2662 =
											MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31481ze3z87_2904,
											BgL_arg1864z00_2663);
									}
									BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1631,
										BgL_arg1862z00_2662);
									BUNSPEC;
								}
								{	/* Unsafe/sha1.scm 348 */
									obj_t BgL_tmp1080z00_1633;

									BgL_tmp1080z00_1633 =
										BGl_sha1sumzd2portzd2zz__sha1z00(BgL_pz00_1630);
									{	/* Unsafe/sha1.scm 347 */
										bool_t BgL_test1963z00_3550;

										{	/* Unsafe/sha1.scm 347 */
											obj_t BgL_arg1861z00_2665;

											BgL_arg1861z00_2665 =
												BGL_EXITD_PROTECT(BgL_exitd1078z00_1631);
											BgL_test1963z00_3550 = PAIRP(BgL_arg1861z00_2665);
										}
										if (BgL_test1963z00_3550)
											{	/* Unsafe/sha1.scm 347 */
												obj_t BgL_arg1859z00_2666;

												{	/* Unsafe/sha1.scm 347 */
													obj_t BgL_arg1860z00_2667;

													BgL_arg1860z00_2667 =
														BGL_EXITD_PROTECT(BgL_exitd1078z00_1631);
													BgL_arg1859z00_2666 =
														CDR(((obj_t) BgL_arg1860z00_2667));
												}
												BGL_EXITD_PROTECT_SET(BgL_exitd1078z00_1631,
													BgL_arg1859z00_2666);
												BUNSPEC;
											}
										else
											{	/* Unsafe/sha1.scm 347 */
												BFALSE;
											}
									}
									bgl_close_input_port(((obj_t) BgL_pz00_1630));
									return BgL_tmp1080z00_1633;
								}
							}
						}
					}
			}
		}

	}



/* &sha1sum-file */
	obj_t BGl_z62sha1sumzd2filezb0zz__sha1z00(obj_t BgL_envz00_2905,
		obj_t BgL_fnamez00_2906)
	{
		{	/* Unsafe/sha1.scm 340 */
			{	/* Unsafe/sha1.scm 341 */
				obj_t BgL_auxz00_3559;

				if (STRINGP(BgL_fnamez00_2906))
					{	/* Unsafe/sha1.scm 341 */
						BgL_auxz00_3559 = BgL_fnamez00_2906;
					}
				else
					{
						obj_t BgL_auxz00_3562;

						BgL_auxz00_3562 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1890z00zz__sha1z00,
							BINT(((long) 13262)), BGl_string1897z00zz__sha1z00,
							BGl_string1892z00zz__sha1z00, BgL_fnamez00_2906);
						FAILURE(BgL_auxz00_3562, BFALSE, BFALSE);
					}
				return BGl_sha1sumzd2filezd2zz__sha1z00(BgL_auxz00_3559);
			}
		}

	}



/* &<@anonymous:1480> */
	obj_t BGl_z62zc3z04anonymousza31480ze3ze5zz__sha1z00(obj_t BgL_envz00_2907)
	{
		{	/* Unsafe/sha1.scm 343 */
			{	/* Unsafe/sha1.scm 345 */
				obj_t BgL_mmz00_2908;

				BgL_mmz00_2908 =
					((obj_t) PROCEDURE_REF(BgL_envz00_2907, (int) (((long) 0))));
				return bgl_close_mmap(BgL_mmz00_2908);
			}
		}

	}



/* &<@anonymous:1481> */
	obj_t BGl_z62zc3z04anonymousza31481ze3ze5zz__sha1z00(obj_t BgL_envz00_2909)
	{
		{	/* Unsafe/sha1.scm 347 */
			{	/* Unsafe/sha1.scm 349 */
				obj_t BgL_pz00_2910;

				BgL_pz00_2910 = PROCEDURE_REF(BgL_envz00_2909, (int) (((long) 0)));
				return bgl_close_input_port(((obj_t) BgL_pz00_2910));
			}
		}

	}



/* sha1sum */
	BGL_EXPORTED_DEF obj_t BGl_sha1sumz00zz__sha1z00(obj_t BgL_objz00_32)
	{
		{	/* Unsafe/sha1.scm 354 */
			if (BGL_MMAPP(BgL_objz00_32))
				{	/* Unsafe/sha1.scm 356 */
					return BGl_sha1sumzd2mmapzd2zz__sha1z00(BgL_objz00_32);
				}
			else
				{	/* Unsafe/sha1.scm 356 */
					if (STRINGP(BgL_objz00_32))
						{	/* Unsafe/sha1.scm 358 */
							return BGl_sha1sumzd2stringzd2zz__sha1z00(BgL_objz00_32);
						}
					else
						{	/* Unsafe/sha1.scm 358 */
							if (INPUT_PORTP(BgL_objz00_32))
								{	/* Unsafe/sha1.scm 360 */
									return BGl_sha1sumzd2portzd2zz__sha1z00(BgL_objz00_32);
								}
							else
								{	/* Unsafe/sha1.scm 360 */
									return
										BGl_errorz00zz__errorz00(BGl_string1898z00zz__sha1z00,
										BGl_string1899z00zz__sha1z00, BgL_objz00_32);
								}
						}
				}
		}

	}



/* &sha1sum */
	obj_t BGl_z62sha1sumz62zz__sha1z00(obj_t BgL_envz00_2911,
		obj_t BgL_objz00_2912)
	{
		{	/* Unsafe/sha1.scm 354 */
			return BGl_sha1sumz00zz__sha1z00(BgL_objz00_2912);
		}

	}



/* hmac-sha1sum-string */
	BGL_EXPORTED_DEF obj_t BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(obj_t
		BgL_keyz00_33, obj_t BgL_messagez00_34)
	{
		{	/* Unsafe/sha1.scm 368 */
			return
				BGl_hmaczd2stringzd2zz__hmacz00(BgL_keyz00_33, BgL_messagez00_34,
				BGl_sha1sumzd2stringzd2envz00zz__sha1z00);
		}

	}



/* &hmac-sha1sum-string */
	obj_t BGl_z62hmaczd2sha1sumzd2stringz62zz__sha1z00(obj_t BgL_envz00_2913,
		obj_t BgL_keyz00_2914, obj_t BgL_messagez00_2915)
	{
		{	/* Unsafe/sha1.scm 368 */
			{	/* Unsafe/sha1.scm 369 */
				obj_t BgL_auxz00_3594;
				obj_t BgL_auxz00_3587;

				if (STRINGP(BgL_messagez00_2915))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3594 = BgL_messagez00_2915;
					}
				else
					{
						obj_t BgL_auxz00_3597;

						BgL_auxz00_3597 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1890z00zz__sha1z00,
							BINT(((long) 14229)), BGl_string1900z00zz__sha1z00,
							BGl_string1892z00zz__sha1z00, BgL_messagez00_2915);
						FAILURE(BgL_auxz00_3597, BFALSE, BFALSE);
					}
				if (STRINGP(BgL_keyz00_2914))
					{	/* Unsafe/sha1.scm 369 */
						BgL_auxz00_3587 = BgL_keyz00_2914;
					}
				else
					{
						obj_t BgL_auxz00_3590;

						BgL_auxz00_3590 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1890z00zz__sha1z00,
							BINT(((long) 14229)), BGl_string1900z00zz__sha1z00,
							BGl_string1892z00zz__sha1z00, BgL_keyz00_2914);
						FAILURE(BgL_auxz00_3590, BFALSE, BFALSE);
					}
				return
					BGl_hmaczd2sha1sumzd2stringz00zz__sha1z00(BgL_auxz00_3587,
					BgL_auxz00_3594);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__sha1z00(void)
	{
		{	/* Unsafe/sha1.scm 17 */
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1901z00zz__sha1z00));
			return
				BGl_modulezd2initializa7ationz75zz__hmacz00(((long) 285132844),
				BSTRING_TO_STRING(BGl_string1901z00zz__sha1z00));
		}

	}

#ifdef __cplusplus
}
#endif
