/*===========================================================================*/
/*   (Llib/gstplugin_bglports.scm)                                           */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -srfi gstreamer -copt -I/usr/include/gstreamer-1.0 -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/include/sysprof-4 -pthread -copt -fPIC -copt -IClib Llib/gstplugin_bglports.scm -o objs/gstplugin_bglports.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__gstreamer_plugin_bglportsz00 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__gstreamer_plugin_bglportsz00(void);
static obj_t BGl_genericzd2initzd2zz__gstreamer_plugin_bglportsz00(void);
static obj_t BGl_objectzd2initzd2zz__gstreamer_plugin_bglportsz00(void);
static obj_t BGl_z62z42gstzd2openzd2inputzd2filezf2zz__gstreamer_plugin_bglportsz00(obj_t, obj_t);
static obj_t BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t bglgst_open_input_file(char *);
static obj_t BGl_methodzd2initzd2zz__gstreamer_plugin_bglportsz00(void);
BGL_EXPORTED_DECL obj_t bglgst_unregister_port(obj_t);
static obj_t BGl_z62z42gstzd2unregisterzd2portz12z32zz__gstreamer_plugin_bglportsz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_remq_bang(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_plugin_bglportsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_plugin_bglportsz00(void);
static obj_t BGl_z62z42gstzd2registerzd2portz12z32zz__gstreamer_plugin_bglportsz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__gstreamer_plugin_bglportsz00(void);
BGL_EXPORTED_DECL obj_t bglgst_register_port(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42gstzd2unregisterzd2portz12zd2envz82zz__gstreamer_plugin_bglportsz00, BgL_bgl_za762za742gstza7d2unre1018za7, BGl_z62z42gstzd2unregisterzd2portz12z32zz__gstreamer_plugin_bglportsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42gstzd2openzd2inputzd2filezd2envz42zz__gstreamer_plugin_bglportsz00, BgL_bgl_za762za742gstza7d2open1019za7, BGl_z62z42gstzd2openzd2inputzd2filezf2zz__gstreamer_plugin_bglportsz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_z42gstzd2registerzd2portz12zd2envz82zz__gstreamer_plugin_bglportsz00, BgL_bgl_za762za742gstza7d2regi1020za7, BGl_z62z42gstzd2registerzd2portz12z32zz__gstreamer_plugin_bglportsz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1015z00zz__gstreamer_plugin_bglportsz00, BgL_bgl_string1015za700za7za7_1021za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/gstreamer/src/Llib/gstplugin_bglports.scm", 81 );
DEFINE_STRING( BGl_string1016z00zz__gstreamer_plugin_bglportsz00, BgL_bgl_string1016za700za7za7_1022za7, "&$gst-open-input-file", 21 );
DEFINE_STRING( BGl_string1017z00zz__gstreamer_plugin_bglportsz00, BgL_bgl_string1017za700za7za7_1023za7, "bstring", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__gstreamer_plugin_bglportsz00) );
ADD_ROOT( (void *)(&BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__gstreamer_plugin_bglportsz00(long BgL_checksumz00_28, char * BgL_fromz00_29)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__gstreamer_plugin_bglportsz00))
{ 
BGl_requirezd2initializa7ationz75zz__gstreamer_plugin_bglportsz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__gstreamer_plugin_bglportsz00(); 
BGl_libraryzd2moduleszd2initz00zz__gstreamer_plugin_bglportsz00(); 
return 
BGl_toplevelzd2initzd2zz__gstreamer_plugin_bglportsz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__gstreamer_plugin_bglportsz00(void)
{
{ /* Llib/gstplugin_bglports.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__gstreamer_plugin_bglports"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__gstreamer_plugin_bglports"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__gstreamer_plugin_bglports"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__gstreamer_plugin_bglports"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__gstreamer_plugin_bglportsz00(void)
{
{ /* Llib/gstplugin_bglports.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__gstreamer_plugin_bglportsz00(void)
{
{ /* Llib/gstplugin_bglports.scm 15 */
return ( 
BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00 = BNIL, BUNSPEC) ;} 

}



/* $gst-register-port! */
BGL_EXPORTED_DEF obj_t bglgst_register_port(obj_t BgL_portz00_3)
{
{ /* Llib/gstplugin_bglports.scm 33 */
return ( 
BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00 = 
MAKE_YOUNG_PAIR(BgL_portz00_3, BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00), BUNSPEC) ;} 

}



/* &$gst-register-port! */
obj_t BGl_z62z42gstzd2registerzd2portz12z32zz__gstreamer_plugin_bglportsz00(obj_t BgL_envz00_20, obj_t BgL_portz00_21)
{
{ /* Llib/gstplugin_bglports.scm 33 */
return 
bglgst_register_port(BgL_portz00_21);} 

}



/* $gst-unregister-port! */
BGL_EXPORTED_DEF obj_t bglgst_unregister_port(obj_t BgL_portz00_4)
{
{ /* Llib/gstplugin_bglports.scm 39 */
return ( 
BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00 = 
bgl_remq_bang(BgL_portz00_4, BGl_za2registeredzd2portsza2zd2zz__gstreamer_plugin_bglportsz00), BUNSPEC) ;} 

}



/* &$gst-unregister-port! */
obj_t BGl_z62z42gstzd2unregisterzd2portz12z32zz__gstreamer_plugin_bglportsz00(obj_t BgL_envz00_22, obj_t BgL_portz00_23)
{
{ /* Llib/gstplugin_bglports.scm 39 */
return 
bglgst_unregister_port(BgL_portz00_23);} 

}



/* $gst-open-input-file */
BGL_EXPORTED_DEF obj_t bglgst_open_input_file(char * BgL_objz00_5)
{
{ /* Llib/gstplugin_bglports.scm 45 */
{ /* Llib/gstplugin_bglports.scm 46 */

return 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(
string_to_bstring(BgL_objz00_5), BTRUE, 
BINT(((long)5000000)));} } 

}



/* &$gst-open-input-file */
obj_t BGl_z62z42gstzd2openzd2inputzd2filezf2zz__gstreamer_plugin_bglportsz00(obj_t BgL_envz00_24, obj_t BgL_objz00_25)
{
{ /* Llib/gstplugin_bglports.scm 45 */
{ /* Llib/gstplugin_bglports.scm 46 */
 char * BgL_auxz00_48;
{ /* Llib/gstplugin_bglports.scm 46 */
 obj_t BgL_tmpz00_49;
if(
STRINGP(BgL_objz00_25))
{ /* Llib/gstplugin_bglports.scm 46 */
BgL_tmpz00_49 = BgL_objz00_25
; }  else 
{ 
 obj_t BgL_auxz00_52;
BgL_auxz00_52 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1015z00zz__gstreamer_plugin_bglportsz00, 
BINT(((long)2458)), BGl_string1016z00zz__gstreamer_plugin_bglportsz00, BGl_string1017z00zz__gstreamer_plugin_bglportsz00, BgL_objz00_25); 
FAILURE(BgL_auxz00_52,BFALSE,BFALSE);} 
BgL_auxz00_48 = 
BSTRING_TO_STRING(BgL_tmpz00_49); } 
return 
bglgst_open_input_file(BgL_auxz00_48);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__gstreamer_plugin_bglportsz00(void)
{
{ /* Llib/gstplugin_bglports.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__gstreamer_plugin_bglportsz00(void)
{
{ /* Llib/gstplugin_bglports.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__gstreamer_plugin_bglportsz00(void)
{
{ /* Llib/gstplugin_bglports.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
