/*===========================================================================*/
/*   (Llib/backtrace.scm)                                                    */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libbacktrace -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/backtrace.scm -o objs/backtrace.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__libbacktracez00 = BUNSPEC;
static obj_t BGl_z62backtracezd2forzd2eachz62zz__libbacktracez00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__libbacktracez00(void);
static obj_t BGl_objectzd2initzd2zz__libbacktracez00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__libbacktracez00(void);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_backtrace_get(long, long);
static obj_t BGl__backtracezd2getzd2zz__libbacktracez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_backtracezd2forzd2eachz00zz__libbacktracez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libbacktracez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__libbacktracez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libbacktracez00(void);
BGL_EXPORTED_DECL obj_t BGl_backtracezd2getzd2zz__libbacktracez00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__libbacktracez00(void);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t bgl_backtrace_foreach(obj_t);
static obj_t __cnst[ 3 ] ;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_backtracezd2getzd2envz00zz__libbacktracez00, BgL_bgl__backtraceza7d2get1034za7, opt_generic_entry, BGl__backtracezd2getzd2zz__libbacktracez00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_backtracezd2forzd2eachzd2envzd2zz__libbacktracez00, BgL_bgl_za762backtraceza7d2f1035z00, BGl_z62backtracezd2forzd2eachz62zz__libbacktracez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1029z00zz__libbacktracez00, BgL_bgl_string1029za700za7za7_1036za7, "backtrace-get", 13 );
DEFINE_STRING( BGl_string1030z00zz__libbacktracez00, BgL_bgl_string1030za700za7za7_1037za7, "backtrace-for-each", 18 );
DEFINE_STRING( BGl_string1031z00zz__libbacktracez00, BgL_bgl_string1031za700za7za7_1038za7, "wrong procedure arity (3 expected)", 34 );
DEFINE_STRING( BGl_string1032z00zz__libbacktracez00, BgL_bgl_string1032za700za7za7_1039za7, "int :start :depth ", 18 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libbacktracez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libbacktracez00(long BgL_checksumz00_71, char * BgL_fromz00_72)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libbacktracez00))
{ 
BGl_requirezd2initializa7ationz75zz__libbacktracez00 = 
BBOOL(((bool_t)0)); 
BGL_GC_INIT(); 
BGl_gczd2rootszd2initz00zz__libbacktracez00(); 
BGl_libraryzd2moduleszd2initz00zz__libbacktracez00(); 
BGl_cnstzd2initzd2zz__libbacktracez00(); 
return 
BGl_methodzd2initzd2zz__libbacktracez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libbacktracez00(void)
{
{ /* Llib/backtrace.scm 15 */
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libbacktrace"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__libbacktrace"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libbacktrace"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__libbacktrace"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libbacktrace"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libbacktrace"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__libbacktracez00(void)
{
{ /* Llib/backtrace.scm 15 */
{ /* Llib/backtrace.scm 15 */
 obj_t BgL_cportz00_60;
{ /* Llib/backtrace.scm 15 */
 obj_t BgL_stringz00_67;
BgL_stringz00_67 = BGl_string1032z00zz__libbacktracez00; 
{ /* Llib/backtrace.scm 15 */
 obj_t BgL_startz00_68;
BgL_startz00_68 = 
BINT(((long)0)); 
{ /* Llib/backtrace.scm 15 */
 obj_t BgL_endz00_69;
BgL_endz00_69 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_67))); 
{ /* Llib/backtrace.scm 15 */

BgL_cportz00_60 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_67, BgL_startz00_68, BgL_endz00_69); } } } } 
{ 
 long BgL_iz00_61;
BgL_iz00_61 = ((long)2); 
BgL_loopz00_62:
if(
(BgL_iz00_61==((long)-1)))
{ /* Llib/backtrace.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/backtrace.scm 15 */
{ /* Llib/backtrace.scm 15 */
 obj_t BgL_arg1033z00_63;
{ /* Llib/backtrace.scm 15 */

{ /* Llib/backtrace.scm 15 */
 obj_t BgL_locationz00_65;
BgL_locationz00_65 = 
BBOOL(((bool_t)0)); 
{ /* Llib/backtrace.scm 15 */

BgL_arg1033z00_63 = 
BGl_readz00zz__readerz00(BgL_cportz00_60, BgL_locationz00_65); } } } 
{ /* Llib/backtrace.scm 15 */
 int BgL_tmpz00_96;
BgL_tmpz00_96 = 
(int)(BgL_iz00_61); 
CNST_TABLE_SET(BgL_tmpz00_96, BgL_arg1033z00_63); } } 
{ /* Llib/backtrace.scm 15 */
 int BgL_auxz00_66;
BgL_auxz00_66 = 
(int)(
(BgL_iz00_61-((long)1))); 
{ 
 long BgL_iz00_101;
BgL_iz00_101 = 
(long)(BgL_auxz00_66); 
BgL_iz00_61 = BgL_iz00_101; 
goto BgL_loopz00_62;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libbacktracez00(void)
{
{ /* Llib/backtrace.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* _backtrace-get */
obj_t BGl__backtracezd2getzd2zz__libbacktracez00(obj_t BgL_env1013z00_6, obj_t BgL_opt1012z00_5)
{
{ /* Llib/backtrace.scm 30 */
{ /* Llib/backtrace.scm 30 */

{ /* Llib/backtrace.scm 30 */
 obj_t BgL_depthz00_20;
BgL_depthz00_20 = 
BINT(((long)-1)); 
{ /* Llib/backtrace.scm 30 */
 obj_t BgL_startz00_21;
BgL_startz00_21 = 
BINT(((long)0)); 
{ /* Llib/backtrace.scm 30 */

{ /* Llib/backtrace.scm 30 */
 long BgL_index1018z00_22;
{ 
 long BgL_iz00_39;
BgL_iz00_39 = ((long)0); 
BgL_search1015z00_38:
if(
(BgL_iz00_39==
VECTOR_LENGTH(BgL_opt1012z00_5)))
{ /* Llib/backtrace.scm 30 */
BgL_index1018z00_22 = ((long)-1); }  else 
{ /* Llib/backtrace.scm 30 */
 obj_t BgL_vz00_43;
BgL_vz00_43 = 
VECTOR_REF(BgL_opt1012z00_5,BgL_iz00_39); 
if(
(BgL_vz00_43==
CNST_TABLE_REF(((long)0))))
{ /* Llib/backtrace.scm 30 */
BgL_index1018z00_22 = 
(BgL_iz00_39+((long)1)); }  else 
{ 
 long BgL_iz00_114;
BgL_iz00_114 = 
(BgL_iz00_39+((long)2)); 
BgL_iz00_39 = BgL_iz00_114; 
goto BgL_search1015z00_38;} } } 
if(
(BgL_index1018z00_22>=((long)0)))
{ /* Llib/backtrace.scm 30 */
BgL_depthz00_20 = 
VECTOR_REF(BgL_opt1012z00_5,BgL_index1018z00_22); }  else 
{ /* Llib/backtrace.scm 30 */BFALSE; } } 
{ /* Llib/backtrace.scm 30 */
 long BgL_index1019z00_24;
{ 
 long BgL_iz00_49;
BgL_iz00_49 = ((long)0); 
BgL_search1015z00_48:
if(
(BgL_iz00_49==
VECTOR_LENGTH(BgL_opt1012z00_5)))
{ /* Llib/backtrace.scm 30 */
BgL_index1019z00_24 = ((long)-1); }  else 
{ /* Llib/backtrace.scm 30 */
 obj_t BgL_vz00_53;
BgL_vz00_53 = 
VECTOR_REF(BgL_opt1012z00_5,BgL_iz00_49); 
if(
(BgL_vz00_53==
CNST_TABLE_REF(((long)1))))
{ /* Llib/backtrace.scm 30 */
BgL_index1019z00_24 = 
(BgL_iz00_49+((long)1)); }  else 
{ 
 long BgL_iz00_127;
BgL_iz00_127 = 
(BgL_iz00_49+((long)2)); 
BgL_iz00_49 = BgL_iz00_127; 
goto BgL_search1015z00_48;} } } 
if(
(BgL_index1019z00_24>=((long)0)))
{ /* Llib/backtrace.scm 30 */
BgL_startz00_21 = 
VECTOR_REF(BgL_opt1012z00_5,BgL_index1019z00_24); }  else 
{ /* Llib/backtrace.scm 30 */BFALSE; } } 
{ /* Llib/backtrace.scm 30 */
 obj_t BgL_depthz00_26;
BgL_depthz00_26 = BgL_depthz00_20; 
return 
BGl_backtracezd2getzd2zz__libbacktracez00(BgL_depthz00_26, BgL_startz00_21);} } } } } } 

}



/* backtrace-get */
BGL_EXPORTED_DEF obj_t BGl_backtracezd2getzd2zz__libbacktracez00(obj_t BgL_depthz00_3, obj_t BgL_startz00_4)
{
{ /* Llib/backtrace.scm 30 */
if(
INTEGERP(BgL_depthz00_3))
{ /* Llib/backtrace.scm 31 */BFALSE; }  else 
{ /* Llib/backtrace.scm 31 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1029z00zz__libbacktracez00, 
CNST_TABLE_REF(((long)2)), BgL_depthz00_3); } 
if(
INTEGERP(BgL_startz00_4))
{ /* Llib/backtrace.scm 33 */BFALSE; }  else 
{ /* Llib/backtrace.scm 33 */
BGl_bigloozd2typezd2errorz00zz__errorz00(BGl_string1029z00zz__libbacktracez00, 
CNST_TABLE_REF(((long)2)), BgL_startz00_4); } 
return 
bgl_backtrace_get(
(long)CINT(BgL_depthz00_3), 
(long)CINT(BgL_startz00_4));} 

}



/* backtrace-for-each */
BGL_EXPORTED_DEF obj_t BGl_backtracezd2forzd2eachz00zz__libbacktracez00(obj_t BgL_procz00_7)
{
{ /* Llib/backtrace.scm 40 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_procz00_7, 
(int)(((long)3))))
{ /* Llib/backtrace.scm 41 */BFALSE; }  else 
{ /* Llib/backtrace.scm 41 */
BGl_errorz00zz__errorz00(BGl_string1030z00zz__libbacktracez00, BGl_string1031z00zz__libbacktracez00, BgL_procz00_7); } 
BGL_TAIL return 
bgl_backtrace_foreach(BgL_procz00_7);} 

}



/* &backtrace-for-each */
obj_t BGl_z62backtracezd2forzd2eachz62zz__libbacktracez00(obj_t BgL_envz00_58, obj_t BgL_procz00_59)
{
{ /* Llib/backtrace.scm 40 */
return 
BGl_backtracezd2forzd2eachz00zz__libbacktracez00(BgL_procz00_59);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libbacktracez00(void)
{
{ /* Llib/backtrace.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libbacktracez00(void)
{
{ /* Llib/backtrace.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libbacktracez00(void)
{
{ /* Llib/backtrace.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
