/*===========================================================================*/
/*   (Llib/handle.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/handle.scm -o objs/handle.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;


static obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__libuv_handlez00(obj_t);
extern obj_t bgl_uv_pop_gcmark(BgL_uvhandlez00_bglt, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_handlez00 = BUNSPEC;
static obj_t BGl__uvzd2closezd2zz__libuv_handlez00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_uvzd2closezd2zz__libuv_handlez00(BgL_uvhandlez00_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2ref1075zb0zz__libuv_handlez00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__libuv_handlez00(void);
static obj_t BGl_genericzd2initzd2zz__libuv_handlez00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_handlez00(void);
BGL_EXPORTED_DECL obj_t BGl_uvzd2unrefzd2zz__libuv_handlez00(BgL_uvhandlez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_uvzd2refzd2zz__libuv_handlez00(BgL_uvhandlez00_bglt);
extern obj_t BGl_UvHandlez00zz__libuv_typesz00;
static obj_t BGl_methodzd2initzd2zz__libuv_handlez00(void);
static obj_t BGl_z62uvzd2close1081zb0zz__libuv_handlez00(obj_t, obj_t, obj_t);
static obj_t BGl_z62uvzd2haszd2refzf31079z91zz__libuv_handlez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_uvzd2activezf3z21zz__libuv_handlez00(BgL_uvhandlez00_bglt);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_handlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62uvzd2activezf3z43zz__libuv_handlez00(obj_t, obj_t);
static obj_t BGl_z62uvzd2refzb0zz__libuv_handlez00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_handlez00(void);
extern uv_close_cb bgl_uv_close_cb(uv_handle_t *);
BGL_EXPORTED_DECL obj_t BGl_uvzd2haszd2refzf3zf3zz__libuv_handlez00(BgL_uvhandlez00_bglt);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_handlez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_handlez00(void);
BGL_IMPORT obj_t void_star_to_obj(void *);
static obj_t BGl_z62uvzd2unref1077zb0zz__libuv_handlez00(obj_t, obj_t);
static obj_t BGl_z62uvzd2haszd2refzf3z91zz__libuv_handlez00(obj_t, obj_t);
static obj_t BGl_z62uvzd2unrefzb0zz__libuv_handlez00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1142z00zz__libuv_handlez00, BgL_bgl_za762uvza7d2ref1075za71153za7, BGl_z62uvzd2ref1075zb0zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1150z00zz__libuv_handlez00, BgL_bgl_string1150za700za7za7_1154za7, "uv-close", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1144z00zz__libuv_handlez00, BgL_bgl_za762uvza7d2unref1071155z00, BGl_z62uvzd2unref1077zb0zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1151z00zz__libuv_handlez00, BgL_bgl_string1151za700za7za7_1156za7, "wrong procedure arity", 21 );
DEFINE_STRING( BGl_string1152z00zz__libuv_handlez00, BgL_bgl_string1152za700za7za7_1157za7, "__libuv_handle", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1146z00zz__libuv_handlez00, BgL_bgl_za762uvza7d2hasza7d2re1158za7, BGl_z62uvzd2haszd2refzf31079z91zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1148z00zz__libuv_handlez00, BgL_bgl_za762uvza7d2close1081159z00, BGl_z62uvzd2close1081zb0zz__libuv_handlez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_GENERIC( BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, BgL_bgl_za762uvza7d2unrefza7b01160za7, BGl_z62uvzd2unrefzb0zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00, BgL_bgl_za762uvza7d2hasza7d2re1161za7, BGl_z62uvzd2haszd2refzf3z91zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_uvzd2closezd2envz00zz__libuv_handlez00, BgL_bgl__uvza7d2closeza7d2za7za71162z00, opt_generic_entry, BGl__uvzd2closezd2zz__libuv_handlez00, BFALSE, -1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2activezf3zd2envzf3zz__libuv_handlez00, BgL_bgl_za762uvza7d2activeza7f1163za7, BGl_z62uvzd2activezf3z43zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_GENERIC( BGl_uvzd2refzd2envz00zz__libuv_handlez00, BgL_bgl_za762uvza7d2refza7b0za7za71164za7, BGl_z62uvzd2refzb0zz__libuv_handlez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1143z00zz__libuv_handlez00, BgL_bgl_string1143za700za7za7_1165za7, "uv-ref1075", 10 );
DEFINE_STRING( BGl_string1145z00zz__libuv_handlez00, BgL_bgl_string1145za700za7za7_1166za7, "uv-unref1077", 12 );
DEFINE_STRING( BGl_string1147z00zz__libuv_handlez00, BgL_bgl_string1147za700za7za7_1167za7, "uv-has-ref?1079", 15 );
DEFINE_STRING( BGl_string1149z00zz__libuv_handlez00, BgL_bgl_string1149za700za7za7_1168za7, "uv-close1081", 12 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_handlez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_handlez00(long BgL_checksumz00_259, char * BgL_fromz00_260)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_handlez00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_handlez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_handlez00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_handlez00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_handlez00(); 
BGl_genericzd2initzd2zz__libuv_handlez00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_handlez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "__libuv_handle"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__libuv_handle"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
return BUNSPEC;} 

}



/* _uv-close */
obj_t BGl__uvzd2closezd2zz__libuv_handlez00(obj_t BgL_env1084z00_9, obj_t BgL_opt1083z00_8)
{
{ /* Llib/handle.scm 51 */
{ /* Llib/handle.scm 51 */
 obj_t BgL_g1085z00_21;
BgL_g1085z00_21 = 
VECTOR_REF(BgL_opt1083z00_8,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1083z00_8)) { case ((long)1) : 

{ /* Llib/handle.scm 51 */

return 
BGl_uvzd2closezd2zz__libuv_handlez00(
((BgL_uvhandlez00_bglt)BgL_g1085z00_21), BFALSE);} break;case ((long)2) : 

{ /* Llib/handle.scm 51 */
 obj_t BgL_callbackz00_25;
BgL_callbackz00_25 = 
VECTOR_REF(BgL_opt1083z00_8,((long)1)); 
{ /* Llib/handle.scm 51 */

return 
BGl_uvzd2closezd2zz__libuv_handlez00(
((BgL_uvhandlez00_bglt)BgL_g1085z00_21), BgL_callbackz00_25);} } break;
default: 
return BUNSPEC;} } } 

}



/* uv-active? */
BGL_EXPORTED_DEF bool_t BGl_uvzd2activezf3z21zz__libuv_handlez00(BgL_uvhandlez00_bglt BgL_oz00_10)
{
{ /* Llib/handle.scm 70 */
{ /* Llib/handle.scm 72 */
 uv_handle_t * BgL_tmpz00_286;
BgL_tmpz00_286 = 
(((BgL_uvhandlez00_bglt)COBJECT(BgL_oz00_10))->BgL_z42builtinz42); 
return 
uv_is_active(BgL_tmpz00_286);} } 

}



/* &uv-active? */
obj_t BGl_z62uvzd2activezf3z43zz__libuv_handlez00(obj_t BgL_envz00_221, obj_t BgL_oz00_222)
{
{ /* Llib/handle.scm 70 */
return 
BBOOL(
BGl_uvzd2activezf3z21zz__libuv_handlez00(
((BgL_uvhandlez00_bglt)BgL_oz00_222)));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uvzd2refzd2envz00zz__libuv_handlez00, BGl_proc1142z00zz__libuv_handlez00, BGl_UvHandlez00zz__libuv_typesz00, BGl_string1143z00zz__libuv_handlez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, BGl_proc1144z00zz__libuv_handlez00, BGl_UvHandlez00zz__libuv_typesz00, BGl_string1145z00zz__libuv_handlez00); 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00, BGl_proc1146z00zz__libuv_handlez00, BGl_UvHandlez00zz__libuv_typesz00, BGl_string1147z00zz__libuv_handlez00); 
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_uvzd2closezd2envz00zz__libuv_handlez00, BGl_proc1148z00zz__libuv_handlez00, BGl_UvHandlez00zz__libuv_typesz00, BGl_string1149z00zz__libuv_handlez00);} 

}



/* &uv-close1081 */
obj_t BGl_z62uvzd2close1081zb0zz__libuv_handlez00(obj_t BgL_envz00_228, obj_t BgL_oz00_229, obj_t BgL_callbackz00_230)
{
{ /* Llib/handle.scm 51 */
if(
PROCEDUREP(BgL_callbackz00_230))
{ /* Llib/handle.scm 54 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_callbackz00_230, 
(int)(((long)0))))
{ /* Llib/handle.scm 55 */BFALSE; }  else 
{ /* Llib/handle.scm 55 */
BGl_errorz00zz__errorz00(BGl_string1150z00zz__libuv_handlez00, BGl_string1151z00zz__libuv_handlez00, BgL_callbackz00_230); } 
if(
NULLP(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarkstailz52)))
{ /* Llib/handle.scm 57 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarksheadz52)=((obj_t)
MAKE_YOUNG_PAIR(BgL_callbackz00_230, BNIL)),BUNSPEC); 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarkstailz52)=((obj_t)
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarksheadz52)),BUNSPEC); }  else 
{ /* Llib/handle.scm 57 */
{ /* Llib/handle.scm 57 */
 obj_t BgL_arg1118z00_246; obj_t BgL_arg1119z00_247;
BgL_arg1118z00_246 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarkstailz52); 
BgL_arg1119z00_247 = 
MAKE_YOUNG_PAIR(BgL_callbackz00_230, BNIL); 
{ /* Llib/handle.scm 57 */
 obj_t BgL_tmpz00_316;
BgL_tmpz00_316 = 
((obj_t)BgL_arg1118z00_246); 
SET_CDR(BgL_tmpz00_316, BgL_arg1119z00_247); } } 
{ 
 obj_t BgL_auxz00_319;
{ /* Llib/handle.scm 57 */
 obj_t BgL_pairz00_248;
BgL_pairz00_248 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarkstailz52); 
BgL_auxz00_319 = 
CDR(BgL_pairz00_248); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52gcmarkstailz52)=((obj_t)BgL_auxz00_319),BUNSPEC); } } BUNSPEC; 
{ 
 obj_t BgL_auxz00_325;
{ /* Llib/handle.scm 58 */
 obj_t BgL_zc3z04anonymousza31103ze3z87_249;
BgL_zc3z04anonymousza31103ze3z87_249 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31103ze3ze5zz__libuv_handlez00, 
(int)(((long)0)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31103ze3z87_249, 
(int)(((long)0)), BgL_callbackz00_230); 
PROCEDURE_SET(BgL_zc3z04anonymousza31103ze3z87_249, 
(int)(((long)1)), BgL_oz00_229); 
BgL_auxz00_325 = BgL_zc3z04anonymousza31103ze3z87_249; } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z52onclosez52)=((obj_t)BgL_auxz00_325),BUNSPEC); } }  else 
{ /* Llib/handle.scm 54 */BFALSE; } 
{ /* Llib/handle.scm 62 */
 bool_t BgL_test1173z00_335;
{ /* Llib/handle.scm 62 */
 uv_handle_t * BgL_arg1111z00_250;
BgL_arg1111z00_250 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z42builtinz42); 
BgL_test1173z00_335 = 
((uv_handle_t *)0L) == (BgL_arg1111z00_250); } 
if(BgL_test1173z00_335)
{ /* Llib/handle.scm 62 */
 uv_handle_t * BgL_arg1110z00_251;
BgL_arg1110z00_251 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z42builtinz42); 
void_star_to_obj(
bgl_uv_close_cb(BgL_arg1110z00_251)); }  else 
{ /* Llib/handle.scm 62 */BFALSE; } } 
if(
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_closedz00))
{ /* Llib/handle.scm 63 */
return BFALSE;}  else 
{ /* Llib/handle.scm 63 */
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_closedz00)=((bool_t)((bool_t)1)),BUNSPEC); 
{ /* Llib/handle.scm 65 */
 uv_handle_t * BgL_arg1113z00_252;
BgL_arg1113z00_252 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_229)))->BgL_z42builtinz42); 
uv_close(BgL_arg1113z00_252, (uv_close_cb)&bgl_uv_close_cb); 
return BUNSPEC;} } } 

}



/* &<@anonymous:1103> */
obj_t BGl_z62zc3z04anonymousza31103ze3ze5zz__libuv_handlez00(obj_t BgL_envz00_231)
{
{ /* Llib/handle.scm 58 */
{ /* Llib/handle.scm 59 */
 obj_t BgL_callbackz00_232; obj_t BgL_oz00_233;
BgL_callbackz00_232 = 
PROCEDURE_REF(BgL_envz00_231, 
(int)(((long)0))); 
BgL_oz00_233 = 
PROCEDURE_REF(BgL_envz00_231, 
(int)(((long)1))); 
{ /* Llib/handle.scm 59 */
 obj_t BgL_rz00_253;
BgL_rz00_253 = 
((obj_t (*)(obj_t, obj_t))PROCEDURE_ENTRY(BgL_callbackz00_232))(BgL_callbackz00_232, BEOA); 
bgl_uv_pop_gcmark(
((BgL_uvhandlez00_bglt)BgL_oz00_233), BgL_callbackz00_232); 
return BgL_rz00_253;} } } 

}



/* &uv-has-ref?1079 */
obj_t BGl_z62uvzd2haszd2refzf31079z91zz__libuv_handlez00(obj_t BgL_envz00_234, obj_t BgL_oz00_235)
{
{ /* Llib/handle.scm 44 */
{ /* Llib/handle.scm 45 */
 bool_t BgL_tmpz00_360;
{ /* Llib/handle.scm 46 */
 uv_handle_t * BgL_tmpz00_361;
BgL_tmpz00_361 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_235)))->BgL_z42builtinz42); 
BgL_tmpz00_360 = 
uv_has_ref(BgL_tmpz00_361); } 
return 
BBOOL(BgL_tmpz00_360);} } 

}



/* &uv-unref1077 */
obj_t BGl_z62uvzd2unref1077zb0zz__libuv_handlez00(obj_t BgL_envz00_236, obj_t BgL_oz00_237)
{
{ /* Llib/handle.scm 37 */
{ /* Llib/handle.scm 39 */
 uv_handle_t * BgL_arg1098z00_256;
BgL_arg1098z00_256 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_237)))->BgL_z42builtinz42); 
uv_unref(BgL_arg1098z00_256); 
return BUNSPEC;} } 

}



/* &uv-ref1075 */
obj_t BGl_z62uvzd2ref1075zb0zz__libuv_handlez00(obj_t BgL_envz00_238, obj_t BgL_oz00_239)
{
{ /* Llib/handle.scm 30 */
{ /* Llib/handle.scm 32 */
 uv_handle_t * BgL_arg1096z00_258;
BgL_arg1096z00_258 = 
(((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)BgL_oz00_239)))->BgL_z42builtinz42); 
uv_ref(BgL_arg1096z00_258); 
return BUNSPEC;} } 

}



/* uv-ref */
BGL_EXPORTED_DEF obj_t BGl_uvzd2refzd2zz__libuv_handlez00(BgL_uvhandlez00_bglt BgL_oz00_3)
{
{ /* Llib/handle.scm 30 */
{ /* Llib/handle.scm 30 */
 obj_t BgL_method1076z00_61;
{ /* Llib/handle.scm 30 */
 obj_t BgL_res1126z00_119;
{ /* Llib/handle.scm 30 */
 long BgL_objzd2classzd2numz00_90;
BgL_objzd2classzd2numz00_90 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_3)); 
{ /* Llib/handle.scm 30 */
 obj_t BgL_arg1798z00_91;
BgL_arg1798z00_91 = 
PROCEDURE_REF(BGl_uvzd2refzd2envz00zz__libuv_handlez00, 
(int)(((long)1))); 
{ /* Llib/handle.scm 30 */
 int BgL_offsetz00_94;
BgL_offsetz00_94 = 
(int)(BgL_objzd2classzd2numz00_90); 
{ /* Llib/handle.scm 30 */
 long BgL_offsetz00_95;
BgL_offsetz00_95 = 
(
(long)(BgL_offsetz00_94)-OBJECT_TYPE); 
{ /* Llib/handle.scm 30 */
 long BgL_modz00_96;
BgL_modz00_96 = 
(BgL_offsetz00_95 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/handle.scm 30 */
 long BgL_restz00_98;
BgL_restz00_98 = 
(BgL_offsetz00_95 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/handle.scm 30 */

{ /* Llib/handle.scm 30 */
 obj_t BgL_bucketz00_100;
BgL_bucketz00_100 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_91),BgL_modz00_96); 
BgL_res1126z00_119 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_100),BgL_restz00_98); } } } } } } } } 
BgL_method1076z00_61 = BgL_res1126z00_119; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1076z00_61))(BgL_method1076z00_61, 
((obj_t)BgL_oz00_3), BEOA);} } 

}



/* &uv-ref */
obj_t BGl_z62uvzd2refzb0zz__libuv_handlez00(obj_t BgL_envz00_240, obj_t BgL_oz00_241)
{
{ /* Llib/handle.scm 30 */
return 
BGl_uvzd2refzd2zz__libuv_handlez00(
((BgL_uvhandlez00_bglt)BgL_oz00_241));} 

}



/* uv-unref */
BGL_EXPORTED_DEF obj_t BGl_uvzd2unrefzd2zz__libuv_handlez00(BgL_uvhandlez00_bglt BgL_oz00_4)
{
{ /* Llib/handle.scm 37 */
{ /* Llib/handle.scm 37 */
 obj_t BgL_method1078z00_62;
{ /* Llib/handle.scm 37 */
 obj_t BgL_res1131z00_150;
{ /* Llib/handle.scm 37 */
 long BgL_objzd2classzd2numz00_121;
BgL_objzd2classzd2numz00_121 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_4)); 
{ /* Llib/handle.scm 37 */
 obj_t BgL_arg1798z00_122;
BgL_arg1798z00_122 = 
PROCEDURE_REF(BGl_uvzd2unrefzd2envz00zz__libuv_handlez00, 
(int)(((long)1))); 
{ /* Llib/handle.scm 37 */
 int BgL_offsetz00_125;
BgL_offsetz00_125 = 
(int)(BgL_objzd2classzd2numz00_121); 
{ /* Llib/handle.scm 37 */
 long BgL_offsetz00_126;
BgL_offsetz00_126 = 
(
(long)(BgL_offsetz00_125)-OBJECT_TYPE); 
{ /* Llib/handle.scm 37 */
 long BgL_modz00_127;
BgL_modz00_127 = 
(BgL_offsetz00_126 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/handle.scm 37 */
 long BgL_restz00_129;
BgL_restz00_129 = 
(BgL_offsetz00_126 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/handle.scm 37 */

{ /* Llib/handle.scm 37 */
 obj_t BgL_bucketz00_131;
BgL_bucketz00_131 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_122),BgL_modz00_127); 
BgL_res1131z00_150 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_131),BgL_restz00_129); } } } } } } } } 
BgL_method1078z00_62 = BgL_res1131z00_150; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1078z00_62))(BgL_method1078z00_62, 
((obj_t)BgL_oz00_4), BEOA);} } 

}



/* &uv-unref */
obj_t BGl_z62uvzd2unrefzb0zz__libuv_handlez00(obj_t BgL_envz00_242, obj_t BgL_oz00_243)
{
{ /* Llib/handle.scm 37 */
return 
BGl_uvzd2unrefzd2zz__libuv_handlez00(
((BgL_uvhandlez00_bglt)BgL_oz00_243));} 

}



/* uv-has-ref? */
BGL_EXPORTED_DEF obj_t BGl_uvzd2haszd2refzf3zf3zz__libuv_handlez00(BgL_uvhandlez00_bglt BgL_oz00_5)
{
{ /* Llib/handle.scm 44 */
{ /* Llib/handle.scm 44 */
 obj_t BgL_method1080z00_63;
{ /* Llib/handle.scm 44 */
 obj_t BgL_res1136z00_181;
{ /* Llib/handle.scm 44 */
 long BgL_objzd2classzd2numz00_152;
BgL_objzd2classzd2numz00_152 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_5)); 
{ /* Llib/handle.scm 44 */
 obj_t BgL_arg1798z00_153;
BgL_arg1798z00_153 = 
PROCEDURE_REF(BGl_uvzd2haszd2refzf3zd2envz21zz__libuv_handlez00, 
(int)(((long)1))); 
{ /* Llib/handle.scm 44 */
 int BgL_offsetz00_156;
BgL_offsetz00_156 = 
(int)(BgL_objzd2classzd2numz00_152); 
{ /* Llib/handle.scm 44 */
 long BgL_offsetz00_157;
BgL_offsetz00_157 = 
(
(long)(BgL_offsetz00_156)-OBJECT_TYPE); 
{ /* Llib/handle.scm 44 */
 long BgL_modz00_158;
BgL_modz00_158 = 
(BgL_offsetz00_157 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/handle.scm 44 */
 long BgL_restz00_160;
BgL_restz00_160 = 
(BgL_offsetz00_157 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/handle.scm 44 */

{ /* Llib/handle.scm 44 */
 obj_t BgL_bucketz00_162;
BgL_bucketz00_162 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_153),BgL_modz00_158); 
BgL_res1136z00_181 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_162),BgL_restz00_160); } } } } } } } } 
BgL_method1080z00_63 = BgL_res1136z00_181; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1080z00_63))(BgL_method1080z00_63, 
((obj_t)BgL_oz00_5), BEOA);} } 

}



/* &uv-has-ref? */
obj_t BGl_z62uvzd2haszd2refzf3z91zz__libuv_handlez00(obj_t BgL_envz00_244, obj_t BgL_oz00_245)
{
{ /* Llib/handle.scm 44 */
return 
BGl_uvzd2haszd2refzf3zf3zz__libuv_handlez00(
((BgL_uvhandlez00_bglt)BgL_oz00_245));} 

}



/* uv-close */
BGL_EXPORTED_DEF obj_t BGl_uvzd2closezd2zz__libuv_handlez00(BgL_uvhandlez00_bglt BgL_oz00_6, obj_t BgL_callbackz00_7)
{
{ /* Llib/handle.scm 51 */
{ /* Llib/handle.scm 24 */
 obj_t BgL_method1082z00_64;
{ /* Llib/handle.scm 24 */
 obj_t BgL_res1141z00_212;
{ /* Llib/handle.scm 24 */
 long BgL_objzd2classzd2numz00_183;
BgL_objzd2classzd2numz00_183 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_oz00_6)); 
{ /* Llib/handle.scm 24 */
 obj_t BgL_arg1798z00_184;
BgL_arg1798z00_184 = 
PROCEDURE_REF(BGl_uvzd2closezd2envz00zz__libuv_handlez00, 
(int)(((long)1))); 
{ /* Llib/handle.scm 24 */
 int BgL_offsetz00_187;
BgL_offsetz00_187 = 
(int)(BgL_objzd2classzd2numz00_183); 
{ /* Llib/handle.scm 24 */
 long BgL_offsetz00_188;
BgL_offsetz00_188 = 
(
(long)(BgL_offsetz00_187)-OBJECT_TYPE); 
{ /* Llib/handle.scm 24 */
 long BgL_modz00_189;
BgL_modz00_189 = 
(BgL_offsetz00_188 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/handle.scm 24 */
 long BgL_restz00_191;
BgL_restz00_191 = 
(BgL_offsetz00_188 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/handle.scm 24 */

{ /* Llib/handle.scm 24 */
 obj_t BgL_bucketz00_193;
BgL_bucketz00_193 = 
VECTOR_REF(
((obj_t)BgL_arg1798z00_184),BgL_modz00_189); 
BgL_res1141z00_212 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_193),BgL_restz00_191); } } } } } } } } 
BgL_method1082z00_64 = BgL_res1141z00_212; } 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_method1082z00_64))(BgL_method1082z00_64, 
((obj_t)BgL_oz00_6), BgL_callbackz00_7, BEOA);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_handlez00(void)
{
{ /* Llib/handle.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(((long)204966563), 
BSTRING_TO_STRING(BGl_string1152z00zz__libuv_handlez00));} 

}

#ifdef __cplusplus
}
#endif
