/*===========================================================================*/
/*   (Llib/flac.scm)                                                         */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -unsafe -safee -copt -fPIC -copt -IUnix Llib/flac.scm -o objs/flac.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z62exceptionz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
} *BgL_z62exceptionz62_bglt;


static obj_t BGl_requirezd2initializa7ationz75zz__multimediazd2flaczd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT long BGl_bmzd2mmapzd2zz__bmz00(obj_t, obj_t, long);
static obj_t BGl_genericzd2initzd2zz__multimediazd2flaczd2(void);
static obj_t BGl_objectzd2initzd2zz__multimediazd2flaczd2(void);
BGL_IMPORT obj_t BGl_bmzd2tablezd2zz__bmz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_flaczd2filezd2offsetz00zz__multimediazd2flaczd2(obj_t);
static obj_t BGl_methodzd2initzd2zz__multimediazd2flaczd2(void);
static obj_t BGl_z62flaczd2filezd2offsetz62zz__multimediazd2flaczd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2flaczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__mmapz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_openzd2mmapzd2zz__mmapz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
static obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2flaczd2(void);
static obj_t BGl_gczd2rootszd2initz00zz__multimediazd2flaczd2(void);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31020ze3ze5zz__multimediazd2flaczd2(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_flaczd2filezd2offsetzd2envzd2zz__multimediazd2flaczd2, BgL_bgl_za762flacza7d2fileza7d1033za7, BGl_z62flaczd2filezd2offsetz62zz__multimediazd2flaczd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1027z00zz__multimediazd2flaczd2, BgL_bgl_string1027za700za7za7_1034za7, "fLaC", 4 );
DEFINE_STRING( BGl_string1028z00zz__multimediazd2flaczd2, BgL_bgl_string1028za700za7za7_1035za7, "flac-file-offset", 16 );
DEFINE_STRING( BGl_string1029z00zz__multimediazd2flaczd2, BgL_bgl_string1029za700za7za7_1036za7, "cannot open file for input", 26 );
DEFINE_STRING( BGl_string1030z00zz__multimediazd2flaczd2, BgL_bgl_string1030za700za7za7_1037za7, "/builddir/build/BUILD/bigloo-4.5a-1/api/multimedia/src/Llib/flac.scm", 68 );
DEFINE_STRING( BGl_string1031z00zz__multimediazd2flaczd2, BgL_bgl_string1031za700za7za7_1038za7, "&flac-file-offset", 17 );
DEFINE_STRING( BGl_string1032z00zz__multimediazd2flaczd2, BgL_bgl_string1032za700za7za7_1039za7, "bstring", 7 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__multimediazd2flaczd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2flaczd2(long BgL_checksumz00_49, char * BgL_fromz00_50)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__multimediazd2flaczd2))
{ 
BGl_requirezd2initializa7ationz75zz__multimediazd2flaczd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__multimediazd2flaczd2(); 
BGl_libraryzd2moduleszd2initz00zz__multimediazd2flaczd2(); 
return 
BGl_methodzd2initzd2zz__multimediazd2flaczd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__multimediazd2flaczd2(void)
{
{ /* Llib/flac.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__bmz00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__mmapz00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__multimedia-flac"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__multimedia-flac"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__multimediazd2flaczd2(void)
{
{ /* Llib/flac.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* flac-file-offset */
BGL_EXPORTED_DEF obj_t BGl_flaczd2filezd2offsetz00zz__multimediazd2flaczd2(obj_t BgL_filez00_3)
{
{ /* Llib/flac.scm 23 */
{ /* Llib/flac.scm 24 */
 obj_t BgL_mmz00_12;
BgL_mmz00_12 = 
BGl_openzd2mmapzd2zz__mmapz00(BgL_filez00_3, BTRUE, BFALSE); 
if(
BGL_MMAPP(BgL_mmz00_12))
{ /* Llib/flac.scm 30 */
 obj_t BgL_ktz00_14;
BgL_ktz00_14 = 
BGl_bmzd2tablezd2zz__bmz00(BGl_string1027z00zz__multimediazd2flaczd2); 
{ /* Llib/flac.scm 31 */
 obj_t BgL_exitd1012z00_15;
BgL_exitd1012z00_15 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/flac.scm 33 */
 obj_t BgL_zc3z04anonymousza31020ze3z87_42;
BgL_zc3z04anonymousza31020ze3z87_42 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31020ze3ze5zz__multimediazd2flaczd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31020ze3z87_42, 
(int)(((long)0)), BgL_mmz00_12); 
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1812z00_29;
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1813z00_30;
BgL_arg1813z00_30 = 
BGL_EXITD_PROTECT(BgL_exitd1012z00_15); 
BgL_arg1812z00_29 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31020ze3z87_42, BgL_arg1813z00_30); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1012z00_15, BgL_arg1812z00_29); BUNSPEC; } 
{ /* Llib/flac.scm 32 */
 long BgL_tmp1014z00_17;
BgL_tmp1014z00_17 = 
BGl_bmzd2mmapzd2zz__bmz00(BgL_ktz00_14, BgL_mmz00_12, 
(long)(((long)0))); 
{ /* Llib/flac.scm 31 */
 bool_t BgL_test1042z00_81;
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1811z00_32;
BgL_arg1811z00_32 = 
BGL_EXITD_PROTECT(BgL_exitd1012z00_15); 
BgL_test1042z00_81 = 
PAIRP(BgL_arg1811z00_32); } 
if(BgL_test1042z00_81)
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1809z00_33;
{ /* Llib/flac.scm 31 */
 obj_t BgL_arg1810z00_34;
BgL_arg1810z00_34 = 
BGL_EXITD_PROTECT(BgL_exitd1012z00_15); 
BgL_arg1809z00_33 = 
CDR(
((obj_t)BgL_arg1810z00_34)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1012z00_15, BgL_arg1809z00_33); BUNSPEC; }  else 
{ /* Llib/flac.scm 31 */BFALSE; } } 
bgl_close_mmap(BgL_mmz00_12); 
return 
make_belong(BgL_tmp1014z00_17);} } } }  else 
{ /* Llib/flac.scm 26 */
 BgL_z62errorz62_bglt BgL_arg1021z00_20;
{ /* Llib/flac.scm 26 */
 BgL_z62errorz62_bglt BgL_new1011z00_21;
{ /* Llib/flac.scm 26 */
 BgL_z62errorz62_bglt BgL_new1010z00_24;
BgL_new1010z00_24 = 
((BgL_z62errorz62_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z62errorz62_bgl) ))); 
{ /* Llib/flac.scm 26 */
 long BgL_arg1024z00_25;
BgL_arg1024z00_25 = 
BGL_CLASS_NUM(BGl_z62errorz62zz__objectz00); 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1010z00_24), BgL_arg1024z00_25); } 
BgL_new1011z00_21 = BgL_new1010z00_24; } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1011z00_21)))->BgL_fnamez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1011z00_21)))->BgL_locationz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
 obj_t BgL_auxz00_98;
{ /* Llib/flac.scm 26 */
 obj_t BgL_arg1022z00_22;
{ /* Llib/flac.scm 26 */
 obj_t BgL_arg1023z00_23;
{ /* Llib/flac.scm 26 */
 obj_t BgL_classz00_40;
BgL_classz00_40 = BGl_z62errorz62zz__objectz00; 
BgL_arg1023z00_23 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_40); } 
BgL_arg1022z00_22 = 
VECTOR_REF(BgL_arg1023z00_23,((long)2)); } 
BgL_auxz00_98 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_arg1022z00_22); } 
((((BgL_z62exceptionz62_bglt)COBJECT(
((BgL_z62exceptionz62_bglt)BgL_new1011z00_21)))->BgL_stackz00)=((obj_t)BgL_auxz00_98),BUNSPEC); } 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1011z00_21))->BgL_procz00)=((obj_t)BGl_string1028z00zz__multimediazd2flaczd2),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1011z00_21))->BgL_msgz00)=((obj_t)BGl_string1029z00zz__multimediazd2flaczd2),BUNSPEC); 
((((BgL_z62errorz62_bglt)COBJECT(BgL_new1011z00_21))->BgL_objz00)=((obj_t)BgL_filez00_3),BUNSPEC); 
BgL_arg1021z00_20 = BgL_new1011z00_21; } 
return 
BGl_raisez00zz__errorz00(
((obj_t)BgL_arg1021z00_20));} } } 

}



/* &flac-file-offset */
obj_t BGl_z62flaczd2filezd2offsetz62zz__multimediazd2flaczd2(obj_t BgL_envz00_43, obj_t BgL_filez00_44)
{
{ /* Llib/flac.scm 23 */
{ /* Llib/flac.scm 24 */
 obj_t BgL_auxz00_109;
if(
STRINGP(BgL_filez00_44))
{ /* Llib/flac.scm 24 */
BgL_auxz00_109 = BgL_filez00_44
; }  else 
{ 
 obj_t BgL_auxz00_112;
BgL_auxz00_112 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1030z00zz__multimediazd2flaczd2, 
BINT(((long)1437)), BGl_string1031z00zz__multimediazd2flaczd2, BGl_string1032z00zz__multimediazd2flaczd2, BgL_filez00_44); 
FAILURE(BgL_auxz00_112,BFALSE,BFALSE);} 
return 
BGl_flaczd2filezd2offsetz00zz__multimediazd2flaczd2(BgL_auxz00_109);} } 

}



/* &<@anonymous:1020> */
obj_t BGl_z62zc3z04anonymousza31020ze3ze5zz__multimediazd2flaczd2(obj_t BgL_envz00_45)
{
{ /* Llib/flac.scm 31 */
{ /* Llib/flac.scm 33 */
 obj_t BgL_mmz00_46;
BgL_mmz00_46 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_45, 
(int)(((long)0)))); 
return 
bgl_close_mmap(BgL_mmz00_46);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__multimediazd2flaczd2(void)
{
{ /* Llib/flac.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__multimediazd2flaczd2(void)
{
{ /* Llib/flac.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__multimediazd2flaczd2(void)
{
{ /* Llib/flac.scm 15 */
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
