/*===========================================================================*/
/*   (Misc/make_lib.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Misc/make_lib.scm -o objs/make_lib.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2makelibzd2(void);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2makelibzd2(void);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2makelibzd2(void);
static obj_t BGl_evalzd2initzd2zz__openpgpzd2makelibzd2(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
extern obj_t BGl_z62openpgpzd2errorzb0zz__openpgpzd2errorzd2;
static obj_t BGl_methodzd2initzd2zz__openpgpzd2makelibzd2(void);
BGL_IMPORT obj_t BGl_definezd2primopzd2refz12z12zz__evenvz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2makelibzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2keyzd2managerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2facadezd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2makelibzd2(void);
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2makelibzd2(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2makelibzd2(void);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2makelibzd2(void);
static obj_t BGl_z62appendzd221009zb0zz__openpgpzd2makelibzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_definezd2primopz12zc0zz__evenvz00(obj_t, obj_t);
static obj_t __cnst[ 29 ] ;


extern obj_t BGl_pgpzd2resolvezd2keyzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2subkeyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2keyzd2dbzf3zd2envz21zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2encryptzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2subkeyszd2envz00zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2writezd2stringzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2signzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2decryptzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2dbzd2printzd2keyszd2envz00zz__openpgpzd2keyzd2managerz00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_appendzd221009zd2envz00zz__openpgpzd2makelibzd2, BgL_bgl_za762appendza7d221001130z00, BGl_z62appendzd221009zb0zz__openpgpzd2makelibzd2, 0L, BUNSPEC, 2 );
extern obj_t BGl_pgpzd2passwordzd2encryptzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2compositionzf3zd2envzf3zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2writezd2filezd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2keyzd2idzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2addzd2keyszd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2readzd2stringzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2verifyzd2envz00zz__openpgpzd2facadezd2;
extern obj_t BGl_openpgpzd2errorzd2envz00zz__openpgpzd2errorzd2;
extern obj_t BGl_pgpzd2readzd2filezd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2writezd2portzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2keyzd2fingerprintzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2signaturezd2messagezd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2addzd2keyzd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2keyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2subkeyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00;
extern obj_t BGl_pgpzd2readzd2portzd2envzd2zz__openpgpzd2facadezd2;
extern obj_t BGl_pgpzd2makezd2keyzd2dbzd2envz00zz__openpgpzd2keyzd2managerz00;
DEFINE_STRING( BGl_string1118z00zz__openpgpzd2makelibzd2, BgL_bgl_string1118za700za7za7_1131za7, "&append-21009", 13 );
DEFINE_STRING( BGl_string1119z00zz__openpgpzd2makelibzd2, BgL_bgl_string1119za700za7za7_1132za7, "pair-nil", 8 );
extern obj_t BGl_pgpzd2keyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00;
DEFINE_STRING( BGl_string1120z00zz__openpgpzd2makelibzd2, BgL_bgl_string1120za700za7za7_1133za7, "__openpgp-makelib", 17 );
DEFINE_STRING( BGl_string1121z00zz__openpgpzd2makelibzd2, BgL_bgl_string1121za700za7za7_1134za7, "pgp-subkey->string pgp-write-string pgp-add-key-to-db pgp-key->string pgp-subkey? pgp-write-file pgp-read-file pgp-read-string pgp-subkeys pgp-encrypt pgp-key-db? pgp-key? append-21009 &openpgp-error pgp-password-encrypt pgp-add-keys-to-db pgp-key-fingerprint pgp-verify pgp-make-key-db pgp-decrypt pgp-write-port pgp-read-port pgp-composition? openpgp-error pgp-key-id pgp-signature-message pgp-sign pgp-db-print-keys pgp-resolve-key ", 435 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2makelibzd2(long BgL_checksumz00_122, char * BgL_fromz00_123)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2makelibzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2makelibzd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2makelibzd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2makelibzd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2makelibzd2(); 
BGl_evalzd2initzd2zz__openpgpzd2makelibzd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2makelibzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-makelib"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-makelib"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_cportz00_104;
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_stringz00_111;
BgL_stringz00_111 = BGl_string1121z00zz__openpgpzd2makelibzd2; 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_startz00_112;
BgL_startz00_112 = 
BINT(((long)0)); 
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_endz00_113;
BgL_endz00_113 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_111))); 
{ /* Misc/make_lib.scm 15 */

BgL_cportz00_104 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_111, BgL_startz00_112, BgL_endz00_113); } } } } 
{ 
 long BgL_iz00_105;
BgL_iz00_105 = ((long)28); 
BgL_loopz00_106:
if(
(BgL_iz00_105==((long)-1)))
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;}  else 
{ /* Misc/make_lib.scm 15 */
{ /* Misc/make_lib.scm 15 */
 obj_t BgL_arg1129z00_107;
{ /* Misc/make_lib.scm 15 */

{ /* Misc/make_lib.scm 15 */
 obj_t BgL_locationz00_109;
BgL_locationz00_109 = 
BBOOL(((bool_t)0)); 
{ /* Misc/make_lib.scm 15 */

BgL_arg1129z00_107 = 
BGl_readz00zz__readerz00(BgL_cportz00_104, BgL_locationz00_109); } } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_tmpz00_148;
BgL_tmpz00_148 = 
(int)(BgL_iz00_105); 
CNST_TABLE_SET(BgL_tmpz00_148, BgL_arg1129z00_107); } } 
{ /* Misc/make_lib.scm 15 */
 int BgL_auxz00_110;
BgL_auxz00_110 = 
(int)(
(BgL_iz00_105-((long)1))); 
{ 
 long BgL_iz00_153;
BgL_iz00_153 = 
(long)(BgL_auxz00_110); 
BgL_iz00_105 = BgL_iz00_153; 
goto BgL_loopz00_106;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* &append-21009 */
obj_t BGl_z62appendzd221009zb0zz__openpgpzd2makelibzd2(obj_t BgL_envz00_15, obj_t BgL_l1z00_16, obj_t BgL_l2z00_17)
{
{ 
{ 
 obj_t BgL_l1z00_116;
{ 
 bool_t BgL_test1137z00_156;
if(
PAIRP(BgL_l1z00_16))
{ /* Ieee/pairlist.scm 241 */
BgL_test1137z00_156 = ((bool_t)1)
; }  else 
{ /* Ieee/pairlist.scm 241 */
BgL_test1137z00_156 = 
NULLP(BgL_l1z00_16)
; } 
if(BgL_test1137z00_156)
{ 
BgL_l1z00_116 = BgL_l1z00_16; }  else 
{ 
 obj_t BgL_auxz00_160;
BgL_auxz00_160 = 
BGl_typezd2errorzd2zz__errorz00(BFALSE, BFALSE, BGl_string1118z00zz__openpgpzd2makelibzd2, BGl_string1119z00zz__openpgpzd2makelibzd2, BgL_l1z00_16); 
FAILURE(BgL_auxz00_160,BFALSE,BFALSE);} } 
{ 
 obj_t BgL_headz00_117;
BgL_headz00_117 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_17); 
{ 
 obj_t BgL_prevz00_119; obj_t BgL_tailz00_120;
BgL_prevz00_119 = BgL_headz00_117; 
BgL_tailz00_120 = BgL_l1z00_116; 
BgL_loopz00_118:
if(
PAIRP(BgL_tailz00_120))
{ 
 obj_t BgL_newzd2prevzd2_121;
BgL_newzd2prevzd2_121 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_120), BgL_l2z00_17); 
SET_CDR(BgL_prevz00_119, BgL_newzd2prevzd2_121); 
{ 
 obj_t BgL_tailz00_170; obj_t BgL_prevz00_169;
BgL_prevz00_169 = BgL_newzd2prevzd2_121; 
BgL_tailz00_170 = 
CDR(BgL_tailz00_120); 
BgL_tailz00_120 = BgL_tailz00_170; 
BgL_prevz00_119 = BgL_prevz00_169; 
goto BgL_loopz00_118;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_117);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2facadezd2(((long)389872967), 
BSTRING_TO_STRING(BGl_string1120z00zz__openpgpzd2makelibzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2keyzd2managerz00(((long)419352269), 
BSTRING_TO_STRING(BGl_string1120z00zz__openpgpzd2makelibzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2errorzd2(((long)364974745), 
BSTRING_TO_STRING(BGl_string1120z00zz__openpgpzd2makelibzd2));} 

}



/* eval-init */
obj_t BGl_evalzd2initzd2zz__openpgpzd2makelibzd2(void)
{
{ /* Misc/make_lib.scm 15 */
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)0)), BGl_pgpzd2resolvezd2keyzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)1)), BGl_pgpzd2dbzd2printzd2keyszd2envz00zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)2)), BGl_pgpzd2signzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)3)), BGl_pgpzd2signaturezd2messagezd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)4)), BGl_pgpzd2keyzd2idzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)5)), BGl_openpgpzd2errorzd2envz00zz__openpgpzd2errorzd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)6)), BGl_pgpzd2compositionzf3zd2envzf3zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)7)), BGl_pgpzd2readzd2portzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)8)), BGl_pgpzd2writezd2portzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)9)), BGl_pgpzd2decryptzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)10)), BGl_pgpzd2makezd2keyzd2dbzd2envz00zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)11)), BGl_pgpzd2verifyzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)12)), BGl_pgpzd2keyzd2fingerprintzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)13)), BGl_pgpzd2addzd2keyszd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)14)), BGl_pgpzd2passwordzd2encryptzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopzd2refz12z12zz__evenvz00(
CNST_TABLE_REF(((long)15)), 
__EVMEANING_ADDRESS(
(BGl_z62openpgpzd2errorzb0zz__openpgpzd2errorzd2))); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)16)), BGl_appendzd221009zd2envz00zz__openpgpzd2makelibzd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)17)), BGl_pgpzd2keyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)18)), BGl_pgpzd2keyzd2dbzf3zd2envz21zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)19)), BGl_pgpzd2encryptzd2envz00zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)20)), BGl_pgpzd2subkeyszd2envz00zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)21)), BGl_pgpzd2readzd2stringzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)22)), BGl_pgpzd2readzd2filezd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)23)), BGl_pgpzd2writezd2filezd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)24)), BGl_pgpzd2subkeyzf3zd2envzf3zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)25)), BGl_pgpzd2keyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)26)), BGl_pgpzd2addzd2keyzd2tozd2dbzd2envzd2zz__openpgpzd2keyzd2managerz00); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)27)), BGl_pgpzd2writezd2stringzd2envzd2zz__openpgpzd2facadezd2); 
BGl_definezd2primopz12zc0zz__evenvz00(
CNST_TABLE_REF(((long)28)), BGl_pgpzd2subkeyzd2ze3stringzd2envz31zz__openpgpzd2keyzd2managerz00); 
return BUNSPEC;} 

}

#ifdef __cplusplus
}
#endif
