/*===========================================================================*/
/*   (Command/backtrace.scm)                                                 */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -afile .afile -no-hello -rm -L /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O5 -unsafe -c Command/backtrace.scm -o Command/backtrace.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
BGL_EXPORTED_DECL obj_t BGl_addzd2gczd2stackz12z12zzcommand_backtracez00(obj_t);
extern obj_t BGl_gdbzd2annotatezd2resetzd2stackzd2framesz12z12zzgdb_annotatez00(void);
static obj_t BGl_requirezd2initializa7ationz75zzcommand_backtracez00 = BUNSPEC;
extern obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00(void);
static obj_t BGl_z62getzd2gczd2stackz62zzcommand_backtracez00(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzcommand_backtracez00(void);
extern obj_t BGl_gdbzd2annotatezd2currentzd2functionzd2setz12z12zzgdb_annotatez00(obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zzcommand_backtracez00(void);
static obj_t BGl_objectzd2initzd2zzcommand_backtracez00(void);
extern obj_t BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_resetzd2gczd2stacksz12z12zzcommand_backtracez00(void);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzcommand_backtracez00(void);
extern obj_t BGl_gdbzd2annotatezd2stackzd2frameszd2zzgdb_annotatez00(void);
BGL_EXPORTED_DECL obj_t BGl_framezd3zf3z20zzcommand_backtracez00(obj_t, obj_t);
static obj_t BGl_z62resetzd2gczd2stacksz12z70zzcommand_backtracez00(obj_t);
static obj_t BGl_z62actionz62zzcommand_backtracez00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcommand_backtracez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzcommand_commandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_annotatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzgdb_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_valuez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_invokez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzpatient_manglingz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_ioz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_EXPORTED_DECL obj_t BGl_getzd2gczd2stackz00zzcommand_backtracez00(int);
static obj_t BGl_z62addzd2gczd2stackz12z70zzcommand_backtracez00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzcommand_backtracez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzcommand_backtracez00(void);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzcommand_backtracez00(void);
static obj_t BGl_gczd2rootszd2initz00zzcommand_backtracez00(void);
extern obj_t BGl_gdbzd2annotatezd2currentzd2framezd2setz12z12zzgdb_annotatez00(obj_t);
static bool_t BGl_za2displayzd2framezd2armedzf3za2zf3zzcommand_backtracez00;
static obj_t BGl_z62displayzd2stackzd2framesz62zzcommand_backtracez00(obj_t, obj_t);
extern obj_t BGl_consolezd2framezd2zzgdb_annotatez00(obj_t, obj_t);
extern obj_t BGl_gdbzd2annotatezd2currentzd2framezd2zzgdb_annotatez00(void);
extern obj_t BGl_consolezd2newlinezd2zztools_ioz00(void);
BGL_EXPORTED_DECL obj_t BGl_displayzd2stackzd2framesz00zzcommand_backtracez00(obj_t);
extern obj_t BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(obj_t, int, obj_t, obj_t);
static obj_t BGl_za2backtracezd2helpza2zd2zzcommand_backtracez00 = BUNSPEC;
static obj_t BGl_z62framezd3zf3z42zzcommand_backtracez00(obj_t, obj_t, obj_t);
static obj_t BGl_za2gczd2stacksza2zd2zzcommand_backtracez00 = BUNSPEC;
static obj_t __cnst[ 1 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1064z00zzcommand_backtracez00, BgL_bgl_za762actionza762za7za7co1070z00, BGl_z62actionz62zzcommand_backtracez00, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_framezd3zf3zd2envzf2zzcommand_backtracez00, BgL_bgl_za762frameza7d3za7f3za741071z00, BGl_z62framezd3zf3z42zzcommand_backtracez00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_displayzd2stackzd2frameszd2envzd2zzcommand_backtracez00, BgL_bgl_za762displayza7d2sta1072z00, BGl_z62displayzd2stackzd2framesz62zzcommand_backtracez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_resetzd2gczd2stacksz12zd2envzc0zzcommand_backtracez00, BgL_bgl_za762resetza7d2gcza7d21073za7, BGl_z62resetzd2gczd2stacksz12z70zzcommand_backtracez00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_addzd2gczd2stackz12zd2envzc0zzcommand_backtracez00, BgL_bgl_za762addza7d2gcza7d2st1074za7, BGl_z62addzd2gczd2stackz12z70zzcommand_backtracez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2gczd2stackzd2envzd2zzcommand_backtracez00, BgL_bgl_za762getza7d2gcza7d2st1075za7, BGl_z62getzd2gczd2stackz62zzcommand_backtracez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1063z00zzcommand_backtracez00, BgL_bgl_string1063za700za7za7c1076za7, "Print backtrace of all stack frames, or innermost COUNT frames.\nWith a negative argument, print outermost -COUNT frames.", 120 );
DEFINE_STRING( BGl_string1065z00zzcommand_backtracez00, BgL_bgl_string1065za700za7za7c1077za7, "backtrace", 9 );
DEFINE_STRING( BGl_string1066z00zzcommand_backtracez00, BgL_bgl_string1066za700za7za7c1078za7, "bt", 2 );
DEFINE_STRING( BGl_string1067z00zzcommand_backtracez00, BgL_bgl_string1067za700za7za7c1079za7, "command_backtrace", 17 );
DEFINE_STRING( BGl_string1068z00zzcommand_backtracez00, BgL_bgl_string1068za700za7za7c1080za7, "long ", 5 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzcommand_backtracez00) );
ADD_ROOT( (void *)(&BGl_za2backtracezd2helpza2zd2zzcommand_backtracez00) );
ADD_ROOT( (void *)(&BGl_za2gczd2stacksza2zd2zzcommand_backtracez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcommand_backtracez00(long BgL_checksumz00_92, char * BgL_fromz00_93)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzcommand_backtracez00))
{ 
BGl_requirezd2initializa7ationz75zzcommand_backtracez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzcommand_backtracez00(); 
BGl_libraryzd2moduleszd2initz00zzcommand_backtracez00(); 
BGl_cnstzd2initzd2zzcommand_backtracez00(); 
BGl_importedzd2moduleszd2initz00zzcommand_backtracez00(); 
return 
BGl_toplevelzd2initzd2zzcommand_backtracez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "command_backtrace"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "command_backtrace"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "command_backtrace"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "command_backtrace"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "command_backtrace"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "command_backtrace"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
{ /* Command/backtrace.scm 14 */
 obj_t BgL_cportz00_81;
{ /* Command/backtrace.scm 14 */
 obj_t BgL_stringz00_88;
BgL_stringz00_88 = BGl_string1068z00zzcommand_backtracez00; 
{ /* Command/backtrace.scm 14 */
 obj_t BgL_startz00_89;
BgL_startz00_89 = 
BINT(((long)0)); 
{ /* Command/backtrace.scm 14 */
 obj_t BgL_endz00_90;
BgL_endz00_90 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_88))); 
{ /* Command/backtrace.scm 14 */

BgL_cportz00_81 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_88, BgL_startz00_89, BgL_endz00_90); } } } } 
{ 
 long BgL_iz00_82;
BgL_iz00_82 = ((long)0); 
BgL_loopz00_83:
if(
(BgL_iz00_82==((long)-1)))
{ /* Command/backtrace.scm 14 */
return BUNSPEC;}  else 
{ /* Command/backtrace.scm 14 */
{ /* Command/backtrace.scm 14 */
 obj_t BgL_arg1069z00_84;
{ /* Command/backtrace.scm 14 */

{ /* Command/backtrace.scm 14 */
 obj_t BgL_locationz00_86;
BgL_locationz00_86 = 
BBOOL(((bool_t)0)); 
{ /* Command/backtrace.scm 14 */

BgL_arg1069z00_84 = 
BGl_readz00zz__readerz00(BgL_cportz00_81, BgL_locationz00_86); } } } 
{ /* Command/backtrace.scm 14 */
 int BgL_tmpz00_117;
BgL_tmpz00_117 = 
(int)(BgL_iz00_82); 
CNST_TABLE_SET(BgL_tmpz00_117, BgL_arg1069z00_84); } } 
{ /* Command/backtrace.scm 14 */
 int BgL_auxz00_87;
BgL_auxz00_87 = 
(int)(
(BgL_iz00_82-((long)1))); 
{ 
 long BgL_iz00_122;
BgL_iz00_122 = 
(long)(BgL_auxz00_87); 
BgL_iz00_82 = BgL_iz00_122; 
goto BgL_loopz00_83;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
BGl_za2displayzd2framezd2armedzf3za2zf3zzcommand_backtracez00 = ((bool_t)0); 
BGl_za2gczd2stacksza2zd2zzcommand_backtracez00 = BNIL; 
BGl_za2backtracezd2helpza2zd2zzcommand_backtracez00 = BGl_string1063z00zzcommand_backtracez00; 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1065z00zzcommand_backtracez00, 
(int)(((long)2)), BGl_proc1064z00zzcommand_backtracez00, BGl_string1063z00zzcommand_backtracez00); 
return 
BGl_bindzd2toplevelzd2commandz12z12zzcommand_commandz00(BGl_string1066z00zzcommand_backtracez00, 
(int)(((long)2)), BGl_proc1064z00zzcommand_backtracez00, BGl_string1063z00zzcommand_backtracez00);} 

}



/* &action */
obj_t BGl_z62actionz62zzcommand_backtracez00(obj_t BgL_envz00_66, obj_t BgL_cmdz00_67, obj_t BgL_sourcez00_68, obj_t BgL_levelz00_69, obj_t BgL_envz00_70)
{
{ /* Command/backtrace.scm 109 */
return 
BGl_displayzd2stackzd2framesz00zzcommand_backtracez00(BgL_sourcez00_68);} 

}



/* display-stack-frames */
BGL_EXPORTED_DEF obj_t BGl_displayzd2stackzd2framesz00zzcommand_backtracez00(obj_t BgL_cmdz00_3)
{
{ /* Command/backtrace.scm 40 */
BGl_gdbzd2annotatezd2resetzd2stackzd2framesz12z12zzgdb_annotatez00(); 
{ /* Command/backtrace.scm 44 */
 obj_t BgL_framez00_23; obj_t BgL_funz00_24;
BgL_framez00_23 = 
BGl_gdbzd2annotatezd2currentzd2framezd2zzgdb_annotatez00(); 
BgL_funz00_24 = 
BGl_gdbzd2annotatezd2currentzd2functionzd2zzgdb_annotatez00(); 
{ /* Command/backtrace.scm 47 */
 obj_t BgL_list1055z00_25;
BgL_list1055z00_25 = 
MAKE_YOUNG_PAIR(BgL_cmdz00_3, BNIL); 
BGl_gdbzd2callzd2ze3stringze3zzgdb_invokez00(BgL_list1055z00_25); } 
{ /* Command/backtrace.scm 48 */
 obj_t BgL_stackz00_26;
BgL_stackz00_26 = 
BGl_gdbzd2annotatezd2stackzd2frameszd2zzgdb_annotatez00(); 
if(BGl_za2displayzd2framezd2armedzf3za2zf3zzcommand_backtracez00)
{ /* Command/backtrace.scm 50 */BFALSE; }  else 
{ /* Command/backtrace.scm 50 */
BGl_za2displayzd2framezd2armedzf3za2zf3zzcommand_backtracez00 = ((bool_t)1); 
{ /* Command/backtrace.scm 53 */
 obj_t BgL_g1050z00_27;
BgL_g1050z00_27 = 
bgl_reverse(
CDR(
((obj_t)BgL_stackz00_26))); 
{ 
 obj_t BgL_l1048z00_51;
BgL_l1048z00_51 = BgL_g1050z00_27; 
BgL_zc3z04anonymousza31056ze3z87_50:
if(
PAIRP(BgL_l1048z00_51))
{ /* Command/backtrace.scm 56 */
{ /* Command/backtrace.scm 54 */
 obj_t BgL_fz00_56;
BgL_fz00_56 = 
CAR(BgL_l1048z00_51); 
BGl_consolezd2framezd2zzgdb_annotatez00(BgL_fz00_56, 
CNST_TABLE_REF(((long)0))); 
BGl_consolezd2newlinezd2zztools_ioz00(); } 
{ 
 obj_t BgL_l1048z00_146;
BgL_l1048z00_146 = 
CDR(BgL_l1048z00_51); 
BgL_l1048z00_51 = BgL_l1048z00_146; 
goto BgL_zc3z04anonymousza31056ze3z87_50;} }  else 
{ /* Command/backtrace.scm 56 */((bool_t)1); } } } 
{ /* Command/backtrace.scm 57 */
 obj_t BgL_arg1060z00_36;
BgL_arg1060z00_36 = 
CAR(
((obj_t)BgL_stackz00_26)); 
BGl_consolezd2framezd2zzgdb_annotatez00(BgL_arg1060z00_36, 
CNST_TABLE_REF(((long)0))); } 
BGl_za2displayzd2framezd2armedzf3za2zf3zzcommand_backtracez00 = ((bool_t)0); } 
BGl_gdbzd2annotatezd2currentzd2functionzd2setz12z12zzgdb_annotatez00(BgL_funz00_24); 
return 
BGl_gdbzd2annotatezd2currentzd2framezd2setz12z12zzgdb_annotatez00(BgL_framez00_23);} } } 

}



/* &display-stack-frames */
obj_t BGl_z62displayzd2stackzd2framesz62zzcommand_backtracez00(obj_t BgL_envz00_71, obj_t BgL_cmdz00_72)
{
{ /* Command/backtrace.scm 40 */
return 
BGl_displayzd2stackzd2framesz00zzcommand_backtracez00(BgL_cmdz00_72);} 

}



/* frame=? */
BGL_EXPORTED_DEF obj_t BGl_framezd3zf3z20zzcommand_backtracez00(obj_t BgL_f1z00_4, obj_t BgL_f2z00_5)
{
{ /* Command/backtrace.scm 69 */
return 
BBOOL(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(BgL_f1z00_4, BgL_f2z00_5));} 

}



/* &frame=? */
obj_t BGl_z62framezd3zf3z42zzcommand_backtracez00(obj_t BgL_envz00_73, obj_t BgL_f1z00_74, obj_t BgL_f2z00_75)
{
{ /* Command/backtrace.scm 69 */
return 
BGl_framezd3zf3z20zzcommand_backtracez00(BgL_f1z00_74, BgL_f2z00_75);} 

}



/* reset-gc-stacks! */
BGL_EXPORTED_DEF obj_t BGl_resetzd2gczd2stacksz12z12zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 84 */
return ( 
BGl_za2gczd2stacksza2zd2zzcommand_backtracez00 = BNIL, BUNSPEC) ;} 

}



/* &reset-gc-stacks! */
obj_t BGl_z62resetzd2gczd2stacksz12z70zzcommand_backtracez00(obj_t BgL_envz00_76)
{
{ /* Command/backtrace.scm 84 */
return 
BGl_resetzd2gczd2stacksz12z12zzcommand_backtracez00();} 

}



/* add-gc-stack! */
BGL_EXPORTED_DEF obj_t BGl_addzd2gczd2stackz12z12zzcommand_backtracez00(obj_t BgL_stackz00_6)
{
{ /* Command/backtrace.scm 90 */
return ( 
BGl_za2gczd2stacksza2zd2zzcommand_backtracez00 = 
MAKE_YOUNG_PAIR(BgL_stackz00_6, BGl_za2gczd2stacksza2zd2zzcommand_backtracez00), BUNSPEC) ;} 

}



/* &add-gc-stack! */
obj_t BGl_z62addzd2gczd2stackz12z70zzcommand_backtracez00(obj_t BgL_envz00_77, obj_t BgL_stackz00_78)
{
{ /* Command/backtrace.scm 90 */
return 
BGl_addzd2gczd2stackz12z12zzcommand_backtracez00(BgL_stackz00_78);} 

}



/* get-gc-stack */
BGL_EXPORTED_DEF obj_t BGl_getzd2gczd2stackz00zzcommand_backtracez00(int BgL_numz00_7)
{
{ /* Command/backtrace.scm 96 */
{ /* Command/backtrace.scm 97 */
 long BgL_arg1061z00_61;
BgL_arg1061z00_61 = 
(
bgl_list_length(BGl_za2gczd2stacksza2zd2zzcommand_backtracez00)-
(long)(BgL_numz00_7)); 
return 
bgl_list_ref(BGl_za2gczd2stacksza2zd2zzcommand_backtracez00, BgL_arg1061z00_61);} } 

}



/* &get-gc-stack */
obj_t BGl_z62getzd2gczd2stackz62zzcommand_backtracez00(obj_t BgL_envz00_79, obj_t BgL_numz00_80)
{
{ /* Command/backtrace.scm 96 */
return 
BGl_getzd2gczd2stackz00zzcommand_backtracez00(
CINT(BgL_numz00_80));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzcommand_backtracez00(void)
{
{ /* Command/backtrace.scm 14 */
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)249086913), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zztools_toolsz00(((long)85148931), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zztools_ioz00(((long)467242068), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzpatient_manglingz00(((long)448820806), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzpatient_invokez00(((long)4031872), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzpatient_valuez00(((long)111683973), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzgdb_toolsz00(((long)501515133), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzgdb_invokez00(((long)66920335), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzgdb_annotatez00(((long)191796826), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)203313037), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00)); 
return 
BGl_modulezd2initializa7ationz75zzcommand_commandz00(((long)378887189), 
BSTRING_TO_STRING(BGl_string1067z00zzcommand_backtracez00));} 

}

#ifdef __cplusplus
}
#endif
