/*===========================================================================*/
/*   (Engine/engine.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -afile .afile -O2 -rm -fsharing -unsafe -c Engine/engine.scm -o Engine/engine.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t BGl_za2destza2z00zzengine_paramz00;
static obj_t BGl_requirezd2initializa7ationz75zzengine_enginez00 = BUNSPEC;
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31041ze3ze5zzengine_enginez00(obj_t);
extern obj_t BGl_translatez00zzengine_translatez00(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzengine_enginez00(void);
static obj_t BGl_genericzd2initzd2zzengine_enginez00(void);
extern obj_t BGl_za2evalzd2stubzf3za2z21zzengine_paramz00;
static obj_t BGl_objectzd2initzd2zzengine_enginez00(void);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_ciglooz00zzengine_enginez00(void);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31056ze3ze5zzengine_enginez00(obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzengine_enginez00(void);
extern obj_t BGl_za2oportza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
extern obj_t BGl_initzd2lexerz12zc0zzparser_lexerz00(void);
static obj_t BGl_z62translatezd2filezb0zzengine_enginez00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2opaquezd2typeza2zd2zzengine_paramz00;
extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzparser_lexerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztranslate_evalz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_translatez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62ciglooz62zzengine_enginez00(obj_t);
BGL_IMPORT bool_t fexists(char *);
extern obj_t BGl_za2srczd2dirnameza2zd2zzengine_paramz00;
BGL_EXPORTED_DECL obj_t BGl_translatezd2filezd2zzengine_enginez00(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zzengine_enginez00(void);
static obj_t BGl_libraryzd2moduleszd2initz00zzengine_enginez00(void);
extern obj_t BGl_za2srcza2z00zzengine_paramz00;
static obj_t BGl_za2filezd2processedza2zd2zzengine_enginez00 = BUNSPEC;
extern obj_t BGl_translatezd2evalzd2declarationsz00zztranslate_evalz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zzengine_enginez00(void);
static obj_t BGl_gczd2rootszd2initz00zzengine_enginez00(void);
extern obj_t BGl_translatezd2evalzd2stubsz00zztranslate_evalz00(void);
extern obj_t BGl_za2directivesza2z00zzengine_paramz00;
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
extern obj_t BGl_za2cigloozd2nameza2zd2zzengine_paramz00;
extern obj_t BGl_za2includezd2pathza2zd2zzengine_paramz00;
BGL_IMPORT obj_t BGl_memberz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_enginez00zzengine_enginez00(void);
static obj_t __cnst[ 6 ] ;


DEFINE_STRING( BGl_string1070z00zzengine_enginez00, BgL_bgl_string1070za700za7za7e1080za7, "\")", 2 );
DEFINE_STRING( BGl_string1071z00zzengine_enginez00, BgL_bgl_string1071za700za7za7e1081za7, "stdin", 5 );
DEFINE_STRING( BGl_string1072z00zzengine_enginez00, BgL_bgl_string1072za700za7za7e1082za7, "   )", 4 );
DEFINE_STRING( BGl_string1073z00zzengine_enginez00, BgL_bgl_string1073za700za7za7e1083za7, "   ))", 5 );
DEFINE_STRING( BGl_string1074z00zzengine_enginez00, BgL_bgl_string1074za700za7za7e1084za7, "/", 1 );
DEFINE_STRING( BGl_string1075z00zzengine_enginez00, BgL_bgl_string1075za700za7za7e1085za7, "Can't find file ", 16 );
DEFINE_STRING( BGl_string1076z00zzengine_enginez00, BgL_bgl_string1076za700za7za7e1086za7, "Can't open file for input", 25 );
DEFINE_STRING( BGl_string1077z00zzengine_enginez00, BgL_bgl_string1077za700za7za7e1087za7, "engine_engine", 13 );
DEFINE_STRING( BGl_string1078z00zzengine_enginez00, BgL_bgl_string1078za700za7za7e1088za7, "done include <include> open file emit ", 38 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_cigloozd2envzd2zzengine_enginez00, BgL_bgl_za762ciglooza762za7za7en1089z00, BGl_z62ciglooz62zzengine_enginez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1060z00zzengine_enginez00, BgL_bgl_string1060za700za7za7e1090za7, "cigloo", 6 );
DEFINE_STRING( BGl_string1061z00zzengine_enginez00, BgL_bgl_string1061za700za7za7e1091za7, "Can't open file for output", 26 );
DEFINE_STRING( BGl_string1062z00zzengine_enginez00, BgL_bgl_string1062za700za7za7e1092za7, ";; ", 3 );
DEFINE_STRING( BGl_string1063z00zzengine_enginez00, BgL_bgl_string1063za700za7za7e1093za7, ", to be used with ", 18 );
DEFINE_STRING( BGl_string1064z00zzengine_enginez00, BgL_bgl_string1064za700za7za7e1094za7, "Bigloo (4.5a)", 13 );
DEFINE_STRING( BGl_string1065z00zzengine_enginez00, BgL_bgl_string1065za700za7za7e1095za7, ".", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1059z00zzengine_enginez00, BgL_bgl_za762za7c3za704anonymo1096za7, BGl_z62zc3z04anonymousza31041ze3ze5zzengine_enginez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1066z00zzengine_enginez00, BgL_bgl_string1066za700za7za7e1097za7, "(directives", 11 );
DEFINE_STRING( BGl_string1067z00zzengine_enginez00, BgL_bgl_string1067za700za7za7e1098za7, " (extern", 8 );
DEFINE_STRING( BGl_string1068z00zzengine_enginez00, BgL_bgl_string1068za700za7za7e1099za7, "(type ", 6 );
DEFINE_STRING( BGl_string1069z00zzengine_enginez00, BgL_bgl_string1069za700za7za7e1100za7, " (opaque) \"", 11 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_translatezd2filezd2envz00zzengine_enginez00, BgL_bgl_za762translateza7d2f1101z00, BGl_z62translatezd2filezb0zzengine_enginez00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzengine_enginez00) );
ADD_ROOT( (void *)(&BGl_za2filezd2processedza2zd2zzengine_enginez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long BgL_checksumz00_169, char * BgL_fromz00_170)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzengine_enginez00))
{ 
BGl_requirezd2initializa7ationz75zzengine_enginez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzengine_enginez00(); 
BGl_libraryzd2moduleszd2initz00zzengine_enginez00(); 
BGl_cnstzd2initzd2zzengine_enginez00(); 
BGl_importedzd2moduleszd2initz00zzengine_enginez00(); 
return 
BGl_toplevelzd2initzd2zzengine_enginez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "engine_engine"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "engine_engine"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
{ /* Engine/engine.scm 15 */
 obj_t BgL_cportz00_158;
{ /* Engine/engine.scm 15 */
 obj_t BgL_stringz00_165;
BgL_stringz00_165 = BGl_string1078z00zzengine_enginez00; 
{ /* Engine/engine.scm 15 */
 obj_t BgL_startz00_166;
BgL_startz00_166 = 
BINT(((long)0)); 
{ /* Engine/engine.scm 15 */
 obj_t BgL_endz00_167;
BgL_endz00_167 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_165))); 
{ /* Engine/engine.scm 15 */

BgL_cportz00_158 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_165, BgL_startz00_166, BgL_endz00_167); } } } } 
{ 
 long BgL_iz00_159;
BgL_iz00_159 = ((long)5); 
BgL_loopz00_160:
if(
(BgL_iz00_159==((long)-1)))
{ /* Engine/engine.scm 15 */
return BUNSPEC;}  else 
{ /* Engine/engine.scm 15 */
{ /* Engine/engine.scm 15 */
 obj_t BgL_arg1079z00_161;
{ /* Engine/engine.scm 15 */

{ /* Engine/engine.scm 15 */
 obj_t BgL_locationz00_163;
BgL_locationz00_163 = 
BBOOL(((bool_t)0)); 
{ /* Engine/engine.scm 15 */

BgL_arg1079z00_161 = 
BGl_readz00zz__readerz00(BgL_cportz00_158, BgL_locationz00_163); } } } 
{ /* Engine/engine.scm 15 */
 int BgL_tmpz00_197;
BgL_tmpz00_197 = 
(int)(BgL_iz00_159); 
CNST_TABLE_SET(BgL_tmpz00_197, BgL_arg1079z00_161); } } 
{ /* Engine/engine.scm 15 */
 int BgL_auxz00_164;
BgL_auxz00_164 = 
(int)(
(BgL_iz00_159-((long)1))); 
{ 
 long BgL_iz00_202;
BgL_iz00_202 = 
(long)(BgL_auxz00_164); 
BgL_iz00_159 = BgL_iz00_202; 
goto BgL_loopz00_160;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
return ( 
BGl_za2filezd2processedza2zd2zzengine_enginez00 = BNIL, BUNSPEC) ;} 

}



/* cigloo */
BGL_EXPORTED_DEF obj_t BGl_ciglooz00zzengine_enginez00(void)
{
{ /* Engine/engine.scm 33 */
BGl_initzd2lexerz12zc0zzparser_lexerz00(); 
if(
STRINGP(BGl_za2destza2z00zzengine_paramz00))
{ /* Engine/engine.scm 36 */
{ /* Engine/engine.scm 38 */
 obj_t BgL_g1871z00_16;
BgL_g1871z00_16 = BGl_za2destza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 38 */

BGl_za2oportza2z00zzengine_paramz00 = 
BGl_openzd2outputzd2filez00zz__r4_ports_6_10_1z00(BgL_g1871z00_16, BTRUE); } } 
if(
OUTPUT_PORTP(BGl_za2oportza2z00zzengine_paramz00))
{ /* Engine/engine.scm 41 */
 obj_t BgL_exitd1013z00_19;
BgL_exitd1013z00_19 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Engine/engine.scm 41 */
 obj_t BgL_arg1812z00_74;
{ /* Engine/engine.scm 41 */
 obj_t BgL_arg1813z00_75;
BgL_arg1813z00_75 = 
BGL_EXITD_PROTECT(BgL_exitd1013z00_19); 
BgL_arg1812z00_74 = 
MAKE_YOUNG_PAIR(BGl_proc1059z00zzengine_enginez00, BgL_arg1813z00_75); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1013z00_19, BgL_arg1812z00_74); BUNSPEC; } 
{ /* Engine/engine.scm 41 */
 obj_t BgL_tmp1015z00_21;
BgL_tmp1015z00_21 = 
BGl_enginez00zzengine_enginez00(); 
{ /* Engine/engine.scm 41 */
 bool_t BgL_test1106z00_216;
{ /* Engine/engine.scm 41 */
 obj_t BgL_arg1811z00_77;
BgL_arg1811z00_77 = 
BGL_EXITD_PROTECT(BgL_exitd1013z00_19); 
BgL_test1106z00_216 = 
PAIRP(BgL_arg1811z00_77); } 
if(BgL_test1106z00_216)
{ /* Engine/engine.scm 41 */
 obj_t BgL_arg1809z00_78;
{ /* Engine/engine.scm 41 */
 obj_t BgL_arg1810z00_79;
BgL_arg1810z00_79 = 
BGL_EXITD_PROTECT(BgL_exitd1013z00_19); 
BgL_arg1809z00_78 = 
CDR(
((obj_t)BgL_arg1810z00_79)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1013z00_19, BgL_arg1809z00_78); BUNSPEC; }  else 
{ /* Engine/engine.scm 41 */BFALSE; } } 
bgl_close_output_port(BGl_za2oportza2z00zzengine_paramz00); 
return BgL_tmp1015z00_21;} }  else 
{ /* Engine/engine.scm 39 */
return 
BGl_errorz00zz__errorz00(BGl_string1060z00zzengine_enginez00, BGl_string1061z00zzengine_enginez00, BGl_za2destza2z00zzengine_paramz00);} }  else 
{ /* Engine/engine.scm 36 */
BGl_za2verboseza2z00zzengine_paramz00 = 
BINT(((long)-1)); 
BGL_TAIL return 
BGl_enginez00zzengine_enginez00();} } 

}



/* &cigloo */
obj_t BGl_z62ciglooz62zzengine_enginez00(obj_t BgL_envz00_149)
{
{ /* Engine/engine.scm 33 */
return 
BGl_ciglooz00zzengine_enginez00();} 

}



/* &<@anonymous:1041> */
obj_t BGl_z62zc3z04anonymousza31041ze3ze5zzengine_enginez00(obj_t BgL_envz00_150)
{
{ /* Engine/engine.scm 41 */
return 
bgl_close_output_port(BGl_za2oportza2z00zzengine_paramz00);} 

}



/* engine */
obj_t BGl_enginez00zzengine_enginez00(void)
{
{ /* Engine/engine.scm 55 */
if(
(
(long)CINT(BGl_za2verboseza2z00zzengine_paramz00)>=((long)0)))
{ /* Engine/engine.scm 59 */
 obj_t BgL_port1023z00_25;
BgL_port1023z00_25 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 59 */
 obj_t BgL_tmpz00_232;
BgL_tmpz00_232 = 
((obj_t)BgL_port1023z00_25); 
bgl_display_string(BGl_string1062z00zzengine_enginez00, BgL_tmpz00_232); } 
bgl_display_obj(BGl_za2cigloozd2nameza2zd2zzengine_paramz00, BgL_port1023z00_25); 
{ /* Engine/engine.scm 59 */
 obj_t BgL_tmpz00_236;
BgL_tmpz00_236 = 
((obj_t)BgL_port1023z00_25); 
bgl_display_string(BGl_string1063z00zzengine_enginez00, BgL_tmpz00_236); } 
{ /* Engine/engine.scm 59 */
 obj_t BgL_tmpz00_239;
BgL_tmpz00_239 = 
((obj_t)BgL_port1023z00_25); 
bgl_display_string(BGl_string1064z00zzengine_enginez00, BgL_tmpz00_239); } 
{ /* Engine/engine.scm 59 */
 obj_t BgL_tmpz00_242;
BgL_tmpz00_242 = 
((obj_t)BgL_port1023z00_25); 
bgl_display_string(BGl_string1065z00zzengine_enginez00, BgL_tmpz00_242); } 
{ /* Engine/engine.scm 59 */
 obj_t BgL_tmpz00_245;
BgL_tmpz00_245 = 
((obj_t)BgL_port1023z00_25); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_245); } }  else 
{ /* Engine/engine.scm 58 */BFALSE; } 
if(
CBOOL(BGl_za2directivesza2z00zzengine_paramz00))
{ /* Engine/engine.scm 62 */
 obj_t BgL_port1024z00_26;
BgL_port1024z00_26 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 62 */
 obj_t BgL_tmpz00_250;
BgL_tmpz00_250 = 
((obj_t)BgL_port1024z00_26); 
bgl_display_string(BGl_string1066z00zzengine_enginez00, BgL_tmpz00_250); } 
{ /* Engine/engine.scm 62 */
 obj_t BgL_tmpz00_253;
BgL_tmpz00_253 = 
((obj_t)BgL_port1024z00_26); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_253); } }  else 
{ /* Engine/engine.scm 61 */BFALSE; } 
{ /* Engine/engine.scm 63 */
 obj_t BgL_port1025z00_27;
BgL_port1025z00_27 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 63 */
 obj_t BgL_tmpz00_256;
BgL_tmpz00_256 = 
((obj_t)BgL_port1025z00_27); 
bgl_display_string(BGl_string1067z00zzengine_enginez00, BgL_tmpz00_256); } 
{ /* Engine/engine.scm 63 */
 obj_t BgL_tmpz00_259;
BgL_tmpz00_259 = 
((obj_t)BgL_port1025z00_27); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_259); } } 
{ 
 obj_t BgL_l1027z00_29;
BgL_l1027z00_29 = BGl_za2opaquezd2typeza2zd2zzengine_paramz00; 
BgL_zc3z04anonymousza31043ze3z87_30:
if(
PAIRP(BgL_l1027z00_29))
{ /* Engine/engine.scm 65 */
{ /* Engine/engine.scm 66 */
 obj_t BgL_namez00_32;
BgL_namez00_32 = 
CAR(BgL_l1027z00_29); 
{ /* Engine/engine.scm 66 */
 obj_t BgL_port1026z00_33;
BgL_port1026z00_33 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 66 */
 obj_t BgL_tmpz00_265;
BgL_tmpz00_265 = 
((obj_t)BgL_port1026z00_33); 
bgl_display_string(BGl_string1068z00zzengine_enginez00, BgL_tmpz00_265); } 
bgl_display_obj(BgL_namez00_32, BgL_port1026z00_33); 
{ /* Engine/engine.scm 66 */
 obj_t BgL_tmpz00_269;
BgL_tmpz00_269 = 
((obj_t)BgL_port1026z00_33); 
bgl_display_string(BGl_string1069z00zzengine_enginez00, BgL_tmpz00_269); } 
bgl_display_obj(BgL_namez00_32, BgL_port1026z00_33); 
{ /* Engine/engine.scm 66 */
 obj_t BgL_tmpz00_273;
BgL_tmpz00_273 = 
((obj_t)BgL_port1026z00_33); 
bgl_display_string(BGl_string1070z00zzengine_enginez00, BgL_tmpz00_273); } 
{ /* Engine/engine.scm 66 */
 obj_t BgL_tmpz00_276;
BgL_tmpz00_276 = 
((obj_t)BgL_port1026z00_33); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_276); } } } 
{ 
 obj_t BgL_l1027z00_279;
BgL_l1027z00_279 = 
CDR(BgL_l1027z00_29); 
BgL_l1027z00_29 = BgL_l1027z00_279; 
goto BgL_zc3z04anonymousza31043ze3z87_30;} }  else 
{ /* Engine/engine.scm 65 */((bool_t)1); } } 
if(
NULLP(BGl_za2srcza2z00zzengine_paramz00))
{ /* Engine/engine.scm 70 */
 obj_t BgL_modez00_108;
BgL_modez00_108 = 
CNST_TABLE_REF(((long)0)); 
{ /* Engine/engine.scm 88 */
 obj_t BgL_arg1050z00_109;
{ /* Engine/engine.scm 88 */
 obj_t BgL_tmpz00_284;
BgL_tmpz00_284 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1050z00_109 = 
BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_284); } 
BGl_translatez00zzengine_translatez00(BgL_arg1050z00_109, BGl_string1071z00zzengine_enginez00, BgL_modez00_108); } }  else 
{ /* Engine/engine.scm 71 */
 obj_t BgL_g1031z00_37;
BgL_g1031z00_37 = 
bgl_reverse_bang(BGl_za2srcza2z00zzengine_paramz00); 
{ 
 obj_t BgL_l1029z00_39;
{ /* Engine/engine.scm 72 */
 bool_t BgL_tmpz00_289;
BgL_l1029z00_39 = BgL_g1031z00_37; 
BgL_zc3z04anonymousza31047ze3z87_40:
if(
PAIRP(BgL_l1029z00_39))
{ /* Engine/engine.scm 72 */
{ /* Engine/engine.scm 71 */
 obj_t BgL_fnamez00_42;
BgL_fnamez00_42 = 
CAR(BgL_l1029z00_39); 
BGl_translatezd2filezd2zzengine_enginez00(BgL_fnamez00_42, 
CNST_TABLE_REF(((long)1)), 
CNST_TABLE_REF(((long)2))); } 
{ 
 obj_t BgL_l1029z00_296;
BgL_l1029z00_296 = 
CDR(BgL_l1029z00_39); 
BgL_l1029z00_39 = BgL_l1029z00_296; 
goto BgL_zc3z04anonymousza31047ze3z87_40;} }  else 
{ /* Engine/engine.scm 72 */
BgL_tmpz00_289 = ((bool_t)1)
; } 
BBOOL(BgL_tmpz00_289); } } } 
if(
CBOOL(BGl_za2directivesza2z00zzengine_paramz00))
{ /* Engine/engine.scm 74 */
if(
CBOOL(BGl_za2evalzd2stubzf3za2z21zzengine_paramz00))
{ /* Engine/engine.scm 75 */
{ /* Engine/engine.scm 77 */
 obj_t BgL_port1032z00_45;
BgL_port1032z00_45 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 77 */
 obj_t BgL_tmpz00_303;
BgL_tmpz00_303 = 
((obj_t)BgL_port1032z00_45); 
bgl_display_string(BGl_string1072z00zzengine_enginez00, BgL_tmpz00_303); } 
{ /* Engine/engine.scm 77 */
 obj_t BgL_tmpz00_306;
BgL_tmpz00_306 = 
((obj_t)BgL_port1032z00_45); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_306); } } 
BGl_translatezd2evalzd2declarationsz00zztranslate_evalz00(); 
{ /* Engine/engine.scm 79 */
 obj_t BgL_port1033z00_46;
BgL_port1033z00_46 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 79 */
 obj_t BgL_tmpz00_310;
BgL_tmpz00_310 = 
((obj_t)BgL_port1033z00_46); 
bgl_display_string(BGl_string1072z00zzengine_enginez00, BgL_tmpz00_310); } 
{ /* Engine/engine.scm 79 */
 obj_t BgL_tmpz00_313;
BgL_tmpz00_313 = 
((obj_t)BgL_port1033z00_46); 
bgl_display_char(((unsigned char)10), BgL_tmpz00_313); } } 
BGL_TAIL return 
BGl_translatezd2evalzd2stubsz00zztranslate_evalz00();}  else 
{ /* Engine/engine.scm 81 */
 obj_t BgL_port1034z00_47;
BgL_port1034z00_47 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 81 */
 obj_t BgL_tmpz00_317;
BgL_tmpz00_317 = 
((obj_t)BgL_port1034z00_47); 
bgl_display_string(BGl_string1073z00zzengine_enginez00, BgL_tmpz00_317); } 
{ /* Engine/engine.scm 81 */
 obj_t BgL_tmpz00_320;
BgL_tmpz00_320 = 
((obj_t)BgL_port1034z00_47); 
return 
bgl_display_char(((unsigned char)10), BgL_tmpz00_320);} } }  else 
{ /* Engine/engine.scm 82 */
 obj_t BgL_port1035z00_48;
BgL_port1035z00_48 = BGl_za2oportza2z00zzengine_paramz00; 
{ /* Engine/engine.scm 82 */
 obj_t BgL_tmpz00_323;
BgL_tmpz00_323 = 
((obj_t)BgL_port1035z00_48); 
bgl_display_string(BGl_string1072z00zzengine_enginez00, BgL_tmpz00_323); } 
{ /* Engine/engine.scm 82 */
 obj_t BgL_tmpz00_326;
BgL_tmpz00_326 = 
((obj_t)BgL_port1035z00_48); 
return 
bgl_display_char(((unsigned char)10), BgL_tmpz00_326);} } } 

}



/* translate-file */
BGL_EXPORTED_DEF obj_t BGl_translatezd2filezd2zzengine_enginez00(obj_t BgL_fnamez00_4, obj_t BgL_pathz00_5, obj_t BgL_modez00_6)
{
{ /* Engine/engine.scm 93 */
{ /* Engine/engine.scm 95 */
 obj_t BgL_fnamez00_50;
if(
(BgL_pathz00_5==
CNST_TABLE_REF(((long)3))))
{ /* Engine/engine.scm 97 */
 obj_t BgL__ortest_1017z00_67;
{ /* Engine/engine.scm 97 */
 obj_t BgL__andtest_1018z00_68;
BgL__andtest_1018z00_68 = BGl_za2srczd2dirnameza2zd2zzengine_paramz00; 
if(
CBOOL(BgL__andtest_1018z00_68))
{ /* Engine/engine.scm 99 */
 obj_t BgL_arg1057z00_69;
BgL_arg1057z00_69 = 
string_append_3(BGl_za2srczd2dirnameza2zd2zzengine_paramz00, BGl_string1074z00zzengine_enginez00, BgL_fnamez00_4); 
BgL__ortest_1017z00_67 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_arg1057z00_69, BGl_za2includezd2pathza2zd2zzengine_paramz00); }  else 
{ /* Engine/engine.scm 97 */
BgL__ortest_1017z00_67 = BFALSE; } } 
if(
CBOOL(BgL__ortest_1017z00_67))
{ /* Engine/engine.scm 97 */
BgL_fnamez00_50 = BgL__ortest_1017z00_67; }  else 
{ /* Engine/engine.scm 97 */
BgL_fnamez00_50 = 
BGl_findzd2filezf2pathz20zz__osz00(BgL_fnamez00_4, BGl_za2includezd2pathza2zd2zzengine_paramz00); } }  else 
{ /* Engine/engine.scm 96 */
if(
(BgL_pathz00_5==
CNST_TABLE_REF(((long)4))))
{ /* Engine/engine.scm 102 */
if(
CBOOL(BGl_za2srczd2dirnameza2zd2zzengine_paramz00))
{ /* Engine/engine.scm 103 */
BgL_fnamez00_50 = 
string_append_3(BGl_za2srczd2dirnameza2zd2zzengine_paramz00, BGl_string1074z00zzengine_enginez00, BgL_fnamez00_4); }  else 
{ /* Engine/engine.scm 103 */
BgL_fnamez00_50 = BgL_fnamez00_4; } }  else 
{ /* Engine/engine.scm 102 */
BGl_za2srczd2dirnameza2zd2zzengine_paramz00 = 
BGl_dirnamez00zz__osz00(BgL_fnamez00_4); 
{ /* Engine/engine.scm 108 */
 bool_t BgL_test1119z00_346;
{ /* Engine/engine.scm 108 */
 obj_t BgL_string1z00_127;
BgL_string1z00_127 = BGl_za2srczd2dirnameza2zd2zzengine_paramz00; 
{ /* Engine/engine.scm 108 */
 long BgL_l1z00_129;
BgL_l1z00_129 = 
STRING_LENGTH(BgL_string1z00_127); 
if(
(BgL_l1z00_129==((long)1)))
{ /* Engine/engine.scm 108 */
 int BgL_arg1290z00_132;
{ /* Engine/engine.scm 108 */
 char * BgL_auxz00_352; char * BgL_tmpz00_350;
BgL_auxz00_352 = 
BSTRING_TO_STRING(BGl_string1065z00zzengine_enginez00); 
BgL_tmpz00_350 = 
BSTRING_TO_STRING(BgL_string1z00_127); 
BgL_arg1290z00_132 = 
memcmp(BgL_tmpz00_350, BgL_auxz00_352, BgL_l1z00_129); } 
BgL_test1119z00_346 = 
(
(long)(BgL_arg1290z00_132)==((long)0)); }  else 
{ /* Engine/engine.scm 108 */
BgL_test1119z00_346 = ((bool_t)0)
; } } } 
if(BgL_test1119z00_346)
{ /* Engine/engine.scm 108 */
BGl_za2srczd2dirnameza2zd2zzengine_paramz00 = BFALSE; }  else 
{ /* Engine/engine.scm 108 */BFALSE; } } 
BgL_fnamez00_50 = BgL_fnamez00_4; } } 
{ /* Engine/engine.scm 112 */
 bool_t BgL_test1121z00_357;
if(
STRINGP(BgL_fnamez00_50))
{ /* Engine/engine.scm 112 */
if(
fexists(
BSTRING_TO_STRING(BgL_fnamez00_50)))
{ /* Engine/engine.scm 112 */
BgL_test1121z00_357 = ((bool_t)0)
; }  else 
{ /* Engine/engine.scm 112 */
BgL_test1121z00_357 = ((bool_t)1)
; } }  else 
{ /* Engine/engine.scm 112 */
BgL_test1121z00_357 = ((bool_t)1)
; } 
if(BgL_test1121z00_357)
{ /* Engine/engine.scm 112 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1060z00zzengine_enginez00, BGl_string1075z00zzengine_enginez00, BgL_fnamez00_50);}  else 
{ /* Engine/engine.scm 112 */
if(
CBOOL(
BGl_memberz00zz__r4_pairs_and_lists_6_3z00(BgL_fnamez00_50, BGl_za2filezd2processedza2zd2zzengine_enginez00)))
{ /* Engine/engine.scm 114 */
return 
CNST_TABLE_REF(((long)5));}  else 
{ /* Engine/engine.scm 114 */
BGl_za2filezd2processedza2zd2zzengine_enginez00 = 
MAKE_YOUNG_PAIR(BgL_fnamez00_50, BGl_za2filezd2processedza2zd2zzengine_enginez00); 
{ /* Engine/engine.scm 118 */
 obj_t BgL_portz00_55;
{ /* Engine/engine.scm 118 */

BgL_portz00_55 = 
BGl_openzd2inputzd2filez00zz__r4_ports_6_10_1z00(BgL_fnamez00_50, BTRUE, 
BINT(((long)5000000))); } 
if(
INPUT_PORTP(BgL_portz00_55))
{ /* Engine/engine.scm 121 */
 obj_t BgL_exitd1019z00_57;
BgL_exitd1019z00_57 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Engine/engine.scm 122 */
 obj_t BgL_zc3z04anonymousza31056ze3z87_151;
BgL_zc3z04anonymousza31056ze3z87_151 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31056ze3ze5zzengine_enginez00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31056ze3z87_151, 
(int)(((long)0)), BgL_portz00_55); 
{ /* Engine/engine.scm 121 */
 obj_t BgL_arg1812z00_140;
{ /* Engine/engine.scm 121 */
 obj_t BgL_arg1813z00_141;
BgL_arg1813z00_141 = 
BGL_EXITD_PROTECT(BgL_exitd1019z00_57); 
BgL_arg1812z00_140 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31056ze3z87_151, BgL_arg1813z00_141); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1019z00_57, BgL_arg1812z00_140); BUNSPEC; } 
{ /* Engine/engine.scm 121 */
 obj_t BgL_tmp1021z00_59;
BgL_tmp1021z00_59 = 
BGl_translatez00zzengine_translatez00(BgL_portz00_55, BgL_fnamez00_50, BgL_modez00_6); 
{ /* Engine/engine.scm 121 */
 bool_t BgL_test1126z00_383;
{ /* Engine/engine.scm 121 */
 obj_t BgL_arg1811z00_143;
BgL_arg1811z00_143 = 
BGL_EXITD_PROTECT(BgL_exitd1019z00_57); 
BgL_test1126z00_383 = 
PAIRP(BgL_arg1811z00_143); } 
if(BgL_test1126z00_383)
{ /* Engine/engine.scm 121 */
 obj_t BgL_arg1809z00_144;
{ /* Engine/engine.scm 121 */
 obj_t BgL_arg1810z00_145;
BgL_arg1810z00_145 = 
BGL_EXITD_PROTECT(BgL_exitd1019z00_57); 
BgL_arg1809z00_144 = 
CDR(
((obj_t)BgL_arg1810z00_145)); } 
BGL_EXITD_PROTECT_SET(BgL_exitd1019z00_57, BgL_arg1809z00_144); BUNSPEC; }  else 
{ /* Engine/engine.scm 121 */BFALSE; } } 
bgl_close_input_port(BgL_portz00_55); 
return BgL_tmp1021z00_59;} } }  else 
{ /* Engine/engine.scm 119 */
BGL_TAIL return 
BGl_errorz00zz__errorz00(BGl_string1060z00zzengine_enginez00, BGl_string1076z00zzengine_enginez00, BgL_fnamez00_50);} } } } } } } 

}



/* &translate-file */
obj_t BGl_z62translatezd2filezb0zzengine_enginez00(obj_t BgL_envz00_152, obj_t BgL_fnamez00_153, obj_t BgL_pathz00_154, obj_t BgL_modez00_155)
{
{ /* Engine/engine.scm 93 */
return 
BGl_translatezd2filezd2zzengine_enginez00(BgL_fnamez00_153, BgL_pathz00_154, BgL_modez00_155);} 

}



/* &<@anonymous:1056> */
obj_t BGl_z62zc3z04anonymousza31056ze3ze5zzengine_enginez00(obj_t BgL_envz00_156)
{
{ /* Engine/engine.scm 121 */
{ /* Engine/engine.scm 122 */
 obj_t BgL_portz00_157;
BgL_portz00_157 = 
PROCEDURE_REF(BgL_envz00_156, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_portz00_157));} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzengine_enginez00(void)
{
{ /* Engine/engine.scm 15 */
BGl_modulezd2initializa7ationz75zztools_speekz00(((long)465979883), 
BSTRING_TO_STRING(BGl_string1077z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzengine_paramz00(((long)145568585), 
BSTRING_TO_STRING(BGl_string1077z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zzengine_translatez00(((long)501110723), 
BSTRING_TO_STRING(BGl_string1077z00zzengine_enginez00)); 
BGl_modulezd2initializa7ationz75zztranslate_evalz00(((long)58331952), 
BSTRING_TO_STRING(BGl_string1077z00zzengine_enginez00)); 
return 
BGl_modulezd2initializa7ationz75zzparser_lexerz00(((long)249204564), 
BSTRING_TO_STRING(BGl_string1077z00zzengine_enginez00));} 

}

#ifdef __cplusplus
}
#endif
