/*===========================================================================*/
/*   (Cfa/box.scm)                                                           */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/box.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_stackablez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
		bool_t BgL_haszd2procedurezf3z21;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2makezd2boxz00_bgl
	{
	}                          *BgL_prezd2makezd2boxz00_bglt;

	typedef struct BgL_makezd2boxzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                            *BgL_makezd2boxzf2cinfoz20_bglt;

	typedef struct BgL_makezd2boxzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
	}                                *BgL_makezd2boxzf2ozd2cinfozf2_bglt;

	typedef struct BgL_boxzd2setz12zf2cinfoz32_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                              *BgL_boxzd2setz12zf2cinfoz32_bglt;

	typedef struct BgL_boxzd2refzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                           *BgL_boxzd2refzf2cinfoz20_bglt;

	typedef struct BgL_boxzd2setz12zf2ozd2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                                  *BgL_boxzd2setz12zf2ozd2cinfoze0_bglt;

	typedef struct BgL_boxzd2refzf2ozd2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_boxzd2refzf2ozd2cinfozf2_bglt;


	static obj_t BGl_objectzd2initzd2zzcfa_boxz00(void);
	extern obj_t BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00;
	extern obj_t BGl_prezd2makezd2boxz00zzcfa_infoz00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00(obj_t,
		BgL_approxz00_bglt);
	extern obj_t BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_boxz00(void);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_z62zc3z04anonymousza31630ze3ze5zzcfa_boxz00(obj_t, obj_t);
	extern BgL_approxz00_bglt
		BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_approxz00_bglt);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00(void);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00(void);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_approxz00_bglt);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BUNSPEC;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1530z42zzcfa_boxz00(obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1524za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_boxz00(void);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62nodezd2setupz12zd2makezd2box1518za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_boxz00(void);
	static obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121522zb0zzcfa_boxz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1528z50zzcfa_boxz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_nodez00_bglt);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(BgL_typez00_bglt,
		BgL_nodez00_bglt);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00;
	static obj_t BGl_z62nodezd2setupz12zd2prezd2make1520za2zzcfa_boxz00(obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzcfa_boxz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00(void);
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	static obj_t BGl_z62loosezd2allocz12zd2makezd2bo1532za2zzcfa_boxz00(obj_t,
		obj_t);
	extern obj_t BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1526z50zzcfa_boxz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31646ze3ze5zzcfa_boxz00(obj_t, obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static obj_t __cnst[1];


	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71993za7,
		BGl_z62nodezd2setupz12zd2makezd2box1518za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71994za7,
		BGl_z62nodezd2setupz12zd2prezd2make1520za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71995za7,
		BGl_z62nodezd2setupz12zd2boxzd2setz121522zb0zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzcfa_boxz00,
		BgL_bgl_za762nodeza7d2setupza71996za7,
		BGl_z62nodezd2setupz12zd2boxzd2ref1524za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2make1997za7,
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1526z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1984z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza71998z00,
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1528z50zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1985z00zzcfa_boxz00,
		BgL_bgl_za762cfaza712za7d2boxza71999z00,
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1530z42zzcfa_boxz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1986z00zzcfa_boxz00,
		BgL_bgl_za762looseza7d2alloc2000z00,
		BGl_z62loosezd2allocz12zd2makezd2bo1532za2zzcfa_boxz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_STRING(BGl_string1978z00zzcfa_boxz00,
		BgL_bgl_string1978za700za7za7c2001za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string1983z00zzcfa_boxz00,
		BgL_bgl_string1983za700za7za7c2002za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string1987z00zzcfa_boxz00,
		BgL_bgl_string1987za700za7za7c2003za7, "loose-alloc!", 12);
	      DEFINE_STRING(BGl_string1988z00zzcfa_boxz00,
		BgL_bgl_string1988za700za7za7c2004za7, "box-ref", 7);
	      DEFINE_STRING(BGl_string1989z00zzcfa_boxz00,
		BgL_bgl_string1989za700za7za7c2005za7,
		"Illegal mixed of optimized and unoptimize `make-box'", 52);
	      DEFINE_STRING(BGl_string1990z00zzcfa_boxz00,
		BgL_bgl_string1990za700za7za7c2006za7, "cfa_box", 7);
	      DEFINE_STRING(BGl_string1991z00zzcfa_boxz00,
		BgL_bgl_string1991za700za7za7c2007za7, "all ", 4);
	extern obj_t BGl_loosezd2allocz12zd2envz12zzcfa_loosez00;

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_boxz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_boxz00(long
		BgL_checksumz00_3961, char *BgL_fromz00_3962)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_boxz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_boxz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_boxz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_boxz00();
					BGl_cnstzd2initzd2zzcfa_boxz00();
					BGl_importedzd2moduleszd2initz00zzcfa_boxz00();
					BGl_methodzd2initzd2zzcfa_boxz00();
					return BGl_toplevelzd2initzd2zzcfa_boxz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_box");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_box");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			{	/* Cfa/box.scm 15 */
				obj_t BgL_cportz00_3853;

				{	/* Cfa/box.scm 15 */
					obj_t BgL_stringz00_3860;

					BgL_stringz00_3860 = BGl_string1991z00zzcfa_boxz00;
					{	/* Cfa/box.scm 15 */
						obj_t BgL_startz00_3861;

						BgL_startz00_3861 = BINT(((long) 0));
						{	/* Cfa/box.scm 15 */
							obj_t BgL_endz00_3862;

							BgL_endz00_3862 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3860)));
							{	/* Cfa/box.scm 15 */

								BgL_cportz00_3853 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3860, BgL_startz00_3861, BgL_endz00_3862);
				}}}}
				{
					long BgL_iz00_3854;

					BgL_iz00_3854 = ((long) 0);
				BgL_loopz00_3855:
					if ((BgL_iz00_3854 == ((long) -1)))
						{	/* Cfa/box.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/box.scm 15 */
							{	/* Cfa/box.scm 15 */
								obj_t BgL_arg1992z00_3856;

								{	/* Cfa/box.scm 15 */

									{	/* Cfa/box.scm 15 */
										obj_t BgL_locationz00_3858;

										BgL_locationz00_3858 = BBOOL(((bool_t) 0));
										{	/* Cfa/box.scm 15 */

											BgL_arg1992z00_3856 =
												BGl_readz00zz__readerz00(BgL_cportz00_3853,
												BgL_locationz00_3858);
										}
									}
								}
								{	/* Cfa/box.scm 15 */
									int BgL_tmpz00_3988;

									BgL_tmpz00_3988 = (int) (BgL_iz00_3854);
									CNST_TABLE_SET(BgL_tmpz00_3988, BgL_arg1992z00_3856);
							}}
							{	/* Cfa/box.scm 15 */
								int BgL_auxz00_3859;

								BgL_auxz00_3859 = (int) ((BgL_iz00_3854 - ((long) 1)));
								{
									long BgL_iz00_3993;

									BgL_iz00_3993 = (long) (BgL_auxz00_3859);
									BgL_iz00_3854 = BgL_iz00_3993;
									goto BgL_loopz00_3855;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1977z00zzcfa_boxz00,
				BGl_string1978z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2makezd2boxz00zzcfa_infoz00, BGl_proc1979z00zzcfa_boxz00,
				BGl_string1978z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1980z00zzcfa_boxz00,
				BGl_string1978z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1981z00zzcfa_boxz00,
				BGl_string1978z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc1982z00zzcfa_boxz00,
				BGl_string1983z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00, BGl_proc1984z00zzcfa_boxz00,
				BGl_string1983z00zzcfa_boxz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00,
				BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00,
				BGl_proc1985z00zzcfa_boxz00, BGl_string1983z00zzcfa_boxz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_loosezd2allocz12zd2envz12zzcfa_loosez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1986z00zzcfa_boxz00,
				BGl_string1987z00zzcfa_boxz00);
		}

	}



/* &loose-alloc!-make-bo1532 */
	obj_t BGl_z62loosezd2allocz12zd2makezd2bo1532za2zzcfa_boxz00(obj_t
		BgL_envz00_3823, obj_t BgL_allocz00_3824)
	{
		{	/* Cfa/box.scm 145 */
			return BUNSPEC;
		}

	}



/* &cfa!-box-set!/O-Cinf1530 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2setz12zf2Ozd2Cinf1530z42zzcfa_boxz00(obj_t
		BgL_envz00_3825, obj_t BgL_nodez00_3826)
	{
		{	/* Cfa/box.scm 117 */
			{	/* Cfa/box.scm 119 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3866;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3867;

				{	/* Cfa/box.scm 119 */
					BgL_varz00_bglt BgL_arg1661z00_3868;

					BgL_arg1661z00_3868 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3826))))->BgL_varz00);
					BgL_boxzd2approxzd2_3866 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1661z00_3868));
				}
				{	/* Cfa/box.scm 120 */
					BgL_nodez00_bglt BgL_arg1663z00_3869;

					BgL_arg1663z00_3869 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3826))))->
						BgL_valuez00);
					BgL_valzd2approxzd2_3867 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1663z00_3869);
				}
				if (
					(((BgL_approxz00_bglt) COBJECT(BgL_boxzd2approxzd2_3866))->
						BgL_topzf3zf3))
					{	/* Cfa/box.scm 122 */
						((obj_t)
							BGl_loosez12z12zzcfa_loosez00(BgL_valzd2approxzd2_3867,
								CNST_TABLE_REF(((long) 0))));
					}
				else
					{	/* Cfa/box.scm 128 */
						obj_t BgL_zc3z04anonymousza31646ze3z87_3870;

						BgL_zc3z04anonymousza31646ze3z87_3870 =
							MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31646ze3ze5zzcfa_boxz00,
							(int) (((long) 1)), (int) (((long) 2)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31646ze3z87_3870,
							(int) (((long) 0)),
							((obj_t) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3826)));
						PROCEDURE_SET(BgL_zc3z04anonymousza31646ze3z87_3870,
							(int) (((long) 1)), ((obj_t) BgL_valzd2approxzd2_3867));
						BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
							(BgL_zc3z04anonymousza31646ze3z87_3870, BgL_boxzd2approxzd2_3866);
			}}
			{
				BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_4029;

				{
					obj_t BgL_auxz00_4030;

					{	/* Cfa/box.scm 137 */
						BgL_objectz00_bglt BgL_tmpz00_4031;

						BgL_tmpz00_4031 =
							((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3826));
						BgL_auxz00_4030 = BGL_OBJECT_WIDENING(BgL_tmpz00_4031);
					}
					BgL_auxz00_4029 =
						((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_4030);
				}
				return
					(((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) COBJECT(BgL_auxz00_4029))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1646> */
	obj_t BGl_z62zc3z04anonymousza31646ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3827,
		obj_t BgL_boxz00_3830)
	{
		{	/* Cfa/box.scm 126 */
			{	/* Cfa/box.scm 128 */
				BgL_boxzd2setz12zc0_bglt BgL_nodez00_3828;
				BgL_approxz00_bglt BgL_valzd2approxzd2_3829;

				BgL_nodez00_3828 =
					((BgL_boxzd2setz12zc0_bglt)
					PROCEDURE_REF(BgL_envz00_3827, (int) (((long) 0))));
				BgL_valzd2approxzd2_3829 =
					((BgL_approxz00_bglt)
					PROCEDURE_REF(BgL_envz00_3827, (int) (((long) 1))));
				{	/* Cfa/box.scm 128 */
					bool_t BgL_test2011z00_4043;

					{	/* Cfa/box.scm 128 */
						obj_t BgL_classz00_3871;

						BgL_classz00_3871 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_boxz00_3830))
							{	/* Cfa/box.scm 128 */
								BgL_objectz00_bglt BgL_arg1820z00_3872;

								BgL_arg1820z00_3872 = (BgL_objectz00_bglt) (BgL_boxz00_3830);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/box.scm 128 */
										long BgL_idxz00_3873;

										BgL_idxz00_3873 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3872);
										BgL_test2011z00_4043 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3873 + ((long) 4))) == BgL_classz00_3871);
									}
								else
									{	/* Cfa/box.scm 128 */
										bool_t BgL_res1961z00_3876;

										{	/* Cfa/box.scm 128 */
											obj_t BgL_oclassz00_3877;

											{	/* Cfa/box.scm 128 */
												long BgL_arg1828z00_3878;

												{	/* Cfa/box.scm 128 */
													long BgL_arg1829z00_3879;

													BgL_arg1829z00_3879 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3872);
													BgL_arg1828z00_3878 =
														(BgL_arg1829z00_3879 - OBJECT_TYPE);
												}
												BgL_oclassz00_3877 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3878);
											}
											{	/* Cfa/box.scm 128 */
												bool_t BgL__ortest_1111z00_3880;

												BgL__ortest_1111z00_3880 =
													(BgL_classz00_3871 == BgL_oclassz00_3877);
												if (BgL__ortest_1111z00_3880)
													{	/* Cfa/box.scm 128 */
														BgL_res1961z00_3876 = BgL__ortest_1111z00_3880;
													}
												else
													{	/* Cfa/box.scm 128 */
														long BgL_odepthz00_3881;

														BgL_odepthz00_3881 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3877);
														if ((((long) 4) < BgL_odepthz00_3881))
															{	/* Cfa/box.scm 128 */
																obj_t BgL_arg1816z00_3882;

																BgL_arg1816z00_3882 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3877,
																	((long) 4));
																BgL_res1961z00_3876 =
																	(BgL_arg1816z00_3882 == BgL_classz00_3871);
															}
														else
															{	/* Cfa/box.scm 128 */
																BgL_res1961z00_3876 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2011z00_4043 = BgL_res1961z00_3876;
									}
							}
						else
							{	/* Cfa/box.scm 128 */
								BgL_test2011z00_4043 = ((bool_t) 0);
							}
					}
					if (BgL_test2011z00_4043)
						{	/* Cfa/box.scm 130 */
							BgL_approxz00_bglt BgL_arg1651z00_3883;

							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4063;

								{
									obj_t BgL_auxz00_4064;

									{	/* Cfa/box.scm 130 */
										BgL_objectz00_bglt BgL_tmpz00_4065;

										BgL_tmpz00_4065 =
											((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_boxz00_3830));
										BgL_auxz00_4064 = BGL_OBJECT_WIDENING(BgL_tmpz00_4065);
									}
									BgL_auxz00_4063 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4064);
								}
								BgL_arg1651z00_3883 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4063))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1651z00_3883,
									BgL_valzd2approxzd2_3829));
						}
					else
						{	/* Cfa/box.scm 131 */
							bool_t BgL_test2016z00_4073;

							{	/* Cfa/box.scm 131 */
								obj_t BgL_classz00_3884;

								BgL_classz00_3884 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_boxz00_3830))
									{	/* Cfa/box.scm 131 */
										BgL_objectz00_bglt BgL_arg1820z00_3885;

										BgL_arg1820z00_3885 =
											(BgL_objectz00_bglt) (BgL_boxz00_3830);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/box.scm 131 */
												long BgL_idxz00_3886;

												BgL_idxz00_3886 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3885);
												BgL_test2016z00_4073 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3886 + ((long) 4))) ==
													BgL_classz00_3884);
											}
										else
											{	/* Cfa/box.scm 131 */
												bool_t BgL_res1962z00_3889;

												{	/* Cfa/box.scm 131 */
													obj_t BgL_oclassz00_3890;

													{	/* Cfa/box.scm 131 */
														long BgL_arg1828z00_3891;

														{	/* Cfa/box.scm 131 */
															long BgL_arg1829z00_3892;

															BgL_arg1829z00_3892 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3885);
															BgL_arg1828z00_3891 =
																(BgL_arg1829z00_3892 - OBJECT_TYPE);
														}
														BgL_oclassz00_3890 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3891);
													}
													{	/* Cfa/box.scm 131 */
														bool_t BgL__ortest_1111z00_3893;

														BgL__ortest_1111z00_3893 =
															(BgL_classz00_3884 == BgL_oclassz00_3890);
														if (BgL__ortest_1111z00_3893)
															{	/* Cfa/box.scm 131 */
																BgL_res1962z00_3889 = BgL__ortest_1111z00_3893;
															}
														else
															{	/* Cfa/box.scm 131 */
																long BgL_odepthz00_3894;

																BgL_odepthz00_3894 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3890);
																if ((((long) 4) < BgL_odepthz00_3894))
																	{	/* Cfa/box.scm 131 */
																		obj_t BgL_arg1816z00_3895;

																		BgL_arg1816z00_3895 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3890, ((long) 4));
																		BgL_res1962z00_3889 =
																			(BgL_arg1816z00_3895 ==
																			BgL_classz00_3884);
																	}
																else
																	{	/* Cfa/box.scm 131 */
																		BgL_res1962z00_3889 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2016z00_4073 = BgL_res1962z00_3889;
											}
									}
								else
									{	/* Cfa/box.scm 131 */
										BgL_test2016z00_4073 = ((bool_t) 0);
									}
							}
							if (BgL_test2016z00_4073)
								{	/* Cfa/box.scm 135 */
									obj_t BgL_arg1653z00_3896;

									BgL_arg1653z00_3896 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3828));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1988z00zzcfa_boxz00,
										BGl_string1989z00zzcfa_boxz00, BgL_arg1653z00_3896);
								}
							else
								{	/* Cfa/box.scm 131 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-box-ref/O-Cinfo1528 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2boxzd2refzf2Ozd2Cinfo1528z50zzcfa_boxz00(obj_t
		BgL_envz00_3831, obj_t BgL_nodez00_3832)
	{
		{	/* Cfa/box.scm 97 */
			{	/* Cfa/box.scm 99 */
				BgL_approxz00_bglt BgL_boxzd2approxzd2_3898;

				{	/* Cfa/box.scm 99 */
					BgL_varz00_bglt BgL_arg1641z00_3899;

					BgL_arg1641z00_3899 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3832))))->BgL_varz00);
					BgL_boxzd2approxzd2_3898 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1641z00_3899));
				}
				{	/* Cfa/box.scm 103 */
					obj_t BgL_zc3z04anonymousza31630ze3z87_3900;

					BgL_zc3z04anonymousza31630ze3z87_3900 =
						MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31630ze3ze5zzcfa_boxz00,
						(int) (((long) 1)), (int) (((long) 2)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31630ze3z87_3900,
						(int) (((long) 0)),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3832)));
					PROCEDURE_SET(BgL_zc3z04anonymousza31630ze3z87_3900,
						(int) (((long) 1)),
						((obj_t) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3832)));
					BGl_forzd2eachzd2approxzd2alloczd2zzcfa_approxz00
						(BgL_zc3z04anonymousza31630ze3z87_3900, BgL_boxzd2approxzd2_3898);
			}}
			{
				BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4113;

				{
					obj_t BgL_auxz00_4114;

					{	/* Cfa/box.scm 112 */
						BgL_objectz00_bglt BgL_tmpz00_4115;

						BgL_tmpz00_4115 =
							((BgL_objectz00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3832));
						BgL_auxz00_4114 = BGL_OBJECT_WIDENING(BgL_tmpz00_4115);
					}
					BgL_auxz00_4113 =
						((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4114);
				}
				return
					(((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4113))->
					BgL_approxz00);
			}
		}

	}



/* &<@anonymous:1630> */
	obj_t BGl_z62zc3z04anonymousza31630ze3ze5zzcfa_boxz00(obj_t BgL_envz00_3833,
		obj_t BgL_boxz00_3836)
	{
		{	/* Cfa/box.scm 101 */
			{	/* Cfa/box.scm 103 */
				BgL_boxzd2refzd2_bglt BgL_nodez00_3834;
				BgL_boxzd2refzd2_bglt BgL_i1190z00_3835;

				BgL_nodez00_3834 =
					((BgL_boxzd2refzd2_bglt)
					PROCEDURE_REF(BgL_envz00_3833, (int) (((long) 0))));
				BgL_i1190z00_3835 =
					((BgL_boxzd2refzd2_bglt)
					PROCEDURE_REF(BgL_envz00_3833, (int) (((long) 1))));
				{	/* Cfa/box.scm 103 */
					bool_t BgL_test2021z00_4127;

					{	/* Cfa/box.scm 103 */
						obj_t BgL_classz00_3901;

						BgL_classz00_3901 = BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00;
						if (BGL_OBJECTP(BgL_boxz00_3836))
							{	/* Cfa/box.scm 103 */
								BgL_objectz00_bglt BgL_arg1820z00_3902;

								BgL_arg1820z00_3902 = (BgL_objectz00_bglt) (BgL_boxz00_3836);
								if (BGL_CONDEXPAND_ISA_ARCH64())
									{	/* Cfa/box.scm 103 */
										long BgL_idxz00_3903;

										BgL_idxz00_3903 =
											BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3902);
										BgL_test2021z00_4127 =
											(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
												(BgL_idxz00_3903 + ((long) 4))) == BgL_classz00_3901);
									}
								else
									{	/* Cfa/box.scm 103 */
										bool_t BgL_res1959z00_3906;

										{	/* Cfa/box.scm 103 */
											obj_t BgL_oclassz00_3907;

											{	/* Cfa/box.scm 103 */
												long BgL_arg1828z00_3908;

												{	/* Cfa/box.scm 103 */
													long BgL_arg1829z00_3909;

													BgL_arg1829z00_3909 =
														BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3902);
													BgL_arg1828z00_3908 =
														(BgL_arg1829z00_3909 - OBJECT_TYPE);
												}
												BgL_oclassz00_3907 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1828z00_3908);
											}
											{	/* Cfa/box.scm 103 */
												bool_t BgL__ortest_1111z00_3910;

												BgL__ortest_1111z00_3910 =
													(BgL_classz00_3901 == BgL_oclassz00_3907);
												if (BgL__ortest_1111z00_3910)
													{	/* Cfa/box.scm 103 */
														BgL_res1959z00_3906 = BgL__ortest_1111z00_3910;
													}
												else
													{	/* Cfa/box.scm 103 */
														long BgL_odepthz00_3911;

														BgL_odepthz00_3911 =
															BGL_CLASS_DEPTH(BgL_oclassz00_3907);
														if ((((long) 4) < BgL_odepthz00_3911))
															{	/* Cfa/box.scm 103 */
																obj_t BgL_arg1816z00_3912;

																BgL_arg1816z00_3912 =
																	BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_3907,
																	((long) 4));
																BgL_res1959z00_3906 =
																	(BgL_arg1816z00_3912 == BgL_classz00_3901);
															}
														else
															{	/* Cfa/box.scm 103 */
																BgL_res1959z00_3906 = ((bool_t) 0);
															}
													}
											}
										}
										BgL_test2021z00_4127 = BgL_res1959z00_3906;
									}
							}
						else
							{	/* Cfa/box.scm 103 */
								BgL_test2021z00_4127 = ((bool_t) 0);
							}
					}
					if (BgL_test2021z00_4127)
						{	/* Cfa/box.scm 105 */
							BgL_approxz00_bglt BgL_arg1635z00_3913;
							BgL_approxz00_bglt BgL_arg1636z00_3914;

							{
								BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4147;

								{
									obj_t BgL_auxz00_4148;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_tmpz00_4149;

										BgL_tmpz00_4149 = ((BgL_objectz00_bglt) BgL_i1190z00_3835);
										BgL_auxz00_4148 = BGL_OBJECT_WIDENING(BgL_tmpz00_4149);
									}
									BgL_auxz00_4147 =
										((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4148);
								}
								BgL_arg1635z00_3913 =
									(((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4147))->BgL_approxz00);
							}
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4154;

								{
									obj_t BgL_auxz00_4155;

									{	/* Cfa/box.scm 105 */
										BgL_objectz00_bglt BgL_tmpz00_4156;

										BgL_tmpz00_4156 =
											((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_boxz00_3836));
										BgL_auxz00_4155 = BGL_OBJECT_WIDENING(BgL_tmpz00_4156);
									}
									BgL_auxz00_4154 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4155);
								}
								BgL_arg1636z00_3914 =
									(((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4154))->BgL_valuezd2approxzd2);
							}
							return
								((obj_t)
								BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1635z00_3913,
									BgL_arg1636z00_3914));
						}
					else
						{	/* Cfa/box.scm 106 */
							bool_t BgL_test2026z00_4164;

							{	/* Cfa/box.scm 106 */
								obj_t BgL_classz00_3915;

								BgL_classz00_3915 = BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00;
								if (BGL_OBJECTP(BgL_boxz00_3836))
									{	/* Cfa/box.scm 106 */
										BgL_objectz00_bglt BgL_arg1820z00_3916;

										BgL_arg1820z00_3916 =
											(BgL_objectz00_bglt) (BgL_boxz00_3836);
										if (BGL_CONDEXPAND_ISA_ARCH64())
											{	/* Cfa/box.scm 106 */
												long BgL_idxz00_3917;

												BgL_idxz00_3917 =
													BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_3916);
												BgL_test2026z00_4164 =
													(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
														(BgL_idxz00_3917 + ((long) 4))) ==
													BgL_classz00_3915);
											}
										else
											{	/* Cfa/box.scm 106 */
												bool_t BgL_res1960z00_3920;

												{	/* Cfa/box.scm 106 */
													obj_t BgL_oclassz00_3921;

													{	/* Cfa/box.scm 106 */
														long BgL_arg1828z00_3922;

														{	/* Cfa/box.scm 106 */
															long BgL_arg1829z00_3923;

															BgL_arg1829z00_3923 =
																BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_3916);
															BgL_arg1828z00_3922 =
																(BgL_arg1829z00_3923 - OBJECT_TYPE);
														}
														BgL_oclassz00_3921 =
															VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
															BgL_arg1828z00_3922);
													}
													{	/* Cfa/box.scm 106 */
														bool_t BgL__ortest_1111z00_3924;

														BgL__ortest_1111z00_3924 =
															(BgL_classz00_3915 == BgL_oclassz00_3921);
														if (BgL__ortest_1111z00_3924)
															{	/* Cfa/box.scm 106 */
																BgL_res1960z00_3920 = BgL__ortest_1111z00_3924;
															}
														else
															{	/* Cfa/box.scm 106 */
																long BgL_odepthz00_3925;

																BgL_odepthz00_3925 =
																	BGL_CLASS_DEPTH(BgL_oclassz00_3921);
																if ((((long) 4) < BgL_odepthz00_3925))
																	{	/* Cfa/box.scm 106 */
																		obj_t BgL_arg1816z00_3926;

																		BgL_arg1816z00_3926 =
																			BGL_CLASS_ANCESTORS_REF
																			(BgL_oclassz00_3921, ((long) 4));
																		BgL_res1960z00_3920 =
																			(BgL_arg1816z00_3926 ==
																			BgL_classz00_3915);
																	}
																else
																	{	/* Cfa/box.scm 106 */
																		BgL_res1960z00_3920 = ((bool_t) 0);
																	}
															}
													}
												}
												BgL_test2026z00_4164 = BgL_res1960z00_3920;
											}
									}
								else
									{	/* Cfa/box.scm 106 */
										BgL_test2026z00_4164 = ((bool_t) 0);
									}
							}
							if (BgL_test2026z00_4164)
								{	/* Cfa/box.scm 110 */
									obj_t BgL_arg1639z00_3927;

									BgL_arg1639z00_3927 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_nodez00_3834));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1988z00zzcfa_boxz00,
										BGl_string1989z00zzcfa_boxz00, BgL_arg1639z00_3927);
								}
							else
								{	/* Cfa/box.scm 106 */
									return BFALSE;
								}
						}
				}
			}
		}

	}



/* &cfa!-make-box/O-Cinf1526 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2makezd2boxzf2Ozd2Cinf1526z50zzcfa_boxz00(obj_t
		BgL_envz00_3837, obj_t BgL_nodez00_3838)
	{
		{	/* Cfa/box.scm 87 */
			{	/* Cfa/box.scm 90 */
				BgL_approxz00_bglt BgL_initzd2valuezd2approxz00_3929;

				{	/* Cfa/box.scm 90 */
					BgL_nodez00_bglt BgL_arg1625z00_3930;

					BgL_arg1625z00_3930 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3838))))->BgL_valuez00);
					BgL_initzd2valuezd2approxz00_3929 =
						BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1625z00_3930);
				}
				{	/* Cfa/box.scm 91 */
					BgL_approxz00_bglt BgL_arg1616z00_3931;

					{
						BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4191;

						{
							obj_t BgL_auxz00_4192;

							{	/* Cfa/box.scm 91 */
								BgL_objectz00_bglt BgL_tmpz00_4193;

								BgL_tmpz00_4193 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3838));
								BgL_auxz00_4192 = BGL_OBJECT_WIDENING(BgL_tmpz00_4193);
							}
							BgL_auxz00_4191 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4192);
						}
						BgL_arg1616z00_3931 =
							(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4191))->
							BgL_valuezd2approxzd2);
					}
					BGl_unionzd2approxz12zc0zzcfa_approxz00(BgL_arg1616z00_3931,
						BgL_initzd2valuezd2approxz00_3929);
				}
				{
					BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4200;

					{
						obj_t BgL_auxz00_4201;

						{	/* Cfa/box.scm 92 */
							BgL_objectz00_bglt BgL_tmpz00_4202;

							BgL_tmpz00_4202 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3838));
							BgL_auxz00_4201 = BGL_OBJECT_WIDENING(BgL_tmpz00_4202);
						}
						BgL_auxz00_4200 =
							((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4201);
					}
					return
						(((BgL_makezd2boxzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4200))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-box-ref1524 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2ref1524za2zzcfa_boxz00(obj_t
		BgL_envz00_3839, obj_t BgL_nodez00_3840)
	{
		{	/* Cfa/box.scm 73 */
			{	/* Cfa/box.scm 75 */
				BgL_varz00_bglt BgL_arg1600z00_3933;

				BgL_arg1600z00_3933 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1600z00_3933));
			}
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 77 */
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_wide1183z00_3934;

						BgL_wide1183z00_3934 =
							((BgL_boxzd2refzf2ozd2cinfozf2_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2ozd2cinfozf2_bgl))));
						{	/* Cfa/box.scm 77 */
							obj_t BgL_auxz00_4220;
							BgL_objectz00_bglt BgL_tmpz00_4216;

							BgL_auxz00_4220 = ((obj_t) BgL_wide1183z00_3934);
							BgL_tmpz00_4216 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4216, BgL_auxz00_4220);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
						{	/* Cfa/box.scm 77 */
							long BgL_arg1610z00_3935;

							BgL_arg1610z00_3935 =
								BGL_CLASS_NUM(BGl_boxzd2refzf2Ozd2Cinfozf2zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840))),
								BgL_arg1610z00_3935);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
					}
					{
						BgL_boxzd2refzf2ozd2cinfozf2_bglt BgL_auxz00_4234;

						{
							obj_t BgL_auxz00_4235;

							{	/* Cfa/box.scm 78 */
								BgL_objectz00_bglt BgL_tmpz00_4236;

								BgL_tmpz00_4236 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
								BgL_auxz00_4235 = BGL_OBJECT_WIDENING(BgL_tmpz00_4236);
							}
							BgL_auxz00_4234 =
								((BgL_boxzd2refzf2ozd2cinfozf2_bglt) BgL_auxz00_4235);
						}
						((((BgL_boxzd2refzf2ozd2cinfozf2_bglt) COBJECT(BgL_auxz00_4234))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
				}
			else
				{	/* Cfa/box.scm 76 */
					{	/* Cfa/box.scm 80 */
						BgL_boxzd2refzf2cinfoz20_bglt BgL_wide1187z00_3936;

						BgL_wide1187z00_3936 =
							((BgL_boxzd2refzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2refzf2cinfoz20_bgl))));
						{	/* Cfa/box.scm 80 */
							obj_t BgL_auxz00_4253;
							BgL_objectz00_bglt BgL_tmpz00_4249;

							BgL_auxz00_4253 = ((obj_t) BgL_wide1187z00_3936);
							BgL_tmpz00_4249 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2refzd2_bglt)
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4249, BgL_auxz00_4253);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
						{	/* Cfa/box.scm 80 */
							long BgL_arg1614z00_3937;

							BgL_arg1614z00_3937 =
								BGL_CLASS_NUM(BGl_boxzd2refzf2Cinfoz20zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840))),
								BgL_arg1614z00_3937);
						}
						((BgL_boxzd2refzd2_bglt)
							((BgL_boxzd2refzd2_bglt)
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
					}
					{
						BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4267;

						{
							obj_t BgL_auxz00_4268;

							{	/* Cfa/box.scm 81 */
								BgL_objectz00_bglt BgL_tmpz00_4269;

								BgL_tmpz00_4269 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2refzd2_bglt)
										((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
								BgL_auxz00_4268 = BGL_OBJECT_WIDENING(BgL_tmpz00_4269);
							}
							BgL_auxz00_4267 =
								((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4268);
						}
						((((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4267))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
					}
					((BgL_boxzd2refzd2_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840));
					{	/* Cfa/box.scm 82 */
						BgL_approxz00_bglt BgL_arg1615z00_3938;

						{
							BgL_boxzd2refzf2cinfoz20_bglt BgL_auxz00_4280;

							{
								obj_t BgL_auxz00_4281;

								{	/* Cfa/box.scm 82 */
									BgL_objectz00_bglt BgL_tmpz00_4282;

									BgL_tmpz00_4282 =
										((BgL_objectz00_bglt)
										((BgL_boxzd2refzd2_bglt)
											((BgL_boxzd2refzd2_bglt) BgL_nodez00_3840)));
									BgL_auxz00_4281 = BGL_OBJECT_WIDENING(BgL_tmpz00_4282);
								}
								BgL_auxz00_4280 =
									((BgL_boxzd2refzf2cinfoz20_bglt) BgL_auxz00_4281);
							}
							BgL_arg1615z00_3938 =
								(((BgL_boxzd2refzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4280))->
								BgL_approxz00);
						}
						return
							BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1615z00_3938);
					}
				}
		}

	}



/* &node-setup!-box-set!1522 */
	obj_t BGl_z62nodezd2setupz12zd2boxzd2setz121522zb0zzcfa_boxz00(obj_t
		BgL_envz00_3841, obj_t BgL_nodez00_3842)
	{
		{	/* Cfa/box.scm 60 */
			{	/* Cfa/box.scm 62 */
				BgL_varz00_bglt BgL_arg1588z00_3940;

				BgL_arg1588z00_3940 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)))->BgL_varz00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(
					((BgL_nodez00_bglt) BgL_arg1588z00_3940));
			}
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)))->BgL_valuez00));
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 1)))
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 65 */
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_wide1173z00_3941;

						BgL_wide1173z00_3941 =
							((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2ozd2cinfoze0_bgl))));
						{	/* Cfa/box.scm 65 */
							obj_t BgL_auxz00_4305;
							BgL_objectz00_bglt BgL_tmpz00_4301;

							BgL_auxz00_4305 = ((obj_t) BgL_wide1173z00_3941);
							BgL_tmpz00_4301 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4301, BgL_auxz00_4305);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
						{	/* Cfa/box.scm 65 */
							long BgL_arg1598z00_3942;

							BgL_arg1598z00_3942 =
								BGL_CLASS_NUM(BGl_boxzd2setz12zf2Ozd2Cinfoze0zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842))),
								BgL_arg1598z00_3942);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
					}
					{
						BgL_boxzd2setz12zf2ozd2cinfoze0_bglt BgL_auxz00_4319;

						{
							obj_t BgL_auxz00_4320;

							{	/* Cfa/box.scm 66 */
								BgL_objectz00_bglt BgL_tmpz00_4321;

								BgL_tmpz00_4321 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
								BgL_auxz00_4320 = BGL_OBJECT_WIDENING(BgL_tmpz00_4321);
							}
							BgL_auxz00_4319 =
								((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt) BgL_auxz00_4320);
						}
						((((BgL_boxzd2setz12zf2ozd2cinfoze0_bglt)
									COBJECT(BgL_auxz00_4319))->BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
				}
			else
				{	/* Cfa/box.scm 64 */
					{	/* Cfa/box.scm 67 */
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_wide1177z00_3943;

						BgL_wide1177z00_3943 =
							((BgL_boxzd2setz12zf2cinfoz32_bglt)
							BOBJECT(GC_MALLOC(sizeof(struct
										BgL_boxzd2setz12zf2cinfoz32_bgl))));
						{	/* Cfa/box.scm 67 */
							obj_t BgL_auxz00_4338;
							BgL_objectz00_bglt BgL_tmpz00_4334;

							BgL_auxz00_4338 = ((obj_t) BgL_wide1177z00_3943);
							BgL_tmpz00_4334 =
								((BgL_objectz00_bglt)
								((BgL_boxzd2setz12zc0_bglt)
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4334, BgL_auxz00_4338);
						}
						((BgL_objectz00_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
						{	/* Cfa/box.scm 67 */
							long BgL_arg1599z00_3944;

							BgL_arg1599z00_3944 =
								BGL_CLASS_NUM(BGl_boxzd2setz12zf2Cinfoz32zzcfa_infoz00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842))),
								BgL_arg1599z00_3944);
						}
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt)
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
					}
					{
						BgL_boxzd2setz12zf2cinfoz32_bglt BgL_auxz00_4352;

						{
							obj_t BgL_auxz00_4353;

							{	/* Cfa/box.scm 68 */
								BgL_objectz00_bglt BgL_tmpz00_4354;

								BgL_tmpz00_4354 =
									((BgL_objectz00_bglt)
									((BgL_boxzd2setz12zc0_bglt)
										((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
								BgL_auxz00_4353 = BGL_OBJECT_WIDENING(BgL_tmpz00_4354);
							}
							BgL_auxz00_4352 =
								((BgL_boxzd2setz12zf2cinfoz32_bglt) BgL_auxz00_4353);
						}
						((((BgL_boxzd2setz12zf2cinfoz32_bglt) COBJECT(BgL_auxz00_4352))->
								BgL_approxz00) =
							((BgL_approxz00_bglt)
								BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
										BGl_za2unspecza2z00zztype_cachez00))), BUNSPEC);
					}
					return
						((obj_t)
						((BgL_boxzd2setz12zc0_bglt)
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3842)));
				}
		}

	}



/* &node-setup!-pre-make1520 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2make1520za2zzcfa_boxz00(obj_t
		BgL_envz00_3843, obj_t BgL_nodez00_3844)
	{
		{	/* Cfa/box.scm 46 */
			{	/* Cfa/box.scm 48 */
				BgL_nodez00_bglt BgL_arg1567z00_3946;

				BgL_arg1567z00_3946 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3844))))->BgL_valuez00);
				BGl_nodezd2setupz12zc0zzcfa_setupz00(BgL_arg1567z00_3946);
			}
			{	/* Cfa/box.scm 49 */
				BgL_makezd2boxzd2_bglt BgL_nodez00_3947;

				{	/* Cfa/box.scm 49 */
					long BgL_arg1580z00_3948;

					{	/* Cfa/box.scm 49 */
						obj_t BgL_arg1581z00_3949;

						{	/* Cfa/box.scm 49 */
							obj_t BgL_arg1582z00_3950;

							{	/* Cfa/box.scm 49 */
								long BgL_arg1828z00_3951;

								{	/* Cfa/box.scm 49 */
									long BgL_arg1829z00_3952;

									BgL_arg1829z00_3952 =
										BGL_OBJECT_CLASS_NUM(
										((BgL_objectz00_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3844)));
									BgL_arg1828z00_3951 = (BgL_arg1829z00_3952 - OBJECT_TYPE);
								}
								BgL_arg1582z00_3950 =
									VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
									BgL_arg1828z00_3951);
							}
							BgL_arg1581z00_3949 =
								BGl_classzd2superzd2zz__objectz00(BgL_arg1582z00_3950);
						}
						{	/* Cfa/box.scm 49 */
							obj_t BgL_tmpz00_4376;

							BgL_tmpz00_4376 = ((obj_t) BgL_arg1581z00_3949);
							BgL_arg1580z00_3948 = BGL_CLASS_NUM(BgL_tmpz00_4376);
					}}
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3844)),
						BgL_arg1580z00_3948);
				}
				{	/* Cfa/box.scm 49 */
					BgL_objectz00_bglt BgL_tmpz00_4382;

					BgL_tmpz00_4382 =
						((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3844));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4382, BFALSE);
				}
				((BgL_objectz00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3844));
				BgL_nodez00_3947 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3844);
				{	/* Cfa/box.scm 49 */

					{	/* Cfa/box.scm 50 */
						BgL_makezd2boxzd2_bglt BgL_nodez00_3953;

						{	/* Cfa/box.scm 50 */
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_wide1168z00_3954;

							BgL_wide1168z00_3954 =
								((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
								BOBJECT(GC_MALLOC(sizeof(struct
											BgL_makezd2boxzf2ozd2cinfozf2_bgl))));
							{	/* Cfa/box.scm 50 */
								obj_t BgL_auxz00_4394;
								BgL_objectz00_bglt BgL_tmpz00_4390;

								BgL_auxz00_4394 = ((obj_t) BgL_wide1168z00_3954);
								BgL_tmpz00_4390 =
									((BgL_objectz00_bglt)
									((BgL_makezd2boxzd2_bglt)
										((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947)));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4390, BgL_auxz00_4394);
							}
							((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947)));
							{	/* Cfa/box.scm 50 */
								long BgL_arg1572z00_3955;

								BgL_arg1572z00_3955 =
									BGL_CLASS_NUM(BGl_makezd2boxzf2Ozd2Cinfozf2zzcfa_infoz00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947))),
									BgL_arg1572z00_3955);
							}
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947)));
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4408;

							{
								obj_t BgL_auxz00_4409;

								{	/* Cfa/box.scm 51 */
									BgL_objectz00_bglt BgL_tmpz00_4410;

									BgL_tmpz00_4410 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947)));
									BgL_auxz00_4409 = BGL_OBJECT_WIDENING(BgL_tmpz00_4410);
								}
								BgL_auxz00_4408 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4409);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4408))->BgL_approxz00) =
								((BgL_approxz00_bglt)
									BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
											BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
						}
						{
							BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4419;

							{
								obj_t BgL_auxz00_4420;

								{	/* Cfa/box.scm 52 */
									BgL_objectz00_bglt BgL_tmpz00_4421;

									BgL_tmpz00_4421 =
										((BgL_objectz00_bglt)
										((BgL_makezd2boxzd2_bglt)
											((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947)));
									BgL_auxz00_4420 = BGL_OBJECT_WIDENING(BgL_tmpz00_4421);
								}
								BgL_auxz00_4419 =
									((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4420);
							}
							((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
										COBJECT(BgL_auxz00_4419))->BgL_valuezd2approxzd2) =
								((BgL_approxz00_bglt)
									BGl_makezd2emptyzd2approxz00zzcfa_approxz00()), BUNSPEC);
						}
						BgL_nodez00_3953 =
							((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3947));
						{	/* Cfa/box.scm 55 */
							BgL_approxz00_bglt BgL_arg1570z00_3956;

							BgL_arg1570z00_3956 =
								BGl_makezd2typezd2alloczd2approxzd2zzcfa_approxz00(
								((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00),
								((BgL_nodez00_bglt) BgL_nodez00_3953));
							{
								BgL_makezd2boxzf2ozd2cinfozf2_bglt BgL_auxz00_4434;

								{
									obj_t BgL_auxz00_4435;

									{	/* Cfa/box.scm 53 */
										BgL_objectz00_bglt BgL_tmpz00_4436;

										BgL_tmpz00_4436 = ((BgL_objectz00_bglt) BgL_nodez00_3953);
										BgL_auxz00_4435 = BGL_OBJECT_WIDENING(BgL_tmpz00_4436);
									}
									BgL_auxz00_4434 =
										((BgL_makezd2boxzf2ozd2cinfozf2_bglt) BgL_auxz00_4435);
								}
								return
									((((BgL_makezd2boxzf2ozd2cinfozf2_bglt)
											COBJECT(BgL_auxz00_4434))->BgL_approxz00) =
									((BgL_approxz00_bglt) BgL_arg1570z00_3956), BUNSPEC);
							}
						}
					}
				}
			}
		}

	}



/* &node-setup!-make-box1518 */
	obj_t BGl_z62nodezd2setupz12zd2makezd2box1518za2zzcfa_boxz00(obj_t
		BgL_envz00_3845, obj_t BgL_nodez00_3846)
	{
		{	/* Cfa/box.scm 36 */
			BGl_nodezd2setupz12zc0zzcfa_setupz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846)))->BgL_valuez00));
			{	/* Cfa/box.scm 39 */
				BgL_makezd2boxzf2cinfoz20_bglt BgL_wide1162z00_3958;

				BgL_wide1162z00_3958 =
					((BgL_makezd2boxzf2cinfoz20_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_makezd2boxzf2cinfoz20_bgl))));
				{	/* Cfa/box.scm 39 */
					obj_t BgL_auxz00_4449;
					BgL_objectz00_bglt BgL_tmpz00_4445;

					BgL_auxz00_4449 = ((obj_t) BgL_wide1162z00_3958);
					BgL_tmpz00_4445 =
						((BgL_objectz00_bglt)
						((BgL_makezd2boxzd2_bglt)
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4445, BgL_auxz00_4449);
				}
				((BgL_objectz00_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846)));
				{	/* Cfa/box.scm 39 */
					long BgL_arg1561z00_3959;

					BgL_arg1561z00_3959 =
						BGL_CLASS_NUM(BGl_makezd2boxzf2Cinfoz20zzcfa_infoz00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846))),
						BgL_arg1561z00_3959);
				}
				((BgL_makezd2boxzd2_bglt)
					((BgL_makezd2boxzd2_bglt)
						((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846)));
			}
			{
				BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4463;

				{
					obj_t BgL_auxz00_4464;

					{	/* Cfa/box.scm 40 */
						BgL_objectz00_bglt BgL_tmpz00_4465;

						BgL_tmpz00_4465 =
							((BgL_objectz00_bglt)
							((BgL_makezd2boxzd2_bglt)
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846)));
						BgL_auxz00_4464 = BGL_OBJECT_WIDENING(BgL_tmpz00_4465);
					}
					BgL_auxz00_4463 = ((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4464);
				}
				((((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4463))->
						BgL_approxz00) =
					((BgL_approxz00_bglt)
						BGl_makezd2typezd2approxz00zzcfa_approxz00(((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00))), BUNSPEC);
			}
			((BgL_makezd2boxzd2_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846));
			{	/* Cfa/box.scm 41 */
				BgL_approxz00_bglt BgL_arg1565z00_3960;

				{
					BgL_makezd2boxzf2cinfoz20_bglt BgL_auxz00_4476;

					{
						obj_t BgL_auxz00_4477;

						{	/* Cfa/box.scm 41 */
							BgL_objectz00_bglt BgL_tmpz00_4478;

							BgL_tmpz00_4478 =
								((BgL_objectz00_bglt)
								((BgL_makezd2boxzd2_bglt)
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_3846)));
							BgL_auxz00_4477 = BGL_OBJECT_WIDENING(BgL_tmpz00_4478);
						}
						BgL_auxz00_4476 =
							((BgL_makezd2boxzf2cinfoz20_bglt) BgL_auxz00_4477);
					}
					BgL_arg1565z00_3960 =
						(((BgL_makezd2boxzf2cinfoz20_bglt) COBJECT(BgL_auxz00_4476))->
						BgL_approxz00);
				}
				return BGl_approxzd2setzd2topz12z12zzcfa_approxz00(BgL_arg1565z00_3960);
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_boxz00(void)
	{
		{	/* Cfa/box.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 54924680),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string1990z00zzcfa_boxz00));
		}

	}

#ifdef __cplusplus
}
#endif
