/*===========================================================================*/
/*   (Engine/compiler.scm)                                                   */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Engine/compiler.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_backendz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_languagez00;
		obj_t BgL_srfi0z00;
		obj_t BgL_namez00;
		obj_t BgL_externzd2variableszd2;
		obj_t BgL_externzd2functionszd2;
		obj_t BgL_externzd2typeszd2;
		obj_t BgL_variablesz00;
		obj_t BgL_functionsz00;
		obj_t BgL_typesz00;
		bool_t BgL_typedz00;
		obj_t BgL_heapzd2suffixzd2;
		obj_t BgL_heapzd2compatiblezd2;
		bool_t BgL_callccz00;
		bool_t BgL_qualifiedzd2typeszd2;
		bool_t BgL_effectzb2zb2;
		bool_t BgL_removezd2emptyzd2letz00;
		bool_t BgL_foreignzd2closurezd2;
		bool_t BgL_typedzd2eqzd2;
		bool_t BgL_tracezd2supportzd2;
		obj_t BgL_foreignzd2clausezd2supportz00;
		obj_t BgL_debugzd2supportzd2;
		bool_t BgL_pragmazd2supportzd2;
		bool_t BgL_tvectorzd2descrzd2supportz00;
		bool_t BgL_requirezd2tailczd2;
		obj_t BgL_registersz00;
		obj_t BgL_pregistersz00;
		bool_t BgL_boundzd2checkzd2;
		bool_t BgL_typezd2checkzd2;
		bool_t BgL_typedzd2funcallzd2;
	}                 *BgL_backendz00_bglt;


	extern obj_t BGl_initializa7ezd2Tenvz12z67zztype_envz00(void);
	extern obj_t BGl_producezd2modulez12zc0zzmodule_modulez00(obj_t);
	extern obj_t BGl_installzd2typezd2cachez12z12zztype_cachez00(void);
	extern obj_t BGl_za2unsafezd2arityza2zd2zzengine_paramz00;
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_tailczd2walkz12zc0zztailc_walkz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzengine_compilerz00 = BUNSPEC;
	static obj_t BGl_z62zc3z04anonymousza31782ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_reducezd2walkz12zc0zzreduce_walkz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31693ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31758ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_comptimezd2expandzf2errorz20zzexpand_epsz00(obj_t);
	extern obj_t
		BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00(void);
	extern obj_t BGl_restorezd2additionalzd2heapsz00zzheap_restorez00(void);
	extern obj_t BGl_appendzd2astzd2zzast_buildz00(obj_t, obj_t);
	extern obj_t BGl_z52appendzd22zd2definez52zzexpand_installz00(void);
	extern obj_t BGl_cnstzd2walkz12zc0zzcnst_walkz00(obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_makezd2addzd2heapz00zzheap_makez00(void);
	extern obj_t BGl_makezd2gczd2rootszd2unitzd2zzcc_rootsz00(void);
	extern obj_t BGl_za2targetzd2languageza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
	extern obj_t BGl_za2optimzd2taggedzd2fxopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_setzd2backendz12zc0zzbackend_backendz00(obj_t);
	extern obj_t BGl_patchzd2pairzd2setz12z12zzcfa_pairz00(void);
	extern obj_t BGl_getzd2toplevelzd2unitz00zzmodule_includez00(void);
	extern obj_t BGl_za2passza2z00zzengine_paramz00;
	static obj_t BGl_toplevelzd2initzd2zzengine_compilerz00(void);
	extern obj_t
		BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(BgL_backendz00_bglt);
	extern obj_t BGl_installzd2initialzd2expanderz00zzexpand_installz00(void);
	static obj_t BGl_z62zc3z04anonymousza31688ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_za2optimzd2uncellzf3za2z21zzengine_paramz00;
	extern obj_t BGl_za2restzd2argsza2zd2zzengine_paramz00;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_betazd2walkz12zc0zzbeta_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzengine_compilerz00(void);
	extern obj_t BGl_za2optimzd2returnzf3za2z21zzengine_paramz00;
	static obj_t BGl_objectzd2initzd2zzengine_compilerz00(void);
	extern obj_t BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00(void);
	extern obj_t BGl_hellozd2worldzd2zzengine_enginez00(void);
	extern obj_t BGl_tracezd2walkz12zc0zztrace_walkz00(obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_callcczd2walkz12zc0zzcallcc_walkz00(obj_t);
	extern obj_t BGl_checkzd2typeszd2zztype_envz00(void);
	extern obj_t BGl_effectzd2walkz12zc0zzeffect_walkz00(obj_t, bool_t);
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_expandzd2unitszd2zzexpand_epsz00(obj_t);
	static obj_t BGl_z62compilerz62zzengine_compilerz00(obj_t);
	extern obj_t BGl_bdbzd2walkz12zc0zzbdb_walkz00(obj_t);
	extern obj_t BGl_thezd2backendzd2zzbackend_backendz00(void);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00(void);
	static obj_t BGl_appendzd221011zd2zzengine_compilerz00(obj_t, obj_t);
	extern obj_t BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00;
	static obj_t BGl_methodzd2initzd2zzengine_compilerz00(void);
	extern obj_t BGl_initializa7ezd2Genvz12z67zzast_envz00(void);
	extern obj_t BGl_dumpzd2modulezd2zzmodule_modulez00(obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	static obj_t BGl_z62zc3z04anonymousza31422ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2errorzd2localiza7ationza2z75zzengine_paramz00;
	extern obj_t BGl_writezd2effectzd2zzeffect_walkz00(obj_t);
	extern obj_t BGl_initflowzd2walkz12zc0zzinitflow_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31601ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_za2bdbzd2debugza2zd2zzengine_paramz00;
	extern obj_t BGl_readzd2accesszd2filesz00zzread_accessz00(void);
	extern obj_t BGl_inlinezd2walkz12zc0zzinline_walkz00(obj_t, obj_t);
	extern obj_t BGl_backendzd2walkzd2zzbackend_walkz00(obj_t);
	extern obj_t BGl_removezd2varzd2zzast_removez00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_makezd2heapzd2zzheap_makez00(void);
	extern obj_t BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_coercezd2walkz12zc0zzcoerce_walkz00(obj_t);
	extern obj_t BGl_za2unsafezd2rangeza2zd2zzengine_paramz00;
	extern obj_t BGl_za2optimzd2initflowzf3za2z21zzengine_paramz00;
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	extern obj_t BGl_returnzd2walkz12zc0zzreturn_walkz00(obj_t);
	extern obj_t BGl_writezd2astzd2zzwrite_astz00(obj_t);
	extern obj_t BGl_buildzd2astzd2zzast_buildz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31630ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_checkzd2typezd2zzast_checkzd2typezd2(obj_t, obj_t, bool_t,
		bool_t);
	extern obj_t BGl_restorezd2heapzd2zzheap_restorez00(void);
	extern obj_t BGl_aboundzd2walkz12zc0zzabound_walkz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_compilerz00zzengine_compilerz00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzengine_compilerz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_cz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbackend_backendz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_rootsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ldz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcc_ccz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzuncell_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreturn_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzprof_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbdb_settingz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzhgen_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_slotsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classgenz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcnst_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcoerce_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzflop_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzfxop_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztailc_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzintegrate_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_pairz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinitflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzdataflow_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzabound_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzfail_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcallcc_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzstackable_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzeffect_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzbeta_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztrace_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_setrcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinit_mainz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_installz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzexpand_epsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_includez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzuser_userz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_initz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_unitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_removez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2typezd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_makez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzheap_restorez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_jvmz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_accessz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzwrite_astz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzwrite_expandedz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzread_srcz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_enginez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_signalsz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	static obj_t BGl_z62zc3z04anonymousza31712ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00(obj_t, obj_t);
	extern obj_t BGl_za2profilezd2modeza2zd2zzengine_paramz00;
	extern obj_t BGl_modulezd2checksumzd2objectz00zzmodule_modulez00(void);
	extern obj_t BGl_astzd2initializa7ersz75zzast_initz00(void);
	extern obj_t BGl_prognzd2tailzd2expressionsz00zztools_prognz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31640ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31721ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_bdbzd2settingz12zc0zzbdb_settingz00(void);
	extern obj_t BGl_za2optimzd2dataflowzd2forzd2errorszf3za2z21zzengine_paramz00;
	extern obj_t BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00(void);
	extern obj_t BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2unsafezd2libraryza2zd2zzengine_paramz00;
	static obj_t BGl_cnstzd2initzd2zzengine_compilerz00(void);
	static obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(void);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	extern obj_t BGl_za2prezd2processorza2zd2zzengine_paramz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00(void);
	static obj_t BGl_z62zc3z04anonymousza31812ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00;
	static obj_t BGl_gczd2rootszd2initz00zzengine_compilerz00(void);
	static obj_t BGl_z62zc3z04anonymousza31642ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_stackablezd2walkz12zc0zzstackable_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(obj_t);
	extern obj_t BGl_za2interpreterza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31571ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31652ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31814ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_readzd2srczd2zzread_srcz00(void);
	static obj_t BGl_z62zc3z04anonymousza31636ze3ze5zzengine_compilerz00(obj_t);
	BGL_IMPORT obj_t BGl_2maxz00zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00;
	extern obj_t BGl_integratezd2walkz12zc0zzintegrate_walkz00(obj_t);
	extern obj_t BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_cfazd2walkz12zc0zzcfa_walkz00(obj_t);
	extern obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00(void);
	extern obj_t BGl_za2unsafezd2evalza2zd2zzengine_paramz00;
	extern obj_t BGl_flopzd2walkz12zc0zzflop_walkz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31750ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31742ze3ze5zzengine_compilerz00(obj_t);
	BGL_IMPORT int BGl_bigloozd2compilerzd2debugz00zz__paramz00(void);
	extern obj_t BGl_fxopzd2walkz12zc0zzfxop_walkz00(obj_t);
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	extern obj_t BGl_za2callzf2cczf3za2z01zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31581ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31573ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31735ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_readzd2jfilezd2zzread_jvmz00(void);
	static obj_t BGl_z62zc3z04anonymousza31646ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_prognzd2firstzd2expressionz00zztools_prognz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31388ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_writezd2expandedzd2zzwrite_expandedz00(obj_t);
	extern obj_t BGl_makezd2profzd2unitz00zzprof_walkz00(void);
	static obj_t BGl_z62zc3z04anonymousza31729ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31559ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
	extern obj_t BGl_uncellzd2walkz12zc0zzuncell_walkz00(obj_t);
	extern obj_t BGl_za2readerza2z00zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31681ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31673ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_stopzd2onzd2passz00zzengine_passz00(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
	static obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_userzd2walkzd2zzuser_userz00(obj_t);
	extern obj_t BGl_compilerzd2exitzd2zzinit_mainz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_failzd2walkz12zc0zzfail_walkz00(obj_t);
	extern obj_t BGl_za2mainza2z00zzmodule_modulez00;
	extern obj_t BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2(obj_t);
	extern obj_t BGl_za2unsafezd2versionza2zd2zzengine_paramz00;
	static obj_t BGl_z62zc3z04anonymousza31683ze3ze5zzengine_compilerz00(obj_t);
	static obj_t BGl_z62zc3z04anonymousza31764ze3ze5zzengine_compilerz00(obj_t);
	extern obj_t BGl_enginez00zzengine_enginez00(void);
	static obj_t __cnst[60];


	extern obj_t BGl_hgenzd2walkzd2envz00zzhgen_walkz00;
	   
		 
		DEFINE_STRING(BGl_string1921z00zzengine_compilerz00,
		BgL_bgl_string1921za700za7za7e1970za7, "Parse error", 11);
	      DEFINE_STRING(BGl_string1922z00zzengine_compilerz00,
		BgL_bgl_string1922za700za7za7e1971za7, "Illegal source file", 19);
	      DEFINE_STRING(BGl_string1923z00zzengine_compilerz00,
		BgL_bgl_string1923za700za7za7e1972za7,
		"Don't know what to do with arguments: ", 38);
	      DEFINE_STRING(BGl_string1925z00zzengine_compilerz00,
		BgL_bgl_string1925za700za7za7e1973za7, " error", 6);
	      DEFINE_STRING(BGl_string1926z00zzengine_compilerz00,
		BgL_bgl_string1926za700za7za7e1974za7, "s", 1);
	      DEFINE_STRING(BGl_string1927z00zzengine_compilerz00,
		BgL_bgl_string1927za700za7za7e1975za7, "", 0);
	      DEFINE_STRING(BGl_string1928z00zzengine_compilerz00,
		BgL_bgl_string1928za700za7za7e1976za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1929z00zzengine_compilerz00,
		BgL_bgl_string1929za700za7za7e1977za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1930z00zzengine_compilerz00,
		BgL_bgl_string1930za700za7za7e1978za7, "ast", 3);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1924z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1979za7,
		BGl_z62zc3z04anonymousza31422ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1932z00zzengine_compilerz00,
		BgL_bgl_string1932za700za7za7e1980za7, "initflow", 8);
	      DEFINE_STRING(BGl_string1934z00zzengine_compilerz00,
		BgL_bgl_string1934za700za7za7e1981za7, "trace", 5);
	      DEFINE_STRING(BGl_string1935z00zzengine_compilerz00,
		BgL_bgl_string1935za700za7za7e1982za7, "callcc", 6);
	      DEFINE_STRING(BGl_string1936z00zzengine_compilerz00,
		BgL_bgl_string1936za700za7za7e1983za7, "effect", 6);
	      DEFINE_STRING(BGl_string1937z00zzengine_compilerz00,
		BgL_bgl_string1937za700za7za7e1984za7, "stackable", 9);
	      DEFINE_STRING(BGl_string1938z00zzengine_compilerz00,
		BgL_bgl_string1938za700za7za7e1985za7, "isa", 3);
	      DEFINE_STRING(BGl_string1939z00zzengine_compilerz00,
		BgL_bgl_string1939za700za7za7e1986za7, "flop", 4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1931z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1987za7,
		BGl_z62zc3z04anonymousza31571ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1933z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1988za7,
		BGl_z62zc3z04anonymousza31581ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1940z00zzengine_compilerz00,
		BgL_bgl_string1940za700za7za7e1989za7, "inline", 6);
	      DEFINE_STRING(BGl_string1942z00zzengine_compilerz00,
		BgL_bgl_string1942za700za7za7e1990za7, "beta", 4);
	      DEFINE_STRING(BGl_string1943z00zzengine_compilerz00,
		BgL_bgl_string1943za700za7za7e1991za7, "fail", 4);
	      DEFINE_STRING(BGl_string1944z00zzengine_compilerz00,
		BgL_bgl_string1944za700za7za7e1992za7, "Reduce0", 7);
	      DEFINE_STRING(BGl_string1945z00zzengine_compilerz00,
		BgL_bgl_string1945za700za7za7e1993za7, "Dataflow", 8);
	      DEFINE_STRING(BGl_string1946z00zzengine_compilerz00,
		BgL_bgl_string1946za700za7za7e1994za7, "dataflow", 8);
	      DEFINE_STRING(BGl_string1947z00zzengine_compilerz00,
		BgL_bgl_string1947za700za7za7e1995za7, "closure", 7);
	      DEFINE_STRING(BGl_string1948z00zzengine_compilerz00,
		BgL_bgl_string1948za700za7za7e1996za7, "cfa", 3);
	      DEFINE_STRING(BGl_string1949z00zzengine_compilerz00,
		BgL_bgl_string1949za700za7za7e1997za7, "Dataflow+", 9);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1941z00zzengine_compilerz00,
		BgL_bgl_za762za7c3za704anonymo1998za7,
		BGl_z62zc3z04anonymousza31649ze3ze5zzengine_compilerz00, 0L, BUNSPEC, 0);
	      DEFINE_STRING(BGl_string1950z00zzengine_compilerz00,
		BgL_bgl_string1950za700za7za7e1999za7, "integrate", 9);
	      DEFINE_STRING(BGl_string1951z00zzengine_compilerz00,
		BgL_bgl_string1951za700za7za7e2000za7, "tailc", 5);
	      DEFINE_STRING(BGl_string1952z00zzengine_compilerz00,
		BgL_bgl_string1952za700za7za7e2001za7, "Reduce-", 7);
	      DEFINE_STRING(BGl_string1953z00zzengine_compilerz00,
		BgL_bgl_string1953za700za7za7e2002za7, "reduce-", 7);
	      DEFINE_STRING(BGl_string1954z00zzengine_compilerz00,
		BgL_bgl_string1954za700za7za7e2003za7, "abound", 6);
	      DEFINE_STRING(BGl_string1955z00zzengine_compilerz00,
		BgL_bgl_string1955za700za7za7e2004za7, "coerce", 6);
	      DEFINE_STRING(BGl_string1956z00zzengine_compilerz00,
		BgL_bgl_string1956za700za7za7e2005za7, "fxop", 4);
	      DEFINE_STRING(BGl_string1957z00zzengine_compilerz00,
		BgL_bgl_string1957za700za7za7e2006za7, "Dataflow++", 10);
	      DEFINE_STRING(BGl_string1958z00zzengine_compilerz00,
		BgL_bgl_string1958za700za7za7e2007za7, "Reduce", 6);
	      DEFINE_STRING(BGl_string1959z00zzengine_compilerz00,
		BgL_bgl_string1959za700za7za7e2008za7, "reduce", 6);
	      DEFINE_STRING(BGl_string1960z00zzengine_compilerz00,
		BgL_bgl_string1960za700za7za7e2009za7, "cnst", 4);
	      DEFINE_STRING(BGl_string1961z00zzengine_compilerz00,
		BgL_bgl_string1961za700za7za7e2010za7, "return", 6);
	      DEFINE_STRING(BGl_string1962z00zzengine_compilerz00,
		BgL_bgl_string1962za700za7za7e2011za7, "inline+", 7);
	      DEFINE_STRING(BGl_string1963z00zzengine_compilerz00,
		BgL_bgl_string1963za700za7za7e2012za7, "init", 4);
	      DEFINE_STRING(BGl_string1964z00zzengine_compilerz00,
		BgL_bgl_string1964za700za7za7e2013za7, "Reduce+", 7);
	      DEFINE_STRING(BGl_string1965z00zzengine_compilerz00,
		BgL_bgl_string1965za700za7za7e2014za7, "reduce+", 7);
	      DEFINE_STRING(BGl_string1966z00zzengine_compilerz00,
		BgL_bgl_string1966za700za7za7e2015za7, "uncell", 6);
	      DEFINE_STRING(BGl_string1967z00zzengine_compilerz00,
		BgL_bgl_string1967za700za7za7e2016za7, "engine_compiler", 15);
	      DEFINE_STRING(BGl_string1968z00zzengine_compilerz00,
		BgL_bgl_string1968za700za7za7e2017za7,
		"now uncell reduce+ effect+ init inline+ reducer return cnst reduce egen dataflow++ fxop (c c-saw) coerce abound reduce- tailc integrate dataflow+ cfa closure dataflow reduce0 fail beta make-add-heap inline all flop isa stackable effect callcc bdb-spread-obj make-heap initflow syntax-check ast expand user hgen bigloo-debug-set! (#unspecified) mco dump-module bigloo-class-sans bigloo-unsafe bigloo-unsafe-version bigloo-unsafe-eval bigloo-unsafe-library bigloo-unsafe-arity bigloo-unsafe-range bigloo-unsafe-type bigloo-debug bigloo-class-generate classgen bigloo-compile bdb intern-src ",
		588);
	extern obj_t BGl_classgenzd2walkzd2envz00zzobject_classgenz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_compilerzd2envzd2zzengine_compilerz00,
		BgL_bgl_za762compilerza762za7za72018z00,
		BGl_z62compilerz62zzengine_compilerz00, 0L, BUNSPEC, 0);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzengine_compilerz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzengine_compilerz00(long
		BgL_checksumz00_2496, char *BgL_fromz00_2497)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzengine_compilerz00))
				{
					BGl_requirezd2initializa7ationz75zzengine_compilerz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzengine_compilerz00();
					BGl_libraryzd2moduleszd2initz00zzengine_compilerz00();
					BGl_cnstzd2initzd2zzengine_compilerz00();
					BGl_importedzd2moduleszd2initz00zzengine_compilerz00();
					return BGl_toplevelzd2initzd2zzengine_compilerz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__expander_srfi0z00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"engine_compiler");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"engine_compiler");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			{	/* Engine/compiler.scm 15 */
				obj_t BgL_cportz00_2485;

				{	/* Engine/compiler.scm 15 */
					obj_t BgL_stringz00_2492;

					BgL_stringz00_2492 = BGl_string1968z00zzengine_compilerz00;
					{	/* Engine/compiler.scm 15 */
						obj_t BgL_startz00_2493;

						BgL_startz00_2493 = BINT(((long) 0));
						{	/* Engine/compiler.scm 15 */
							obj_t BgL_endz00_2494;

							BgL_endz00_2494 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2492)));
							{	/* Engine/compiler.scm 15 */

								BgL_cportz00_2485 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2492, BgL_startz00_2493, BgL_endz00_2494);
				}}}}
				{
					long BgL_iz00_2486;

					BgL_iz00_2486 = ((long) 59);
				BgL_loopz00_2487:
					if ((BgL_iz00_2486 == ((long) -1)))
						{	/* Engine/compiler.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Engine/compiler.scm 15 */
							{	/* Engine/compiler.scm 15 */
								obj_t BgL_arg1969z00_2488;

								{	/* Engine/compiler.scm 15 */

									{	/* Engine/compiler.scm 15 */
										obj_t BgL_locationz00_2490;

										BgL_locationz00_2490 = BBOOL(((bool_t) 0));
										{	/* Engine/compiler.scm 15 */

											BgL_arg1969z00_2488 =
												BGl_readz00zz__readerz00(BgL_cportz00_2485,
												BgL_locationz00_2490);
										}
									}
								}
								{	/* Engine/compiler.scm 15 */
									int BgL_tmpz00_2526;

									BgL_tmpz00_2526 = (int) (BgL_iz00_2486);
									CNST_TABLE_SET(BgL_tmpz00_2526, BgL_arg1969z00_2488);
							}}
							{	/* Engine/compiler.scm 15 */
								int BgL_auxz00_2491;

								BgL_auxz00_2491 = (int) ((BgL_iz00_2486 - ((long) 1)));
								{
									long BgL_iz00_2531;

									BgL_iz00_2531 = (long) (BgL_auxz00_2491);
									BgL_iz00_2486 = BgL_iz00_2531;
									goto BgL_loopz00_2487;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzengine_compilerz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1721;

				BgL_headz00_1721 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1722;
					obj_t BgL_tailz00_1723;

					BgL_prevz00_1722 = BgL_headz00_1721;
					BgL_tailz00_1723 = BgL_l1z00_1;
				BgL_loopz00_1724:
					if (PAIRP(BgL_tailz00_1723))
						{
							obj_t BgL_newzd2prevzd2_1726;

							BgL_newzd2prevzd2_1726 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1723), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1722, BgL_newzd2prevzd2_1726);
							{
								obj_t BgL_tailz00_2541;
								obj_t BgL_prevz00_2540;

								BgL_prevz00_2540 = BgL_newzd2prevzd2_1726;
								BgL_tailz00_2541 = CDR(BgL_tailz00_1723);
								BgL_tailz00_1723 = BgL_tailz00_2541;
								BgL_prevz00_1722 = BgL_prevz00_2540;
								goto BgL_loopz00_1724;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1721);
				}
			}
		}

	}



/* compiler */
	BGL_EXPORTED_DEF obj_t BGl_compilerz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 101 */
			BGl_installzd2compilerzd2signalsz12z12zzengine_signalsz00();
			BGl_setzd2backendz12zc0zzbackend_backendz00
				(BGl_za2targetzd2languageza2zd2zzengine_paramz00);
			{	/* Engine/compiler.scm 110 */
				bool_t BgL_test2022z00_2546;

				{	/* Engine/compiler.scm 110 */
					int BgL_arg1347z00_1751;

					BgL_arg1347z00_1751 = BGl_bigloozd2compilerzd2debugz00zz__paramz00();
					BgL_test2022z00_2546 = ((long) (BgL_arg1347z00_1751) > ((long) 0));
				}
				if (BgL_test2022z00_2546)
					{	/* Engine/compiler.scm 110 */
						BFALSE;
					}
				else
					{	/* Engine/compiler.scm 110 */
						{	/* Engine/compiler.scm 111 */
							bool_t BgL_test2023z00_2550;

							{	/* Engine/compiler.scm 111 */
								obj_t BgL_arg1343z00_1747;

								BgL_arg1343z00_1747 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2023z00_2550 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1343z00_1747)))->
									BgL_boundzd2checkzd2);
							}
							if (BgL_test2023z00_2550)
								{	/* Engine/compiler.scm 111 */
									BFALSE;
								}
							else
								{	/* Engine/compiler.scm 111 */
									BGl_za2unsafezd2rangeza2zd2zzengine_paramz00 = BTRUE;
								}
						}
						{	/* Engine/compiler.scm 113 */
							bool_t BgL_test2024z00_2554;

							{	/* Engine/compiler.scm 113 */
								obj_t BgL_arg1346z00_1750;

								BgL_arg1346z00_1750 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_test2024z00_2554 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1346z00_1750)))->
									BgL_typezd2checkzd2);
							}
							if (BgL_test2024z00_2554)
								{	/* Engine/compiler.scm 113 */
									BFALSE;
								}
							else
								{	/* Engine/compiler.scm 113 */
									BGl_za2unsafezd2typeza2zd2zzengine_paramz00 = BTRUE;
								}
						}
					}
			}
			{	/* Engine/compiler.scm 115 */
				bool_t BgL_test2025z00_2558;

				{	/* Engine/compiler.scm 115 */
					obj_t BgL_arg1356z00_1754;

					BgL_arg1356z00_1754 = BGl_thezd2backendzd2zzbackend_backendz00();
					BgL_test2025z00_2558 =
						(((BgL_backendz00_bglt) COBJECT(
								((BgL_backendz00_bglt) BgL_arg1356z00_1754)))->
						BgL_typedzd2funcallzd2);
				}
				if (BgL_test2025z00_2558)
					{	/* Engine/compiler.scm 115 */
						BFALSE;
					}
				else
					{	/* Engine/compiler.scm 115 */
						BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00 =
							BFALSE;
					}
			}
			if (
				((long) CINT(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00) >
					((long) 0)))
				{	/* Engine/compiler.scm 117 */
					BGl_za2optimzd2returnzd2gotozf3za2zf3zzengine_paramz00 = BFALSE;
				}
			else
				{	/* Engine/compiler.scm 117 */
					BFALSE;
				}
			{	/* Engine/compiler.scm 123 */
				obj_t BgL_srcz00_1756;

				{	/* Engine/compiler.scm 123 */
					obj_t BgL_arg1833z00_2005;

					BgL_arg1833z00_2005 = BGl_readzd2srczd2zzread_srcz00();
					BgL_srcz00_1756 =
						((obj_t(*)(obj_t, obj_t,
								obj_t))
						PROCEDURE_ENTRY(BGl_za2prezd2processorza2zd2zzengine_paramz00))
						(BGl_za2prezd2processorza2zd2zzengine_paramz00, BgL_arg1833z00_2005,
						BEOA);
				}
				if (CBOOL(BgL_srcz00_1756))
					{	/* Engine/compiler.scm 128 */
						if (PAIRP(BgL_srcz00_1756))
							{	/* Engine/compiler.scm 131 */
								BFALSE;
							}
						else
							{	/* Engine/compiler.scm 131 */
								if (
									(BGl_za2readerza2z00zzengine_paramz00 ==
										CNST_TABLE_REF(((long) 0))))
									{	/* Engine/compiler.scm 133 */
										obj_t BgL_list1359z00_1758;

										BgL_list1359z00_1758 =
											MAKE_YOUNG_PAIR(BINT(((long) 1)), BNIL);
										BGl_exitz00zz__errorz00(BgL_list1359z00_1758);
									}
								else
									{	/* Engine/compiler.scm 132 */
										BGl_userzd2errorzd2zztools_errorz00
											(BGl_string1921z00zzengine_compilerz00,
											BGl_string1922z00zzengine_compilerz00, BgL_srcz00_1756,
											BNIL);
									}
							}
					}
				else
					{	/* Engine/compiler.scm 128 */
						BGl_za2interpreterza2z00zzengine_paramz00 = BTRUE;
						BGl_compilerzd2exitzd2zzinit_mainz00(BGl_enginez00zzengine_enginez00
							());
					}
				BGl_hellozd2worldzd2zzengine_enginez00();
				{	/* Engine/compiler.scm 140 */
					bool_t BgL_test2030z00_2584;

					if (
						((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00) >
							((long) 0)))
						{	/* Engine/compiler.scm 141 */
							obj_t BgL_arg1372z00_1766;

							{	/* Engine/compiler.scm 141 */
								obj_t BgL_arg1375z00_1767;

								BgL_arg1375z00_1767 =
									BGl_thezd2backendzd2zzbackend_backendz00();
								BgL_arg1372z00_1766 =
									(((BgL_backendz00_bglt) COBJECT(
											((BgL_backendz00_bglt) BgL_arg1375z00_1767)))->
									BgL_debugzd2supportzd2);
							}
							BgL_test2030z00_2584 =
								CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(CNST_TABLE_REF((
											(long) 1)), BgL_arg1372z00_1766));
						}
					else
						{	/* Engine/compiler.scm 140 */
							BgL_test2030z00_2584 = ((bool_t) 0);
						}
					if (BgL_test2030z00_2584)
						{	/* Engine/compiler.scm 140 */
							BGl_bdbzd2settingz12zc0zzbdb_settingz00();
						}
					else
						{	/* Engine/compiler.scm 140 */
							BFALSE;
						}
				}
				if (NULLP(BGl_za2restzd2argsza2zd2zzengine_paramz00))
					{	/* Engine/compiler.scm 145 */
						BFALSE;
					}
				else
					{	/* Engine/compiler.scm 146 */
						obj_t BgL_list1377z00_1769;

						{	/* Engine/compiler.scm 146 */
							obj_t BgL_arg1378z00_1770;

							BgL_arg1378z00_1770 =
								MAKE_YOUNG_PAIR(BGl_za2restzd2argsza2zd2zzengine_paramz00,
								BNIL);
							BgL_list1377z00_1769 =
								MAKE_YOUNG_PAIR(BGl_string1923z00zzengine_compilerz00,
								BgL_arg1378z00_1770);
						}
						BGl_warningz00zz__errorz00(BgL_list1377z00_1769);
					}
				BGl_readzd2accesszd2filesz00zzread_accessz00();
				BGl_readzd2jfilezd2zzread_jvmz00();
				if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
					{	/* Engine/compiler.scm 153 */
						BGl_initializa7ezd2Genvz12z67zzast_envz00();
						BGl_initializa7ezd2Tenvz12z67zztype_envz00();
					}
				else
					{	/* Engine/compiler.scm 153 */
						BGl_restorezd2heapzd2zzheap_restorez00();
					}
				BGl_installzd2typezd2cachez12z12zztype_cachez00();
				BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
				BGl_patchzd2pairzd2setz12z12zzcfa_pairz00();
				BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF(((long)
							2)));
				if ((BGl_za2passza2z00zzengine_paramz00 == CNST_TABLE_REF(((long) 3))))
					{	/* Engine/compiler.scm 173 */
						BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
									(long) 4)));
					}
				else
					{	/* Engine/compiler.scm 173 */
						BFALSE;
					}
				{	/* Engine/compiler.scm 174 */
					bool_t BgL_test2035z00_2617;

					{	/* Engine/compiler.scm 174 */
						int BgL_arg1384z00_1773;

						BgL_arg1384z00_1773 =
							BGl_bigloozd2compilerzd2debugz00zz__paramz00();
						BgL_test2035z00_2617 = ((long) (BgL_arg1384z00_1773) >= ((long) 1));
					}
					if (BgL_test2035z00_2617)
						{	/* Engine/compiler.scm 174 */
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 5)));
						}
					else
						{	/* Engine/compiler.scm 174 */
							BFALSE;
						}
				}
				{	/* Engine/compiler.scm 175 */
					long BgL_unsafez00_1774;

					BgL_unsafez00_1774 = ((long) 0);
					if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 176 */
							BgL_unsafez00_1774 = (((long) 1) + BgL_unsafez00_1774);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 6)));
						}
					else
						{	/* Engine/compiler.scm 176 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2rangeza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 179 */
							BgL_unsafez00_1774 = (((long) 1) + BgL_unsafez00_1774);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 7)));
						}
					else
						{	/* Engine/compiler.scm 179 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2arityza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 182 */
							BgL_unsafez00_1774 = (((long) 1) + BgL_unsafez00_1774);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 8)));
						}
					else
						{	/* Engine/compiler.scm 182 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2libraryza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 185 */
							BgL_unsafez00_1774 = (((long) 1) + BgL_unsafez00_1774);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 9)));
						}
					else
						{	/* Engine/compiler.scm 185 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2evalza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 188 */
							BgL_unsafez00_1774 = (((long) 1) + BgL_unsafez00_1774);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 10)));
						}
					else
						{	/* Engine/compiler.scm 188 */
							BFALSE;
						}
					if (CBOOL(BGl_za2unsafezd2versionza2zd2zzengine_paramz00))
						{	/* Engine/compiler.scm 191 */
							BgL_unsafez00_1774 = (((long) 1) + BgL_unsafez00_1774);
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 11)));
						}
					else
						{	/* Engine/compiler.scm 191 */
							BFALSE;
						}
					if ((BgL_unsafez00_1774 == ((long) 6)))
						{	/* Engine/compiler.scm 194 */
							BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF((
										(long) 12)));
						}
					else
						{	/* Engine/compiler.scm 194 */
							BFALSE;
						}
				}
				BGl_installzd2initialzd2expanderz00zzexpand_installz00();
				BGl_registerzd2srfiz12zc0zz__expander_srfi0z00(CNST_TABLE_REF(((long)
							13)));
				{	/* Engine/compiler.scm 205 */
					obj_t BgL_exp0z00_1776;

					{	/* Engine/compiler.scm 205 */
						obj_t BgL_arg1830z00_2004;

						BgL_arg1830z00_2004 = CAR(((obj_t) BgL_srcz00_1756));
						BgL_exp0z00_1776 =
							BGl_comptimezd2expandzf2errorz20zzexpand_epsz00
							(BgL_arg1830z00_2004);
					}
					{	/* Engine/compiler.scm 205 */
						obj_t BgL_modulez00_1777;

						BgL_modulez00_1777 =
							BGl_prognzd2firstzd2expressionz00zztools_prognz00
							(BgL_exp0z00_1776);
						{	/* Engine/compiler.scm 206 */
							obj_t BgL_srczd2codezd2_1778;

							{	/* Engine/compiler.scm 207 */
								obj_t BgL_arg1821z00_2002;
								obj_t BgL_arg1822z00_2003;

								BgL_arg1821z00_2002 =
									BGl_prognzd2tailzd2expressionsz00zztools_prognz00
									(BgL_exp0z00_1776);
								BgL_arg1822z00_2003 = CDR(((obj_t) BgL_srcz00_1756));
								BgL_srczd2codezd2_1778 =
									BGl_appendzd221011zd2zzengine_compilerz00(BgL_arg1821z00_2002,
									BgL_arg1822z00_2003);
							}
							{	/* Engine/compiler.scm 207 */
								obj_t BgL_unitsz00_2441;

								{	/* Engine/compiler.scm 208 */
									obj_t BgL_cellvalz00_2668;

									BgL_cellvalz00_2668 =
										BGl_producezd2modulez12zc0zzmodule_modulez00
										(BgL_modulez00_1777);
									BgL_unitsz00_2441 = MAKE_CELL(BgL_cellvalz00_2668);
								}
								{	/* Engine/compiler.scm 208 */

									{	/* Engine/compiler.scm 210 */
										obj_t BgL_zc3z04anonymousza31388ze3z87_2363;

										BgL_zc3z04anonymousza31388ze3z87_2363 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31388ze3ze5zzengine_compilerz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31388ze3z87_2363,
											(int) (((long) 0)), BgL_modulez00_1777);
										BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
													(long) 14)), BgL_zc3z04anonymousza31388ze3z87_2363);
									}
									if (
										((long) CINT(BGl_za2profilezd2modeza2zd2zzengine_paramz00)
											>= ((long) 1)))
										{	/* Engine/compiler.scm 214 */
											obj_t BgL_auxz00_2442;

											{	/* Engine/compiler.scm 214 */
												obj_t BgL_arg1400z00_1784;

												BgL_arg1400z00_1784 =
													BGl_makezd2profzd2unitz00zzprof_walkz00();
												BgL_auxz00_2442 =
													MAKE_YOUNG_PAIR(BgL_arg1400z00_1784,
													CELL_REF(BgL_unitsz00_2441));
											}
											CELL_SET(BgL_unitsz00_2441, BgL_auxz00_2442);
										}
									else
										{	/* Engine/compiler.scm 213 */
											BFALSE;
										}
									if (CBOOL
										(BGl_za2modulezd2checksumzd2objectzf3za2zf3zzengine_paramz00))
										{	/* Engine/compiler.scm 217 */
											BGl_modulezd2checksumzd2objectz00zzmodule_modulez00();
										}
									else
										{	/* Engine/compiler.scm 217 */
											BFALSE;
										}
									BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long)
												15)), BGl_proc1924z00zzengine_compilerz00);
									{	/* Engine/compiler.scm 222 */
										obj_t BgL_c0z00_1788;

										if (NULLP(BgL_srczd2codezd2_1778))
											{	/* Engine/compiler.scm 222 */
												BgL_c0z00_1788 = CNST_TABLE_REF(((long) 16));
											}
										else
											{	/* Engine/compiler.scm 222 */
												BgL_c0z00_1788 = BgL_srczd2codezd2_1778;
											}
										{	/* Engine/compiler.scm 222 */
											obj_t BgL_c1z00_1789;

											{	/* Engine/compiler.scm 223 */
												bool_t BgL_test2046z00_2690;

												if (
													((long)
														CINT
														(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
														>= ((long) 1)))
													{	/* Engine/compiler.scm 223 */
														BgL_test2046z00_2690 =
															CBOOL(BGl_za2mainza2z00zzmodule_modulez00);
													}
												else
													{	/* Engine/compiler.scm 223 */
														BgL_test2046z00_2690 = ((bool_t) 0);
													}
												if (BgL_test2046z00_2690)
													{	/* Engine/compiler.scm 225 */
														obj_t BgL_arg1482z00_1798;

														{	/* Engine/compiler.scm 225 */
															obj_t BgL_arg1484z00_1799;

															{	/* Engine/compiler.scm 225 */
																obj_t BgL_arg1496z00_1800;

																{	/* Engine/compiler.scm 225 */
																	int BgL_xz00_1801;
																	obj_t BgL_yz00_1802;

																	BgL_xz00_1801 =
																		BGl_bigloozd2compilerzd2debugz00zz__paramz00
																		();
																	BgL_yz00_1802 =
																		BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00;
																	BgL_arg1496z00_1800 =
																		BGl_2maxz00zz__r4_numbers_6_5z00(BINT
																		(BgL_xz00_1801), BgL_yz00_1802);
																}
																BgL_arg1484z00_1799 =
																	MAKE_YOUNG_PAIR(BgL_arg1496z00_1800, BNIL);
															}
															BgL_arg1482z00_1798 =
																MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 17)),
																BgL_arg1484z00_1799);
														}
														BgL_c1z00_1789 =
															MAKE_YOUNG_PAIR(BgL_arg1482z00_1798,
															BgL_c0z00_1788);
													}
												else
													{	/* Engine/compiler.scm 223 */
														BgL_c1z00_1789 = BgL_c0z00_1788;
													}
											}
											{	/* Engine/compiler.scm 223 */

												BGl_unitzd2sexpza2zd2addz12zb0zzast_unitz00
													(BGl_getzd2toplevelzd2unitz00zzmodule_includez00(),
													BgL_c1z00_1789);
												if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
														((long) 2)))
													{	/* Engine/compiler.scm 231 */
														obj_t BgL_arg1429z00_1792;
														obj_t BgL_arg1458z00_1793;

														BgL_arg1429z00_1792 =
															BGl_getzd2toplevelzd2unitz00zzmodule_includez00();
														{	/* Engine/compiler.scm 232 */
															obj_t BgL_arg1467z00_1794;

															BgL_arg1467z00_1794 =
																BGl_z52appendzd22zd2definez52zzexpand_installz00
																();
															{	/* Engine/compiler.scm 232 */
																obj_t BgL_list1468z00_1795;

																BgL_list1468z00_1795 =
																	MAKE_YOUNG_PAIR(BgL_arg1467z00_1794, BNIL);
																BgL_arg1458z00_1793 = BgL_list1468z00_1795;
														}}
														BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00
															(BgL_arg1429z00_1792, BgL_arg1458z00_1793);
													}
												else
													{	/* Engine/compiler.scm 230 */
														BFALSE;
													}
											}
										}
									}
									if (
										((long)
											CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
											> ((long) 0)))
										{	/* Engine/compiler.scm 235 */
											{	/* Engine/compiler.scm 235 */
												obj_t BgL_port1305z00_1807;

												{	/* Engine/compiler.scm 235 */
													obj_t BgL_tmpz00_2714;

													BgL_tmpz00_2714 = BGL_CURRENT_DYNAMIC_ENV();
													BgL_port1305z00_1807 =
														BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2714);
												}
												bgl_display_obj
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BgL_port1305z00_1807);
												bgl_display_string
													(BGl_string1925z00zzengine_compilerz00,
													BgL_port1305z00_1807);
												{	/* Engine/compiler.scm 235 */
													obj_t BgL_arg1506z00_1808;

													{	/* Engine/compiler.scm 235 */
														bool_t BgL_test2050z00_2719;

														if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
															(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
															{	/* Engine/compiler.scm 235 */
																if (INTEGERP
																	(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
																	{	/* Engine/compiler.scm 235 */
																		BgL_test2050z00_2719 =
																			(
																			(long)
																			CINT
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
																			> ((long) 1));
																	}
																else
																	{	/* Engine/compiler.scm 235 */
																		BgL_test2050z00_2719 =
																			BGl_2ze3ze3zz__r4_numbers_6_5z00
																			(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
																			BINT(((long) 1)));
															}}
														else
															{	/* Engine/compiler.scm 235 */
																BgL_test2050z00_2719 = ((bool_t) 0);
															}
														if (BgL_test2050z00_2719)
															{	/* Engine/compiler.scm 235 */
																BgL_arg1506z00_1808 =
																	BGl_string1926z00zzengine_compilerz00;
															}
														else
															{	/* Engine/compiler.scm 235 */
																BgL_arg1506z00_1808 =
																	BGl_string1927z00zzengine_compilerz00;
															}
													}
													bgl_display_obj(BgL_arg1506z00_1808,
														BgL_port1305z00_1807);
												}
												bgl_display_string
													(BGl_string1928z00zzengine_compilerz00,
													BgL_port1305z00_1807);
												bgl_display_char(((unsigned char) 10),
													BgL_port1305z00_1807);
											}
											{	/* Engine/compiler.scm 235 */
												obj_t BgL_list1510z00_1812;

												BgL_list1510z00_1812 =
													MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
												BGl_exitz00zz__errorz00(BgL_list1510z00_1812);
										}}
									else
										{	/* Engine/compiler.scm 235 */
											obj_t BgL_g1112z00_1813;

											BgL_g1112z00_1813 = BNIL;
											{
												obj_t BgL_hooksz00_1816;
												obj_t BgL_hnamesz00_1817;

												BgL_hooksz00_1816 = BgL_g1112z00_1813;
												BgL_hnamesz00_1817 = BNIL;
											BgL_zc3z04anonymousza31511ze3z87_1818:
												if (NULLP(BgL_hooksz00_1816))
													{	/* Engine/compiler.scm 235 */
														BUNSPEC;
													}
												else
													{	/* Engine/compiler.scm 235 */
														bool_t BgL_test2054z00_2736;

														{	/* Engine/compiler.scm 235 */
															obj_t BgL_fun1525z00_1825;

															BgL_fun1525z00_1825 =
																CAR(((obj_t) BgL_hooksz00_1816));
															BgL_test2054z00_2736 =
																CBOOL(
																((obj_t(*)(obj_t,
																			obj_t))
																	PROCEDURE_ENTRY(BgL_fun1525z00_1825))
																(BgL_fun1525z00_1825, BEOA));
														}
														if (BgL_test2054z00_2736)
															{	/* Engine/compiler.scm 235 */
																obj_t BgL_arg1521z00_1822;
																obj_t BgL_arg1522z00_1823;

																BgL_arg1521z00_1822 =
																	CDR(((obj_t) BgL_hooksz00_1816));
																BgL_arg1522z00_1823 =
																	CDR(((obj_t) BgL_hnamesz00_1817));
																{
																	obj_t BgL_hnamesz00_2748;
																	obj_t BgL_hooksz00_2747;

																	BgL_hooksz00_2747 = BgL_arg1521z00_1822;
																	BgL_hnamesz00_2748 = BgL_arg1522z00_1823;
																	BgL_hnamesz00_1817 = BgL_hnamesz00_2748;
																	BgL_hooksz00_1816 = BgL_hooksz00_2747;
																	goto BgL_zc3z04anonymousza31511ze3z87_1818;
																}
															}
														else
															{	/* Engine/compiler.scm 235 */
																obj_t BgL_arg1523z00_1824;

																BgL_arg1523z00_1824 =
																	CAR(((obj_t) BgL_hnamesz00_1817));
																BGl_internalzd2errorzd2zztools_errorz00
																	(BGl_za2currentzd2passza2zd2zzengine_passz00,
																	BGl_string1929z00zzengine_compilerz00,
																	BgL_arg1523z00_1824);
															}
													}
											}
										}
									BGl_checkzd2typeszd2zztype_envz00();
									BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long)
												3)), BGl_classgenzd2walkzd2envz00zzobject_classgenz00);
									BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF(((long)
												18)), BGl_hgenzd2walkzd2envz00zzhgen_walkz00);
									BGl_loadzd2libraryzd2initz00zzmodule_alibraryz00();
									BGl_restorezd2additionalzd2heapsz00zzheap_restorez00();
									BGl_additionalzd2heapzd2restorezd2globalsz12zc0zzast_envz00();
									BGl_unitzd2sexpza2zd2addzd2headz12z62zzast_unitz00
										(BGl_getzd2toplevelzd2unitz00zzmodule_includez00(),
										BGl_getzd2alibraryzd2initsz00zzmodule_alibraryz00());
									BGl_userzd2walkzd2zzuser_userz00(CELL_REF(BgL_unitsz00_2441));
									{	/* Engine/compiler.scm 258 */
										obj_t BgL_zc3z04anonymousza31536ze3z87_2361;

										BgL_zc3z04anonymousza31536ze3z87_2361 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31536ze3ze5zzengine_compilerz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31536ze3z87_2361,
											(int) (((long) 0)), ((obj_t) BgL_unitsz00_2441));
										BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
													(long) 19)), BgL_zc3z04anonymousza31536ze3z87_2361);
									}
									BGl_expandzd2unitszd2zzexpand_epsz00(CELL_REF
										(BgL_unitsz00_2441));
									{	/* Engine/compiler.scm 262 */
										obj_t BgL_zc3z04anonymousza31559ze3z87_2360;

										BgL_zc3z04anonymousza31559ze3z87_2360 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31559ze3ze5zzengine_compilerz00,
											(int) (((long) 0)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31559ze3z87_2360,
											(int) (((long) 0)), ((obj_t) BgL_unitsz00_2441));
										BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
													(long) 20)), BgL_zc3z04anonymousza31559ze3z87_2360);
									}
									{	/* Engine/compiler.scm 265 */
										obj_t BgL_arg1561z00_1836;

										BgL_arg1561z00_1836 =
											BGl_thezd2backendzd2zzbackend_backendz00();
										BGl_backendzd2checkzd2inlinesz00zzbackend_backendz00(
											((BgL_backendz00_bglt) BgL_arg1561z00_1836));
									}
									if (CBOOL
										(BGl_za2gczd2forcezd2registerzd2rootszf3za2z21zzengine_paramz00))
										{	/* Engine/compiler.scm 269 */
											obj_t BgL_auxz00_2445;

											{	/* Engine/compiler.scm 269 */
												obj_t BgL_arg1565z00_1837;

												BgL_arg1565z00_1837 =
													BGl_makezd2gczd2rootszd2unitzd2zzcc_rootsz00();
												BgL_auxz00_2445 =
													MAKE_YOUNG_PAIR(BgL_arg1565z00_1837,
													CELL_REF(BgL_unitsz00_2441));
											}
											CELL_SET(BgL_unitsz00_2441, BgL_auxz00_2445);
										}
									else
										{	/* Engine/compiler.scm 268 */
											BFALSE;
										}
									{	/* Engine/compiler.scm 272 */
										obj_t BgL_astz00_2446;

										{	/* Engine/compiler.scm 272 */
											obj_t BgL_cellvalz00_2788;

											BgL_cellvalz00_2788 =
												BGl_buildzd2astzd2zzast_buildz00(CELL_REF
												(BgL_unitsz00_2441));
											BgL_astz00_2446 = MAKE_CELL(BgL_cellvalz00_2788);
										}
										{	/* Engine/compiler.scm 273 */
											obj_t BgL_zc3z04anonymousza31568ze3z87_2359;

											BgL_zc3z04anonymousza31568ze3z87_2359 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31568ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31568ze3z87_2359,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 21)), BgL_zc3z04anonymousza31568ze3z87_2359);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1930z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1930z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
													(long) 22)), BGl_proc1931z00zzengine_compilerz00);
										if (CBOOL
											(BGl_za2optimzd2initflowzf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 284 */
												obj_t BgL_auxz00_2447;

												BgL_auxz00_2447 =
													BGl_initflowzd2walkz12zc0zzinitflow_walkz00(CELL_REF
													(BgL_astz00_2446));
												CELL_SET(BgL_astz00_2446, BgL_auxz00_2447);
											}
										else
											{	/* Engine/compiler.scm 283 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 285 */
											obj_t BgL_zc3z04anonymousza31573ze3z87_2357;

											BgL_zc3z04anonymousza31573ze3z87_2357 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31573ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31573ze3z87_2357,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 23)), BgL_zc3z04anonymousza31573ze3z87_2357);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1932z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1932z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
													(long) 24)), BGl_proc1933z00zzengine_compilerz00);
										{	/* Engine/compiler.scm 293 */
											bool_t BgL_test2057z00_2817;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													> ((long) 0)))
												{	/* Engine/compiler.scm 294 */
													obj_t BgL_arg1598z00_1856;

													{	/* Engine/compiler.scm 294 */
														obj_t BgL_arg1599z00_1857;

														BgL_arg1599z00_1857 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg1598z00_1856 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1599z00_1857)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test2057z00_2817 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 1)), BgL_arg1598z00_1856));
												}
											else
												{	/* Engine/compiler.scm 293 */
													BgL_test2057z00_2817 = ((bool_t) 0);
												}
											if (BgL_test2057z00_2817)
												{	/* Engine/compiler.scm 293 */
													BGl_bdbzd2spreadzd2objz12z12zzbdb_spreadzd2objzd2
														(CELL_REF(BgL_astz00_2446));
												}
											else
												{	/* Engine/compiler.scm 293 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 296 */
											obj_t BgL_zc3z04anonymousza31601ze3z87_2355;

											BgL_zc3z04anonymousza31601ze3z87_2355 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31601ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31601ze3z87_2355,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 25)), BgL_zc3z04anonymousza31601ze3z87_2355);
										}
										{	/* Engine/compiler.scm 299 */
											bool_t BgL_test2059z00_2836;

											if (
												((long)
													CINT
													(BGl_za2compilerzd2debugzd2traceza2z00zzengine_paramz00)
													>= ((long) 1)))
												{	/* Engine/compiler.scm 301 */
													obj_t BgL_arg1614z00_1865;

													BgL_arg1614z00_1865 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2059z00_2836 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1614z00_1865)))->
														BgL_tracezd2supportzd2);
												}
											else
												{	/* Engine/compiler.scm 299 */
													BgL_test2059z00_2836 = ((bool_t) 0);
												}
											if (BgL_test2059z00_2836)
												{	/* Engine/compiler.scm 302 */
													obj_t BgL_auxz00_2448;

													BgL_auxz00_2448 =
														BGl_tracezd2walkz12zc0zztrace_walkz00(CELL_REF
														(BgL_astz00_2446));
													CELL_SET(BgL_astz00_2446, BgL_auxz00_2448);
												}
											else
												{	/* Engine/compiler.scm 299 */
													BFALSE;
												}
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1934z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1934z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 308 */
											bool_t BgL_test2061z00_2846;

											if (CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
												{	/* Engine/compiler.scm 308 */
													obj_t BgL_arg1625z00_1868;

													BgL_arg1625z00_1868 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2061z00_2846 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1625z00_1868)))->
														BgL_callccz00);
												}
											else
												{	/* Engine/compiler.scm 308 */
													BgL_test2061z00_2846 = ((bool_t) 0);
												}
											if (BgL_test2061z00_2846)
												{	/* Engine/compiler.scm 309 */
													obj_t BgL_auxz00_2449;

													BgL_auxz00_2449 =
														BGl_callcczd2walkz12zc0zzcallcc_walkz00(CELL_REF
														(BgL_astz00_2446));
													CELL_SET(BgL_astz00_2446, BgL_auxz00_2449);
												}
											else
												{	/* Engine/compiler.scm 308 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 310 */
											obj_t BgL_zc3z04anonymousza31630ze3z87_2354;

											BgL_zc3z04anonymousza31630ze3z87_2354 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31630ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31630ze3z87_2354,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 26)), BgL_zc3z04anonymousza31630ze3z87_2354);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1935z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1935z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 315 */
											obj_t BgL_auxz00_2450;

											BgL_auxz00_2450 =
												BGl_effectzd2walkz12zc0zzeffect_walkz00(CELL_REF
												(BgL_astz00_2446), ((bool_t) 0));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2450);
										}
										{	/* Engine/compiler.scm 316 */
											obj_t BgL_zc3z04anonymousza31633ze3z87_2353;

											BgL_zc3z04anonymousza31633ze3z87_2353 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31633ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31633ze3z87_2353,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 27)), BgL_zc3z04anonymousza31633ze3z87_2353);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1936z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1936z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 321 */
											obj_t BgL_auxz00_2451;

											BgL_auxz00_2451 =
												BGl_stackablezd2walkz12zc0zzstackable_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2451);
										}
										{	/* Engine/compiler.scm 322 */
											obj_t BgL_zc3z04anonymousza31636ze3z87_2352;

											BgL_zc3z04anonymousza31636ze3z87_2352 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31636ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31636ze3z87_2352,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 28)), BgL_zc3z04anonymousza31636ze3z87_2352);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1937z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1937z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 327 */
											obj_t BgL_auxz00_2452;

											BgL_auxz00_2452 =
												BGl_isazd2walkz12zc0zzisa_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2452);
										}
										{	/* Engine/compiler.scm 328 */
											obj_t BgL_zc3z04anonymousza31640ze3z87_2351;

											BgL_zc3z04anonymousza31640ze3z87_2351 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31640ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31640ze3z87_2351,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 29)), BgL_zc3z04anonymousza31640ze3z87_2351);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1938z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1938z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 333 */
											obj_t BgL_auxz00_2453;

											BgL_auxz00_2453 =
												BGl_flopzd2walkz12zc0zzflop_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2453);
										}
										{	/* Engine/compiler.scm 334 */
											obj_t BgL_zc3z04anonymousza31642ze3z87_2350;

											BgL_zc3z04anonymousza31642ze3z87_2350 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31642ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31642ze3z87_2350,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 30)), BgL_zc3z04anonymousza31642ze3z87_2350);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1939z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1939z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 339 */
											obj_t BgL_auxz00_2454;

											BgL_auxz00_2454 =
												BGl_inlinezd2walkz12zc0zzinline_walkz00(CELL_REF
												(BgL_astz00_2446), CNST_TABLE_REF(((long) 31)));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2454);
										}
										{	/* Engine/compiler.scm 340 */
											obj_t BgL_zc3z04anonymousza31646ze3z87_2349;

											BgL_zc3z04anonymousza31646ze3z87_2349 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31646ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31646ze3z87_2349,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 32)), BgL_zc3z04anonymousza31646ze3z87_2349);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1940z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1940z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
													(long) 33)), BGl_proc1941z00zzengine_compilerz00);
										{	/* Engine/compiler.scm 354 */
											obj_t BgL_auxz00_2455;

											BgL_auxz00_2455 =
												BGl_betazd2walkz12zc0zzbeta_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2455);
										}
										{	/* Engine/compiler.scm 355 */
											obj_t BgL_zc3z04anonymousza31652ze3z87_2347;

											BgL_zc3z04anonymousza31652ze3z87_2347 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31652ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31652ze3z87_2347,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 34)), BgL_zc3z04anonymousza31652ze3z87_2347);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1942z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1942z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 370 */
											bool_t BgL_test2063z00_2932;

											{	/* Engine/compiler.scm 370 */
												bool_t BgL_test2064z00_2933;

												{	/* Engine/compiler.scm 370 */
													int BgL_arg1663z00_1898;

													BgL_arg1663z00_1898 =
														BGl_bigloozd2compilerzd2debugz00zz__paramz00();
													BgL_test2064z00_2933 =
														((long) (BgL_arg1663z00_1898) >= ((long) 1));
												}
												if (BgL_test2064z00_2933)
													{	/* Engine/compiler.scm 370 */
														BgL_test2063z00_2932 =
															CBOOL
															(BGl_za2errorzd2localiza7ationza2z75zzengine_paramz00);
													}
												else
													{	/* Engine/compiler.scm 370 */
														BgL_test2063z00_2932 = ((bool_t) 0);
													}
											}
											if (BgL_test2063z00_2932)
												{	/* Engine/compiler.scm 371 */
													obj_t BgL_auxz00_2456;

													BgL_auxz00_2456 =
														BGl_failzd2walkz12zc0zzfail_walkz00(CELL_REF
														(BgL_astz00_2446));
													CELL_SET(BgL_astz00_2446, BgL_auxz00_2456);
												}
											else
												{	/* Engine/compiler.scm 370 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 372 */
											obj_t BgL_zc3z04anonymousza31673ze3z87_2346;

											BgL_zc3z04anonymousza31673ze3z87_2346 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31673ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31673ze3z87_2346,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 35)), BgL_zc3z04anonymousza31673ze3z87_2346);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1943z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1943z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
											{	/* Engine/compiler.scm 378 */
												if (CBOOL(BGl_za2callzf2cczf3za2z01zzengine_paramz00))
													{	/* Engine/compiler.scm 379 */
														BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00
															= BFALSE;
													}
												else
													{	/* Engine/compiler.scm 379 */
														{	/* Engine/compiler.scm 382 */
															obj_t BgL_auxz00_2457;

															{	/* Engine/compiler.scm 382 */
																obj_t BgL_list1674z00_1902;

																BgL_list1674z00_1902 =
																	MAKE_YOUNG_PAIR(BTRUE, BNIL);
																BgL_auxz00_2457 =
																	BGl_reducezd2walkz12zc0zzreduce_walkz00
																	(CELL_REF(BgL_astz00_2446),
																	BGl_string1944z00zzengine_compilerz00,
																	BgL_list1674z00_1902);
															}
															CELL_SET(BgL_astz00_2446, BgL_auxz00_2457);
														}
														{	/* Engine/compiler.scm 383 */
															obj_t BgL_zc3z04anonymousza31678ze3z87_2345;

															BgL_zc3z04anonymousza31678ze3z87_2345 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31678ze3ze5zzengine_compilerz00,
																(int) (((long) 0)), (int) (((long) 1)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31678ze3z87_2345,
																(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
															BGl_stopzd2onzd2passz00zzengine_passz00
																(CNST_TABLE_REF(((long) 36)),
																BgL_zc3z04anonymousza31678ze3z87_2345);
														}
														{	/* Engine/compiler.scm 384 */
															obj_t BgL_auxz00_2458;

															BgL_auxz00_2458 =
																BGl_dataflowzd2walkz12zc0zzdataflow_walkz00
																(CELL_REF(BgL_astz00_2446),
																BGl_string1945z00zzengine_compilerz00);
															CELL_SET(BgL_astz00_2446, BgL_auxz00_2458);
											}}}
										else
											{	/* Engine/compiler.scm 378 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 385 */
											obj_t BgL_zc3z04anonymousza31681ze3z87_2344;

											BgL_zc3z04anonymousza31681ze3z87_2344 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31681ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31681ze3z87_2344,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 37)), BgL_zc3z04anonymousza31681ze3z87_2344);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1946z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1946z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 390 */
											obj_t BgL_auxz00_2459;

											BgL_auxz00_2459 =
												BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7
												(CELL_REF(BgL_astz00_2446),
												CNST_TABLE_REF(((long) 38)));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2459);
										}
										{	/* Engine/compiler.scm 391 */
											obj_t BgL_zc3z04anonymousza31683ze3z87_2343;

											BgL_zc3z04anonymousza31683ze3z87_2343 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31683ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31683ze3z87_2343,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 38)), BgL_zc3z04anonymousza31683ze3z87_2343);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1947z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1947z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 0), ((bool_t) 0));
										{	/* Engine/compiler.scm 396 */
											obj_t BgL_auxz00_2460;

											BgL_auxz00_2460 =
												BGl_cfazd2walkz12zc0zzcfa_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2460);
										}
										{	/* Engine/compiler.scm 397 */
											obj_t BgL_zc3z04anonymousza31688ze3z87_2342;

											BgL_zc3z04anonymousza31688ze3z87_2342 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31688ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31688ze3z87_2342,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 39)), BgL_zc3z04anonymousza31688ze3z87_2342);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1948z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1948z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 0));
										BGl_setzd2defaultzd2typez12z12zztype_cachez00((
												(BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
											{	/* Engine/compiler.scm 408 */
												obj_t BgL_auxz00_2461;

												BgL_auxz00_2461 =
													BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(CELL_REF
													(BgL_astz00_2446),
													BGl_string1949z00zzengine_compilerz00);
												CELL_SET(BgL_astz00_2446, BgL_auxz00_2461);
											}
										else
											{	/* Engine/compiler.scm 407 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 409 */
											obj_t BgL_zc3z04anonymousza31693ze3z87_2341;

											BgL_zc3z04anonymousza31693ze3z87_2341 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31693ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31693ze3z87_2341,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 40)), BgL_zc3z04anonymousza31693ze3z87_2341);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1946z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1946z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 0));
										{	/* Engine/compiler.scm 414 */
											obj_t BgL_auxz00_2462;

											BgL_auxz00_2462 =
												BGl_integratezd2walkz12zc0zzintegrate_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2462);
										}
										{	/* Engine/compiler.scm 415 */
											obj_t BgL_zc3z04anonymousza31697ze3z87_2340;

											BgL_zc3z04anonymousza31697ze3z87_2340 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31697ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31697ze3z87_2340,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 41)), BgL_zc3z04anonymousza31697ze3z87_2340);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1950z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1950z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 0));
										{	/* Engine/compiler.scm 420 */
											bool_t BgL_test2068z00_3023;

											if (CBOOL
												(BGl_za2globalzd2tailzd2callzf3za2zf3zzengine_paramz00))
												{	/* Engine/compiler.scm 420 */
													BgL_test2068z00_3023 = ((bool_t) 1);
												}
											else
												{	/* Engine/compiler.scm 421 */
													obj_t BgL_arg1705z00_1923;

													BgL_arg1705z00_1923 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2068z00_3023 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1705z00_1923)))->
														BgL_requirezd2tailczd2);
												}
											if (BgL_test2068z00_3023)
												{	/* Engine/compiler.scm 420 */
													{	/* Engine/compiler.scm 422 */
														obj_t BgL_auxz00_2463;

														BgL_auxz00_2463 =
															BGl_tailczd2walkz12zc0zztailc_walkz00(CELL_REF
															(BgL_astz00_2446));
														CELL_SET(BgL_astz00_2446, BgL_auxz00_2463);
													}
													BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
														(BGl_string1951z00zzengine_compilerz00,
														CELL_REF(BgL_astz00_2446));
													BGl_checkzd2typezd2zzast_checkzd2typezd2
														(BGl_string1951z00zzengine_compilerz00,
														CELL_REF(BgL_astz00_2446), ((bool_t) 1),
														((bool_t) 0));
												}
											else
												{	/* Engine/compiler.scm 420 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 425 */
											obj_t BgL_zc3z04anonymousza31712ze3z87_2339;

											BgL_zc3z04anonymousza31712ze3z87_2339 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31712ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31712ze3z87_2339,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 42)), BgL_zc3z04anonymousza31712ze3z87_2339);
										}
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2forzd2errorszf3za2z21zzengine_paramz00))
											{	/* Engine/compiler.scm 428 */
												{	/* Engine/compiler.scm 429 */
													obj_t BgL_auxz00_2464;

													{	/* Engine/compiler.scm 429 */
														obj_t BgL_list1713z00_1927;

														BgL_list1713z00_1927 = MAKE_YOUNG_PAIR(BTRUE, BNIL);
														BgL_auxz00_2464 =
															BGl_reducezd2walkz12zc0zzreduce_walkz00(CELL_REF
															(BgL_astz00_2446),
															BGl_string1952z00zzengine_compilerz00,
															BgL_list1713z00_1927);
													}
													CELL_SET(BgL_astz00_2446, BgL_auxz00_2464);
												}
												BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
													(BGl_string1953z00zzengine_compilerz00,
													CELL_REF(BgL_astz00_2446));
												BGl_checkzd2typezd2zzast_checkzd2typezd2
													(BGl_string1953z00zzengine_compilerz00,
													CELL_REF(BgL_astz00_2446), ((bool_t) 1),
													((bool_t) 0));
											}
										else
											{	/* Engine/compiler.scm 428 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 432 */
											obj_t BgL_zc3z04anonymousza31721ze3z87_2338;

											BgL_zc3z04anonymousza31721ze3z87_2338 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31721ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31721ze3z87_2338,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 43)), BgL_zc3z04anonymousza31721ze3z87_2338);
										}
										if (CBOOL(BGl_za2unsafezd2rangeza2zd2zzengine_paramz00))
											{	/* Engine/compiler.scm 439 */
												BFALSE;
											}
										else
											{	/* Engine/compiler.scm 440 */
												obj_t BgL_auxz00_2465;

												BgL_auxz00_2465 =
													BGl_aboundzd2walkz12zc0zzabound_walkz00(CELL_REF
													(BgL_astz00_2446));
												CELL_SET(BgL_astz00_2446, BgL_auxz00_2465);
											}
										{	/* Engine/compiler.scm 441 */
											obj_t BgL_zc3z04anonymousza31724ze3z87_2337;

											BgL_zc3z04anonymousza31724ze3z87_2337 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31724ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31724ze3z87_2337,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 44)), BgL_zc3z04anonymousza31724ze3z87_2337);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1954z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1954z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 0));
										{	/* Engine/compiler.scm 446 */
											obj_t BgL_auxz00_2466;

											BgL_auxz00_2466 =
												BGl_coercezd2walkz12zc0zzcoerce_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2466);
										}
										{	/* Engine/compiler.scm 447 */
											obj_t BgL_zc3z04anonymousza31729ze3z87_2336;

											BgL_zc3z04anonymousza31729ze3z87_2336 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31729ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31729ze3z87_2336,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 45)), BgL_zc3z04anonymousza31729ze3z87_2336);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1955z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1955z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 1));
										{	/* Engine/compiler.scm 452 */
											bool_t BgL_test2072z00_3078;

											if (CBOOL
												(BGl_za2optimzd2taggedzd2fxopzf3za2zf3zzengine_paramz00))
												{	/* Engine/compiler.scm 453 */
													obj_t BgL_arg1736z00_1943;

													{	/* Engine/compiler.scm 453 */
														obj_t BgL_arg1738z00_1944;

														BgL_arg1738z00_1944 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg1736z00_1943 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1738z00_1944)))->BgL_languagez00);
													}
													BgL_test2072z00_3078 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(BgL_arg1736z00_1943, CNST_TABLE_REF(((long) 46))));
												}
											else
												{	/* Engine/compiler.scm 452 */
													BgL_test2072z00_3078 = ((bool_t) 0);
												}
											if (BgL_test2072z00_3078)
												{	/* Engine/compiler.scm 452 */
													{	/* Engine/compiler.scm 454 */
														obj_t BgL_auxz00_2467;

														BgL_auxz00_2467 =
															BGl_fxopzd2walkz12zc0zzfxop_walkz00(CELL_REF
															(BgL_astz00_2446));
														CELL_SET(BgL_astz00_2446, BgL_auxz00_2467);
													}
													{	/* Engine/compiler.scm 455 */
														obj_t BgL_zc3z04anonymousza31735ze3z87_2335;

														BgL_zc3z04anonymousza31735ze3z87_2335 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza31735ze3ze5zzengine_compilerz00,
															(int) (((long) 0)), (int) (((long) 1)));
														PROCEDURE_SET(BgL_zc3z04anonymousza31735ze3z87_2335,
															(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
														BGl_stopzd2onzd2passz00zzengine_passz00
															(CNST_TABLE_REF(((long) 47)),
															BgL_zc3z04anonymousza31735ze3z87_2335);
													}
													BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
														(BGl_string1956z00zzengine_compilerz00,
														CELL_REF(BgL_astz00_2446));
													BGl_checkzd2typezd2zzast_checkzd2typezd2
														(BGl_string1956z00zzengine_compilerz00,
														CELL_REF(BgL_astz00_2446), ((bool_t) 1),
														((bool_t) 0));
												}
											else
												{	/* Engine/compiler.scm 452 */
													BFALSE;
												}
										}
										if (CBOOL
											(BGl_za2optimzd2dataflowzd2typeszf3za2zf3zzengine_paramz00))
											{	/* Engine/compiler.scm 462 */
												obj_t BgL_auxz00_2468;

												BgL_auxz00_2468 =
													BGl_dataflowzd2walkz12zc0zzdataflow_walkz00(CELL_REF
													(BgL_astz00_2446),
													BGl_string1957z00zzengine_compilerz00);
												CELL_SET(BgL_astz00_2446, BgL_auxz00_2468);
											}
										else
											{	/* Engine/compiler.scm 461 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 463 */
											obj_t BgL_zc3z04anonymousza31742ze3z87_2334;

											BgL_zc3z04anonymousza31742ze3z87_2334 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31742ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31742ze3z87_2334,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 48)), BgL_zc3z04anonymousza31742ze3z87_2334);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1946z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1946z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 1));
										{	/* Engine/compiler.scm 469 */
											bool_t BgL_test2075z00_3111;

											if (
												((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
													((long) 1)))
												{	/* Engine/compiler.scm 469 */
													BgL_test2075z00_3111 = ((bool_t) 1);
												}
											else
												{	/* Engine/compiler.scm 469 */
													BgL_test2075z00_3111 =
														(BGl_za2passza2z00zzengine_paramz00 ==
														CNST_TABLE_REF(((long) 49)));
												}
											if (BgL_test2075z00_3111)
												{	/* Engine/compiler.scm 470 */
													obj_t BgL_auxz00_2469;

													BgL_auxz00_2469 =
														BGl_effectzd2walkz12zc0zzeffect_walkz00(CELL_REF
														(BgL_astz00_2446), ((bool_t) 1));
													CELL_SET(BgL_astz00_2446, BgL_auxz00_2469);
												}
											else
												{	/* Engine/compiler.scm 469 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 471 */
											obj_t BgL_zc3z04anonymousza31746ze3z87_2333;

											BgL_zc3z04anonymousza31746ze3z87_2333 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31746ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31746ze3z87_2333,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 49)), BgL_zc3z04anonymousza31746ze3z87_2333);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1936z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1936z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 1));
										if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
												((long) 1)))
											{	/* Engine/compiler.scm 477 */
												obj_t BgL_auxz00_2470;

												BgL_auxz00_2470 =
													BGl_reducezd2walkz12zc0zzreduce_walkz00(CELL_REF
													(BgL_astz00_2446),
													BGl_string1958z00zzengine_compilerz00, BNIL);
												CELL_SET(BgL_astz00_2446, BgL_auxz00_2470);
											}
										else
											{	/* Engine/compiler.scm 476 */
												BFALSE;
											}
										{	/* Engine/compiler.scm 478 */
											obj_t BgL_zc3z04anonymousza31750ze3z87_2332;

											BgL_zc3z04anonymousza31750ze3z87_2332 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31750ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31750ze3z87_2332,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 50)), BgL_zc3z04anonymousza31750ze3z87_2332);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1959z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1959z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 1));
										{	/* Engine/compiler.scm 483 */
											bool_t BgL_test2078z00_3142;

											if (
												((long) CINT(BGl_za2bdbzd2debugza2zd2zzengine_paramz00)
													> ((long) 0)))
												{	/* Engine/compiler.scm 484 */
													obj_t BgL_arg1755z00_1964;

													{	/* Engine/compiler.scm 484 */
														obj_t BgL_arg1756z00_1965;

														BgL_arg1756z00_1965 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_arg1755z00_1964 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1756z00_1965)))->
															BgL_debugzd2supportzd2);
													}
													BgL_test2078z00_3142 =
														CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
														(CNST_TABLE_REF(((long) 1)), BgL_arg1755z00_1964));
												}
											else
												{	/* Engine/compiler.scm 483 */
													BgL_test2078z00_3142 = ((bool_t) 0);
												}
											if (BgL_test2078z00_3142)
												{	/* Engine/compiler.scm 485 */
													obj_t BgL_auxz00_2471;

													BgL_auxz00_2471 =
														BGl_bdbzd2walkz12zc0zzbdb_walkz00(CELL_REF
														(BgL_astz00_2446));
													CELL_SET(BgL_astz00_2446, BgL_auxz00_2471);
												}
											else
												{	/* Engine/compiler.scm 483 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 486 */
											obj_t BgL_zc3z04anonymousza31758ze3z87_2331;

											BgL_zc3z04anonymousza31758ze3z87_2331 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31758ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31758ze3z87_2331,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 1)), BgL_zc3z04anonymousza31758ze3z87_2331);
										}
										{	/* Engine/compiler.scm 489 */
											obj_t BgL_auxz00_2472;

											BgL_auxz00_2472 =
												BGl_cnstzd2walkz12zc0zzcnst_walkz00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2472);
										}
										{	/* Engine/compiler.scm 490 */
											obj_t BgL_zc3z04anonymousza31764ze3z87_2330;

											BgL_zc3z04anonymousza31764ze3z87_2330 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31764ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31764ze3z87_2330,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 51)), BgL_zc3z04anonymousza31764ze3z87_2330);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1960z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1960z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 1));
										{	/* Engine/compiler.scm 495 */
											bool_t BgL_test2080z00_3172;

											if (CBOOL
												(BGl_za2optimzd2returnzf3za2z21zzengine_paramz00))
												{	/* Engine/compiler.scm 496 */
													obj_t BgL_arg1769z00_1974;

													BgL_arg1769z00_1974 =
														BGl_thezd2backendzd2zzbackend_backendz00();
													BgL_test2080z00_3172 =
														(((BgL_backendz00_bglt) COBJECT(
																((BgL_backendz00_bglt) BgL_arg1769z00_1974)))->
														BgL_pragmazd2supportzd2);
												}
											else
												{	/* Engine/compiler.scm 495 */
													BgL_test2080z00_3172 = ((bool_t) 0);
												}
											if (BgL_test2080z00_3172)
												{	/* Engine/compiler.scm 495 */
													{	/* Engine/compiler.scm 497 */
														obj_t BgL_auxz00_2473;

														BgL_auxz00_2473 =
															BGl_returnzd2walkz12zc0zzreturn_walkz00(CELL_REF
															(BgL_astz00_2446));
														CELL_SET(BgL_astz00_2446, BgL_auxz00_2473);
													}
													{	/* Engine/compiler.scm 498 */
														obj_t BgL_auxz00_2474;

														BgL_auxz00_2474 =
															BGl_lvtypezd2astz12zc0zzast_lvtypez00(CELL_REF
															(BgL_astz00_2446));
														CELL_SET(BgL_astz00_2446, BgL_auxz00_2474);
													}
												}
											else
												{	/* Engine/compiler.scm 495 */
													BFALSE;
												}
										}
										{	/* Engine/compiler.scm 499 */
											obj_t BgL_zc3z04anonymousza31771ze3z87_2329;

											BgL_zc3z04anonymousza31771ze3z87_2329 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31771ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31771ze3z87_2329,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 52)), BgL_zc3z04anonymousza31771ze3z87_2329);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1961z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1961z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 0));
										{	/* Engine/compiler.scm 505 */
											obj_t BgL_auxz00_2475;

											BgL_auxz00_2475 =
												BGl_inlinezd2walkz12zc0zzinline_walkz00(CELL_REF
												(BgL_astz00_2446), CNST_TABLE_REF(((long) 53)));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2475);
										}
										{	/* Engine/compiler.scm 506 */
											obj_t BgL_auxz00_2476;

											BgL_auxz00_2476 =
												BGl_lvtypezd2astz12zc0zzast_lvtypez00(CELL_REF
												(BgL_astz00_2446));
											CELL_SET(BgL_astz00_2446, BgL_auxz00_2476);
										}
										BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
											(BGl_string1962z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446));
										BGl_checkzd2typezd2zzast_checkzd2typezd2
											(BGl_string1962z00zzengine_compilerz00,
											CELL_REF(BgL_astz00_2446), ((bool_t) 1), ((bool_t) 1));
										{	/* Engine/compiler.scm 509 */
											obj_t BgL_zc3z04anonymousza31778ze3z87_2328;

											BgL_zc3z04anonymousza31778ze3z87_2328 =
												MAKE_FX_PROCEDURE
												(BGl_z62zc3z04anonymousza31778ze3ze5zzengine_compilerz00,
												(int) (((long) 0)), (int) (((long) 1)));
											PROCEDURE_SET(BgL_zc3z04anonymousza31778ze3z87_2328,
												(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
											BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
														(long) 54)), BgL_zc3z04anonymousza31778ze3z87_2328);
										}
										{	/* Engine/compiler.scm 512 */
											obj_t BgL_ast2z00_2477;

											{	/* Engine/compiler.scm 512 */
												obj_t BgL_cellvalz00_3203;

												{	/* Engine/compiler.scm 512 */
													obj_t BgL_arg1819z00_2001;

													BgL_arg1819z00_2001 =
														BGl_astzd2initializa7ersz75zzast_initz00();
													BgL_cellvalz00_3203 =
														BGl_appendzd2astzd2zzast_buildz00
														(BgL_arg1819z00_2001, CELL_REF(BgL_astz00_2446));
												}
												BgL_ast2z00_2477 = MAKE_CELL(BgL_cellvalz00_3203);
											}
											{	/* Engine/compiler.scm 513 */
												obj_t BgL_zc3z04anonymousza31782ze3z87_2327;

												BgL_zc3z04anonymousza31782ze3z87_2327 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31782ze3ze5zzengine_compilerz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3z04anonymousza31782ze3z87_2327,
													(int) (((long) 0)), ((obj_t) BgL_ast2z00_2477));
												BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
															(long) 55)),
													BgL_zc3z04anonymousza31782ze3z87_2327);
											}
											BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
												(BGl_string1963z00zzengine_compilerz00,
												CELL_REF(BgL_ast2z00_2477));
											BGl_checkzd2typezd2zzast_checkzd2typezd2
												(BGl_string1963z00zzengine_compilerz00,
												CELL_REF(BgL_ast2z00_2477), ((bool_t) 1), ((bool_t) 1));
											{	/* Engine/compiler.scm 518 */
												bool_t BgL_test2082z00_3216;

												if (
													((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >=
														((long) 2)))
													{	/* Engine/compiler.scm 518 */
														BgL_test2082z00_3216 = ((bool_t) 1);
													}
												else
													{	/* Engine/compiler.scm 518 */
														obj_t BgL_arg1790z00_1993;

														BgL_arg1790z00_1993 =
															BGl_thezd2backendzd2zzbackend_backendz00();
														BgL_test2082z00_3216 =
															(((BgL_backendz00_bglt) COBJECT(
																	((BgL_backendz00_bglt)
																		BgL_arg1790z00_1993)))->BgL_effectzb2zb2);
													}
												if (BgL_test2082z00_3216)
													{	/* Engine/compiler.scm 518 */
														{	/* Engine/compiler.scm 519 */
															obj_t BgL_auxz00_2478;

															BgL_auxz00_2478 =
																BGl_effectzd2walkz12zc0zzeffect_walkz00(CELL_REF
																(BgL_ast2z00_2477), ((bool_t) 1));
															CELL_SET(BgL_ast2z00_2477, BgL_auxz00_2478);
														}
														{	/* Engine/compiler.scm 520 */
															obj_t BgL_zc3z04anonymousza31788ze3z87_2326;

															BgL_zc3z04anonymousza31788ze3z87_2326 =
																MAKE_FX_PROCEDURE
																(BGl_z62zc3z04anonymousza31788ze3ze5zzengine_compilerz00,
																(int) (((long) 0)), (int) (((long) 1)));
															PROCEDURE_SET
																(BgL_zc3z04anonymousza31788ze3z87_2326,
																(int) (((long) 0)), ((obj_t) BgL_ast2z00_2477));
															BGl_stopzd2onzd2passz00zzengine_passz00
																(CNST_TABLE_REF(((long) 56)),
																BgL_zc3z04anonymousza31788ze3z87_2326);
														}
														{	/* Engine/compiler.scm 521 */
															obj_t BgL_auxz00_2479;

															BgL_auxz00_2479 =
																BGl_reducezd2walkz12zc0zzreduce_walkz00(CELL_REF
																(BgL_ast2z00_2477),
																BGl_string1964z00zzengine_compilerz00, BNIL);
															CELL_SET(BgL_ast2z00_2477, BgL_auxz00_2479);
													}}
												else
													{	/* Engine/compiler.scm 518 */
														BFALSE;
													}
											}
											{	/* Engine/compiler.scm 522 */
												obj_t BgL_zc3z04anonymousza31812ze3z87_2325;

												BgL_zc3z04anonymousza31812ze3z87_2325 =
													MAKE_FX_PROCEDURE
													(BGl_z62zc3z04anonymousza31812ze3ze5zzengine_compilerz00,
													(int) (((long) 0)), (int) (((long) 1)));
												PROCEDURE_SET(BgL_zc3z04anonymousza31812ze3z87_2325,
													(int) (((long) 0)), ((obj_t) BgL_ast2z00_2477));
												BGl_stopzd2onzd2passz00zzengine_passz00(CNST_TABLE_REF((
															(long) 57)),
													BgL_zc3z04anonymousza31812ze3z87_2325);
											}
											BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
												(BGl_string1965z00zzengine_compilerz00,
												CELL_REF(BgL_ast2z00_2477));
											BGl_checkzd2typezd2zzast_checkzd2typezd2
												(BGl_string1965z00zzengine_compilerz00,
												CELL_REF(BgL_ast2z00_2477), ((bool_t) 1), ((bool_t) 1));
											if (CBOOL
												(BGl_za2optimzd2uncellzf3za2z21zzengine_paramz00))
												{	/* Engine/compiler.scm 527 */
													{	/* Engine/compiler.scm 528 */
														obj_t BgL_auxz00_2480;

														BgL_auxz00_2480 =
															BGl_uncellzd2walkz12zc0zzuncell_walkz00(CELL_REF
															(BgL_astz00_2446));
														CELL_SET(BgL_astz00_2446, BgL_auxz00_2480);
													}
													{	/* Engine/compiler.scm 529 */
														obj_t BgL_zc3z04anonymousza31814ze3z87_2324;

														BgL_zc3z04anonymousza31814ze3z87_2324 =
															MAKE_FX_PROCEDURE
															(BGl_z62zc3z04anonymousza31814ze3ze5zzengine_compilerz00,
															(int) (((long) 0)), (int) (((long) 1)));
														PROCEDURE_SET(BgL_zc3z04anonymousza31814ze3z87_2324,
															(int) (((long) 0)), ((obj_t) BgL_astz00_2446));
														BGl_stopzd2onzd2passz00zzengine_passz00
															(CNST_TABLE_REF(((long) 58)),
															BgL_zc3z04anonymousza31814ze3z87_2324);
													}
													BGl_checkzd2sharingzd2zzast_checkzd2sharingzd2
														(BGl_string1966z00zzengine_compilerz00,
														CELL_REF(BgL_astz00_2446));
													BGl_checkzd2typezd2zzast_checkzd2typezd2
														(BGl_string1966z00zzengine_compilerz00,
														CELL_REF(BgL_astz00_2446), ((bool_t) 1),
														((bool_t) 0));
												}
											else
												{	/* Engine/compiler.scm 527 */
													BFALSE;
												}
											{	/* Engine/compiler.scm 533 */
												obj_t BgL_arg1817z00_2000;

												BgL_arg1817z00_2000 =
													BGl_removezd2varzd2zzast_removez00(CNST_TABLE_REF((
															(long) 59)), CELL_REF(BgL_ast2z00_2477));
												BGl_backendzd2walkzd2zzbackend_walkz00
													(BgL_arg1817z00_2000);
										}}
										return BINT(((long) 0));
		}}}}}}}}

	}



/* &compiler */
	obj_t BGl_z62compilerz62zzengine_compilerz00(obj_t BgL_envz00_2364)
	{
		{	/* Engine/compiler.scm 101 */
			return BGl_compilerz00zzengine_compilerz00();
		}

	}



/* &<@anonymous:1814> */
	obj_t BGl_z62zc3z04anonymousza31814ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2365)
	{
		{	/* Engine/compiler.scm 529 */
			{	/* Engine/compiler.scm 529 */
				obj_t BgL_astz00_2366;

				BgL_astz00_2366 = PROCEDURE_REF(BgL_envz00_2365, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2366));
			}
		}

	}



/* &<@anonymous:1812> */
	obj_t BGl_z62zc3z04anonymousza31812ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2367)
	{
		{	/* Engine/compiler.scm 522 */
			{	/* Engine/compiler.scm 522 */
				obj_t BgL_ast2z00_2368;

				BgL_ast2z00_2368 = PROCEDURE_REF(BgL_envz00_2367, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_ast2z00_2368));
			}
		}

	}



/* &<@anonymous:1788> */
	obj_t BGl_z62zc3z04anonymousza31788ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2369)
	{
		{	/* Engine/compiler.scm 520 */
			{	/* Engine/compiler.scm 520 */
				obj_t BgL_ast2z00_2370;

				BgL_ast2z00_2370 = PROCEDURE_REF(BgL_envz00_2369, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_ast2z00_2370));
			}
		}

	}



/* &<@anonymous:1782> */
	obj_t BGl_z62zc3z04anonymousza31782ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2371)
	{
		{	/* Engine/compiler.scm 513 */
			{	/* Engine/compiler.scm 513 */
				obj_t BgL_ast2z00_2372;

				BgL_ast2z00_2372 = PROCEDURE_REF(BgL_envz00_2371, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_ast2z00_2372));
			}
		}

	}



/* &<@anonymous:1778> */
	obj_t BGl_z62zc3z04anonymousza31778ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2373)
	{
		{	/* Engine/compiler.scm 509 */
			{	/* Engine/compiler.scm 509 */
				obj_t BgL_astz00_2374;

				BgL_astz00_2374 = PROCEDURE_REF(BgL_envz00_2373, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2374));
			}
		}

	}



/* &<@anonymous:1771> */
	obj_t BGl_z62zc3z04anonymousza31771ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2375)
	{
		{	/* Engine/compiler.scm 499 */
			{	/* Engine/compiler.scm 499 */
				obj_t BgL_astz00_2376;

				BgL_astz00_2376 = PROCEDURE_REF(BgL_envz00_2375, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2376));
			}
		}

	}



/* &<@anonymous:1764> */
	obj_t BGl_z62zc3z04anonymousza31764ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2377)
	{
		{	/* Engine/compiler.scm 490 */
			{	/* Engine/compiler.scm 490 */
				obj_t BgL_astz00_2378;

				BgL_astz00_2378 = PROCEDURE_REF(BgL_envz00_2377, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2378));
			}
		}

	}



/* &<@anonymous:1758> */
	obj_t BGl_z62zc3z04anonymousza31758ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2379)
	{
		{	/* Engine/compiler.scm 486 */
			{	/* Engine/compiler.scm 486 */
				obj_t BgL_astz00_2380;

				BgL_astz00_2380 = PROCEDURE_REF(BgL_envz00_2379, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2380));
			}
		}

	}



/* &<@anonymous:1750> */
	obj_t BGl_z62zc3z04anonymousza31750ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2381)
	{
		{	/* Engine/compiler.scm 478 */
			{	/* Engine/compiler.scm 478 */
				obj_t BgL_astz00_2382;

				BgL_astz00_2382 = PROCEDURE_REF(BgL_envz00_2381, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2382));
			}
		}

	}



/* &<@anonymous:1746> */
	obj_t BGl_z62zc3z04anonymousza31746ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2383)
	{
		{	/* Engine/compiler.scm 471 */
			{	/* Engine/compiler.scm 471 */
				obj_t BgL_astz00_2384;

				BgL_astz00_2384 = PROCEDURE_REF(BgL_envz00_2383, (int) (((long) 0)));
				return BGl_writezd2effectzd2zzeffect_walkz00(CELL_REF(BgL_astz00_2384));
			}
		}

	}



/* &<@anonymous:1742> */
	obj_t BGl_z62zc3z04anonymousza31742ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2385)
	{
		{	/* Engine/compiler.scm 463 */
			{	/* Engine/compiler.scm 463 */
				obj_t BgL_astz00_2386;

				BgL_astz00_2386 = PROCEDURE_REF(BgL_envz00_2385, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2386));
			}
		}

	}



/* &<@anonymous:1735> */
	obj_t BGl_z62zc3z04anonymousza31735ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2387)
	{
		{	/* Engine/compiler.scm 455 */
			{	/* Engine/compiler.scm 455 */
				obj_t BgL_astz00_2388;

				BgL_astz00_2388 = PROCEDURE_REF(BgL_envz00_2387, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2388));
			}
		}

	}



/* &<@anonymous:1729> */
	obj_t BGl_z62zc3z04anonymousza31729ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2389)
	{
		{	/* Engine/compiler.scm 447 */
			{	/* Engine/compiler.scm 447 */
				obj_t BgL_astz00_2390;

				BgL_astz00_2390 = PROCEDURE_REF(BgL_envz00_2389, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2390));
			}
		}

	}



/* &<@anonymous:1724> */
	obj_t BGl_z62zc3z04anonymousza31724ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2391)
	{
		{	/* Engine/compiler.scm 441 */
			{	/* Engine/compiler.scm 441 */
				obj_t BgL_astz00_2392;

				BgL_astz00_2392 = PROCEDURE_REF(BgL_envz00_2391, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2392));
			}
		}

	}



/* &<@anonymous:1721> */
	obj_t BGl_z62zc3z04anonymousza31721ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2393)
	{
		{	/* Engine/compiler.scm 432 */
			{	/* Engine/compiler.scm 432 */
				obj_t BgL_astz00_2394;

				BgL_astz00_2394 = PROCEDURE_REF(BgL_envz00_2393, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2394));
			}
		}

	}



/* &<@anonymous:1712> */
	obj_t BGl_z62zc3z04anonymousza31712ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2395)
	{
		{	/* Engine/compiler.scm 425 */
			{	/* Engine/compiler.scm 425 */
				obj_t BgL_astz00_2396;

				BgL_astz00_2396 = PROCEDURE_REF(BgL_envz00_2395, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2396));
			}
		}

	}



/* &<@anonymous:1697> */
	obj_t BGl_z62zc3z04anonymousza31697ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2397)
	{
		{	/* Engine/compiler.scm 415 */
			{	/* Engine/compiler.scm 415 */
				obj_t BgL_astz00_2398;

				BgL_astz00_2398 = PROCEDURE_REF(BgL_envz00_2397, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2398));
			}
		}

	}



/* &<@anonymous:1693> */
	obj_t BGl_z62zc3z04anonymousza31693ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2399)
	{
		{	/* Engine/compiler.scm 409 */
			{	/* Engine/compiler.scm 409 */
				obj_t BgL_astz00_2400;

				BgL_astz00_2400 = PROCEDURE_REF(BgL_envz00_2399, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2400));
			}
		}

	}



/* &<@anonymous:1688> */
	obj_t BGl_z62zc3z04anonymousza31688ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2401)
	{
		{	/* Engine/compiler.scm 397 */
			{	/* Engine/compiler.scm 397 */
				obj_t BgL_astz00_2402;

				BgL_astz00_2402 = PROCEDURE_REF(BgL_envz00_2401, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2402));
			}
		}

	}



/* &<@anonymous:1683> */
	obj_t BGl_z62zc3z04anonymousza31683ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2403)
	{
		{	/* Engine/compiler.scm 391 */
			{	/* Engine/compiler.scm 391 */
				obj_t BgL_astz00_2404;

				BgL_astz00_2404 = PROCEDURE_REF(BgL_envz00_2403, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2404));
			}
		}

	}



/* &<@anonymous:1681> */
	obj_t BGl_z62zc3z04anonymousza31681ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2405)
	{
		{	/* Engine/compiler.scm 385 */
			{	/* Engine/compiler.scm 385 */
				obj_t BgL_astz00_2406;

				BgL_astz00_2406 = PROCEDURE_REF(BgL_envz00_2405, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2406));
			}
		}

	}



/* &<@anonymous:1678> */
	obj_t BGl_z62zc3z04anonymousza31678ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2407)
	{
		{	/* Engine/compiler.scm 383 */
			{	/* Engine/compiler.scm 383 */
				obj_t BgL_astz00_2408;

				BgL_astz00_2408 = PROCEDURE_REF(BgL_envz00_2407, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2408));
			}
		}

	}



/* &<@anonymous:1673> */
	obj_t BGl_z62zc3z04anonymousza31673ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2409)
	{
		{	/* Engine/compiler.scm 372 */
			{	/* Engine/compiler.scm 372 */
				obj_t BgL_astz00_2410;

				BgL_astz00_2410 = PROCEDURE_REF(BgL_envz00_2409, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2410));
			}
		}

	}



/* &<@anonymous:1652> */
	obj_t BGl_z62zc3z04anonymousza31652ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2411)
	{
		{	/* Engine/compiler.scm 355 */
			{	/* Engine/compiler.scm 355 */
				obj_t BgL_astz00_2412;

				BgL_astz00_2412 = PROCEDURE_REF(BgL_envz00_2411, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2412));
			}
		}

	}



/* &<@anonymous:1649> */
	obj_t BGl_z62zc3z04anonymousza31649ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2413)
	{
		{	/* Engine/compiler.scm 351 */
			return BGl_makezd2addzd2heapz00zzheap_makez00();
		}

	}



/* &<@anonymous:1646> */
	obj_t BGl_z62zc3z04anonymousza31646ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2414)
	{
		{	/* Engine/compiler.scm 340 */
			{	/* Engine/compiler.scm 340 */
				obj_t BgL_astz00_2415;

				BgL_astz00_2415 = PROCEDURE_REF(BgL_envz00_2414, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2415));
			}
		}

	}



/* &<@anonymous:1642> */
	obj_t BGl_z62zc3z04anonymousza31642ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2416)
	{
		{	/* Engine/compiler.scm 334 */
			{	/* Engine/compiler.scm 334 */
				obj_t BgL_astz00_2417;

				BgL_astz00_2417 = PROCEDURE_REF(BgL_envz00_2416, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2417));
			}
		}

	}



/* &<@anonymous:1640> */
	obj_t BGl_z62zc3z04anonymousza31640ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2418)
	{
		{	/* Engine/compiler.scm 328 */
			{	/* Engine/compiler.scm 328 */
				obj_t BgL_astz00_2419;

				BgL_astz00_2419 = PROCEDURE_REF(BgL_envz00_2418, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2419));
			}
		}

	}



/* &<@anonymous:1636> */
	obj_t BGl_z62zc3z04anonymousza31636ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2420)
	{
		{	/* Engine/compiler.scm 322 */
			{	/* Engine/compiler.scm 322 */
				obj_t BgL_astz00_2421;

				BgL_astz00_2421 = PROCEDURE_REF(BgL_envz00_2420, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2421));
			}
		}

	}



/* &<@anonymous:1633> */
	obj_t BGl_z62zc3z04anonymousza31633ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2422)
	{
		{	/* Engine/compiler.scm 316 */
			{	/* Engine/compiler.scm 316 */
				obj_t BgL_astz00_2423;

				BgL_astz00_2423 = PROCEDURE_REF(BgL_envz00_2422, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2423));
			}
		}

	}



/* &<@anonymous:1630> */
	obj_t BGl_z62zc3z04anonymousza31630ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2424)
	{
		{	/* Engine/compiler.scm 310 */
			{	/* Engine/compiler.scm 310 */
				obj_t BgL_astz00_2425;

				BgL_astz00_2425 = PROCEDURE_REF(BgL_envz00_2424, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2425));
			}
		}

	}



/* &<@anonymous:1601> */
	obj_t BGl_z62zc3z04anonymousza31601ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2426)
	{
		{	/* Engine/compiler.scm 296 */
			{	/* Engine/compiler.scm 296 */
				obj_t BgL_astz00_2427;

				BgL_astz00_2427 = PROCEDURE_REF(BgL_envz00_2426, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2427));
			}
		}

	}



/* &<@anonymous:1581> */
	obj_t BGl_z62zc3z04anonymousza31581ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2428)
	{
		{	/* Engine/compiler.scm 290 */
			return BGl_makezd2heapzd2zzheap_makez00();
		}

	}



/* &<@anonymous:1573> */
	obj_t BGl_z62zc3z04anonymousza31573ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2429)
	{
		{	/* Engine/compiler.scm 285 */
			{	/* Engine/compiler.scm 285 */
				obj_t BgL_astz00_2430;

				BgL_astz00_2430 = PROCEDURE_REF(BgL_envz00_2429, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2430));
			}
		}

	}



/* &<@anonymous:1571> */
	obj_t BGl_z62zc3z04anonymousza31571ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2431)
	{
		{	/* Engine/compiler.scm 280 */
			return BUNSPEC;
		}

	}



/* &<@anonymous:1568> */
	obj_t BGl_z62zc3z04anonymousza31568ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2432)
	{
		{	/* Engine/compiler.scm 273 */
			{	/* Engine/compiler.scm 273 */
				obj_t BgL_astz00_2433;

				BgL_astz00_2433 = PROCEDURE_REF(BgL_envz00_2432, (int) (((long) 0)));
				return BGl_writezd2astzd2zzwrite_astz00(CELL_REF(BgL_astz00_2433));
			}
		}

	}



/* &<@anonymous:1559> */
	obj_t BGl_z62zc3z04anonymousza31559ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2434)
	{
		{	/* Engine/compiler.scm 262 */
			{	/* Engine/compiler.scm 262 */
				obj_t BgL_unitsz00_2435;

				BgL_unitsz00_2435 = PROCEDURE_REF(BgL_envz00_2434, (int) (((long) 0)));
				return
					BGl_writezd2expandedzd2zzwrite_expandedz00(CELL_REF
					(BgL_unitsz00_2435));
			}
		}

	}



/* &<@anonymous:1536> */
	obj_t BGl_z62zc3z04anonymousza31536ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2436)
	{
		{	/* Engine/compiler.scm 258 */
			{	/* Engine/compiler.scm 258 */
				obj_t BgL_unitsz00_2437;

				BgL_unitsz00_2437 = PROCEDURE_REF(BgL_envz00_2436, (int) (((long) 0)));
				return
					BGl_writezd2expandedzd2zzwrite_expandedz00(CELL_REF
					(BgL_unitsz00_2437));
			}
		}

	}



/* &<@anonymous:1422> */
	obj_t BGl_z62zc3z04anonymousza31422ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2438)
	{
		{	/* Engine/compiler.scm 219 */
			return BINT(((long) 0));
		}

	}



/* &<@anonymous:1388> */
	obj_t BGl_z62zc3z04anonymousza31388ze3ze5zzengine_compilerz00(obj_t
		BgL_envz00_2439)
	{
		{	/* Engine/compiler.scm 210 */
			return
				BGl_dumpzd2modulezd2zzmodule_modulez00(PROCEDURE_REF(BgL_envz00_2439,
					(int) (((long) 0))));
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzengine_compilerz00(void)
	{
		{	/* Engine/compiler.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztools_prognz00(((long) 301998274),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_signalsz00(((long) 437317298),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 517137079),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzengine_enginez00(((long) 373986149),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzread_srcz00(((long) 6602148),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzwrite_expandedz00(((long) 320989184),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzwrite_astz00(((long) 250486252),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzread_accessz00(((long) 11403588),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzread_jvmz00(((long) 261574382),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzheap_restorez00(((long) 147989063),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzheap_makez00(((long) 525175851),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_checkzd2sharingzd2(((long)
					88839753), BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_checkzd2typezd2(((long) 290987094),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_removez00(((long) 383247627),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 469732712),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_unitz00(((long) 234044111),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_checkzd2globalzd2initz00(((long)
					513785737), BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_initz00(((long) 409655650),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzuser_userz00(((long) 352878539),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzmodule_includez00(((long) 184800657),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzmodule_alibraryz00(((long) 316727058),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzexpand_epsz00(((long) 359337187),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzexpand_installz00(((long) 291484121),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinit_mainz00(((long) 288050968),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinit_setrcz00(((long) 32737986),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztrace_walkz00(((long) 146692749),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbeta_walkz00(((long) 254688521),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzeffect_walkz00(((long) 42129111),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzstackable_walkz00(((long) 440685959),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcallcc_walkz00(((long) 105123174),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzfail_walkz00(((long) 51531863),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzabound_walkz00(((long) 224477217),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzdataflow_walkz00(((long) 18612756),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzinitflow_walkz00(((long) 146152102),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(((long) 69163963),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcfa_walkz00(((long) 285783706),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcfa_pairz00(((long) 37668556),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzintegrate_walkz00(((long) 67376259),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zztailc_walkz00(((long) 347113675),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzfxop_walkz00(((long) 501948674),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzflop_walkz00(((long) 79978526),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcoerce_walkz00(((long) 224340927),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzreduce_walkz00(((long) 459999967),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcnst_walkz00(((long) 424305745),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzobject_classgenz00(((long) 502726840),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzobject_slotsz00(((long) 151271251),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzhgen_walkz00(((long) 362377213),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbdb_settingz00(((long) 444161932),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbdb_spreadzd2objzd2(((long) 53868587),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbdb_walkz00(((long) 260685909),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzprof_walkz00(((long) 181156913),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzreturn_walkz00(((long) 216820585),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzuncell_walkz00(((long) 492672753),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzisa_walkz00(((long) 303087161),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcc_ccz00(((long) 527776065),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcc_ldz00(((long) 335315213),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzcc_rootsz00(((long) 74776091),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbackend_backendz00(((long) 216206620),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbackend_walkz00(((long) 141649863),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			BGl_modulezd2initializa7ationz75zzbackend_cz00(((long) 190235040),
				BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
			return BGl_modulezd2initializa7ationz75zzbackend_jvmz00(((long)
					170301672), BSTRING_TO_STRING(BGl_string1967z00zzengine_compilerz00));
		}

	}

#ifdef __cplusplus
}
#endif
