/*===========================================================================*/
/*   (Foreign/jtype.scm)                                                     */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Foreign/jtype.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_jarrayz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_jarrayz00_bglt;


	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2idzd2zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzforeign_jtypez00 = BUNSPEC;
	extern obj_t BGl_makezd2typedzd2identz00zzast_identz00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2siza7ez17zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2occurrencezd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2initzf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt,
		bool_t);
	extern BgL_typez00_bglt BGl_declarezd2subtypez12zc0zztype_envz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2parentszd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2tvectorzd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2tvectorzb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2classzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00(void);
	static obj_t BGl_z62jarrayzd2importzd2locationz62zzforeign_jtypez00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jarrayzd2initzf3z21zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2locationzd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2siza7ezd2setz12zd7zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2classzb0zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzforeign_jtypez00(void);
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	static obj_t
		BGl_z62jarrayzd2pointedzd2tozd2byzd2setz12z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t,
		bool_t, bool_t, obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, bool_t, bool_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, int,
		BgL_typez00_bglt);
	static obj_t
		BGl_z62jarrayzd2importzd2locationzd2setz12za2zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_objectzd2initzd2zzforeign_jtypez00(void);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2locationzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_za2inheritancesza2z00zz__objectz00;
	extern obj_t BGl_typez00zztype_typez00;
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2z42zd2setz12z50zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2setz12z12zzforeign_jtypez00
		(BgL_typez00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2tvectorzd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2aliaszd2setz12z70zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_makezd2typedzd2formalz00zzast_identz00(obj_t);
	static obj_t BGl_methodzd2initzd2zzforeign_jtypez00(void);
	BGL_EXPORTED_DEF obj_t BGl_jarrayz00zzforeign_jtypez00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2parentszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	static obj_t BGl_z62jarrayzf3z91zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2locationzd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2locationzb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2coercezd2toz00zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2tvectorzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL int
		BGl_jarrayzd2occurrencezd2zzforeign_jtypez00(BgL_typez00_bglt);
	extern obj_t
		BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2namezd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2z42zf2zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2aliaszd2zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62zc3z04anonymousza31229ze3ze5zzforeign_jtypez00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2magiczf3zd2setz12z83zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62makezd2jarrayzb0zzforeign_jtypez00(obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2initzf3zd2setz12z83zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2coercezd2tozd2setz12zc0zzforeign_jtypez00(BgL_typez00_bglt,
		obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2classzd2setz12z70zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2namezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1221z62zzforeign_jtypez00(obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t,
		obj_t, obj_t, obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1227z62zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2magiczf3z43zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2coercezd2toz62zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2pointedzd2tozd2byzb0zzforeign_jtypez00(obj_t,
		obj_t);
	static BgL_typez00_bglt BGl_z62lambda1230z62zzforeign_jtypez00(obj_t, obj_t);
	extern obj_t BGl_producezd2modulezd2clausez12z12zzmodule_modulez00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_libraryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_accessz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzforeign_ctypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_toolsz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
	static obj_t BGl_z62jarrayzd2initzf3z43zzforeign_jtypez00(obj_t, obj_t);
	static BgL_typez00_bglt BGl_z62lambda1245z62zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_z62makezd2ctypezd2accessesz121140z70zzforeign_jtypez00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62lambda1246z62zzforeign_jtypez00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2coercezd2tozd2setz12za2zzforeign_jtypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2zzforeign_jtypez00(BgL_typez00_bglt);
	extern obj_t BGl_makezd2privatezd2sexpz00zzast_privatez00(obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62jarrayzd2namezb0zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zzforeign_jtypez00(void);
	static obj_t BGl_z62jarrayzd2parentszb0zzforeign_jtypez00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62jarrayzd2itemzd2typez62zzforeign_jtypez00(obj_t, obj_t);
	static obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00(void);
	BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t,
		long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00(void);
	static obj_t BGl_gczd2rootszd2initz00zzforeign_jtypez00(void);
	static obj_t BGl_z62jarrayzd2namezd2setz12z70zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2z42z90zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2classzd2zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2occurrencezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt,
		int);
	static obj_t BGl_z62jarrayzd2occurrencezb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2siza7ez75zzforeign_jtypez00(BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2importzd2locationz00zzforeign_jtypez00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_jarrayzd2nilzd2zzforeign_jtypez00(void);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2aliaszb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2parentszd2zzforeign_jtypez00(BgL_typez00_bglt);
	extern BgL_typez00_bglt BGl_usezd2typez12zc0zztype_envz00(obj_t, obj_t);
	static obj_t BGl_z62jarrayzd2idzb0zzforeign_jtypez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2magiczf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt,
		bool_t);
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_typez00_bglt BGl_z62jarrayzd2nilzb0zzforeign_jtypez00(obj_t);
	BGL_EXPORTED_DECL bool_t
		BGl_jarrayzd2magiczf3z21zzforeign_jtypez00(BgL_typez00_bglt);
	static obj_t BGl_z62jarrayzd2z42zd2setz12z32zzforeign_jtypez00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2aliaszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2importzd2locationzd2setz12zc0zzforeign_jtypez00
		(BgL_typez00_bglt, obj_t);
	static BgL_typez00_bglt
		BGl_z62declarezd2jvmzd2typez12z70zzforeign_jtypez00(obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_jarrayzd2siza7ezd2setz12zb5zzforeign_jtypez00(BgL_typez00_bglt, obj_t);
	static obj_t __cnst[37];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2importzd2locationzd2setz12zd2envz12zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2impo1712z00,
		BGl_z62jarrayzd2importzd2locationzd2setz12za2zzforeign_jtypez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2aliaszd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2alia1713z00,
		BGl_z62jarrayzd2aliaszd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2classzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2clas1714z00,
		BGl_z62jarrayzd2classzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2locationzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2loca1715z00,
		BGl_z62jarrayzd2locationzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2parentszd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2pare1716z00,
		BGl_z62jarrayzd2parentszb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2coercezd2tozd2envzd2zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2coer1717z00,
		BGl_z62jarrayzd2coercezd2toz62zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2tvectorzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2tvec1718z00,
		BGl_z62jarrayzd2tvectorzd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2occurrencezd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2occu1719z00,
		BGl_z62jarrayzd2occurrencezb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1702z00zzforeign_jtypez00,
		BgL_bgl_string1702za700za7za7f1720za7, "make-ctype-accesses!", 20);
	      DEFINE_STRING(BGl_string1703z00zzforeign_jtypez00,
		BgL_bgl_string1703za700za7za7f1721za7, "", 0);
	      DEFINE_STRING(BGl_string1704z00zzforeign_jtypez00,
		BgL_bgl_string1704za700za7za7f1722za7, "foreign_jtype", 13);
	      DEFINE_STRING(BGl_string1705z00zzforeign_jtypez00,
		BgL_bgl_string1705za700za7za7f1723za7,
		"static ::int ::obj inline object cast instanceof o::obj vlength valloc len len::int vref define-inline vset! offset offset::int -set! -ref make- val int -length bool ->obj o _ foreign_jtype jarray item-type type ? coerce obj bigloo (obj) obj-> ",
		244);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2namezd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2name1724z00,
		BGl_z62jarrayzd2namezb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1700z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1221za7621725z00, BGl_z62lambda1221z62zzforeign_jtypez00,
		0L, BUNSPEC, 16);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1701z00zzforeign_jtypez00,
		BgL_bgl_za762makeza7d2ctypeza71726za7,
		BGl_z62makezd2ctypezd2accessesz121140z70zzforeign_jtypez00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2initzf3zd2envzf3zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2init1727z00,
		BGl_z62jarrayzd2initzf3z43zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2locationzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2loca1728z00,
		BGl_z62jarrayzd2locationzd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2siza7ezd2setz12zd2envz67zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2siza7a1729za7,
		BGl_z62jarrayzd2siza7ezd2setz12zd7zzforeign_jtypez00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2idzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2idza7b1730za7,
		BGl_z62jarrayzd2idzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2aliaszd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2alia1731z00,
		BGl_z62jarrayzd2aliaszb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2initzf3zd2setz12zd2envz33zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2init1732z00,
		BGl_z62jarrayzd2initzf3zd2setz12z83zzforeign_jtypez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1695z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1246za7621733z00, BGl_z62lambda1246z62zzforeign_jtypez00,
		0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1696z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1245za7621734z00, BGl_z62lambda1245z62zzforeign_jtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1697z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1230za7621735z00, BGl_z62lambda1230z62zzforeign_jtypez00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1698z00zzforeign_jtypez00,
		BgL_bgl_za762za7c3za704anonymo1736za7,
		BGl_z62zc3z04anonymousza31229ze3ze5zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1699z00zzforeign_jtypez00,
		BgL_bgl_za762lambda1227za7621737z00, BGl_z62lambda1227z62zzforeign_jtypez00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2coercezd2tozd2setz12zd2envz12zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2coer1738z00,
		BGl_z62jarrayzd2coercezd2tozd2setz12za2zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2namezd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2name1739z00,
		BGl_z62jarrayzd2namezd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2magiczf3zd2envzf3zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2magi1740z00,
		BGl_z62jarrayzd2magiczf3z43zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2pointedzd2tozd2byzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2poin1741z00,
		BGl_z62jarrayzd2pointedzd2tozd2byzd2setz12z70zzforeign_jtypez00, 0L,
		BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_makezd2jarrayzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762makeza7d2jarray1742z00,
		BGl_z62makezd2jarrayzb0zzforeign_jtypez00, 0L, BUNSPEC, 16);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2importzd2locationzd2envzd2zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2impo1743z00,
		BGl_z62jarrayzd2importzd2locationz62zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2pointedzd2tozd2byzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2poin1744z00,
		BGl_z62jarrayzd2pointedzd2tozd2byzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2z42zd2setz12zd2envz82zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2za742za71745z00,
		BGl_z62jarrayzd2z42zd2setz12z32zzforeign_jtypez00, 0L, BUNSPEC, 2);
	extern obj_t BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_declarezd2jvmzd2typez12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762declareza7d2jvm1746z00,
		BGl_z62declarezd2jvmzd2typez12z70zzforeign_jtypez00, 0L, BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzf3zd2envz21zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7f3za791za71747z00,
		BGl_z62jarrayzf3z91zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2occurrencezd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2occu1748z00,
		BGl_z62jarrayzd2occurrencezd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2classzd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2clas1749z00,
		BGl_z62jarrayzd2classzd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2magiczf3zd2setz12zd2envz33zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2magi1750z00,
		BGl_z62jarrayzd2magiczf3zd2setz12z83zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2siza7ezd2envza7zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2siza7a1751za7,
		BGl_z62jarrayzd2siza7ez17zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2tvectorzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2tvec1752z00,
		BGl_z62jarrayzd2tvectorzb0zzforeign_jtypez00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2nilzd2envz00zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2nilza71753za7,
		BGl_z62jarrayzd2nilzb0zzforeign_jtypez00, 0L, BUNSPEC, 0);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_jarrayzd2z42zd2envz42zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2za742za71754z00,
		BGl_z62jarrayzd2z42zf2zzforeign_jtypez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2parentszd2setz12zd2envzc0zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2pare1755z00,
		BGl_z62jarrayzd2parentszd2setz12z70zzforeign_jtypez00, 0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_jarrayzd2itemzd2typezd2envzd2zzforeign_jtypez00,
		BgL_bgl_za762jarrayza7d2item1756z00,
		BGl_z62jarrayzd2itemzd2typez62zzforeign_jtypez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzforeign_jtypez00));
		     ADD_ROOT((void *) (&BGl_jarrayz00zzforeign_jtypez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzforeign_jtypez00(long
		BgL_checksumz00_1504, char *BgL_fromz00_1505)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzforeign_jtypez00))
				{
					BGl_requirezd2initializa7ationz75zzforeign_jtypez00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzforeign_jtypez00();
					BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00();
					BGl_cnstzd2initzd2zzforeign_jtypez00();
					BGl_importedzd2moduleszd2initz00zzforeign_jtypez00();
					BGl_objectzd2initzd2zzforeign_jtypez00();
					BGl_methodzd2initzd2zzforeign_jtypez00();
					return BGl_toplevelzd2initzd2zzforeign_jtypez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"foreign_jtype");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"foreign_jtype");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			{	/* Foreign/jtype.scm 17 */
				obj_t BgL_cportz00_1266;

				{	/* Foreign/jtype.scm 17 */
					obj_t BgL_stringz00_1273;

					BgL_stringz00_1273 = BGl_string1705z00zzforeign_jtypez00;
					{	/* Foreign/jtype.scm 17 */
						obj_t BgL_startz00_1274;

						BgL_startz00_1274 = BINT(((long) 0));
						{	/* Foreign/jtype.scm 17 */
							obj_t BgL_endz00_1275;

							BgL_endz00_1275 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_1273)));
							{	/* Foreign/jtype.scm 17 */

								BgL_cportz00_1266 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_1273, BgL_startz00_1274, BgL_endz00_1275);
				}}}}
				{
					long BgL_iz00_1267;

					BgL_iz00_1267 = ((long) 36);
				BgL_loopz00_1268:
					if ((BgL_iz00_1267 == ((long) -1)))
						{	/* Foreign/jtype.scm 17 */
							return BUNSPEC;
						}
					else
						{	/* Foreign/jtype.scm 17 */
							{	/* Foreign/jtype.scm 17 */
								obj_t BgL_arg1711z00_1269;

								{	/* Foreign/jtype.scm 17 */

									{	/* Foreign/jtype.scm 17 */
										obj_t BgL_locationz00_1271;

										BgL_locationz00_1271 = BBOOL(((bool_t) 0));
										{	/* Foreign/jtype.scm 17 */

											BgL_arg1711z00_1269 =
												BGl_readz00zz__readerz00(BgL_cportz00_1266,
												BgL_locationz00_1271);
										}
									}
								}
								{	/* Foreign/jtype.scm 17 */
									int BgL_tmpz00_1534;

									BgL_tmpz00_1534 = (int) (BgL_iz00_1267);
									CNST_TABLE_SET(BgL_tmpz00_1534, BgL_arg1711z00_1269);
							}}
							{	/* Foreign/jtype.scm 17 */
								int BgL_auxz00_1272;

								BgL_auxz00_1272 = (int) ((BgL_iz00_1267 - ((long) 1)));
								{
									long BgL_iz00_1539;

									BgL_iz00_1539 = (long) (BgL_auxz00_1272);
									BgL_iz00_1267 = BgL_iz00_1539;
									goto BgL_loopz00_1268;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			return BUNSPEC;
		}

	}



/* make-jarray */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_makezd2jarrayzd2zzforeign_jtypez00(obj_t
		BgL_id1078z00_3, obj_t BgL_name1079z00_4, obj_t BgL_siza7e1080za7_5,
		obj_t BgL_class1081z00_6, obj_t BgL_coercezd2to1082zd2_7,
		obj_t BgL_parents1083z00_8, bool_t BgL_initzf31084zf3_9,
		bool_t BgL_magiczf31085zf3_10, obj_t BgL_z421086z42_11,
		obj_t BgL_alias1087z00_12, obj_t BgL_pointedzd2tozd2by1088z00_13,
		obj_t BgL_tvector1089z00_14, obj_t BgL_location1090z00_15,
		obj_t BgL_importzd2location1091zd2_16, int BgL_occurrence1092z00_17,
		BgL_typez00_bglt BgL_itemzd2type1093zd2_18)
	{
		{	/* Foreign/jtype.sch 51 */
			{	/* Foreign/jtype.sch 51 */
				BgL_typez00_bglt BgL_new1091z00_1277;

				{	/* Foreign/jtype.sch 51 */
					BgL_typez00_bglt BgL_tmp1089z00_1278;
					BgL_jarrayz00_bglt BgL_wide1090z00_1279;

					{
						BgL_typez00_bglt BgL_auxz00_1542;

						{	/* Foreign/jtype.sch 51 */
							BgL_typez00_bglt BgL_new1088z00_1280;

							BgL_new1088z00_1280 =
								((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_typez00_bgl))));
							{	/* Foreign/jtype.sch 51 */
								long BgL_arg1158z00_1281;

								BgL_arg1158z00_1281 = BGL_CLASS_NUM(BGl_typez00zztype_typez00);
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1088z00_1280),
									BgL_arg1158z00_1281);
							}
							{	/* Foreign/jtype.sch 51 */
								BgL_objectz00_bglt BgL_tmpz00_1547;

								BgL_tmpz00_1547 = ((BgL_objectz00_bglt) BgL_new1088z00_1280);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1547, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1088z00_1280);
							BgL_auxz00_1542 = BgL_new1088z00_1280;
						}
						BgL_tmp1089z00_1278 = ((BgL_typez00_bglt) BgL_auxz00_1542);
					}
					BgL_wide1090z00_1279 =
						((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
									BgL_jarrayz00_bgl))));
					{	/* Foreign/jtype.sch 51 */
						obj_t BgL_auxz00_1555;
						BgL_objectz00_bglt BgL_tmpz00_1553;

						BgL_auxz00_1555 = ((obj_t) BgL_wide1090z00_1279);
						BgL_tmpz00_1553 = ((BgL_objectz00_bglt) BgL_tmp1089z00_1278);
						BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1553, BgL_auxz00_1555);
					}
					((BgL_objectz00_bglt) BgL_tmp1089z00_1278);
					{	/* Foreign/jtype.sch 51 */
						long BgL_arg1152z00_1282;

						BgL_arg1152z00_1282 =
							BGL_CLASS_NUM(BGl_jarrayz00zzforeign_jtypez00);
						BGL_OBJECT_CLASS_NUM_SET(
							((BgL_objectz00_bglt) BgL_tmp1089z00_1278), BgL_arg1152z00_1282);
					}
					BgL_new1091z00_1277 = ((BgL_typez00_bglt) BgL_tmp1089z00_1278);
				}
				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt) BgL_new1091z00_1277)))->BgL_idz00) =
					((obj_t) BgL_id1078z00_3), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_namez00) =
					((obj_t) BgL_name1079z00_4), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_siza7eza7) =
					((obj_t) BgL_siza7e1080za7_5), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_classz00) =
					((obj_t) BgL_class1081z00_6), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_coercezd2tozd2) =
					((obj_t) BgL_coercezd2to1082zd2_7), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_parentsz00) =
					((obj_t) BgL_parents1083z00_8), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_initzf3zf3) =
					((bool_t) BgL_initzf31084zf3_9), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_magiczf3zf3) =
					((bool_t) BgL_magiczf31085zf3_10), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_z42z42) =
					((obj_t) BgL_z421086z42_11), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_aliasz00) =
					((obj_t) BgL_alias1087z00_12), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BgL_pointedzd2tozd2by1088z00_13), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_tvectorz00) =
					((obj_t) BgL_tvector1089z00_14), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_locationz00) =
					((obj_t) BgL_location1090z00_15), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_importzd2locationzd2) =
					((obj_t) BgL_importzd2location1091zd2_16), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
									BgL_new1091z00_1277)))->BgL_occurrencez00) =
					((int) BgL_occurrence1092z00_17), BUNSPEC);
				{
					BgL_jarrayz00_bglt BgL_auxz00_1593;

					{
						obj_t BgL_auxz00_1594;

						{	/* Foreign/jtype.sch 51 */
							BgL_objectz00_bglt BgL_tmpz00_1595;

							BgL_tmpz00_1595 = ((BgL_objectz00_bglt) BgL_new1091z00_1277);
							BgL_auxz00_1594 = BGL_OBJECT_WIDENING(BgL_tmpz00_1595);
						}
						BgL_auxz00_1593 = ((BgL_jarrayz00_bglt) BgL_auxz00_1594);
					}
					((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1593))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_itemzd2type1093zd2_18), BUNSPEC);
				}
				return BgL_new1091z00_1277;
			}
		}

	}



/* &make-jarray */
	BgL_typez00_bglt BGl_z62makezd2jarrayzb0zzforeign_jtypez00(obj_t
		BgL_envz00_1125, obj_t BgL_id1078z00_1126, obj_t BgL_name1079z00_1127,
		obj_t BgL_siza7e1080za7_1128, obj_t BgL_class1081z00_1129,
		obj_t BgL_coercezd2to1082zd2_1130, obj_t BgL_parents1083z00_1131,
		obj_t BgL_initzf31084zf3_1132, obj_t BgL_magiczf31085zf3_1133,
		obj_t BgL_z421086z42_1134, obj_t BgL_alias1087z00_1135,
		obj_t BgL_pointedzd2tozd2by1088z00_1136, obj_t BgL_tvector1089z00_1137,
		obj_t BgL_location1090z00_1138, obj_t BgL_importzd2location1091zd2_1139,
		obj_t BgL_occurrence1092z00_1140, obj_t BgL_itemzd2type1093zd2_1141)
	{
		{	/* Foreign/jtype.sch 51 */
			return
				BGl_makezd2jarrayzd2zzforeign_jtypez00(BgL_id1078z00_1126,
				BgL_name1079z00_1127, BgL_siza7e1080za7_1128, BgL_class1081z00_1129,
				BgL_coercezd2to1082zd2_1130, BgL_parents1083z00_1131,
				CBOOL(BgL_initzf31084zf3_1132), CBOOL(BgL_magiczf31085zf3_1133),
				BgL_z421086z42_1134, BgL_alias1087z00_1135,
				BgL_pointedzd2tozd2by1088z00_1136, BgL_tvector1089z00_1137,
				BgL_location1090z00_1138, BgL_importzd2location1091zd2_1139,
				CINT(BgL_occurrence1092z00_1140),
				((BgL_typez00_bglt) BgL_itemzd2type1093zd2_1141));
		}

	}



/* jarray? */
	BGL_EXPORTED_DEF bool_t BGl_jarrayzf3zf3zzforeign_jtypez00(obj_t
		BgL_objz00_19)
	{
		{	/* Foreign/jtype.sch 52 */
			{	/* Foreign/jtype.sch 52 */
				obj_t BgL_classz00_1283;

				BgL_classz00_1283 = BGl_jarrayz00zzforeign_jtypez00;
				if (BGL_OBJECTP(BgL_objz00_19))
					{	/* Foreign/jtype.sch 52 */
						BgL_objectz00_bglt BgL_arg1820z00_1284;

						BgL_arg1820z00_1284 = (BgL_objectz00_bglt) (BgL_objz00_19);
						if (BGL_CONDEXPAND_ISA_ARCH64())
							{	/* Foreign/jtype.sch 52 */
								long BgL_idxz00_1285;

								BgL_idxz00_1285 =
									BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_1284);
								return
									(VECTOR_REF(BGl_za2inheritancesza2z00zz__objectz00,
										(BgL_idxz00_1285 + ((long) 2))) == BgL_classz00_1283);
							}
						else
							{	/* Foreign/jtype.sch 52 */
								bool_t BgL_res1688z00_1288;

								{	/* Foreign/jtype.sch 52 */
									obj_t BgL_oclassz00_1289;

									{	/* Foreign/jtype.sch 52 */
										long BgL_arg1828z00_1290;

										{	/* Foreign/jtype.sch 52 */
											long BgL_arg1829z00_1291;

											BgL_arg1829z00_1291 =
												BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_1284);
											BgL_arg1828z00_1290 = (BgL_arg1829z00_1291 - OBJECT_TYPE);
										}
										BgL_oclassz00_1289 =
											VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
											BgL_arg1828z00_1290);
									}
									{	/* Foreign/jtype.sch 52 */
										bool_t BgL__ortest_1111z00_1292;

										BgL__ortest_1111z00_1292 =
											(BgL_classz00_1283 == BgL_oclassz00_1289);
										if (BgL__ortest_1111z00_1292)
											{	/* Foreign/jtype.sch 52 */
												BgL_res1688z00_1288 = BgL__ortest_1111z00_1292;
											}
										else
											{	/* Foreign/jtype.sch 52 */
												long BgL_odepthz00_1293;

												BgL_odepthz00_1293 =
													BGL_CLASS_DEPTH(BgL_oclassz00_1289);
												if ((((long) 2) < BgL_odepthz00_1293))
													{	/* Foreign/jtype.sch 52 */
														obj_t BgL_arg1816z00_1294;

														BgL_arg1816z00_1294 =
															BGL_CLASS_ANCESTORS_REF(BgL_oclassz00_1289,
															((long) 2));
														BgL_res1688z00_1288 =
															(BgL_arg1816z00_1294 == BgL_classz00_1283);
													}
												else
													{	/* Foreign/jtype.sch 52 */
														BgL_res1688z00_1288 = ((bool_t) 0);
													}
											}
									}
								}
								return BgL_res1688z00_1288;
							}
					}
				else
					{	/* Foreign/jtype.sch 52 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* &jarray? */
	obj_t BGl_z62jarrayzf3z91zzforeign_jtypez00(obj_t BgL_envz00_1142,
		obj_t BgL_objz00_1143)
	{
		{	/* Foreign/jtype.sch 52 */
			return BBOOL(BGl_jarrayzf3zf3zzforeign_jtypez00(BgL_objz00_1143));
		}

	}



/* jarray-nil */
	BGL_EXPORTED_DEF BgL_typez00_bglt BGl_jarrayzd2nilzd2zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.sch 53 */
			{	/* Foreign/jtype.sch 53 */
				obj_t BgL_classz00_970;

				BgL_classz00_970 = BGl_jarrayz00zzforeign_jtypez00;
				{	/* Foreign/jtype.sch 53 */
					obj_t BgL__ortest_1113z00_971;

					BgL__ortest_1113z00_971 = BGL_CLASS_NIL(BgL_classz00_970);
					if (CBOOL(BgL__ortest_1113z00_971))
						{	/* Foreign/jtype.sch 53 */
							return ((BgL_typez00_bglt) BgL__ortest_1113z00_971);
						}
					else
						{	/* Foreign/jtype.sch 53 */
							return
								((BgL_typez00_bglt)
								BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_970));
						}
				}
			}
		}

	}



/* &jarray-nil */
	BgL_typez00_bglt BGl_z62jarrayzd2nilzb0zzforeign_jtypez00(obj_t
		BgL_envz00_1144)
	{
		{	/* Foreign/jtype.sch 53 */
			return BGl_jarrayzd2nilzd2zzforeign_jtypez00();
		}

	}



/* jarray-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_20)
	{
		{	/* Foreign/jtype.sch 54 */
			{
				BgL_jarrayz00_bglt BgL_auxz00_1633;

				{
					obj_t BgL_auxz00_1634;

					{	/* Foreign/jtype.sch 54 */
						BgL_objectz00_bglt BgL_tmpz00_1635;

						BgL_tmpz00_1635 = ((BgL_objectz00_bglt) BgL_oz00_20);
						BgL_auxz00_1634 = BGL_OBJECT_WIDENING(BgL_tmpz00_1635);
					}
					BgL_auxz00_1633 = ((BgL_jarrayz00_bglt) BgL_auxz00_1634);
				}
				return
					(((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1633))->BgL_itemzd2typezd2);
			}
		}

	}



/* &jarray-item-type */
	BgL_typez00_bglt BGl_z62jarrayzd2itemzd2typez62zzforeign_jtypez00(obj_t
		BgL_envz00_1145, obj_t BgL_oz00_1146)
	{
		{	/* Foreign/jtype.sch 54 */
			return
				BGl_jarrayzd2itemzd2typez00zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1146));
		}

	}



/* jarray-occurrence */
	BGL_EXPORTED_DEF int
		BGl_jarrayzd2occurrencezd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_23)
	{
		{	/* Foreign/jtype.sch 56 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_23)))->BgL_occurrencez00);
		}

	}



/* &jarray-occurrence */
	obj_t BGl_z62jarrayzd2occurrencezb0zzforeign_jtypez00(obj_t BgL_envz00_1147,
		obj_t BgL_oz00_1148)
	{
		{	/* Foreign/jtype.sch 56 */
			return
				BINT(BGl_jarrayzd2occurrencezd2zzforeign_jtypez00(
					((BgL_typez00_bglt) BgL_oz00_1148)));
		}

	}



/* jarray-occurrence-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2occurrencezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_24, int BgL_vz00_25)
	{
		{	/* Foreign/jtype.sch 57 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_24)))->BgL_occurrencez00) =
				((int) BgL_vz00_25), BUNSPEC);
		}

	}



/* &jarray-occurrence-set! */
	obj_t BGl_z62jarrayzd2occurrencezd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1149, obj_t BgL_oz00_1150, obj_t BgL_vz00_1151)
	{
		{	/* Foreign/jtype.sch 57 */
			return
				BGl_jarrayzd2occurrencezd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1150), CINT(BgL_vz00_1151));
		}

	}



/* jarray-import-location */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2importzd2locationz00zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_26)
	{
		{	/* Foreign/jtype.sch 58 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_26)))->BgL_importzd2locationzd2);
		}

	}



/* &jarray-import-location */
	obj_t BGl_z62jarrayzd2importzd2locationz62zzforeign_jtypez00(obj_t
		BgL_envz00_1152, obj_t BgL_oz00_1153)
	{
		{	/* Foreign/jtype.sch 58 */
			return
				BGl_jarrayzd2importzd2locationz00zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1153));
		}

	}



/* jarray-import-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2importzd2locationzd2setz12zc0zzforeign_jtypez00
		(BgL_typez00_bglt BgL_oz00_27, obj_t BgL_vz00_28)
	{
		{	/* Foreign/jtype.sch 59 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_27)))->BgL_importzd2locationzd2) =
				((obj_t) BgL_vz00_28), BUNSPEC);
		}

	}



/* &jarray-import-location-set! */
	obj_t BGl_z62jarrayzd2importzd2locationzd2setz12za2zzforeign_jtypez00(obj_t
		BgL_envz00_1154, obj_t BgL_oz00_1155, obj_t BgL_vz00_1156)
	{
		{	/* Foreign/jtype.sch 59 */
			return
				BGl_jarrayzd2importzd2locationzd2setz12zc0zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1155), BgL_vz00_1156);
		}

	}



/* jarray-location */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2locationzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_29)
	{
		{	/* Foreign/jtype.sch 60 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_29)))->BgL_locationz00);
		}

	}



/* &jarray-location */
	obj_t BGl_z62jarrayzd2locationzb0zzforeign_jtypez00(obj_t BgL_envz00_1157,
		obj_t BgL_oz00_1158)
	{
		{	/* Foreign/jtype.sch 60 */
			return
				BGl_jarrayzd2locationzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1158));
		}

	}



/* jarray-location-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2locationzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_30, obj_t BgL_vz00_31)
	{
		{	/* Foreign/jtype.sch 61 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_30)))->BgL_locationz00) =
				((obj_t) BgL_vz00_31), BUNSPEC);
		}

	}



/* &jarray-location-set! */
	obj_t BGl_z62jarrayzd2locationzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1159, obj_t BgL_oz00_1160, obj_t BgL_vz00_1161)
	{
		{	/* Foreign/jtype.sch 61 */
			return
				BGl_jarrayzd2locationzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1160), BgL_vz00_1161);
		}

	}



/* jarray-tvector */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2tvectorzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_32)
	{
		{	/* Foreign/jtype.sch 62 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_32)))->BgL_tvectorz00);
		}

	}



/* &jarray-tvector */
	obj_t BGl_z62jarrayzd2tvectorzb0zzforeign_jtypez00(obj_t BgL_envz00_1162,
		obj_t BgL_oz00_1163)
	{
		{	/* Foreign/jtype.sch 62 */
			return
				BGl_jarrayzd2tvectorzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1163));
		}

	}



/* jarray-tvector-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2tvectorzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_33, obj_t BgL_vz00_34)
	{
		{	/* Foreign/jtype.sch 63 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_33)))->BgL_tvectorz00) =
				((obj_t) BgL_vz00_34), BUNSPEC);
		}

	}



/* &jarray-tvector-set! */
	obj_t BGl_z62jarrayzd2tvectorzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1164, obj_t BgL_oz00_1165, obj_t BgL_vz00_1166)
	{
		{	/* Foreign/jtype.sch 63 */
			return
				BGl_jarrayzd2tvectorzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1165), BgL_vz00_1166);
		}

	}



/* jarray-pointed-to-by */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_35)
	{
		{	/* Foreign/jtype.sch 64 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_35)))->BgL_pointedzd2tozd2byz00);
		}

	}



/* &jarray-pointed-to-by */
	obj_t BGl_z62jarrayzd2pointedzd2tozd2byzb0zzforeign_jtypez00(obj_t
		BgL_envz00_1167, obj_t BgL_oz00_1168)
	{
		{	/* Foreign/jtype.sch 64 */
			return
				BGl_jarrayzd2pointedzd2tozd2byzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1168));
		}

	}



/* jarray-pointed-to-by-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2pointedzd2tozd2byzd2setz12z12zzforeign_jtypez00
		(BgL_typez00_bglt BgL_oz00_36, obj_t BgL_vz00_37)
	{
		{	/* Foreign/jtype.sch 65 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_36)))->BgL_pointedzd2tozd2byz00) =
				((obj_t) BgL_vz00_37), BUNSPEC);
		}

	}



/* &jarray-pointed-to-by-set! */
	obj_t BGl_z62jarrayzd2pointedzd2tozd2byzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1169, obj_t BgL_oz00_1170, obj_t BgL_vz00_1171)
	{
		{	/* Foreign/jtype.sch 65 */
			return
				BGl_jarrayzd2pointedzd2tozd2byzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1170), BgL_vz00_1171);
		}

	}



/* jarray-alias */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2aliaszd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_38)
	{
		{	/* Foreign/jtype.sch 66 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_38)))->BgL_aliasz00);
		}

	}



/* &jarray-alias */
	obj_t BGl_z62jarrayzd2aliaszb0zzforeign_jtypez00(obj_t BgL_envz00_1172,
		obj_t BgL_oz00_1173)
	{
		{	/* Foreign/jtype.sch 66 */
			return
				BGl_jarrayzd2aliaszd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1173));
		}

	}



/* jarray-alias-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2aliaszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_39, obj_t BgL_vz00_40)
	{
		{	/* Foreign/jtype.sch 67 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_39)))->BgL_aliasz00) =
				((obj_t) BgL_vz00_40), BUNSPEC);
		}

	}



/* &jarray-alias-set! */
	obj_t BGl_z62jarrayzd2aliaszd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1174, obj_t BgL_oz00_1175, obj_t BgL_vz00_1176)
	{
		{	/* Foreign/jtype.sch 67 */
			return
				BGl_jarrayzd2aliaszd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1175), BgL_vz00_1176);
		}

	}



/* jarray-$ */
	BGL_EXPORTED_DEF obj_t BGl_jarrayzd2z42z90zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_41)
	{
		{	/* Foreign/jtype.sch 68 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_41)))->BgL_z42z42);
		}

	}



/* &jarray-$ */
	obj_t BGl_z62jarrayzd2z42zf2zzforeign_jtypez00(obj_t BgL_envz00_1177,
		obj_t BgL_oz00_1178)
	{
		{	/* Foreign/jtype.sch 68 */
			return
				BGl_jarrayzd2z42z90zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1178));
		}

	}



/* jarray-$-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2z42zd2setz12z50zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_42,
		obj_t BgL_vz00_43)
	{
		{	/* Foreign/jtype.sch 69 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_42)))->BgL_z42z42) =
				((obj_t) BgL_vz00_43), BUNSPEC);
		}

	}



/* &jarray-$-set! */
	obj_t BGl_z62jarrayzd2z42zd2setz12z32zzforeign_jtypez00(obj_t BgL_envz00_1179,
		obj_t BgL_oz00_1180, obj_t BgL_vz00_1181)
	{
		{	/* Foreign/jtype.sch 69 */
			return
				BGl_jarrayzd2z42zd2setz12z50zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1180), BgL_vz00_1181);
		}

	}



/* jarray-magic? */
	BGL_EXPORTED_DEF bool_t
		BGl_jarrayzd2magiczf3z21zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_44)
	{
		{	/* Foreign/jtype.sch 70 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_44)))->BgL_magiczf3zf3);
		}

	}



/* &jarray-magic? */
	obj_t BGl_z62jarrayzd2magiczf3z43zzforeign_jtypez00(obj_t BgL_envz00_1182,
		obj_t BgL_oz00_1183)
	{
		{	/* Foreign/jtype.sch 70 */
			return
				BBOOL(BGl_jarrayzd2magiczf3z21zzforeign_jtypez00(
					((BgL_typez00_bglt) BgL_oz00_1183)));
		}

	}



/* jarray-magic?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2magiczf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_45, bool_t BgL_vz00_46)
	{
		{	/* Foreign/jtype.sch 71 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_45)))->BgL_magiczf3zf3) =
				((bool_t) BgL_vz00_46), BUNSPEC);
		}

	}



/* &jarray-magic?-set! */
	obj_t BGl_z62jarrayzd2magiczf3zd2setz12z83zzforeign_jtypez00(obj_t
		BgL_envz00_1184, obj_t BgL_oz00_1185, obj_t BgL_vz00_1186)
	{
		{	/* Foreign/jtype.sch 71 */
			return
				BGl_jarrayzd2magiczf3zd2setz12ze1zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1185), CBOOL(BgL_vz00_1186));
		}

	}



/* jarray-init? */
	BGL_EXPORTED_DEF bool_t
		BGl_jarrayzd2initzf3z21zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_47)
	{
		{	/* Foreign/jtype.sch 72 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_47)))->BgL_initzf3zf3);
		}

	}



/* &jarray-init? */
	obj_t BGl_z62jarrayzd2initzf3z43zzforeign_jtypez00(obj_t BgL_envz00_1187,
		obj_t BgL_oz00_1188)
	{
		{	/* Foreign/jtype.sch 72 */
			return
				BBOOL(BGl_jarrayzd2initzf3z21zzforeign_jtypez00(
					((BgL_typez00_bglt) BgL_oz00_1188)));
		}

	}



/* jarray-init?-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2initzf3zd2setz12ze1zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_48, bool_t BgL_vz00_49)
	{
		{	/* Foreign/jtype.sch 73 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_48)))->BgL_initzf3zf3) =
				((bool_t) BgL_vz00_49), BUNSPEC);
		}

	}



/* &jarray-init?-set! */
	obj_t BGl_z62jarrayzd2initzf3zd2setz12z83zzforeign_jtypez00(obj_t
		BgL_envz00_1189, obj_t BgL_oz00_1190, obj_t BgL_vz00_1191)
	{
		{	/* Foreign/jtype.sch 73 */
			return
				BGl_jarrayzd2initzf3zd2setz12ze1zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1190), CBOOL(BgL_vz00_1191));
		}

	}



/* jarray-parents */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2parentszd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_50)
	{
		{	/* Foreign/jtype.sch 74 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_50)))->BgL_parentsz00);
		}

	}



/* &jarray-parents */
	obj_t BGl_z62jarrayzd2parentszb0zzforeign_jtypez00(obj_t BgL_envz00_1192,
		obj_t BgL_oz00_1193)
	{
		{	/* Foreign/jtype.sch 74 */
			return
				BGl_jarrayzd2parentszd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1193));
		}

	}



/* jarray-parents-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2parentszd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_51, obj_t BgL_vz00_52)
	{
		{	/* Foreign/jtype.sch 75 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_51)))->BgL_parentsz00) =
				((obj_t) BgL_vz00_52), BUNSPEC);
		}

	}



/* &jarray-parents-set! */
	obj_t BGl_z62jarrayzd2parentszd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1194, obj_t BgL_oz00_1195, obj_t BgL_vz00_1196)
	{
		{	/* Foreign/jtype.sch 75 */
			return
				BGl_jarrayzd2parentszd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1195), BgL_vz00_1196);
		}

	}



/* jarray-coerce-to */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2coercezd2toz00zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_53)
	{
		{	/* Foreign/jtype.sch 76 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_53)))->BgL_coercezd2tozd2);
		}

	}



/* &jarray-coerce-to */
	obj_t BGl_z62jarrayzd2coercezd2toz62zzforeign_jtypez00(obj_t BgL_envz00_1197,
		obj_t BgL_oz00_1198)
	{
		{	/* Foreign/jtype.sch 76 */
			return
				BGl_jarrayzd2coercezd2toz00zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1198));
		}

	}



/* jarray-coerce-to-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2coercezd2tozd2setz12zc0zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_54, obj_t BgL_vz00_55)
	{
		{	/* Foreign/jtype.sch 77 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_54)))->BgL_coercezd2tozd2) =
				((obj_t) BgL_vz00_55), BUNSPEC);
		}

	}



/* &jarray-coerce-to-set! */
	obj_t BGl_z62jarrayzd2coercezd2tozd2setz12za2zzforeign_jtypez00(obj_t
		BgL_envz00_1199, obj_t BgL_oz00_1200, obj_t BgL_vz00_1201)
	{
		{	/* Foreign/jtype.sch 77 */
			return
				BGl_jarrayzd2coercezd2tozd2setz12zc0zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1200), BgL_vz00_1201);
		}

	}



/* jarray-class */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2classzd2zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_56)
	{
		{	/* Foreign/jtype.sch 78 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_56)))->BgL_classz00);
		}

	}



/* &jarray-class */
	obj_t BGl_z62jarrayzd2classzb0zzforeign_jtypez00(obj_t BgL_envz00_1202,
		obj_t BgL_oz00_1203)
	{
		{	/* Foreign/jtype.sch 78 */
			return
				BGl_jarrayzd2classzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1203));
		}

	}



/* jarray-class-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2classzd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_57, obj_t BgL_vz00_58)
	{
		{	/* Foreign/jtype.sch 79 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_57)))->BgL_classz00) =
				((obj_t) BgL_vz00_58), BUNSPEC);
		}

	}



/* &jarray-class-set! */
	obj_t BGl_z62jarrayzd2classzd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1204, obj_t BgL_oz00_1205, obj_t BgL_vz00_1206)
	{
		{	/* Foreign/jtype.sch 79 */
			return
				BGl_jarrayzd2classzd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1205), BgL_vz00_1206);
		}

	}



/* jarray-size */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2siza7ez75zzforeign_jtypez00(BgL_typez00_bglt BgL_oz00_59)
	{
		{	/* Foreign/jtype.sch 80 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_59)))->BgL_siza7eza7);
		}

	}



/* &jarray-size */
	obj_t BGl_z62jarrayzd2siza7ez17zzforeign_jtypez00(obj_t BgL_envz00_1207,
		obj_t BgL_oz00_1208)
	{
		{	/* Foreign/jtype.sch 80 */
			return
				BGl_jarrayzd2siza7ez75zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1208));
		}

	}



/* jarray-size-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2siza7ezd2setz12zb5zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_60, obj_t BgL_vz00_61)
	{
		{	/* Foreign/jtype.sch 81 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_60)))->BgL_siza7eza7) =
				((obj_t) BgL_vz00_61), BUNSPEC);
		}

	}



/* &jarray-size-set! */
	obj_t BGl_z62jarrayzd2siza7ezd2setz12zd7zzforeign_jtypez00(obj_t
		BgL_envz00_1209, obj_t BgL_oz00_1210, obj_t BgL_vz00_1211)
	{
		{	/* Foreign/jtype.sch 81 */
			return
				BGl_jarrayzd2siza7ezd2setz12zb5zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1210), BgL_vz00_1211);
		}

	}



/* jarray-name */
	BGL_EXPORTED_DEF obj_t BGl_jarrayzd2namezd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_62)
	{
		{	/* Foreign/jtype.sch 82 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_62)))->BgL_namez00);
		}

	}



/* &jarray-name */
	obj_t BGl_z62jarrayzd2namezb0zzforeign_jtypez00(obj_t BgL_envz00_1212,
		obj_t BgL_oz00_1213)
	{
		{	/* Foreign/jtype.sch 82 */
			return
				BGl_jarrayzd2namezd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1213));
		}

	}



/* jarray-name-set! */
	BGL_EXPORTED_DEF obj_t
		BGl_jarrayzd2namezd2setz12z12zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_63, obj_t BgL_vz00_64)
	{
		{	/* Foreign/jtype.sch 83 */
			return
				((((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt) BgL_oz00_63)))->BgL_namez00) =
				((obj_t) BgL_vz00_64), BUNSPEC);
		}

	}



/* &jarray-name-set! */
	obj_t BGl_z62jarrayzd2namezd2setz12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1214, obj_t BgL_oz00_1215, obj_t BgL_vz00_1216)
	{
		{	/* Foreign/jtype.sch 83 */
			return
				BGl_jarrayzd2namezd2setz12z12zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1215), BgL_vz00_1216);
		}

	}



/* jarray-id */
	BGL_EXPORTED_DEF obj_t BGl_jarrayzd2idzd2zzforeign_jtypez00(BgL_typez00_bglt
		BgL_oz00_65)
	{
		{	/* Foreign/jtype.sch 84 */
			return
				(((BgL_typez00_bglt) COBJECT(
						((BgL_typez00_bglt) BgL_oz00_65)))->BgL_idz00);
		}

	}



/* &jarray-id */
	obj_t BGl_z62jarrayzd2idzb0zzforeign_jtypez00(obj_t BgL_envz00_1217,
		obj_t BgL_oz00_1218)
	{
		{	/* Foreign/jtype.sch 84 */
			return
				BGl_jarrayzd2idzd2zzforeign_jtypez00(
				((BgL_typez00_bglt) BgL_oz00_1218));
		}

	}



/* declare-jvm-type! */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(obj_t BgL_idz00_68,
		obj_t BgL_ofz00_69, obj_t BgL_srcz00_70)
	{
		{	/* Foreign/jtype.scm 46 */
			{	/* Foreign/jtype.scm 48 */
				BgL_typez00_bglt BgL_pointedz00_605;

				BgL_pointedz00_605 =
					BGl_usezd2typez12zc0zztype_envz00(BgL_ofz00_69,
					BGl_findzd2locationzd2zztools_locationz00(BgL_srcz00_70));
				{	/* Foreign/jtype.scm 48 */
					obj_t BgL_pointerz00_606;

					BgL_pointerz00_606 =
						(((BgL_typez00_bglt) COBJECT(BgL_pointedz00_605))->
						BgL_pointedzd2tozd2byz00);
					{	/* Foreign/jtype.scm 49 */
						obj_t BgL_namez00_607;

						{	/* Foreign/jtype.scm 50 */
							obj_t BgL_arg1469z00_975;

							BgL_arg1469z00_975 = SYMBOL_TO_STRING(BgL_idz00_68);
							BgL_namez00_607 =
								BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1469z00_975);
						}
						{	/* Foreign/jtype.scm 50 */
							obj_t BgL_objzd2ze3idz31_608;

							{	/* Foreign/jtype.scm 51 */
								obj_t BgL_arg1198z00_634;

								{	/* Foreign/jtype.scm 51 */
									obj_t BgL_arg1200z00_635;
									obj_t BgL_arg1203z00_636;

									{	/* Foreign/jtype.scm 51 */
										obj_t BgL_symbolz00_976;

										BgL_symbolz00_976 = CNST_TABLE_REF(((long) 0));
										{	/* Foreign/jtype.scm 51 */
											obj_t BgL_arg1469z00_977;

											BgL_arg1469z00_977 = SYMBOL_TO_STRING(BgL_symbolz00_976);
											BgL_arg1200z00_635 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_977);
									}}
									{	/* Foreign/jtype.scm 51 */
										obj_t BgL_arg1469z00_979;

										BgL_arg1469z00_979 = SYMBOL_TO_STRING(BgL_idz00_68);
										BgL_arg1203z00_636 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1469z00_979);
									}
									BgL_arg1198z00_634 =
										string_append(BgL_arg1200z00_635, BgL_arg1203z00_636);
								}
								BgL_objzd2ze3idz31_608 = bstring_to_symbol(BgL_arg1198z00_634);
							}
							{	/* Foreign/jtype.scm 51 */

								{	/* Foreign/jtype.scm 54 */
									bool_t BgL_test1767z00_1776;

									{	/* Foreign/jtype.scm 54 */
										obj_t BgL_classz00_981;

										BgL_classz00_981 = BGl_typez00zztype_typez00;
										if (BGL_OBJECTP(BgL_pointerz00_606))
											{	/* Foreign/jtype.scm 54 */
												BgL_objectz00_bglt BgL_arg1820z00_983;

												BgL_arg1820z00_983 =
													(BgL_objectz00_bglt) (BgL_pointerz00_606);
												if (BGL_CONDEXPAND_ISA_ARCH64())
													{	/* Foreign/jtype.scm 54 */
														long BgL_idxz00_989;

														BgL_idxz00_989 =
															BGL_OBJECT_INHERITANCE_NUM(BgL_arg1820z00_983);
														BgL_test1767z00_1776 =
															(VECTOR_REF
															(BGl_za2inheritancesza2z00zz__objectz00,
																(BgL_idxz00_989 + ((long) 1))) ==
															BgL_classz00_981);
													}
												else
													{	/* Foreign/jtype.scm 54 */
														bool_t BgL_res1689z00_1011;

														{	/* Foreign/jtype.scm 54 */
															obj_t BgL_oclassz00_997;

															{	/* Foreign/jtype.scm 54 */
																long BgL_arg1828z00_1003;

																{	/* Foreign/jtype.scm 54 */
																	long BgL_arg1829z00_1004;

																	BgL_arg1829z00_1004 =
																		BGL_OBJECT_CLASS_NUM(BgL_arg1820z00_983);
																	BgL_arg1828z00_1003 =
																		(BgL_arg1829z00_1004 - OBJECT_TYPE);
																}
																BgL_oclassz00_997 =
																	VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
																	BgL_arg1828z00_1003);
															}
															{	/* Foreign/jtype.scm 54 */
																bool_t BgL__ortest_1111z00_998;

																BgL__ortest_1111z00_998 =
																	(BgL_classz00_981 == BgL_oclassz00_997);
																if (BgL__ortest_1111z00_998)
																	{	/* Foreign/jtype.scm 54 */
																		BgL_res1689z00_1011 =
																			BgL__ortest_1111z00_998;
																	}
																else
																	{	/* Foreign/jtype.scm 54 */
																		long BgL_odepthz00_999;

																		BgL_odepthz00_999 =
																			BGL_CLASS_DEPTH(BgL_oclassz00_997);
																		if ((((long) 1) < BgL_odepthz00_999))
																			{	/* Foreign/jtype.scm 54 */
																				obj_t BgL_arg1816z00_1001;

																				BgL_arg1816z00_1001 =
																					BGL_CLASS_ANCESTORS_REF
																					(BgL_oclassz00_997, ((long) 1));
																				BgL_res1689z00_1011 =
																					(BgL_arg1816z00_1001 ==
																					BgL_classz00_981);
																			}
																		else
																			{	/* Foreign/jtype.scm 54 */
																				BgL_res1689z00_1011 = ((bool_t) 0);
																			}
																	}
															}
														}
														BgL_test1767z00_1776 = BgL_res1689z00_1011;
													}
											}
										else
											{	/* Foreign/jtype.scm 54 */
												BgL_test1767z00_1776 = ((bool_t) 0);
											}
									}
									if (BgL_test1767z00_1776)
										{	/* Foreign/jtype.scm 54 */
											return
												BGl_declarezd2czd2aliasz12z12zzforeign_ctypez00
												(BgL_idz00_68, BgL_ofz00_69, BgL_namez00_607);
										}
									else
										{	/* Foreign/jtype.scm 58 */
											BgL_typez00_bglt BgL_typez00_610;

											BgL_typez00_610 =
												BGl_declarezd2subtypez12zc0zztype_envz00(BgL_idz00_68,
												BgL_namez00_607, CNST_TABLE_REF(((long) 1)),
												CNST_TABLE_REF(((long) 2)));
											{	/* Foreign/jtype.scm 58 */

												{	/* Foreign/jtype.scm 61 */
													obj_t BgL_arg1160z00_611;

													{	/* Foreign/jtype.scm 61 */
														obj_t BgL_arg1161z00_612;

														{	/* Foreign/jtype.scm 61 */
															obj_t BgL_arg1162z00_613;
															obj_t BgL_arg1163z00_614;

															{	/* Foreign/jtype.scm 61 */
																obj_t BgL_arg1164z00_615;

																{	/* Foreign/jtype.scm 61 */
																	obj_t BgL_arg1167z00_616;

																	{	/* Foreign/jtype.scm 61 */
																		obj_t BgL_arg1169z00_617;

																		{	/* Foreign/jtype.scm 61 */
																			obj_t BgL_arg1172z00_618;

																			BgL_arg1172z00_618 =
																				MAKE_YOUNG_PAIR(BNIL, BNIL);
																			BgL_arg1169z00_617 =
																				MAKE_YOUNG_PAIR(BNIL,
																				BgL_arg1172z00_618);
																		}
																		BgL_arg1167z00_616 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					3)), BgL_arg1169z00_617);
																	}
																	BgL_arg1164z00_615 =
																		MAKE_YOUNG_PAIR(BgL_idz00_68,
																		BgL_arg1167z00_616);
																}
																BgL_arg1162z00_613 =
																	MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
																	BgL_arg1164z00_615);
															}
															{	/* Foreign/jtype.scm 62 */
																obj_t BgL_arg1173z00_619;

																{	/* Foreign/jtype.scm 62 */
																	obj_t BgL_arg1176z00_620;

																	{	/* Foreign/jtype.scm 62 */
																		obj_t BgL_arg1182z00_621;

																		{	/* Foreign/jtype.scm 62 */
																			obj_t BgL_arg1184z00_622;

																			{	/* Foreign/jtype.scm 62 */
																				obj_t BgL_arg1186z00_623;
																				obj_t BgL_arg1188z00_624;

																				{	/* Foreign/jtype.scm 62 */
																					obj_t BgL_arg1191z00_625;

																					{	/* Foreign/jtype.scm 62 */
																						obj_t BgL_arg1192z00_626;

																						{	/* Foreign/jtype.scm 62 */
																							obj_t BgL_arg1193z00_627;
																							obj_t BgL_arg1195z00_628;

																							{	/* Foreign/jtype.scm 62 */
																								obj_t BgL_arg1469z00_1013;

																								BgL_arg1469z00_1013 =
																									SYMBOL_TO_STRING
																									(BgL_idz00_68);
																								BgL_arg1193z00_627 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1469z00_1013);
																							}
																							{	/* Foreign/jtype.scm 62 */
																								obj_t BgL_symbolz00_1014;

																								BgL_symbolz00_1014 =
																									CNST_TABLE_REF(((long) 5));
																								{	/* Foreign/jtype.scm 62 */
																									obj_t BgL_arg1469z00_1015;

																									BgL_arg1469z00_1015 =
																										SYMBOL_TO_STRING
																										(BgL_symbolz00_1014);
																									BgL_arg1195z00_628 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg1469z00_1015);
																							}}
																							BgL_arg1192z00_626 =
																								string_append
																								(BgL_arg1193z00_627,
																								BgL_arg1195z00_628);
																						}
																						BgL_arg1191z00_625 =
																							bstring_to_symbol
																							(BgL_arg1192z00_626);
																					}
																					BgL_arg1186z00_623 =
																						MAKE_YOUNG_PAIR(BgL_arg1191z00_625,
																						BNIL);
																				}
																				BgL_arg1188z00_624 =
																					MAKE_YOUNG_PAIR(BNIL, BNIL);
																				BgL_arg1184z00_622 =
																					MAKE_YOUNG_PAIR(BgL_arg1186z00_623,
																					BgL_arg1188z00_624);
																			}
																			BgL_arg1182z00_621 =
																				MAKE_YOUNG_PAIR(BgL_idz00_68,
																				BgL_arg1184z00_622);
																		}
																		BgL_arg1176z00_620 =
																			MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long)
																					3)), BgL_arg1182z00_621);
																	}
																	BgL_arg1173z00_619 =
																		MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 4)),
																		BgL_arg1176z00_620);
																}
																BgL_arg1163z00_614 =
																	MAKE_YOUNG_PAIR(BgL_arg1173z00_619, BNIL);
															}
															BgL_arg1161z00_612 =
																MAKE_YOUNG_PAIR(BgL_arg1162z00_613,
																BgL_arg1163z00_614);
														}
														BgL_arg1160z00_611 =
															MAKE_YOUNG_PAIR(CNST_TABLE_REF(((long) 6)),
															BgL_arg1161z00_612);
													}
													BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
														(BgL_arg1160z00_611);
												}
												((((BgL_typez00_bglt) COBJECT(BgL_pointedz00_605))->
														BgL_pointedzd2tozd2byz00) =
													((obj_t) ((obj_t) BgL_typez00_610)), BUNSPEC);
												{	/* Foreign/jtype.scm 65 */
													BgL_jarrayz00_bglt BgL_wide1094z00_631;

													BgL_wide1094z00_631 =
														((BgL_jarrayz00_bglt)
														BOBJECT(GC_MALLOC(sizeof(struct
																	BgL_jarrayz00_bgl))));
													{	/* Foreign/jtype.scm 65 */
														obj_t BgL_auxz00_1833;
														BgL_objectz00_bglt BgL_tmpz00_1830;

														BgL_auxz00_1833 = ((obj_t) BgL_wide1094z00_631);
														BgL_tmpz00_1830 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typez00_610));
														BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1830,
															BgL_auxz00_1833);
													}
													((BgL_objectz00_bglt)
														((BgL_typez00_bglt) BgL_typez00_610));
													{	/* Foreign/jtype.scm 65 */
														long BgL_arg1196z00_632;

														BgL_arg1196z00_632 =
															BGL_CLASS_NUM(BGl_jarrayz00zzforeign_jtypez00);
														BGL_OBJECT_CLASS_NUM_SET(
															((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_typez00_610)),
															BgL_arg1196z00_632);
													}
													((BgL_typez00_bglt)
														((BgL_typez00_bglt) BgL_typez00_610));
												}
												{
													BgL_jarrayz00_bglt BgL_auxz00_1844;

													{
														obj_t BgL_auxz00_1845;

														{	/* Foreign/jtype.scm 66 */
															BgL_objectz00_bglt BgL_tmpz00_1846;

															BgL_tmpz00_1846 =
																((BgL_objectz00_bglt)
																((BgL_typez00_bglt) BgL_typez00_610));
															BgL_auxz00_1845 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_1846);
														}
														BgL_auxz00_1844 =
															((BgL_jarrayz00_bglt) BgL_auxz00_1845);
													}
													((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1844))->
															BgL_itemzd2typezd2) =
														((BgL_typez00_bglt) BgL_pointedz00_605), BUNSPEC);
												}
												((BgL_typez00_bglt) BgL_typez00_610);
												return BgL_typez00_610;
											}
										}
								}
							}
						}
					}
				}
			}
		}

	}



/* &declare-jvm-type! */
	BgL_typez00_bglt BGl_z62declarezd2jvmzd2typez12z70zzforeign_jtypez00(obj_t
		BgL_envz00_1219, obj_t BgL_idz00_1220, obj_t BgL_ofz00_1221,
		obj_t BgL_srcz00_1222)
	{
		{	/* Foreign/jtype.scm 46 */
			return
				BGl_declarezd2jvmzd2typez12z12zzforeign_jtypez00(BgL_idz00_1220,
				BgL_ofz00_1221, BgL_srcz00_1222);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			{	/* Foreign/jtype.scm 38 */
				obj_t BgL_arg1217z00_642;
				obj_t BgL_arg1220z00_643;

				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_v1137z00_680;

					BgL_v1137z00_680 = create_vector(((long) 1));
					{	/* Foreign/jtype.scm 38 */
						obj_t BgL_arg1241z00_681;

						BgL_arg1241z00_681 =
							BGl_makezd2classzd2fieldz00zz__objectz00(CNST_TABLE_REF(((long)
									7)), BGl_proc1696z00zzforeign_jtypez00,
							BGl_proc1695z00zzforeign_jtypez00, ((bool_t) 1), ((bool_t) 0),
							BFALSE, BFALSE, BGl_typez00zztype_typez00);
						VECTOR_SET(BgL_v1137z00_680, ((long) 0), BgL_arg1241z00_681);
					}
					BgL_arg1217z00_642 = BgL_v1137z00_680;
				}
				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_v1138z00_691;

					BgL_v1138z00_691 = create_vector(((long) 0));
					BgL_arg1220z00_643 = BgL_v1138z00_691;
				}
				return (BGl_jarrayz00zzforeign_jtypez00 =
					BGl_registerzd2classz12zc0zz__objectz00(CNST_TABLE_REF(((long) 8)),
						CNST_TABLE_REF(((long) 9)), BGl_typez00zztype_typez00,
						((long) 10395), BGl_proc1700z00zzforeign_jtypez00,
						BGl_proc1699z00zzforeign_jtypez00, BFALSE,
						BGl_proc1698z00zzforeign_jtypez00,
						BGl_proc1697z00zzforeign_jtypez00, BgL_arg1217z00_642,
						BgL_arg1220z00_643), BUNSPEC);
		}}

	}



/* &lambda1230 */
	BgL_typez00_bglt BGl_z62lambda1230z62zzforeign_jtypez00(obj_t BgL_envz00_1229,
		obj_t BgL_o1077z00_1230)
	{
		{	/* Foreign/jtype.scm 38 */
			{	/* Foreign/jtype.scm 38 */
				long BgL_arg1235z00_1296;

				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_arg1239z00_1297;

					{	/* Foreign/jtype.scm 38 */
						obj_t BgL_arg1240z00_1298;

						{	/* Foreign/jtype.scm 38 */
							long BgL_arg1828z00_1299;

							{	/* Foreign/jtype.scm 38 */
								long BgL_arg1829z00_1300;

								BgL_arg1829z00_1300 =
									BGL_OBJECT_CLASS_NUM(
									((BgL_objectz00_bglt)
										((BgL_typez00_bglt) BgL_o1077z00_1230)));
								BgL_arg1828z00_1299 = (BgL_arg1829z00_1300 - OBJECT_TYPE);
							}
							BgL_arg1240z00_1298 =
								VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
								BgL_arg1828z00_1299);
						}
						BgL_arg1239z00_1297 =
							BGl_classzd2superzd2zz__objectz00(BgL_arg1240z00_1298);
					}
					{	/* Foreign/jtype.scm 38 */
						obj_t BgL_tmpz00_1868;

						BgL_tmpz00_1868 = ((obj_t) BgL_arg1239z00_1297);
						BgL_arg1235z00_1296 = BGL_CLASS_NUM(BgL_tmpz00_1868);
				}}
				BGL_OBJECT_CLASS_NUM_SET(
					((BgL_objectz00_bglt)
						((BgL_typez00_bglt) BgL_o1077z00_1230)), BgL_arg1235z00_1296);
			}
			{	/* Foreign/jtype.scm 38 */
				BgL_objectz00_bglt BgL_tmpz00_1874;

				BgL_tmpz00_1874 =
					((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_o1077z00_1230));
				BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1874, BFALSE);
			}
			((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_o1077z00_1230));
			return ((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1077z00_1230));
		}

	}



/* &<@anonymous:1229> */
	obj_t BGl_z62zc3z04anonymousza31229ze3ze5zzforeign_jtypez00(obj_t
		BgL_envz00_1231, obj_t BgL_new1076z00_1232)
	{
		{	/* Foreign/jtype.scm 38 */
			{
				BgL_typez00_bglt BgL_auxz00_1882;

				((((BgL_typez00_bglt) COBJECT(
								((BgL_typez00_bglt)
									((BgL_typez00_bglt) BgL_new1076z00_1232))))->BgL_idz00) =
					((obj_t) CNST_TABLE_REF(((long) 10))), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_namez00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_siza7eza7) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_classz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_coercezd2tozd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_parentsz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_initzf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_magiczf3zf3) =
					((bool_t) ((bool_t) 0)), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_z42z42) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_aliasz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_pointedzd2tozd2byz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_tvectorz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_locationz00) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_importzd2locationzd2) =
					((obj_t) BUNSPEC), BUNSPEC);
				((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BgL_new1076z00_1232))))->BgL_occurrencez00) =
					((int) (int) (((long) 0))), BUNSPEC);
				{
					BgL_typez00_bglt BgL_auxz00_1937;
					BgL_jarrayz00_bglt BgL_auxz00_1930;

					{	/* Foreign/jtype.scm 38 */
						obj_t BgL_classz00_1302;

						BgL_classz00_1302 = BGl_typez00zztype_typez00;
						{	/* Foreign/jtype.scm 38 */
							obj_t BgL__ortest_1113z00_1303;

							BgL__ortest_1113z00_1303 = BGL_CLASS_NIL(BgL_classz00_1302);
							if (CBOOL(BgL__ortest_1113z00_1303))
								{	/* Foreign/jtype.scm 38 */
									BgL_auxz00_1937 =
										((BgL_typez00_bglt) BgL__ortest_1113z00_1303);
								}
							else
								{	/* Foreign/jtype.scm 38 */
									BgL_auxz00_1937 =
										((BgL_typez00_bglt)
										BGl_classzd2nilzd2initz12z12zz__objectz00
										(BgL_classz00_1302));
								}
						}
					}
					{
						obj_t BgL_auxz00_1931;

						{	/* Foreign/jtype.scm 38 */
							BgL_objectz00_bglt BgL_tmpz00_1932;

							BgL_tmpz00_1932 =
								((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_new1076z00_1232));
							BgL_auxz00_1931 = BGL_OBJECT_WIDENING(BgL_tmpz00_1932);
						}
						BgL_auxz00_1930 = ((BgL_jarrayz00_bglt) BgL_auxz00_1931);
					}
					((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_1930))->
							BgL_itemzd2typezd2) =
						((BgL_typez00_bglt) BgL_auxz00_1937), BUNSPEC);
				}
				BgL_auxz00_1882 = ((BgL_typez00_bglt) BgL_new1076z00_1232);
				return ((obj_t) BgL_auxz00_1882);
			}
		}

	}



/* &lambda1227 */
	BgL_typez00_bglt BGl_z62lambda1227z62zzforeign_jtypez00(obj_t BgL_envz00_1233,
		obj_t BgL_o1073z00_1234)
	{
		{	/* Foreign/jtype.scm 38 */
			{	/* Foreign/jtype.scm 38 */
				BgL_jarrayz00_bglt BgL_wide1075z00_1305;

				BgL_wide1075z00_1305 =
					((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
								BgL_jarrayz00_bgl))));
				{	/* Foreign/jtype.scm 38 */
					obj_t BgL_auxz00_1952;
					BgL_objectz00_bglt BgL_tmpz00_1948;

					BgL_auxz00_1952 = ((obj_t) BgL_wide1075z00_1305);
					BgL_tmpz00_1948 =
						((BgL_objectz00_bglt)
						((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1073z00_1234)));
					BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1948, BgL_auxz00_1952);
				}
				((BgL_objectz00_bglt)
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1073z00_1234)));
				{	/* Foreign/jtype.scm 38 */
					long BgL_arg1228z00_1306;

					BgL_arg1228z00_1306 = BGL_CLASS_NUM(BGl_jarrayz00zzforeign_jtypez00);
					BGL_OBJECT_CLASS_NUM_SET(
						((BgL_objectz00_bglt)
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_o1073z00_1234))), BgL_arg1228z00_1306);
				}
				return
					((BgL_typez00_bglt)
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_o1073z00_1234)));
			}
		}

	}



/* &lambda1221 */
	BgL_typez00_bglt BGl_z62lambda1221z62zzforeign_jtypez00(obj_t BgL_envz00_1235,
		obj_t BgL_id1057z00_1236, obj_t BgL_name1058z00_1237,
		obj_t BgL_siza7e1059za7_1238, obj_t BgL_class1060z00_1239,
		obj_t BgL_coercezd2to1061zd2_1240, obj_t BgL_parents1062z00_1241,
		obj_t BgL_initzf31063zf3_1242, obj_t BgL_magiczf31064zf3_1243,
		obj_t BgL_z421065z42_1244, obj_t BgL_alias1066z00_1245,
		obj_t BgL_pointedzd2tozd2by1067z00_1246, obj_t BgL_tvector1068z00_1247,
		obj_t BgL_location1069z00_1248, obj_t BgL_importzd2location1070zd2_1249,
		obj_t BgL_occurrence1071z00_1250, obj_t BgL_itemzd2type1072zd2_1251)
	{
		{	/* Foreign/jtype.scm 38 */
			{	/* Foreign/jtype.scm 38 */
				bool_t BgL_initzf31063zf3_1308;
				bool_t BgL_magiczf31064zf3_1309;
				int BgL_occurrence1071z00_1310;

				BgL_initzf31063zf3_1308 = CBOOL(BgL_initzf31063zf3_1242);
				BgL_magiczf31064zf3_1309 = CBOOL(BgL_magiczf31064zf3_1243);
				BgL_occurrence1071z00_1310 = CINT(BgL_occurrence1071z00_1250);
				{	/* Foreign/jtype.scm 38 */
					BgL_typez00_bglt BgL_new1100z00_1312;

					{	/* Foreign/jtype.scm 38 */
						BgL_typez00_bglt BgL_tmp1098z00_1313;
						BgL_jarrayz00_bglt BgL_wide1099z00_1314;

						{
							BgL_typez00_bglt BgL_auxz00_1969;

							{	/* Foreign/jtype.scm 38 */
								BgL_typez00_bglt BgL_new1097z00_1315;

								BgL_new1097z00_1315 =
									((BgL_typez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
												BgL_typez00_bgl))));
								{	/* Foreign/jtype.scm 38 */
									long BgL_arg1226z00_1316;

									BgL_arg1226z00_1316 =
										BGL_CLASS_NUM(BGl_typez00zztype_typez00);
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt) BgL_new1097z00_1315),
										BgL_arg1226z00_1316);
								}
								{	/* Foreign/jtype.scm 38 */
									BgL_objectz00_bglt BgL_tmpz00_1974;

									BgL_tmpz00_1974 = ((BgL_objectz00_bglt) BgL_new1097z00_1315);
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1974, BFALSE);
								}
								((BgL_objectz00_bglt) BgL_new1097z00_1315);
								BgL_auxz00_1969 = BgL_new1097z00_1315;
							}
							BgL_tmp1098z00_1313 = ((BgL_typez00_bglt) BgL_auxz00_1969);
						}
						BgL_wide1099z00_1314 =
							((BgL_jarrayz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_jarrayz00_bgl))));
						{	/* Foreign/jtype.scm 38 */
							obj_t BgL_auxz00_1982;
							BgL_objectz00_bglt BgL_tmpz00_1980;

							BgL_auxz00_1982 = ((obj_t) BgL_wide1099z00_1314);
							BgL_tmpz00_1980 = ((BgL_objectz00_bglt) BgL_tmp1098z00_1313);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_1980, BgL_auxz00_1982);
						}
						((BgL_objectz00_bglt) BgL_tmp1098z00_1313);
						{	/* Foreign/jtype.scm 38 */
							long BgL_arg1224z00_1317;

							BgL_arg1224z00_1317 =
								BGL_CLASS_NUM(BGl_jarrayz00zzforeign_jtypez00);
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_tmp1098z00_1313),
								BgL_arg1224z00_1317);
						}
						BgL_new1100z00_1312 = ((BgL_typez00_bglt) BgL_tmp1098z00_1313);
					}
					((((BgL_typez00_bglt) COBJECT(
									((BgL_typez00_bglt) BgL_new1100z00_1312)))->BgL_idz00) =
						((obj_t) ((obj_t) BgL_id1057z00_1236)), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_namez00) =
						((obj_t) BgL_name1058z00_1237), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_siza7eza7) =
						((obj_t) BgL_siza7e1059za7_1238), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_classz00) =
						((obj_t) BgL_class1060z00_1239), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_coercezd2tozd2) =
						((obj_t) BgL_coercezd2to1061zd2_1240), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_parentsz00) =
						((obj_t) BgL_parents1062z00_1241), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_initzf3zf3) =
						((bool_t) BgL_initzf31063zf3_1308), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_magiczf3zf3) =
						((bool_t) BgL_magiczf31064zf3_1309), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_z42z42) =
						((obj_t) BgL_z421065z42_1244), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_aliasz00) =
						((obj_t) BgL_alias1066z00_1245), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_pointedzd2tozd2byz00) =
						((obj_t) BgL_pointedzd2tozd2by1067z00_1246), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_tvectorz00) =
						((obj_t) BgL_tvector1068z00_1247), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_locationz00) =
						((obj_t) BgL_location1069z00_1248), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_importzd2locationzd2) =
						((obj_t) BgL_importzd2location1070zd2_1249), BUNSPEC);
					((((BgL_typez00_bglt) COBJECT(((BgL_typez00_bglt)
										BgL_new1100z00_1312)))->BgL_occurrencez00) =
						((int) BgL_occurrence1071z00_1310), BUNSPEC);
					{
						BgL_jarrayz00_bglt BgL_auxz00_2021;

						{
							obj_t BgL_auxz00_2022;

							{	/* Foreign/jtype.scm 38 */
								BgL_objectz00_bglt BgL_tmpz00_2023;

								BgL_tmpz00_2023 = ((BgL_objectz00_bglt) BgL_new1100z00_1312);
								BgL_auxz00_2022 = BGL_OBJECT_WIDENING(BgL_tmpz00_2023);
							}
							BgL_auxz00_2021 = ((BgL_jarrayz00_bglt) BgL_auxz00_2022);
						}
						((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_2021))->
								BgL_itemzd2typezd2) =
							((BgL_typez00_bglt) ((BgL_typez00_bglt)
									BgL_itemzd2type1072zd2_1251)), BUNSPEC);
					}
					return BgL_new1100z00_1312;
				}
			}
		}

	}



/* &lambda1246 */
	obj_t BGl_z62lambda1246z62zzforeign_jtypez00(obj_t BgL_envz00_1252,
		obj_t BgL_oz00_1253, obj_t BgL_vz00_1254)
	{
		{	/* Foreign/jtype.scm 38 */
			{
				BgL_jarrayz00_bglt BgL_auxz00_2029;

				{
					obj_t BgL_auxz00_2030;

					{	/* Foreign/jtype.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_2031;

						BgL_tmpz00_2031 =
							((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_oz00_1253));
						BgL_auxz00_2030 = BGL_OBJECT_WIDENING(BgL_tmpz00_2031);
					}
					BgL_auxz00_2029 = ((BgL_jarrayz00_bglt) BgL_auxz00_2030);
				}
				return
					((((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_2029))->
						BgL_itemzd2typezd2) =
					((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_vz00_1254)), BUNSPEC);
			}
		}

	}



/* &lambda1245 */
	BgL_typez00_bglt BGl_z62lambda1245z62zzforeign_jtypez00(obj_t BgL_envz00_1255,
		obj_t BgL_oz00_1256)
	{
		{	/* Foreign/jtype.scm 38 */
			{
				BgL_jarrayz00_bglt BgL_auxz00_2038;

				{
					obj_t BgL_auxz00_2039;

					{	/* Foreign/jtype.scm 38 */
						BgL_objectz00_bglt BgL_tmpz00_2040;

						BgL_tmpz00_2040 =
							((BgL_objectz00_bglt) ((BgL_typez00_bglt) BgL_oz00_1256));
						BgL_auxz00_2039 = BGL_OBJECT_WIDENING(BgL_tmpz00_2040);
					}
					BgL_auxz00_2038 = ((BgL_jarrayz00_bglt) BgL_auxz00_2039);
				}
				return
					(((BgL_jarrayz00_bglt) COBJECT(BgL_auxz00_2038))->BgL_itemzd2typezd2);
			}
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_makezd2ctypezd2accessesz12zd2envzc0zzforeign_accessz00,
				BGl_jarrayz00zzforeign_jtypez00, BGl_proc1701z00zzforeign_jtypez00,
				BGl_string1702z00zzforeign_jtypez00);
		}

	}



/* &make-ctype-accesses!1140 */
	obj_t BGl_z62makezd2ctypezd2accessesz121140z70zzforeign_jtypez00(obj_t
		BgL_envz00_1258, obj_t BgL_whatz00_1259, obj_t BgL_whoz00_1260,
		obj_t BgL_locz00_1261)
	{
		{	/* Foreign/jtype.scm 72 */
			{	/* Tools/trace.sch 53 */
				obj_t BgL_idz00_1323;

				BgL_idz00_1323 =
					(((BgL_typez00_bglt) COBJECT(
							((BgL_typez00_bglt)
								((BgL_typez00_bglt) BgL_whatz00_1259))))->BgL_idz00);
				{	/* Tools/trace.sch 53 */
					obj_t BgL_oidz00_1324;

					BgL_oidz00_1324 =
						BGl_makezd2typedzd2identz00zzast_identz00(CNST_TABLE_REF(((long)
								11)), BgL_idz00_1323);
					{	/* Tools/trace.sch 53 */
						obj_t BgL_tidz00_1325;

						BgL_tidz00_1325 =
							BGl_makezd2typedzd2formalz00zzast_identz00(BgL_idz00_1323);
						{	/* Tools/trace.sch 53 */
							obj_t BgL_idzd2ze3objz31_1326;

							{	/* Tools/trace.sch 53 */
								obj_t BgL_arg1639z00_1327;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1641z00_1328;
									obj_t BgL_arg1645z00_1329;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1469z00_1330;

										BgL_arg1469z00_1330 = SYMBOL_TO_STRING(BgL_idz00_1323);
										BgL_arg1641z00_1328 =
											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
											(BgL_arg1469z00_1330);
									}
									{	/* Tools/trace.sch 53 */
										obj_t BgL_symbolz00_1331;

										BgL_symbolz00_1331 = CNST_TABLE_REF(((long) 12));
										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1469z00_1332;

											BgL_arg1469z00_1332 =
												SYMBOL_TO_STRING(BgL_symbolz00_1331);
											BgL_arg1645z00_1329 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_1332);
									}}
									BgL_arg1639z00_1327 =
										string_append(BgL_arg1641z00_1328, BgL_arg1645z00_1329);
								}
								BgL_idzd2ze3objz31_1326 =
									bstring_to_symbol(BgL_arg1639z00_1327);
							}
							{	/* Tools/trace.sch 53 */
								obj_t BgL_objzd2ze3idz31_1333;

								{	/* Tools/trace.sch 53 */
									obj_t BgL_arg1632z00_1334;

									{	/* Tools/trace.sch 53 */
										obj_t BgL_arg1635z00_1335;
										obj_t BgL_arg1636z00_1336;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_symbolz00_1337;

											BgL_symbolz00_1337 = CNST_TABLE_REF(((long) 0));
											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1469z00_1338;

												BgL_arg1469z00_1338 =
													SYMBOL_TO_STRING(BgL_symbolz00_1337);
												BgL_arg1635z00_1335 =
													BGl_stringzd2copyzd2zz__r4_strings_6_7z00
													(BgL_arg1469z00_1338);
										}}
										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1469z00_1339;

											BgL_arg1469z00_1339 = SYMBOL_TO_STRING(BgL_idz00_1323);
											BgL_arg1636z00_1336 =
												BGl_stringzd2copyzd2zz__r4_strings_6_7z00
												(BgL_arg1469z00_1339);
										}
										BgL_arg1632z00_1334 =
											string_append(BgL_arg1635z00_1335, BgL_arg1636z00_1336);
									}
									BgL_objzd2ze3idz31_1333 =
										bstring_to_symbol(BgL_arg1632z00_1334);
								}
								{	/* Tools/trace.sch 53 */
									obj_t BgL_tobjzd2ze3idz31_1340;

									BgL_tobjzd2ze3idz31_1340 =
										BGl_makezd2typedzd2identz00zzast_identz00
										(BgL_objzd2ze3idz31_1333, BgL_idz00_1323);
									{	/* Tools/trace.sch 53 */
										obj_t BgL_idzf3zf3_1341;

										{	/* Tools/trace.sch 53 */
											obj_t BgL_arg1625z00_1342;

											{	/* Tools/trace.sch 53 */
												obj_t BgL_arg1629z00_1343;
												obj_t BgL_arg1630z00_1344;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1469z00_1345;

													BgL_arg1469z00_1345 =
														SYMBOL_TO_STRING(BgL_idz00_1323);
													BgL_arg1629z00_1343 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1469z00_1345);
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_symbolz00_1346;

													BgL_symbolz00_1346 = CNST_TABLE_REF(((long) 5));
													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1469z00_1347;

														BgL_arg1469z00_1347 =
															SYMBOL_TO_STRING(BgL_symbolz00_1346);
														BgL_arg1630z00_1344 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1469z00_1347);
												}}
												BgL_arg1625z00_1342 =
													string_append(BgL_arg1629z00_1343,
													BgL_arg1630z00_1344);
											}
											BgL_idzf3zf3_1341 =
												bstring_to_symbol(BgL_arg1625z00_1342);
										}
										{	/* Tools/trace.sch 53 */
											obj_t BgL_tidzf3zf3_1348;

											BgL_tidzf3zf3_1348 =
												BGl_makezd2typedzd2identz00zzast_identz00
												(BgL_idzf3zf3_1341, CNST_TABLE_REF(((long) 13)));
											{	/* Tools/trace.sch 53 */
												obj_t BgL_idzd2lengthzd2_1349;

												{	/* Tools/trace.sch 53 */
													obj_t BgL_arg1614z00_1350;

													{	/* Tools/trace.sch 53 */
														obj_t BgL_arg1615z00_1351;
														obj_t BgL_arg1616z00_1352;

														{	/* Tools/trace.sch 53 */
															obj_t BgL_arg1469z00_1353;

															BgL_arg1469z00_1353 =
																SYMBOL_TO_STRING(BgL_idz00_1323);
															BgL_arg1615z00_1351 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1469z00_1353);
														}
														{	/* Tools/trace.sch 53 */
															obj_t BgL_symbolz00_1354;

															BgL_symbolz00_1354 = CNST_TABLE_REF(((long) 14));
															{	/* Tools/trace.sch 53 */
																obj_t BgL_arg1469z00_1355;

																BgL_arg1469z00_1355 =
																	SYMBOL_TO_STRING(BgL_symbolz00_1354);
																BgL_arg1616z00_1352 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1469z00_1355);
														}}
														BgL_arg1614z00_1350 =
															string_append(BgL_arg1615z00_1351,
															BgL_arg1616z00_1352);
													}
													BgL_idzd2lengthzd2_1349 =
														bstring_to_symbol(BgL_arg1614z00_1350);
												}
												{	/* Tools/trace.sch 53 */
													obj_t BgL_tidzd2lengthzd2_1356;

													BgL_tidzd2lengthzd2_1356 =
														BGl_makezd2typedzd2identz00zzast_identz00
														(BgL_idzd2lengthzd2_1349,
														CNST_TABLE_REF(((long) 15)));
													{	/* Tools/trace.sch 53 */
														BgL_typez00_bglt BgL_itemzd2typezd2_1357;

														{
															BgL_jarrayz00_bglt BgL_auxz00_2086;

															{
																obj_t BgL_auxz00_2087;

																{	/* Tools/trace.sch 53 */
																	BgL_objectz00_bglt BgL_tmpz00_2088;

																	BgL_tmpz00_2088 =
																		((BgL_objectz00_bglt)
																		((BgL_typez00_bglt) BgL_whatz00_1259));
																	BgL_auxz00_2087 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_2088);
																}
																BgL_auxz00_2086 =
																	((BgL_jarrayz00_bglt) BgL_auxz00_2087);
															}
															BgL_itemzd2typezd2_1357 =
																(((BgL_jarrayz00_bglt)
																	COBJECT(BgL_auxz00_2086))->
																BgL_itemzd2typezd2);
														}
														{	/* Tools/trace.sch 53 */
															obj_t BgL_itemzd2typezd2idz00_1358;

															BgL_itemzd2typezd2idz00_1358 =
																(((BgL_typez00_bglt)
																	COBJECT(BgL_itemzd2typezd2_1357))->BgL_idz00);
															{	/* Tools/trace.sch 53 */
																obj_t BgL_fitemzd2typezd2idz00_1359;

																BgL_fitemzd2typezd2idz00_1359 =
																	BGl_makezd2typedzd2formalz00zzast_identz00
																	(BgL_itemzd2typezd2idz00_1358);
																{	/* Tools/trace.sch 53 */
																	obj_t BgL_oitemzd2typezd2idz00_1360;

																	BgL_oitemzd2typezd2idz00_1360 =
																		BGl_makezd2typedzd2identz00zzast_identz00
																		(CNST_TABLE_REF(((long) 16)),
																		BgL_itemzd2typezd2idz00_1358);
																	{	/* Tools/trace.sch 53 */
																		obj_t BgL_makezd2idzd2_1361;

																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_arg1599z00_1362;

																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_arg1600z00_1363;
																				obj_t BgL_arg1610z00_1364;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_symbolz00_1365;

																					BgL_symbolz00_1365 =
																						CNST_TABLE_REF(((long) 17));
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1469z00_1366;

																						BgL_arg1469z00_1366 =
																							SYMBOL_TO_STRING
																							(BgL_symbolz00_1365);
																						BgL_arg1600z00_1363 =
																							BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																							(BgL_arg1469z00_1366);
																				}}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1469z00_1367;

																					BgL_arg1469z00_1367 =
																						SYMBOL_TO_STRING(BgL_idz00_1323);
																					BgL_arg1610z00_1364 =
																						BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																						(BgL_arg1469z00_1367);
																				}
																				BgL_arg1599z00_1362 =
																					string_append(BgL_arg1600z00_1363,
																					BgL_arg1610z00_1364);
																			}
																			BgL_makezd2idzd2_1361 =
																				bstring_to_symbol(BgL_arg1599z00_1362);
																		}
																		{	/* Tools/trace.sch 53 */
																			obj_t BgL_tmakezd2idzd2_1368;

																			BgL_tmakezd2idzd2_1368 =
																				BGl_makezd2typedzd2identz00zzast_identz00
																				(BgL_makezd2idzd2_1361, BgL_idz00_1323);
																			{	/* Tools/trace.sch 53 */
																				obj_t BgL_idzd2refzd2_1369;

																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_arg1588z00_1370;

																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_arg1590z00_1371;
																						obj_t BgL_arg1598z00_1372;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1469z00_1373;

																							BgL_arg1469z00_1373 =
																								SYMBOL_TO_STRING
																								(BgL_idz00_1323);
																							BgL_arg1590z00_1371 =
																								BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																								(BgL_arg1469z00_1373);
																						}
																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_symbolz00_1374;

																							BgL_symbolz00_1374 =
																								CNST_TABLE_REF(((long) 18));
																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1469z00_1375;

																								BgL_arg1469z00_1375 =
																									SYMBOL_TO_STRING
																									(BgL_symbolz00_1374);
																								BgL_arg1598z00_1372 =
																									BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																									(BgL_arg1469z00_1375);
																						}}
																						BgL_arg1588z00_1370 =
																							string_append(BgL_arg1590z00_1371,
																							BgL_arg1598z00_1372);
																					}
																					BgL_idzd2refzd2_1369 =
																						bstring_to_symbol
																						(BgL_arg1588z00_1370);
																				}
																				{	/* Tools/trace.sch 53 */
																					obj_t BgL_tidzd2refzd2_1376;

																					BgL_tidzd2refzd2_1376 =
																						BGl_makezd2typedzd2identz00zzast_identz00
																						(BgL_idzd2refzd2_1369,
																						BgL_itemzd2typezd2idz00_1358);
																					{	/* Tools/trace.sch 53 */
																						obj_t BgL_idzd2setz12zc0_1377;

																						{	/* Tools/trace.sch 53 */
																							obj_t BgL_arg1580z00_1378;

																							{	/* Tools/trace.sch 53 */
																								obj_t BgL_arg1581z00_1379;
																								obj_t BgL_arg1582z00_1380;

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1469z00_1381;

																									BgL_arg1469z00_1381 =
																										SYMBOL_TO_STRING
																										(BgL_idz00_1323);
																									BgL_arg1581z00_1379 =
																										BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																										(BgL_arg1469z00_1381);
																								}
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_symbolz00_1382;

																									BgL_symbolz00_1382 =
																										CNST_TABLE_REF(((long) 19));
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1469z00_1383;

																										BgL_arg1469z00_1383 =
																											SYMBOL_TO_STRING
																											(BgL_symbolz00_1382);
																										BgL_arg1582z00_1380 =
																											BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																											(BgL_arg1469z00_1383);
																								}}
																								BgL_arg1580z00_1378 =
																									string_append
																									(BgL_arg1581z00_1379,
																									BgL_arg1582z00_1380);
																							}
																							BgL_idzd2setz12zc0_1377 =
																								bstring_to_symbol
																								(BgL_arg1580z00_1378);
																						}
																						{	/* Tools/trace.sch 53 */

																							{

																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_list1247z00_1453;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1260z00_1454;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1261z00_1455;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1262z00_1456;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1263z00_1457;
																													BgL_arg1263z00_1457 =
																														MAKE_YOUNG_PAIR
																														(BgL_idzd2setz12zc0_1377,
																														BNIL);
																													BgL_arg1262z00_1456 =
																														MAKE_YOUNG_PAIR
																														(BgL_idzd2refzd2_1369,
																														BgL_arg1263z00_1457);
																												}
																												BgL_arg1261z00_1455 =
																													MAKE_YOUNG_PAIR
																													(BgL_makezd2idzd2_1361,
																													BgL_arg1262z00_1456);
																											}
																											BgL_arg1260z00_1454 =
																												MAKE_YOUNG_PAIR
																												(BgL_idzd2lengthzd2_1349,
																												BgL_arg1261z00_1455);
																										}
																										BgL_list1247z00_1453 =
																											MAKE_YOUNG_PAIR
																											(BgL_idzf3zf3_1341,
																											BgL_arg1260z00_1454);
																									}
																									BGl_registerzd2foreignzd2accesszd2identsz12zc0zzforeign_libraryz00
																										(BgL_list1247z00_1453);
																								}
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1264z00_1458;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1265z00_1459;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1266z00_1460;
																											obj_t BgL_arg1267z00_1461;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1268z00_1462;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1270z00_1463;
																													BgL_arg1270z00_1463 =
																														MAKE_YOUNG_PAIR
																														(BgL_tidz00_1325,
																														BNIL);
																													BgL_arg1268z00_1462 =
																														MAKE_YOUNG_PAIR
																														(BgL_idzd2ze3objz31_1326,
																														BgL_arg1270z00_1463);
																												}
																												BgL_arg1266z00_1460 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 33)),
																													BgL_arg1268z00_1462);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1271z00_1464;
																												obj_t
																													BgL_arg1273z00_1465;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1276z00_1466;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1278z00_1467;
																														BgL_arg1278z00_1467
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 34)),
																															BNIL);
																														BgL_arg1276z00_1466
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_tobjzd2ze3idz31_1340,
																															BgL_arg1278z00_1467);
																													}
																													BgL_arg1271z00_1464 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 33)),
																														BgL_arg1276z00_1466);
																												}
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1281z00_1468;
																													obj_t
																														BgL_arg1282z00_1469;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1283z00_1470;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1286z00_1471;
																															BgL_arg1286z00_1471
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 34)),
																																BNIL);
																															BgL_arg1283z00_1470
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_tidzf3zf3_1348,
																																BgL_arg1286z00_1471);
																														}
																														BgL_arg1281z00_1468
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 33)),
																															BgL_arg1283z00_1470);
																													}
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1287z00_1472;
																														obj_t
																															BgL_arg1292z00_1473;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1293z00_1474;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1294z00_1475;
																																BgL_arg1294z00_1475
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tidz00_1325,
																																	BNIL);
																																BgL_arg1293z00_1474
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_tidzd2lengthzd2_1356,
																																	BgL_arg1294z00_1475);
																															}
																															BgL_arg1287z00_1472
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 33)),
																																BgL_arg1293z00_1474);
																														}
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1295z00_1476;
																															obj_t
																																BgL_arg1296z00_1477;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1298z00_1478;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1299z00_1479;
																																	BgL_arg1299z00_1479
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				35)),
																																		BNIL);
																																	BgL_arg1298z00_1478
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_tmakezd2idzd2_1368,
																																		BgL_arg1299z00_1479);
																																}
																																BgL_arg1295z00_1476
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 33)),
																																	BgL_arg1298z00_1478);
																															}
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1302z00_1480;
																																obj_t
																																	BgL_arg1303z00_1481;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1304z00_1482;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1305z00_1483;
																																		{	/* Tools/trace.sch 53 */
																																			obj_t
																																				BgL_arg1306z00_1484;
																																			BgL_arg1306z00_1484
																																				=
																																				MAKE_YOUNG_PAIR
																																				(CNST_TABLE_REF
																																				(((long)
																																						35)),
																																				BNIL);
																																			BgL_arg1305z00_1483
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_tidz00_1325,
																																				BgL_arg1306z00_1484);
																																		}
																																		BgL_arg1304z00_1482
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BgL_tidzd2refzd2_1376,
																																			BgL_arg1305z00_1483);
																																	}
																																	BgL_arg1302z00_1480
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				33)),
																																		BgL_arg1304z00_1482);
																																}
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1307z00_1485;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1308z00_1486;
																																		{	/* Tools/trace.sch 53 */
																																			obj_t
																																				BgL_arg1309z00_1487;
																																			{	/* Tools/trace.sch 53 */
																																				obj_t
																																					BgL_arg1310z00_1488;
																																				{	/* Tools/trace.sch 53 */
																																					obj_t
																																						BgL_arg1311z00_1489;
																																					BgL_arg1311z00_1489
																																						=
																																						MAKE_YOUNG_PAIR
																																						(BgL_fitemzd2typezd2idz00_1359,
																																						BNIL);
																																					BgL_arg1310z00_1488
																																						=
																																						MAKE_YOUNG_PAIR
																																						(CNST_TABLE_REF
																																						(((long) 35)), BgL_arg1311z00_1489);
																																				}
																																				BgL_arg1309z00_1487
																																					=
																																					MAKE_YOUNG_PAIR
																																					(BgL_tidz00_1325,
																																					BgL_arg1310z00_1488);
																																			}
																																			BgL_arg1308z00_1486
																																				=
																																				MAKE_YOUNG_PAIR
																																				(BgL_idzd2setz12zc0_1377,
																																				BgL_arg1309z00_1487);
																																		}
																																		BgL_arg1307z00_1485
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					33)),
																																			BgL_arg1308z00_1486);
																																	}
																																	BgL_arg1303z00_1481
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BgL_arg1307z00_1485,
																																		BNIL);
																																}
																																BgL_arg1296z00_1477
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1302z00_1480,
																																	BgL_arg1303z00_1481);
																															}
																															BgL_arg1292z00_1473
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1295z00_1476,
																																BgL_arg1296z00_1477);
																														}
																														BgL_arg1282z00_1469
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1287z00_1472,
																															BgL_arg1292z00_1473);
																													}
																													BgL_arg1273z00_1465 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1281z00_1468,
																														BgL_arg1282z00_1469);
																												}
																												BgL_arg1267z00_1461 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1271z00_1464,
																													BgL_arg1273z00_1465);
																											}
																											BgL_arg1265z00_1459 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1266z00_1460,
																												BgL_arg1267z00_1461);
																										}
																										BgL_arg1264z00_1458 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													36)),
																											BgL_arg1265z00_1459);
																									}
																									BGl_producezd2modulezd2clausez12z12zzmodule_modulez00
																										(BgL_arg1264z00_1458);
																								}
																								{	/* Tools/trace.sch 53 */
																									obj_t BgL_arg1313z00_1490;
																									obj_t BgL_arg1314z00_1491;
																									obj_t BgL_arg1315z00_1492;
																									obj_t BgL_arg1316z00_1493;
																									obj_t BgL_arg1317z00_1494;
																									obj_t BgL_arg1318z00_1495;
																									obj_t BgL_arg1319z00_1496;

																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1341z00_1447;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1343z00_1448;
																											obj_t BgL_arg1344z00_1449;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1346z00_1450;
																												BgL_arg1346z00_1450 =
																													MAKE_YOUNG_PAIR
																													(BgL_oidz00_1324,
																													BNIL);
																												BgL_arg1343z00_1448 =
																													MAKE_YOUNG_PAIR
																													(BgL_idzd2ze3objz31_1326,
																													BgL_arg1346z00_1450);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1347z00_1451;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1348z00_1452;
																													BgL_list1348z00_1452 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 11)),
																														BNIL);
																													BgL_arg1347z00_1451 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 31)),
																														CNST_TABLE_REF((
																																(long) 32)),
																														BgL_list1348z00_1452);
																												}
																												BgL_arg1344z00_1449 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1347z00_1451,
																													BNIL);
																											}
																											BgL_arg1341z00_1447 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1343z00_1448,
																												BgL_arg1344z00_1449);
																										}
																										BgL_arg1313z00_1490 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1341z00_1447);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1352z00_1441;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1353z00_1442;
																											obj_t BgL_arg1356z00_1443;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1358z00_1444;
																												BgL_arg1358z00_1444 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 11)),
																													BNIL);
																												BgL_arg1353z00_1442 =
																													MAKE_YOUNG_PAIR
																													(BgL_tobjzd2ze3idz31_1340,
																													BgL_arg1358z00_1444);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1359z00_1445;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1360z00_1446;
																													BgL_list1360z00_1446 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 11)),
																														BNIL);
																													BgL_arg1359z00_1445 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 31)),
																														BgL_idz00_1323,
																														BgL_list1360z00_1446);
																												}
																												BgL_arg1356z00_1443 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1359z00_1445,
																													BNIL);
																											}
																											BgL_arg1352z00_1441 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1353z00_1442,
																												BgL_arg1356z00_1443);
																										}
																										BgL_arg1314z00_1491 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1352z00_1441);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1362z00_1435;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1364z00_1436;
																											obj_t BgL_arg1365z00_1437;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1366z00_1438;
																												BgL_arg1366z00_1438 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 29)),
																													BNIL);
																												BgL_arg1364z00_1436 =
																													MAKE_YOUNG_PAIR
																													(BgL_tidzf3zf3_1348,
																													BgL_arg1366z00_1438);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1372z00_1439;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1373z00_1440;
																													BgL_list1373z00_1440 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 11)),
																														BNIL);
																													BgL_arg1372z00_1439 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 30)),
																														BgL_idz00_1323,
																														BgL_list1373z00_1440);
																												}
																												BgL_arg1365z00_1437 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1372z00_1439,
																													BNIL);
																											}
																											BgL_arg1362z00_1435 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1364z00_1436,
																												BgL_arg1365z00_1437);
																										}
																										BgL_arg1315z00_1492 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1362z00_1435);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1375z00_1426;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1376z00_1427;
																											obj_t BgL_arg1378z00_1428;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1381z00_1429;
																												BgL_arg1381z00_1429 =
																													MAKE_YOUNG_PAIR
																													(BgL_oidz00_1324,
																													BNIL);
																												BgL_arg1376z00_1427 =
																													MAKE_YOUNG_PAIR
																													(BgL_tidzd2lengthzd2_1356,
																													BgL_arg1381z00_1429);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1384z00_1430;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1385z00_1431;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1387z00_1432;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1388z00_1433;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1389z00_1434;
																																BgL_arg1389z00_1434
																																	=
																																	MAKE_YOUNG_PAIR
																																	(CNST_TABLE_REF
																																	(((long) 11)),
																																	BNIL);
																																BgL_arg1388z00_1433
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1703z00zzforeign_jtypez00,
																																	BgL_arg1389z00_1434);
																															}
																															BgL_arg1387z00_1432
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1388z00_1433);
																														}
																														BgL_list1385z00_1431
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1358,
																															BgL_arg1387z00_1432);
																													}
																													BgL_arg1384z00_1430 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 28)),
																														BgL_idz00_1323,
																														BgL_list1385z00_1431);
																												}
																												BgL_arg1378z00_1428 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1384z00_1430,
																													BNIL);
																											}
																											BgL_arg1375z00_1426 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1376z00_1427,
																												BgL_arg1378z00_1428);
																										}
																										BgL_arg1316z00_1493 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1375z00_1426);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1391z00_1415;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1392z00_1416;
																											obj_t BgL_arg1393z00_1417;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1394z00_1418;
																												BgL_arg1394z00_1418 =
																													MAKE_YOUNG_PAIR
																													(CNST_TABLE_REF((
																															(long) 25)),
																													BNIL);
																												BgL_arg1392z00_1416 =
																													MAKE_YOUNG_PAIR
																													(BgL_tmakezd2idzd2_1368,
																													BgL_arg1394z00_1418);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1400z00_1419;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1401z00_1420;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1421z00_1421;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1422z00_1422;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1426z00_1423;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1429z00_1424;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1458z00_1425;
																																		BgL_arg1458z00_1425
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					26)),
																																			BNIL);
																																		BgL_arg1429z00_1424
																																			=
																																			MAKE_YOUNG_PAIR
																																			(BFALSE,
																																			BgL_arg1458z00_1425);
																																	}
																																	BgL_arg1426z00_1423
																																		=
																																		MAKE_YOUNG_PAIR
																																		(BGl_string1703z00zzforeign_jtypez00,
																																		BgL_arg1429z00_1424);
																																}
																																BgL_arg1422z00_1422
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1703z00zzforeign_jtypez00,
																																	BgL_arg1426z00_1423);
																															}
																															BgL_arg1421z00_1421
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1422z00_1422);
																														}
																														BgL_list1401z00_1420
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1358,
																															BgL_arg1421z00_1421);
																													}
																													BgL_arg1400z00_1419 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 27)),
																														BgL_idz00_1323,
																														BgL_list1401z00_1420);
																												}
																												BgL_arg1393z00_1417 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1400z00_1419,
																													BNIL);
																											}
																											BgL_arg1391z00_1415 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1392z00_1416,
																												BgL_arg1393z00_1417);
																										}
																										BgL_arg1317z00_1494 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1391z00_1415);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1467z00_1404;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1468z00_1405;
																											obj_t BgL_arg1482z00_1406;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1484z00_1407;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1496z00_1408;
																													BgL_arg1496z00_1408 =
																														MAKE_YOUNG_PAIR
																														(CNST_TABLE_REF((
																																(long) 20)),
																														BNIL);
																													BgL_arg1484z00_1407 =
																														MAKE_YOUNG_PAIR
																														(BgL_oidz00_1324,
																														BgL_arg1496z00_1408);
																												}
																												BgL_arg1468z00_1405 =
																													MAKE_YOUNG_PAIR
																													(BgL_tidzd2refzd2_1376,
																													BgL_arg1484z00_1407);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1506z00_1409;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1507z00_1410;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1510z00_1411;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1511z00_1412;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1521z00_1413;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1522z00_1414;
																																	BgL_arg1522z00_1414
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				21)),
																																		BNIL);
																																	BgL_arg1521z00_1413
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				11)),
																																		BgL_arg1522z00_1414);
																																}
																																BgL_arg1511z00_1412
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1703z00zzforeign_jtypez00,
																																	BgL_arg1521z00_1413);
																															}
																															BgL_arg1510z00_1411
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1511z00_1412);
																														}
																														BgL_list1507z00_1410
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1358,
																															BgL_arg1510z00_1411);
																													}
																													BgL_arg1506z00_1409 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 24)),
																														BgL_idz00_1323,
																														BgL_list1507z00_1410);
																												}
																												BgL_arg1482z00_1406 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1506z00_1409,
																													BNIL);
																											}
																											BgL_arg1467z00_1404 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1468z00_1405,
																												BgL_arg1482z00_1406);
																										}
																										BgL_arg1318z00_1495 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1467z00_1404);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_arg1524z00_1391;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1526z00_1392;
																											obj_t BgL_arg1529z00_1393;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1532z00_1394;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1533z00_1395;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1535z00_1396;
																														BgL_arg1535z00_1396
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_oitemzd2typezd2idz00_1360,
																															BNIL);
																														BgL_arg1533z00_1395
																															=
																															MAKE_YOUNG_PAIR
																															(CNST_TABLE_REF((
																																	(long) 20)),
																															BgL_arg1535z00_1396);
																													}
																													BgL_arg1532z00_1394 =
																														MAKE_YOUNG_PAIR
																														(BgL_oidz00_1324,
																														BgL_arg1533z00_1395);
																												}
																												BgL_arg1526z00_1392 =
																													MAKE_YOUNG_PAIR
																													(BgL_idzd2setz12zc0_1377,
																													BgL_arg1532z00_1394);
																											}
																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1558z00_1397;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_list1560z00_1398;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1561z00_1399;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1565z00_1400;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1567z00_1401;
																																{	/* Tools/trace.sch 53 */
																																	obj_t
																																		BgL_arg1570z00_1402;
																																	{	/* Tools/trace.sch 53 */
																																		obj_t
																																			BgL_arg1572z00_1403;
																																		BgL_arg1572z00_1403
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					16)),
																																			BNIL);
																																		BgL_arg1570z00_1402
																																			=
																																			MAKE_YOUNG_PAIR
																																			(CNST_TABLE_REF
																																			(((long)
																																					21)),
																																			BgL_arg1572z00_1403);
																																	}
																																	BgL_arg1567z00_1401
																																		=
																																		MAKE_YOUNG_PAIR
																																		(CNST_TABLE_REF
																																		(((long)
																																				11)),
																																		BgL_arg1570z00_1402);
																																}
																																BgL_arg1565z00_1400
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BGl_string1703z00zzforeign_jtypez00,
																																	BgL_arg1567z00_1401);
																															}
																															BgL_arg1561z00_1399
																																=
																																MAKE_YOUNG_PAIR
																																(CNST_TABLE_REF(
																																	((long) 15)),
																																BgL_arg1565z00_1400);
																														}
																														BgL_list1560z00_1398
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_itemzd2typezd2idz00_1358,
																															BgL_arg1561z00_1399);
																													}
																													BgL_arg1558z00_1397 =
																														BGl_makezd2privatezd2sexpz00zzast_privatez00
																														(CNST_TABLE_REF((
																																(long) 22)),
																														BgL_idz00_1323,
																														BgL_list1560z00_1398);
																												}
																												BgL_arg1529z00_1393 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1558z00_1397,
																													BNIL);
																											}
																											BgL_arg1524z00_1391 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1526z00_1392,
																												BgL_arg1529z00_1393);
																										}
																										BgL_arg1319z00_1496 =
																											MAKE_YOUNG_PAIR
																											(CNST_TABLE_REF(((long)
																													23)),
																											BgL_arg1524z00_1391);
																									}
																									{	/* Tools/trace.sch 53 */
																										obj_t BgL_list1320z00_1497;

																										{	/* Tools/trace.sch 53 */
																											obj_t BgL_arg1331z00_1498;

																											{	/* Tools/trace.sch 53 */
																												obj_t
																													BgL_arg1332z00_1499;
																												{	/* Tools/trace.sch 53 */
																													obj_t
																														BgL_arg1333z00_1500;
																													{	/* Tools/trace.sch 53 */
																														obj_t
																															BgL_arg1334z00_1501;
																														{	/* Tools/trace.sch 53 */
																															obj_t
																																BgL_arg1338z00_1502;
																															{	/* Tools/trace.sch 53 */
																																obj_t
																																	BgL_arg1339z00_1503;
																																BgL_arg1339z00_1503
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1319z00_1496,
																																	BNIL);
																																BgL_arg1338z00_1502
																																	=
																																	MAKE_YOUNG_PAIR
																																	(BgL_arg1318z00_1495,
																																	BgL_arg1339z00_1503);
																															}
																															BgL_arg1334z00_1501
																																=
																																MAKE_YOUNG_PAIR
																																(BgL_arg1317z00_1494,
																																BgL_arg1338z00_1502);
																														}
																														BgL_arg1333z00_1500
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1316z00_1493,
																															BgL_arg1334z00_1501);
																													}
																													BgL_arg1332z00_1499 =
																														MAKE_YOUNG_PAIR
																														(BgL_arg1315z00_1492,
																														BgL_arg1333z00_1500);
																												}
																												BgL_arg1331z00_1498 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1314z00_1491,
																													BgL_arg1332z00_1499);
																											}
																											BgL_list1320z00_1497 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1313z00_1490,
																												BgL_arg1331z00_1498);
																										}
																										return BgL_list1320z00_1497;
																									}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzforeign_jtypez00(void)
	{
		{	/* Foreign/jtype.scm 17 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztype_toolsz00(((long) 453414928),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_argsz00(((long) 47102372),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_miscz00(((long) 9470071),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzforeign_ctypez00(((long) 396356879),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			BGl_modulezd2initializa7ationz75zzforeign_accessz00(((long) 471073666),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
			return
				BGl_modulezd2initializa7ationz75zzforeign_libraryz00(((long) 419430976),
				BSTRING_TO_STRING(BGl_string1704z00zzforeign_jtypez00));
		}

	}

#ifdef __cplusplus
}
#endif
