/*===========================================================================*/
/*   (Eval/macro.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/macro.scm -o objs/obj_p/Eval/macro.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_requirezd2initializa7ationz75zz__macroz00 = BUNSPEC;
static obj_t BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00 = BUNSPEC;
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_evalzd2modulezd2zz__evmodulez00(void);
BGL_EXPORTED_DECL obj_t BGl_installzd2expanderzd2zz__macroz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_installzd2compilerzd2expanderz00zz__macroz00(obj_t, obj_t);
static obj_t BGl_z62getzd2evalzd2expanderz62zz__macroz00(obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__macroz00(void);
BGL_EXPORTED_DECL obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t);
static obj_t BGl_za2evalzd2macrozd2tableza2z00zz__macroz00 = BUNSPEC;
static obj_t BGl_genericzd2initzd2zz__macroz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__macroz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__macroz00(void);
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__macroz00(void);
BGL_EXPORTED_DECL obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62getzd2compilerzd2expanderz62zz__macroz00(obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_z62installzd2expanderzb0zz__macroz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_installzd2evalzd2expanderz00zz__macroz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2macrozd2tablez00zz__evmodulez00(obj_t);
static obj_t BGl_putzd2macroz12zc0zz__macroz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__macroz00(void);
static obj_t BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00 = BUNSPEC;
static obj_t BGl_profzd2initzd2zz__macroz00(void);
static obj_t BGl_z62zc3z04anonymousza31180ze3ze5zz__macroz00(obj_t, obj_t);
extern obj_t BGl_hashtablezd2updatez12zc0zz__hashz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62installzd2evalzd2expanderz62zz__macroz00(obj_t, obj_t, obj_t);
static obj_t BGl_modulezd2macrozd2tablez00zz__macroz00(void);
static obj_t BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00 = BUNSPEC;
static obj_t BGl_z62installzd2compilerzd2expanderz62zz__macroz00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2compilerzd2expanderzd2envzd2zz__macroz00, BgL_bgl_za762getza7d2compile1582z00, BGl_z62getzd2compilerzd2expanderz62zz__macroz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_installzd2evalzd2expanderzd2envzd2zz__macroz00, BgL_bgl_za762installza7d2eva1583z00, BGl_z62installzd2evalzd2expanderz62zz__macroz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string1571z00zz__macroz00, BgL_bgl_string1571za700za7za7_1584za7, "eval-macros", 11 );
DEFINE_STRING( BGl_string1572z00zz__macroz00, BgL_bgl_string1572za700za7za7_1585za7, "compiler-macros", 15 );
DEFINE_STRING( BGl_string1573z00zz__macroz00, BgL_bgl_string1573za700za7za7_1586za7, "Redefinition of ", 16 );
DEFINE_STRING( BGl_string1574z00zz__macroz00, BgL_bgl_string1574za700za7za7_1587za7, " expander -- ", 13 );
DEFINE_STRING( BGl_string1575z00zz__macroz00, BgL_bgl_string1575za700za7za7_1588za7, "install-expander", 16 );
DEFINE_STRING( BGl_string1576z00zz__macroz00, BgL_bgl_string1576za700za7za7_1589za7, "eval", 4 );
DEFINE_STRING( BGl_string1577z00zz__macroz00, BgL_bgl_string1577za700za7za7_1590za7, "install-eval-expander", 21 );
DEFINE_STRING( BGl_string1578z00zz__macroz00, BgL_bgl_string1578za700za7za7_1591za7, "Illegal expander expander", 25 );
DEFINE_STRING( BGl_string1579z00zz__macroz00, BgL_bgl_string1579za700za7za7_1592za7, "Illegal expander keyword", 24 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2evalzd2expanderzd2envzd2zz__macroz00, BgL_bgl_za762getza7d2evalza7d21593za7, BGl_z62getzd2evalzd2expanderz62zz__macroz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1580z00zz__macroz00, BgL_bgl_string1580za700za7za7_1594za7, "compiler", 8 );
DEFINE_STRING( BGl_string1581z00zz__macroz00, BgL_bgl_string1581za700za7za7_1595za7, "__macro", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_installzd2expanderzd2envz00zz__macroz00, BgL_bgl_za762installza7d2exp1596z00, BGl_z62installzd2expanderzb0zz__macroz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_installzd2compilerzd2expanderzd2envzd2zz__macroz00, BgL_bgl_za762installza7d2com1597z00, BGl_z62installzd2compilerzd2expanderz62zz__macroz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__macroz00) );
ADD_ROOT( (void *)(&BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00) );
ADD_ROOT( (void *)(&BGl_za2evalzd2macrozd2tableza2z00zz__macroz00) );
ADD_ROOT( (void *)(&BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00) );
ADD_ROOT( (void *)(&BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/macro.scm\" 889) \"BGl_toplevelzd2initzd2zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-macro-table\" \"Eval/macro.scm\" 2915) \"BGl_modulezd2macrozd2tablez00zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"put-macro!\" \"Eval/macro.scm\" 3251) \"BGl_putzd2macroz12zc0zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1180>\" \"Eval/macro.scm\" 3345) \"BGl_z62zc3z04anonymousza31180ze3ze5zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"install-eval-expander\" \"Eval/macro.scm\" 3905) \"BGl_installzd2evalzd2expanderz00zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&install-eval-expander\" \"Eval/macro.scm\" 3905) \"BGl_z62installzd2evalzd2expanderz62zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"install-compiler-expander\" \"Eval/macro.scm\" 4698) \"BGl_installzd2compilerzd2expanderz00zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&install-compiler-expander\" \"Eval/macro.scm\" 4698) \"BGl_z62installzd2compilerzd2expanderz62zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"install-expander\" \"Eval/macro.scm\" 5475) \"BGl_installzd2expanderzd2zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&install-expander\" \"Eval/macro.scm\" 5475) \"BGl_z62installzd2expanderzb0zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-eval-expander\" \"Eval/macro.scm\" 5983) \"BGl_getzd2evalzd2expanderz00zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-eval-expander\" \"Eval/macro.scm\" 5983) \"BGl_z62getzd2evalzd2expanderz62zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-compiler-expander\" \"Eval/macro.scm\" 6793) \"BGl_getzd2compilerzd2expanderz00zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-compiler-expander\" \"Eval/macro.scm\" 6793) \"BGl_z62getzd2compilerzd2expanderz62zz__macroz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__macroz00(long BgL_checksumz00_1786, char * BgL_fromz00_1787)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__macroz00))
{ 
BGl_requirezd2initializa7ationz75zz__macroz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__macroz00(); 
BGl_importedzd2moduleszd2initz00zz__macroz00(); 
BGl_toplevelzd2initzd2zz__macroz00(); 
return 
BGl_profzd2initzd2zz__macroz00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00 = 
bgl_make_mutex(BGl_string1571z00zz__macroz00); 
BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00 = 
bgl_make_mutex(BGl_string1572z00zz__macroz00); 
BGl_za2evalzd2macrozd2tableza2z00zz__macroz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL); 
return ( 
BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BNIL), BUNSPEC) ;} 

}



/* module-macro-table */
obj_t BGl_modulezd2macrozd2tablez00zz__macroz00(void)
{
{ /* Eval/macro.scm 76 */
{ /* Eval/macro.scm 77 */
 obj_t BgL_mz00_1154;
BgL_mz00_1154 = 
BGl_evalzd2modulezd2zz__evmodulez00(); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(BgL_mz00_1154))
{ /* Eval/macro.scm 78 */
return 
BGl_evmodulezd2macrozd2tablez00zz__evmodulez00(BgL_mz00_1154);}  else 
{ /* Eval/macro.scm 78 */
return BFALSE;} } } 

}



/* put-macro! */
obj_t BGl_putzd2macroz12zc0zz__macroz00(obj_t BgL_tablez00_17, obj_t BgL_keyz00_18, obj_t BgL_expanderz00_19, obj_t BgL_wherez00_20)
{
{ /* Eval/macro.scm 84 */
{ /* Eval/macro.scm 88 */
 obj_t BgL_zc3z04anonymousza31180ze3z87_1762;
BgL_zc3z04anonymousza31180ze3z87_1762 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31180ze3ze5zz__macroz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1762, 
(int)(((long)0)), BgL_wherez00_20); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1762, 
(int)(((long)1)), BgL_keyz00_18); 
PROCEDURE_SET(BgL_zc3z04anonymousza31180ze3z87_1762, 
(int)(((long)2)), BgL_expanderz00_19); 
return 
BGl_hashtablezd2updatez12zc0zz__hashz00(BgL_tablez00_17, BgL_keyz00_18, BgL_zc3z04anonymousza31180ze3z87_1762, BgL_expanderz00_19);} } 

}



/* &<@anonymous:1180> */
obj_t BGl_z62zc3z04anonymousza31180ze3ze5zz__macroz00(obj_t BgL_envz00_1763, obj_t BgL_xz00_1767)
{
{ /* Eval/macro.scm 87 */
{ /* Eval/macro.scm 88 */
 obj_t BgL_wherez00_1764; obj_t BgL_keyz00_1765; obj_t BgL_expanderz00_1766;
BgL_wherez00_1764 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1763, 
(int)(((long)0)))); 
BgL_keyz00_1765 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1763, 
(int)(((long)1)))); 
BgL_expanderz00_1766 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1763, 
(int)(((long)2)))); 
{ /* Eval/macro.scm 90 */
 obj_t BgL_arg1181z00_1782;
BgL_arg1181z00_1782 = 
string_append_3(BGl_string1573z00zz__macroz00, BgL_wherez00_1764, BGl_string1574z00zz__macroz00); 
{ /* Eval/macro.scm 88 */
 obj_t BgL_list1182z00_1783;
{ /* Eval/macro.scm 88 */
 obj_t BgL_arg1183z00_1784;
{ /* Eval/macro.scm 88 */
 obj_t BgL_arg1185z00_1785;
BgL_arg1185z00_1785 = 
MAKE_YOUNG_PAIR(BgL_keyz00_1765, BNIL); 
BgL_arg1183z00_1784 = 
MAKE_YOUNG_PAIR(BgL_arg1181z00_1782, BgL_arg1185z00_1785); } 
BgL_list1182z00_1783 = 
MAKE_YOUNG_PAIR(BGl_string1575z00zz__macroz00, BgL_arg1183z00_1784); } 
BGl_evwarningz00zz__everrorz00(BFALSE, BgL_list1182z00_1783); } } 
return BgL_expanderz00_1766;} } 

}



/* install-eval-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2evalzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_21, obj_t BgL_expanderz00_22)
{
{ /* Eval/macro.scm 102 */
if(
SYMBOLP(BgL_keywordz00_21))
{ /* Eval/macro.scm 104 */
if(
PROCEDUREP(BgL_expanderz00_22))
{ /* Eval/macro.scm 109 */
 obj_t BgL_top1604z00_1834;
BgL_top1604z00_1834 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1604z00_1834, BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00); BUNSPEC; 
{ /* Eval/macro.scm 109 */
 obj_t BgL_tmp1603z00_1833;
{ /* Eval/macro.scm 110 */
 obj_t BgL_arg1189z00_1166;
{ /* Eval/macro.scm 110 */
 obj_t BgL__ortest_1037z00_1167;
BgL__ortest_1037z00_1167 = 
BGl_modulezd2macrozd2tablez00zz__macroz00(); 
if(
CBOOL(BgL__ortest_1037z00_1167))
{ /* Eval/macro.scm 110 */
BgL_arg1189z00_1166 = BgL__ortest_1037z00_1167; }  else 
{ /* Eval/macro.scm 110 */
BgL_arg1189z00_1166 = BGl_za2evalzd2macrozd2tableza2z00zz__macroz00; } } 
BgL_tmp1603z00_1833 = 
BGl_putzd2macroz12zc0zz__macroz00(BgL_arg1189z00_1166, BgL_keywordz00_21, BgL_expanderz00_22, BGl_string1576z00zz__macroz00); } 
BGL_EXITD_POP_PROTECT(BgL_top1604z00_1834); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00); 
return BgL_tmp1603z00_1833;} }  else 
{ /* Eval/macro.scm 106 */
return 
BGl_errorz00zz__errorz00(BGl_string1577z00zz__macroz00, BGl_string1578z00zz__macroz00, BgL_expanderz00_22);} }  else 
{ /* Eval/macro.scm 104 */
return 
BGl_errorz00zz__errorz00(BGl_string1577z00zz__macroz00, BGl_string1579z00zz__macroz00, BgL_keywordz00_21);} } 

}



/* &install-eval-expander */
obj_t BGl_z62installzd2evalzd2expanderz62zz__macroz00(obj_t BgL_envz00_1768, obj_t BgL_keywordz00_1769, obj_t BgL_expanderz00_1770)
{
{ /* Eval/macro.scm 102 */
return 
BGl_installzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_1769, BgL_expanderz00_1770);} 

}



/* install-compiler-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2compilerzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_23, obj_t BgL_expanderz00_24)
{
{ /* Eval/macro.scm 118 */
if(
SYMBOLP(BgL_keywordz00_23))
{ /* Eval/macro.scm 120 */
if(
PROCEDUREP(BgL_expanderz00_24))
{ /* Eval/macro.scm 125 */
 obj_t BgL_top1609z00_1852;
BgL_top1609z00_1852 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1609z00_1852, BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00); BUNSPEC; 
{ /* Eval/macro.scm 125 */
 obj_t BgL_tmp1608z00_1851;
BgL_tmp1608z00_1851 = 
BGl_putzd2macroz12zc0zz__macroz00(BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00, BgL_keywordz00_23, BgL_expanderz00_24, BGl_string1580z00zz__macroz00); 
BGL_EXITD_POP_PROTECT(BgL_top1609z00_1852); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00); 
return BgL_tmp1608z00_1851;} }  else 
{ /* Eval/macro.scm 122 */
return 
BGl_errorz00zz__errorz00(BGl_string1577z00zz__macroz00, BGl_string1578z00zz__macroz00, BgL_expanderz00_24);} }  else 
{ /* Eval/macro.scm 120 */
return 
BGl_errorz00zz__errorz00(BGl_string1577z00zz__macroz00, BGl_string1579z00zz__macroz00, BgL_keywordz00_23);} } 

}



/* &install-compiler-expander */
obj_t BGl_z62installzd2compilerzd2expanderz62zz__macroz00(obj_t BgL_envz00_1771, obj_t BgL_keywordz00_1772, obj_t BgL_expanderz00_1773)
{
{ /* Eval/macro.scm 118 */
return 
BGl_installzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_1772, BgL_expanderz00_1773);} 

}



/* install-expander */
BGL_EXPORTED_DEF obj_t BGl_installzd2expanderzd2zz__macroz00(obj_t BgL_keywordz00_25, obj_t BgL_expanderz00_26)
{
{ /* Eval/macro.scm 133 */
BGl_installzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_25, BgL_expanderz00_26); 
BGL_TAIL return 
BGl_installzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_25, BgL_expanderz00_26);} 

}



/* &install-expander */
obj_t BGl_z62installzd2expanderzb0zz__macroz00(obj_t BgL_envz00_1774, obj_t BgL_keywordz00_1775, obj_t BgL_expanderz00_1776)
{
{ /* Eval/macro.scm 133 */
return 
BGl_installzd2expanderzd2zz__macroz00(BgL_keywordz00_1775, BgL_expanderz00_1776);} 

}



/* get-eval-expander */
BGL_EXPORTED_DEF obj_t BGl_getzd2evalzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_27)
{
{ /* Eval/macro.scm 142 */
{ /* Eval/macro.scm 143 */
 obj_t BgL_top1611z00_1866;
BgL_top1611z00_1866 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1611z00_1866, BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00); BUNSPEC; 
{ /* Eval/macro.scm 143 */
 obj_t BgL_tmp1610z00_1865;
{ /* Eval/macro.scm 144 */
 obj_t BgL_mtablez00_1170;
BgL_mtablez00_1170 = 
BGl_modulezd2macrozd2tablez00zz__macroz00(); 
{ /* Eval/macro.scm 145 */
 obj_t BgL__ortest_1038z00_1171;
if(
CBOOL(BgL_mtablez00_1170))
{ /* Eval/macro.scm 145 */
BgL__ortest_1038z00_1171 = 
BGl_hashtablezd2getzd2zz__hashz00(BgL_mtablez00_1170, BgL_keywordz00_27); }  else 
{ /* Eval/macro.scm 145 */
BgL__ortest_1038z00_1171 = BFALSE; } 
if(
CBOOL(BgL__ortest_1038z00_1171))
{ /* Eval/macro.scm 145 */
BgL_tmp1610z00_1865 = BgL__ortest_1038z00_1171; }  else 
{ /* Eval/macro.scm 145 */
BgL_tmp1610z00_1865 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2evalzd2macrozd2tableza2z00zz__macroz00, BgL_keywordz00_27); } } } 
BGL_EXITD_POP_PROTECT(BgL_top1611z00_1866); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2evalzd2macrozd2mutexza2z00zz__macroz00); 
return BgL_tmp1610z00_1865;} } } 

}



/* &get-eval-expander */
obj_t BGl_z62getzd2evalzd2expanderz62zz__macroz00(obj_t BgL_envz00_1777, obj_t BgL_keywordz00_1778)
{
{ /* Eval/macro.scm 142 */
return 
BGl_getzd2evalzd2expanderz00zz__macroz00(BgL_keywordz00_1778);} 

}



/* get-compiler-expander */
BGL_EXPORTED_DEF obj_t BGl_getzd2compilerzd2expanderz00zz__macroz00(obj_t BgL_keywordz00_28)
{
{ /* Eval/macro.scm 156 */
{ /* Eval/macro.scm 157 */
 obj_t BgL_top1615z00_1881;
BgL_top1615z00_1881 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1615z00_1881, BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00); BUNSPEC; 
{ /* Eval/macro.scm 157 */
 obj_t BgL_tmp1614z00_1880;
BgL_tmp1614z00_1880 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2compilerzd2macrozd2tableza2z00zz__macroz00, BgL_keywordz00_28); 
BGL_EXITD_POP_PROTECT(BgL_top1615z00_1881); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_za2compilerzd2macrozd2mutexza2z00zz__macroz00); 
return BgL_tmp1614z00_1880;} } } 

}



/* &get-compiler-expander */
obj_t BGl_z62getzd2compilerzd2expanderz62zz__macroz00(obj_t BgL_envz00_1779, obj_t BgL_keywordz00_1780)
{
{ /* Eval/macro.scm 156 */
return 
BGl_getzd2compilerzd2expanderz00zz__macroz00(BgL_keywordz00_1780);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__macroz00(void)
{
{ /* Eval/macro.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1581z00zz__macroz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)70782020), 
BSTRING_TO_STRING(BGl_string1581z00zz__macroz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string1581z00zz__macroz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1581z00zz__macroz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1581z00zz__macroz00));} 

}

#ifdef __cplusplus
}
#endif
