/*===========================================================================*/
/*   (Llib/module.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/module.scm -o objs/obj_p/Llib/module.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_list1728z00zz__modulez00 = BUNSPEC;
static obj_t BGl_z62modulezd2addzd2accessz12z70zz__modulez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__modulez00 = BUNSPEC;
static obj_t BGl_resolvezd2abasezf2bucketz20zz__modulez00(obj_t, obj_t);
static obj_t BGl_za2afileszd2tableza2zd2zz__modulez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00(void);
static obj_t BGl_z62zc3z04anonymousza31339ze3ze5zz__modulez00(obj_t, obj_t);
extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern bool_t fexists(char *);
extern obj_t BGl_warningz00zz__errorz00(obj_t);
extern obj_t BGl_assocz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04z52bigloozd2modulezd2res1178ze3z14zz__modulez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__modulez00(void);
static obj_t BGl_z62modulezd2abasezd2setz12z70zz__modulez00(obj_t, obj_t);
extern obj_t BGl_filezd2namezd2canonicaliza7eza7zz__osz00(obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__modulez00(void);
extern bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_genericzd2initzd2zz__modulez00(void);
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__modulez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__modulez00(void);
static obj_t BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 = BUNSPEC;
static obj_t BGl_objectzd2initzd2zz__modulez00(void);
extern obj_t BGl_dirnamez00zz__osz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2abasezd2setz12z12zz__modulez00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00(obj_t);
extern obj_t bstring_to_symbol(obj_t);
extern bool_t bgl_directoryp(char *);
extern obj_t BGl_makezd2filezd2namez00zz__osz00(obj_t, obj_t);
extern obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
static obj_t BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00(obj_t, obj_t, obj_t);
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62modulezd2abasezb0zz__modulez00(obj_t);
static obj_t BGl_modulezd2readzd2accesszd2filezd2zz__modulez00(obj_t);
static obj_t BGl_methodzd2initzd2zz__modulez00(void);
extern obj_t BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__modulez00(void);
static obj_t BGl_symbol1711z00zz__modulez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2abasezd2zz__modulez00(void);
static obj_t BGl_z62bigloozd2modulezd2resolverz62zz__modulez00(obj_t);
static obj_t BGl_z62modulezd2defaultzd2resolverz62zz__modulez00(obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(obj_t);
static obj_t BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00(obj_t, obj_t);
static obj_t BGl_symbol1729z00zz__modulez00 = BUNSPEC;
static obj_t BGl_resolvezd2abaseza2z70zz__modulez00(obj_t);
extern obj_t string_append(obj_t, obj_t);
static obj_t BGl_symbol1731z00zz__modulez00 = BUNSPEC;
static obj_t BGl_symbol1733z00zz__modulez00 = BUNSPEC;
static obj_t BGl_resolvezd2abasezd2zz__modulez00(obj_t, obj_t);
static obj_t BGl_afilezd2tablezd2zz__modulez00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_modulezd2addzd2accessz12z12zz__modulez00(obj_t, obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_moduleszd2mutexzd2zz__modulez00 = BUNSPEC;
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_modulezd2abasezd2envz00zz__modulez00, BgL_bgl_za762moduleza7d2abas1744z00, BGl_z62modulezd2abasezb0zz__modulez00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_modulezd2defaultzd2resolverzd2envzd2zz__modulez00, BgL_bgl_za762moduleza7d2defa1745z00, BGl_z62modulezd2defaultzd2resolverz62zz__modulez00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_modulezd2loadzd2accesszd2filezd2envz00zz__modulez00, BgL_bgl_za762moduleza7d2load1746z00, BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2resolverzd2setz12zd2envz12zz__modulez00, BgL_bgl_za762biglooza7d2modu1747z00, BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1710z00zz__modulez00, BgL_bgl_string1710za700za7za7_1748za7, "modules", 7 );
DEFINE_STRING( BGl_string1712z00zz__modulez00, BgL_bgl_string1712za700za7za7_1749za7, "bigloo-module-resolver-set!", 27 );
DEFINE_STRING( BGl_string1713z00zz__modulez00, BgL_bgl_string1713za700za7za7_1750za7, "Illegal resolver", 16 );
DEFINE_STRING( BGl_string1714z00zz__modulez00, BgL_bgl_string1714za700za7za7_1751za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Llib/module.scm", 59 );
DEFINE_STRING( BGl_string1715z00zz__modulez00, BgL_bgl_string1715za700za7za7_1752za7, "&bigloo-module-resolver-set!", 28 );
DEFINE_STRING( BGl_string1716z00zz__modulez00, BgL_bgl_string1716za700za7za7_1753za7, "procedure", 9 );
DEFINE_STRING( BGl_string1717z00zz__modulez00, BgL_bgl_string1717za700za7za7_1754za7, ".", 1 );
DEFINE_STRING( BGl_string1718z00zz__modulez00, BgL_bgl_string1718za700za7za7_1755za7, "&module-default-resolver", 24 );
DEFINE_STRING( BGl_string1719z00zz__modulez00, BgL_bgl_string1719za700za7za7_1756za7, "symbol", 6 );
DEFINE_STRING( BGl_string1720z00zz__modulez00, BgL_bgl_string1720za700za7za7_1757za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string1721z00zz__modulez00, BgL_bgl_string1721za700za7za7_1758za7, ".scm", 4 );
DEFINE_STRING( BGl_string1722z00zz__modulez00, BgL_bgl_string1722za700za7za7_1759za7, "\"", 1 );
DEFINE_STRING( BGl_string1723z00zz__modulez00, BgL_bgl_string1723za700za7za7_1760za7, "] in directory \"", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_bigloozd2modulezd2resolverzd2envzd2zz__modulez00, BgL_bgl_za762biglooza7d2modu1761z00, BGl_z62bigloozd2modulezd2resolverz62zz__modulez00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1724z00zz__modulez00, BgL_bgl_string1724za700za7za7_1762za7, " ", 1 );
DEFINE_STRING( BGl_string1725z00zz__modulez00, BgL_bgl_string1725za700za7za7_1763za7, " [", 2 );
DEFINE_STRING( BGl_string1726z00zz__modulez00, BgL_bgl_string1726za700za7za7_1764za7, "access redefinition -- ", 23 );
DEFINE_STRING( BGl_string1727z00zz__modulez00, BgL_bgl_string1727za700za7za7_1765za7, "add-access!", 11 );
DEFINE_STRING( BGl_string1730z00zz__modulez00, BgL_bgl_string1730za700za7za7_1766za7, "set-cdr!", 8 );
DEFINE_STRING( BGl_string1732z00zz__modulez00, BgL_bgl_string1732za700za7za7_1767za7, "cell", 4 );
DEFINE_STRING( BGl_string1734z00zz__modulez00, BgL_bgl_string1734za700za7za7_1768za7, "files", 5 );
DEFINE_STRING( BGl_string1735z00zz__modulez00, BgL_bgl_string1735za700za7za7_1769za7, "&module-add-access!", 19 );
DEFINE_STRING( BGl_string1736z00zz__modulez00, BgL_bgl_string1736za700za7za7_1770za7, "pair", 4 );
DEFINE_STRING( BGl_string1737z00zz__modulez00, BgL_bgl_string1737za700za7za7_1771za7, "bstring", 7 );
DEFINE_STRING( BGl_string1738z00zz__modulez00, BgL_bgl_string1738za700za7za7_1772za7, "Illegal entry -- ", 17 );
DEFINE_STRING( BGl_string1739z00zz__modulez00, BgL_bgl_string1739za700za7za7_1773za7, "module-read-access-file", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_modulezd2abasezd2setz12zd2envzc0zz__modulez00, BgL_bgl_za762moduleza7d2abas1774z00, BGl_z62modulezd2abasezd2setz12z70zz__modulez00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1740z00zz__modulez00, BgL_bgl_string1740za700za7za7_1775za7, ".afile", 6 );
DEFINE_STRING( BGl_string1741z00zz__modulez00, BgL_bgl_string1741za700za7za7_1776za7, "&module-load-access-file", 24 );
DEFINE_STRING( BGl_string1742z00zz__modulez00, BgL_bgl_string1742za700za7za7_1777za7, "", 0 );
DEFINE_STRING( BGl_string1743z00zz__modulez00, BgL_bgl_string1743za700za7za7_1778za7, "__module", 8 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_modulezd2addzd2accessz12zd2envzc0zz__modulez00, BgL_bgl_za762moduleza7d2addza71779za7, BGl_z62modulezd2addzd2accessz12z70zz__modulez00, 0L, BUNSPEC, 3 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_list1728z00zz__modulez00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__modulez00) );
ADD_ROOT( (void *)(&BGl_za2afileszd2tableza2zd2zz__modulez00) );
ADD_ROOT( (void *)(&BGl_z52bigloozd2modulezd2resolverz52zz__modulez00) );
ADD_ROOT( (void *)(&BGl_symbol1711z00zz__modulez00) );
ADD_ROOT( (void *)(&BGl_symbol1729z00zz__modulez00) );
ADD_ROOT( (void *)(&BGl_symbol1731z00zz__modulez00) );
ADD_ROOT( (void *)(&BGl_symbol1733z00zz__modulez00) );
ADD_ROOT( (void *)(&BGl_afilezd2tablezd2zz__modulez00) );
ADD_ROOT( (void *)(&BGl_moduleszd2mutexzd2zz__modulez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Llib/module.scm\" 1111) \"BGl_toplevelzd2initzd2zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-abase\" \"Llib/module.scm\" 2768) \"BGl_modulezd2abasezd2zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&module-abase\" \"Llib/module.scm\" 2768) \"BGl_z62modulezd2abasezb0zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-abase-set!\" \"Llib/module.scm\" 2819) \"BGl_modulezd2abasezd2setz12z12zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&module-abase-set!\" \"Llib/module.scm\" 2819) \"BGl_z62modulezd2abasezd2setz12z70zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-module-resolver\" \"Llib/module.scm\" 3416) \"BGl_bigloozd2modulezd2resolverz00zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-module-resolver\" \"Llib/module.scm\" 3416) \"BGl_z62bigloozd2modulezd2resolverz62zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"bigloo-module-resolver-set!\" \"Llib/module.scm\" 3478) \"BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&bigloo-module-resolver-set!\" \"Llib/module.scm\" 3478) \"BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@%bigloo-module-res1178>\" \"Llib/module.scm\" 3691) \"BGl_z62zc3z04z52bigloozd2modulezd2res1178ze3z14zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&module-default-resolver\" \"Llib/module.scm\" 4444) \"BGl_z62modulezd2defaultzd2resolverz62zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"resolve-abase*\" \"Llib/module.scm\" 5167) \"BGl_resolvezd2abaseza2z70zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"resolve-abase\" \"Llib/module.scm\" 5590) \"BGl_resolvezd2abasezd2zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"resolve-abase/bucket\" \"Llib/module.scm\" 5958) \"BGl_resolvezd2abasezf2bucketz20zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-add-access-inner!\" \"Llib/module.scm\" 6423) \"BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-add-access!\" \"Llib/module.scm\" 7233) \"BGl_modulezd2addzd2accessz12z12zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&module-add-access!\" \"Llib/module.scm\" 7233) \"BGl_z62modulezd2addzd2accessz12z70zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-read-access-file\" \"Llib/module.scm\" 7825) \"BGl_modulezd2readzd2accesszd2filezd2zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"module-load-access-file\" \"Llib/module.scm\" 8556) \"BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&module-load-access-file\" \"Llib/module.scm\" 8556) \"BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1339>\" \"Llib/module.scm\" 8879) \"BGl_z62zc3z04anonymousza31339ze3ze5zz__modulez00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__modulez00(long BgL_checksumz00_2070, char * BgL_fromz00_2071)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__modulez00))
{ 
BGl_requirezd2initializa7ationz75zz__modulez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__modulez00(); 
BGl_cnstzd2initzd2zz__modulez00(); 
BGl_importedzd2moduleszd2initz00zz__modulez00(); 
BGl_toplevelzd2initzd2zz__modulez00(); 
return 
BGl_profzd2initzd2zz__modulez00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
BGl_symbol1711z00zz__modulez00 = 
bstring_to_symbol(BGl_string1712z00zz__modulez00); 
BGl_symbol1729z00zz__modulez00 = 
bstring_to_symbol(BGl_string1730z00zz__modulez00); 
BGl_symbol1731z00zz__modulez00 = 
bstring_to_symbol(BGl_string1732z00zz__modulez00); 
BGl_symbol1733z00zz__modulez00 = 
bstring_to_symbol(BGl_string1734z00zz__modulez00); 
return ( 
BGl_list1728z00zz__modulez00 = 
MAKE_YOUNG_PAIR(BGl_symbol1729z00zz__modulez00, 
MAKE_YOUNG_PAIR(BGl_symbol1731z00zz__modulez00, 
MAKE_YOUNG_PAIR(BGl_symbol1733z00zz__modulez00, BNIL))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
BGl_moduleszd2mutexzd2zz__modulez00 = 
bgl_make_mutex(BGl_string1710z00zz__modulez00); 
BGl_afilezd2tablezd2zz__modulez00 = BNIL; 
BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 = BGl_modulezd2defaultzd2resolverzd2envzd2zz__modulez00; 
{ /* Llib/module.scm 218 */
 obj_t BgL_list1170z00_1115;
BgL_list1170z00_1115 = 
MAKE_YOUNG_PAIR(
BINT(((long)256)), BNIL); 
return ( 
BGl_za2afileszd2tableza2zd2zz__modulez00 = 
BGl_makezd2hashtablezd2zz__hashz00(BgL_list1170z00_1115), BUNSPEC) ;} } 

}



/* module-abase */
BGL_EXPORTED_DEF obj_t BGl_modulezd2abasezd2zz__modulez00(void)
{
{ /* Llib/module.scm 75 */
return 
BGL_ABASE();} 

}



/* &module-abase */
obj_t BGl_z62modulezd2abasezb0zz__modulez00(obj_t BgL_envz00_2006)
{
{ /* Llib/module.scm 75 */
return 
BGl_modulezd2abasezd2zz__modulez00();} 

}



/* module-abase-set! */
BGL_EXPORTED_DEF obj_t BGl_modulezd2abasezd2setz12z12zz__modulez00(obj_t BgL_valz00_3)
{
{ /* Llib/module.scm 78 */
return 
BGL_ABASE_SET(BgL_valz00_3);} 

}



/* &module-abase-set! */
obj_t BGl_z62modulezd2abasezd2setz12z70zz__modulez00(obj_t BgL_envz00_2007, obj_t BgL_valz00_2008)
{
{ /* Llib/module.scm 78 */
return 
BGl_modulezd2abasezd2setz12z12zz__modulez00(BgL_valz00_2008);} 

}



/* bigloo-module-resolver */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2modulezd2resolverz00zz__modulez00(void)
{
{ /* Llib/module.scm 91 */
return BGl_z52bigloozd2modulezd2resolverz52zz__modulez00;} 

}



/* &bigloo-module-resolver */
obj_t BGl_z62bigloozd2modulezd2resolverz62zz__modulez00(obj_t BgL_envz00_2009)
{
{ /* Llib/module.scm 91 */
return 
BGl_bigloozd2modulezd2resolverz00zz__modulez00();} 

}



/* bigloo-module-resolver-set! */
BGL_EXPORTED_DEF obj_t BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00(obj_t BgL_resolvez00_4)
{
{ /* Llib/module.scm 94 */
{ /* Llib/module.scm 95 */
 obj_t BgL_top1782z00_2099;
BgL_top1782z00_2099 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1782z00_2099, BGl_moduleszd2mutexzd2zz__modulez00); BUNSPEC; 
{ /* Llib/module.scm 95 */
 obj_t BgL_tmp1781z00_2098;
if(
PROCEDURE_CORRECT_ARITYP(BgL_resolvez00_4, 
(int)(((long)2))))
{ /* Llib/module.scm 100 */
 obj_t BgL_zc3z04z52bigloozd2modulezd2res1178ze3z76_2010;
BgL_zc3z04z52bigloozd2modulezd2res1178ze3z76_2010 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04z52bigloozd2modulezd2res1178ze3z14zz__modulez00, 
(int)(((long)3)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04z52bigloozd2modulezd2res1178ze3z76_2010, 
(int)(((long)0)), BgL_resolvez00_4); 
BgL_tmp1781z00_2098 = ( 
BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 = BgL_zc3z04z52bigloozd2modulezd2res1178ze3z76_2010, BUNSPEC) ; }  else 
{ /* Llib/module.scm 97 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_resolvez00_4, 
(int)(((long)3))))
{ /* Llib/module.scm 101 */
BgL_tmp1781z00_2098 = ( 
BGl_z52bigloozd2modulezd2resolverz52zz__modulez00 = BgL_resolvez00_4, BUNSPEC) ; }  else 
{ /* Llib/module.scm 101 */
BgL_tmp1781z00_2098 = 
BGl_errorz00zz__errorz00(BGl_symbol1711z00zz__modulez00, BGl_string1713z00zz__modulez00, BgL_resolvez00_4); } } 
BGL_EXITD_POP_PROTECT(BgL_top1782z00_2099); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
return BgL_tmp1781z00_2098;} } } 

}



/* &bigloo-module-resolver-set! */
obj_t BGl_z62bigloozd2modulezd2resolverzd2setz12za2zz__modulez00(obj_t BgL_envz00_2011, obj_t BgL_resolvez00_2012)
{
{ /* Llib/module.scm 94 */
{ /* Llib/module.scm 95 */
 obj_t BgL_auxz00_2117;
if(
PROCEDUREP(BgL_resolvez00_2012))
{ /* Llib/module.scm 95 */
BgL_auxz00_2117 = BgL_resolvez00_2012
; }  else 
{ 
 obj_t BgL_auxz00_2120;
BgL_auxz00_2120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)3527)), BGl_string1715z00zz__modulez00, BGl_string1716z00zz__modulez00, BgL_resolvez00_2012); 
FAILURE(BgL_auxz00_2120,BFALSE,BFALSE);} 
return 
BGl_bigloozd2modulezd2resolverzd2setz12zc0zz__modulez00(BgL_auxz00_2117);} } 

}



/* &<@%bigloo-module-res1178> */
obj_t BGl_z62zc3z04z52bigloozd2modulezd2res1178ze3z14zz__modulez00(obj_t BgL_envz00_2013, obj_t BgL_modulez00_2015, obj_t BgL_filesz00_2016, obj_t BgL_abasez00_2017)
{
{ /* Llib/module.scm 100 */
{ /* Llib/module.scm 100 */
 obj_t BgL_resolvez00_2014;
BgL_resolvez00_2014 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2013, 
(int)(((long)0)))); 
return 
((obj_t (*)(obj_t, obj_t, obj_t, obj_t))PROCEDURE_ENTRY(BgL_resolvez00_2014))(BgL_resolvez00_2014, BgL_modulez00_2015, BgL_abasez00_2017, BEOA);} } 

}



/* &module-default-resolver */
obj_t BGl_z62modulezd2defaultzd2resolverz62zz__modulez00(obj_t BgL_envz00_2002, obj_t BgL_modz00_2003, obj_t BgL_filesz00_2004, obj_t BgL_abasez00_2005)
{
{ /* Llib/module.scm 113 */
{ /* Llib/module.scm 114 */
 obj_t BgL_modz00_2046; obj_t BgL_filesz00_2047;
if(
SYMBOLP(BgL_modz00_2003))
{ /* Llib/module.scm 114 */
BgL_modz00_2046 = BgL_modz00_2003; }  else 
{ 
 obj_t BgL_auxz00_2135;
BgL_auxz00_2135 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)4515)), BGl_string1718z00zz__modulez00, BGl_string1719z00zz__modulez00, BgL_modz00_2003); 
FAILURE(BgL_auxz00_2135,BFALSE,BFALSE);} 
{ /* Llib/module.scm 114 */
 bool_t BgL_test1787z00_2139;
if(
PAIRP(BgL_filesz00_2004))
{ /* Llib/module.scm 114 */
BgL_test1787z00_2139 = ((bool_t)1)
; }  else 
{ /* Llib/module.scm 114 */
BgL_test1787z00_2139 = 
NULLP(BgL_filesz00_2004)
; } 
if(BgL_test1787z00_2139)
{ /* Llib/module.scm 114 */
BgL_filesz00_2047 = BgL_filesz00_2004; }  else 
{ 
 obj_t BgL_auxz00_2143;
BgL_auxz00_2143 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)4515)), BGl_string1718z00zz__modulez00, BGl_string1720z00zz__modulez00, BgL_filesz00_2004); 
FAILURE(BgL_auxz00_2143,BFALSE,BFALSE);} } 
{ /* Llib/module.scm 114 */
 obj_t BgL_top1790z00_2148;
BgL_top1790z00_2148 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1790z00_2148, BGl_moduleszd2mutexzd2zz__modulez00); BUNSPEC; 
{ /* Llib/module.scm 114 */
 obj_t BgL_tmp1789z00_2147;
if(
NULLP(BgL_filesz00_2047))
{ /* Llib/module.scm 116 */
if(
NULLP(BgL_abasez00_2005))
{ /* Llib/module.scm 119 */
BgL_tmp1789z00_2147 = 
BGl_resolvezd2abasezd2zz__modulez00(BgL_modz00_2046, BGl_string1717z00zz__modulez00); }  else 
{ /* Llib/module.scm 119 */
if(
STRINGP(BgL_abasez00_2005))
{ /* Llib/module.scm 121 */
BgL_tmp1789z00_2147 = 
BGl_resolvezd2abasezd2zz__modulez00(BgL_modz00_2046, BgL_abasez00_2005); }  else 
{ /* Llib/module.scm 121 */
if(
PAIRP(BgL_abasez00_2005))
{ 
 obj_t BgL_abasez00_2049;
BgL_abasez00_2049 = BgL_abasez00_2005; 
BgL_loopz00_2048:
if(
PAIRP(BgL_abasez00_2049))
{ /* Llib/module.scm 126 */
 obj_t BgL_resolvez00_2050;
BgL_resolvez00_2050 = 
BGl_resolvezd2abasezd2zz__modulez00(BgL_modz00_2046, 
CAR(BgL_abasez00_2049)); 
if(
PAIRP(BgL_resolvez00_2050))
{ /* Llib/module.scm 127 */
BgL_tmp1789z00_2147 = BgL_resolvez00_2050; }  else 
{ 
 obj_t BgL_abasez00_2168;
BgL_abasez00_2168 = 
CDR(BgL_abasez00_2049); 
BgL_abasez00_2049 = BgL_abasez00_2168; 
goto BgL_loopz00_2048;} }  else 
{ /* Llib/module.scm 125 */
BgL_tmp1789z00_2147 = BNIL; } }  else 
{ /* Llib/module.scm 123 */
BgL_tmp1789z00_2147 = 
BGl_resolvezd2abaseza2z70zz__modulez00(BgL_modz00_2046); } } } }  else 
{ /* Llib/module.scm 116 */
BGl_modulezd2addzd2accessz12z12zz__modulez00(BgL_modz00_2046, BgL_filesz00_2047, BgL_abasez00_2005); 
BgL_tmp1789z00_2147 = BgL_filesz00_2047; } 
BGL_EXITD_POP_PROTECT(BgL_top1790z00_2148); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
return BgL_tmp1789z00_2147;} } } } 

}



/* resolve-abase* */
obj_t BGl_resolvezd2abaseza2z70zz__modulez00(obj_t BgL_modz00_8)
{
{ /* Llib/module.scm 137 */
{ 
 obj_t BgL_afilez00_1148;
BgL_afilez00_1148 = BGl_afilezd2tablezd2zz__modulez00; 
BgL_zc3z04anonymousza31191ze3z87_1149:
if(
NULLP(BgL_afilez00_1148))
{ /* Llib/module.scm 139 */
return BNIL;}  else 
{ /* Llib/module.scm 141 */
 obj_t BgL_fz00_1151;
{ /* Llib/module.scm 141 */
 obj_t BgL_arg1197z00_1154;
BgL_arg1197z00_1154 = 
CAR(
((obj_t)BgL_afilez00_1148)); 
BgL_fz00_1151 = 
BGl_resolvezd2abasezf2bucketz20zz__modulez00(BgL_modz00_8, BgL_arg1197z00_1154); } 
if(
PAIRP(BgL_fz00_1151))
{ /* Llib/module.scm 142 */
return BgL_fz00_1151;}  else 
{ /* Llib/module.scm 144 */
 obj_t BgL_arg1194z00_1153;
BgL_arg1194z00_1153 = 
CDR(
((obj_t)BgL_afilez00_1148)); 
{ 
 obj_t BgL_afilez00_2183;
BgL_afilez00_2183 = BgL_arg1194z00_1153; 
BgL_afilez00_1148 = BgL_afilez00_2183; 
goto BgL_zc3z04anonymousza31191ze3z87_1149;} } } } } 

}



/* resolve-abase */
obj_t BGl_resolvezd2abasezd2zz__modulez00(obj_t BgL_modz00_9, obj_t BgL_abasez00_10)
{
{ /* Llib/module.scm 149 */
{ /* Llib/module.scm 150 */
 obj_t BgL_basez00_1156;
BgL_basez00_1156 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_abasez00_10, BGl_afilezd2tablezd2zz__modulez00); 
if(
PAIRP(BgL_basez00_1156))
{ /* Llib/module.scm 151 */
BGL_TAIL return 
BGl_resolvezd2abasezf2bucketz20zz__modulez00(BgL_modz00_9, BgL_basez00_1156);}  else 
{ /* Llib/module.scm 151 */
return BNIL;} } } 

}



/* resolve-abase/bucket */
obj_t BGl_resolvezd2abasezf2bucketz20zz__modulez00(obj_t BgL_modz00_11, obj_t BgL_basez00_12)
{
{ /* Llib/module.scm 158 */
{ /* Llib/module.scm 159 */
 obj_t BgL_cellz00_1158;
BgL_cellz00_1158 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modz00_11, 
CDR(
((obj_t)BgL_basez00_12))); 
if(
PAIRP(BgL_cellz00_1158))
{ /* Llib/module.scm 161 */
 obj_t BgL_hook1072z00_1160;
BgL_hook1072z00_1160 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/module.scm 161 */
 obj_t BgL_g1073z00_1161;
BgL_g1073z00_1161 = 
CDR(BgL_cellz00_1158); 
{ 
 obj_t BgL_l1069z00_1163; obj_t BgL_h1070z00_1164;
BgL_l1069z00_1163 = BgL_g1073z00_1161; 
BgL_h1070z00_1164 = BgL_hook1072z00_1160; 
BgL_zc3z04anonymousza31200ze3z87_1165:
if(
NULLP(BgL_l1069z00_1163))
{ /* Llib/module.scm 161 */
return 
CDR(BgL_hook1072z00_1160);}  else 
{ /* Llib/module.scm 161 */
 bool_t BgL_test1802z00_2198;
{ /* Llib/module.scm 161 */
 obj_t BgL_tmpz00_2199;
BgL_tmpz00_2199 = 
CAR(
((obj_t)BgL_l1069z00_1163)); 
BgL_test1802z00_2198 = 
STRINGP(BgL_tmpz00_2199); } 
if(BgL_test1802z00_2198)
{ /* Llib/module.scm 161 */
 obj_t BgL_nh1071z00_1169;
{ /* Llib/module.scm 161 */
 obj_t BgL_arg1208z00_1171;
BgL_arg1208z00_1171 = 
CAR(
((obj_t)BgL_l1069z00_1163)); 
BgL_nh1071z00_1169 = 
MAKE_YOUNG_PAIR(BgL_arg1208z00_1171, BNIL); } 
SET_CDR(BgL_h1070z00_1164, BgL_nh1071z00_1169); 
{ /* Llib/module.scm 161 */
 obj_t BgL_arg1206z00_1170;
BgL_arg1206z00_1170 = 
CDR(
((obj_t)BgL_l1069z00_1163)); 
{ 
 obj_t BgL_h1070z00_2210; obj_t BgL_l1069z00_2209;
BgL_l1069z00_2209 = BgL_arg1206z00_1170; 
BgL_h1070z00_2210 = BgL_nh1071z00_1169; 
BgL_h1070z00_1164 = BgL_h1070z00_2210; 
BgL_l1069z00_1163 = BgL_l1069z00_2209; 
goto BgL_zc3z04anonymousza31200ze3z87_1165;} } }  else 
{ /* Llib/module.scm 161 */
 obj_t BgL_arg1210z00_1172;
BgL_arg1210z00_1172 = 
CDR(
((obj_t)BgL_l1069z00_1163)); 
{ 
 obj_t BgL_l1069z00_2213;
BgL_l1069z00_2213 = BgL_arg1210z00_1172; 
BgL_l1069z00_1163 = BgL_l1069z00_2213; 
goto BgL_zc3z04anonymousza31200ze3z87_1165;} } } } } }  else 
{ /* Llib/module.scm 162 */
 obj_t BgL_fz00_1175;
{ /* Llib/module.scm 162 */
 obj_t BgL_arg1214z00_1178;
{ /* Llib/module.scm 162 */
 obj_t BgL_arg1409z00_1743;
BgL_arg1409z00_1743 = 
SYMBOL_TO_STRING(BgL_modz00_11); 
BgL_arg1214z00_1178 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1409z00_1743); } 
BgL_fz00_1175 = 
string_append(BgL_arg1214z00_1178, BGl_string1721z00zz__modulez00); } 
if(
fexists(
BSTRING_TO_STRING(BgL_fz00_1175)))
{ /* Llib/module.scm 164 */
 obj_t BgL_list1213z00_1177;
BgL_list1213z00_1177 = 
MAKE_YOUNG_PAIR(BgL_fz00_1175, BNIL); 
return BgL_list1213z00_1177;}  else 
{ /* Llib/module.scm 163 */
return BNIL;} } } } 

}



/* module-add-access-inner! */
obj_t BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00(obj_t BgL_modulez00_13, obj_t BgL_filesz00_14, obj_t BgL_abasez00_15)
{
{ /* Llib/module.scm 170 */
{ /* Llib/module.scm 171 */
 obj_t BgL_basez00_1180;
BgL_basez00_1180 = 
BGl_assocz00zz__r4_pairs_and_lists_6_3z00(BgL_abasez00_15, BGl_afilezd2tablezd2zz__modulez00); 
if(
CBOOL(BgL_basez00_1180))
{ /* Llib/module.scm 175 */
 obj_t BgL_cellz00_1181;
BgL_cellz00_1181 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(BgL_modulez00_13, 
CDR(
((obj_t)BgL_basez00_1180))); 
if(
CBOOL(BgL_cellz00_1181))
{ /* Llib/module.scm 176 */
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
CDR(
((obj_t)BgL_cellz00_1181)), BgL_filesz00_14))
{ /* Llib/module.scm 178 */
return BFALSE;}  else 
{ /* Llib/module.scm 178 */
{ /* Llib/module.scm 181 */
 obj_t BgL_arg1218z00_1184;
BgL_arg1218z00_1184 = 
CDR(
((obj_t)BgL_cellz00_1181)); 
{ /* Llib/module.scm 179 */
 obj_t BgL_list1219z00_1185;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1221z00_1186;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1222z00_1187;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1223z00_1188;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1225z00_1189;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1227z00_1190;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1229z00_1191;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1230z00_1192;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1231z00_1193;
{ /* Llib/module.scm 179 */
 obj_t BgL_arg1232z00_1194;
BgL_arg1232z00_1194 = 
MAKE_YOUNG_PAIR(BGl_string1722z00zz__modulez00, BNIL); 
BgL_arg1231z00_1193 = 
MAKE_YOUNG_PAIR(BgL_abasez00_15, BgL_arg1232z00_1194); } 
BgL_arg1230z00_1192 = 
MAKE_YOUNG_PAIR(BGl_string1723z00zz__modulez00, BgL_arg1231z00_1193); } 
BgL_arg1229z00_1191 = 
MAKE_YOUNG_PAIR(BgL_filesz00_14, BgL_arg1230z00_1192); } 
BgL_arg1227z00_1190 = 
MAKE_YOUNG_PAIR(BGl_string1724z00zz__modulez00, BgL_arg1229z00_1191); } 
BgL_arg1225z00_1189 = 
MAKE_YOUNG_PAIR(BgL_arg1218z00_1184, BgL_arg1227z00_1190); } 
BgL_arg1223z00_1188 = 
MAKE_YOUNG_PAIR(BGl_string1725z00zz__modulez00, BgL_arg1225z00_1189); } 
BgL_arg1222z00_1187 = 
MAKE_YOUNG_PAIR(BgL_modulez00_13, BgL_arg1223z00_1188); } 
BgL_arg1221z00_1186 = 
MAKE_YOUNG_PAIR(BGl_string1726z00zz__modulez00, BgL_arg1222z00_1187); } 
BgL_list1219z00_1185 = 
MAKE_YOUNG_PAIR(BGl_string1727z00zz__modulez00, BgL_arg1221z00_1186); } 
BGl_warningz00zz__errorz00(BgL_list1219z00_1185); } } 
return BGl_list1728z00zz__modulez00;} }  else 
{ /* Llib/module.scm 177 */
 obj_t BgL_arg1234z00_1196;
{ /* Llib/module.scm 177 */
 obj_t BgL_arg1236z00_1197; obj_t BgL_arg1237z00_1198;
BgL_arg1236z00_1197 = 
MAKE_YOUNG_PAIR(BgL_modulez00_13, BgL_filesz00_14); 
BgL_arg1237z00_1198 = 
CDR(
((obj_t)BgL_basez00_1180)); 
BgL_arg1234z00_1196 = 
MAKE_YOUNG_PAIR(BgL_arg1236z00_1197, BgL_arg1237z00_1198); } 
{ /* Llib/module.scm 177 */
 obj_t BgL_tmpz00_2250;
BgL_tmpz00_2250 = 
((obj_t)BgL_basez00_1180); 
return 
SET_CDR(BgL_tmpz00_2250, BgL_arg1234z00_1196);} } }  else 
{ /* Llib/module.scm 174 */
 obj_t BgL_arg1243z00_1200;
{ /* Llib/module.scm 174 */
 obj_t BgL_arg1245z00_1201;
{ /* Llib/module.scm 174 */
 obj_t BgL_arg1246z00_1202;
BgL_arg1246z00_1202 = 
MAKE_YOUNG_PAIR(BgL_modulez00_13, BgL_filesz00_14); 
{ /* Llib/module.scm 174 */
 obj_t BgL_list1247z00_1203;
BgL_list1247z00_1203 = 
MAKE_YOUNG_PAIR(BgL_arg1246z00_1202, BNIL); 
BgL_arg1245z00_1201 = BgL_list1247z00_1203; } } 
BgL_arg1243z00_1200 = 
MAKE_YOUNG_PAIR(BgL_abasez00_15, BgL_arg1245z00_1201); } 
return ( 
BGl_afilezd2tablezd2zz__modulez00 = 
MAKE_YOUNG_PAIR(BgL_arg1243z00_1200, BGl_afilezd2tablezd2zz__modulez00), BUNSPEC) ;} } } 

}



/* module-add-access! */
BGL_EXPORTED_DEF obj_t BGl_modulezd2addzd2accessz12z12zz__modulez00(obj_t BgL_modulez00_16, obj_t BgL_filesz00_17, obj_t BgL_abasez00_18)
{
{ /* Llib/module.scm 189 */
{ 
 obj_t BgL_fz00_1219; obj_t BgL_basez00_1220;
{ /* Llib/module.scm 197 */
 obj_t BgL_top1808z00_2258;
BgL_top1808z00_2258 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1808z00_2258, BGl_moduleszd2mutexzd2zz__modulez00); BUNSPEC; 
{ /* Llib/module.scm 197 */
 obj_t BgL_tmp1807z00_2257;
{ /* Llib/module.scm 199 */
 obj_t BgL_arg1248z00_1205;
{ /* Llib/module.scm 199 */
 obj_t BgL_head1076z00_1208;
BgL_head1076z00_1208 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
{ 
 obj_t BgL_l1074z00_1210; obj_t BgL_tail1077z00_1211;
BgL_l1074z00_1210 = BgL_filesz00_17; 
BgL_tail1077z00_1211 = BgL_head1076z00_1208; 
BgL_zc3z04anonymousza31250ze3z87_1212:
if(
NULLP(BgL_l1074z00_1210))
{ /* Llib/module.scm 199 */
BgL_arg1248z00_1205 = 
CDR(BgL_head1076z00_1208); }  else 
{ /* Llib/module.scm 199 */
 obj_t BgL_newtail1078z00_1214;
{ /* Llib/module.scm 199 */
 obj_t BgL_arg1253z00_1216;
{ /* Llib/module.scm 199 */
 obj_t BgL_fz00_1217;
BgL_fz00_1217 = 
CAR(
((obj_t)BgL_l1074z00_1210)); 
BgL_fz00_1219 = BgL_fz00_1217; 
BgL_basez00_1220 = BgL_abasez00_18; 
{ /* Llib/module.scm 192 */
 bool_t BgL_test1810z00_2268;
if(
(
STRING_LENGTH(
((obj_t)BgL_fz00_1219))>((long)0)))
{ /* Llib/module.scm 192 */
BgL_test1810z00_2268 = 
(
STRING_REF(
((obj_t)BgL_fz00_1219), ((long)0))==
(unsigned char)(FILE_SEPARATOR))
; }  else 
{ /* Llib/module.scm 192 */
BgL_test1810z00_2268 = ((bool_t)0)
; } 
if(BgL_test1810z00_2268)
{ /* Llib/module.scm 192 */
BgL_arg1253z00_1216 = BgL_fz00_1219; }  else 
{ /* Llib/module.scm 192 */
BgL_arg1253z00_1216 = 
BGl_filezd2namezd2canonicaliza7eza7zz__osz00(
BGl_makezd2filezd2namez00zz__osz00(BgL_basez00_1220, BgL_fz00_1219)); } } } 
BgL_newtail1078z00_1214 = 
MAKE_YOUNG_PAIR(BgL_arg1253z00_1216, BNIL); } 
SET_CDR(BgL_tail1077z00_1211, BgL_newtail1078z00_1214); 
{ /* Llib/module.scm 199 */
 obj_t BgL_arg1252z00_1215;
BgL_arg1252z00_1215 = 
CDR(
((obj_t)BgL_l1074z00_1210)); 
{ 
 obj_t BgL_tail1077z00_2284; obj_t BgL_l1074z00_2283;
BgL_l1074z00_2283 = BgL_arg1252z00_1215; 
BgL_tail1077z00_2284 = BgL_newtail1078z00_1214; 
BgL_tail1077z00_1211 = BgL_tail1077z00_2284; 
BgL_l1074z00_1210 = BgL_l1074z00_2283; 
goto BgL_zc3z04anonymousza31250ze3z87_1212;} } } } } 
BgL_tmp1807z00_2257 = 
BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00(BgL_modulez00_16, BgL_arg1248z00_1205, BgL_abasez00_18); } 
BGL_EXITD_POP_PROTECT(BgL_top1808z00_2258); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
return BgL_tmp1807z00_2257;} } } } 

}



/* &module-add-access! */
obj_t BGl_z62modulezd2addzd2accessz12z70zz__modulez00(obj_t BgL_envz00_2018, obj_t BgL_modulez00_2019, obj_t BgL_filesz00_2020, obj_t BgL_abasez00_2021)
{
{ /* Llib/module.scm 189 */
{ /* Llib/module.scm 192 */
 obj_t BgL_auxz00_2302; obj_t BgL_auxz00_2295; obj_t BgL_auxz00_2288;
if(
STRINGP(BgL_abasez00_2021))
{ /* Llib/module.scm 192 */
BgL_auxz00_2302 = BgL_abasez00_2021
; }  else 
{ 
 obj_t BgL_auxz00_2305;
BgL_auxz00_2305 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)7320)), BGl_string1735z00zz__modulez00, BGl_string1737z00zz__modulez00, BgL_abasez00_2021); 
FAILURE(BgL_auxz00_2305,BFALSE,BFALSE);} 
if(
PAIRP(BgL_filesz00_2020))
{ /* Llib/module.scm 192 */
BgL_auxz00_2295 = BgL_filesz00_2020
; }  else 
{ 
 obj_t BgL_auxz00_2298;
BgL_auxz00_2298 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)7320)), BGl_string1735z00zz__modulez00, BGl_string1736z00zz__modulez00, BgL_filesz00_2020); 
FAILURE(BgL_auxz00_2298,BFALSE,BFALSE);} 
if(
SYMBOLP(BgL_modulez00_2019))
{ /* Llib/module.scm 192 */
BgL_auxz00_2288 = BgL_modulez00_2019
; }  else 
{ 
 obj_t BgL_auxz00_2291;
BgL_auxz00_2291 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)7320)), BGl_string1735z00zz__modulez00, BGl_string1719z00zz__modulez00, BgL_modulez00_2019); 
FAILURE(BgL_auxz00_2291,BFALSE,BFALSE);} 
return 
BGl_modulezd2addzd2accessz12z12zz__modulez00(BgL_auxz00_2288, BgL_auxz00_2295, BgL_auxz00_2302);} } 

}



/* module-read-access-file */
obj_t BGl_modulezd2readzd2accesszd2filezd2zz__modulez00(obj_t BgL_portz00_19)
{
{ /* Llib/module.scm 205 */
{ /* Llib/module.scm 206 */
 obj_t BgL_hook1083z00_1232;
BgL_hook1083z00_1232 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ /* Llib/module.scm 212 */
 obj_t BgL_g1084z00_1233;
{ /* Llib/module.scm 212 */

{ /* Llib/module.scm 212 */

BgL_g1084z00_1233 = 
BGl_readz00zz__readerz00(
((obj_t)BgL_portz00_19), BFALSE); } } 
{ 
 obj_t BgL_l1080z00_1235; obj_t BgL_h1081z00_1236;
BgL_l1080z00_1235 = BgL_g1084z00_1233; 
BgL_h1081z00_1236 = BgL_hook1083z00_1232; 
BgL_zc3z04anonymousza31275ze3z87_1237:
if(
NULLP(BgL_l1080z00_1235))
{ /* Llib/module.scm 212 */
return 
CDR(BgL_hook1083z00_1232);}  else 
{ /* Llib/module.scm 212 */
 bool_t BgL_test1816z00_2316;
{ /* Llib/module.scm 207 */
 obj_t BgL_xz00_1258;
BgL_xz00_1258 = 
CAR(
((obj_t)BgL_l1080z00_1235)); 
{ /* Llib/module.scm 207 */
 bool_t BgL_test1817z00_2319;
if(
PAIRP(BgL_xz00_1258))
{ /* Llib/module.scm 207 */
 bool_t BgL_test1819z00_2322;
{ /* Llib/module.scm 207 */
 obj_t BgL_tmpz00_2323;
BgL_tmpz00_2323 = 
CAR(BgL_xz00_1258); 
BgL_test1819z00_2322 = 
SYMBOLP(BgL_tmpz00_2323); } 
if(BgL_test1819z00_2322)
{ /* Llib/module.scm 207 */
BgL_test1817z00_2319 = 
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(
CDR(BgL_xz00_1258))
; }  else 
{ /* Llib/module.scm 207 */
BgL_test1817z00_2319 = ((bool_t)0)
; } }  else 
{ /* Llib/module.scm 207 */
BgL_test1817z00_2319 = ((bool_t)0)
; } 
if(BgL_test1817z00_2319)
{ /* Llib/module.scm 207 */
BgL_test1816z00_2316 = ((bool_t)1)
; }  else 
{ /* Llib/module.scm 207 */
{ /* Llib/module.scm 210 */
 obj_t BgL_list1302z00_1260;
{ /* Llib/module.scm 210 */
 obj_t BgL_arg1312z00_1261;
{ /* Llib/module.scm 210 */
 obj_t BgL_arg1320z00_1262;
BgL_arg1320z00_1262 = 
MAKE_YOUNG_PAIR(BgL_xz00_1258, BNIL); 
BgL_arg1312z00_1261 = 
MAKE_YOUNG_PAIR(BGl_string1738z00zz__modulez00, BgL_arg1320z00_1262); } 
BgL_list1302z00_1260 = 
MAKE_YOUNG_PAIR(BGl_string1739z00zz__modulez00, BgL_arg1312z00_1261); } 
BGl_warningz00zz__errorz00(BgL_list1302z00_1260); } 
BgL_test1816z00_2316 = ((bool_t)0); } } } 
if(BgL_test1816z00_2316)
{ /* Llib/module.scm 212 */
 obj_t BgL_nh1082z00_1254;
{ /* Llib/module.scm 212 */
 obj_t BgL_arg1300z00_1256;
BgL_arg1300z00_1256 = 
CAR(
((obj_t)BgL_l1080z00_1235)); 
BgL_nh1082z00_1254 = 
MAKE_YOUNG_PAIR(BgL_arg1300z00_1256, BNIL); } 
SET_CDR(BgL_h1081z00_1236, BgL_nh1082z00_1254); 
{ /* Llib/module.scm 212 */
 obj_t BgL_arg1297z00_1255;
BgL_arg1297z00_1255 = 
CDR(
((obj_t)BgL_l1080z00_1235)); 
{ 
 obj_t BgL_h1081z00_2339; obj_t BgL_l1080z00_2338;
BgL_l1080z00_2338 = BgL_arg1297z00_1255; 
BgL_h1081z00_2339 = BgL_nh1082z00_1254; 
BgL_h1081z00_1236 = BgL_h1081z00_2339; 
BgL_l1080z00_1235 = BgL_l1080z00_2338; 
goto BgL_zc3z04anonymousza31275ze3z87_1237;} } }  else 
{ /* Llib/module.scm 212 */
 obj_t BgL_arg1301z00_1257;
BgL_arg1301z00_1257 = 
CDR(
((obj_t)BgL_l1080z00_1235)); 
{ 
 obj_t BgL_l1080z00_2342;
BgL_l1080z00_2342 = BgL_arg1301z00_1257; 
BgL_l1080z00_1235 = BgL_l1080z00_2342; 
goto BgL_zc3z04anonymousza31275ze3z87_1237;} } } } } } } 

}



/* module-load-access-file */
BGL_EXPORTED_DEF obj_t BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(obj_t BgL_pathz00_20)
{
{ /* Llib/module.scm 223 */
{ 
 obj_t BgL_filez00_1297; obj_t BgL_dirz00_1298; obj_t BgL_abasez00_1299;
{ /* Llib/module.scm 246 */
 obj_t BgL_pathz00_1272;
BgL_pathz00_1272 = 
BGl_filezd2namezd2canonicaliza7eza7zz__osz00(BgL_pathz00_20); 
{ /* Llib/module.scm 247 */
 obj_t BgL_top1821z00_2345;
BgL_top1821z00_2345 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
BGL_EXITD_PUSH_PROTECT(BgL_top1821z00_2345, BGl_moduleszd2mutexzd2zz__modulez00); BUNSPEC; 
{ /* Llib/module.scm 247 */
 obj_t BgL_tmp1820z00_2344;
{ /* Llib/module.scm 248 */
 obj_t BgL__ortest_1037z00_1273;
BgL__ortest_1037z00_1273 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2afileszd2tableza2zd2zz__modulez00, BgL_pathz00_1272); 
if(
CBOOL(BgL__ortest_1037z00_1273))
{ /* Llib/module.scm 248 */
BgL_tmp1820z00_2344 = BgL__ortest_1037z00_1273; }  else 
{ /* Llib/module.scm 248 */
if(
bgl_directoryp(
BSTRING_TO_STRING(BgL_pathz00_1272)))
{ 
 obj_t BgL_dz00_1276;
BgL_dz00_1276 = BgL_pathz00_1272; 
BgL_zc3z04anonymousza31324ze3z87_1277:
{ /* Llib/module.scm 252 */
 obj_t BgL_filez00_1278;
BgL_filez00_1278 = 
BGl_makezd2filezd2namez00zz__osz00(BgL_dz00_1276, BGl_string1740z00zz__modulez00); 
if(
fexists(
BSTRING_TO_STRING(BgL_filez00_1278)))
{ /* Llib/module.scm 253 */
BgL_filez00_1297 = BgL_filez00_1278; 
BgL_dirz00_1298 = BgL_dz00_1276; 
BgL_abasez00_1299 = BgL_pathz00_1272; 
BgL_zc3z04anonymousza31337ze3z87_1300:
{ /* Llib/module.scm 234 */
 obj_t BgL_zc3z04anonymousza31339ze3z87_2022;
BgL_zc3z04anonymousza31339ze3z87_2022 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31339ze3ze5zz__modulez00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31339ze3z87_2022, 
(int)(((long)0)), BgL_pathz00_20); 
PROCEDURE_SET(BgL_zc3z04anonymousza31339ze3z87_2022, 
(int)(((long)1)), BgL_filez00_1297); 
PROCEDURE_SET(BgL_zc3z04anonymousza31339ze3z87_2022, 
(int)(((long)2)), BgL_dirz00_1298); 
PROCEDURE_SET(BgL_zc3z04anonymousza31339ze3z87_2022, 
(int)(((long)3)), BgL_abasez00_1299); 
BGl_callzd2withzd2inputzd2filezd2zz__r4_ports_6_10_1z00(BgL_filez00_1297, BgL_zc3z04anonymousza31339ze3z87_2022); } 
BgL_tmp1820z00_2344 = BgL_filez00_1297; }  else 
{ /* Llib/module.scm 255 */
 obj_t BgL_parentz00_1280;
BgL_parentz00_1280 = 
BGl_dirnamez00zz__osz00(BgL_dz00_1276); 
{ /* Llib/module.scm 256 */
 bool_t BgL_test1825z00_2372;
{ /* Llib/module.scm 256 */
 long BgL_l1z00_1806;
BgL_l1z00_1806 = 
STRING_LENGTH(BgL_parentz00_1280); 
if(
(BgL_l1z00_1806==
STRING_LENGTH(BgL_dz00_1276)))
{ /* Llib/module.scm 256 */
 int BgL_arg1403z00_1809;
{ /* Llib/module.scm 256 */
 char * BgL_auxz00_2379; char * BgL_tmpz00_2377;
BgL_auxz00_2379 = 
BSTRING_TO_STRING(BgL_dz00_1276); 
BgL_tmpz00_2377 = 
BSTRING_TO_STRING(BgL_parentz00_1280); 
BgL_arg1403z00_1809 = 
memcmp(BgL_tmpz00_2377, BgL_auxz00_2379, BgL_l1z00_1806); } 
BgL_test1825z00_2372 = 
(
(long)(BgL_arg1403z00_1809)==((long)0)); }  else 
{ /* Llib/module.scm 256 */
BgL_test1825z00_2372 = ((bool_t)0)
; } } 
if(BgL_test1825z00_2372)
{ /* Llib/module.scm 256 */
BgL_tmp1820z00_2344 = BFALSE; }  else 
{ 
 obj_t BgL_dz00_2384;
BgL_dz00_2384 = BgL_parentz00_1280; 
BgL_dz00_1276 = BgL_dz00_2384; 
goto BgL_zc3z04anonymousza31324ze3z87_1277;} } } } }  else 
{ /* Llib/module.scm 250 */
if(
fexists(
BSTRING_TO_STRING(BgL_pathz00_1272)))
{ /* Llib/module.scm 259 */
 obj_t BgL_dirz00_1284;
BgL_dirz00_1284 = 
BGl_dirnamez00zz__osz00(BgL_pathz00_1272); 
{ 
 obj_t BgL_abasez00_2391; obj_t BgL_dirz00_2390; obj_t BgL_filez00_2389;
BgL_filez00_2389 = BgL_pathz00_1272; 
BgL_dirz00_2390 = BgL_dirz00_1284; 
BgL_abasez00_2391 = BgL_dirz00_1284; 
BgL_abasez00_1299 = BgL_abasez00_2391; 
BgL_dirz00_1298 = BgL_dirz00_2390; 
BgL_filez00_1297 = BgL_filez00_2389; 
goto BgL_zc3z04anonymousza31337ze3z87_1300;} }  else 
{ /* Llib/module.scm 258 */
BgL_tmp1820z00_2344 = BFALSE; } } } } 
BGL_EXITD_POP_PROTECT(BgL_top1821z00_2345); BUNSPEC; 
BGL_MUTEX_UNLOCK(BGl_moduleszd2mutexzd2zz__modulez00); 
return BgL_tmp1820z00_2344;} } } } } 

}



/* &module-load-access-file */
obj_t BGl_z62modulezd2loadzd2accesszd2filezb0zz__modulez00(obj_t BgL_envz00_2023, obj_t BgL_pathz00_2024)
{
{ /* Llib/module.scm 223 */
{ /* Llib/module.scm 227 */
 obj_t BgL_auxz00_2394;
if(
STRINGP(BgL_pathz00_2024))
{ /* Llib/module.scm 227 */
BgL_auxz00_2394 = BgL_pathz00_2024
; }  else 
{ 
 obj_t BgL_auxz00_2397;
BgL_auxz00_2397 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1714z00zz__modulez00, 
BINT(((long)8648)), BGl_string1741z00zz__modulez00, BGl_string1737z00zz__modulez00, BgL_pathz00_2024); 
FAILURE(BgL_auxz00_2397,BFALSE,BFALSE);} 
return 
BGl_modulezd2loadzd2accesszd2filezd2zz__modulez00(BgL_auxz00_2394);} } 

}



/* &<@anonymous:1339> */
obj_t BGl_z62zc3z04anonymousza31339ze3ze5zz__modulez00(obj_t BgL_envz00_2025, obj_t BgL_portz00_2030)
{
{ /* Llib/module.scm 233 */
{ /* Llib/module.scm 234 */
 obj_t BgL_pathz00_2026; obj_t BgL_filez00_2027; obj_t BgL_dirz00_2028; obj_t BgL_abasez00_2029;
BgL_pathz00_2026 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2025, 
(int)(((long)0)))); 
BgL_filez00_2027 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2025, 
(int)(((long)1)))); 
BgL_dirz00_2028 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2025, 
(int)(((long)2)))); 
BgL_abasez00_2029 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2025, 
(int)(((long)3)))); 
{ /* Llib/module.scm 234 */
 bool_t BgL_tmpz00_2414;
{ 
 obj_t BgL_fz00_2052; obj_t BgL_abasez00_2053;
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2afileszd2tableza2zd2zz__modulez00, BgL_pathz00_2026, BgL_filez00_2027); 
{ /* Llib/module.scm 235 */
 obj_t BgL_g1090z00_2056;
BgL_g1090z00_2056 = 
BGl_modulezd2readzd2accesszd2filezd2zz__modulez00(BgL_portz00_2030); 
{ 
 obj_t BgL_l1088z00_2058;
BgL_l1088z00_2058 = BgL_g1090z00_2056; 
BgL_zc3z04anonymousza31340ze3z87_2057:
if(
PAIRP(BgL_l1088z00_2058))
{ /* Llib/module.scm 243 */
{ /* Llib/module.scm 236 */
 obj_t BgL_accessz00_2059;
BgL_accessz00_2059 = 
CAR(BgL_l1088z00_2058); 
{ /* Llib/module.scm 236 */
 obj_t BgL_infoz00_2060;
{ /* Llib/module.scm 236 */
 bool_t BgL_test1830z00_2420;
{ /* Llib/module.scm 236 */
 long BgL_l1z00_2061;
BgL_l1z00_2061 = 
STRING_LENGTH(BgL_dirz00_2028); 
if(
(BgL_l1z00_2061==((long)1)))
{ /* Llib/module.scm 236 */
 int BgL_arg1403z00_2062;
{ /* Llib/module.scm 236 */
 char * BgL_auxz00_2426; char * BgL_tmpz00_2424;
BgL_auxz00_2426 = 
BSTRING_TO_STRING(BGl_string1717z00zz__modulez00); 
BgL_tmpz00_2424 = 
BSTRING_TO_STRING(BgL_dirz00_2028); 
BgL_arg1403z00_2062 = 
memcmp(BgL_tmpz00_2424, BgL_auxz00_2426, BgL_l1z00_2061); } 
BgL_test1830z00_2420 = 
(
(long)(BgL_arg1403z00_2062)==((long)0)); }  else 
{ /* Llib/module.scm 236 */
BgL_test1830z00_2420 = ((bool_t)0)
; } } 
if(BgL_test1830z00_2420)
{ /* Llib/module.scm 236 */
BgL_infoz00_2060 = 
CDR(
((obj_t)BgL_accessz00_2059)); }  else 
{ /* Llib/module.scm 238 */
 obj_t BgL_l01087z00_2063;
BgL_l01087z00_2063 = 
CDR(
((obj_t)BgL_accessz00_2059)); 
{ 
 obj_t BgL_l1086z00_2065;
BgL_l1086z00_2065 = BgL_l01087z00_2063; 
BgL_zc3z04anonymousza31344ze3z87_2064:
if(
NULLP(BgL_l1086z00_2065))
{ /* Llib/module.scm 240 */
BgL_infoz00_2060 = BgL_l01087z00_2063; }  else 
{ /* Llib/module.scm 240 */
{ /* Llib/module.scm 239 */
 obj_t BgL_arg1346z00_2066;
{ /* Llib/module.scm 239 */
 obj_t BgL_fz00_2067;
BgL_fz00_2067 = 
CAR(
((obj_t)BgL_l1086z00_2065)); 
BgL_fz00_2052 = BgL_fz00_2067; 
BgL_abasez00_2053 = BgL_dirz00_2028; 
if(
STRINGP(BgL_fz00_2052))
{ /* Llib/module.scm 228 */
 bool_t BgL_test1834z00_2441;
{ /* Llib/module.scm 228 */
 bool_t BgL_test1835z00_2442;
{ /* Llib/module.scm 228 */
 long BgL_l1z00_2054;
BgL_l1z00_2054 = 
STRING_LENGTH(BgL_fz00_2052); 
if(
(BgL_l1z00_2054==((long)0)))
{ /* Llib/module.scm 228 */
 int BgL_arg1403z00_2055;
{ /* Llib/module.scm 228 */
 char * BgL_auxz00_2448; char * BgL_tmpz00_2446;
BgL_auxz00_2448 = 
BSTRING_TO_STRING(BGl_string1742z00zz__modulez00); 
BgL_tmpz00_2446 = 
BSTRING_TO_STRING(BgL_fz00_2052); 
BgL_arg1403z00_2055 = 
memcmp(BgL_tmpz00_2446, BgL_auxz00_2448, BgL_l1z00_2054); } 
BgL_test1835z00_2442 = 
(
(long)(BgL_arg1403z00_2055)==((long)0)); }  else 
{ /* Llib/module.scm 228 */
BgL_test1835z00_2442 = ((bool_t)0)
; } } 
if(BgL_test1835z00_2442)
{ /* Llib/module.scm 228 */
BgL_test1834z00_2441 = ((bool_t)1)
; }  else 
{ /* Llib/module.scm 228 */
BgL_test1834z00_2441 = 
(
STRING_REF(BgL_fz00_2052, ((long)0))==
(unsigned char)(FILE_SEPARATOR))
; } } 
if(BgL_test1834z00_2441)
{ /* Llib/module.scm 228 */
BgL_arg1346z00_2066 = BgL_fz00_2052; }  else 
{ /* Llib/module.scm 228 */
BgL_arg1346z00_2066 = 
BGl_filezd2namezd2canonicaliza7eza7zz__osz00(
BGl_makezd2filezd2namez00zz__osz00(BgL_abasez00_2053, BgL_fz00_2052)); } }  else 
{ /* Llib/module.scm 227 */
BgL_arg1346z00_2066 = BgL_fz00_2052; } } 
{ /* Llib/module.scm 240 */
 obj_t BgL_tmpz00_2458;
BgL_tmpz00_2458 = 
((obj_t)BgL_l1086z00_2065); 
SET_CAR(BgL_tmpz00_2458, BgL_arg1346z00_2066); } } 
{ /* Llib/module.scm 240 */
 obj_t BgL_arg1347z00_2068;
BgL_arg1347z00_2068 = 
CDR(
((obj_t)BgL_l1086z00_2065)); 
{ 
 obj_t BgL_l1086z00_2463;
BgL_l1086z00_2463 = BgL_arg1347z00_2068; 
BgL_l1086z00_2065 = BgL_l1086z00_2463; 
goto BgL_zc3z04anonymousza31344ze3z87_2064;} } } } } } 
{ /* Llib/module.scm 242 */
 obj_t BgL_arg1342z00_2069;
BgL_arg1342z00_2069 = 
CAR(
((obj_t)BgL_accessz00_2059)); 
BGl_modulezd2addzd2accesszd2innerz12zc0zz__modulez00(BgL_arg1342z00_2069, BgL_infoz00_2060, BgL_abasez00_2029); } } } 
{ 
 obj_t BgL_l1088z00_2467;
BgL_l1088z00_2467 = 
CDR(BgL_l1088z00_2058); 
BgL_l1088z00_2058 = BgL_l1088z00_2467; 
goto BgL_zc3z04anonymousza31340ze3z87_2057;} }  else 
{ /* Llib/module.scm 243 */
BgL_tmpz00_2414 = ((bool_t)1)
; } } } } 
return 
BBOOL(BgL_tmpz00_2414);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__modulez00(void)
{
{ /* Llib/module.scm 17 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
BGl_modulezd2initializa7ationz75zz__configurez00(((long)531040602), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00)); 
return 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)70782020), 
BSTRING_TO_STRING(BGl_string1743z00zz__modulez00));} 

}

#ifdef __cplusplus
}
#endif
