/*===========================================================================*/
/*   (Llib/weakptr.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:56:01 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5a-1/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5a-1/libbacktrace/usr/lib64/bigloo/4.5a  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5a-1/lib/bigloo/4.5a -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Llib/weakptr.scm -o objs/obj_p/Llib/weakptr.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
static obj_t BGl_z62weakptrzd2datazb0zz__weakptrz00(obj_t, obj_t);
static obj_t BGl__makezd2weakptrzd2zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__weakptrz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2datazd2zz__weakptrz00(obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__weakptrz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__hashz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_EXPORTED_DECL bool_t BGl_weakptrzf3zf3zz__weakptrz00(obj_t);
extern void bgl_weakptr_ref_set(obj_t, obj_t);
static obj_t BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2weakptrzd2zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__weakptrz00(void);
extern void bgl_weakptr_data_set(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2refzd2zz__weakptrz00(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__weakptrz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__weakptrz00(void);
static obj_t BGl_objectzd2initzd2zz__weakptrz00(void);
static obj_t BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00(obj_t, obj_t, obj_t);
extern obj_t bgl_weakptr_data(obj_t);
extern obj_t bgl_weakptr_ref(obj_t);
static obj_t BGl_z62weakptrzf3z91zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__weakptrz00(void);
extern obj_t bgl_make_weakptr(obj_t, obj_t);
static obj_t BGl_profzd2initzd2zz__weakptrz00(void);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t, obj_t);
static obj_t BGl_z62weakptrzd2refzb0zz__weakptrz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_weakptrzd2refzd2setz12z12zz__weakptrz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzd2datazd2envz00zz__weakptrz00, BgL_bgl_za762weakptrza7d2dat1560z00, BGl_z62weakptrzd2datazb0zz__weakptrz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzd2refzd2envz00zz__weakptrz00, BgL_bgl_za762weakptrza7d2ref1561z00, BGl_z62weakptrzd2refzb0zz__weakptrz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzd2refzd2setz12zd2envzc0zz__weakptrz00, BgL_bgl_za762weakptrza7d2ref1562z00, BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzf3zd2envz21zz__weakptrz00, BgL_bgl_za762weakptrza7f3za7911563za7, BGl_z62weakptrzf3z91zz__weakptrz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_weakptrzd2datazd2setz12zd2envzc0zz__weakptrz00, BgL_bgl_za762weakptrza7d2dat1564z00, BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_makezd2weakptrzd2envz00zz__weakptrz00, BgL_bgl__makeza7d2weakptrza71565z00, opt_generic_entry, BGl__makezd2weakptrzd2zz__weakptrz00, BFALSE, -1 );
DEFINE_STRING( BGl_string1553z00zz__weakptrz00, BgL_bgl_string1553za700za7za7_1566za7, "/builddir/build/BUILD/bigloo-4.5a-1/runtime/Llib/weakptr.scm", 60 );
DEFINE_STRING( BGl_string1554z00zz__weakptrz00, BgL_bgl_string1554za700za7za7_1567za7, "&weakptr-data", 13 );
DEFINE_STRING( BGl_string1555z00zz__weakptrz00, BgL_bgl_string1555za700za7za7_1568za7, "weakptr", 7 );
DEFINE_STRING( BGl_string1556z00zz__weakptrz00, BgL_bgl_string1556za700za7za7_1569za7, "&weakptr-data-set!", 18 );
DEFINE_STRING( BGl_string1557z00zz__weakptrz00, BgL_bgl_string1557za700za7za7_1570za7, "&weakptr-ref", 12 );
DEFINE_STRING( BGl_string1558z00zz__weakptrz00, BgL_bgl_string1558za700za7za7_1571za7, "&weakptr-ref-set!", 17 );
DEFINE_STRING( BGl_string1559z00zz__weakptrz00, BgL_bgl_string1559za700za7za7_1572za7, "__weakptr", 9 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__weakptrz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"weakptr?\" \"Llib/weakptr.scm\" 3107) \"BGl_weakptrzf3zf3zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&weakptr?\" \"Llib/weakptr.scm\" 3107) \"BGl_z62weakptrzf3z91zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"weakptr-data\" \"Llib/weakptr.scm\" 3380) \"BGl_weakptrzd2datazd2zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&weakptr-data\" \"Llib/weakptr.scm\" 3380) \"BGl_z62weakptrzd2datazb0zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"weakptr-data-set!\" \"Llib/weakptr.scm\" 3661) \"BGl_weakptrzd2datazd2setz12z12zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&weakptr-data-set!\" \"Llib/weakptr.scm\" 3661) \"BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"weakptr-ref\" \"Llib/weakptr.scm\" 3976) \"BGl_weakptrzd2refzd2zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&weakptr-ref\" \"Llib/weakptr.scm\" 3976) \"BGl_z62weakptrzd2refzb0zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"weakptr-ref-set!\" \"Llib/weakptr.scm\" 4255) \"BGl_weakptrzd2refzd2setz12z12zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&weakptr-ref-set!\" \"Llib/weakptr.scm\" 4255) \"BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_make-weakptr\" \"Llib/weakptr.scm\" 4568) \"BGl__makezd2weakptrzd2zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-weakptr\" \"Llib/weakptr.scm\" 4568) \"BGl_makezd2weakptrzd2zz__weakptrz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__weakptrz00(long BgL_checksumz00_1710, char * BgL_fromz00_1711)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__weakptrz00))
{ 
BGl_requirezd2initializa7ationz75zz__weakptrz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__weakptrz00(); 
BGl_importedzd2moduleszd2initz00zz__weakptrz00(); 
return 
BGl_profzd2initzd2zz__weakptrz00();}  else 
{ 
return BUNSPEC;} } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return 
write_bprof_table();} 

}



/* weakptr? */
BGL_EXPORTED_DEF bool_t BGl_weakptrzf3zf3zz__weakptrz00(obj_t BgL_objz00_3)
{
{ /* Llib/weakptr.scm 84 */
return 
BGL_WEAKPTRP(BgL_objz00_3);} 

}



/* &weakptr? */
obj_t BGl_z62weakptrzf3z91zz__weakptrz00(obj_t BgL_envz00_1688, obj_t BgL_objz00_1689)
{
{ /* Llib/weakptr.scm 84 */
return 
BBOOL(
BGl_weakptrzf3zf3zz__weakptrz00(BgL_objz00_1689));} 

}



/* weakptr-data */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2datazd2zz__weakptrz00(obj_t BgL_objz00_4)
{
{ /* Llib/weakptr.scm 90 */
BGL_TAIL return 
bgl_weakptr_data(BgL_objz00_4);} 

}



/* &weakptr-data */
obj_t BGl_z62weakptrzd2datazb0zz__weakptrz00(obj_t BgL_envz00_1690, obj_t BgL_objz00_1691)
{
{ /* Llib/weakptr.scm 90 */
{ /* Llib/weakptr.scm 91 */
 obj_t BgL_auxz00_1724;
if(
BGL_WEAKPTRP(BgL_objz00_1691))
{ /* Llib/weakptr.scm 91 */
BgL_auxz00_1724 = BgL_objz00_1691
; }  else 
{ 
 obj_t BgL_auxz00_1727;
BgL_auxz00_1727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1553z00zz__weakptrz00, 
BINT(((long)3417)), BGl_string1554z00zz__weakptrz00, BGl_string1555z00zz__weakptrz00, BgL_objz00_1691); 
FAILURE(BgL_auxz00_1727,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2datazd2zz__weakptrz00(BgL_auxz00_1724);} } 

}



/* weakptr-data-set! */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(obj_t BgL_ptrz00_5, obj_t BgL_objz00_6)
{
{ /* Llib/weakptr.scm 96 */
bgl_weakptr_data_set(BgL_ptrz00_5, BgL_objz00_6); BUNSPEC; 
return BUNSPEC;} 

}



/* &weakptr-data-set! */
obj_t BGl_z62weakptrzd2datazd2setz12z70zz__weakptrz00(obj_t BgL_envz00_1692, obj_t BgL_ptrz00_1693, obj_t BgL_objz00_1694)
{
{ /* Llib/weakptr.scm 96 */
{ /* Llib/weakptr.scm 97 */
 obj_t BgL_auxz00_1733;
if(
BGL_WEAKPTRP(BgL_ptrz00_1693))
{ /* Llib/weakptr.scm 97 */
BgL_auxz00_1733 = BgL_ptrz00_1693
; }  else 
{ 
 obj_t BgL_auxz00_1736;
BgL_auxz00_1736 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1553z00zz__weakptrz00, 
BINT(((long)3734)), BGl_string1556z00zz__weakptrz00, BGl_string1555z00zz__weakptrz00, BgL_ptrz00_1693); 
FAILURE(BgL_auxz00_1736,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2datazd2setz12z12zz__weakptrz00(BgL_auxz00_1733, BgL_objz00_1694);} } 

}



/* weakptr-ref */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2refzd2zz__weakptrz00(obj_t BgL_objz00_7)
{
{ /* Llib/weakptr.scm 103 */
BGL_TAIL return 
bgl_weakptr_ref(BgL_objz00_7);} 

}



/* &weakptr-ref */
obj_t BGl_z62weakptrzd2refzb0zz__weakptrz00(obj_t BgL_envz00_1695, obj_t BgL_objz00_1696)
{
{ /* Llib/weakptr.scm 103 */
{ /* Llib/weakptr.scm 104 */
 obj_t BgL_auxz00_1742;
if(
BGL_WEAKPTRP(BgL_objz00_1696))
{ /* Llib/weakptr.scm 104 */
BgL_auxz00_1742 = BgL_objz00_1696
; }  else 
{ 
 obj_t BgL_auxz00_1745;
BgL_auxz00_1745 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1553z00zz__weakptrz00, 
BINT(((long)4012)), BGl_string1557z00zz__weakptrz00, BGl_string1555z00zz__weakptrz00, BgL_objz00_1696); 
FAILURE(BgL_auxz00_1745,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2refzd2zz__weakptrz00(BgL_auxz00_1742);} } 

}



/* weakptr-ref-set! */
BGL_EXPORTED_DEF obj_t BGl_weakptrzd2refzd2setz12z12zz__weakptrz00(obj_t BgL_ptrz00_8, obj_t BgL_objz00_9)
{
{ /* Llib/weakptr.scm 109 */
bgl_weakptr_ref_set(BgL_ptrz00_8, BgL_objz00_9); BUNSPEC; 
return BUNSPEC;} 

}



/* &weakptr-ref-set! */
obj_t BGl_z62weakptrzd2refzd2setz12z70zz__weakptrz00(obj_t BgL_envz00_1697, obj_t BgL_ptrz00_1698, obj_t BgL_objz00_1699)
{
{ /* Llib/weakptr.scm 109 */
{ /* Llib/weakptr.scm 110 */
 obj_t BgL_auxz00_1751;
if(
BGL_WEAKPTRP(BgL_ptrz00_1698))
{ /* Llib/weakptr.scm 110 */
BgL_auxz00_1751 = BgL_ptrz00_1698
; }  else 
{ 
 obj_t BgL_auxz00_1754;
BgL_auxz00_1754 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1553z00zz__weakptrz00, 
BINT(((long)4326)), BGl_string1558z00zz__weakptrz00, BGl_string1555z00zz__weakptrz00, BgL_ptrz00_1698); 
FAILURE(BgL_auxz00_1754,BFALSE,BFALSE);} 
return 
BGl_weakptrzd2refzd2setz12z12zz__weakptrz00(BgL_auxz00_1751, BgL_objz00_1699);} } 

}



/* _make-weakptr */
obj_t BGl__makezd2weakptrzd2zz__weakptrz00(obj_t BgL_env1084z00_13, obj_t BgL_opt1083z00_12)
{
{ /* Llib/weakptr.scm 116 */
{ /* Llib/weakptr.scm 116 */
 obj_t BgL_g1085z00_1708;
BgL_g1085z00_1708 = 
VECTOR_REF(BgL_opt1083z00_12,((long)0)); 
switch( 
VECTOR_LENGTH(BgL_opt1083z00_12)) { case ((long)1) : 

{ /* Llib/weakptr.scm 116 */

return 
bgl_make_weakptr(BgL_g1085z00_1708, BFALSE);} break;case ((long)2) : 

{ /* Llib/weakptr.scm 116 */
 obj_t BgL_refz00_1709;
BgL_refz00_1709 = 
VECTOR_REF(BgL_opt1083z00_12,((long)1)); 
{ /* Llib/weakptr.scm 116 */

return 
bgl_make_weakptr(BgL_g1085z00_1708, BgL_refz00_1709);} } break;
default: 
return BUNSPEC;} } } 

}



/* make-weakptr */
BGL_EXPORTED_DEF obj_t BGl_makezd2weakptrzd2zz__weakptrz00(obj_t BgL_objz00_10, obj_t BgL_refz00_11)
{
{ /* Llib/weakptr.scm 116 */
BGL_TAIL return 
bgl_make_weakptr(BgL_objz00_10, BgL_refz00_11);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__weakptrz00(void)
{
{ /* Llib/weakptr.scm 14 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__hashz00(((long)70782020), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)43287392), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)475449627), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00)); 
return 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string1559z00zz__weakptrz00));} 

}

#ifdef __cplusplus
}
#endif
