/*===========================================================================*/
/*   (Llib/process.scm)                                                      */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-safe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -O3 -mklib -cc gcc -fsharing -q -unsafev -eval (set! *indent* 4) -c Llib/process.scm -indent -o objs/obj_s/Llib/process.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
extern obj_t c_process_xstatus(obj_t);
extern obj_t c_process_list(void);
static obj_t BGl_requirezd2initializa7ationz75zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__processz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62processzd2killzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_z62runzd2processzb0zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t, obj_t);
static obj_t BGl_list1681z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2killzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL bool_t BGl_processzf3zf3zz__processz00(obj_t);
static obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__processz00(void);
static obj_t BGl_genericzd2initzd2zz__processz00(void);
BGL_EXPORTED_DECL bool_t BGl_processzd2waitzd2zz__processz00(obj_t);
extern obj_t c_process_kill(obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void);
static obj_t BGl_keyword1700z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t);
static obj_t BGl_keyword1702z00zz__processz00 = BUNSPEC;
static obj_t BGl_gczd2rootszd2initz00zz__processz00(void);
BGL_EXPORTED_DECL obj_t BGl_processzd2nilzd2zz__processz00(void);
BGL_EXPORTED_DECL obj_t BGl_processzd2stopzd2zz__processz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__processz00(void);
static obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
extern obj_t c_process_wait(obj_t);
extern obj_t bgl_reverse_bang(obj_t);
extern obj_t bgl_process_nil(void);
static obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t, obj_t);
extern obj_t c_process_stop(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2continuezd2zz__processz00(obj_t);
static obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t, obj_t);
extern obj_t c_process_continue(obj_t);
BGL_EXPORTED_DECL int BGl_processzd2pidzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_runzd2processzd2zz__processz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__processz00(void);
static obj_t BGl_z62processzf3z91zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t, int);
extern obj_t c_unregister_process(obj_t);
extern obj_t c_run_process(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_keyword1682z00zz__processz00 = BUNSPEC;
extern obj_t bstring_to_keyword(obj_t);
static obj_t BGl_keyword1686z00zz__processz00 = BUNSPEC;
static obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t, obj_t);
extern obj_t bgl_close_input_port(obj_t);
static obj_t BGl_z62processzd2listzb0zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t);
extern obj_t c_process_send_signal(obj_t, int);
static obj_t BGl_keyword1690z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1692z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1694z00zz__processz00 = BUNSPEC;
static obj_t BGl_keyword1696z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t);
static obj_t BGl_keyword1698z00zz__processz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t);
static obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t);
static obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_processzd2listzd2zz__processz00(void);
extern obj_t bgl_close_output_port(obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern bool_t c_process_alivep(obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2errorzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2err1712z00, BGl_z62processzd2errorzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2nilzd2envz00zz__processz00, BgL_bgl_za762processza7d2nil1713z00, BGl_z62processzd2nilzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2killzd2envz00zz__processz00, BgL_bgl_za762processza7d2kil1714z00, BGl_z62processzd2killzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1701z00zz__processz00, BgL_bgl_string1701za700za7za7_1715za7, "host", 4 );
DEFINE_STRING( BGl_string1703z00zz__processz00, BgL_bgl_string1703za700za7za7_1716za7, "env", 3 );
DEFINE_STRING( BGl_string1704z00zz__processz00, BgL_bgl_string1704za700za7za7_1717za7, "&run-process", 12 );
DEFINE_STRING( BGl_string1705z00zz__processz00, BgL_bgl_string1705za700za7za7_1718za7, "bstring", 7 );
DEFINE_STRING( BGl_string1706z00zz__processz00, BgL_bgl_string1706za700za7za7_1719za7, "close-process-ports", 19 );
DEFINE_STRING( BGl_string1707z00zz__processz00, BgL_bgl_string1707za700za7za7_1720za7, "output-port", 11 );
DEFINE_STRING( BGl_string1708z00zz__processz00, BgL_bgl_string1708za700za7za7_1721za7, "input-port", 10 );
DEFINE_STRING( BGl_string1709z00zz__processz00, BgL_bgl_string1709za700za7za7_1722za7, "&close-process-ports", 20 );
DEFINE_STRING( BGl_string1710z00zz__processz00, BgL_bgl_string1710za700za7za7_1723za7, "&unregister-process", 19 );
DEFINE_STRING( BGl_string1711z00zz__processz00, BgL_bgl_string1711za700za7za7_1724za7, "__process", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2outputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2out1725z00, BGl_z62processzd2outputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2waitzd2envz00zz__processz00, BgL_bgl_za762processza7d2wai1726z00, BGl_z62processzd2waitzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_closezd2processzd2portszd2envzd2zz__processz00, BgL_bgl_za762closeza7d2proce1727z00, BGl_z62closezd2processzd2portsz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_unregisterzd2processzd2envz00zz__processz00, BgL_bgl_za762unregisterza7d21728z00, BGl_z62unregisterzd2processzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2exitzd2statuszd2envzd2zz__processz00, BgL_bgl_za762processza7d2exi1729z00, BGl_z62processzd2exitzd2statusz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2continuezd2envz00zz__processz00, BgL_bgl_za762processza7d2con1730z00, BGl_z62processzd2continuezb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1667z00zz__processz00, BgL_bgl_string1667za700za7za7_1731za7, "/tmp/bigloo/runtime/Llib/process.scm", 36 );
DEFINE_STRING( BGl_string1668z00zz__processz00, BgL_bgl_string1668za700za7za7_1732za7, "&process-pid", 12 );
DEFINE_STRING( BGl_string1669z00zz__processz00, BgL_bgl_string1669za700za7za7_1733za7, "process", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzf3zd2envz21zz__processz00, BgL_bgl_za762processza7f3za7911734za7, BGl_z62processzf3z91zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1670z00zz__processz00, BgL_bgl_string1670za700za7za7_1735za7, "&process-output-port", 20 );
DEFINE_STRING( BGl_string1671z00zz__processz00, BgL_bgl_string1671za700za7za7_1736za7, "&process-input-port", 19 );
DEFINE_STRING( BGl_string1672z00zz__processz00, BgL_bgl_string1672za700za7za7_1737za7, "&process-error-port", 19 );
DEFINE_STRING( BGl_string1673z00zz__processz00, BgL_bgl_string1673za700za7za7_1738za7, "&process-alive?", 15 );
DEFINE_STRING( BGl_string1674z00zz__processz00, BgL_bgl_string1674za700za7za7_1739za7, "&process-wait", 13 );
DEFINE_STRING( BGl_string1675z00zz__processz00, BgL_bgl_string1675za700za7za7_1740za7, "&process-exit-status", 20 );
DEFINE_STRING( BGl_string1676z00zz__processz00, BgL_bgl_string1676za700za7za7_1741za7, "&process-send-signal", 20 );
DEFINE_STRING( BGl_string1677z00zz__processz00, BgL_bgl_string1677za700za7za7_1742za7, "bint", 4 );
DEFINE_STRING( BGl_string1678z00zz__processz00, BgL_bgl_string1678za700za7za7_1743za7, "&process-kill", 13 );
DEFINE_STRING( BGl_string1679z00zz__processz00, BgL_bgl_string1679za700za7za7_1744za7, "&process-stop", 13 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2alivezf3zd2envzf3zz__processz00, BgL_bgl_za762processza7d2ali1745z00, BGl_z62processzd2alivezf3z43zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2pidzd2envz00zz__processz00, BgL_bgl_za762processza7d2pid1746z00, BGl_z62processzd2pidzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2inputzd2portzd2envzd2zz__processz00, BgL_bgl_za762processza7d2inp1747z00, BGl_z62processzd2inputzd2portz62zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1680z00zz__processz00, BgL_bgl_string1680za700za7za7_1748za7, "&process-continue", 17 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2stopzd2envz00zz__processz00, BgL_bgl_za762processza7d2sto1749z00, BGl_z62processzd2stopzb0zz__processz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1683z00zz__processz00, BgL_bgl_string1683za700za7za7_1750za7, "pipe", 4 );
DEFINE_STRING( BGl_string1684z00zz__processz00, BgL_bgl_string1684za700za7za7_1751za7, "loop", 4 );
DEFINE_STRING( BGl_string1685z00zz__processz00, BgL_bgl_string1685za700za7za7_1752za7, "pair", 4 );
DEFINE_STRING( BGl_string1687z00zz__processz00, BgL_bgl_string1687za700za7za7_1753za7, "wait", 4 );
DEFINE_STRING( BGl_string1688z00zz__processz00, BgL_bgl_string1688za700za7za7_1754za7, "run-process", 11 );
DEFINE_STRING( BGl_string1689z00zz__processz00, BgL_bgl_string1689za700za7za7_1755za7, "Illegal argument", 16 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_runzd2processzd2envz00zz__processz00, BgL_bgl_za762runza7d2process1756z00, va_generic_entry, BGl_z62runzd2processzb0zz__processz00, BUNSPEC, -2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2listzd2envz00zz__processz00, BgL_bgl_za762processza7d2lis1757z00, BGl_z62processzd2listzb0zz__processz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1691z00zz__processz00, BgL_bgl_string1691za700za7za7_1758za7, "fork", 4 );
DEFINE_STRING( BGl_string1693z00zz__processz00, BgL_bgl_string1693za700za7za7_1759za7, "input", 5 );
DEFINE_STRING( BGl_string1695z00zz__processz00, BgL_bgl_string1695za700za7za7_1760za7, "output", 6 );
DEFINE_STRING( BGl_string1697z00zz__processz00, BgL_bgl_string1697za700za7za7_1761za7, "null", 4 );
DEFINE_STRING( BGl_string1699z00zz__processz00, BgL_bgl_string1699za700za7za7_1762za7, "error", 5 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_processzd2sendzd2signalzd2envzd2zz__processz00, BgL_bgl_za762processza7d2sen1763z00, BGl_z62processzd2sendzd2signalz62zz__processz00, 0L, BUNSPEC, 2 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__processz00) );
ADD_ROOT( (void *)(&BGl_list1681z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1700z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1702z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1682z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1686z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1690z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1692z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1694z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1696z00zz__processz00) );
ADD_ROOT( (void *)(&BGl_keyword1698z00zz__processz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__processz00(long BgL_checksumz00_1901, char * BgL_fromz00_1902)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__processz00))
{ 
BGl_requirezd2initializa7ationz75zz__processz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__processz00(); 
BGl_cnstzd2initzd2zz__processz00(); 
BGl_importedzd2moduleszd2initz00zz__processz00(); 
return 
BGl_methodzd2initzd2zz__processz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
BGl_keyword1682z00zz__processz00 = 
bstring_to_keyword(BGl_string1683z00zz__processz00); 
BGl_list1681z00zz__processz00 = 
MAKE_YOUNG_PAIR(BGl_keyword1682z00zz__processz00, BNIL); 
BGl_keyword1686z00zz__processz00 = 
bstring_to_keyword(BGl_string1687z00zz__processz00); 
BGl_keyword1690z00zz__processz00 = 
bstring_to_keyword(BGl_string1691z00zz__processz00); 
BGl_keyword1692z00zz__processz00 = 
bstring_to_keyword(BGl_string1693z00zz__processz00); 
BGl_keyword1694z00zz__processz00 = 
bstring_to_keyword(BGl_string1695z00zz__processz00); 
BGl_keyword1696z00zz__processz00 = 
bstring_to_keyword(BGl_string1697z00zz__processz00); 
BGl_keyword1698z00zz__processz00 = 
bstring_to_keyword(BGl_string1699z00zz__processz00); 
BGl_keyword1700z00zz__processz00 = 
bstring_to_keyword(BGl_string1701z00zz__processz00); 
return ( 
BGl_keyword1702z00zz__processz00 = 
bstring_to_keyword(BGl_string1703z00zz__processz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* process? */
BGL_EXPORTED_DEF bool_t BGl_processzf3zf3zz__processz00(obj_t BgL_objz00_3)
{
{ /* Llib/process.scm 123 */
return 
PROCESSP(BgL_objz00_3);} 

}



/* &process? */
obj_t BGl_z62processzf3z91zz__processz00(obj_t BgL_envz00_1810, obj_t BgL_objz00_1811)
{
{ /* Llib/process.scm 123 */
return 
BBOOL(
BGl_processzf3zf3zz__processz00(BgL_objz00_1811));} 

}



/* process-nil */
BGL_EXPORTED_DEF obj_t BGl_processzd2nilzd2zz__processz00(void)
{
{ /* Llib/process.scm 129 */
BGL_TAIL return 
bgl_process_nil();} 

}



/* &process-nil */
obj_t BGl_z62processzd2nilzb0zz__processz00(obj_t BgL_envz00_1812)
{
{ /* Llib/process.scm 129 */
return 
BGl_processzd2nilzd2zz__processz00();} 

}



/* process-pid */
BGL_EXPORTED_DEF int BGl_processzd2pidzd2zz__processz00(obj_t BgL_procz00_4)
{
{ /* Llib/process.scm 135 */
return 
PROCESS_PID(BgL_procz00_4);} 

}



/* &process-pid */
obj_t BGl_z62processzd2pidzb0zz__processz00(obj_t BgL_envz00_1813, obj_t BgL_procz00_1814)
{
{ /* Llib/process.scm 135 */
{ /* Llib/process.scm 136 */
 int BgL_tmpz00_1927;
{ /* Llib/process.scm 136 */
 obj_t BgL_auxz00_1928;
if(
PROCESSP(BgL_procz00_1814))
{ /* Llib/process.scm 136 */
BgL_auxz00_1928 = BgL_procz00_1814
; }  else 
{ 
 obj_t BgL_auxz00_1931;
BgL_auxz00_1931 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)5714)), BGl_string1668z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1814); 
FAILURE(BgL_auxz00_1931,BFALSE,BFALSE);} 
BgL_tmpz00_1927 = 
BGl_processzd2pidzd2zz__processz00(BgL_auxz00_1928); } 
return 
BINT(BgL_tmpz00_1927);} } 

}



/* process-output-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2outputzd2portz00zz__processz00(obj_t BgL_procz00_5)
{
{ /* Llib/process.scm 141 */
return 
PROCESS_OUTPUT_PORT(BgL_procz00_5);} 

}



/* &process-output-port */
obj_t BGl_z62processzd2outputzd2portz62zz__processz00(obj_t BgL_envz00_1815, obj_t BgL_procz00_1816)
{
{ /* Llib/process.scm 141 */
{ /* Llib/process.scm 142 */
 obj_t BgL_auxz00_1938;
if(
PROCESSP(BgL_procz00_1816))
{ /* Llib/process.scm 142 */
BgL_auxz00_1938 = BgL_procz00_1816
; }  else 
{ 
 obj_t BgL_auxz00_1941;
BgL_auxz00_1941 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)6004)), BGl_string1670z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1816); 
FAILURE(BgL_auxz00_1941,BFALSE,BFALSE);} 
return 
BGl_processzd2outputzd2portz00zz__processz00(BgL_auxz00_1938);} } 

}



/* process-input-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2inputzd2portz00zz__processz00(obj_t BgL_procz00_6)
{
{ /* Llib/process.scm 147 */
return 
PROCESS_INPUT_PORT(BgL_procz00_6);} 

}



/* &process-input-port */
obj_t BGl_z62processzd2inputzd2portz62zz__processz00(obj_t BgL_envz00_1817, obj_t BgL_procz00_1818)
{
{ /* Llib/process.scm 147 */
{ /* Llib/process.scm 148 */
 obj_t BgL_auxz00_1947;
if(
PROCESSP(BgL_procz00_1818))
{ /* Llib/process.scm 148 */
BgL_auxz00_1947 = BgL_procz00_1818
; }  else 
{ 
 obj_t BgL_auxz00_1950;
BgL_auxz00_1950 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)6301)), BGl_string1671z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1818); 
FAILURE(BgL_auxz00_1950,BFALSE,BFALSE);} 
return 
BGl_processzd2inputzd2portz00zz__processz00(BgL_auxz00_1947);} } 

}



/* process-error-port */
BGL_EXPORTED_DEF obj_t BGl_processzd2errorzd2portz00zz__processz00(obj_t BgL_procz00_7)
{
{ /* Llib/process.scm 153 */
return 
PROCESS_ERROR_PORT(BgL_procz00_7);} 

}



/* &process-error-port */
obj_t BGl_z62processzd2errorzd2portz62zz__processz00(obj_t BgL_envz00_1819, obj_t BgL_procz00_1820)
{
{ /* Llib/process.scm 153 */
{ /* Llib/process.scm 154 */
 obj_t BgL_auxz00_1956;
if(
PROCESSP(BgL_procz00_1820))
{ /* Llib/process.scm 154 */
BgL_auxz00_1956 = BgL_procz00_1820
; }  else 
{ 
 obj_t BgL_auxz00_1959;
BgL_auxz00_1959 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)6597)), BGl_string1672z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1820); 
FAILURE(BgL_auxz00_1959,BFALSE,BFALSE);} 
return 
BGl_processzd2errorzd2portz00zz__processz00(BgL_auxz00_1956);} } 

}



/* process-alive? */
BGL_EXPORTED_DEF bool_t BGl_processzd2alivezf3z21zz__processz00(obj_t BgL_procz00_8)
{
{ /* Llib/process.scm 159 */
BGL_TAIL return 
c_process_alivep(BgL_procz00_8);} 

}



/* &process-alive? */
obj_t BGl_z62processzd2alivezf3z43zz__processz00(obj_t BgL_envz00_1821, obj_t BgL_procz00_1822)
{
{ /* Llib/process.scm 159 */
{ /* Llib/process.scm 160 */
 bool_t BgL_tmpz00_1965;
{ /* Llib/process.scm 160 */
 obj_t BgL_auxz00_1966;
if(
PROCESSP(BgL_procz00_1822))
{ /* Llib/process.scm 160 */
BgL_auxz00_1966 = BgL_procz00_1822
; }  else 
{ 
 obj_t BgL_auxz00_1969;
BgL_auxz00_1969 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)6889)), BGl_string1673z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1822); 
FAILURE(BgL_auxz00_1969,BFALSE,BFALSE);} 
BgL_tmpz00_1965 = 
BGl_processzd2alivezf3z21zz__processz00(BgL_auxz00_1966); } 
return 
BBOOL(BgL_tmpz00_1965);} } 

}



/* process-wait */
BGL_EXPORTED_DEF bool_t BGl_processzd2waitzd2zz__processz00(obj_t BgL_procz00_9)
{
{ /* Llib/process.scm 165 */
if(
c_process_alivep(BgL_procz00_9))
{ /* Llib/process.scm 166 */
return 
CBOOL(
c_process_wait(BgL_procz00_9));}  else 
{ /* Llib/process.scm 166 */
return ((bool_t)0);} } 

}



/* &process-wait */
obj_t BGl_z62processzd2waitzb0zz__processz00(obj_t BgL_envz00_1823, obj_t BgL_procz00_1824)
{
{ /* Llib/process.scm 165 */
{ /* Llib/process.scm 166 */
 bool_t BgL_tmpz00_1979;
{ /* Llib/process.scm 166 */
 obj_t BgL_auxz00_1980;
if(
PROCESSP(BgL_procz00_1824))
{ /* Llib/process.scm 166 */
BgL_auxz00_1980 = BgL_procz00_1824
; }  else 
{ 
 obj_t BgL_auxz00_1983;
BgL_auxz00_1983 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)7175)), BGl_string1674z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1824); 
FAILURE(BgL_auxz00_1983,BFALSE,BFALSE);} 
BgL_tmpz00_1979 = 
BGl_processzd2waitzd2zz__processz00(BgL_auxz00_1980); } 
return 
BBOOL(BgL_tmpz00_1979);} } 

}



/* process-exit-status */
BGL_EXPORTED_DEF obj_t BGl_processzd2exitzd2statusz00zz__processz00(obj_t BgL_procz00_10)
{
{ /* Llib/process.scm 172 */
BGL_TAIL return 
c_process_xstatus(BgL_procz00_10);} 

}



/* &process-exit-status */
obj_t BGl_z62processzd2exitzd2statusz62zz__processz00(obj_t BgL_envz00_1825, obj_t BgL_procz00_1826)
{
{ /* Llib/process.scm 172 */
{ /* Llib/process.scm 173 */
 obj_t BgL_auxz00_1990;
if(
PROCESSP(BgL_procz00_1826))
{ /* Llib/process.scm 173 */
BgL_auxz00_1990 = BgL_procz00_1826
; }  else 
{ 
 obj_t BgL_auxz00_1993;
BgL_auxz00_1993 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)7500)), BGl_string1675z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1826); 
FAILURE(BgL_auxz00_1993,BFALSE,BFALSE);} 
return 
BGl_processzd2exitzd2statusz00zz__processz00(BgL_auxz00_1990);} } 

}



/* process-send-signal */
BGL_EXPORTED_DEF obj_t BGl_processzd2sendzd2signalz00zz__processz00(obj_t BgL_procz00_11, int BgL_signalz00_12)
{
{ /* Llib/process.scm 178 */
BGL_TAIL return 
c_process_send_signal(BgL_procz00_11, BgL_signalz00_12);} 

}



/* &process-send-signal */
obj_t BGl_z62processzd2sendzd2signalz62zz__processz00(obj_t BgL_envz00_1827, obj_t BgL_procz00_1828, obj_t BgL_signalz00_1829)
{
{ /* Llib/process.scm 178 */
{ /* Llib/process.scm 179 */
 int BgL_auxz00_2006; obj_t BgL_auxz00_1999;
{ /* Llib/process.scm 179 */
 obj_t BgL_tmpz00_2007;
if(
INTEGERP(BgL_signalz00_1829))
{ /* Llib/process.scm 179 */
BgL_tmpz00_2007 = BgL_signalz00_1829
; }  else 
{ 
 obj_t BgL_auxz00_2010;
BgL_auxz00_2010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)7805)), BGl_string1676z00zz__processz00, BGl_string1677z00zz__processz00, BgL_signalz00_1829); 
FAILURE(BgL_auxz00_2010,BFALSE,BFALSE);} 
BgL_auxz00_2006 = 
CINT(BgL_tmpz00_2007); } 
if(
PROCESSP(BgL_procz00_1828))
{ /* Llib/process.scm 179 */
BgL_auxz00_1999 = BgL_procz00_1828
; }  else 
{ 
 obj_t BgL_auxz00_2002;
BgL_auxz00_2002 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)7805)), BGl_string1676z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1828); 
FAILURE(BgL_auxz00_2002,BFALSE,BFALSE);} 
return 
BGl_processzd2sendzd2signalz00zz__processz00(BgL_auxz00_1999, BgL_auxz00_2006);} } 

}



/* process-kill */
BGL_EXPORTED_DEF obj_t BGl_processzd2killzd2zz__processz00(obj_t BgL_procz00_13)
{
{ /* Llib/process.scm 184 */
c_process_kill(BgL_procz00_13); 
BGL_TAIL return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_procz00_13);} 

}



/* &process-kill */
obj_t BGl_z62processzd2killzb0zz__processz00(obj_t BgL_envz00_1830, obj_t BgL_procz00_1831)
{
{ /* Llib/process.scm 184 */
{ /* Llib/process.scm 185 */
 obj_t BgL_auxz00_2018;
if(
PROCESSP(BgL_procz00_1831))
{ /* Llib/process.scm 185 */
BgL_auxz00_2018 = BgL_procz00_1831
; }  else 
{ 
 obj_t BgL_auxz00_2021;
BgL_auxz00_2021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)8123)), BGl_string1678z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1831); 
FAILURE(BgL_auxz00_2021,BFALSE,BFALSE);} 
return 
BGl_processzd2killzd2zz__processz00(BgL_auxz00_2018);} } 

}



/* process-stop */
BGL_EXPORTED_DEF obj_t BGl_processzd2stopzd2zz__processz00(obj_t BgL_procz00_14)
{
{ /* Llib/process.scm 191 */
BGL_TAIL return 
c_process_stop(BgL_procz00_14);} 

}



/* &process-stop */
obj_t BGl_z62processzd2stopzb0zz__processz00(obj_t BgL_envz00_1832, obj_t BgL_procz00_1833)
{
{ /* Llib/process.scm 191 */
{ /* Llib/process.scm 192 */
 obj_t BgL_auxz00_2027;
if(
PROCESSP(BgL_procz00_1833))
{ /* Llib/process.scm 192 */
BgL_auxz00_2027 = BgL_procz00_1833
; }  else 
{ 
 obj_t BgL_auxz00_2030;
BgL_auxz00_2030 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)8417)), BGl_string1679z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1833); 
FAILURE(BgL_auxz00_2030,BFALSE,BFALSE);} 
return 
BGl_processzd2stopzd2zz__processz00(BgL_auxz00_2027);} } 

}



/* process-continue */
BGL_EXPORTED_DEF obj_t BGl_processzd2continuezd2zz__processz00(obj_t BgL_procz00_15)
{
{ /* Llib/process.scm 197 */
BGL_TAIL return 
c_process_continue(BgL_procz00_15);} 

}



/* &process-continue */
obj_t BGl_z62processzd2continuezb0zz__processz00(obj_t BgL_envz00_1834, obj_t BgL_procz00_1835)
{
{ /* Llib/process.scm 197 */
{ /* Llib/process.scm 198 */
 obj_t BgL_auxz00_2036;
if(
PROCESSP(BgL_procz00_1835))
{ /* Llib/process.scm 198 */
BgL_auxz00_2036 = BgL_procz00_1835
; }  else 
{ 
 obj_t BgL_auxz00_2039;
BgL_auxz00_2039 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)8705)), BGl_string1680z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1835); 
FAILURE(BgL_auxz00_2039,BFALSE,BFALSE);} 
return 
BGl_processzd2continuezd2zz__processz00(BgL_auxz00_2036);} } 

}



/* process-list */
BGL_EXPORTED_DEF obj_t BGl_processzd2listzd2zz__processz00(void)
{
{ /* Llib/process.scm 203 */
BGL_TAIL return 
c_process_list();} 

}



/* &process-list */
obj_t BGl_z62processzd2listzb0zz__processz00(obj_t BgL_envz00_1836)
{
{ /* Llib/process.scm 203 */
return 
BGl_processzd2listzd2zz__processz00();} 

}



/* run-process */
BGL_EXPORTED_DEF obj_t BGl_runzd2processzd2zz__processz00(obj_t BgL_commandz00_16, obj_t BgL_restz00_17)
{
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
 bool_t BgL_forkz00_1109; bool_t BgL_waitz00_1110; obj_t BgL_inputz00_1111; obj_t BgL_outputz00_1112; obj_t BgL_errorz00_1113; obj_t BgL_hostz00_1114; obj_t BgL_pipesz00_1115; obj_t BgL_argsz00_1116; obj_t BgL_envz00_1117;
BgL_forkz00_1109 = ((bool_t)1); 
BgL_waitz00_1110 = ((bool_t)0); 
BgL_inputz00_1111 = BUNSPEC; 
BgL_outputz00_1112 = BUNSPEC; 
BgL_errorz00_1113 = BUNSPEC; 
BgL_hostz00_1114 = BUNSPEC; 
BgL_pipesz00_1115 = BGl_list1681z00zz__processz00; 
BgL_argsz00_1116 = BNIL; 
BgL_envz00_1117 = BNIL; 
{ 
 obj_t BgL_restz00_1120;
{ /* Llib/process.scm 224 */
 obj_t BgL_aux1653z00_1887;
BgL_restz00_1120 = BgL_restz00_17; 
BgL_zc3z04anonymousza31154ze3z87_1121:
if(
NULLP(BgL_restz00_1120))
{ /* Llib/process.scm 229 */
 obj_t BgL_arg1158z00_1123;
BgL_arg1158z00_1123 = 
bgl_reverse_bang(BgL_argsz00_1116); 
BgL_aux1653z00_1887 = 
c_run_process(BgL_hostz00_1114, 
BBOOL(BgL_forkz00_1109), 
BBOOL(BgL_waitz00_1110), BgL_inputz00_1111, BgL_outputz00_1112, BgL_errorz00_1113, BgL_commandz00_16, BgL_arg1158z00_1123, BgL_envz00_1117); }  else 
{ /* Llib/process.scm 230 */
 bool_t BgL_test1779z00_2052;
{ /* Llib/process.scm 230 */
 bool_t BgL_test1780z00_2053;
{ /* Llib/process.scm 230 */
 obj_t BgL_tmpz00_2054;
{ /* Llib/process.scm 230 */
 obj_t BgL_pairz00_1592;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 230 */
BgL_pairz00_1592 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2057;
BgL_auxz00_2057 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)9937)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2057,BFALSE,BFALSE);} 
BgL_tmpz00_2054 = 
CAR(BgL_pairz00_1592); } 
BgL_test1780z00_2053 = 
KEYWORDP(BgL_tmpz00_2054); } 
if(BgL_test1780z00_2053)
{ /* Llib/process.scm 230 */
 obj_t BgL_tmpz00_2063;
{ /* Llib/process.scm 230 */
 obj_t BgL_pairz00_1593;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 230 */
BgL_pairz00_1593 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2066;
BgL_auxz00_2066 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)9956)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2066,BFALSE,BFALSE);} 
BgL_tmpz00_2063 = 
CDR(BgL_pairz00_1593); } 
BgL_test1779z00_2052 = 
PAIRP(BgL_tmpz00_2063); }  else 
{ /* Llib/process.scm 230 */
BgL_test1779z00_2052 = ((bool_t)0)
; } } 
if(BgL_test1779z00_2052)
{ /* Llib/process.scm 231 */
 obj_t BgL_valz00_1129;
{ /* Llib/process.scm 231 */
 obj_t BgL_pairz00_1594;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 231 */
BgL_pairz00_1594 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2074;
BgL_auxz00_2074 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)9987)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2074,BFALSE,BFALSE);} 
{ /* Llib/process.scm 231 */
 obj_t BgL_pairz00_1597;
{ /* Llib/process.scm 231 */
 obj_t BgL_aux1639z00_1873;
BgL_aux1639z00_1873 = 
CDR(BgL_pairz00_1594); 
if(
PAIRP(BgL_aux1639z00_1873))
{ /* Llib/process.scm 231 */
BgL_pairz00_1597 = BgL_aux1639z00_1873; }  else 
{ 
 obj_t BgL_auxz00_2081;
BgL_auxz00_2081 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)9981)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_aux1639z00_1873); 
FAILURE(BgL_auxz00_2081,BFALSE,BFALSE);} } 
BgL_valz00_1129 = 
CAR(BgL_pairz00_1597); } } 
{ /* Llib/process.scm 232 */
 obj_t BgL_casezd2valuezd2_1130;
{ /* Llib/process.scm 232 */
 obj_t BgL_pairz00_1598;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 232 */
BgL_pairz00_1598 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2088;
BgL_auxz00_2088 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)10008)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2088,BFALSE,BFALSE);} 
BgL_casezd2valuezd2_1130 = 
CAR(BgL_pairz00_1598); } 
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1686z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
BOOLEANP(BgL_valz00_1129))
{ /* Llib/process.scm 234 */
BgL_waitz00_1110 = 
CBOOL(BgL_valz00_1129); }  else 
{ /* Llib/process.scm 234 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1690z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
BOOLEANP(BgL_valz00_1129))
{ /* Llib/process.scm 238 */
BgL_forkz00_1109 = 
CBOOL(BgL_valz00_1129); }  else 
{ /* Llib/process.scm 238 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1692z00zz__processz00))
{ /* Llib/process.scm 242 */
 bool_t BgL_test1791z00_2107;
if(
STRINGP(BgL_valz00_1129))
{ /* Llib/process.scm 242 */
BgL_test1791z00_2107 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 242 */
BgL_test1791z00_2107 = 
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1129, BgL_pipesz00_1115))
; } 
if(BgL_test1791z00_2107)
{ /* Llib/process.scm 242 */
BgL_inputz00_1111 = BgL_valz00_1129; }  else 
{ /* Llib/process.scm 242 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1694z00zz__processz00))
{ /* Llib/process.scm 246 */
 bool_t BgL_test1794z00_2115;
if(
STRINGP(BgL_valz00_1129))
{ /* Llib/process.scm 246 */
BgL_test1794z00_2115 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 246 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1129, BgL_pipesz00_1115)))
{ /* Llib/process.scm 246 */
BgL_test1794z00_2115 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 246 */
BgL_test1794z00_2115 = 
(BgL_valz00_1129==BGl_keyword1696z00zz__processz00)
; } } 
if(BgL_test1794z00_2115)
{ /* Llib/process.scm 246 */
BgL_outputz00_1112 = BgL_valz00_1129; }  else 
{ /* Llib/process.scm 246 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1698z00zz__processz00))
{ /* Llib/process.scm 250 */
 bool_t BgL_test1798z00_2125;
if(
STRINGP(BgL_valz00_1129))
{ /* Llib/process.scm 250 */
BgL_test1798z00_2125 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 250 */
if(
CBOOL(
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_valz00_1129, BgL_pipesz00_1115)))
{ /* Llib/process.scm 250 */
BgL_test1798z00_2125 = ((bool_t)1)
; }  else 
{ /* Llib/process.scm 250 */
BgL_test1798z00_2125 = 
(BgL_valz00_1129==BGl_keyword1696z00zz__processz00)
; } } 
if(BgL_test1798z00_2125)
{ /* Llib/process.scm 250 */
BgL_errorz00_1113 = BgL_valz00_1129; }  else 
{ /* Llib/process.scm 250 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1700z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
STRINGP(BgL_valz00_1129))
{ /* Llib/process.scm 254 */
BgL_hostz00_1114 = BgL_valz00_1129; }  else 
{ /* Llib/process.scm 254 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
if(
(BgL_casezd2valuezd2_1130==BGl_keyword1702z00zz__processz00))
{ /* Llib/process.scm 232 */
if(
STRINGP(BgL_valz00_1129))
{ /* Llib/process.scm 258 */
BgL_envz00_1117 = 
MAKE_YOUNG_PAIR(BgL_valz00_1129, BgL_envz00_1117); }  else 
{ /* Llib/process.scm 258 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } }  else 
{ /* Llib/process.scm 232 */
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } } } } } } } } 
{ /* Llib/process.scm 263 */
 obj_t BgL_arg1184z00_1155;
{ /* Llib/process.scm 263 */
 obj_t BgL_pairz00_1607;
{ /* Llib/process.scm 263 */
 obj_t BgL_pairz00_1606;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 263 */
BgL_pairz00_1606 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2147;
BgL_auxz00_2147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)10738)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2147,BFALSE,BFALSE);} 
{ /* Llib/process.scm 263 */
 obj_t BgL_aux1645z00_1879;
BgL_aux1645z00_1879 = 
CDR(BgL_pairz00_1606); 
if(
PAIRP(BgL_aux1645z00_1879))
{ /* Llib/process.scm 263 */
BgL_pairz00_1607 = BgL_aux1645z00_1879; }  else 
{ 
 obj_t BgL_auxz00_2154;
BgL_auxz00_2154 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)10733)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_aux1645z00_1879); 
FAILURE(BgL_auxz00_2154,BFALSE,BFALSE);} } } 
BgL_arg1184z00_1155 = 
CDR(BgL_pairz00_1607); } 
{ 
 obj_t BgL_restz00_2159;
BgL_restz00_2159 = BgL_arg1184z00_1155; 
BgL_restz00_1120 = BgL_restz00_2159; 
goto BgL_zc3z04anonymousza31154ze3z87_1121;} } }  else 
{ /* Llib/process.scm 264 */
 bool_t BgL_test1807z00_2160;
{ /* Llib/process.scm 264 */
 obj_t BgL_tmpz00_2161;
{ /* Llib/process.scm 264 */
 obj_t BgL_pairz00_1608;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 264 */
BgL_pairz00_1608 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2164;
BgL_auxz00_2164 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)10768)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2164,BFALSE,BFALSE);} 
BgL_tmpz00_2161 = 
CAR(BgL_pairz00_1608); } 
BgL_test1807z00_2160 = 
STRINGP(BgL_tmpz00_2161); } 
if(BgL_test1807z00_2160)
{ /* Llib/process.scm 264 */
{ /* Llib/process.scm 265 */
 obj_t BgL_arg1191z00_1159;
{ /* Llib/process.scm 265 */
 obj_t BgL_pairz00_1609;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 265 */
BgL_pairz00_1609 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2172;
BgL_auxz00_2172 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)10803)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2172,BFALSE,BFALSE);} 
BgL_arg1191z00_1159 = 
CAR(BgL_pairz00_1609); } 
BgL_argsz00_1116 = 
MAKE_YOUNG_PAIR(BgL_arg1191z00_1159, BgL_argsz00_1116); } 
{ /* Llib/process.scm 266 */
 obj_t BgL_arg1192z00_1160;
{ /* Llib/process.scm 266 */
 obj_t BgL_pairz00_1610;
if(
PAIRP(BgL_restz00_1120))
{ /* Llib/process.scm 266 */
BgL_pairz00_1610 = BgL_restz00_1120; }  else 
{ 
 obj_t BgL_auxz00_2180;
BgL_auxz00_2180 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)10833)), BGl_string1684z00zz__processz00, BGl_string1685z00zz__processz00, BgL_restz00_1120); 
FAILURE(BgL_auxz00_2180,BFALSE,BFALSE);} 
BgL_arg1192z00_1160 = 
CDR(BgL_pairz00_1610); } 
{ 
 obj_t BgL_restz00_2185;
BgL_restz00_2185 = BgL_arg1192z00_1160; 
BgL_restz00_1120 = BgL_restz00_2185; 
goto BgL_zc3z04anonymousza31154ze3z87_1121;} } }  else 
{ /* Llib/process.scm 264 */
BgL_aux1653z00_1887 = 
BGl_errorz00zz__errorz00(BGl_string1688z00zz__processz00, BGl_string1689z00zz__processz00, BgL_restz00_1120); } } } 
if(
PROCESSP(BgL_aux1653z00_1887))
{ /* Llib/process.scm 224 */
return BgL_aux1653z00_1887;}  else 
{ 
 obj_t BgL_auxz00_2189;
BgL_auxz00_2189 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)9761)), BGl_string1688z00zz__processz00, BGl_string1669z00zz__processz00, BgL_aux1653z00_1887); 
FAILURE(BgL_auxz00_2189,BFALSE,BFALSE);} } } } } 

}



/* &run-process */
obj_t BGl_z62runzd2processzb0zz__processz00(obj_t BgL_envz00_1837, obj_t BgL_commandz00_1838, obj_t BgL_restz00_1839)
{
{ /* Llib/process.scm 212 */
{ /* Llib/process.scm 213 */
 obj_t BgL_auxz00_2193;
if(
STRINGP(BgL_commandz00_1838))
{ /* Llib/process.scm 213 */
BgL_auxz00_2193 = BgL_commandz00_1838
; }  else 
{ 
 obj_t BgL_auxz00_2196;
BgL_auxz00_2196 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)9491)), BGl_string1704z00zz__processz00, BGl_string1705z00zz__processz00, BgL_commandz00_1838); 
FAILURE(BgL_auxz00_2196,BFALSE,BFALSE);} 
return 
BGl_runzd2processzd2zz__processz00(BgL_auxz00_2193, BgL_restz00_1839);} } 

}



/* close-process-ports */
BGL_EXPORTED_DEF obj_t BGl_closezd2processzd2portsz00zz__processz00(obj_t BgL_procz00_18)
{
{ /* Llib/process.scm 273 */
{ /* Llib/process.scm 274 */
 bool_t BgL_test1813z00_2201;
{ /* Llib/process.scm 274 */
 obj_t BgL_tmpz00_2202;
BgL_tmpz00_2202 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
BgL_test1813z00_2201 = 
OUTPUT_PORTP(BgL_tmpz00_2202); } 
if(BgL_test1813z00_2201)
{ /* Llib/process.scm 275 */
 obj_t BgL_arg1200z00_1171;
BgL_arg1200z00_1171 = 
PROCESS_INPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 275 */
 obj_t BgL_portz00_1613;
if(
OUTPUT_PORTP(BgL_arg1200z00_1171))
{ /* Llib/process.scm 275 */
BgL_portz00_1613 = BgL_arg1200z00_1171; }  else 
{ 
 obj_t BgL_auxz00_2208;
BgL_auxz00_2208 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)11236)), BGl_string1706z00zz__processz00, BGl_string1707z00zz__processz00, BgL_arg1200z00_1171); 
FAILURE(BgL_auxz00_2208,BFALSE,BFALSE);} 
bgl_close_output_port(BgL_portz00_1613); } }  else 
{ /* Llib/process.scm 274 */BFALSE; } } 
{ /* Llib/process.scm 276 */
 bool_t BgL_test1815z00_2213;
{ /* Llib/process.scm 276 */
 obj_t BgL_tmpz00_2214;
BgL_tmpz00_2214 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
BgL_test1815z00_2213 = 
INPUT_PORTP(BgL_tmpz00_2214); } 
if(BgL_test1815z00_2213)
{ /* Llib/process.scm 277 */
 obj_t BgL_arg1207z00_1175;
BgL_arg1207z00_1175 = 
PROCESS_ERROR_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 277 */
 obj_t BgL_portz00_1616;
if(
INPUT_PORTP(BgL_arg1207z00_1175))
{ /* Llib/process.scm 277 */
BgL_portz00_1616 = BgL_arg1207z00_1175; }  else 
{ 
 obj_t BgL_auxz00_2220;
BgL_auxz00_2220 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)11336)), BGl_string1706z00zz__processz00, BGl_string1708z00zz__processz00, BgL_arg1207z00_1175); 
FAILURE(BgL_auxz00_2220,BFALSE,BFALSE);} 
bgl_close_input_port(BgL_portz00_1616); } }  else 
{ /* Llib/process.scm 276 */BFALSE; } } 
{ /* Llib/process.scm 278 */
 bool_t BgL_test1817z00_2225;
{ /* Llib/process.scm 278 */
 obj_t BgL_tmpz00_2226;
BgL_tmpz00_2226 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
BgL_test1817z00_2225 = 
INPUT_PORTP(BgL_tmpz00_2226); } 
if(BgL_test1817z00_2225)
{ /* Llib/process.scm 279 */
 obj_t BgL_arg1217z00_1179;
BgL_arg1217z00_1179 = 
PROCESS_OUTPUT_PORT(BgL_procz00_18); 
{ /* Llib/process.scm 279 */
 obj_t BgL_portz00_1619;
if(
INPUT_PORTP(BgL_arg1217z00_1179))
{ /* Llib/process.scm 279 */
BgL_portz00_1619 = BgL_arg1217z00_1179; }  else 
{ 
 obj_t BgL_auxz00_2232;
BgL_auxz00_2232 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)11438)), BGl_string1706z00zz__processz00, BGl_string1708z00zz__processz00, BgL_arg1217z00_1179); 
FAILURE(BgL_auxz00_2232,BFALSE,BFALSE);} 
return 
bgl_close_input_port(BgL_portz00_1619);} }  else 
{ /* Llib/process.scm 278 */
return BFALSE;} } } 

}



/* &close-process-ports */
obj_t BGl_z62closezd2processzd2portsz62zz__processz00(obj_t BgL_envz00_1840, obj_t BgL_procz00_1841)
{
{ /* Llib/process.scm 273 */
{ /* Llib/process.scm 275 */
 obj_t BgL_auxz00_2237;
if(
PROCESSP(BgL_procz00_1841))
{ /* Llib/process.scm 275 */
BgL_auxz00_2237 = BgL_procz00_1841
; }  else 
{ 
 obj_t BgL_auxz00_2240;
BgL_auxz00_2240 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)11238)), BGl_string1709z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1841); 
FAILURE(BgL_auxz00_2240,BFALSE,BFALSE);} 
return 
BGl_closezd2processzd2portsz00zz__processz00(BgL_auxz00_2237);} } 

}



/* unregister-process */
BGL_EXPORTED_DEF obj_t BGl_unregisterzd2processzd2zz__processz00(obj_t BgL_procz00_19)
{
{ /* Llib/process.scm 284 */
BGL_TAIL return 
c_unregister_process(BgL_procz00_19);} 

}



/* &unregister-process */
obj_t BGl_z62unregisterzd2processzb0zz__processz00(obj_t BgL_envz00_1842, obj_t BgL_procz00_1843)
{
{ /* Llib/process.scm 284 */
{ /* Llib/process.scm 285 */
 obj_t BgL_auxz00_2246;
if(
PROCESSP(BgL_procz00_1843))
{ /* Llib/process.scm 285 */
BgL_auxz00_2246 = BgL_procz00_1843
; }  else 
{ 
 obj_t BgL_auxz00_2249;
BgL_auxz00_2249 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1667z00zz__processz00, 
BINT(((long)11710)), BGl_string1710z00zz__processz00, BGl_string1669z00zz__processz00, BgL_procz00_1843); 
FAILURE(BgL_auxz00_2249,BFALSE,BFALSE);} 
return 
BGl_unregisterzd2processzd2zz__processz00(BgL_auxz00_2246);} } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__processz00(void)
{
{ /* Llib/process.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)88804785), 
BSTRING_TO_STRING(BGl_string1711z00zz__processz00));} 

}

#ifdef __cplusplus
}
#endif
