/*===========================================================================*/
/*   (Llib/binary.scm)                                                       */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Llib/binary.scm -indent -o objs/obj_u/Llib/binary.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t, obj_t, obj_t);
	extern obj_t append_output_binary_file(obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__binaryz00 = BUNSPEC;
	BGL_EXPORTED_DECL obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t, int);
	static obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t,
		obj_t);
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__intextz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	extern int bgl_input_fill_string(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t);
	extern obj_t output_obj(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t,
		unsigned char);
	extern obj_t input_obj(obj_t);
	static obj_t BGl_genericzd2initzd2zz__binaryz00(void);
	extern obj_t bgl_flush_binary_port(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__binaryz00(void);
	extern obj_t open_input_binary_file(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_objectzd2initzd2zz__binaryz00(void);
	BGL_EXPORTED_DECL int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t,
		obj_t);
	extern obj_t bgl_input_string(obj_t, int);
	static obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t, obj_t);
	static obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t, obj_t, obj_t);
	static obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t, char);
	extern int bgl_output_string(obj_t, obj_t);
	static obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t);
	static obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__binaryz00(void);
	extern obj_t open_output_binary_file(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t);
	static obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t, obj_t);
	extern obj_t close_binary_port(obj_t);
	static obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t, obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2stringzd2envz00zz__binaryz00,
		BgL_bgl_za762inputza7d2strin1625z00, BGl_z62inputzd2stringzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_binaryzd2portzf3zd2envzf3zz__binaryz00,
		BgL_bgl_za762binaryza7d2port1626z00,
		BGl_z62binaryzd2portzf3z43zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2stringzd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2stri1627z00, BGl_z62outputzd2stringzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_flushzd2binaryzd2portzd2envzd2zz__binaryz00,
		BgL_bgl_za762flushza7d2binar1628z00,
		BGl_z62flushzd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_openzd2outputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl_za762openza7d2output1629z00,
		BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2charzd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2char1630z00, BGl_z62outputzd2charzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string1606z00zz__binaryz00,
		BgL_bgl_string1606za700za7za7_1631za7,
		"/tmp/bigloo/runtime/Llib/binary.scm", 35);
	      DEFINE_STRING(BGl_string1607z00zz__binaryz00,
		BgL_bgl_string1607za700za7za7_1632za7, "&open-output-binary-file", 24);
	      DEFINE_STRING(BGl_string1608z00zz__binaryz00,
		BgL_bgl_string1608za700za7za7_1633za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1609z00zz__binaryz00,
		BgL_bgl_string1609za700za7za7_1634za7, "&append-output-binary-file", 26);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2charzd2envz00zz__binaryz00,
		BgL_bgl_za762inputza7d2charza71635za7, BGl_z62inputzd2charzb0zz__binaryz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1610z00zz__binaryz00,
		BgL_bgl_string1610za700za7za7_1636za7, "&open-input-binary-file", 23);
	      DEFINE_STRING(BGl_string1611z00zz__binaryz00,
		BgL_bgl_string1611za700za7za7_1637za7, "&close-binary-port", 18);
	      DEFINE_STRING(BGl_string1612z00zz__binaryz00,
		BgL_bgl_string1612za700za7za7_1638za7, "binary-port", 11);
	      DEFINE_STRING(BGl_string1613z00zz__binaryz00,
		BgL_bgl_string1613za700za7za7_1639za7, "&flush-binary-port", 18);
	      DEFINE_STRING(BGl_string1614z00zz__binaryz00,
		BgL_bgl_string1614za700za7za7_1640za7, "&input-obj", 10);
	      DEFINE_STRING(BGl_string1615z00zz__binaryz00,
		BgL_bgl_string1615za700za7za7_1641za7, "&output-obj", 11);
	      DEFINE_STRING(BGl_string1616z00zz__binaryz00,
		BgL_bgl_string1616za700za7za7_1642za7, "&output-char", 12);
	      DEFINE_STRING(BGl_string1617z00zz__binaryz00,
		BgL_bgl_string1617za700za7za7_1643za7, "bchar", 5);
	      DEFINE_STRING(BGl_string1618z00zz__binaryz00,
		BgL_bgl_string1618za700za7za7_1644za7, "&output-byte", 12);
	      DEFINE_STRING(BGl_string1619z00zz__binaryz00,
		BgL_bgl_string1619za700za7za7_1645za7, "bint", 4);
	      DEFINE_STRING(BGl_string1620z00zz__binaryz00,
		BgL_bgl_string1620za700za7za7_1646za7, "&input-char", 11);
	      DEFINE_STRING(BGl_string1621z00zz__binaryz00,
		BgL_bgl_string1621za700za7za7_1647za7, "&output-string", 14);
	      DEFINE_STRING(BGl_string1622z00zz__binaryz00,
		BgL_bgl_string1622za700za7za7_1648za7, "&input-string", 13);
	      DEFINE_STRING(BGl_string1623z00zz__binaryz00,
		BgL_bgl_string1623za700za7za7_1649za7, "&input-fill-string!", 19);
	      DEFINE_STRING(BGl_string1624z00zz__binaryz00,
		BgL_bgl_string1624za700za7za7_1650za7, "__binary", 8);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2objzd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2objza71651za7, BGl_z62outputzd2objzb0zz__binaryz00,
		0L, BUNSPEC, 2);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_appendzd2outputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl_za762appendza7d2outp1652z00,
		BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inputzd2fillzd2stringz12zd2envzc0zz__binaryz00,
		BgL_bgl_za762inputza7d2fillza71653za7,
		BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00, 0L, BUNSPEC, 2);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_inputzd2objzd2envz00zz__binaryz00,
		BgL_bgl_za762inputza7d2objza7b1654za7, BGl_z62inputzd2objzb0zz__binaryz00,
		0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_closezd2binaryzd2portzd2envzd2zz__binaryz00,
		BgL_bgl_za762closeza7d2binar1655z00,
		BGl_z62closezd2binaryzd2portz62zz__binaryz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_openzd2inputzd2binaryzd2filezd2envz00zz__binaryz00,
		BgL_bgl_za762openza7d2inputza71656za7,
		BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00, 0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_outputzd2bytezd2envz00zz__binaryz00,
		BgL_bgl_za762outputza7d2byte1657z00, BGl_z62outputzd2bytezb0zz__binaryz00,
		0L, BUNSPEC, 2);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__binaryz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__binaryz00(long
		BgL_checksumz00_1920, char *BgL_fromz00_1921)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__binaryz00))
				{
					BGl_requirezd2initializa7ationz75zz__binaryz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__binaryz00();
					BGl_importedzd2moduleszd2initz00zz__binaryz00();
					return BGl_methodzd2initzd2zz__binaryz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__binaryz00(void)
	{
		{	/* Llib/binary.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* binary-port? */
	BGL_EXPORTED_DEF bool_t BGl_binaryzd2portzf3z21zz__binaryz00(obj_t
		BgL_objz00_3)
	{
		{	/* Llib/binary.scm 138 */
			return BINARY_PORTP(BgL_objz00_3);
		}

	}



/* &binary-port? */
	obj_t BGl_z62binaryzd2portzf3z43zz__binaryz00(obj_t BgL_envz00_1851,
		obj_t BgL_objz00_1852)
	{
		{	/* Llib/binary.scm 138 */
			return BBOOL(BGl_binaryzd2portzf3z21zz__binaryz00(BgL_objz00_1852));
		}

	}



/* open-output-binary-file */
	BGL_EXPORTED_DEF obj_t BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t
		BgL_strz00_4)
	{
		{	/* Llib/binary.scm 144 */
			BGL_TAIL return open_output_binary_file(BgL_strz00_4);
		}

	}



/* &open-output-binary-file */
	obj_t BGl_z62openzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t
		BgL_envz00_1853, obj_t BgL_strz00_1854)
	{
		{	/* Llib/binary.scm 144 */
			{	/* Llib/binary.scm 145 */
				obj_t BgL_auxz00_1933;

				if (STRINGP(BgL_strz00_1854))
					{	/* Llib/binary.scm 145 */
						BgL_auxz00_1933 = BgL_strz00_1854;
					}
				else
					{
						obj_t BgL_auxz00_1936;

						BgL_auxz00_1936 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 5623)), BGl_string1607z00zz__binaryz00,
							BGl_string1608z00zz__binaryz00, BgL_strz00_1854);
						FAILURE(BgL_auxz00_1936, BFALSE, BFALSE);
					}
				return
					BGl_openzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_1933);
			}
		}

	}



/* append-output-binary-file */
	BGL_EXPORTED_DEF obj_t
		BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(obj_t BgL_strz00_5)
	{
		{	/* Llib/binary.scm 150 */
			BGL_TAIL return append_output_binary_file(BgL_strz00_5);
		}

	}



/* &append-output-binary-file */
	obj_t BGl_z62appendzd2outputzd2binaryzd2filezb0zz__binaryz00(obj_t
		BgL_envz00_1855, obj_t BgL_strz00_1856)
	{
		{	/* Llib/binary.scm 150 */
			{	/* Llib/binary.scm 151 */
				obj_t BgL_auxz00_1942;

				if (STRINGP(BgL_strz00_1856))
					{	/* Llib/binary.scm 151 */
						BgL_auxz00_1942 = BgL_strz00_1856;
					}
				else
					{
						obj_t BgL_auxz00_1945;

						BgL_auxz00_1945 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 5921)), BGl_string1609z00zz__binaryz00,
							BGl_string1608z00zz__binaryz00, BgL_strz00_1856);
						FAILURE(BgL_auxz00_1945, BFALSE, BFALSE);
					}
				return
					BGl_appendzd2outputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_1942);
			}
		}

	}



/* open-input-binary-file */
	BGL_EXPORTED_DEF obj_t BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(obj_t
		BgL_strz00_6)
	{
		{	/* Llib/binary.scm 156 */
			BGL_TAIL return open_input_binary_file(BgL_strz00_6);
		}

	}



/* &open-input-binary-file */
	obj_t BGl_z62openzd2inputzd2binaryzd2filezb0zz__binaryz00(obj_t
		BgL_envz00_1857, obj_t BgL_strz00_1858)
	{
		{	/* Llib/binary.scm 156 */
			{	/* Llib/binary.scm 157 */
				obj_t BgL_auxz00_1951;

				if (STRINGP(BgL_strz00_1858))
					{	/* Llib/binary.scm 157 */
						BgL_auxz00_1951 = BgL_strz00_1858;
					}
				else
					{
						obj_t BgL_auxz00_1954;

						BgL_auxz00_1954 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 6218)), BGl_string1610z00zz__binaryz00,
							BGl_string1608z00zz__binaryz00, BgL_strz00_1858);
						FAILURE(BgL_auxz00_1954, BFALSE, BFALSE);
					}
				return
					BGl_openzd2inputzd2binaryzd2filezd2zz__binaryz00(BgL_auxz00_1951);
			}
		}

	}



/* close-binary-port */
	BGL_EXPORTED_DEF obj_t BGl_closezd2binaryzd2portz00zz__binaryz00(obj_t
		BgL_portz00_7)
	{
		{	/* Llib/binary.scm 162 */
			BGL_TAIL return close_binary_port(BgL_portz00_7);
		}

	}



/* &close-binary-port */
	obj_t BGl_z62closezd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1859,
		obj_t BgL_portz00_1860)
	{
		{	/* Llib/binary.scm 162 */
			{	/* Llib/binary.scm 163 */
				obj_t BgL_auxz00_1960;

				if (BINARY_PORTP(BgL_portz00_1860))
					{	/* Llib/binary.scm 163 */
						BgL_auxz00_1960 = BgL_portz00_1860;
					}
				else
					{
						obj_t BgL_auxz00_1963;

						BgL_auxz00_1963 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 6515)), BGl_string1611z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1860);
						FAILURE(BgL_auxz00_1963, BFALSE, BFALSE);
					}
				return BGl_closezd2binaryzd2portz00zz__binaryz00(BgL_auxz00_1960);
			}
		}

	}



/* flush-binary-port */
	BGL_EXPORTED_DEF obj_t BGl_flushzd2binaryzd2portz00zz__binaryz00(obj_t
		BgL_portz00_8)
	{
		{	/* Llib/binary.scm 168 */
			BGL_TAIL return bgl_flush_binary_port(BgL_portz00_8);
		}

	}



/* &flush-binary-port */
	obj_t BGl_z62flushzd2binaryzd2portz62zz__binaryz00(obj_t BgL_envz00_1861,
		obj_t BgL_portz00_1862)
	{
		{	/* Llib/binary.scm 168 */
			{	/* Llib/binary.scm 169 */
				obj_t BgL_auxz00_1969;

				if (BINARY_PORTP(BgL_portz00_1862))
					{	/* Llib/binary.scm 169 */
						BgL_auxz00_1969 = BgL_portz00_1862;
					}
				else
					{
						obj_t BgL_auxz00_1972;

						BgL_auxz00_1972 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 6808)), BGl_string1613z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1862);
						FAILURE(BgL_auxz00_1972, BFALSE, BFALSE);
					}
				return BGl_flushzd2binaryzd2portz00zz__binaryz00(BgL_auxz00_1969);
			}
		}

	}



/* input-obj */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2objzd2zz__binaryz00(obj_t BgL_portz00_9)
	{
		{	/* Llib/binary.scm 174 */
			BGL_TAIL return input_obj(BgL_portz00_9);
		}

	}



/* &input-obj */
	obj_t BGl_z62inputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1863,
		obj_t BgL_portz00_1864)
	{
		{	/* Llib/binary.scm 174 */
			{	/* Llib/binary.scm 175 */
				obj_t BgL_auxz00_1978;

				if (BINARY_PORTP(BgL_portz00_1864))
					{	/* Llib/binary.scm 175 */
						BgL_auxz00_1978 = BgL_portz00_1864;
					}
				else
					{
						obj_t BgL_auxz00_1981;

						BgL_auxz00_1981 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 7093)), BGl_string1614z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1864);
						FAILURE(BgL_auxz00_1981, BFALSE, BFALSE);
					}
				return BGl_inputzd2objzd2zz__binaryz00(BgL_auxz00_1978);
			}
		}

	}



/* output-obj */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2objzd2zz__binaryz00(obj_t BgL_portz00_10,
		obj_t BgL_objz00_11)
	{
		{	/* Llib/binary.scm 180 */
			BGL_TAIL return output_obj(BgL_portz00_10, BgL_objz00_11);
		}

	}



/* &output-obj */
	obj_t BGl_z62outputzd2objzb0zz__binaryz00(obj_t BgL_envz00_1865,
		obj_t BgL_portz00_1866, obj_t BgL_objz00_1867)
	{
		{	/* Llib/binary.scm 180 */
			{	/* Llib/binary.scm 181 */
				obj_t BgL_auxz00_1987;

				if (BINARY_PORTP(BgL_portz00_1866))
					{	/* Llib/binary.scm 181 */
						BgL_auxz00_1987 = BgL_portz00_1866;
					}
				else
					{
						obj_t BgL_auxz00_1990;

						BgL_auxz00_1990 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 7375)), BGl_string1615z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1866);
						FAILURE(BgL_auxz00_1990, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2objzd2zz__binaryz00(BgL_auxz00_1987, BgL_objz00_1867);
			}
		}

	}



/* output-char */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2charzd2zz__binaryz00(obj_t BgL_portz00_12,
		unsigned char BgL_charz00_13)
	{
		{	/* Llib/binary.scm 186 */
			return BGL_OUTPUT_CHAR(BgL_portz00_12, BgL_charz00_13);
		}

	}



/* &output-char */
	obj_t BGl_z62outputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1868,
		obj_t BgL_portz00_1869, obj_t BgL_charz00_1870)
	{
		{	/* Llib/binary.scm 186 */
			{	/* Llib/binary.scm 187 */
				unsigned char BgL_auxz00_2003;
				obj_t BgL_auxz00_1996;

				{	/* Llib/binary.scm 187 */
					obj_t BgL_tmpz00_2004;

					if (CHARP(BgL_charz00_1870))
						{	/* Llib/binary.scm 187 */
							BgL_tmpz00_2004 = BgL_charz00_1870;
						}
					else
						{
							obj_t BgL_auxz00_2007;

							BgL_auxz00_2007 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
								BINT(((long) 7669)), BGl_string1616z00zz__binaryz00,
								BGl_string1617z00zz__binaryz00, BgL_charz00_1870);
							FAILURE(BgL_auxz00_2007, BFALSE, BFALSE);
						}
					BgL_auxz00_2003 = CCHAR(BgL_tmpz00_2004);
				}
				if (BINARY_PORTP(BgL_portz00_1869))
					{	/* Llib/binary.scm 187 */
						BgL_auxz00_1996 = BgL_portz00_1869;
					}
				else
					{
						obj_t BgL_auxz00_1999;

						BgL_auxz00_1999 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 7669)), BGl_string1616z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1869);
						FAILURE(BgL_auxz00_1999, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2charzd2zz__binaryz00(BgL_auxz00_1996, BgL_auxz00_2003);
			}
		}

	}



/* output-byte */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2bytezd2zz__binaryz00(obj_t BgL_portz00_14,
		char BgL_charz00_15)
	{
		{	/* Llib/binary.scm 192 */
			return BGL_OUTPUT_CHAR(BgL_portz00_14, BgL_charz00_15);
		}

	}



/* &output-byte */
	obj_t BGl_z62outputzd2bytezb0zz__binaryz00(obj_t BgL_envz00_1871,
		obj_t BgL_portz00_1872, obj_t BgL_charz00_1873)
	{
		{	/* Llib/binary.scm 192 */
			{	/* Llib/binary.scm 193 */
				char BgL_auxz00_2021;
				obj_t BgL_auxz00_2014;

				{	/* Llib/binary.scm 193 */
					obj_t BgL_tmpz00_2022;

					if (INTEGERP(BgL_charz00_1873))
						{	/* Llib/binary.scm 193 */
							BgL_tmpz00_2022 = BgL_charz00_1873;
						}
					else
						{
							obj_t BgL_auxz00_2025;

							BgL_auxz00_2025 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
								BINT(((long) 7960)), BGl_string1618z00zz__binaryz00,
								BGl_string1619z00zz__binaryz00, BgL_charz00_1873);
							FAILURE(BgL_auxz00_2025, BFALSE, BFALSE);
						}
					BgL_auxz00_2021 = (signed char) CINT(BgL_tmpz00_2022);
				}
				if (BINARY_PORTP(BgL_portz00_1872))
					{	/* Llib/binary.scm 193 */
						BgL_auxz00_2014 = BgL_portz00_1872;
					}
				else
					{
						obj_t BgL_auxz00_2017;

						BgL_auxz00_2017 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 7960)), BGl_string1618z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1872);
						FAILURE(BgL_auxz00_2017, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2bytezd2zz__binaryz00(BgL_auxz00_2014, BgL_auxz00_2021);
			}
		}

	}



/* input-char */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2charzd2zz__binaryz00(obj_t BgL_portz00_16)
	{
		{	/* Llib/binary.scm 198 */
			{	/* Llib/binary.scm 199 */
				int BgL_charz00_1919;

				BgL_charz00_1919 = BGL_INPUT_CHAR(BgL_portz00_16);
				if (BGL_INT_EOFP(BgL_charz00_1919))
					{	/* Llib/binary.scm 200 */
						return BEOF;
					}
				else
					{	/* Llib/binary.scm 200 */
						return BCHAR(((long) (BgL_charz00_1919)));
		}}}

	}



/* &input-char */
	obj_t BGl_z62inputzd2charzb0zz__binaryz00(obj_t BgL_envz00_1874,
		obj_t BgL_portz00_1875)
	{
		{	/* Llib/binary.scm 198 */
			{	/* Llib/binary.scm 199 */
				obj_t BgL_auxz00_2037;

				if (BINARY_PORTP(BgL_portz00_1875))
					{	/* Llib/binary.scm 199 */
						BgL_auxz00_2037 = BgL_portz00_1875;
					}
				else
					{
						obj_t BgL_auxz00_2040;

						BgL_auxz00_2040 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 8245)), BGl_string1620z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1875);
						FAILURE(BgL_auxz00_2040, BFALSE, BFALSE);
					}
				return BGl_inputzd2charzd2zz__binaryz00(BgL_auxz00_2037);
			}
		}

	}



/* output-string */
	BGL_EXPORTED_DEF obj_t BGl_outputzd2stringzd2zz__binaryz00(obj_t
		BgL_portz00_17, obj_t BgL_stringz00_18)
	{
		{	/* Llib/binary.scm 207 */
			return BINT(bgl_output_string(BgL_portz00_17, BgL_stringz00_18));
		}

	}



/* &output-string */
	obj_t BGl_z62outputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1876,
		obj_t BgL_portz00_1877, obj_t BgL_stringz00_1878)
	{
		{	/* Llib/binary.scm 207 */
			{	/* Llib/binary.scm 208 */
				obj_t BgL_auxz00_2054;
				obj_t BgL_auxz00_2047;

				if (STRINGP(BgL_stringz00_1878))
					{	/* Llib/binary.scm 208 */
						BgL_auxz00_2054 = BgL_stringz00_1878;
					}
				else
					{
						obj_t BgL_auxz00_2057;

						BgL_auxz00_2057 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 8609)), BGl_string1621z00zz__binaryz00,
							BGl_string1608z00zz__binaryz00, BgL_stringz00_1878);
						FAILURE(BgL_auxz00_2057, BFALSE, BFALSE);
					}
				if (BINARY_PORTP(BgL_portz00_1877))
					{	/* Llib/binary.scm 208 */
						BgL_auxz00_2047 = BgL_portz00_1877;
					}
				else
					{
						obj_t BgL_auxz00_2050;

						BgL_auxz00_2050 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 8609)), BGl_string1621z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1877);
						FAILURE(BgL_auxz00_2050, BFALSE, BFALSE);
					}
				return
					BGl_outputzd2stringzd2zz__binaryz00(BgL_auxz00_2047, BgL_auxz00_2054);
			}
		}

	}



/* input-string */
	BGL_EXPORTED_DEF obj_t BGl_inputzd2stringzd2zz__binaryz00(obj_t
		BgL_portz00_19, int BgL_lenz00_20)
	{
		{	/* Llib/binary.scm 213 */
			BGL_TAIL return bgl_input_string(BgL_portz00_19, BgL_lenz00_20);
		}

	}



/* &input-string */
	obj_t BGl_z62inputzd2stringzb0zz__binaryz00(obj_t BgL_envz00_1879,
		obj_t BgL_portz00_1880, obj_t BgL_lenz00_1881)
	{
		{	/* Llib/binary.scm 213 */
			{	/* Llib/binary.scm 214 */
				int BgL_auxz00_2070;
				obj_t BgL_auxz00_2063;

				{	/* Llib/binary.scm 214 */
					obj_t BgL_tmpz00_2071;

					if (INTEGERP(BgL_lenz00_1881))
						{	/* Llib/binary.scm 214 */
							BgL_tmpz00_2071 = BgL_lenz00_1881;
						}
					else
						{
							obj_t BgL_auxz00_2074;

							BgL_auxz00_2074 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
								BINT(((long) 8904)), BGl_string1622z00zz__binaryz00,
								BGl_string1619z00zz__binaryz00, BgL_lenz00_1881);
							FAILURE(BgL_auxz00_2074, BFALSE, BFALSE);
						}
					BgL_auxz00_2070 = CINT(BgL_tmpz00_2071);
				}
				if (BINARY_PORTP(BgL_portz00_1880))
					{	/* Llib/binary.scm 214 */
						BgL_auxz00_2063 = BgL_portz00_1880;
					}
				else
					{
						obj_t BgL_auxz00_2066;

						BgL_auxz00_2066 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
							BINT(((long) 8904)), BGl_string1622z00zz__binaryz00,
							BGl_string1612z00zz__binaryz00, BgL_portz00_1880);
						FAILURE(BgL_auxz00_2066, BFALSE, BFALSE);
					}
				return
					BGl_inputzd2stringzd2zz__binaryz00(BgL_auxz00_2063, BgL_auxz00_2070);
			}
		}

	}



/* input-fill-string! */
	BGL_EXPORTED_DEF int BGl_inputzd2fillzd2stringz12z12zz__binaryz00(obj_t
		BgL_portz00_21, obj_t BgL_strz00_22)
	{
		{	/* Llib/binary.scm 219 */
			BGL_TAIL return bgl_input_fill_string(BgL_portz00_21, BgL_strz00_22);
		}

	}



/* &input-fill-string! */
	obj_t BGl_z62inputzd2fillzd2stringz12z70zz__binaryz00(obj_t BgL_envz00_1882,
		obj_t BgL_portz00_1883, obj_t BgL_strz00_1884)
	{
		{	/* Llib/binary.scm 219 */
			{	/* Llib/binary.scm 220 */
				int BgL_tmpz00_2081;

				{	/* Llib/binary.scm 220 */
					obj_t BgL_auxz00_2089;
					obj_t BgL_auxz00_2082;

					if (STRINGP(BgL_strz00_1884))
						{	/* Llib/binary.scm 220 */
							BgL_auxz00_2089 = BgL_strz00_1884;
						}
					else
						{
							obj_t BgL_auxz00_2092;

							BgL_auxz00_2092 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
								BINT(((long) 9201)), BGl_string1623z00zz__binaryz00,
								BGl_string1608z00zz__binaryz00, BgL_strz00_1884);
							FAILURE(BgL_auxz00_2092, BFALSE, BFALSE);
						}
					if (BINARY_PORTP(BgL_portz00_1883))
						{	/* Llib/binary.scm 220 */
							BgL_auxz00_2082 = BgL_portz00_1883;
						}
					else
						{
							obj_t BgL_auxz00_2085;

							BgL_auxz00_2085 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1606z00zz__binaryz00,
								BINT(((long) 9201)), BGl_string1623z00zz__binaryz00,
								BGl_string1612z00zz__binaryz00, BgL_portz00_1883);
							FAILURE(BgL_auxz00_2085, BFALSE, BFALSE);
						}
					BgL_tmpz00_2081 =
						BGl_inputzd2fillzd2stringz12z12zz__binaryz00(BgL_auxz00_2082,
						BgL_auxz00_2089);
				}
				return BINT(BgL_tmpz00_2081);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__binaryz00(void)
	{
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__binaryz00(void)
	{
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__binaryz00(void)
	{
		{	/* Llib/binary.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__binaryz00(void)
	{
		{	/* Llib/binary.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1624z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__intextz00(((long) 6305717),
				BSTRING_TO_STRING(BGl_string1624z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1624z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(((long) 43287392),
				BSTRING_TO_STRING(BGl_string1624z00zz__binaryz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 475449627),
				BSTRING_TO_STRING(BGl_string1624z00zz__binaryz00));
			return
				BGl_modulezd2initializa7ationz75zz__threadz00(((long) 224967693),
				BSTRING_TO_STRING(BGl_string1624z00zz__binaryz00));
		}

	}

#ifdef __cplusplus
}
#endif
