/*===========================================================================*/
/*   (Unsafe/kmp.scm)                                                        */
/*   Bigloo (4.5a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 30 07:45:17 AM CET 2022     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.5a/bin/bigloo -ldopt -L/home/serrano/prgm/project/bigloo/4.5a/libbacktrace/home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a  -srfi enable-gmp -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -rm -copt -w -lib-dir /home/serrano/prgm/project/bigloo/4.5a/lib/bigloo/4.5a -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -c Unsafe/kmp.scm -indent -o objs/obj_u/Unsafe/kmp.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
	static obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t, obj_t);
	static obj_t BGl_cnstzd2initzd2zz__kmpz00(void);
	static obj_t BGl_genericzd2initzd2zz__kmpz00(void);
	static obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void);
	static obj_t BGl_objectzd2initzd2zz__kmpz00(void);
	BGL_EXPORTED_DECL obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2stringzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t bstring_to_symbol(obj_t);
	BGL_EXPORTED_DECL long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t, obj_t, long);
	extern obj_t make_vector(long, obj_t);
	static obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t, obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1703z00zz__kmpz00 = BUNSPEC;
	static obj_t BGl_methodzd2initzd2zz__kmpz00(void);
	extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1705z00zz__kmpz00 = BUNSPEC;
	extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_STRING(BGl_string1700z00zz__kmpz00,
		BgL_bgl_string1700za700za7za7_1715za7, "bstring", 7);
	      DEFINE_STRING(BGl_string1701z00zz__kmpz00,
		BgL_bgl_string1701za700za7za7_1716za7, "kmp-mmap", 8);
	      DEFINE_STRING(BGl_string1702z00zz__kmpz00,
		BgL_bgl_string1702za700za7za7_1717za7, "Illegal kmp-table", 17);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2stringzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2stringza71718za7, BGl_z62kmpzd2stringzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_STRING(BGl_string1704z00zz__kmpz00,
		BgL_bgl_string1704za700za7za7_1719za7, "string", 6);
	      DEFINE_STRING(BGl_string1706z00zz__kmpz00,
		BgL_bgl_string1706za700za7za7_1720za7, "vector", 6);
	      DEFINE_STRING(BGl_string1707z00zz__kmpz00,
		BgL_bgl_string1707za700za7za7_1721za7, "&kmp-mmap", 9);
	      DEFINE_STRING(BGl_string1708z00zz__kmpz00,
		BgL_bgl_string1708za700za7za7_1722za7, "pair", 4);
	      DEFINE_STRING(BGl_string1709z00zz__kmpz00,
		BgL_bgl_string1709za700za7za7_1723za7, "mmap", 4);
	      DEFINE_STRING(BGl_string1710z00zz__kmpz00,
		BgL_bgl_string1710za700za7za7_1724za7, "belong", 6);
	      DEFINE_STRING(BGl_string1711z00zz__kmpz00,
		BgL_bgl_string1711za700za7za7_1725za7, "kmp-string", 10);
	      DEFINE_STRING(BGl_string1712z00zz__kmpz00,
		BgL_bgl_string1712za700za7za7_1726za7, "&kmp-string", 11);
	      DEFINE_STRING(BGl_string1713z00zz__kmpz00,
		BgL_bgl_string1713za700za7za7_1727za7, "bint", 4);
	      DEFINE_STRING(BGl_string1714z00zz__kmpz00,
		BgL_bgl_string1714za700za7za7_1728za7, "__kmp", 5);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2mmapzd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2mmapza7b01729za7, BGl_z62kmpzd2mmapzb0zz__kmpz00, 0L,
		BUNSPEC, 3);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_kmpzd2tablezd2envz00zz__kmpz00,
		BgL_bgl_za762kmpza7d2tableza7b1730za7, BGl_z62kmpzd2tablezb0zz__kmpz00, 0L,
		BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1698z00zz__kmpz00,
		BgL_bgl_string1698za700za7za7_1731za7, "/tmp/bigloo/runtime/Unsafe/kmp.scm",
		34);
	      DEFINE_STRING(BGl_string1699z00zz__kmpz00,
		BgL_bgl_string1699za700za7za7_1732za7, "&kmp-table", 10);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__kmpz00));
		     ADD_ROOT((void *) (&BGl_symbol1703z00zz__kmpz00));
		     ADD_ROOT((void *) (&BGl_symbol1705z00zz__kmpz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__kmpz00(long
		BgL_checksumz00_1978, char *BgL_fromz00_1979)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__kmpz00))
				{
					BGl_requirezd2initializa7ationz75zz__kmpz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zz__kmpz00();
					BGl_cnstzd2initzd2zz__kmpz00();
					BGl_importedzd2moduleszd2initz00zz__kmpz00();
					return BGl_methodzd2initzd2zz__kmpz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			BGl_symbol1703z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1704z00zz__kmpz00);
			return (BGl_symbol1705z00zz__kmpz00 =
				bstring_to_symbol(BGl_string1706z00zz__kmpz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* kmp-table */
	BGL_EXPORTED_DEF obj_t BGl_kmpzd2tablezd2zz__kmpz00(obj_t BgL_pz00_3)
	{
		{	/* Unsafe/kmp.scm 52 */
			{	/* Unsafe/kmp.scm 53 */
				long BgL_lpz00_1125;

				BgL_lpz00_1125 = STRING_LENGTH(BgL_pz00_3);
				{	/* Unsafe/kmp.scm 53 */
					obj_t BgL_tz00_1126;

					BgL_tz00_1126 =
						make_vector((BgL_lpz00_1125 + ((long) 2)), BINT(((long) 0)));
					{	/* Unsafe/kmp.scm 54 */
						long BgL_iz00_1127;

						BgL_iz00_1127 = ((long) 0);
						{	/* Unsafe/kmp.scm 55 */
							obj_t BgL_jz00_1128;

							BgL_jz00_1128 = BINT(((long) -1));
							{	/* Unsafe/kmp.scm 56 */
								unsigned char BgL_cz00_1129;

								BgL_cz00_1129 = ((unsigned char) '\000');
								{	/* Unsafe/kmp.scm 57 */

									VECTOR_SET(BgL_tz00_1126, ((long) 0), BgL_jz00_1128);
									{

									BgL_zc3z04anonymousza31168ze3z87_1131:
										if ((BgL_iz00_1127 < BgL_lpz00_1125))
											{	/* Unsafe/kmp.scm 60 */
												{	/* Unsafe/kmp.scm 62 */
													bool_t BgL_test1735z00_1998;

													{	/* Unsafe/kmp.scm 62 */
														unsigned char BgL_char2z00_1670;

														BgL_char2z00_1670 = BgL_cz00_1129;
														BgL_test1735z00_1998 =
															(STRING_REF(BgL_pz00_3,
																BgL_iz00_1127) == BgL_char2z00_1670);
													}
													if (BgL_test1735z00_1998)
														{	/* Unsafe/kmp.scm 62 */
															{	/* Unsafe/kmp.scm 63 */
																long BgL_arg1176z00_1135;
																long BgL_arg1182z00_1136;

																BgL_arg1176z00_1135 =
																	(BgL_iz00_1127 + ((long) 1));
																BgL_arg1182z00_1136 =
																	((long) CINT(BgL_jz00_1128) + ((long) 1));
																VECTOR_SET(BgL_tz00_1126, BgL_arg1176z00_1135,
																	BINT(BgL_arg1182z00_1136));
															}
															BgL_jz00_1128 =
																ADDFX(BgL_jz00_1128, BINT(((long) 1)));
															BgL_iz00_1127 = (BgL_iz00_1127 + ((long) 1));
														}
													else
														{	/* Unsafe/kmp.scm 62 */
															if (((long) CINT(BgL_jz00_1128) > ((long) 0)))
																{	/* Unsafe/kmp.scm 66 */
																	BgL_jz00_1128 =
																		VECTOR_REF(BgL_tz00_1126,
																		(long) CINT(BgL_jz00_1128));
																}
															else
																{	/* Unsafe/kmp.scm 66 */
																	VECTOR_SET(BgL_tz00_1126,
																		(BgL_iz00_1127 + ((long) 1)),
																		BINT(((long) 0)));
																	BgL_iz00_1127 = (BgL_iz00_1127 + ((long) 1));
																	BgL_jz00_1128 = BINT(((long) 0));
												}}}
												BgL_cz00_1129 =
													STRING_REF(BgL_pz00_3, (long) CINT(BgL_jz00_1128));
												goto BgL_zc3z04anonymousza31168ze3z87_1131;
											}
										else
											{	/* Unsafe/kmp.scm 60 */
												((bool_t) 0);
											}
									}
									return MAKE_YOUNG_PAIR(BgL_tz00_1126, BgL_pz00_3);
								}
							}
						}
					}
				}
			}
		}

	}



/* &kmp-table */
	obj_t BGl_z62kmpzd2tablezb0zz__kmpz00(obj_t BgL_envz00_1955,
		obj_t BgL_pz00_1956)
	{
		{	/* Unsafe/kmp.scm 52 */
			{	/* Unsafe/kmp.scm 53 */
				obj_t BgL_auxz00_2022;

				if (STRINGP(BgL_pz00_1956))
					{	/* Unsafe/kmp.scm 53 */
						BgL_auxz00_2022 = BgL_pz00_1956;
					}
				else
					{
						obj_t BgL_auxz00_2025;

						BgL_auxz00_2025 =
							BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
							BINT(((long) 1837)), BGl_string1699z00zz__kmpz00,
							BGl_string1700z00zz__kmpz00, BgL_pz00_1956);
						FAILURE(BgL_auxz00_2025, BFALSE, BFALSE);
					}
				return BGl_kmpzd2tablezd2zz__kmpz00(BgL_auxz00_2022);
			}
		}

	}



/* kmp-mmap */
	BGL_EXPORTED_DEF long BGl_kmpzd2mmapzd2zz__kmpz00(obj_t BgL_tpz00_4,
		obj_t BgL_mmz00_5, long BgL_mz00_6)
	{
		{	/* Unsafe/kmp.scm 79 */
			{	/* Unsafe/kmp.scm 81 */
				bool_t BgL_test1738z00_2030;

				{	/* Unsafe/kmp.scm 81 */
					obj_t BgL_tmpz00_2031;

					BgL_tmpz00_2031 = CAR(BgL_tpz00_4);
					BgL_test1738z00_2030 = VECTORP(BgL_tmpz00_2031);
				}
				if (BgL_test1738z00_2030)
					{	/* Unsafe/kmp.scm 83 */
						bool_t BgL_test1739z00_2034;

						{	/* Unsafe/kmp.scm 83 */
							obj_t BgL_tmpz00_2035;

							BgL_tmpz00_2035 = CDR(BgL_tpz00_4);
							BgL_test1739z00_2034 = STRINGP(BgL_tmpz00_2035);
						}
						if (BgL_test1739z00_2034)
							{	/* Unsafe/kmp.scm 85 */
								bool_t BgL_test1740z00_2038;

								{	/* Unsafe/kmp.scm 85 */
									long BgL_arg1242z00_1178;
									long BgL_arg1244z00_1179;

									{	/* Unsafe/kmp.scm 85 */
										obj_t BgL_arg1260z00_1180;

										BgL_arg1260z00_1180 = CAR(BgL_tpz00_4);
										BgL_arg1242z00_1178 =
											VECTOR_LENGTH(((obj_t) BgL_arg1260z00_1180));
									}
									BgL_arg1244z00_1179 =
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_4)));
									BgL_test1740z00_2038 =
										(BgL_arg1242z00_1178 == BgL_arg1244z00_1179);
								}
								if (BgL_test1740z00_2038)
									{	/* Unsafe/kmp.scm 88 */
										obj_t BgL_tz00_1152;

										BgL_tz00_1152 = CAR(BgL_tpz00_4);
										{	/* Unsafe/kmp.scm 88 */
											obj_t BgL_pz00_1153;

											BgL_pz00_1153 = CDR(BgL_tpz00_4);
											{	/* Unsafe/kmp.scm 89 */
												long BgL_lsz00_1154;

												BgL_lsz00_1154 = BGL_MMAP_LENGTH(BgL_mmz00_5);
												{	/* Unsafe/kmp.scm 90 */
													long BgL_lpz00_1155;

													{	/* Unsafe/kmp.scm 91 */
														long BgL_arg1241z00_1177;

														BgL_arg1241z00_1177 =
															STRING_LENGTH(((obj_t) BgL_pz00_1153));
														BgL_lpz00_1155 = (long) (BgL_arg1241z00_1177);
													}
													{	/* Unsafe/kmp.scm 91 */

														{
															long BgL_iz00_1157;

															BgL_iz00_1157 = ((long) 0);
														BgL_zc3z04anonymousza31205ze3z87_1158:
															if ((BgL_iz00_1157 == BgL_lpz00_1155))
																{	/* Unsafe/kmp.scm 94 */
																	return BgL_mz00_6;
																}
															else
																{	/* Unsafe/kmp.scm 94 */
																	if (
																		((BgL_iz00_1157 + BgL_mz00_6) >=
																			BgL_lsz00_1154))
																		{	/* Unsafe/kmp.scm 96 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 99 */
																			long BgL_fiz00_1162;

																			BgL_fiz00_1162 = (long) (BgL_iz00_1157);
																			{	/* Unsafe/kmp.scm 100 */
																				bool_t BgL_test1743z00_2058;

																				{	/* Unsafe/kmp.scm 100 */
																					unsigned char BgL_arg1228z00_1172;
																					unsigned char BgL_arg1235z00_1173;

																					{	/* Unsafe/kmp.scm 100 */
																						long BgL_arg1239z00_1174;

																						BgL_arg1239z00_1174 =
																							(BgL_iz00_1157 + BgL_mz00_6);
																						{	/* Unsafe/kmp.scm 100 */
																							unsigned char BgL_res1683z00_1717;

																							{	/* Unsafe/kmp.scm 100 */
																								unsigned char BgL_cz00_1711;

																								BgL_cz00_1711 =
																									BGL_MMAP_REF(BgL_mmz00_5,
																									BgL_arg1239z00_1174);
																								{	/* Unsafe/kmp.scm 100 */
																									long BgL_arg1677z00_1712;

																									BgL_arg1677z00_1712 =
																										(BgL_arg1239z00_1174 +
																										((long) 1));
																									BGL_MMAP_RP_SET(BgL_mmz00_5,
																										BgL_arg1677z00_1712);
																									BUNSPEC;
																									BgL_arg1677z00_1712;
																								}
																								BgL_res1683z00_1717 =
																									BgL_cz00_1711;
																							}
																							BgL_arg1228z00_1172 =
																								BgL_res1683z00_1717;
																					}}
																					BgL_arg1235z00_1173 =
																						STRING_REF(
																						((obj_t) BgL_pz00_1153),
																						BgL_fiz00_1162);
																					BgL_test1743z00_2058 =
																						(BgL_arg1228z00_1172 ==
																						BgL_arg1235z00_1173);
																				}
																				if (BgL_test1743z00_2058)
																					{
																						long BgL_iz00_2066;

																						BgL_iz00_2066 =
																							(BgL_iz00_1157 + ((long) 1));
																						BgL_iz00_1157 = BgL_iz00_2066;
																						goto
																							BgL_zc3z04anonymousza31205ze3z87_1158;
																					}
																				else
																					{	/* Unsafe/kmp.scm 102 */
																						long BgL_tiz00_1168;

																						{	/* Unsafe/kmp.scm 102 */
																							obj_t BgL_arg1226z00_1171;

																							BgL_arg1226z00_1171 =
																								VECTOR_REF(
																								((obj_t) BgL_tz00_1152),
																								BgL_fiz00_1162);
																							{	/* Unsafe/kmp.scm 102 */
																								long BgL_tmpz00_2070;

																								BgL_tmpz00_2070 =
																									(long)
																									CINT(BgL_arg1226z00_1171);
																								BgL_tiz00_1168 =
																									(long) (BgL_tmpz00_2070);
																						}}
																						{	/* Unsafe/kmp.scm 103 */
																							long BgL_za71za7_1730;

																							BgL_za71za7_1730 = BgL_mz00_6;
																							{	/* Unsafe/kmp.scm 103 */
																								long BgL_tmpz00_2073;

																								{	/* Unsafe/kmp.scm 103 */
																									long BgL_res1684z00_1729;

																									{	/* Unsafe/kmp.scm 103 */
																										long BgL_tmpz00_2074;

																										BgL_tmpz00_2074 =
																											(BgL_iz00_1157 -
																											BgL_tiz00_1168);
																										BgL_res1684z00_1729 =
																											(long) (BgL_tmpz00_2074);
																									}
																									BgL_tmpz00_2073 =
																										BgL_res1684z00_1729;
																								}
																								BgL_mz00_6 =
																									(BgL_za71za7_1730 +
																									BgL_tmpz00_2073);
																						}}
																						if ((BgL_iz00_1157 > ((long) 0)))
																							{
																								long BgL_iz00_2080;

																								BgL_iz00_2080 = BgL_tiz00_1168;
																								BgL_iz00_1157 = BgL_iz00_2080;
																								goto
																									BgL_zc3z04anonymousza31205ze3z87_1158;
																							}
																						else
																							{

																								goto
																									BgL_zc3z04anonymousza31205ze3z87_1158;
																							}
																					}
																			}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 86 */
										obj_t BgL_tmpz00_2081;

										BgL_tmpz00_2081 =
											BGl_errorz00zz__errorz00(BGl_string1701z00zz__kmpz00,
											BGl_string1702z00zz__kmpz00, BgL_tpz00_4);
										return BELONG_TO_LONG(BgL_tmpz00_2081);
									}
							}
						else
							{	/* Unsafe/kmp.scm 84 */
								obj_t BgL_arg1263z00_1183;

								BgL_arg1263z00_1183 = CDR(BgL_tpz00_4);
								{	/* Unsafe/kmp.scm 84 */
									obj_t BgL_tmpz00_2085;

									BgL_tmpz00_2085 =
										BGl_bigloozd2typezd2errorz00zz__errorz00
										(BGl_string1701z00zz__kmpz00, BGl_symbol1703z00zz__kmpz00,
										BgL_arg1263z00_1183);
									return BELONG_TO_LONG(BgL_tmpz00_2085);
								}
							}
					}
				else
					{	/* Unsafe/kmp.scm 82 */
						obj_t BgL_arg1265z00_1185;

						BgL_arg1265z00_1185 = CAR(BgL_tpz00_4);
						{	/* Unsafe/kmp.scm 82 */
							obj_t BgL_tmpz00_2089;

							BgL_tmpz00_2089 =
								BGl_bigloozd2typezd2errorz00zz__errorz00
								(BGl_string1701z00zz__kmpz00, BGl_symbol1705z00zz__kmpz00,
								BgL_arg1265z00_1185);
							return BELONG_TO_LONG(BgL_tmpz00_2089);
						}
					}
			}
		}

	}



/* &kmp-mmap */
	obj_t BGl_z62kmpzd2mmapzb0zz__kmpz00(obj_t BgL_envz00_1957,
		obj_t BgL_tpz00_1958, obj_t BgL_mmz00_1959, obj_t BgL_mz00_1960)
	{
		{	/* Unsafe/kmp.scm 79 */
			{	/* Unsafe/kmp.scm 81 */
				long BgL_tmpz00_2092;

				{	/* Unsafe/kmp.scm 81 */
					long BgL_auxz00_2107;
					obj_t BgL_auxz00_2100;
					obj_t BgL_auxz00_2093;

					{	/* Unsafe/kmp.scm 81 */
						obj_t BgL_tmpz00_2108;

						if (ELONGP(BgL_mz00_1960))
							{	/* Unsafe/kmp.scm 81 */
								BgL_tmpz00_2108 = BgL_mz00_1960;
							}
						else
							{
								obj_t BgL_auxz00_2111;

								BgL_auxz00_2111 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
									BINT(((long) 2586)), BGl_string1707z00zz__kmpz00,
									BGl_string1710z00zz__kmpz00, BgL_mz00_1960);
								FAILURE(BgL_auxz00_2111, BFALSE, BFALSE);
							}
						BgL_auxz00_2107 = BELONG_TO_LONG(BgL_tmpz00_2108);
					}
					if (BGL_MMAPP(BgL_mmz00_1959))
						{	/* Unsafe/kmp.scm 81 */
							BgL_auxz00_2100 = BgL_mmz00_1959;
						}
					else
						{
							obj_t BgL_auxz00_2103;

							BgL_auxz00_2103 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
								BINT(((long) 2586)), BGl_string1707z00zz__kmpz00,
								BGl_string1709z00zz__kmpz00, BgL_mmz00_1959);
							FAILURE(BgL_auxz00_2103, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1958))
						{	/* Unsafe/kmp.scm 81 */
							BgL_auxz00_2093 = BgL_tpz00_1958;
						}
					else
						{
							obj_t BgL_auxz00_2096;

							BgL_auxz00_2096 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
								BINT(((long) 2586)), BGl_string1707z00zz__kmpz00,
								BGl_string1708z00zz__kmpz00, BgL_tpz00_1958);
							FAILURE(BgL_auxz00_2096, BFALSE, BFALSE);
						}
					BgL_tmpz00_2092 =
						BGl_kmpzd2mmapzd2zz__kmpz00(BgL_auxz00_2093, BgL_auxz00_2100,
						BgL_auxz00_2107);
				}
				return make_belong(BgL_tmpz00_2092);
			}
		}

	}



/* kmp-string */
	BGL_EXPORTED_DEF long BGl_kmpzd2stringzd2zz__kmpz00(obj_t BgL_tpz00_7,
		obj_t BgL_strz00_8, long BgL_mz00_9)
	{
		{	/* Unsafe/kmp.scm 111 */
			{	/* Unsafe/kmp.scm 113 */
				bool_t BgL_test1748z00_2118;

				{	/* Unsafe/kmp.scm 113 */
					obj_t BgL_tmpz00_2119;

					BgL_tmpz00_2119 = CAR(BgL_tpz00_7);
					BgL_test1748z00_2118 = VECTORP(BgL_tmpz00_2119);
				}
				if (BgL_test1748z00_2118)
					{	/* Unsafe/kmp.scm 115 */
						bool_t BgL_test1749z00_2122;

						{	/* Unsafe/kmp.scm 115 */
							obj_t BgL_tmpz00_2123;

							BgL_tmpz00_2123 = CDR(BgL_tpz00_7);
							BgL_test1749z00_2122 = STRINGP(BgL_tmpz00_2123);
						}
						if (BgL_test1749z00_2122)
							{	/* Unsafe/kmp.scm 117 */
								bool_t BgL_test1750z00_2126;

								{	/* Unsafe/kmp.scm 117 */
									long BgL_arg1306z00_1220;
									long BgL_arg1307z00_1221;

									{	/* Unsafe/kmp.scm 117 */
										obj_t BgL_arg1308z00_1222;

										BgL_arg1308z00_1222 = CAR(BgL_tpz00_7);
										BgL_arg1306z00_1220 =
											VECTOR_LENGTH(((obj_t) BgL_arg1308z00_1222));
									}
									BgL_arg1307z00_1221 =
										(((long) 2) + STRING_LENGTH(CDR(BgL_tpz00_7)));
									BgL_test1750z00_2126 =
										(BgL_arg1306z00_1220 == BgL_arg1307z00_1221);
								}
								if (BgL_test1750z00_2126)
									{	/* Unsafe/kmp.scm 120 */
										obj_t BgL_tz00_1197;

										BgL_tz00_1197 = CAR(BgL_tpz00_7);
										{	/* Unsafe/kmp.scm 120 */
											obj_t BgL_pz00_1198;

											BgL_pz00_1198 = CDR(BgL_tpz00_7);
											{	/* Unsafe/kmp.scm 121 */
												long BgL_lsz00_1199;

												BgL_lsz00_1199 = STRING_LENGTH(BgL_strz00_8);
												{	/* Unsafe/kmp.scm 122 */
													long BgL_lpz00_1200;

													BgL_lpz00_1200 =
														STRING_LENGTH(((obj_t) BgL_pz00_1198));
													{	/* Unsafe/kmp.scm 123 */

														{
															obj_t BgL_iz00_1202;

															BgL_iz00_1202 = BINT(((long) 0));
														BgL_zc3z04anonymousza31284ze3z87_1203:
															if (
																((long) CINT(BgL_iz00_1202) == BgL_lpz00_1200))
																{	/* Unsafe/kmp.scm 126 */
																	return BgL_mz00_9;
																}
															else
																{	/* Unsafe/kmp.scm 126 */
																	if (
																		(((long) CINT(BgL_iz00_1202) +
																				BgL_mz00_9) >= BgL_lsz00_1199))
																		{	/* Unsafe/kmp.scm 128 */
																			return ((long) -1);
																		}
																	else
																		{	/* Unsafe/kmp.scm 131 */
																			bool_t BgL_test1753z00_2146;

																			{	/* Unsafe/kmp.scm 131 */
																				unsigned char BgL_arg1302z00_1215;

																				BgL_arg1302z00_1215 =
																					STRING_REF(BgL_strz00_8,
																					((long) CINT(BgL_iz00_1202) +
																						BgL_mz00_9));
																				BgL_test1753z00_2146 =
																					(BgL_arg1302z00_1215 ==
																					STRING_REF(((obj_t) BgL_pz00_1198),
																						(long) CINT(BgL_iz00_1202)));
																			}
																			if (BgL_test1753z00_2146)
																				{	/* Unsafe/kmp.scm 132 */
																					long BgL_arg1296z00_1211;

																					BgL_arg1296z00_1211 =
																						(
																						(long) CINT(BgL_iz00_1202) +
																						((long) 1));
																					{
																						obj_t BgL_iz00_2156;

																						BgL_iz00_2156 =
																							BINT(BgL_arg1296z00_1211);
																						BgL_iz00_1202 = BgL_iz00_2156;
																						goto
																							BgL_zc3z04anonymousza31284ze3z87_1203;
																					}
																				}
																			else
																				{	/* Unsafe/kmp.scm 133 */
																					obj_t BgL_tiz00_1212;

																					{	/* Unsafe/kmp.scm 133 */
																						long BgL_kz00_1765;

																						BgL_kz00_1765 =
																							(long) CINT(BgL_iz00_1202);
																						BgL_tiz00_1212 =
																							VECTOR_REF(
																							((obj_t) BgL_tz00_1197),
																							BgL_kz00_1765);
																					}
																					BgL_mz00_9 =
																						(BgL_mz00_9 +
																						((long) CINT(BgL_iz00_1202) -
																							(long) CINT(BgL_tiz00_1212)));
																					if (
																						((long) CINT(BgL_iz00_1202) >
																							((long) 0)))
																						{
																							obj_t BgL_iz00_2168;

																							BgL_iz00_2168 = BgL_tiz00_1212;
																							BgL_iz00_1202 = BgL_iz00_2168;
																							goto
																								BgL_zc3z04anonymousza31284ze3z87_1203;
																						}
																					else
																						{

																							goto
																								BgL_zc3z04anonymousza31284ze3z87_1203;
																						}
																				}
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Unsafe/kmp.scm 117 */
										return
											(long)
											CINT(BGl_errorz00zz__errorz00(BGl_string1711z00zz__kmpz00,
												BGl_string1702z00zz__kmpz00, BgL_tpz00_7));
							}}
						else
							{	/* Unsafe/kmp.scm 116 */
								obj_t BgL_arg1311z00_1225;

								BgL_arg1311z00_1225 = CDR(BgL_tpz00_7);
								return
									(long)
									CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
									(BGl_string1711z00zz__kmpz00, BGl_symbol1703z00zz__kmpz00,
										BgL_arg1311z00_1225));
					}}
				else
					{	/* Unsafe/kmp.scm 114 */
						obj_t BgL_arg1314z00_1227;

						BgL_arg1314z00_1227 = CAR(BgL_tpz00_7);
						return
							(long)
							CINT(BGl_bigloozd2typezd2errorz00zz__errorz00
							(BGl_string1711z00zz__kmpz00, BGl_symbol1705z00zz__kmpz00,
								BgL_arg1314z00_1227));
		}}}

	}



/* &kmp-string */
	obj_t BGl_z62kmpzd2stringzb0zz__kmpz00(obj_t BgL_envz00_1961,
		obj_t BgL_tpz00_1962, obj_t BgL_strz00_1963, obj_t BgL_mz00_1964)
	{
		{	/* Unsafe/kmp.scm 111 */
			{	/* Unsafe/kmp.scm 113 */
				long BgL_tmpz00_2178;

				{	/* Unsafe/kmp.scm 113 */
					long BgL_auxz00_2193;
					obj_t BgL_auxz00_2186;
					obj_t BgL_auxz00_2179;

					{	/* Unsafe/kmp.scm 113 */
						obj_t BgL_tmpz00_2194;

						if (INTEGERP(BgL_mz00_1964))
							{	/* Unsafe/kmp.scm 113 */
								BgL_tmpz00_2194 = BgL_mz00_1964;
							}
						else
							{
								obj_t BgL_auxz00_2197;

								BgL_auxz00_2197 =
									BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
									BINT(((long) 3680)), BGl_string1712z00zz__kmpz00,
									BGl_string1713z00zz__kmpz00, BgL_mz00_1964);
								FAILURE(BgL_auxz00_2197, BFALSE, BFALSE);
							}
						BgL_auxz00_2193 = (long) CINT(BgL_tmpz00_2194);
					}
					if (STRINGP(BgL_strz00_1963))
						{	/* Unsafe/kmp.scm 113 */
							BgL_auxz00_2186 = BgL_strz00_1963;
						}
					else
						{
							obj_t BgL_auxz00_2189;

							BgL_auxz00_2189 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
								BINT(((long) 3680)), BGl_string1712z00zz__kmpz00,
								BGl_string1700z00zz__kmpz00, BgL_strz00_1963);
							FAILURE(BgL_auxz00_2189, BFALSE, BFALSE);
						}
					if (PAIRP(BgL_tpz00_1962))
						{	/* Unsafe/kmp.scm 113 */
							BgL_auxz00_2179 = BgL_tpz00_1962;
						}
					else
						{
							obj_t BgL_auxz00_2182;

							BgL_auxz00_2182 =
								BGl_typezd2errorzd2zz__errorz00(BGl_string1698z00zz__kmpz00,
								BINT(((long) 3680)), BGl_string1712z00zz__kmpz00,
								BGl_string1708z00zz__kmpz00, BgL_tpz00_1962);
							FAILURE(BgL_auxz00_2182, BFALSE, BFALSE);
						}
					BgL_tmpz00_2178 =
						BGl_kmpzd2stringzd2zz__kmpz00(BgL_auxz00_2179, BgL_auxz00_2186,
						BgL_auxz00_2193);
				}
				return BINT(BgL_tmpz00_2178);
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__kmpz00(void)
	{
		{	/* Unsafe/kmp.scm 15 */
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 88804785),
				BSTRING_TO_STRING(BGl_string1714z00zz__kmpz00));
			return
				BGl_modulezd2initializa7ationz75zz__paramz00(((long) 453939141),
				BSTRING_TO_STRING(BGl_string1714z00zz__kmpz00));
		}

	}

#ifdef __cplusplus
}
#endif
